#include <colm/pdarun.h>
#include <colm/debug.h>
#include <colm/bytecode.h>
#include <colm/config.h>
#include <colm/defs.h>
#include <colm/input.h>
#include <colm/tree.h>
#include <colm/program.h>
#include <colm/colm.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>


extern struct colm_sections colm_object;

#define parser_start 43
#define parser_first_final 43
#define parser_error 0
#define false 0
#define true 1

static long parser_entry_by_region[] = {
	0, 43, 252, 460, 460, 462, 464, 466, 
	466, 467, 469, 471, 471, 472, 474, 476, 
	476, 477, 489, 500, 500, 502, 503, 504, 
	504, 505, 518, 531, 531
};

static struct fsm_tables fsmTables_start =
{
	0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
	parser_entry_by_region,

	0,  0,  0,  0,  0,  0,  0,  0,
	28,

	parser_start,
	parser_first_final,
	parser_error,

	0,
	0
};

static void fsm_execute( struct pda_run *pdaRun, struct stream_impl *inputStream )
{
	pdaRun->start = pdaRun->p;
/*_resume:*/
	if ( pdaRun->fsm_cs == 0 )
		goto out;
	if ( pdaRun->p == pdaRun->pe )
		goto out_switch;
	--pdaRun->p;

	switch ( pdaRun->fsm_cs )
	{
tr1:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 109;
	goto out;
}
	goto st43;
tr2:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 106;
	goto out;
}
	goto st43;
tr5:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st43;
tr65:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st43;
tr66:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st43;
tr67:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st43;
tr69:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st43;
tr70:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st43;
tr71:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st43;
tr72:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st43;
tr73:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st43;
tr74:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 95;
	goto out;
}
	goto st43;
tr76:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st43;
tr77:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 81;
	goto out;
}
	goto st43;
tr83:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 91;
	goto out;
}
	goto st43;
tr85:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st43;
tr86:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 79;
	goto out;
}
	goto st43;
tr87:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st43;
tr106:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st43;
tr108:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st43;
tr109:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st43;
tr110:
	{	pdaRun->matched_token = 108;
	goto out;
}
	goto st43;
tr111:
	{	pdaRun->matched_token = 100;
	goto out;
}
	goto st43;
tr112:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st43;
tr113:
	{	pdaRun->matched_token = 105;
	goto out;
}
	goto st43;
tr114:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st43;
tr115:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st43;
tr116:
	{	pdaRun->matched_token = 82;
	goto out;
}
	goto st43;
tr117:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st43;
tr118:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st43;
tr119:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st43;
tr120:
	{	pdaRun->matched_token = 92;
	goto out;
}
	goto st43;
tr121:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st43;
tr122:
	{	pdaRun->matched_token = 97;
	goto out;
}
	goto st43;
tr123:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 99;
	goto out;
}
	goto st43;
tr124:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 3:
	pdaRun->matched_token = 6;
	break;
	case 5:
	pdaRun->matched_token = 7;
	break;
	case 7:
	pdaRun->matched_token = 8;
	break;
	case 9:
	pdaRun->matched_token = 9;
	break;
	case 11:
	pdaRun->matched_token = 10;
	break;
	case 15:
	pdaRun->matched_token = 12;
	break;
	case 19:
	pdaRun->matched_token = 14;
	break;
	case 25:
	pdaRun->matched_token = 17;
	break;
	case 27:
	pdaRun->matched_token = 18;
	break;
	case 29:
	pdaRun->matched_token = 19;
	break;
	case 31:
	pdaRun->matched_token = 20;
	break;
	case 33:
	pdaRun->matched_token = 21;
	break;
	case 37:
	pdaRun->matched_token = 23;
	break;
	case 39:
	pdaRun->matched_token = 24;
	break;
	case 41:
	pdaRun->matched_token = 25;
	break;
	case 43:
	pdaRun->matched_token = 26;
	break;
	case 45:
	pdaRun->matched_token = 27;
	break;
	case 47:
	pdaRun->matched_token = 28;
	break;
	case 49:
	pdaRun->matched_token = 29;
	break;
	case 51:
	pdaRun->matched_token = 30;
	break;
	case 53:
	pdaRun->matched_token = 31;
	break;
	case 57:
	pdaRun->matched_token = 33;
	break;
	case 61:
	pdaRun->matched_token = 35;
	break;
	case 65:
	pdaRun->matched_token = 37;
	break;
	case 67:
	pdaRun->matched_token = 38;
	break;
	case 69:
	pdaRun->matched_token = 39;
	break;
	case 71:
	pdaRun->matched_token = 40;
	break;
	case 73:
	pdaRun->matched_token = 41;
	break;
	case 75:
	pdaRun->matched_token = 42;
	break;
	case 77:
	pdaRun->matched_token = 43;
	break;
	case 79:
	pdaRun->matched_token = 44;
	break;
	case 81:
	pdaRun->matched_token = 45;
	break;
	case 83:
	pdaRun->matched_token = 46;
	break;
	case 85:
	pdaRun->matched_token = 47;
	break;
	case 87:
	pdaRun->matched_token = 48;
	break;
	case 89:
	pdaRun->matched_token = 49;
	break;
	case 91:
	pdaRun->matched_token = 50;
	break;
	case 93:
	pdaRun->matched_token = 51;
	break;
	case 95:
	pdaRun->matched_token = 52;
	break;
	case 97:
	pdaRun->matched_token = 53;
	break;
	case 99:
	pdaRun->matched_token = 54;
	break;
	case 101:
	pdaRun->matched_token = 55;
	break;
	case 103:
	pdaRun->matched_token = 56;
	break;
	case 105:
	pdaRun->matched_token = 57;
	break;
	case 107:
	pdaRun->matched_token = 58;
	break;
	case 109:
	pdaRun->matched_token = 59;
	break;
	case 111:
	pdaRun->matched_token = 60;
	break;
	case 113:
	pdaRun->matched_token = 61;
	break;
	case 115:
	pdaRun->matched_token = 62;
	break;
	case 117:
	pdaRun->matched_token = 63;
	break;
	case 121:
	pdaRun->matched_token = 65;
	break;
	case 123:
	pdaRun->matched_token = 66;
	break;
	case 125:
	pdaRun->matched_token = 67;
	break;
	case 127:
	pdaRun->matched_token = 68;
	break;
	case 129:
	pdaRun->matched_token = 69;
	break;
	case 131:
	pdaRun->matched_token = 70;
	break;
	case 133:
	pdaRun->matched_token = 71;
	break;
	case 135:
	pdaRun->matched_token = 72;
	break;
	}
		goto skip_toklen;
}
	goto st43;
tr125:
	{	pdaRun->matched_token = 74;
	goto out;
}
	goto st43;
tr126:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st43;
tr154:
	{	pdaRun->matched_token = 19;
	goto out;
}
	goto st43;
tr165:
	{	pdaRun->matched_token = 5;
	goto out;
}
	goto st43;
tr203:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st43;
tr220:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st43;
tr242:
	{	pdaRun->matched_token = 36;
	goto out;
}
	goto st43;
tr260:
	{	pdaRun->matched_token = 64;
	goto out;
}
	goto st43;
tr274:
	{	pdaRun->matched_token = 15;
	goto out;
}
	goto st43;
tr291:
	{	pdaRun->matched_token = 11;
	goto out;
}
	goto st43;
tr297:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st43;
tr314:
	{	pdaRun->matched_token = 16;
	goto out;
}
	goto st43;
tr341:
	{	pdaRun->matched_token = 22;
	goto out;
}
	goto st43;
tr375:
	{	pdaRun->matched_token = 80;
	goto out;
}
	goto st43;
tr376:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st43;
st43:
case 43:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out43;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st44;
		case 33: goto st45;
		case 34: goto tr65;
		case 35: goto st1;
		case 36: goto tr66;
		case 37: goto tr67;
		case 38: goto st2;
		case 39: goto tr69;
		case 40: goto tr70;
		case 41: goto tr71;
		case 42: goto tr72;
		case 43: goto tr73;
		case 44: goto tr74;
		case 45: goto st46;
		case 46: goto tr76;
		case 47: goto tr77;
		case 58: goto st48;
		case 60: goto st49;
		case 61: goto st50;
		case 62: goto st51;
		case 63: goto tr83;
		case 91: goto tr85;
		case 93: goto tr86;
		case 94: goto tr87;
		case 96: goto st3;
		case 97: goto st54;
		case 98: goto st61;
		case 99: goto st67;
		case 100: goto st83;
		case 101: goto st89;
		case 102: goto st99;
		case 103: goto st104;
		case 105: goto st109;
		case 108: goto st121;
		case 109: goto st133;
		case 110: goto st149;
		case 112: goto st165;
		case 114: goto st191;
		case 115: goto st217;
		case 116: goto st233;
		case 119: goto st243;
		case 121: goto st247;
		case 123: goto tr106;
		case 124: goto st251;
		case 125: goto tr108;
		case 126: goto tr109;
	}
	if ( (*pdaRun->p) < 48 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st44;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto tr84;
		} else if ( (*pdaRun->p) >= 65 )
			goto tr84;
	} else
		goto st47;
	goto st0;
st44:
case 44:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out44;
	if ( (*pdaRun->p) == 32 )
		goto st44;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st44;
	goto tr110;
st45:
case 45:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out45;
	if ( (*pdaRun->p) == 61 )
		goto tr112;
	goto tr111;
st1:
case 1:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out1;
	if ( (*pdaRun->p) == 10 )
		goto tr1;
	goto st1;
st2:
case 2:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out2;
	if ( (*pdaRun->p) == 38 )
		goto tr2;
	goto st0;
st0:
	goto out0;
st46:
case 46:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out46;
	if ( (*pdaRun->p) == 62 )
		goto tr114;
	goto tr113;
st48:
case 48:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out48;
	if ( (*pdaRun->p) == 58 )
		goto tr117;
	goto tr116;
st49:
case 49:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out49;
	if ( (*pdaRun->p) == 61 )
		goto tr119;
	goto tr118;
st50:
case 50:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out50;
	if ( (*pdaRun->p) == 61 )
		goto tr121;
	goto tr120;
st51:
case 51:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out51;
	if ( (*pdaRun->p) == 61 )
		goto tr123;
	goto tr122;
st3:
case 3:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out3;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr5;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st53;
st53:
case 53:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out53;
	switch( (*pdaRun->p) ) {
		case 32: goto tr125;
		case 93: goto tr125;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr125;
	goto st53;
st54:
case 54:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out54;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st55;
		case 108: goto st58;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
tr84:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 135;}
	goto st52;
tr131:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 57;}
	goto st52;
tr134:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 83;}
	goto st52;
tr138:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 105;}
	goto st52;
tr141:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 77;}
	goto st52;
tr145:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 99;}
	goto st52;
tr146:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 95;}
	goto st52;
tr151:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 85;}
	goto st52;
tr159:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 29;}
	goto st52;
tr162:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 115;}
	goto st52;
tr169:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 101;}
	goto st52;
tr175:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 53;}
	goto st52;
tr177:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 51;}
	goto st52;
tr178:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 5;}
	goto st52;
tr179:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 93;}
	goto st52;
tr183:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 73;}
	goto st52;
tr188:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 125;}
	goto st52;
tr189:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 43;}
	goto st52;
tr194:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 91;}
	goto st52;
tr195:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 45;}
	goto st52;
tr202:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 11;}
	goto st52;
tr205:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 103;}
	goto st52;
tr209:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 133;}
	goto st52;
tr211:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 69;}
	goto st52;
tr215:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 3;}
	goto st52;
tr216:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 127;}
	goto st52;
tr223:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 61;}
	goto st52;
tr227:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 113;}
	goto st52;
tr239:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 107;}
	goto st52;
tr241:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 109;}
	goto st52;
tr245:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 65;}
	goto st52;
tr247:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 31;}
	goto st52;
tr258:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 39;}
	goto st52;
tr259:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 87;}
	goto st52;
tr261:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 121;}
	goto st52;
tr267:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 131;}
	goto st52;
tr280:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 27;}
	goto st52;
tr283:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 25;}
	goto st52;
tr288:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 89;}
	goto st52;
tr293:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 15;}
	goto st52;
tr300:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 19;}
	goto st52;
tr301:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 67;}
	goto st52;
tr304:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 9;}
	goto st52;
tr306:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 71;}
	goto st52;
tr319:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 81;}
	goto st52;
tr322:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 41;}
	goto st52;
tr325:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 79;}
	goto st52;
tr329:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 33;}
	goto st52;
tr332:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 75;}
	goto st52;
tr335:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 129;}
	goto st52;
tr346:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 37;}
	goto st52;
tr350:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 117;}
	goto st52;
tr354:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 97;}
	goto st52;
tr360:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 7;}
	goto st52;
tr362:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 123;}
	goto st52;
tr366:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 111;}
	goto st52;
tr370:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 49;}
	goto st52;
tr374:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 47;}
	goto st52;
st52:
case 52:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out52;
	if ( (*pdaRun->p) == 95 )
		goto tr84;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr124;
st55:
case 55:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out55;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st56;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st56:
case 56:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out56;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st57;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st57:
case 57:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out57;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 109: goto tr131;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st58:
case 58:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out58;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st59;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st59:
case 59:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out59;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st60;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st60:
case 60:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out60;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto tr134;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st61:
case 61:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out61;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st62;
		case 114: goto st64;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st62:
case 62:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out62;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st63;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st63:
case 63:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out63;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr138;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st64:
case 64:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out64;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st65;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st65:
case 65:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out65;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st66;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st66:
case 66:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out66;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 107: goto tr141;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st67:
case 67:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out67;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st68;
		case 111: goto st70;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st68:
case 68:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out68;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st69;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st69:
case 69:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out69;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr145;
		case 116: goto tr146;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st70:
case 70:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out70;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 109: goto st71;
		case 110: goto st74;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st71:
case 71:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out71;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 109: goto st72;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st72:
case 72:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out72;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st73;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st73:
case 73:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out73;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr151;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st74:
case 74:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out74;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st75;
		case 116: goto st80;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st75:
case 75:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out75;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st76;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr154;
st76:
case 76:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out76;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st77;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st77:
case 77:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out77;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st78;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st78:
case 78:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out78;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st79;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st79:
case 79:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out79;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr159;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st80:
case 80:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out80;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st81;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st81:
case 81:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out81;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 120: goto st82;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st82:
case 82:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out82;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr162;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st83:
case 83:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out83;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st84;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st84:
case 84:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out84;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto st85;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st85:
case 85:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out85;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st86;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr165;
st86:
case 86:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out86;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st87;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st87:
case 87:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out87;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st88;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st88:
case 88:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out88;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr169;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st89:
case 89:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out89;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st90;
		case 110: goto st93;
		case 111: goto st94;
		case 120: goto st95;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st90:
case 90:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out90;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st91;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st91:
case 91:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out91;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr175;
		case 105: goto st92;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st92:
case 92:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out92;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto tr177;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st93:
case 93:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out93;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto tr178;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st94:
case 94:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out94;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto tr179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st95:
case 95:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out95;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 112: goto st96;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st96:
case 96:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out96;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st97;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st97:
case 97:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out97;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st98;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st98:
case 98:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out98;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr183;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st99:
case 99:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out99;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st100;
		case 111: goto st103;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st100:
case 100:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out100;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st101;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st101:
case 101:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out101;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st102;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st102:
case 102:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out102;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr188;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st103:
case 103:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out103;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto tr189;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st104:
case 104:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out104;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st105;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st105:
case 105:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out105;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st106;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st106:
case 106:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out106;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 98: goto st107;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st107:
case 107:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out107;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st108;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st108:
case 108:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out108;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr194;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st109:
case 109:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out109;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto tr195;
		case 103: goto st110;
		case 110: goto st114;
		case 116: goto st119;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st110:
case 110:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out110;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto st111;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st111:
case 111:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out111;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st112;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st112:
case 112:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out112;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st113;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st113:
case 113:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out113;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr202;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st114:
case 114:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out114;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st115;
		case 116: goto tr205;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr203;
st115:
case 115:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out115;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st116;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st116:
case 116:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out116;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st117;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st117:
case 117:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out117;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto st118;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st118:
case 118:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out118;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr209;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st119:
case 119:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out119;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st120;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st120:
case 120:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out120;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto tr211;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st121:
case 121:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out121;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st122;
		case 105: goto st124;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st122:
case 122:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out122;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto st123;
		case 120: goto tr215;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st123:
case 123:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out123;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr216;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st124:
case 124:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out124;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st125;
		case 116: goto st129;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st125:
case 125:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out125;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st126;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st126:
case 126:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out126;
	if ( (*pdaRun->p) == 95 )
		goto st127;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr220;
st127:
case 127:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out127;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st128;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st128:
case 128:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out128;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr223;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st129:
case 129:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out129;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st130;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st130:
case 130:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out130;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st131;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st131:
case 131:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out131;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st132;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st132:
case 132:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out132;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr227;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st133:
case 133:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out133;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st134;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st134:
case 134:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out134;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 107: goto st135;
		case 112: goto st144;
		case 116: goto st147;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st135:
case 135:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out135;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st136;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st136:
case 136:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out136;
	if ( (*pdaRun->p) == 95 )
		goto st137;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st137:
case 137:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out137;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st138;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st138:
case 138:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out138;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st139;
		case 114: goto st142;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st139:
case 139:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out139;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 107: goto st140;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st140:
case 140:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out140;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st141;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st141:
case 141:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out141;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto tr239;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st142:
case 142:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out142;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st143;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st143:
case 143:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out143;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr241;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st144:
case 144:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out144;
	if ( (*pdaRun->p) == 95 )
		goto st145;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr242;
st145:
case 145:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out145;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st146;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st146:
case 146:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out146;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr245;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st147:
case 147:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out147;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st148;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st148:
case 148:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out148;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 104: goto tr247;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st149:
case 149:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out149;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st150;
		case 101: goto st157;
		case 105: goto st158;
		case 111: goto st159;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st150:
case 150:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out150;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 109: goto st151;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st151:
case 151:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out151;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st152;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st152:
case 152:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out152;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st153;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st153:
case 153:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out153;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 112: goto st154;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st154:
case 154:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out154;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st155;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st155:
case 155:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out155;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st156;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st156:
case 156:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out156;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr258;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st157:
case 157:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out157;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 119: goto tr259;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st158:
case 158:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out158;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto tr261;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr260;
st159:
case 159:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out159;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto st160;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st160:
case 160:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out160;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st161;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st161:
case 161:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out161;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st162;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st162:
case 162:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out162;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st163;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st163:
case 163:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out163;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st164;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st164:
case 164:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out164;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto tr267;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st165:
case 165:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out165;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st166;
		case 114: goto st177;
		case 116: goto st190;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st166:
case 166:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out166;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st167;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st167:
case 167:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out167;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st168;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st168:
case 168:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out168;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st169;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st169:
case 169:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out169;
	switch( (*pdaRun->p) ) {
		case 95: goto st170;
		case 114: goto tr131;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr274;
st170:
case 170:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out170;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st171;
		case 116: goto st174;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st171:
case 171:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out171;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st172;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st172:
case 172:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out172;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st173;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st173:
case 173:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out173;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 112: goto tr280;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st174:
case 174:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out174;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st175;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st175:
case 175:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out175;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st176;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st176:
case 176:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out176;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr283;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st177:
case 177:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out177;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st178;
		case 105: goto st181;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st178:
case 178:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out178;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st179:
case 179:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out179;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st180;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st180:
case 180:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out180;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto tr288;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st181:
case 181:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out181;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto st182;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st182:
case 182:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out182;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st183;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st183:
case 183:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out183;
	switch( (*pdaRun->p) ) {
		case 95: goto st184;
		case 115: goto tr293;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr291;
st184:
case 184:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out184;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 120: goto st185;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st185:
case 185:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out185;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 109: goto st186;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st186:
case 186:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out186;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st187;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st187:
case 187:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out187;
	if ( (*pdaRun->p) == 95 )
		goto st188;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr297;
st188:
case 188:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out188;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 97: goto st189;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st189:
case 189:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out189;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto tr300;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st190:
case 190:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out190;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto tr301;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st191:
case 191:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out191;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st192;
		case 105: goto st214;
		case 108: goto tr304;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st192:
case 192:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out192;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto st193;
		case 102: goto tr306;
		case 106: goto st204;
		case 113: goto st207;
		case 116: goto st211;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st193:
case 193:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out193;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st194;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st194:
case 194:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out194;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st195;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st195:
case 195:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out195;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st196;
		case 116: goto st201;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st196:
case 196:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out196;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 102: goto st197;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr314;
st197:
case 197:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out197;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st198;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st198:
case 198:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out198;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st199;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st199:
case 199:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out199;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 115: goto st200;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st200:
case 200:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out200;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr319;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st201:
case 201:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out201;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st202;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st202:
case 202:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out202;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st203;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st203:
case 203:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out203;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto tr322;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st204:
case 204:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out204;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st205;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st205:
case 205:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out205;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st206;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st206:
case 206:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out206;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr325;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st207:
case 207:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out207;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st208;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st208:
case 208:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out208;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st209;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st209:
case 209:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out209;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st210;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st210:
case 210:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out210;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr329;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st211:
case 211:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out211;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st212;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st212:
case 212:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out212;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st213;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st213:
case 213:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out213;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto tr332;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st214:
case 214:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out214;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 103: goto st215;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st215:
case 215:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out215;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 104: goto st216;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st216:
case 216:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out216;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr335;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st217:
case 217:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out217;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st218;
		case 116: goto st225;
		case 119: goto st229;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st218:
case 218:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out218;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto st219;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st219:
case 219:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out219;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto st220;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st220:
case 220:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out220;
	if ( (*pdaRun->p) == 95 )
		goto st221;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr341;
st221:
case 221:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out221;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st222;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st222:
case 222:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out222;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st223;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st223:
case 223:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out223;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st224;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st224:
case 224:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out224;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr346;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st225:
case 225:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out225;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 114: goto st226;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st226:
case 226:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out226;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st227;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st227:
case 227:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out227;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st228;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st228:
case 228:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out228;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto tr350;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st229:
case 229:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out229;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st230;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st230:
case 230:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out230;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 116: goto st231;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st231:
case 231:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out231;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 99: goto st232;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st232:
case 232:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out232;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 104: goto tr354;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st233:
case 233:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out233;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 111: goto st234;
		case 114: goto st237;
		case 121: goto st239;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st234:
case 234:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out234;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 107: goto st235;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st235:
case 235:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out235;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st236;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st236:
case 236:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out236;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 110: goto tr360;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st237:
case 237:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out237;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 117: goto st238;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st238:
case 238:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out238;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr362;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st239:
case 239:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out239;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 112: goto st240;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st240:
case 240:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out240;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st241;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st241:
case 241:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out241;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st242;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st242:
case 242:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out242;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto tr366;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st243:
case 243:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out243;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 104: goto st244;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st244:
case 244:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out244;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st245;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st245:
case 245:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out245;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st246;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st246:
case 246:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out246;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto tr370;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st247:
case 247:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out247;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 105: goto st248;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st248:
case 248:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out248;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 101: goto st249;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st249:
case 249:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out249;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 108: goto st250;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st250:
case 250:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out250;
	switch( (*pdaRun->p) ) {
		case 95: goto tr84;
		case 100: goto tr374;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr84;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr84;
	} else
		goto tr84;
	goto tr126;
st251:
case 251:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out251;
	if ( (*pdaRun->p) == 124 )
		goto tr376;
	goto tr375;
st47:
case 47:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out47;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st47;
	goto tr115;
tr6:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 106;
	goto out;
}
	goto st252;
tr8:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st252;
tr378:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st252;
tr379:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st252;
tr380:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st252;
tr382:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st252;
tr383:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st252;
tr384:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st252;
tr385:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st252;
tr386:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st252;
tr387:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 95;
	goto out;
}
	goto st252;
tr389:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st252;
tr390:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 81;
	goto out;
}
	goto st252;
tr396:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 91;
	goto out;
}
	goto st252;
tr398:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st252;
tr399:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 79;
	goto out;
}
	goto st252;
tr400:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st252;
tr419:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st252;
tr421:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st252;
tr422:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st252;
tr423:
	{	pdaRun->matched_token = 100;
	goto out;
}
	goto st252;
tr424:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st252;
tr425:
	{	pdaRun->matched_token = 105;
	goto out;
}
	goto st252;
tr426:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st252;
tr427:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st252;
tr428:
	{	pdaRun->matched_token = 82;
	goto out;
}
	goto st252;
tr429:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st252;
tr430:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st252;
tr431:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st252;
tr432:
	{	pdaRun->matched_token = 92;
	goto out;
}
	goto st252;
tr433:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st252;
tr434:
	{	pdaRun->matched_token = 97;
	goto out;
}
	goto st252;
tr435:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 99;
	goto out;
}
	goto st252;
tr436:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 4:
	pdaRun->matched_token = 6;
	break;
	case 6:
	pdaRun->matched_token = 7;
	break;
	case 8:
	pdaRun->matched_token = 8;
	break;
	case 10:
	pdaRun->matched_token = 9;
	break;
	case 12:
	pdaRun->matched_token = 10;
	break;
	case 16:
	pdaRun->matched_token = 12;
	break;
	case 20:
	pdaRun->matched_token = 14;
	break;
	case 26:
	pdaRun->matched_token = 17;
	break;
	case 28:
	pdaRun->matched_token = 18;
	break;
	case 30:
	pdaRun->matched_token = 19;
	break;
	case 32:
	pdaRun->matched_token = 20;
	break;
	case 34:
	pdaRun->matched_token = 21;
	break;
	case 38:
	pdaRun->matched_token = 23;
	break;
	case 40:
	pdaRun->matched_token = 24;
	break;
	case 42:
	pdaRun->matched_token = 25;
	break;
	case 44:
	pdaRun->matched_token = 26;
	break;
	case 46:
	pdaRun->matched_token = 27;
	break;
	case 48:
	pdaRun->matched_token = 28;
	break;
	case 50:
	pdaRun->matched_token = 29;
	break;
	case 52:
	pdaRun->matched_token = 30;
	break;
	case 54:
	pdaRun->matched_token = 31;
	break;
	case 58:
	pdaRun->matched_token = 33;
	break;
	case 62:
	pdaRun->matched_token = 35;
	break;
	case 66:
	pdaRun->matched_token = 37;
	break;
	case 68:
	pdaRun->matched_token = 38;
	break;
	case 70:
	pdaRun->matched_token = 39;
	break;
	case 72:
	pdaRun->matched_token = 40;
	break;
	case 74:
	pdaRun->matched_token = 41;
	break;
	case 76:
	pdaRun->matched_token = 42;
	break;
	case 78:
	pdaRun->matched_token = 43;
	break;
	case 80:
	pdaRun->matched_token = 44;
	break;
	case 82:
	pdaRun->matched_token = 45;
	break;
	case 84:
	pdaRun->matched_token = 46;
	break;
	case 86:
	pdaRun->matched_token = 47;
	break;
	case 88:
	pdaRun->matched_token = 48;
	break;
	case 90:
	pdaRun->matched_token = 49;
	break;
	case 92:
	pdaRun->matched_token = 50;
	break;
	case 94:
	pdaRun->matched_token = 51;
	break;
	case 96:
	pdaRun->matched_token = 52;
	break;
	case 98:
	pdaRun->matched_token = 53;
	break;
	case 100:
	pdaRun->matched_token = 54;
	break;
	case 102:
	pdaRun->matched_token = 55;
	break;
	case 104:
	pdaRun->matched_token = 56;
	break;
	case 106:
	pdaRun->matched_token = 57;
	break;
	case 108:
	pdaRun->matched_token = 58;
	break;
	case 110:
	pdaRun->matched_token = 59;
	break;
	case 112:
	pdaRun->matched_token = 60;
	break;
	case 114:
	pdaRun->matched_token = 61;
	break;
	case 116:
	pdaRun->matched_token = 62;
	break;
	case 118:
	pdaRun->matched_token = 63;
	break;
	case 122:
	pdaRun->matched_token = 65;
	break;
	case 124:
	pdaRun->matched_token = 66;
	break;
	case 126:
	pdaRun->matched_token = 67;
	break;
	case 128:
	pdaRun->matched_token = 68;
	break;
	case 130:
	pdaRun->matched_token = 69;
	break;
	case 132:
	pdaRun->matched_token = 70;
	break;
	case 134:
	pdaRun->matched_token = 71;
	break;
	case 136:
	pdaRun->matched_token = 72;
	break;
	}
		goto skip_toklen;
}
	goto st252;
tr437:
	{	pdaRun->matched_token = 74;
	goto out;
}
	goto st252;
tr438:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st252;
tr466:
	{	pdaRun->matched_token = 19;
	goto out;
}
	goto st252;
tr477:
	{	pdaRun->matched_token = 5;
	goto out;
}
	goto st252;
tr515:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st252;
tr532:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st252;
tr554:
	{	pdaRun->matched_token = 36;
	goto out;
}
	goto st252;
tr572:
	{	pdaRun->matched_token = 64;
	goto out;
}
	goto st252;
tr586:
	{	pdaRun->matched_token = 15;
	goto out;
}
	goto st252;
tr603:
	{	pdaRun->matched_token = 11;
	goto out;
}
	goto st252;
tr609:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st252;
tr626:
	{	pdaRun->matched_token = 16;
	goto out;
}
	goto st252;
tr653:
	{	pdaRun->matched_token = 22;
	goto out;
}
	goto st252;
tr687:
	{	pdaRun->matched_token = 80;
	goto out;
}
	goto st252;
tr688:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st252;
st252:
case 252:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out252;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 33: goto st253;
		case 34: goto tr378;
		case 36: goto tr379;
		case 37: goto tr380;
		case 38: goto st4;
		case 39: goto tr382;
		case 40: goto tr383;
		case 41: goto tr384;
		case 42: goto tr385;
		case 43: goto tr386;
		case 44: goto tr387;
		case 45: goto st254;
		case 46: goto tr389;
		case 47: goto tr390;
		case 58: goto st256;
		case 60: goto st257;
		case 61: goto st258;
		case 62: goto st259;
		case 63: goto tr396;
		case 91: goto tr398;
		case 93: goto tr399;
		case 94: goto tr400;
		case 96: goto st5;
		case 97: goto st262;
		case 98: goto st269;
		case 99: goto st275;
		case 100: goto st291;
		case 101: goto st297;
		case 102: goto st307;
		case 103: goto st312;
		case 105: goto st317;
		case 108: goto st329;
		case 109: goto st341;
		case 110: goto st357;
		case 112: goto st373;
		case 114: goto st399;
		case 115: goto st425;
		case 116: goto st441;
		case 119: goto st451;
		case 121: goto st455;
		case 123: goto tr419;
		case 124: goto st459;
		case 125: goto tr421;
		case 126: goto tr422;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st255;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto st0;
st253:
case 253:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out253;
	if ( (*pdaRun->p) == 61 )
		goto tr424;
	goto tr423;
st4:
case 4:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out4;
	if ( (*pdaRun->p) == 38 )
		goto tr6;
	goto st0;
st254:
case 254:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out254;
	if ( (*pdaRun->p) == 62 )
		goto tr426;
	goto tr425;
st256:
case 256:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out256;
	if ( (*pdaRun->p) == 58 )
		goto tr429;
	goto tr428;
st257:
case 257:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out257;
	if ( (*pdaRun->p) == 61 )
		goto tr431;
	goto tr430;
st258:
case 258:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out258;
	if ( (*pdaRun->p) == 61 )
		goto tr433;
	goto tr432;
st259:
case 259:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out259;
	if ( (*pdaRun->p) == 61 )
		goto tr435;
	goto tr434;
st5:
case 5:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out5;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr8;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st261;
st261:
case 261:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out261;
	switch( (*pdaRun->p) ) {
		case 32: goto tr437;
		case 93: goto tr437;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr437;
	goto st261;
st262:
case 262:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out262;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st263;
		case 108: goto st266;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
tr397:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 136;}
	goto st260;
tr443:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 58;}
	goto st260;
tr446:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 84;}
	goto st260;
tr450:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 106;}
	goto st260;
tr453:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 78;}
	goto st260;
tr457:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 100;}
	goto st260;
tr458:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 96;}
	goto st260;
tr463:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 86;}
	goto st260;
tr471:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 30;}
	goto st260;
tr474:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 116;}
	goto st260;
tr481:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 102;}
	goto st260;
tr487:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 54;}
	goto st260;
tr489:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 52;}
	goto st260;
tr490:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 6;}
	goto st260;
tr491:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 94;}
	goto st260;
tr495:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 74;}
	goto st260;
tr500:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 126;}
	goto st260;
tr501:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 44;}
	goto st260;
tr506:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 92;}
	goto st260;
tr507:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 46;}
	goto st260;
tr514:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 12;}
	goto st260;
tr517:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 104;}
	goto st260;
tr521:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 134;}
	goto st260;
tr523:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 70;}
	goto st260;
tr527:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 4;}
	goto st260;
tr528:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 128;}
	goto st260;
tr535:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 62;}
	goto st260;
tr539:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 114;}
	goto st260;
tr551:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 108;}
	goto st260;
tr553:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 110;}
	goto st260;
tr557:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 66;}
	goto st260;
tr559:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 32;}
	goto st260;
tr570:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 40;}
	goto st260;
tr571:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 88;}
	goto st260;
tr573:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 122;}
	goto st260;
tr579:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 132;}
	goto st260;
tr592:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 28;}
	goto st260;
tr595:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 26;}
	goto st260;
tr600:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 90;}
	goto st260;
tr605:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 16;}
	goto st260;
tr612:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 20;}
	goto st260;
tr613:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 68;}
	goto st260;
tr616:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 10;}
	goto st260;
tr618:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 72;}
	goto st260;
tr631:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 82;}
	goto st260;
tr634:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 42;}
	goto st260;
tr637:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 80;}
	goto st260;
tr641:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 34;}
	goto st260;
tr644:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 76;}
	goto st260;
tr647:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 130;}
	goto st260;
tr658:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 38;}
	goto st260;
tr662:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 118;}
	goto st260;
tr666:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 98;}
	goto st260;
tr672:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 8;}
	goto st260;
tr674:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 124;}
	goto st260;
tr678:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 112;}
	goto st260;
tr682:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 50;}
	goto st260;
tr686:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 48;}
	goto st260;
st260:
case 260:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out260;
	if ( (*pdaRun->p) == 95 )
		goto tr397;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr436;
st263:
case 263:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out263;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st264;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st264:
case 264:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out264;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st265;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st265:
case 265:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out265;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 109: goto tr443;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st266:
case 266:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out266;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st267;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st267:
case 267:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out267;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st268;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st268:
case 268:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out268;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto tr446;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st269:
case 269:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out269;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st270;
		case 114: goto st272;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st270:
case 270:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out270;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st271;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st271:
case 271:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out271;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr450;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st272:
case 272:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out272;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st273;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st273:
case 273:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out273;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st274;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st274:
case 274:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out274;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 107: goto tr453;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st275:
case 275:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out275;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st276;
		case 111: goto st278;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st276:
case 276:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out276;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st277;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st277:
case 277:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out277;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr457;
		case 116: goto tr458;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st278:
case 278:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out278;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 109: goto st279;
		case 110: goto st282;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st279:
case 279:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out279;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 109: goto st280;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st280:
case 280:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out280;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st281;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st281:
case 281:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out281;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr463;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st282:
case 282:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out282;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st283;
		case 116: goto st288;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st283:
case 283:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out283;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st284;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr466;
st284:
case 284:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out284;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st285;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st285:
case 285:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out285;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st286;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st286:
case 286:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out286;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st287;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st287:
case 287:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out287;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr471;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st288:
case 288:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out288;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st289;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st289:
case 289:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out289;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 120: goto st290;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st290:
case 290:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out290;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr474;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st291:
case 291:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out291;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st292;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st292:
case 292:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out292;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto st293;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st293:
case 293:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out293;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st294;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr477;
st294:
case 294:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out294;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st295;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st295:
case 295:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out295;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st296;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st296:
case 296:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out296;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr481;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st297:
case 297:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out297;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st298;
		case 110: goto st301;
		case 111: goto st302;
		case 120: goto st303;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st298:
case 298:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out298;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st299;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st299:
case 299:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out299;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr487;
		case 105: goto st300;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st300:
case 300:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out300;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto tr489;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st301:
case 301:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out301;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto tr490;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st302:
case 302:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out302;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto tr491;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st303:
case 303:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out303;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 112: goto st304;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st304:
case 304:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out304;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st305;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st305:
case 305:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out305;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st306;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st306:
case 306:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out306;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr495;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st307:
case 307:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out307;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st308;
		case 111: goto st311;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st308:
case 308:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out308;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st309;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st309:
case 309:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out309;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st310;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st310:
case 310:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out310;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr500;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st311:
case 311:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out311;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto tr501;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st312:
case 312:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out312;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st313;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st313:
case 313:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out313;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st314;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st314:
case 314:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out314;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 98: goto st315;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st315:
case 315:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out315;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st316;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st316:
case 316:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out316;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr506;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st317:
case 317:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out317;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto tr507;
		case 103: goto st318;
		case 110: goto st322;
		case 116: goto st327;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st318:
case 318:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out318;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto st319;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st319:
case 319:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out319;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st320;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st320:
case 320:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out320;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st321;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st321:
case 321:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out321;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr514;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st322:
case 322:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out322;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st323;
		case 116: goto tr517;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr515;
st323:
case 323:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out323;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st324;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st324:
case 324:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out324;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st325;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st325:
case 325:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out325;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto st326;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st326:
case 326:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out326;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr521;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st327:
case 327:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out327;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st328;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st328:
case 328:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out328;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto tr523;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st329:
case 329:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out329;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st330;
		case 105: goto st332;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st330:
case 330:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out330;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto st331;
		case 120: goto tr527;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st331:
case 331:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out331;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr528;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st332:
case 332:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out332;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st333;
		case 116: goto st337;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st333:
case 333:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out333;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st334;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st334:
case 334:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out334;
	if ( (*pdaRun->p) == 95 )
		goto st335;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr532;
st335:
case 335:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out335;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st336;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st336:
case 336:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out336;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr535;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st337:
case 337:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out337;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st338;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st338:
case 338:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out338;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st339;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st339:
case 339:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out339;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st340;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st340:
case 340:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out340;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr539;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st341:
case 341:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out341;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st342;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st342:
case 342:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out342;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 107: goto st343;
		case 112: goto st352;
		case 116: goto st355;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st343:
case 343:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out343;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st344;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st344:
case 344:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out344;
	if ( (*pdaRun->p) == 95 )
		goto st345;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st345:
case 345:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out345;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st346;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st346:
case 346:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out346;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st347;
		case 114: goto st350;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st347:
case 347:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out347;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 107: goto st348;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st348:
case 348:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out348;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st349;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st349:
case 349:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out349;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto tr551;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st350:
case 350:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out350;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st351;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st351:
case 351:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out351;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr553;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st352:
case 352:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out352;
	if ( (*pdaRun->p) == 95 )
		goto st353;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr554;
st353:
case 353:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out353;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st354;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st354:
case 354:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out354;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr557;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st355:
case 355:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out355;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st356;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st356:
case 356:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out356;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 104: goto tr559;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st357:
case 357:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out357;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st358;
		case 101: goto st365;
		case 105: goto st366;
		case 111: goto st367;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st358:
case 358:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out358;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 109: goto st359;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st359:
case 359:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out359;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st360;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st360:
case 360:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out360;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st361;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st361:
case 361:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out361;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 112: goto st362;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st362:
case 362:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out362;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st363;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st363:
case 363:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out363;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st364;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st364:
case 364:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out364;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr570;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st365:
case 365:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out365;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 119: goto tr571;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st366:
case 366:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out366;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto tr573;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr572;
st367:
case 367:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out367;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto st368;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st368:
case 368:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out368;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st369;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st369:
case 369:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out369;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st370;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st370:
case 370:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out370;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st371;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st371:
case 371:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out371;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st372;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st372:
case 372:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out372;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto tr579;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st373:
case 373:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out373;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st374;
		case 114: goto st385;
		case 116: goto st398;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st374:
case 374:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out374;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st375;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st375:
case 375:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out375;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st376;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st376:
case 376:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out376;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st377;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st377:
case 377:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out377;
	switch( (*pdaRun->p) ) {
		case 95: goto st378;
		case 114: goto tr443;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr586;
st378:
case 378:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out378;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st379;
		case 116: goto st382;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st379:
case 379:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out379;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st380;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st380:
case 380:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out380;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st381;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st381:
case 381:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out381;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 112: goto tr592;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st382:
case 382:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out382;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st383;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st383:
case 383:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out383;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st384;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st384:
case 384:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out384;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr595;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st385:
case 385:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out385;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st386;
		case 105: goto st389;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st386:
case 386:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out386;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st387;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st387:
case 387:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out387;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st388;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st388:
case 388:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out388;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto tr600;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st389:
case 389:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out389;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto st390;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st390:
case 390:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out390;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st391;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st391:
case 391:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out391;
	switch( (*pdaRun->p) ) {
		case 95: goto st392;
		case 115: goto tr605;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr603;
st392:
case 392:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out392;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 120: goto st393;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st393:
case 393:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out393;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 109: goto st394;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st394:
case 394:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out394;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st395;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st395:
case 395:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out395;
	if ( (*pdaRun->p) == 95 )
		goto st396;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr609;
st396:
case 396:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out396;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 97: goto st397;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st397:
case 397:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out397;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto tr612;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st398:
case 398:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out398;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto tr613;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st399:
case 399:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out399;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st400;
		case 105: goto st422;
		case 108: goto tr616;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st400:
case 400:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out400;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto st401;
		case 102: goto tr618;
		case 106: goto st412;
		case 113: goto st415;
		case 116: goto st419;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st401:
case 401:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out401;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st402;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st402:
case 402:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out402;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st403;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st403:
case 403:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out403;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st404;
		case 116: goto st409;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st404:
case 404:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out404;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 102: goto st405;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr626;
st405:
case 405:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out405;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st406;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st406:
case 406:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out406;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st407;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st407:
case 407:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out407;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 115: goto st408;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st408:
case 408:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out408;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr631;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st409:
case 409:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out409;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st410;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st410:
case 410:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out410;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st411;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st411:
case 411:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out411;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto tr634;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st412:
case 412:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out412;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st413;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st413:
case 413:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out413;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st414;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st414:
case 414:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out414;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr637;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st415:
case 415:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out415;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st416;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st416:
case 416:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out416;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st417;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st417:
case 417:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out417;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st418;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st418:
case 418:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out418;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr641;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st419:
case 419:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out419;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st420;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st420:
case 420:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out420;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st421;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st421:
case 421:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out421;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto tr644;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st422:
case 422:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out422;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 103: goto st423;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st423:
case 423:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out423;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 104: goto st424;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st424:
case 424:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out424;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr647;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st425:
case 425:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out425;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st426;
		case 116: goto st433;
		case 119: goto st437;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st426:
case 426:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out426;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto st427;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st427:
case 427:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out427;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto st428;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st428:
case 428:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out428;
	if ( (*pdaRun->p) == 95 )
		goto st429;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr653;
st429:
case 429:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out429;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st430;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st430:
case 430:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out430;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st431;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st431:
case 431:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out431;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st432;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st432:
case 432:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out432;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr658;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st433:
case 433:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out433;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 114: goto st434;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st434:
case 434:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out434;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st435;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st435:
case 435:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out435;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st436;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st436:
case 436:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out436;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto tr662;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st437:
case 437:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out437;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st438;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st438:
case 438:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out438;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 116: goto st439;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st439:
case 439:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out439;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 99: goto st440;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st440:
case 440:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out440;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 104: goto tr666;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st441:
case 441:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out441;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 111: goto st442;
		case 114: goto st445;
		case 121: goto st447;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st442:
case 442:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out442;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 107: goto st443;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st443:
case 443:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out443;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st444;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st444:
case 444:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out444;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 110: goto tr672;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st445:
case 445:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out445;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 117: goto st446;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st446:
case 446:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out446;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr674;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st447:
case 447:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out447;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 112: goto st448;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st448:
case 448:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out448;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st449;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st449:
case 449:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out449;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st450;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st450:
case 450:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out450;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto tr678;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st451:
case 451:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out451;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 104: goto st452;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st452:
case 452:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out452;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st453;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st453:
case 453:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out453;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st454;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st454:
case 454:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out454;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto tr682;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st455:
case 455:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out455;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 105: goto st456;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st456:
case 456:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out456;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 101: goto st457;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st457:
case 457:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out457;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 108: goto st458;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st458:
case 458:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out458;
	switch( (*pdaRun->p) ) {
		case 95: goto tr397;
		case 100: goto tr686;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr397;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr397;
	} else
		goto tr397;
	goto tr438;
st459:
case 459:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out459;
	if ( (*pdaRun->p) == 124 )
		goto tr688;
	goto tr687;
st255:
case 255:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out255;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st255;
	goto tr427;
tr10:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 109;
	goto out;
}
	goto st460;
tr690:
	{	pdaRun->matched_token = 108;
	goto out;
}
	goto st460;
st460:
case 460:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out460;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st461;
		case 35: goto st6;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st461;
	goto st0;
st461:
case 461:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out461;
	if ( (*pdaRun->p) == 32 )
		goto st461;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st461;
	goto tr690;
st6:
case 6:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out6;
	if ( (*pdaRun->p) == 10 )
		goto tr10;
	goto st6;
tr12:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 219:
	pdaRun->matched_token = 114;
	break;
	}
		goto skip_toklen;
}
	goto st462;
tr691:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st462;
tr692:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st462;
tr693:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st462;
tr695:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st462;
tr696:
	{	pdaRun->matched_token = 114;
	goto out;
}
	goto st462;
st462:
	{pdaRun->act = 0;}
case 462:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out462;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr691;
		case 34: goto tr692;
		case 91: goto tr693;
		case 92: goto st7;
		case 93: goto tr695;
	}
	goto tr11;
st7:
case 7:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out7;
	goto tr11;
tr11:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 219;}
	goto st463;
st463:
case 463:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out463;
	switch( (*pdaRun->p) ) {
		case 10: goto tr696;
		case 34: goto tr696;
		case 92: goto st7;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr696;
	goto tr11;
tr14:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 220:
	pdaRun->matched_token = 114;
	break;
	}
		goto skip_toklen;
}
	goto st464;
tr697:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st464;
tr698:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st464;
tr699:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st464;
tr701:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st464;
tr702:
	{	pdaRun->matched_token = 114;
	goto out;
}
	goto st464;
st464:
	{pdaRun->act = 0;}
case 464:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out464;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr697;
		case 34: goto tr698;
		case 91: goto tr699;
		case 92: goto st8;
		case 93: goto tr701;
	}
	goto tr13;
st8:
case 8:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out8;
	goto tr13;
tr13:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 220;}
	goto st465;
st465:
case 465:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out465;
	switch( (*pdaRun->p) ) {
		case 10: goto tr702;
		case 34: goto tr702;
		case 92: goto st8;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr702;
	goto tr13;
tr703:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 167;
	goto out;
}
	goto st466;
st466:
case 466:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out466;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr703;
tr16:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 225:
	pdaRun->matched_token = 117;
	break;
	}
		goto skip_toklen;
}
	goto st467;
tr704:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st467;
tr705:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 115;
	goto out;
}
	goto st467;
tr707:
	{	pdaRun->matched_token = 117;
	goto out;
}
	goto st467;
st467:
	{pdaRun->act = 0;}
case 467:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out467;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr704;
		case 39: goto tr705;
		case 92: goto st9;
	}
	goto tr15;
st9:
case 9:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out9;
	goto tr15;
tr15:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 225;}
	goto st468;
st468:
case 468:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out468;
	switch( (*pdaRun->p) ) {
		case 10: goto tr707;
		case 39: goto tr707;
		case 92: goto st9;
	}
	goto tr15;
tr18:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 226:
	pdaRun->matched_token = 117;
	break;
	}
		goto skip_toklen;
}
	goto st469;
tr708:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st469;
tr709:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 115;
	goto out;
}
	goto st469;
tr711:
	{	pdaRun->matched_token = 117;
	goto out;
}
	goto st469;
st469:
	{pdaRun->act = 0;}
case 469:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out469;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr708;
		case 39: goto tr709;
		case 92: goto st10;
	}
	goto tr17;
st10:
case 10:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out10;
	goto tr17;
tr17:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 226;}
	goto st470;
st470:
case 470:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out470;
	switch( (*pdaRun->p) ) {
		case 10: goto tr711;
		case 39: goto tr711;
		case 92: goto st10;
	}
	goto tr17;
tr712:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 168;
	goto out;
}
	goto st471;
st471:
case 471:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out471;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr712;
tr714:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 118;
	goto out;
}
	goto st472;
tr715:
	{	pdaRun->matched_token = 119;
	goto out;
}
	goto st472;
st472:
case 472:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out472;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr714;
	goto st473;
st473:
case 473:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out473;
	if ( (*pdaRun->p) == 10 )
		goto tr715;
	goto st473;
tr717:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 118;
	goto out;
}
	goto st474;
tr718:
	{	pdaRun->matched_token = 119;
	goto out;
}
	goto st474;
st474:
case 474:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out474;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr717;
	goto st475;
st475:
case 475:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out475;
	if ( (*pdaRun->p) == 10 )
		goto tr718;
	goto st475;
tr719:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 169;
	goto out;
}
	goto st476;
st476:
case 476:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out476;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr719;
tr23:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 144;
	goto out;
}
	goto st477;
tr26:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 121;
	goto skip_toklen;
}
	goto st477;
tr29:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st477;
tr721:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st477;
tr722:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 128;
	goto out;
}
	goto st477;
tr723:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st477;
tr725:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st477;
tr728:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st477;
tr733:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st477;
tr736:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st477;
tr737:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 125;
	goto out;
}
	goto st477;
tr738:
	{	pdaRun->matched_token = 143;
	goto out;
}
	goto st477;
tr739:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st477;
tr740:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 123;
	goto out;
}
	goto st477;
tr741:
	{	pdaRun->matched_token = 130;
	goto out;
}
	goto st477;
tr742:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 131;
	goto out;
}
	goto st477;
tr743:
	{	pdaRun->matched_token = 127;
	goto out;
}
	goto st477;
tr744:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st477;
tr745:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st477;
tr746:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st477;
tr747:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st477;
tr749:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st477;
tr750:
	{	pdaRun->matched_token = 140;
	goto out;
}
	goto st477;
tr751:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 141;
	goto out;
}
	goto st477;
tr752:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st477;
tr753:
	{	pdaRun->matched_token = 136;
	goto out;
}
	goto st477;
tr754:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 137;
	goto out;
}
	goto st477;
st477:
case 477:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out477;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st478;
		case 34: goto st11;
		case 35: goto st13;
		case 38: goto tr721;
		case 39: goto st14;
		case 40: goto tr722;
		case 41: goto tr723;
		case 42: goto st480;
		case 43: goto tr725;
		case 45: goto st481;
		case 46: goto st482;
		case 47: goto tr728;
		case 48: goto tr729;
		case 58: goto st17;
		case 60: goto st18;
		case 63: goto tr733;
		case 91: goto st488;
		case 94: goto tr736;
		case 95: goto st487;
		case 124: goto tr737;
	}
	if ( (*pdaRun->p) < 49 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st478;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto st487;
		} else if ( (*pdaRun->p) >= 65 )
			goto st487;
	} else
		goto st484;
	goto st0;
st478:
case 478:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out478;
	if ( (*pdaRun->p) == 32 )
		goto st478;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st478;
	goto tr738;
st11:
case 11:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out11;
	switch( (*pdaRun->p) ) {
		case 34: goto st479;
		case 92: goto st12;
	}
	goto st11;
st479:
case 479:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out479;
	if ( (*pdaRun->p) == 105 )
		goto tr740;
	goto tr739;
st12:
case 12:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out12;
	goto st11;
st13:
case 13:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out13;
	if ( (*pdaRun->p) == 10 )
		goto tr23;
	goto st13;
st14:
case 14:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out14;
	switch( (*pdaRun->p) ) {
		case 39: goto st479;
		case 92: goto st15;
	}
	goto st14;
st15:
case 15:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out15;
	goto st14;
st480:
case 480:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out480;
	if ( (*pdaRun->p) == 42 )
		goto tr742;
	goto tr741;
st481:
case 481:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out481;
	if ( (*pdaRun->p) == 45 )
		goto tr744;
	goto tr743;
st482:
case 482:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out482;
	if ( (*pdaRun->p) == 46 )
		goto tr746;
	goto tr745;
tr729:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st483;
st483:
case 483:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out483;
	if ( (*pdaRun->p) == 120 )
		goto st16;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st484;
	goto tr747;
st16:
case 16:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out16;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st485;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st485;
	} else
		goto st485;
	goto tr26;
st485:
case 485:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out485;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st485;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st485;
	} else
		goto st485;
	goto tr749;
st484:
case 484:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out484;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st484;
	goto tr747;
st17:
case 17:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out17;
	if ( (*pdaRun->p) == 62 )
		goto st486;
	goto st0;
st486:
case 486:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out486;
	if ( (*pdaRun->p) == 62 )
		goto tr751;
	goto tr750;
st18:
case 18:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out18;
	if ( (*pdaRun->p) == 58 )
		goto tr29;
	goto st0;
st488:
case 488:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out488;
	if ( (*pdaRun->p) == 94 )
		goto tr754;
	goto tr753;
st487:
case 487:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out487;
	if ( (*pdaRun->p) == 95 )
		goto st487;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st487;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st487;
	} else
		goto st487;
	goto tr752;
tr35:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 121;
	goto skip_toklen;
}
	goto st489;
tr38:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st489;
tr755:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st489;
tr756:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 128;
	goto out;
}
	goto st489;
tr757:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st489;
tr759:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st489;
tr762:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st489;
tr767:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st489;
tr770:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st489;
tr771:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 125;
	goto out;
}
	goto st489;
tr772:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st489;
tr773:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 123;
	goto out;
}
	goto st489;
tr774:
	{	pdaRun->matched_token = 130;
	goto out;
}
	goto st489;
tr775:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 131;
	goto out;
}
	goto st489;
tr776:
	{	pdaRun->matched_token = 127;
	goto out;
}
	goto st489;
tr777:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st489;
tr778:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st489;
tr779:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st489;
tr780:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st489;
tr782:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st489;
tr783:
	{	pdaRun->matched_token = 140;
	goto out;
}
	goto st489;
tr784:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 141;
	goto out;
}
	goto st489;
tr785:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st489;
tr786:
	{	pdaRun->matched_token = 136;
	goto out;
}
	goto st489;
tr787:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 137;
	goto out;
}
	goto st489;
st489:
case 489:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out489;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 34: goto st19;
		case 38: goto tr755;
		case 39: goto st21;
		case 40: goto tr756;
		case 41: goto tr757;
		case 42: goto st491;
		case 43: goto tr759;
		case 45: goto st492;
		case 46: goto st493;
		case 47: goto tr762;
		case 48: goto tr763;
		case 58: goto st24;
		case 60: goto st25;
		case 63: goto tr767;
		case 91: goto st499;
		case 94: goto tr770;
		case 95: goto st498;
		case 124: goto tr771;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st495;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st498;
	} else
		goto st498;
	goto st0;
st19:
case 19:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out19;
	switch( (*pdaRun->p) ) {
		case 34: goto st490;
		case 92: goto st20;
	}
	goto st19;
st490:
case 490:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out490;
	if ( (*pdaRun->p) == 105 )
		goto tr773;
	goto tr772;
st20:
case 20:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out20;
	goto st19;
st21:
case 21:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out21;
	switch( (*pdaRun->p) ) {
		case 39: goto st490;
		case 92: goto st22;
	}
	goto st21;
st22:
case 22:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out22;
	goto st21;
st491:
case 491:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out491;
	if ( (*pdaRun->p) == 42 )
		goto tr775;
	goto tr774;
st492:
case 492:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out492;
	if ( (*pdaRun->p) == 45 )
		goto tr777;
	goto tr776;
st493:
case 493:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out493;
	if ( (*pdaRun->p) == 46 )
		goto tr779;
	goto tr778;
tr763:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st494;
st494:
case 494:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out494;
	if ( (*pdaRun->p) == 120 )
		goto st23;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st495;
	goto tr780;
st23:
case 23:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out23;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st496;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st496;
	} else
		goto st496;
	goto tr35;
st496:
case 496:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out496;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st496;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st496;
	} else
		goto st496;
	goto tr782;
st495:
case 495:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out495;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st495;
	goto tr780;
st24:
case 24:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out24;
	if ( (*pdaRun->p) == 62 )
		goto st497;
	goto st0;
st497:
case 497:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out497;
	if ( (*pdaRun->p) == 62 )
		goto tr784;
	goto tr783;
st25:
case 25:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out25;
	if ( (*pdaRun->p) == 58 )
		goto tr38;
	goto st0;
st499:
case 499:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out499;
	if ( (*pdaRun->p) == 94 )
		goto tr787;
	goto tr786;
st498:
case 498:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out498;
	if ( (*pdaRun->p) == 95 )
		goto st498;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st498;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st498;
	} else
		goto st498;
	goto tr785;
tr40:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 144;
	goto out;
}
	goto st500;
tr789:
	{	pdaRun->matched_token = 143;
	goto out;
}
	goto st500;
st500:
case 500:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out500;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st501;
		case 35: goto st26;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st501;
	goto st0;
st501:
case 501:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out501;
	if ( (*pdaRun->p) == 32 )
		goto st501;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st501;
	goto tr789;
st26:
case 26:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out26;
	if ( (*pdaRun->p) == 10 )
		goto tr40;
	goto st26;
tr41:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st502;
tr790:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st502;
tr792:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st502;
st502:
case 502:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out502;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr790;
		case 92: goto st27;
		case 93: goto tr792;
	}
	goto tr41;
st27:
case 27:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out27;
	goto tr41;
tr42:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st503;
tr793:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st503;
tr795:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st503;
st503:
case 503:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out503;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr793;
		case 92: goto st28;
		case 93: goto tr795;
	}
	goto tr42;
st28:
case 28:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out28;
	goto tr42;
tr796:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 170;
	goto out;
}
	goto st504;
st504:
case 504:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out504;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr796;
tr46:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 159;
	goto skip_toklen;
}
	goto st505;
tr51:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 151;
	goto out;
}
	goto st505;
tr797:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 159;
	goto out;
}
	goto st505;
tr805:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st505;
tr806:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st505;
tr807:
	{	pdaRun->matched_token = 152;
	goto out;
}
	goto st505;
tr808:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st505;
tr809:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st505;
tr810:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 153;
	goto out;
}
	goto st505;
tr811:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st505;
tr814:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st505;
tr815:
	{	pdaRun->matched_token = 155;
	goto out;
}
	goto st505;
tr818:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st505;
tr819:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st505;
tr820:
	{	pdaRun->matched_token = 150;
	goto out;
}
	goto st505;
st505:
case 505:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out505;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st506;
		case 34: goto tr799;
		case 36: goto st509;
		case 39: goto tr801;
		case 47: goto tr802;
		case 64: goto st514;
		case 95: goto st517;
		case 123: goto tr805;
		case 125: goto tr806;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st506;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st517;
	} else
		goto st517;
	goto tr797;
st506:
case 506:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out506;
	if ( (*pdaRun->p) == 32 )
		goto st506;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st506;
	goto tr807;
tr799:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st507;
st507:
case 507:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out507;
	switch( (*pdaRun->p) ) {
		case 34: goto st508;
		case 92: goto st30;
	}
	goto st29;
st508:
case 508:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out508;
	if ( (*pdaRun->p) == 105 )
		goto tr810;
	goto tr809;
st30:
case 30:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out30;
	goto st29;
st29:
case 29:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out29;
	switch( (*pdaRun->p) ) {
		case 34: goto st508;
		case 92: goto st30;
	}
	goto st29;
st509:
case 509:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out509;
	switch( (*pdaRun->p) ) {
		case 36: goto tr811;
		case 95: goto st511;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st510;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st511;
	} else
		goto st511;
	goto tr808;
st511:
case 511:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out511;
	if ( (*pdaRun->p) == 95 )
		goto st511;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st511;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st511;
	} else
		goto st511;
	goto tr815;
st510:
case 510:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out510;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st510;
	goto tr814;
tr801:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st512;
st512:
case 512:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out512;
	switch( (*pdaRun->p) ) {
		case 39: goto st508;
		case 92: goto st32;
	}
	goto st31;
st32:
case 32:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out32;
	goto st31;
st31:
case 31:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out31;
	switch( (*pdaRun->p) ) {
		case 39: goto st508;
		case 92: goto st32;
	}
	goto st31;
tr802:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st513;
st513:
case 513:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out513;
	switch( (*pdaRun->p) ) {
		case 42: goto st33;
		case 47: goto st35;
	}
	goto tr808;
st33:
case 33:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out33;
	if ( (*pdaRun->p) == 42 )
		goto st34;
	goto st33;
st34:
case 34:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out34;
	switch( (*pdaRun->p) ) {
		case 42: goto st34;
		case 47: goto tr51;
	}
	goto st33;
st35:
case 35:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out35;
	if ( (*pdaRun->p) == 10 )
		goto tr51;
	goto st35;
st514:
case 514:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out514;
	if ( (*pdaRun->p) == 95 )
		goto st516;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st515;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st516;
	} else
		goto st516;
	goto tr808;
st516:
case 516:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out516;
	if ( (*pdaRun->p) == 95 )
		goto st516;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st516;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st516;
	} else
		goto st516;
	goto tr819;
st515:
case 515:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out515;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st515;
	goto tr818;
st517:
case 517:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out517;
	if ( (*pdaRun->p) == 95 )
		goto st517;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st517;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st517;
	} else
		goto st517;
	goto tr820;
tr56:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 159;
	goto skip_toklen;
}
	goto st518;
tr61:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 151;
	goto out;
}
	goto st518;
tr821:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 159;
	goto out;
}
	goto st518;
tr829:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st518;
tr830:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st518;
tr831:
	{	pdaRun->matched_token = 152;
	goto out;
}
	goto st518;
tr832:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st518;
tr833:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st518;
tr834:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 153;
	goto out;
}
	goto st518;
tr835:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st518;
tr838:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st518;
tr839:
	{	pdaRun->matched_token = 155;
	goto out;
}
	goto st518;
tr842:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st518;
tr843:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st518;
tr844:
	{	pdaRun->matched_token = 150;
	goto out;
}
	goto st518;
st518:
case 518:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out518;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st519;
		case 34: goto tr823;
		case 36: goto st522;
		case 39: goto tr825;
		case 47: goto tr826;
		case 64: goto st527;
		case 95: goto st530;
		case 123: goto tr829;
		case 125: goto tr830;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st519;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st530;
	} else
		goto st530;
	goto tr821;
st519:
case 519:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out519;
	if ( (*pdaRun->p) == 32 )
		goto st519;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st519;
	goto tr831;
tr823:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st520;
st520:
case 520:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out520;
	switch( (*pdaRun->p) ) {
		case 34: goto st521;
		case 92: goto st37;
	}
	goto st36;
st521:
case 521:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out521;
	if ( (*pdaRun->p) == 105 )
		goto tr834;
	goto tr833;
st37:
case 37:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out37;
	goto st36;
st36:
case 36:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out36;
	switch( (*pdaRun->p) ) {
		case 34: goto st521;
		case 92: goto st37;
	}
	goto st36;
st522:
case 522:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out522;
	switch( (*pdaRun->p) ) {
		case 36: goto tr835;
		case 95: goto st524;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st523;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st524;
	} else
		goto st524;
	goto tr832;
st524:
case 524:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out524;
	if ( (*pdaRun->p) == 95 )
		goto st524;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st524;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st524;
	} else
		goto st524;
	goto tr839;
st523:
case 523:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out523;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st523;
	goto tr838;
tr825:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st525;
st525:
case 525:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out525;
	switch( (*pdaRun->p) ) {
		case 39: goto st521;
		case 92: goto st39;
	}
	goto st38;
st39:
case 39:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out39;
	goto st38;
st38:
case 38:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out38;
	switch( (*pdaRun->p) ) {
		case 39: goto st521;
		case 92: goto st39;
	}
	goto st38;
tr826:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st526;
st526:
case 526:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out526;
	switch( (*pdaRun->p) ) {
		case 42: goto st40;
		case 47: goto st42;
	}
	goto tr832;
st40:
case 40:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out40;
	if ( (*pdaRun->p) == 42 )
		goto st41;
	goto st40;
st41:
case 41:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out41;
	switch( (*pdaRun->p) ) {
		case 42: goto st41;
		case 47: goto tr61;
	}
	goto st40;
st42:
case 42:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out42;
	if ( (*pdaRun->p) == 10 )
		goto tr61;
	goto st42;
st527:
case 527:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out527;
	if ( (*pdaRun->p) == 95 )
		goto st529;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st528;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st529;
	} else
		goto st529;
	goto tr832;
st529:
case 529:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out529;
	if ( (*pdaRun->p) == 95 )
		goto st529;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st529;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st529;
	} else
		goto st529;
	goto tr843;
st528:
case 528:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out528;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st528;
	goto tr842;
st530:
case 530:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out530;
	if ( (*pdaRun->p) == 95 )
		goto st530;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st530;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st530;
	} else
		goto st530;
	goto tr844;
tr845:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 171;
	goto out;
}
	goto st531;
st531:
case 531:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out531;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr845;
	}
out_switch:
	switch ( pdaRun->fsm_cs )
	{
	case 43: out43: pdaRun->fsm_cs = 43; goto out; 
	case 44: out44: if ( pdaRun->eof ) {goto tr110;
}pdaRun->fsm_cs = 44; goto out; 
	case 45: out45: if ( pdaRun->eof ) {goto tr111;
}pdaRun->fsm_cs = 45; goto out; 
	case 1: out1: pdaRun->fsm_cs = 1; goto out; 
	case 2: out2: pdaRun->fsm_cs = 2; goto out; 
	case 0: out0: pdaRun->fsm_cs = 0; goto out; 
	case 46: out46: if ( pdaRun->eof ) {goto tr113;
}pdaRun->fsm_cs = 46; goto out; 
	case 48: out48: if ( pdaRun->eof ) {goto tr116;
}pdaRun->fsm_cs = 48; goto out; 
	case 49: out49: if ( pdaRun->eof ) {goto tr118;
}pdaRun->fsm_cs = 49; goto out; 
	case 50: out50: if ( pdaRun->eof ) {goto tr120;
}pdaRun->fsm_cs = 50; goto out; 
	case 51: out51: if ( pdaRun->eof ) {goto tr122;
}pdaRun->fsm_cs = 51; goto out; 
	case 3: out3: pdaRun->fsm_cs = 3; goto out; 
	case 53: out53: if ( pdaRun->eof ) {goto tr125;
}pdaRun->fsm_cs = 53; goto out; 
	case 54: out54: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 54; goto out; 
	case 52: out52: if ( pdaRun->eof ) {goto tr124;
}pdaRun->fsm_cs = 52; goto out; 
	case 55: out55: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 55; goto out; 
	case 56: out56: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 56; goto out; 
	case 57: out57: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 57; goto out; 
	case 58: out58: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 58; goto out; 
	case 59: out59: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 59; goto out; 
	case 60: out60: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 60; goto out; 
	case 61: out61: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 61; goto out; 
	case 62: out62: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 62; goto out; 
	case 63: out63: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 63; goto out; 
	case 64: out64: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 64; goto out; 
	case 65: out65: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 65; goto out; 
	case 66: out66: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 66; goto out; 
	case 67: out67: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 67; goto out; 
	case 68: out68: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 68; goto out; 
	case 69: out69: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 69; goto out; 
	case 70: out70: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 70; goto out; 
	case 71: out71: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 71; goto out; 
	case 72: out72: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 72; goto out; 
	case 73: out73: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 73; goto out; 
	case 74: out74: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 74; goto out; 
	case 75: out75: if ( pdaRun->eof ) {goto tr154;
}pdaRun->fsm_cs = 75; goto out; 
	case 76: out76: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 76; goto out; 
	case 77: out77: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 77; goto out; 
	case 78: out78: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 78; goto out; 
	case 79: out79: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 79; goto out; 
	case 80: out80: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 80; goto out; 
	case 81: out81: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 81; goto out; 
	case 82: out82: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 82; goto out; 
	case 83: out83: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 83; goto out; 
	case 84: out84: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 84; goto out; 
	case 85: out85: if ( pdaRun->eof ) {goto tr165;
}pdaRun->fsm_cs = 85; goto out; 
	case 86: out86: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 86; goto out; 
	case 87: out87: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 87; goto out; 
	case 88: out88: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 88; goto out; 
	case 89: out89: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 89; goto out; 
	case 90: out90: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 90; goto out; 
	case 91: out91: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 91; goto out; 
	case 92: out92: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 92; goto out; 
	case 93: out93: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 93; goto out; 
	case 94: out94: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 94; goto out; 
	case 95: out95: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 95; goto out; 
	case 96: out96: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 96; goto out; 
	case 97: out97: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 97; goto out; 
	case 98: out98: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 98; goto out; 
	case 99: out99: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 99; goto out; 
	case 100: out100: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 100; goto out; 
	case 101: out101: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 101; goto out; 
	case 102: out102: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 102; goto out; 
	case 103: out103: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 103; goto out; 
	case 104: out104: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 104; goto out; 
	case 105: out105: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 105; goto out; 
	case 106: out106: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 106; goto out; 
	case 107: out107: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 107; goto out; 
	case 108: out108: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 108; goto out; 
	case 109: out109: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 109; goto out; 
	case 110: out110: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 110; goto out; 
	case 111: out111: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 111; goto out; 
	case 112: out112: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 112; goto out; 
	case 113: out113: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 113; goto out; 
	case 114: out114: if ( pdaRun->eof ) {goto tr203;
}pdaRun->fsm_cs = 114; goto out; 
	case 115: out115: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 115; goto out; 
	case 116: out116: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 116; goto out; 
	case 117: out117: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 117; goto out; 
	case 118: out118: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 118; goto out; 
	case 119: out119: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 119; goto out; 
	case 120: out120: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 120; goto out; 
	case 121: out121: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 121; goto out; 
	case 122: out122: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 122; goto out; 
	case 123: out123: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 123; goto out; 
	case 124: out124: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 124; goto out; 
	case 125: out125: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 125; goto out; 
	case 126: out126: if ( pdaRun->eof ) {goto tr220;
}pdaRun->fsm_cs = 126; goto out; 
	case 127: out127: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 127; goto out; 
	case 128: out128: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 128; goto out; 
	case 129: out129: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 129; goto out; 
	case 130: out130: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 130; goto out; 
	case 131: out131: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 131; goto out; 
	case 132: out132: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 132; goto out; 
	case 133: out133: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 133; goto out; 
	case 134: out134: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 134; goto out; 
	case 135: out135: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 135; goto out; 
	case 136: out136: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 136; goto out; 
	case 137: out137: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 137; goto out; 
	case 138: out138: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 138; goto out; 
	case 139: out139: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 139; goto out; 
	case 140: out140: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 140; goto out; 
	case 141: out141: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 141; goto out; 
	case 142: out142: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 142; goto out; 
	case 143: out143: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 143; goto out; 
	case 144: out144: if ( pdaRun->eof ) {goto tr242;
}pdaRun->fsm_cs = 144; goto out; 
	case 145: out145: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 145; goto out; 
	case 146: out146: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 146; goto out; 
	case 147: out147: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 147; goto out; 
	case 148: out148: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 148; goto out; 
	case 149: out149: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 149; goto out; 
	case 150: out150: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 150; goto out; 
	case 151: out151: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 151; goto out; 
	case 152: out152: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 152; goto out; 
	case 153: out153: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 153; goto out; 
	case 154: out154: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 154; goto out; 
	case 155: out155: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 155; goto out; 
	case 156: out156: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 156; goto out; 
	case 157: out157: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 157; goto out; 
	case 158: out158: if ( pdaRun->eof ) {goto tr260;
}pdaRun->fsm_cs = 158; goto out; 
	case 159: out159: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 159; goto out; 
	case 160: out160: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 160; goto out; 
	case 161: out161: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 161; goto out; 
	case 162: out162: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 162; goto out; 
	case 163: out163: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 163; goto out; 
	case 164: out164: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 164; goto out; 
	case 165: out165: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 165; goto out; 
	case 166: out166: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 166; goto out; 
	case 167: out167: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 167; goto out; 
	case 168: out168: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 168; goto out; 
	case 169: out169: if ( pdaRun->eof ) {goto tr274;
}pdaRun->fsm_cs = 169; goto out; 
	case 170: out170: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 170; goto out; 
	case 171: out171: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 171; goto out; 
	case 172: out172: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 172; goto out; 
	case 173: out173: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 173; goto out; 
	case 174: out174: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 174; goto out; 
	case 175: out175: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 175; goto out; 
	case 176: out176: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 176; goto out; 
	case 177: out177: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 177; goto out; 
	case 178: out178: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 178; goto out; 
	case 179: out179: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 179; goto out; 
	case 180: out180: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 180; goto out; 
	case 181: out181: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 181; goto out; 
	case 182: out182: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 182; goto out; 
	case 183: out183: if ( pdaRun->eof ) {goto tr291;
}pdaRun->fsm_cs = 183; goto out; 
	case 184: out184: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 184; goto out; 
	case 185: out185: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 185; goto out; 
	case 186: out186: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 186; goto out; 
	case 187: out187: if ( pdaRun->eof ) {goto tr297;
}pdaRun->fsm_cs = 187; goto out; 
	case 188: out188: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 188; goto out; 
	case 189: out189: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 189; goto out; 
	case 190: out190: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 190; goto out; 
	case 191: out191: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 191; goto out; 
	case 192: out192: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 192; goto out; 
	case 193: out193: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 193; goto out; 
	case 194: out194: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 194; goto out; 
	case 195: out195: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 195; goto out; 
	case 196: out196: if ( pdaRun->eof ) {goto tr314;
}pdaRun->fsm_cs = 196; goto out; 
	case 197: out197: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 197; goto out; 
	case 198: out198: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 198; goto out; 
	case 199: out199: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 199; goto out; 
	case 200: out200: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 200; goto out; 
	case 201: out201: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 201; goto out; 
	case 202: out202: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 202; goto out; 
	case 203: out203: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 203; goto out; 
	case 204: out204: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 204; goto out; 
	case 205: out205: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 205; goto out; 
	case 206: out206: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 206; goto out; 
	case 207: out207: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 207; goto out; 
	case 208: out208: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 208; goto out; 
	case 209: out209: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 209; goto out; 
	case 210: out210: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 210; goto out; 
	case 211: out211: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 211; goto out; 
	case 212: out212: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 212; goto out; 
	case 213: out213: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 213; goto out; 
	case 214: out214: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 214; goto out; 
	case 215: out215: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 215; goto out; 
	case 216: out216: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 216; goto out; 
	case 217: out217: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 217; goto out; 
	case 218: out218: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 218; goto out; 
	case 219: out219: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 219; goto out; 
	case 220: out220: if ( pdaRun->eof ) {goto tr341;
}pdaRun->fsm_cs = 220; goto out; 
	case 221: out221: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 221; goto out; 
	case 222: out222: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 222; goto out; 
	case 223: out223: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 223; goto out; 
	case 224: out224: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 224; goto out; 
	case 225: out225: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 225; goto out; 
	case 226: out226: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 226; goto out; 
	case 227: out227: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 227; goto out; 
	case 228: out228: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 228; goto out; 
	case 229: out229: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 229; goto out; 
	case 230: out230: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 230; goto out; 
	case 231: out231: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 231; goto out; 
	case 232: out232: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 232; goto out; 
	case 233: out233: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 233; goto out; 
	case 234: out234: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 234; goto out; 
	case 235: out235: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 235; goto out; 
	case 236: out236: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 236; goto out; 
	case 237: out237: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 237; goto out; 
	case 238: out238: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 238; goto out; 
	case 239: out239: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 239; goto out; 
	case 240: out240: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 240; goto out; 
	case 241: out241: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 241; goto out; 
	case 242: out242: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 242; goto out; 
	case 243: out243: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 243; goto out; 
	case 244: out244: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 244; goto out; 
	case 245: out245: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 245; goto out; 
	case 246: out246: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 246; goto out; 
	case 247: out247: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 247; goto out; 
	case 248: out248: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 248; goto out; 
	case 249: out249: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 249; goto out; 
	case 250: out250: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 250; goto out; 
	case 251: out251: if ( pdaRun->eof ) {goto tr375;
}pdaRun->fsm_cs = 251; goto out; 
	case 47: out47: if ( pdaRun->eof ) {goto tr115;
}pdaRun->fsm_cs = 47; goto out; 
	case 252: out252: pdaRun->fsm_cs = 252; goto out; 
	case 253: out253: if ( pdaRun->eof ) {goto tr423;
}pdaRun->fsm_cs = 253; goto out; 
	case 4: out4: pdaRun->fsm_cs = 4; goto out; 
	case 254: out254: if ( pdaRun->eof ) {goto tr425;
}pdaRun->fsm_cs = 254; goto out; 
	case 256: out256: if ( pdaRun->eof ) {goto tr428;
}pdaRun->fsm_cs = 256; goto out; 
	case 257: out257: if ( pdaRun->eof ) {goto tr430;
}pdaRun->fsm_cs = 257; goto out; 
	case 258: out258: if ( pdaRun->eof ) {goto tr432;
}pdaRun->fsm_cs = 258; goto out; 
	case 259: out259: if ( pdaRun->eof ) {goto tr434;
}pdaRun->fsm_cs = 259; goto out; 
	case 5: out5: pdaRun->fsm_cs = 5; goto out; 
	case 261: out261: if ( pdaRun->eof ) {goto tr437;
}pdaRun->fsm_cs = 261; goto out; 
	case 262: out262: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 262; goto out; 
	case 260: out260: if ( pdaRun->eof ) {goto tr436;
}pdaRun->fsm_cs = 260; goto out; 
	case 263: out263: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 263; goto out; 
	case 264: out264: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 264; goto out; 
	case 265: out265: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 265; goto out; 
	case 266: out266: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 266; goto out; 
	case 267: out267: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 267; goto out; 
	case 268: out268: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 268; goto out; 
	case 269: out269: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 269; goto out; 
	case 270: out270: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 270; goto out; 
	case 271: out271: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 271; goto out; 
	case 272: out272: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 272; goto out; 
	case 273: out273: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 273; goto out; 
	case 274: out274: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 274; goto out; 
	case 275: out275: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 275; goto out; 
	case 276: out276: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 276; goto out; 
	case 277: out277: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 277; goto out; 
	case 278: out278: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 278; goto out; 
	case 279: out279: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 279; goto out; 
	case 280: out280: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 280; goto out; 
	case 281: out281: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 281; goto out; 
	case 282: out282: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 282; goto out; 
	case 283: out283: if ( pdaRun->eof ) {goto tr466;
}pdaRun->fsm_cs = 283; goto out; 
	case 284: out284: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 284; goto out; 
	case 285: out285: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 285; goto out; 
	case 286: out286: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 286; goto out; 
	case 287: out287: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 287; goto out; 
	case 288: out288: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 288; goto out; 
	case 289: out289: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 289; goto out; 
	case 290: out290: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 290; goto out; 
	case 291: out291: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 291; goto out; 
	case 292: out292: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 292; goto out; 
	case 293: out293: if ( pdaRun->eof ) {goto tr477;
}pdaRun->fsm_cs = 293; goto out; 
	case 294: out294: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 294; goto out; 
	case 295: out295: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 295; goto out; 
	case 296: out296: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 296; goto out; 
	case 297: out297: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 297; goto out; 
	case 298: out298: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 298; goto out; 
	case 299: out299: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 299; goto out; 
	case 300: out300: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 300; goto out; 
	case 301: out301: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 301; goto out; 
	case 302: out302: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 302; goto out; 
	case 303: out303: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 303; goto out; 
	case 304: out304: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 304; goto out; 
	case 305: out305: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 305; goto out; 
	case 306: out306: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 306; goto out; 
	case 307: out307: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 307; goto out; 
	case 308: out308: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 308; goto out; 
	case 309: out309: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 309; goto out; 
	case 310: out310: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 310; goto out; 
	case 311: out311: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 311; goto out; 
	case 312: out312: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 312; goto out; 
	case 313: out313: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 313; goto out; 
	case 314: out314: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 314; goto out; 
	case 315: out315: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 315; goto out; 
	case 316: out316: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 316; goto out; 
	case 317: out317: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 317; goto out; 
	case 318: out318: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 318; goto out; 
	case 319: out319: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 319; goto out; 
	case 320: out320: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 320; goto out; 
	case 321: out321: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 321; goto out; 
	case 322: out322: if ( pdaRun->eof ) {goto tr515;
}pdaRun->fsm_cs = 322; goto out; 
	case 323: out323: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 323; goto out; 
	case 324: out324: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 324; goto out; 
	case 325: out325: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 325; goto out; 
	case 326: out326: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 326; goto out; 
	case 327: out327: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 327; goto out; 
	case 328: out328: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 328; goto out; 
	case 329: out329: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 329; goto out; 
	case 330: out330: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 330; goto out; 
	case 331: out331: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 331; goto out; 
	case 332: out332: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 332; goto out; 
	case 333: out333: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 333; goto out; 
	case 334: out334: if ( pdaRun->eof ) {goto tr532;
}pdaRun->fsm_cs = 334; goto out; 
	case 335: out335: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 335; goto out; 
	case 336: out336: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 336; goto out; 
	case 337: out337: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 337; goto out; 
	case 338: out338: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 338; goto out; 
	case 339: out339: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 339; goto out; 
	case 340: out340: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 340; goto out; 
	case 341: out341: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 341; goto out; 
	case 342: out342: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 342; goto out; 
	case 343: out343: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 343; goto out; 
	case 344: out344: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 344; goto out; 
	case 345: out345: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 345; goto out; 
	case 346: out346: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 346; goto out; 
	case 347: out347: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 347; goto out; 
	case 348: out348: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 348; goto out; 
	case 349: out349: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 349; goto out; 
	case 350: out350: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 350; goto out; 
	case 351: out351: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 351; goto out; 
	case 352: out352: if ( pdaRun->eof ) {goto tr554;
}pdaRun->fsm_cs = 352; goto out; 
	case 353: out353: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 353; goto out; 
	case 354: out354: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 354; goto out; 
	case 355: out355: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 355; goto out; 
	case 356: out356: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 356; goto out; 
	case 357: out357: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 357; goto out; 
	case 358: out358: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 358; goto out; 
	case 359: out359: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 359; goto out; 
	case 360: out360: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 360; goto out; 
	case 361: out361: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 361; goto out; 
	case 362: out362: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 362; goto out; 
	case 363: out363: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 363; goto out; 
	case 364: out364: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 364; goto out; 
	case 365: out365: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 365; goto out; 
	case 366: out366: if ( pdaRun->eof ) {goto tr572;
}pdaRun->fsm_cs = 366; goto out; 
	case 367: out367: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 367; goto out; 
	case 368: out368: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 368; goto out; 
	case 369: out369: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 369; goto out; 
	case 370: out370: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 370; goto out; 
	case 371: out371: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 371; goto out; 
	case 372: out372: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 372; goto out; 
	case 373: out373: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 373; goto out; 
	case 374: out374: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 374; goto out; 
	case 375: out375: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 375; goto out; 
	case 376: out376: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 376; goto out; 
	case 377: out377: if ( pdaRun->eof ) {goto tr586;
}pdaRun->fsm_cs = 377; goto out; 
	case 378: out378: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 378; goto out; 
	case 379: out379: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 379; goto out; 
	case 380: out380: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 380; goto out; 
	case 381: out381: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 381; goto out; 
	case 382: out382: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 382; goto out; 
	case 383: out383: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 383; goto out; 
	case 384: out384: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 384; goto out; 
	case 385: out385: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 385; goto out; 
	case 386: out386: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 386; goto out; 
	case 387: out387: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 387; goto out; 
	case 388: out388: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 388; goto out; 
	case 389: out389: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 389; goto out; 
	case 390: out390: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 390; goto out; 
	case 391: out391: if ( pdaRun->eof ) {goto tr603;
}pdaRun->fsm_cs = 391; goto out; 
	case 392: out392: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 392; goto out; 
	case 393: out393: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 393; goto out; 
	case 394: out394: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 394; goto out; 
	case 395: out395: if ( pdaRun->eof ) {goto tr609;
}pdaRun->fsm_cs = 395; goto out; 
	case 396: out396: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 396; goto out; 
	case 397: out397: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 397; goto out; 
	case 398: out398: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 398; goto out; 
	case 399: out399: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 399; goto out; 
	case 400: out400: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 400; goto out; 
	case 401: out401: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 401; goto out; 
	case 402: out402: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 402; goto out; 
	case 403: out403: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 403; goto out; 
	case 404: out404: if ( pdaRun->eof ) {goto tr626;
}pdaRun->fsm_cs = 404; goto out; 
	case 405: out405: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 405; goto out; 
	case 406: out406: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 406; goto out; 
	case 407: out407: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 407; goto out; 
	case 408: out408: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 408; goto out; 
	case 409: out409: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 409; goto out; 
	case 410: out410: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 410; goto out; 
	case 411: out411: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 411; goto out; 
	case 412: out412: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 412; goto out; 
	case 413: out413: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 413; goto out; 
	case 414: out414: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 414; goto out; 
	case 415: out415: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 415; goto out; 
	case 416: out416: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 416; goto out; 
	case 417: out417: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 417; goto out; 
	case 418: out418: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 418; goto out; 
	case 419: out419: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 419; goto out; 
	case 420: out420: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 420; goto out; 
	case 421: out421: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 421; goto out; 
	case 422: out422: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 422; goto out; 
	case 423: out423: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 423; goto out; 
	case 424: out424: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 424; goto out; 
	case 425: out425: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 425; goto out; 
	case 426: out426: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 426; goto out; 
	case 427: out427: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 427; goto out; 
	case 428: out428: if ( pdaRun->eof ) {goto tr653;
}pdaRun->fsm_cs = 428; goto out; 
	case 429: out429: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 429; goto out; 
	case 430: out430: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 430; goto out; 
	case 431: out431: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 431; goto out; 
	case 432: out432: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 432; goto out; 
	case 433: out433: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 433; goto out; 
	case 434: out434: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 434; goto out; 
	case 435: out435: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 435; goto out; 
	case 436: out436: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 436; goto out; 
	case 437: out437: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 437; goto out; 
	case 438: out438: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 438; goto out; 
	case 439: out439: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 439; goto out; 
	case 440: out440: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 440; goto out; 
	case 441: out441: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 441; goto out; 
	case 442: out442: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 442; goto out; 
	case 443: out443: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 443; goto out; 
	case 444: out444: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 444; goto out; 
	case 445: out445: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 445; goto out; 
	case 446: out446: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 446; goto out; 
	case 447: out447: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 447; goto out; 
	case 448: out448: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 448; goto out; 
	case 449: out449: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 449; goto out; 
	case 450: out450: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 450; goto out; 
	case 451: out451: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 451; goto out; 
	case 452: out452: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 452; goto out; 
	case 453: out453: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 453; goto out; 
	case 454: out454: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 454; goto out; 
	case 455: out455: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 455; goto out; 
	case 456: out456: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 456; goto out; 
	case 457: out457: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 457; goto out; 
	case 458: out458: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 458; goto out; 
	case 459: out459: if ( pdaRun->eof ) {goto tr687;
}pdaRun->fsm_cs = 459; goto out; 
	case 255: out255: if ( pdaRun->eof ) {goto tr427;
}pdaRun->fsm_cs = 255; goto out; 
	case 460: out460: pdaRun->fsm_cs = 460; goto out; 
	case 461: out461: if ( pdaRun->eof ) {goto tr690;
}pdaRun->fsm_cs = 461; goto out; 
	case 6: out6: pdaRun->fsm_cs = 6; goto out; 
	case 462: out462: pdaRun->fsm_cs = 462; goto out; 
	case 7: out7: if ( pdaRun->eof ) {goto tr12;
}pdaRun->fsm_cs = 7; goto out; 
	case 463: out463: if ( pdaRun->eof ) {goto tr696;
}pdaRun->fsm_cs = 463; goto out; 
	case 464: out464: pdaRun->fsm_cs = 464; goto out; 
	case 8: out8: if ( pdaRun->eof ) {goto tr14;
}pdaRun->fsm_cs = 8; goto out; 
	case 465: out465: if ( pdaRun->eof ) {goto tr702;
}pdaRun->fsm_cs = 465; goto out; 
	case 466: out466: pdaRun->fsm_cs = 466; goto out; 
	case 467: out467: pdaRun->fsm_cs = 467; goto out; 
	case 9: out9: if ( pdaRun->eof ) {goto tr16;
}pdaRun->fsm_cs = 9; goto out; 
	case 468: out468: if ( pdaRun->eof ) {goto tr707;
}pdaRun->fsm_cs = 468; goto out; 
	case 469: out469: pdaRun->fsm_cs = 469; goto out; 
	case 10: out10: if ( pdaRun->eof ) {goto tr18;
}pdaRun->fsm_cs = 10; goto out; 
	case 470: out470: if ( pdaRun->eof ) {goto tr711;
}pdaRun->fsm_cs = 470; goto out; 
	case 471: out471: pdaRun->fsm_cs = 471; goto out; 
	case 472: out472: pdaRun->fsm_cs = 472; goto out; 
	case 473: out473: if ( pdaRun->eof ) {goto tr715;
}pdaRun->fsm_cs = 473; goto out; 
	case 474: out474: pdaRun->fsm_cs = 474; goto out; 
	case 475: out475: if ( pdaRun->eof ) {goto tr718;
}pdaRun->fsm_cs = 475; goto out; 
	case 476: out476: pdaRun->fsm_cs = 476; goto out; 
	case 477: out477: pdaRun->fsm_cs = 477; goto out; 
	case 478: out478: if ( pdaRun->eof ) {goto tr738;
}pdaRun->fsm_cs = 478; goto out; 
	case 11: out11: pdaRun->fsm_cs = 11; goto out; 
	case 479: out479: if ( pdaRun->eof ) {goto tr739;
}pdaRun->fsm_cs = 479; goto out; 
	case 12: out12: pdaRun->fsm_cs = 12; goto out; 
	case 13: out13: pdaRun->fsm_cs = 13; goto out; 
	case 14: out14: pdaRun->fsm_cs = 14; goto out; 
	case 15: out15: pdaRun->fsm_cs = 15; goto out; 
	case 480: out480: if ( pdaRun->eof ) {goto tr741;
}pdaRun->fsm_cs = 480; goto out; 
	case 481: out481: if ( pdaRun->eof ) {goto tr743;
}pdaRun->fsm_cs = 481; goto out; 
	case 482: out482: if ( pdaRun->eof ) {goto tr745;
}pdaRun->fsm_cs = 482; goto out; 
	case 483: out483: if ( pdaRun->eof ) {goto tr747;
}pdaRun->fsm_cs = 483; goto out; 
	case 16: out16: if ( pdaRun->eof ) {goto tr26;
}pdaRun->fsm_cs = 16; goto out; 
	case 485: out485: if ( pdaRun->eof ) {goto tr749;
}pdaRun->fsm_cs = 485; goto out; 
	case 484: out484: if ( pdaRun->eof ) {goto tr747;
}pdaRun->fsm_cs = 484; goto out; 
	case 17: out17: pdaRun->fsm_cs = 17; goto out; 
	case 486: out486: if ( pdaRun->eof ) {goto tr750;
}pdaRun->fsm_cs = 486; goto out; 
	case 18: out18: pdaRun->fsm_cs = 18; goto out; 
	case 488: out488: if ( pdaRun->eof ) {goto tr753;
}pdaRun->fsm_cs = 488; goto out; 
	case 487: out487: if ( pdaRun->eof ) {goto tr752;
}pdaRun->fsm_cs = 487; goto out; 
	case 489: out489: pdaRun->fsm_cs = 489; goto out; 
	case 19: out19: pdaRun->fsm_cs = 19; goto out; 
	case 490: out490: if ( pdaRun->eof ) {goto tr772;
}pdaRun->fsm_cs = 490; goto out; 
	case 20: out20: pdaRun->fsm_cs = 20; goto out; 
	case 21: out21: pdaRun->fsm_cs = 21; goto out; 
	case 22: out22: pdaRun->fsm_cs = 22; goto out; 
	case 491: out491: if ( pdaRun->eof ) {goto tr774;
}pdaRun->fsm_cs = 491; goto out; 
	case 492: out492: if ( pdaRun->eof ) {goto tr776;
}pdaRun->fsm_cs = 492; goto out; 
	case 493: out493: if ( pdaRun->eof ) {goto tr778;
}pdaRun->fsm_cs = 493; goto out; 
	case 494: out494: if ( pdaRun->eof ) {goto tr780;
}pdaRun->fsm_cs = 494; goto out; 
	case 23: out23: if ( pdaRun->eof ) {goto tr35;
}pdaRun->fsm_cs = 23; goto out; 
	case 496: out496: if ( pdaRun->eof ) {goto tr782;
}pdaRun->fsm_cs = 496; goto out; 
	case 495: out495: if ( pdaRun->eof ) {goto tr780;
}pdaRun->fsm_cs = 495; goto out; 
	case 24: out24: pdaRun->fsm_cs = 24; goto out; 
	case 497: out497: if ( pdaRun->eof ) {goto tr783;
}pdaRun->fsm_cs = 497; goto out; 
	case 25: out25: pdaRun->fsm_cs = 25; goto out; 
	case 499: out499: if ( pdaRun->eof ) {goto tr786;
}pdaRun->fsm_cs = 499; goto out; 
	case 498: out498: if ( pdaRun->eof ) {goto tr785;
}pdaRun->fsm_cs = 498; goto out; 
	case 500: out500: pdaRun->fsm_cs = 500; goto out; 
	case 501: out501: if ( pdaRun->eof ) {goto tr789;
}pdaRun->fsm_cs = 501; goto out; 
	case 26: out26: pdaRun->fsm_cs = 26; goto out; 
	case 502: out502: pdaRun->fsm_cs = 502; goto out; 
	case 27: out27: pdaRun->fsm_cs = 27; goto out; 
	case 503: out503: pdaRun->fsm_cs = 503; goto out; 
	case 28: out28: pdaRun->fsm_cs = 28; goto out; 
	case 504: out504: pdaRun->fsm_cs = 504; goto out; 
	case 505: out505: pdaRun->fsm_cs = 505; goto out; 
	case 506: out506: if ( pdaRun->eof ) {goto tr807;
}pdaRun->fsm_cs = 506; goto out; 
	case 507: out507: if ( pdaRun->eof ) {goto tr808;
}pdaRun->fsm_cs = 507; goto out; 
	case 508: out508: if ( pdaRun->eof ) {goto tr809;
}pdaRun->fsm_cs = 508; goto out; 
	case 30: out30: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 30; goto out; 
	case 29: out29: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 29; goto out; 
	case 509: out509: if ( pdaRun->eof ) {goto tr808;
}pdaRun->fsm_cs = 509; goto out; 
	case 511: out511: if ( pdaRun->eof ) {goto tr815;
}pdaRun->fsm_cs = 511; goto out; 
	case 510: out510: if ( pdaRun->eof ) {goto tr814;
}pdaRun->fsm_cs = 510; goto out; 
	case 512: out512: if ( pdaRun->eof ) {goto tr808;
}pdaRun->fsm_cs = 512; goto out; 
	case 32: out32: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 32; goto out; 
	case 31: out31: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 31; goto out; 
	case 513: out513: if ( pdaRun->eof ) {goto tr808;
}pdaRun->fsm_cs = 513; goto out; 
	case 33: out33: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 33; goto out; 
	case 34: out34: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 34; goto out; 
	case 35: out35: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 35; goto out; 
	case 514: out514: if ( pdaRun->eof ) {goto tr808;
}pdaRun->fsm_cs = 514; goto out; 
	case 516: out516: if ( pdaRun->eof ) {goto tr819;
}pdaRun->fsm_cs = 516; goto out; 
	case 515: out515: if ( pdaRun->eof ) {goto tr818;
}pdaRun->fsm_cs = 515; goto out; 
	case 517: out517: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 517; goto out; 
	case 518: out518: pdaRun->fsm_cs = 518; goto out; 
	case 519: out519: if ( pdaRun->eof ) {goto tr831;
}pdaRun->fsm_cs = 519; goto out; 
	case 520: out520: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 520; goto out; 
	case 521: out521: if ( pdaRun->eof ) {goto tr833;
}pdaRun->fsm_cs = 521; goto out; 
	case 37: out37: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 37; goto out; 
	case 36: out36: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 36; goto out; 
	case 522: out522: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 522; goto out; 
	case 524: out524: if ( pdaRun->eof ) {goto tr839;
}pdaRun->fsm_cs = 524; goto out; 
	case 523: out523: if ( pdaRun->eof ) {goto tr838;
}pdaRun->fsm_cs = 523; goto out; 
	case 525: out525: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 525; goto out; 
	case 39: out39: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 39; goto out; 
	case 38: out38: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 38; goto out; 
	case 526: out526: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 526; goto out; 
	case 40: out40: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 40; goto out; 
	case 41: out41: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 41; goto out; 
	case 42: out42: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 42; goto out; 
	case 527: out527: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 527; goto out; 
	case 529: out529: if ( pdaRun->eof ) {goto tr843;
}pdaRun->fsm_cs = 529; goto out; 
	case 528: out528: if ( pdaRun->eof ) {goto tr842;
}pdaRun->fsm_cs = 528; goto out; 
	case 530: out530: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 530; goto out; 
	case 531: out531: pdaRun->fsm_cs = 531; goto out; 
	}
out:
	if ( pdaRun->p != 0 )
		pdaRun->toklen += pdaRun->p - pdaRun->start;
skip_toklen:
	{}
}

static void sendNamedLangEl( struct colm_program *prg, tree_t **tree,
		struct pda_run *pdaRun, struct stream_impl *inputStream ) { }
static void initBindings( struct pda_run *pdaRun ) {}
static void popBinding( struct pda_run *pdaRun, parse_tree_t *tree ) {}


static int pid_0_parser_indicies[] = {
	27, 28, 822, 25, 23, 26, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	823, 83, 84, 30, 51, 36, 37, 41, 
	39, 127, 126, 124, 105, 107, 111, 109, 
	113, 209, 32, 155, 46, 42, 43, 44, 
	167, 49, 157, 97, 47, 45, 993, 98, 
	38, 182, 129, 101, 103, 95, 94, 96, 
	24, 53, 52, 858, 79, 80, 81, 66, 
	67, 68, 50, 63, 78, 172, 116, 118, 
	120, 122, 993, 59, 104, 106, 110, 108, 
	112, 82, 170, 183, 156, 850, 993, 851, 
	993, 142, 143, 144, 184, 147, 224, 73, 
	74, 75, 76, 100, 102, 177, 176, 178, 
	845, 845, 845, 845, 845, 174, 826, 162, 
	826, 163, 226, 993, 888, 165, 164, 166, 
	1010, 192, 234, 237, 238, 887, 256, 845, 
	845, 302, 312, 1010, 192, 336, 334, 348, 
	1009, 354, 349, 350, 351, 1109, 355, 61, 
	358, 360, 359, 346, 347, 225, 399, 827, 
	427, 827, 433, 434, 263, 917, 828, 436, 
	828, 212, 213, 428, 429, 430, 993, 437, 
	0, 2, 21, 19, 48, 342, 343, 18, 
	20, 438, 17, 16, 14, 395, 179, 180, 
	181, 31, 12, 13, 464, 29, 10, 4, 
	204, 205, 993, 128, 22, 134, 136, 138, 
	140, 11, 993, 468, 479, 8, 9, 3, 
	130, 5, 6, 467, 480, 7, 481, 482, 
	826, 826, 483, 488, 490, 1112, 1112, 190, 
	993, 15, 494, 152, 500, 999, 999, 999, 
	999, 999, 501, 346, 347, 35, 33, 34, 
	58, 69, 70, 71, 72, 173, 77, 93, 
	65, 342, 343, 502, 999, 999, 506, 152, 
	511, 827, 827, 327, 329, 175, 993, 191, 
	828, 828, 513, 206, 146, 1112, 1112, 190, 
	182, 857, 244, 1139, 1139, 466, 516, 114, 
	99, 91, 40, 993, 520, 1112, 1112, 190, 
	540, 160, 993, 826, 345, 322, 1, 207, 
	208, 27, 28, 1110, 25, 23, 26, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, 168, 83, 84, 30, 51, 36, 37, 
	41, 39, 341, 845, 845, 105, 107, 111, 
	109, 113, 227, 32, 827, 46, 42, 43, 
	44, 857, 49, 828, 97, 47, 45, 541, 
	98, 38, 858, 152, 101, 103, 95, 94, 
	96, 24, 53, 52, 542, 79, 80, 81, 
	66, 67, 68, 50, 63, 78, 1112, 116, 
	118, 120, 122, 569, 227, 577, 1141, 152, 
	570, 916, 82, 1119, 426, 153, 993, 152, 
	992, 435, 992, 1115, 1112, 1112, 190, 1137, 
	73, 74, 75, 76, 212, 213, 425, 1010, 
	192, 133, 132, 131, 578, 152, 189, 405, 
	1141, 154, 993, 1060, 1060, 1060, 1112, 1060, 
	592, 151, 993, 999, 999, 999, 999, 999, 
	1139, 1137, 593, 346, 347, 601, 1112, 841, 
	323, 325, 321, 600, 840, 1111, 1111, 393, 
	993, 927, 999, 999, 602, 1135, 1135, 608, 
	999, 999, 609, 145, 612, 1113, 243, 1070, 
	1071, 638, 146, 915, 526, 527, 528, 876, 
	617, 640, 2, 21, 19, 48, 337, 1110, 
	18, 20, 529, 17, 16, 14, 652, 631, 
	346, 347, 31, 12, 13, 993, 29, 10, 
	4, 134, 136, 138, 140, 22, 655, 1140, 
	1140, 188, 11, 187, 658, 661, 8, 9, 
	3, 630, 5, 6, 667, 656, 7, 657, 
	668, 672, 1136, 1136, 242, 487, 241, 1112, 
	1112, 190, 15, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 1112, 35, 33, 
	34, 58, 69, 70, 71, 72, 450, 77, 
	93, 65, 999, 999, 404, 1010, 192, 999, 
	999, 1140, 1140, 188, 674, 187, 327, 329, 
	1060, 1129, 146, 1001, 1001, 1001, 1001, 146, 
	267, 269, 271, 273, 505, 344, 440, 1122, 
	114, 99, 91, 40, 993, 877, 1111, 59, 
	1060, 85, 88, 86, 87, 89, 90, 203, 
	83, 84, 1135, 1129, 1010, 192, 487, 925, 
	992, 493, 487, 104, 106, 110, 108, 112, 
	519, 876, 1109, 876, 676, 842, 682, 1060, 
	236, 842, 97, 684, 342, 343, 98, 1010, 
	192, 568, 100, 102, 95, 94, 96, 993, 
	673, 993, 486, 79, 80, 81, 999, 999, 
	1125, 148, 993, 78, 1140, 116, 118, 120, 
	122, 1122, 104, 106, 110, 108, 112, 691, 
	82, 999, 999, 999, 999, 999, 698, 1136, 
	1112, 702, 152, 1117, 186, 926, 705, 342, 
	343, 100, 102, 707, 134, 136, 138, 140, 
	999, 999, 240, 998, 998, 998, 998, 998, 
	839, 993, 843, 711, 509, 133, 132, 275, 
	146, 1123, 843, 185, 604, 993, 1140, 685, 
	449, 716, 998, 998, 717, 686, 1122, 720, 
	403, 485, 484, 486, 239, 485, 613, 486, 
	844, 1133, 998, 526, 527, 528, 186, 877, 
	844, 877, 709, 323, 325, 497, 710, 718, 
	525, 529, 510, 545, 725, 726, 999, 999, 
	444, 149, 728, 999, 999, 262, 150, 724, 
	730, 233, 518, 1133, 517, 340, 266, 265, 
	264, 731, 1001, 1001, 1001, 1123, 573, 719, 
	1110, 567, 519, 738, 0, 2, 21, 19, 
	48, 346, 347, 18, 20, 741, 17, 16, 
	14, 743, 179, 180, 181, 31, 12, 13, 
	744, 29, 10, 4, 204, 205, 750, 128, 
	22, 734, 752, 735, 753, 11, -1, 1127, 
	1127, 8, 9, 3, 206, 5, 6, -1, 
	235, 7, 492, 491, 610, 198, 92, 64, 
	838, -1, 1106, 1106, -1, 15, -1, 152, 
	838, 1122, -1, 346, 347, 267, 269, 271, 
	273, 35, 33, 34, 58, 69, 70, 71, 
	72, 173, 77, 92, 64, -1, 114, 99, 
	91, 159, 993, 152, 59, 1001, 1001, 1001, 
	1001, 175, 1122, 191, -1, 257, 208, 206, 
	440, -1, 1010, 192, 999, 999, 244, 171, 
	133, 132, 276, 114, 99, 91, 40, 85, 
	88, 86, 87, 89, 90, 160, 83, 84, 
	345, -1, 1, 207, 208, -1, 998, 998, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	346, 347, 1123, 1123, 681, 168, -1, 993, 
	97, 993, 611, -1, 98, -1, 341, -1, 
	100, 102, 95, 94, 96, -1, 227, 1131, 
	1131, 79, 80, 81, -1, 526, 527, 528, 
	993, 78, -1, 116, 118, 120, 122, 152, 
	1106, 1106, 881, 529, 1127, -1, 82, 104, 
	106, 110, 108, 112, -1, 104, 106, 110, 
	108, 112, 620, 618, 73, 74, 75, 76, 
	227, 523, 1106, 152, 637, -1, 100, 102, 
	426, 153, -1, 152, 100, 102, -1, -1, 
	-1, -1, 892, -1, 892, 1122, 993, -1, 
	-1, -1, 425, -1, 993, 133, 132, 131, 
	-1, 152, 189, 405, 1122, 154, 1122, -1, 
	-1, 646, 1105, 1105, -1, 151, 620, 621, 
	342, 343, -1, 266, 265, 495, 233, -1, 
	-1, 683, 1107, 1107, 323, 325, 321, -1, 
	-1, -1, 439, 393, 1047, 1047, 1047, -1, 
	1047, -1, -1, -1, -1, -1, -1, 145, 
	-1, 654, 243, 104, 106, 110, 108, 112, 
	-1, 1001, 1001, 1001, -1, -1, 2, 21, 
	19, 48, 337, -1, 18, 20, -1, 17, 
	16, 14, 100, 102, 1131, -1, 31, 12, 
	13, -1, 29, 10, 4, 232, 1003, -1, 
	1003, 22, 993, 993, 575, 993, 11, 524, 
	1106, -1, 8, 9, 3, 574, 5, 6, 
	-1, -1, 7, -1, -1, 158, 69, 70, 
	71, 72, 619, 77, 92, 64, 15, 104, 
	106, 110, 108, 112, 1136, 1136, 242, -1, 
	241, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, 450, 77, 92, 64, 100, 102, 
	634, 635, 633, -1, 114, 99, 91, 159, 
	993, 1128, 1128, 448, 993, 447, 993, 1112, 
	1112, 190, 1105, 1010, 192, 636, 619, 892, 
	505, 344, 258, 208, 114, 99, 91, 40, 
	259, 208, 1107, 1108, 1108, 342, 343, 342, 
	343, 1047, -1, 203, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 1047, 763, 763, 763, 
	763, 763, 763, 763, 763, -1, -1, -1, 
	763, 763, 763, 763, 763, 568, 763, -1, 
	763, 763, 763, 763, 673, 763, 486, 763, 
	763, 763, -1, 763, 763, 148, 1047, 763, 
	763, 763, 763, 763, 763, 763, 763, -1, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, -1, 763, 763, 763, 763, 152, -1, 
	186, -1, -1, 1003, -1, 763, 260, 208, 
	714, 1136, -1, -1, 1003, -1, 240, -1, 
	-1, -1, -1, 763, 763, 763, 763, -1, 
	509, 133, 132, 275, 240, -1, -1, 185, 
	604, 346, 347, -1, 449, -1, 1128, -1, 
	1112, -1, 723, 446, 403, 485, 484, 486, 
	239, 485, 613, 486, -1, 632, 420, -1, 
	-1, -1, 186, -1, 342, 343, 424, 323, 
	325, 497, 653, 1108, 689, -1, 510, 545, 
	-1, 152, 261, 208, 444, 149, -1, -1, 
	508, -1, 150, -1, -1, 233, 518, 445, 
	517, 340, 266, 265, 264, 763, 763, 763, 
	763, -1, 573, 763, 763, 567, 763, 763, 
	763, -1, -1, 704, 993, 763, 763, 763, 
	-1, 763, 763, 763, 1001, 1001, 1001, 1001, 
	763, -1, -1, -1, -1, 763, -1, 440, 
	-1, 763, 763, 763, -1, 763, 763, 346, 
	347, 763, -1, -1, -1, 1128, 1128, 448, 
	206, 447, -1, -1, 235, 763, 492, 491, 
	610, 198, 92, 64, 104, 106, 110, 108, 
	112, 763, 763, 763, 763, 763, 763, 763, 
	763, -1, 763, 763, 763, -1, -1, -1, 
	-1, -1, 690, 100, 102, -1, 413, 414, 
	415, 412, 114, 99, 91, 159, 419, -1, 
	1112, 1112, 190, 993, 410, -1, 417, 418, 
	-1, 257, 208, 763, 763, 763, 763, 763, 
	-1, 739, -1, 171, 133, 132, 276, 1140, 
	1140, 188, 763, 187, -1, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, 764, -1, 764, 764, 
	764, 764, 764, 764, 764, 764, -1, -1, 
	681, 764, 764, 764, 764, 764, 611, 764, 
	-1, 764, 764, 764, 764, -1, 764, -1, 
	764, 764, 764, -1, 764, 764, -1, -1, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	740, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 1128, 764, 764, 764, 764, 446, 
	-1, 441, -1, -1, -1, -1, 764, 1001, 
	1001, 1001, 1001, -1, -1, 523, -1, -1, 
	637, -1, 440, -1, 764, 764, 764, 764, 
	1001, 1001, 1001, -1, 845, 845, 845, 845, 
	845, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1112, -1, 566, -1, -1, -1, -1, 
	-1, -1, -1, 845, 845, 646, -1, 406, 
	-1, 407, 408, 409, 416, 420, 411, 266, 
	265, 495, 233, 845, 1140, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 439, 307, 
	208, 544, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, 186, 654, 764, 764, 
	764, 764, -1, 763, 764, 764, -1, 764, 
	764, 764, -1, -1, 100, 102, 764, 764, 
	764, -1, 764, 764, 764, 1001, 1001, 1001, 
	1001, 764, -1, 507, 993, -1, 764, -1, 
	440, 232, 764, 764, 764, -1, 764, 764, 
	575, -1, 764, 524, 134, 136, 138, 140, 
	-1, 574, 1112, 1112, 190, -1, 764, -1, 
	-1, 158, 69, 70, 71, 72, 619, 77, 
	92, 64, 764, 764, 764, 764, 764, 764, 
	764, 764, -1, 764, 764, 764, -1, -1, 
	-1, 457, -1, 1004, 454, 455, 456, -1, 
	1130, 1048, 1048, 1048, 442, 1048, -1, -1, 
	114, 99, 91, 159, -1, -1, -1, -1, 
	134, 136, 138, 140, 764, 764, 764, 764, 
	764, 636, 619, 1001, 1001, 1001, 258, 208, 
	-1, -1, -1, 764, 259, 208, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, 765, -1, 765, 
	765, 765, 765, 765, 765, 765, 765, 845, 
	845, -1, 765, 765, 765, 765, 765, -1, 
	765, -1, 765, 765, 765, 765, -1, 765, 
	-1, 765, 765, 765, -1, 765, 765, -1, 
	-1, 765, 765, 765, 765, 765, 765, 765, 
	765, -1, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 1112, 765, 765, 765, 765, 
	-1, -1, 443, 799, -1, -1, -1, 765, 
	308, 208, -1, -1, 1132, 1132, 644, -1, 
	643, -1, 260, 208, 714, 765, 765, 765, 
	765, 1001, 1001, 1001, -1, 799, 799, 799, 
	799, 799, -1, 572, -1, -1, 1048, -1, 
	240, -1, -1, -1, -1, -1, -1, -1, 
	133, 132, 550, -1, 799, 799, 723, 446, 
	-1, 1048, -1, -1, -1, -1, 1004, -1, 
	-1, 632, 420, 453, 799, -1, -1, 1004, 
	452, -1, 424, -1, -1, -1, 653, -1, 
	689, -1, -1, -1, -1, 152, 261, 208, 
	-1, -1, -1, 1048, 508, -1, -1, 765, 
	765, 765, 765, 445, 764, 765, 765, -1, 
	765, 765, 765, -1, 133, 132, 551, 765, 
	765, 765, -1, 765, 765, 765, 451, 704, 
	-1, -1, 765, 557, 559, 561, 563, 765, 
	-1, -1, 1116, 765, 765, 765, -1, 765, 
	765, -1, -1, 765, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 765, 
	-1, -1, -1, -1, 104, 106, 110, 108, 
	112, 1132, -1, 765, 765, 765, 765, 765, 
	765, 765, 765, -1, 765, 765, 765, 642, 
	-1, -1, -1, 100, 102, 1017, 1017, 1017, 
	-1, 1017, 1112, 1112, 190, -1, 690, -1, 
	1112, 1112, 190, 993, -1, -1, 799, 799, 
	-1, 799, -1, -1, -1, 765, 765, 765, 
	765, 765, -1, -1, 641, 1136, 1136, 242, 
	-1, 241, -1, -1, 765, 739, -1, 766, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, -1, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	799, 799, -1, 766, 766, 766, 766, 766, 
	-1, 766, -1, 766, 766, 766, 766, -1, 
	766, -1, 766, 766, 766, -1, 766, 766, 
	-1, -1, 766, 766, 766, 766, 766, 766, 
	766, 766, -1, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 740, 766, 766, 766, 
	766, -1, 799, -1, -1, -1, -1, -1, 
	766, -1, -1, 446, 1013, 441, 1013, 1013, 
	1013, 1013, -1, 1013, -1, -1, 766, 766, 
	766, 766, 556, 555, 554, 299, 300, -1, 
	298, -1, 1017, 1112, -1, -1, -1, 1017, 
	-1, 1112, 1078, 1078, 1078, 1078, 534, 1076, 
	1076, 1076, 1078, 1076, -1, 1013, -1, 566, 
	1078, -1, 1078, 1078, 1076, 1076, 531, 532, 
	533, -1, 1136, 406, -1, 407, 408, 409, 
	416, 420, 411, 645, -1, -1, -1, 301, 
	208, 722, -1, 1017, -1, 240, -1, -1, 
	-1, -1, -1, 307, 208, 544, -1, -1, 
	766, 766, 766, 766, -1, 765, 766, 766, 
	186, 766, 766, 766, 267, 269, 271, 273, 
	766, 766, 766, -1, 766, 766, 766, 543, 
	-1, -1, 993, 766, 993, 693, 694, 695, 
	766, 297, -1, -1, 766, 766, 766, 507, 
	766, 766, -1, -1, 766, -1, -1, -1, 
	-1, -1, -1, -1, 1000, 1000, 1000, 1000, 
	766, 104, 106, 110, 108, 112, 104, 106, 
	110, 108, 112, -1, 766, 766, 766, 766, 
	766, 766, 766, 766, -1, 766, 766, 766, 
	100, 102, -1, -1, 1121, 100, 102, -1, 
	-1, -1, -1, 1061, 1061, 1061, -1, 1061, 
	993, 1013, -1, -1, -1, 993, 1013, 1121, 
	442, -1, 1013, 1013, -1, -1, 766, 766, 
	766, 766, 766, -1, 530, 1121, 1078, 1078, 
	1078, 1078, 1078, -1, -1, 766, -1, -1, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	-1, 767, 767, 767, 767, 767, 767, 767, 
	767, 1013, -1, -1, 767, 767, 767, 767, 
	767, -1, 767, -1, 767, 767, 767, 767, 
	-1, 767, -1, 767, 767, 767, -1, 767, 
	767, 1121, -1, 767, 767, 767, 767, 767, 
	767, 767, 767, -1, 767, 767, 767, 767, 
	767, 767, 767, 767, 767, -1, 767, 767, 
	767, 767, 266, 265, 675, 800, -1, 692, 
	-1, 767, -1, -1, -1, -1, 443, -1, 
	-1, -1, -1, -1, 308, 208, -1, 767, 
	767, 767, 767, -1, -1, -1, -1, 800, 
	800, 800, 800, 800, -1, 895, 1121, 895, 
	1061, 1034, 1034, 1034, 895, 1034, -1, 572, 
	1121, -1, -1, 1000, 1000, 1000, 800, 800, 
	1000, 1000, 1000, -1, 133, 132, 550, 1121, 
	1061, 1121, -1, -1, -1, -1, 800, -1, 
	-1, -1, -1, -1, 309, 208, -1, 453, 
	-1, 310, 208, -1, 452, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, 1061, 
	-1, 767, 767, 767, 767, -1, 766, 767, 
	767, -1, 767, 767, 767, -1, -1, 100, 
	102, 767, 767, 767, -1, 767, 767, 767, 
	133, 132, 551, -1, 767, -1, -1, 993, 
	-1, 767, 451, -1, -1, 767, 767, 767, 
	-1, 767, 767, -1, -1, 767, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 767, 104, 106, 110, 108, 112, 104, 
	106, 110, 108, 112, -1, 767, 767, 767, 
	767, 767, 767, 767, 767, -1, 767, 767, 
	767, 100, 102, -1, -1, -1, 100, 102, 
	895, 895, 614, 642, -1, -1, 1034, -1, 
	-1, 993, -1, -1, -1, -1, 993, -1, 
	800, 800, -1, 800, 1034, -1, -1, 767, 
	767, 767, 767, 767, -1, -1, -1, 1128, 
	1128, 448, 895, 447, -1, -1, 767, -1, 
	641, 768, 768, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 768, 768, 768, 768, 
	768, 1034, 768, 768, 768, 768, 768, 768, 
	768, 768, 800, 800, -1, 768, 768, 768, 
	768, 768, -1, 768, -1, 768, 768, 768, 
	768, -1, 768, -1, 768, 768, 768, -1, 
	768, 768, -1, -1, 768, 768, 768, 768, 
	768, 768, 768, 768, -1, 768, 768, 768, 
	768, 768, 768, 768, 768, 768, -1, 768, 
	768, 768, 768, -1, 800, -1, -1, -1, 
	-1, -1, 768, 311, 208, 539, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	768, 768, 768, 768, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 556, 555, 
	554, 299, 300, -1, 298, 1083, 1083, 1083, 
	1083, 1083, 1083, 1083, 1083, 1083, 1083, 535, 
	536, 538, 537, 1083, -1, 1083, 1083, 1083, 
	1083, 1083, 1083, 1083, 1128, -1, -1, -1, 
	-1, 446, -1, -1, -1, 314, 208, -1, 
	-1, -1, 315, 208, -1, -1, -1, 645, 
	-1, -1, -1, 301, 208, 722, -1, -1, 
	-1, 240, 768, 768, 768, 768, -1, 767, 
	768, 768, -1, 768, 768, 768, -1, -1, 
	-1, -1, 768, 768, 768, 571, 768, 768, 
	768, 134, 136, 138, 140, 768, -1, -1, 
	-1, -1, 768, 543, -1, -1, 768, 768, 
	768, -1, 768, 768, -1, 297, 768, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 768, 104, 106, 110, 108, 112, 
	104, 106, 110, 108, 112, -1, 768, 768, 
	768, 768, 768, 768, 768, 768, -1, 768, 
	768, 768, 100, 102, -1, -1, -1, 100, 
	102, 1018, 1018, 1018, -1, 1018, 413, 414, 
	415, 412, 993, -1, -1, -1, 419, 993, 
	-1, -1, -1, -1, 410, -1, 417, 418, 
	768, 768, 768, 768, 768, -1, -1, 1083, 
	-1, 1083, 1083, 1083, 1083, 1083, -1, 768, 
	530, -1, 769, 769, 769, 769, 769, 769, 
	769, 769, 769, 769, 769, 769, 769, 769, 
	769, 769, -1, 769, 769, 769, 769, 769, 
	769, 769, 769, -1, -1, -1, 769, 769, 
	769, 769, 769, -1, 769, -1, 769, 769, 
	769, 769, -1, 769, -1, 769, 769, 769, 
	-1, 769, 769, -1, -1, 769, 769, 769, 
	769, 769, 769, 769, 769, -1, 769, 769, 
	769, 769, 769, 769, 769, 769, 769, -1, 
	769, 769, 769, 769, -1, -1, 680, -1, 
	893, -1, -1, 769, 1092, 678, 266, 265, 
	675, -1, -1, 692, -1, -1, -1, -1, 
	-1, 769, 769, 769, 769, 133, 132, 552, 
	-1, -1, 894, -1, 894, -1, 1018, -1, 
	-1, 894, -1, 1018, 1092, 1092, 1092, 1092, 
	1092, 1092, 1092, 1092, 1092, 1092, 1092, 1092, 
	1092, 1092, 1092, -1, 1092, 1092, 1092, 1092, 
	1092, 1092, 1092, 522, 416, 420, 411, -1, 
	-1, -1, -1, -1, -1, -1, 320, 208, 
	-1, -1, -1, 333, 208, -1, -1, 1018, 
	309, 208, -1, -1, -1, 310, 208, -1, 
	-1, -1, -1, 769, 769, 769, 769, -1, 
	768, 769, 769, -1, 769, 769, 769, -1, 
	-1, -1, -1, 769, 769, 769, -1, 769, 
	769, 769, -1, -1, -1, -1, 769, -1, 
	-1, -1, -1, 769, -1, -1, -1, 769, 
	769, 769, -1, 769, 769, -1, -1, 769, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 677, 679, 769, 104, 106, 110, 108, 
	112, -1, -1, 134, 136, 138, 140, 769, 
	769, 769, 769, 769, 769, 769, 769, -1, 
	769, 769, 769, 100, 102, 894, 894, 413, 
	414, 415, 412, 893, -1, -1, -1, 419, 
	-1, -1, -1, 993, -1, 410, 614, 417, 
	418, 882, -1, -1, -1, -1, -1, -1, 
	-1, 769, 769, 769, 769, 769, 1092, 894, 
	1092, 1092, 1092, 1092, 1092, 1132, 1132, 644, 
	769, 643, -1, 770, 770, 770, 770, 770, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	770, 770, 770, -1, 770, 770, 770, 770, 
	770, 770, 770, 770, -1, -1, -1, 770, 
	770, 770, 770, 770, -1, 770, -1, 770, 
	770, 770, 770, -1, 770, -1, 770, 770, 
	770, -1, 770, 770, 421, -1, 770, 770, 
	770, 770, 770, 770, 770, 770, -1, 770, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	1094, 770, 770, 770, 770, -1, 890, -1, 
	890, -1, -1, -1, 770, 890, -1, -1, 
	-1, 1132, 1132, 644, -1, 643, -1, 311, 
	208, -1, 770, 770, 770, 770, -1, -1, 
	1094, 1094, 1094, 1094, 1094, 1094, 1094, 1094, 
	1094, 1094, 1094, 1094, 1094, 1094, 1094, -1, 
	1094, 1094, 1094, 1094, 1094, 1094, 1094, -1, 
	422, -1, 407, 408, 409, 416, 420, 411, 
	-1, -1, -1, -1, -1, -1, -1, 133, 
	132, 553, 1132, -1, -1, -1, -1, 338, 
	208, -1, -1, -1, -1, 446, -1, -1, 
	642, 314, 208, -1, -1, -1, 315, 208, 
	-1, -1, -1, -1, 770, 770, 770, 770, 
	-1, 769, 770, 770, -1, 770, 770, 770, 
	-1, -1, -1, -1, 770, 770, 770, -1, 
	770, 770, 770, -1, -1, 688, -1, 770, 
	-1, 571, -1, -1, 770, -1, -1, 1116, 
	770, 770, 770, -1, 770, 770, -1, -1, 
	770, -1, -1, -1, -1, -1, -1, -1, 
	-1, 890, 890, -1, 770, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, 1132, -1, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	-1, 770, 770, 770, 642, -1, -1, -1, 
	100, 102, -1, 890, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	993, -1, 1094, -1, 1094, 1094, 1094, 1094, 
	1094, -1, 770, 770, 770, 770, 770, -1, 
	-1, 721, -1, -1, 1035, 1035, 1035, -1, 
	1035, 770, -1, -1, 771, 771, 771, 771, 
	771, 771, 771, 771, 771, 771, 771, 771, 
	771, 771, 771, 771, -1, 771, 771, 771, 
	771, 771, 771, 771, 771, -1, -1, -1, 
	771, 771, 771, 771, 771, -1, 771, -1, 
	771, 771, 771, 771, -1, 771, -1, 771, 
	771, 771, -1, 771, 771, -1, -1, 771, 
	771, 771, 771, 771, 771, 771, 771, -1, 
	771, 771, 771, 771, 771, 771, 771, 771, 
	771, -1, 771, 771, 771, 771, -1, -1, 
	891, -1, 891, -1, -1, 771, 1099, 891, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 771, 771, 771, 771, -1, 
	-1, -1, 299, 300, -1, 298, -1, -1, 
	-1, 133, 132, 552, -1, -1, 1099, 1099, 
	1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099, 
	1099, 1099, 1099, 1099, 1099, 1095, 1099, 1099, 
	1099, 1099, 1099, 1099, 1099, -1, -1, -1, 
	-1, 1035, -1, -1, -1, -1, -1, 522, 
	416, 420, 411, -1, 301, 208, -1, 1035, 
	-1, -1, 320, 208, -1, -1, -1, 333, 
	208, -1, -1, -1, -1, 771, 771, 771, 
	771, -1, 770, 771, 771, -1, 771, 771, 
	771, -1, -1, -1, -1, 771, 771, 771, 
	-1, 771, 771, 771, 1035, -1, -1, -1, 
	771, -1, -1, -1, -1, 771, 465, -1, 
	-1, 771, 771, 771, -1, 771, 771, -1, 
	-1, 771, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 891, 891, 771, 104, 106, 
	110, 108, 112, -1, -1, 677, 679, -1, 
	-1, 771, 771, 771, 771, 771, 771, 771, 
	771, -1, 771, 771, 771, 100, 102, -1, 
	413, 414, 415, 412, -1, 891, -1, -1, 
	419, -1, -1, -1, -1, 993, 410, -1, 
	417, 418, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 771, 771, 771, 771, 771, 
	1099, -1, 1099, 1099, 1099, 1099, 1099, -1, 
	-1, -1, 771, -1, -1, 772, 772, 772, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	772, 772, 772, 772, 772, -1, 772, 772, 
	772, 772, 772, 772, 772, 772, -1, -1, 
	-1, 772, 772, 772, 772, 772, -1, 772, 
	-1, 772, 772, 772, 772, -1, 772, -1, 
	772, 772, 772, -1, 772, 772, -1, -1, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	421, 772, 772, 772, 772, 772, 772, 772, 
	772, 772, 1100, 772, 772, 772, 772, -1, 
	-1, -1, -1, -1, -1, -1, 772, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 772, 772, 772, 772, 
	-1, -1, 1100, 1100, 1100, 1100, 1100, 1100, 
	1100, 1100, 1100, 1100, 1100, 1100, 1100, 1100, 
	1100, -1, 1100, 1100, 1100, 1100, 1100, 1100, 
	1100, 521, -1, 407, 408, 409, 416, 420, 
	411, -1, -1, -1, 422, -1, 407, 408, 
	409, 416, 420, 411, -1, -1, -1, -1, 
	-1, 469, 208, 133, 132, 553, -1, -1, 
	-1, -1, -1, 338, 208, 104, 106, 110, 
	108, 112, -1, -1, 642, -1, 772, 772, 
	772, 772, -1, 771, 772, 772, -1, 772, 
	772, 772, -1, -1, 100, 102, 772, 772, 
	772, -1, 772, 772, 772, -1, -1, -1, 
	-1, 772, -1, -1, 993, -1, 772, -1, 
	-1, 688, 772, 772, 772, -1, 772, 772, 
	-1, -1, 772, -1, 457, -1, 1004, 454, 
	455, 456, -1, -1, -1, -1, 772, 104, 
	106, 110, 108, 112, 104, 106, 110, 108, 
	112, -1, 772, 772, 772, 772, 772, 772, 
	772, 772, -1, 772, 772, 772, 100, 102, 
	-1, -1, -1, 100, 102, 1130, -1, -1, 
	642, -1, -1, -1, -1, -1, 993, -1, 
	-1, -1, -1, 993, 1100, -1, 1100, 1100, 
	1100, 1100, 1100, -1, 772, 772, 772, 772, 
	772, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 772, -1, 721, 773, 773, 
	773, 773, 773, 773, 773, 773, 773, 773, 
	773, 773, 773, 773, 773, 773, -1, 773, 
	773, 773, 773, 773, 773, 773, 773, -1, 
	-1, -1, 773, 773, 773, 773, 773, -1, 
	773, -1, 773, 773, 773, 773, -1, 773, 
	-1, 773, 773, 773, -1, 773, 773, -1, 
	-1, 773, 773, 773, 773, 773, 773, 773, 
	773, -1, 773, 773, 773, 773, 773, 773, 
	773, 773, 773, -1, 773, 773, 773, 773, 
	-1, -1, -1, -1, -1, -1, -1, 773, 
	598, 208, 1145, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 773, 773, 773, 
	773, 1004, -1, -1, -1, -1, 453, -1, 
	-1, -1, 1004, 452, -1, -1, 299, 300, 
	-1, 298, 1145, 1145, 1145, 1145, 1145, 1145, 
	1145, 1145, 1145, 1145, 1145, 1145, 1145, 1145, 
	1145, 1097, 1145, 1145, 1145, 1145, 1145, 1145, 
	1145, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 599, 208, -1, -1, -1, 727, 
	208, 565, -1, -1, -1, -1, -1, -1, 
	301, 208, -1, -1, -1, -1, -1, 773, 
	773, 773, 773, -1, 772, 773, 773, -1, 
	773, 773, 773, -1, -1, -1, -1, 773, 
	773, 773, -1, 773, 773, 773, -1, -1, 
	-1, 457, 773, 1004, 454, 455, 456, 773, 
	1130, -1, -1, 773, 773, 773, -1, 773, 
	773, -1, 465, 773, -1, -1, -1, 1146, 
	-1, -1, -1, -1, -1, -1, -1, 773, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1130, 773, 773, 773, 773, 773, 
	773, 773, 773, -1, 773, 773, 773, 1146, 
	1146, 1146, 1146, 1146, 1146, 1146, 1146, 1146, 
	1146, 1146, 1146, 1146, 1146, 1146, 1098, 1146, 
	1146, 1146, 1146, 1146, 1146, 1146, -1, -1, 
	-1, -1, -1, -1, -1, 773, 773, 773, 
	773, 773, -1, -1, 1145, -1, 1145, 1145, 
	1145, 1145, 1145, -1, 773, -1, -1, 774, 
	774, 774, 774, 774, 774, 774, 774, 774, 
	774, 774, 774, 774, 774, 774, 774, -1, 
	774, 774, 774, 774, 774, 774, 774, 774, 
	-1, -1, -1, 774, 774, 774, 774, 774, 
	-1, 774, -1, 774, 774, 774, 774, -1, 
	774, -1, 774, 774, 774, -1, 774, 774, 
	-1, -1, 774, 774, 774, 774, 774, 774, 
	774, 774, -1, 774, 774, 774, 774, 774, 
	774, 774, 774, 774, -1, 774, 774, 774, 
	774, -1, -1, -1, -1, -1, 1004, -1, 
	774, -1, -1, 453, -1, -1, -1, 1004, 
	452, -1, -1, -1, -1, -1, 774, 774, 
	774, 774, -1, -1, -1, 413, 414, 415, 
	412, -1, -1, -1, -1, 419, -1, -1, 
	-1, -1, -1, 410, -1, 417, 418, -1, 
	-1, 1146, -1, 1146, 1146, 1146, 1146, 1146, 
	-1, -1, -1, -1, -1, 521, 576, 407, 
	408, 409, 416, 420, 411, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 469, 208, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	774, 774, 774, 774, -1, 773, 774, 774, 
	-1, 774, 774, 774, -1, -1, -1, -1, 
	774, 774, 774, -1, 774, 774, 774, -1, 
	-1, -1, 1014, 774, 1014, 1014, 1014, 1014, 
	774, 1014, -1, -1, 774, 774, 774, -1, 
	774, 774, -1, -1, 774, -1, -1, -1, 
	1096, -1, -1, -1, -1, -1, -1, -1, 
	774, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1014, 774, 774, 774, 774, 
	774, 774, 774, 774, -1, 774, 774, 774, 
	1096, 1096, 1096, 1096, 1096, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, 1096, -1, 
	-1, 629, 409, 416, 420, 411, 774, 774, 
	774, 774, 774, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 774, -1, -1, 
	775, 775, 775, 775, 775, 775, 775, 775, 
	775, 775, 775, 775, 775, 775, 775, 775, 
	-1, 775, 775, 775, 775, 775, 775, 775, 
	775, -1, -1, -1, 775, 775, 775, 775, 
	775, -1, 775, -1, 775, 775, 775, 775, 
	-1, 775, -1, 775, 775, 775, -1, 775, 
	775, -1, -1, 775, 775, 775, 775, 775, 
	775, 775, 775, -1, 775, 775, 775, 775, 
	775, 775, 775, 775, 775, -1, 775, 775, 
	775, 775, -1, -1, -1, -1, -1, 1014, 
	-1, 775, -1, -1, 1014, -1, -1, -1, 
	1014, 1014, -1, -1, 598, 208, -1, 775, 
	775, 775, 775, 591, 1118, 581, 583, 584, 
	582, 586, 587, 588, 589, 590, 585, -1, 
	-1, -1, 453, 1077, 1077, 1077, 1077, 452, 
	-1, -1, 1096, 1077, 1096, 1096, 1096, 1096, 
	1096, 1077, -1, 1077, 1077, -1, -1, 1014, 
	-1, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, -1, -1, -1, 
	-1, -1, -1, 580, -1, -1, 599, 208, 
	-1, -1, -1, 727, 208, 565, -1, -1, 
	-1, 775, 775, 775, 775, -1, 774, 775, 
	775, -1, 775, 775, 775, -1, -1, -1, 
	-1, 775, 775, 775, -1, 775, 775, 775, 
	-1, 864, -1, -1, 775, -1, -1, -1, 
	-1, 775, -1, -1, -1, 775, 775, 775, 
	-1, 775, 775, -1, -1, 775, 413, 414, 
	415, 412, -1, -1, -1, -1, 419, 1093, 
	-1, 775, -1, -1, 410, -1, 417, 418, 
	-1, -1, -1, -1, -1, 775, 775, 775, 
	775, 775, 775, 775, 775, -1, 775, 775, 
	775, -1, -1, -1, -1, -1, 579, 1093, 
	1093, 1093, 1093, 1093, 1093, 1093, 1093, 1093, 
	1093, 1093, 1093, 1093, 1093, 1093, -1, 1093, 
	1093, 1093, 1093, 1093, 1093, 1093, -1, 775, 
	775, 775, 775, 775, -1, -1, -1, 1077, 
	1077, 1077, 1077, 1077, 864, -1, 775, -1, 
	-1, 776, 776, 776, 776, 776, 776, 776, 
	776, 776, 776, 776, 776, 776, 776, 776, 
	776, -1, 776, 776, 776, 776, 776, 776, 
	776, 776, -1, -1, -1, 776, 776, 776, 
	776, 776, -1, 776, -1, 776, 776, 776, 
	776, -1, 776, -1, 776, 776, 776, -1, 
	776, 776, -1, -1, 776, 776, 776, 776, 
	776, 776, 776, 776, -1, 776, 776, 776, 
	776, 776, 776, 776, 776, 776, -1, 776, 
	776, 776, 776, -1, -1, -1, -1, -1, 
	-1, -1, 776, -1, -1, -1, -1, -1, 
	-1, -1, 626, 409, 416, 420, 411, 453, 
	776, 776, 776, 776, 452, -1, -1, 413, 
	414, 415, 412, -1, -1, -1, -1, 419, 
	-1, -1, -1, -1, -1, 410, -1, 417, 
	418, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1093, -1, 1093, 1093, 1093, 1093, 1093, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 576, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 776, 776, 776, 776, -1, 775, 
	776, 776, -1, 776, 776, 776, -1, -1, 
	-1, -1, 776, 776, 776, -1, 776, 776, 
	776, -1, -1, -1, -1, 776, -1, -1, 
	-1, -1, 776, -1, -1, -1, 776, 776, 
	776, -1, 776, 776, -1, -1, 776, -1, 
	413, 414, 415, 412, -1, -1, -1, -1, 
	419, -1, 776, -1, -1, -1, 410, -1, 
	417, 418, -1, -1, -1, -1, 776, 776, 
	776, 776, 776, 776, 776, 776, -1, 776, 
	776, 776, -1, -1, -1, -1, 413, 414, 
	415, 412, -1, -1, -1, -1, 419, -1, 
	-1, -1, -1, -1, 410, -1, 417, 418, 
	882, -1, -1, 627, 409, 416, 420, 411, 
	776, 776, 776, 776, 776, 629, 409, 416, 
	420, 411, -1, -1, -1, -1, -1, 776, 
	-1, -1, 777, 777, 777, 777, 777, 777, 
	777, 777, 777, 777, 777, 777, 777, 777, 
	777, 777, -1, 777, 777, 777, 777, 777, 
	777, 777, 777, -1, -1, -1, 777, 777, 
	777, 777, 777, -1, 777, -1, 777, 777, 
	777, 777, -1, 777, -1, 777, 777, 777, 
	-1, 777, 777, 616, -1, 777, 777, 777, 
	777, 777, 777, 777, 777, -1, 777, 777, 
	777, 777, 777, 777, 777, 777, 777, -1, 
	777, 777, 777, 777, -1, -1, -1, -1, 
	-1, -1, -1, 777, -1, -1, -1, -1, 
	-1, -1, -1, 622, 408, 409, 416, 420, 
	411, 777, 777, 777, 777, 591, 1118, 581, 
	583, 584, 582, 586, 587, 588, 589, 590, 
	585, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 422, 
	-1, 407, 408, 409, 416, 420, 411, -1, 
	-1, -1, 865, 865, 865, 865, 865, 865, 
	865, 865, 865, 865, 865, 865, -1, -1, 
	-1, -1, -1, -1, -1, 580, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, 580, 
	-1, 671, -1, 777, 777, 777, 777, -1, 
	776, 777, 777, -1, 777, 777, 777, -1, 
	-1, 100, 102, 777, 777, 777, -1, 777, 
	777, 777, 865, -1, -1, -1, 777, -1, 
	-1, 993, -1, 777, -1, -1, -1, 777, 
	777, 777, -1, 777, 777, -1, -1, 777, 
	-1, 413, 414, 415, 412, -1, -1, -1, 
	-1, 419, -1, 777, -1, -1, -1, 410, 
	-1, 417, 418, -1, -1, -1, -1, 777, 
	777, 777, 777, 777, 777, 777, 777, -1, 
	777, 777, 777, 413, 414, 415, 412, -1, 
	660, -1, -1, 419, -1, 413, 414, 415, 
	412, 410, 579, 417, 418, 419, -1, -1, 
	-1, -1, -1, 410, -1, 417, 418, -1, 
	-1, 777, 777, 777, 777, 777, -1, -1, 
	-1, -1, -1, -1, -1, 865, -1, -1, 
	777, -1, -1, 778, 778, 778, 778, 778, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	778, 778, 778, 670, 778, 778, 778, 778, 
	778, 778, 778, 778, -1, -1, -1, 778, 
	778, 778, 778, 778, -1, 778, -1, 778, 
	778, 778, 778, -1, 778, -1, 778, 778, 
	778, -1, 778, 778, -1, -1, 778, 778, 
	778, 778, 778, 778, 778, 778, -1, 778, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	-1, 778, 778, 778, 778, -1, -1, -1, 
	-1, -1, -1, -1, 778, 669, 208, -1, 
	-1, -1, -1, -1, 623, 408, 409, 416, 
	420, 411, 778, 778, 778, 778, 626, 409, 
	416, 420, 411, -1, -1, -1, -1, -1, 
	-1, 866, 866, 866, 866, 866, 866, 866, 
	866, 866, 866, 866, 866, -1, 624, 408, 
	409, 416, 420, 411, -1, -1, -1, -1, 
	625, 408, 409, 416, 420, 411, -1, -1, 
	867, 867, 867, 867, 867, 867, 867, 867, 
	867, 867, 867, 867, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 866, -1, -1, 778, 778, 778, 778, 
	-1, 777, 778, 778, -1, 778, 778, 778, 
	-1, -1, -1, -1, 778, 778, 778, -1, 
	778, 778, 778, -1, -1, -1, -1, 778, 
	867, -1, -1, -1, 778, -1, -1, -1, 
	778, 778, 778, -1, 778, 778, -1, -1, 
	778, 413, 414, 415, 412, 1084, -1, -1, 
	-1, 419, -1, -1, 778, -1, -1, 410, 
	-1, 417, 418, -1, -1, -1, -1, -1, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	-1, 778, 778, 778, -1, 1084, 1084, 1084, 
	1084, 1084, 1084, 1084, 1084, 1084, 1084, 1084, 
	1084, 1084, 1084, 1084, 866, 1084, 1084, 1084, 
	1084, 1084, 1084, 1084, -1, -1, -1, -1, 
	-1, -1, 778, 778, 778, 778, 778, 627, 
	409, 416, 420, 411, -1, -1, -1, -1, 
	-1, 778, -1, 867, 779, 779, 779, 779, 
	779, 779, 779, 779, 779, 779, 779, 779, 
	779, 779, 779, 779, -1, 779, 779, 779, 
	779, 779, 779, 779, 779, -1, -1, -1, 
	779, 779, 779, 779, 779, -1, 779, -1, 
	779, 779, 779, 779, -1, 779, -1, 779, 
	779, 779, -1, 779, 779, -1, -1, 779, 
	779, 779, 779, 779, 779, 779, 779, 616, 
	779, 779, 779, 779, 779, 779, 779, 779, 
	779, -1, 779, 779, 779, 779, -1, -1, 
	-1, -1, -1, -1, -1, 779, -1, -1, 
	-1, -1, -1, -1, -1, 628, 409, 416, 
	420, 411, -1, 779, 779, 779, 779, 622, 
	408, 409, 416, 420, 411, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1084, 
	-1, 1084, 1084, 1084, 1084, 1084, -1, -1, 
	-1, -1, -1, 422, -1, 407, 408, 409, 
	416, 420, 411, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 580, -1, -1, -1, 779, 779, 779, 
	779, -1, 778, 779, 779, -1, 779, 779, 
	779, -1, -1, -1, -1, 779, 779, 779, 
	-1, 779, 779, 779, -1, -1, -1, -1, 
	779, -1, -1, -1, -1, 779, -1, -1, 
	-1, 779, 779, 779, -1, 779, 779, -1, 
	-1, 779, -1, -1, -1, 1085, -1, -1, 
	-1, -1, -1, -1, -1, 779, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 779, 779, 779, 779, 779, 779, 779, 
	779, -1, 779, 779, 779, 1085, 1085, 1085, 
	1085, 1085, 1085, 1085, 1085, 1085, 1085, 1085, 
	1085, 1085, 1085, 1085, 660, 1085, 1085, 1085, 
	1085, 1085, 1085, 1085, -1, -1, -1, -1, 
	-1, -1, -1, 779, 779, 779, 779, 779, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 779, -1, -1, 780, 780, 780, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	780, 780, 780, 780, 780, -1, 780, 780, 
	780, 780, 780, 780, 780, 780, -1, 670, 
	-1, 780, 780, 780, 780, 780, -1, 780, 
	-1, 780, 780, 780, 780, -1, 780, -1, 
	780, 780, 780, -1, 780, 780, -1, -1, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	-1, 780, 780, 780, 780, 780, 780, 780, 
	780, 780, -1, 780, 780, 780, 780, -1, 
	-1, -1, -1, -1, -1, -1, 780, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 669, 208, -1, 780, 780, 780, 780, 
	623, 408, 409, 416, 420, 411, -1, -1, 
	-1, -1, 868, 868, 868, 868, 868, 868, 
	868, 868, 868, 868, 868, 868, -1, 1085, 
	-1, 1085, 1085, 1085, 1085, 1085, -1, -1, 
	-1, -1, 624, 408, 409, 416, 420, 411, 
	-1, -1, -1, -1, 625, 408, 409, 416, 
	420, 411, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 868, -1, -1, -1, 780, 780, 
	780, 780, -1, 779, 780, 780, -1, 780, 
	780, 780, -1, -1, -1, -1, 780, 780, 
	780, -1, 780, 780, 780, -1, -1, -1, 
	-1, 780, -1, -1, -1, -1, 780, -1, 
	-1, -1, 780, 780, 780, -1, 780, 780, 
	-1, -1, 780, -1, -1, -1, 1086, -1, 
	-1, -1, -1, -1, -1, -1, 780, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 780, 780, 780, 780, 780, 780, 
	780, 780, -1, 780, 780, 780, 1086, 1086, 
	1086, 1086, 1086, 1086, 1086, 1086, 1086, 1086, 
	1086, 1086, 1086, 1086, 1086, 868, 1086, 1086, 
	1086, 1086, 1086, 1086, 1086, -1, -1, -1, 
	-1, -1, -1, -1, 780, 780, 780, 780, 
	780, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 780, -1, -1, 781, 781, 
	781, 781, 781, 781, 781, 781, 781, 781, 
	781, 781, 781, 781, 781, 781, -1, 781, 
	781, 781, 781, 781, 781, 781, 781, -1, 
	-1, -1, 781, 781, 781, 781, 781, -1, 
	781, -1, 781, 781, 781, 781, -1, 781, 
	-1, 781, 781, 781, -1, 781, 781, -1, 
	-1, 781, 781, 781, 781, 781, 781, 781, 
	781, -1, 781, 781, 781, 781, 781, 781, 
	781, 781, 781, -1, 781, 781, 781, 781, 
	-1, -1, -1, -1, -1, -1, -1, 781, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 781, 781, 781, 
	781, 628, 409, 416, 420, 411, -1, -1, 
	-1, -1, -1, 869, 869, 869, 869, 869, 
	869, 869, 869, 869, 869, 869, 869, -1, 
	1086, -1, 1086, 1086, 1086, 1086, 1086, -1, 
	-1, -1, 870, 870, 870, 870, 870, 870, 
	870, 870, 870, 870, 870, 870, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 869, -1, -1, -1, 781, 
	781, 781, 781, -1, 780, 781, 781, -1, 
	781, 781, 781, -1, -1, -1, -1, 781, 
	781, 781, 870, 781, 781, 781, -1, -1, 
	-1, -1, 781, -1, -1, -1, -1, 781, 
	1122, -1, -1, 781, 781, 781, -1, 781, 
	781, -1, -1, 781, -1, -1, -1, 1087, 
	-1, -1, -1, 1122, -1, -1, -1, 781, 
	-1, -1, -1, 59, -1, -1, -1, -1, 
	-1, 1122, -1, 781, 781, 781, 781, 781, 
	781, 781, 781, -1, 781, 781, 781, 1087, 
	1087, 1087, 1087, 1087, 1087, 1087, 1087, 1087, 
	1087, 1087, 1087, 1087, 1087, 1087, 869, 1087, 
	1087, 1087, 1087, 1087, 1087, 1087, -1, -1, 
	-1, -1, -1, -1, -1, 781, 781, 781, 
	781, 781, -1, -1, -1, 870, -1, -1, 
	-1, -1, -1, -1, 781, 1122, -1, 782, 
	782, 782, 782, 782, 782, 782, 782, 782, 
	782, 782, 782, 782, 782, 782, 782, -1, 
	782, 782, 782, 782, 782, 782, 782, 782, 
	-1, -1, -1, 782, 782, 782, 782, 782, 
	-1, 782, -1, 782, 782, 782, 782, -1, 
	782, -1, 782, 782, 782, -1, 782, 782, 
	-1, -1, 782, 782, 782, 782, 782, 782, 
	782, 782, 1122, 782, 782, 782, 782, 782, 
	782, 782, 782, 782, 1122, 782, 782, 782, 
	782, -1, -1, -1, -1, -1, -1, -1, 
	782, -1, -1, 1122, -1, 1122, -1, -1, 
	-1, -1, -1, -1, -1, -1, 782, 782, 
	782, 782, -1, -1, -1, 233, 871, 871, 
	871, 871, 871, 871, 871, 871, 871, 871, 
	871, 871, -1, -1, -1, -1, -1, -1, 
	-1, 1087, -1, 1087, 1087, 1087, 1087, 1087, 
	-1, -1, -1, 872, 872, 872, 872, 872, 
	872, 872, 872, 872, 872, 872, 872, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 871, -1, 
	-1, -1, -1, -1, 402, -1, -1, -1, 
	782, 782, 782, 782, -1, 781, 782, 782, 
	-1, 782, 782, 782, -1, -1, -1, -1, 
	782, 782, 782, 872, 782, 782, 782, -1, 
	-1, -1, -1, 782, -1, -1, -1, -1, 
	782, -1, -1, -1, 782, 782, 782, -1, 
	782, 782, -1, -1, 782, 1078, 1078, 1078, 
	1078, 534, 1072, 1072, 1072, 1078, 1072, -1, 
	782, -1, -1, 1078, -1, 1078, 1078, 1072, 
	1072, 531, 532, 533, 782, 782, 782, 782, 
	782, 782, 782, 782, -1, 782, 782, 782, 
	-1, -1, -1, 1015, -1, 1015, 1015, 1015, 
	1015, 871, 1015, -1, -1, -1, -1, -1, 
	-1, 873, 873, 873, 873, 873, 873, 873, 
	873, 873, 873, 873, 873, -1, 782, 782, 
	782, 782, 782, -1, -1, -1, 872, -1, 
	-1, -1, -1, -1, 1015, 782, -1, -1, 
	27, 28, 1110, 25, 23, 26, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, 30, 51, 36, 37, 41, 
	39, 873, -1, -1, 105, 107, 111, 109, 
	113, -1, 32, -1, 46, 42, 43, 44, 
	-1, 49, -1, 97, 47, 45, -1, 98, 
	38, -1, -1, 101, 103, 95, 94, 96, 
	24, 53, 52, -1, 79, 80, 81, 66, 
	67, 68, 50, 63, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, 530, 
	-1, 1078, 1078, 1078, 1078, 1078, -1, 73, 
	74, 75, 76, -1, -1, -1, -1, -1, 
	-1, 591, 1118, 581, 583, 584, 582, 586, 
	587, 588, 589, 590, 585, -1, -1, -1, 
	-1, -1, -1, -1, 873, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1015, -1, -1, -1, -1, 1015, -1, -1, 
	-1, 1015, 1015, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 580, -1, -1, -1, -1, -1, -1, 
	-1, 2, 21, 19, 48, -1, 782, 18, 
	20, -1, 17, 16, 14, -1, -1, -1, 
	-1, 31, 12, 13, -1, 29, 10, 4, 
	1015, -1, -1, -1, 22, -1, -1, -1, 
	-1, 11, -1, -1, -1, 8, 9, 3, 
	-1, 5, 6, -1, -1, 7, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 15, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 93, 
	65, 1078, 1078, 1078, 1078, 534, 1073, 1073, 
	1073, 1078, 1073, -1, 659, -1, -1, 1078, 
	-1, 1078, 1078, 1073, 1073, 531, 532, 533, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, 993, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 125, 818, 
	818, 818, 818, 818, 818, 818, 818, 818, 
	818, 818, 818, 818, 818, 818, 818, 818, 
	818, 818, 818, 818, 818, 818, 818, 818, 
	818, 818, -1, 818, 818, 818, 818, 818, 
	-1, 818, -1, 818, 818, 818, 818, -1, 
	818, -1, 818, 818, 818, -1, 818, 818, 
	818, 818, 818, 818, 818, 818, 818, 818, 
	818, 818, -1, 818, 818, 818, 818, 818, 
	818, 818, 818, 818, -1, 818, 818, 818, 
	818, -1, -1, -1, -1, -1, -1, -1, 
	818, -1, -1, 818, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 818, 818, 
	818, 818, 1078, 1078, 1078, 1078, 534, 1074, 
	1074, 1074, 1078, 1074, -1, -1, -1, -1, 
	1078, 233, 1078, 1078, 1074, 1074, 531, 532, 
	533, -1, -1, 530, -1, 1078, 1078, 1078, 
	1078, 1078, -1, -1, -1, -1, -1, -1, 
	591, 1118, 581, 583, 584, 582, 586, 587, 
	588, 589, 590, 585, -1, -1, -1, 874, 
	874, 874, 874, 874, 874, 874, 874, 874, 
	874, 874, 874, -1, -1, -1, -1, -1, 
	818, 818, 818, 818, -1, -1, 818, 818, 
	402, 818, 818, 818, -1, -1, -1, -1, 
	818, 818, 818, -1, 818, 818, 818, -1, 
	580, -1, -1, 818, -1, -1, -1, -1, 
	818, -1, -1, -1, 818, 818, 818, 874, 
	818, 818, -1, -1, 818, -1, -1, -1, 
	-1, -1, -1, -1, -1, 818, 818, 818, 
	818, 818, 818, 818, -1, -1, -1, -1, 
	818, 818, -1, -1, 818, 818, 818, 818, 
	818, 818, 818, 818, -1, 818, 818, 818, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 801, 801, 801, 801, 801, 801, 
	-1, -1, -1, -1, 530, -1, 1078, 1078, 
	1078, 1078, 1078, -1, -1, 801, 818, 818, 
	818, 818, 818, -1, -1, -1, 801, 801, 
	801, 801, 801, 701, 801, 818, 801, -1, 
	-1, -1, -1, 801, 818, -1, 801, 801, 
	-1, -1, 874, -1, -1, 801, 801, -1, 
	-1, -1, 801, 801, 801, -1, -1, -1, 
	-1, 801, 801, 801, 801, 801, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, 530, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 801, 801, 801, -1, 
	-1, 801, 801, -1, -1, 801, 801, -1, 
	-1, -1, -1, 801, 801, 801, -1, 801, 
	801, 801, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 801, 801, -1, -1, 801, 
	801, 801, -1, 801, 801, 580, 818, 801, 
	-1, -1, -1, -1, -1, 2, 21, 19, 
	48, -1, -1, 18, 20, -1, 17, 16, 
	14, -1, -1, -1, -1, 31, 12, 13, 
	-1, 29, 10, 4, -1, -1, -1, -1, 
	22, 801, 801, -1, -1, 11, -1, -1, 
	-1, 8, 9, 3, -1, 5, 6, -1, 
	-1, 7, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 15, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, 801, 161, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	659, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 40, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, 993, 125, 819, 819, 819, 819, 819, 
	819, 819, 819, 819, 819, 819, 819, 819, 
	819, 819, 819, 819, 819, 819, 819, 819, 
	819, 819, 819, 819, 819, 819, -1, 819, 
	819, 819, 819, 819, -1, 819, -1, 819, 
	819, 819, 819, -1, 819, -1, 819, 819, 
	819, -1, 819, 819, 819, 819, 819, 819, 
	819, 819, 819, 819, 819, 819, -1, 819, 
	819, 819, 819, 819, 819, 819, 819, 819, 
	1104, 819, 819, 819, 819, -1, -1, -1, 
	-1, -1, -1, -1, 819, -1, -1, 819, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 819, 819, 819, 819, -1, -1, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, -1, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 530, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 819, 819, 819, 819, 
	-1, -1, 819, 819, -1, 819, 819, 819, 
	-1, -1, -1, -1, 819, 819, 819, -1, 
	819, 819, 819, -1, 580, -1, -1, 819, 
	-1, -1, -1, -1, 819, -1, -1, -1, 
	819, 819, 819, -1, 819, 819, -1, -1, 
	819, -1, -1, -1, -1, -1, -1, -1, 
	-1, 819, 819, 819, 819, 819, 819, 819, 
	-1, -1, -1, -1, 819, 819, -1, -1, 
	819, 819, 819, 819, 819, 819, 819, 819, 
	-1, 819, 819, 819, 1016, -1, 1016, 1016, 
	1016, 1016, -1, 1016, -1, -1, -1, -1, 
	1011, -1, 1011, 1011, 1011, 1011, -1, 1011, 
	530, -1, 1104, -1, 1104, 1104, 1104, 1104, 
	1104, -1, 819, 819, 819, 819, 819, -1, 
	-1, -1, -1, -1, -1, 1016, -1, 701, 
	-1, 819, -1, -1, -1, -1, -1, -1, 
	819, 1011, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, -1, 929, 929, 
	929, 929, 929, -1, 929, -1, 929, 929, 
	929, 929, -1, 929, -1, 929, 929, 929, 
	-1, 929, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, -1, 929, 929, 
	929, 929, 929, 929, 929, 929, 929, 1102, 
	929, 929, 929, 929, -1, -1, -1, -1, 
	-1, -1, -1, 929, -1, -1, 929, -1, 
	-1, 211, -1, -1, -1, -1, -1, -1, 
	-1, 929, 929, 929, 929, -1, -1, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, -1, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, -1, -1, 
	-1, 1016, -1, -1, -1, -1, 1016, -1, 
	-1, -1, 1016, 1016, -1, 1011, -1, -1, 
	-1, -1, 1011, -1, -1, -1, 1011, 1011, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 819, 929, 929, 929, 929, -1, 
	-1, 929, 929, -1, 929, 929, 929, -1, 
	-1, 1016, -1, 929, 929, 929, -1, 929, 
	929, 929, -1, -1, -1, 1011, 929, -1, 
	-1, -1, -1, 929, -1, -1, -1, 929, 
	929, 929, -1, 929, 929, -1, -1, 929, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	929, 929, 929, 929, 929, 929, 929, -1, 
	-1, -1, -1, 929, 929, -1, 210, 929, 
	929, 929, 929, 929, 929, 929, 929, -1, 
	929, 929, 929, -1, -1, -1, -1, -1, 
	-1, -1, 161, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, 1102, -1, 1102, 1102, 1102, 1102, 1102, 
	-1, 929, 929, 929, 929, 929, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	929, 114, 99, 91, 159, -1, -1, 929, 
	-1, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, 964, 964, 
	964, 964, -1, 964, -1, 964, 964, 964, 
	964, -1, 964, -1, 964, 964, 964, -1, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, -1, 964, -1, -1, 
	-1, -1, 231, 964, 964, 964, 964, -1, 
	230, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	-1, -1, -1, -1, -1, 964, -1, -1, 
	-1, -1, -1, 1078, 1078, 1078, 1078, 534, 
	1075, 1075, 1075, 1078, 1075, -1, -1, -1, 
	-1, 1078, -1, 1078, 1078, 1075, 1075, 531, 
	532, 533, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1012, -1, 1012, 
	1012, 1012, 1012, -1, 1012, -1, -1, -1, 
	-1, 929, 964, 964, 964, 964, -1, -1, 
	964, 964, 964, 964, 964, 964, -1, -1, 
	-1, -1, 964, 964, 964, 964, 964, 964, 
	964, -1, -1, -1, -1, 964, 1012, -1, 
	-1, -1, 964, 964, -1, -1, 964, 964, 
	964, -1, 964, 964, -1, -1, 964, -1, 
	-1, -1, -1, -1, -1, -1, -1, 964, 
	964, 964, 964, 964, 964, 964, -1, -1, 
	-1, 964, 964, 964, -1, -1, 964, 964, 
	964, 964, 964, 964, 964, 964, -1, 964, 
	964, 964, -1, -1, -1, 964, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	964, 964, -1, -1, 964, -1, -1, -1, 
	-1, 964, -1, -1, -1, -1, 964, -1, 
	964, 964, 964, 964, 964, 530, -1, 1078, 
	1078, 1078, 1078, 1078, -1, -1, -1, 964, 
	-1, 964, -1, -1, 964, -1, 964, 964, 
	-1, -1, -1, 964, -1, 964, -1, 964, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, 1012, -1, -1, -1, -1, 1012, 
	-1, 97, -1, 1012, 1012, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, 997, -1, 
	997, -1, 79, 80, 81, 997, -1, -1, 
	-1, 993, 78, 1103, 116, 118, 120, 122, 
	396, 398, -1, -1, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, 397, -1, 
	-1, -1, 1012, -1, -1, 73, 74, 75, 
	76, -1, -1, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, -1, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 820, 820, 820, 820, 820, 820, 
	820, 820, 820, 820, 820, 820, 820, 820, 
	820, 820, 820, 820, 820, 820, 820, 820, 
	820, 820, 820, 820, 820, -1, 820, 820, 
	820, 820, 820, -1, 820, -1, 820, 820, 
	820, 820, -1, 820, -1, 820, 820, 820, 
	964, 820, 820, 820, 820, 820, 820, 820, 
	820, 820, 820, 820, 820, -1, 820, 820, 
	820, 820, 820, 820, 820, 820, 820, -1, 
	820, 820, 820, 820, -1, -1, -1, -1, 
	-1, 997, 997, 820, -1, -1, 820, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 820, 820, 820, 820, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 210, 997, 748, -1, 169, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1103, -1, 1103, 
	1103, 1103, 1103, 1103, -1, 114, 99, 91, 
	159, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 820, 820, 820, 820, -1, 
	-1, 820, 820, -1, 820, 820, 820, -1, 
	-1, -1, -1, 820, 820, 820, -1, 820, 
	820, 820, -1, -1, -1, -1, 820, -1, 
	-1, -1, -1, 820, -1, -1, -1, 820, 
	820, 820, -1, 820, 820, -1, -1, 820, 
	-1, -1, -1, 539, -1, -1, -1, -1, 
	820, 820, 820, 820, 820, 820, 820, -1, 
	-1, -1, -1, 820, 820, -1, -1, 820, 
	820, 820, 820, 820, 820, 820, 820, -1, 
	820, 820, 820, 1080, 1080, 1080, 1080, 1080, 
	1080, 1080, 1080, 1080, 1080, 535, 536, 538, 
	537, 1080, -1, 1080, 1080, 1080, 1080, 1080, 
	1080, 1080, -1, -1, -1, -1, -1, -1, 
	-1, 820, 820, 820, 820, 820, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	820, -1, -1, -1, -1, -1, -1, 820, 
	-1, 821, 821, 821, 821, 821, 821, 821, 
	821, 821, 821, 821, 821, 821, 821, 821, 
	821, 821, 821, 821, 821, 821, 821, 821, 
	821, 821, 821, 821, -1, 821, 821, 821, 
	821, 821, -1, 821, -1, 821, 821, 821, 
	821, -1, 821, -1, 821, 821, 821, -1, 
	821, 821, 821, 821, 821, 821, 821, 821, 
	821, 821, 821, 821, -1, 821, 821, 821, 
	821, 821, 821, 821, 821, 821, -1, 821, 
	821, 821, 821, -1, -1, -1, -1, -1, 
	-1, -1, 821, -1, -1, 821, -1, -1, 
	-1, -1, -1, -1, 539, -1, -1, -1, 
	821, 821, 821, 821, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1080, -1, 1080, 
	1080, 1080, 1080, 1080, 1081, 1081, 1081, 1081, 
	1081, 1081, 1081, 1081, 1081, 1081, 535, 536, 
	538, 537, 1081, -1, 1081, 1081, 1081, 1081, 
	1081, 1081, 1081, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 530, -1, -1, -1, -1, -1, -1, 
	-1, 820, 821, 821, 821, 821, -1, -1, 
	821, 821, -1, 821, 821, 821, -1, -1, 
	-1, -1, 821, 821, 821, -1, 821, 821, 
	821, -1, -1, -1, -1, 821, -1, -1, 
	-1, -1, 821, -1, -1, -1, 821, 821, 
	821, -1, 821, 821, -1, -1, 821, -1, 
	-1, -1, -1, -1, -1, -1, -1, 821, 
	821, 821, 821, 821, 821, 821, -1, -1, 
	-1, -1, 821, 821, -1, -1, 821, 821, 
	821, 821, 821, 821, 821, 821, -1, 821, 
	821, 821, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	821, 821, 821, 821, 821, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1081, 821, 
	1081, 1081, 1081, 1081, 1081, -1, 821, -1, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, -1, 936, 936, 936, 936, 
	936, -1, 936, -1, 936, 936, 936, 936, 
	-1, 936, -1, 936, 936, 936, -1, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, -1, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, -1, 936, 936, 
	936, 936, -1, -1, -1, -1, -1, -1, 
	-1, 936, -1, -1, 936, -1, -1, -1, 
	-1, -1, -1, 539, -1, -1, -1, 936, 
	936, 936, 936, -1, -1, 212, 213, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	748, -1, 169, 69, 70, 71, 72, -1, 
	77, 92, 64, 1082, 1082, 1082, 1082, 1082, 
	1082, 1082, 1082, 1082, 1082, 535, 536, 538, 
	537, 1082, -1, 1082, 1082, 1082, 1082, 1082, 
	1082, 1082, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	821, 936, 936, 936, 936, -1, -1, 936, 
	936, -1, 936, 936, 936, -1, -1, -1, 
	-1, 936, 936, 936, -1, 936, 936, 936, 
	-1, -1, -1, -1, 936, -1, -1, -1, 
	-1, 936, -1, -1, -1, 936, 936, 936, 
	-1, 936, 936, -1, -1, 936, -1, -1, 
	-1, 539, -1, -1, -1, -1, 936, 936, 
	936, 936, 936, 936, 936, -1, -1, -1, 
	-1, 936, 936, -1, -1, 936, 936, 936, 
	936, 936, 936, 936, 936, -1, 936, 936, 
	936, 1079, 1079, 1079, 1079, 1079, 1079, 1079, 
	1079, 1079, 1079, 535, 536, 538, 537, 1079, 
	-1, 1079, 1079, 1079, 1079, 1079, 1079, 1079, 
	-1, -1, -1, -1, -1, -1, -1, 936, 
	936, 936, 936, 936, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1082, 936, 1082, 
	1082, 1082, 1082, 1082, -1, 936, -1, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, -1, 939, 939, 939, 939, 939, 
	-1, 939, -1, 939, 939, 939, 939, -1, 
	939, -1, 939, 939, 939, -1, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, -1, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, -1, -1, -1, -1, -1, -1, 
	939, 939, 939, 939, -1, -1, -1, 214, 
	215, 939, 216, 217, 218, 219, 939, 939, 
	939, 939, -1, -1, 939, 939, -1, -1, 
	-1, -1, 997, 939, 997, 997, 997, 997, 
	-1, 997, -1, 1079, -1, 1079, 1079, 1079, 
	1079, 1079, -1, -1, 396, 398, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 397, -1, -1, -1, -1, -1, 
	-1, -1, -1, 997, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 936, 
	939, 939, 939, 939, -1, -1, 939, 939, 
	939, 939, 939, 939, -1, -1, -1, -1, 
	939, 939, 939, 939, 939, 939, 939, -1, 
	-1, -1, -1, 939, -1, -1, -1, -1, 
	939, 939, -1, -1, 939, 939, 939, -1, 
	939, 939, -1, -1, 939, -1, -1, -1, 
	-1, -1, -1, -1, -1, 939, 939, 939, 
	939, 939, 939, 939, -1, -1, -1, 939, 
	939, 939, -1, -1, 939, 939, 939, 939, 
	939, 939, 939, 939, -1, 939, 939, 939, 
	-1, -1, -1, 939, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 939, 939, 
	-1, -1, 939, -1, -1, -1, -1, 939, 
	-1, -1, -1, -1, 939, -1, 939, 939, 
	939, 939, 939, -1, -1, -1, -1, 997, 
	700, -1, -1, -1, 997, 939, -1, 939, 
	997, 997, 939, -1, 939, 939, -1, -1, 
	-1, 939, -1, 939, -1, 939, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, -1, 946, 946, 946, 946, 946, 997, 
	946, -1, 946, 946, 946, 946, -1, 946, 
	-1, 946, 946, 946, -1, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, -1, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, -1, -1, -1, -1, -1, -1, 946, 
	946, 946, 946, 1101, -1, -1, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 220, 221, 946, 946, -1, -1, -1, 
	-1, -1, 946, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1101, 1101, 1101, 1101, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101, 
	1101, 1101, -1, 1101, 1101, 1101, 1101, 1101, 
	1101, 1101, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 939, -1, 
	-1, -1, -1, -1, -1, -1, -1, 946, 
	946, 946, 946, -1, -1, 946, 946, 946, 
	946, 946, 946, -1, -1, -1, -1, 946, 
	946, 946, 946, 946, 946, 946, -1, -1, 
	-1, -1, 946, -1, -1, -1, -1, 946, 
	946, -1, -1, 946, 946, 946, -1, 946, 
	946, -1, -1, 946, -1, -1, -1, -1, 
	-1, -1, -1, -1, 946, 946, 946, 946, 
	946, 946, 946, -1, -1, -1, 946, 946, 
	946, -1, -1, 946, 946, 946, 946, 946, 
	946, 946, 946, -1, 946, 946, 946, -1, 
	-1, -1, 946, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 946, 946, -1, 
	-1, 946, -1, -1, -1, -1, 946, -1, 
	-1, -1, -1, 946, -1, 946, 946, 946, 
	946, 946, -1, -1, -1, 1101, -1, 1101, 
	1101, 1101, 1101, 1101, 946, -1, 946, -1, 
	-1, 946, -1, 946, 946, -1, -1, -1, 
	946, -1, 946, -1, 946, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, 949, 949, 949, 949, 949, -1, 949, 
	-1, 949, 949, 949, 949, -1, 949, -1, 
	949, 949, 949, -1, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	-1, 223, -1, -1, -1, -1, 949, 949, 
	949, 949, 222, -1, -1, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 997, -1, 997, -1, 
	-1, 949, -1, 997, -1, -1, -1, 395, 
	-1, -1, -1, -1, -1, -1, 396, 398, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 397, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 946, -1, -1, 
	-1, -1, -1, -1, -1, -1, 949, 949, 
	949, 949, -1, -1, 949, 949, 949, 949, 
	949, 949, -1, -1, -1, -1, 949, 949, 
	949, 949, 949, 949, 949, -1, -1, -1, 
	-1, 949, -1, -1, -1, -1, 949, 949, 
	-1, -1, 949, 949, 949, -1, 949, 949, 
	-1, -1, 949, -1, -1, -1, -1, -1, 
	-1, -1, -1, 949, 949, 949, 949, 949, 
	949, 949, -1, -1, -1, 949, 949, 949, 
	-1, -1, 949, 949, 949, 949, 949, 949, 
	949, 949, -1, 949, 949, 949, -1, 997, 
	997, 949, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 949, 949, -1, -1, 
	949, -1, -1, -1, 700, 949, -1, -1, 
	-1, -1, 949, -1, 949, 949, 949, 949, 
	949, 997, 747, -1, -1, -1, -1, -1, 
	-1, -1, -1, 949, -1, 949, -1, -1, 
	949, -1, 949, 949, -1, -1, -1, 949, 
	-1, 949, -1, 949, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, -1, 
	952, 952, 952, 952, 952, -1, 952, -1, 
	952, 952, 952, 952, -1, 952, -1, 952, 
	952, 952, -1, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, -1, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, -1, 
	952, -1, -1, -1, -1, 952, 952, 952, 
	952, 952, -1, -1, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, -1, -1, -1, -1, -1, 
	952, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 949, -1, -1, -1, 
	-1, -1, -1, -1, -1, 952, 952, 952, 
	952, -1, -1, 952, 952, 952, 952, 952, 
	952, -1, -1, -1, -1, 952, 952, 952, 
	952, 952, 952, 952, -1, -1, -1, -1, 
	952, -1, -1, -1, -1, 952, 952, -1, 
	-1, 952, 952, 952, -1, 952, 952, -1, 
	-1, 952, -1, -1, -1, -1, -1, -1, 
	-1, -1, 952, 952, 952, 952, 952, 952, 
	952, -1, -1, -1, 952, 952, 952, -1, 
	-1, 952, 952, 952, 952, 952, 952, 952, 
	952, -1, 952, 952, 952, -1, -1, -1, 
	952, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 952, 952, -1, -1, 952, 
	-1, -1, -1, -1, 952, -1, -1, -1, 
	-1, 952, -1, 952, 952, 952, 952, 952, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 952, -1, 952, -1, -1, 952, 
	-1, 952, 952, -1, -1, -1, 952, -1, 
	952, -1, 952, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 993, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, 200, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 993, 78, -1, 116, 
	118, 120, 122, -1, 85, 88, 86, 87, 
	89, 90, 82, 83, 84, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 106, 
	110, 108, 112, 952, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, 1095, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 993, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, 1095, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, -1, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, -1, -1, -1, -1, 199, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 747, -1, 
	114, 99, 91, 159, 993, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 201, 
	92, 64, -1, -1, -1, -1, -1, 1097, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 993, -1, -1, 1097, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	1097, 1097, 1097, 1097, 1097, 1097, -1, -1, 
	202, 92, 64, -1, -1, -1, 1095, -1, 
	1095, 1095, 1095, 1095, 1095, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 993, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, -1, 958, 958, 958, 958, 958, -1, 
	958, -1, 958, 958, 958, 958, -1, 958, 
	-1, 958, 958, 958, -1, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, -1, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, -1, 958, -1, -1, -1, -1, 958, 
	958, 958, 958, 958, -1, -1, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, -1, -1, -1, 
	-1, 1097, 958, 1097, 1097, 1097, 1097, 1097, 
	1098, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1098, 1098, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, 1098, 1098, 958, 
	958, 958, 958, -1, -1, 958, 958, 958, 
	958, 958, 958, -1, -1, -1, -1, 958, 
	958, 958, 958, 958, 958, 958, -1, -1, 
	-1, -1, 958, -1, -1, -1, -1, 958, 
	958, -1, -1, 958, 958, 958, -1, 958, 
	958, -1, -1, 958, -1, -1, -1, -1, 
	-1, -1, -1, -1, 958, 958, 958, 958, 
	958, 958, 958, -1, -1, -1, 958, 958, 
	958, -1, -1, 958, 958, 958, 958, 958, 
	958, 958, 958, -1, 958, 958, 958, -1, 
	-1, -1, 958, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 958, 958, -1, 
	-1, 958, -1, -1, -1, -1, 958, -1, 
	-1, -1, -1, 958, -1, 958, 958, 958, 
	958, 958, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 958, -1, 958, -1, 
	-1, 958, -1, 958, 958, -1, -1, -1, 
	958, -1, 958, -1, 958, -1, -1, -1, 
	-1, -1, 1098, -1, 1098, 1098, 1098, 1098, 
	1098, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 997, -1, 997, 997, 997, 997, 
	-1, 997, -1, -1, -1, 395, -1, -1, 
	-1, -1, -1, -1, 396, 398, -1, -1, 
	-1, -1, 1088, -1, -1, -1, -1, -1, 
	-1, -1, 397, -1, -1, -1, -1, -1, 
	-1, -1, -1, 997, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1088, 1088, 1088, 1088, 1088, 1088, 
	1088, 1088, 1088, 1088, 1088, 1088, 1088, 1088, 
	1088, -1, 1088, 1088, 1088, 1088, 1088, 1088, 
	1088, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 199, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	-1, -1, -1, -1, -1, 958, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, -1, 
	-1, -1, -1, 201, 92, 64, -1, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, 997, 
	699, -1, -1, -1, 997, -1, -1, 1027, 
	997, 997, -1, 1027, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 114, 99, 91, 159, 
	1027, 1027, 1027, -1, -1, -1, -1, 1027, 
	1027, -1, 1143, 1143, 1143, 1027, 1138, -1, 
	-1, -1, -1, -1, 1088, 1027, 1088, 1088, 
	1088, 1088, 1088, -1, 202, 92, 64, 997, 
	-1, -1, -1, 1027, 1027, 1027, 1027, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, -1, 962, 962, 962, 
	962, 962, -1, 962, -1, 962, 962, 962, 
	962, -1, 962, -1, 962, 962, 962, -1, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, -1, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, -1, 962, -1, -1, 
	-1, -1, 962, 962, 962, 962, 962, -1, 
	-1, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	-1, -1, -1, -1, -1, 962, -1, -1, 
	-1, -1, -1, -1, 1027, 1027, 1027, 1027, 
	1027, -1, 1027, 1027, 1027, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 247, 248, -1, -1, -1, 
	-1, -1, -1, -1, 246, -1, -1, -1, 
	-1, -1, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 962, 962, 962, 962, -1, -1, 
	962, 962, 962, 962, 962, 962, -1, -1, 
	245, -1, 962, 962, 962, 962, 962, 962, 
	962, -1, -1, -1, -1, 962, -1, -1, 
	-1, -1, 962, 962, -1, -1, 962, 962, 
	962, -1, 962, 962, -1, -1, 962, -1, 
	-1, -1, -1, -1, -1, -1, -1, 962, 
	962, 962, 962, 962, 962, 962, -1, -1, 
	-1, 962, 962, 962, -1, -1, 962, 962, 
	962, 962, 962, 962, 962, 962, -1, 962, 
	962, 962, -1, -1, -1, 962, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	962, 962, -1, -1, 962, -1, -1, -1, 
	-1, 962, -1, -1, -1, -1, 962, -1, 
	962, 962, 962, 962, 962, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 962, 
	-1, 962, -1, -1, 962, -1, 962, 962, 
	-1, -1, -1, 962, -1, 962, -1, 962, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, -1, 965, 965, 965, 965, 
	965, -1, 965, -1, 965, 965, 965, 965, 
	-1, 965, -1, 965, 965, 965, -1, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, -1, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, -1, 965, -1, -1, -1, 
	-1, 965, 965, 965, 965, 965, -1, -1, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, -1, 
	-1, -1, -1, -1, 965, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	962, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, 965, 965, 965, -1, -1, 965, 
	965, 965, 965, 965, 965, -1, -1, -1, 
	-1, 965, 965, 965, 965, 965, 965, 965, 
	-1, -1, -1, -1, 965, -1, -1, -1, 
	-1, 965, 965, -1, 699, 965, 965, 965, 
	-1, 965, 965, -1, -1, 965, -1, -1, 
	-1, -1, -1, -1, -1, -1, 965, 965, 
	965, 965, 965, 965, 965, -1, -1, -1, 
	965, 965, 965, -1, -1, 965, 965, 965, 
	965, 965, 965, 965, 965, -1, 965, 965, 
	965, -1, -1, -1, 965, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 965, 
	965, -1, -1, 965, -1, -1, -1, -1, 
	965, -1, -1, -1, -1, 965, -1, 965, 
	965, 965, 965, 965, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 965, -1, 
	965, -1, -1, 965, -1, 965, 965, -1, 
	-1, -1, 965, -1, 965, -1, 965, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, -1, 966, 966, 966, 966, 966, 
	-1, 966, -1, 966, 966, 966, 966, -1, 
	966, -1, 966, 966, 966, -1, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, -1, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, -1, 966, -1, -1, -1, -1, 
	966, 966, 966, 966, 966, -1, -1, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, -1, -1, 
	-1, -1, -1, 966, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 247, 
	248, -1, -1, -1, -1, -1, -1, -1, 
	246, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 965, 
	-1, -1, -1, -1, 245, -1, -1, -1, 
	966, 966, 966, 966, -1, -1, 966, 966, 
	966, 966, 966, 966, -1, -1, -1, -1, 
	966, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, -1, 966, -1, -1, -1, -1, 
	966, 966, -1, -1, 966, 966, 966, -1, 
	966, 966, -1, -1, 966, -1, -1, -1, 
	-1, -1, -1, -1, -1, 966, 966, 966, 
	966, 966, 966, 966, -1, -1, -1, 966, 
	966, 966, -1, -1, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, 966, 966, 
	-1, -1, -1, 966, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 966, 966, 
	-1, -1, 966, -1, -1, -1, -1, 966, 
	-1, -1, -1, -1, 966, -1, 966, 966, 
	966, 966, 966, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 966, -1, 966, 
	-1, -1, 966, -1, 966, 966, -1, -1, 
	-1, 966, -1, 966, -1, 966, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, 967, 967, 967, 967, -1, 
	967, -1, 967, 967, 967, 967, -1, 967, 
	-1, 967, 967, 967, -1, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, -1, 967, -1, -1, -1, -1, 967, 
	967, 967, 967, 967, -1, -1, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, -1, -1, -1, 
	-1, -1, 967, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 966, -1, 
	-1, -1, -1, -1, -1, -1, -1, 967, 
	967, 967, 967, -1, -1, 967, 967, 967, 
	967, 967, 967, -1, -1, -1, -1, 967, 
	967, 967, 967, 967, 967, 967, -1, -1, 
	-1, -1, 967, -1, -1, -1, -1, 967, 
	967, -1, -1, 967, 967, 967, -1, 967, 
	967, -1, -1, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, 967, 967, 967, 967, 
	967, 967, 967, -1, -1, -1, 967, 967, 
	967, -1, -1, 967, 967, 967, 967, 967, 
	967, 967, 967, -1, 967, 967, 967, -1, 
	-1, -1, 967, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 967, 967, -1, 
	-1, 967, -1, -1, -1, -1, 967, -1, 
	-1, -1, -1, 967, -1, 967, 967, 967, 
	967, 967, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 967, -1, 967, -1, 
	-1, 967, -1, 967, 967, -1, -1, -1, 
	967, -1, 967, -1, 967, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	1089, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, -1, -1, 
	1089, 1089, 1089, 1089, 1089, 1089, 1089, 1089, 
	1089, 1089, 1089, 1089, 1089, 1089, 1089, -1, 
	1089, 1089, 1089, 1089, 1089, 1089, 1089, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, -1, 977, 977, 977, 977, 977, 
	-1, 977, -1, 977, 977, 977, 977, -1, 
	977, -1, 977, 977, 977, 967, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, -1, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, -1, 977, -1, -1, -1, -1, 
	977, 977, 977, 977, 977, -1, -1, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, -1, -1, 
	-1, -1, -1, 977, -1, -1, -1, -1, 
	-1, -1, -1, 197, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1089, -1, 1089, 1089, 1089, 1089, 
	1089, -1, 114, 99, 91, 159, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	977, 977, 977, 977, -1, -1, 977, 977, 
	977, 977, 977, 977, -1, -1, -1, -1, 
	977, 977, 977, 977, 977, 977, 977, -1, 
	-1, -1, -1, 977, -1, -1, -1, -1, 
	977, 977, -1, -1, 977, 977, 977, -1, 
	977, 977, -1, -1, 977, -1, -1, -1, 
	-1, -1, -1, -1, -1, 977, 977, 977, 
	977, 977, 977, 977, -1, -1, -1, 977, 
	977, 977, -1, -1, 977, 977, 977, 977, 
	977, 977, 977, 977, -1, 977, 977, 977, 
	-1, -1, -1, 977, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 977, 977, 
	-1, -1, 977, -1, -1, -1, -1, 977, 
	-1, -1, -1, -1, 977, -1, 977, 977, 
	977, 977, 977, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 977, -1, 977, 
	-1, -1, 977, -1, 977, 977, -1, -1, 
	-1, 977, -1, 977, -1, 977, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, -1, 1068, 1068, 1068, 1068, 1068, -1, 
	1068, -1, 1068, 1068, 1068, 1068, -1, 1068, 
	-1, 1068, 1068, 1068, -1, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, -1, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, -1, 1068, -1, -1, -1, -1, 1068, 
	1068, 1068, 1068, 1068, -1, -1, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, 1068, 1068, -1, -1, -1, 
	-1, -1, 1068, 862, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 862, 862, 862, 
	862, 862, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 862, 862, 977, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1068, 
	1068, 1068, 1068, -1, 862, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, -1, -1, -1, 1068, 
	1068, 1068, 1068, 1068, 1068, 1068, -1, -1, 
	-1, -1, 1068, -1, -1, -1, -1, 1068, 
	1068, -1, -1, 1068, 1068, 1068, -1, 1068, 
	1068, -1, -1, 1068, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, -1, -1, 1068, 1068, 
	1068, -1, -1, 1068, 1068, 1068, 1068, 1068, 
	1068, 1068, 1068, -1, 1068, 1068, 1068, -1, 
	-1, -1, 1068, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1068, 1068, -1, 
	-1, 1068, -1, -1, -1, -1, 1068, -1, 
	-1, -1, -1, 1068, -1, 1068, 1068, 1068, 
	1068, 1068, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1068, -1, 1068, -1, 
	-1, 1068, -1, 1068, 1068, -1, 862, 862, 
	1068, 862, 1068, -1, 1068, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	862, 862, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1090, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 862, -1, -1, -1, -1, 197, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, 1090, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, -1, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1068, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, -1, 
	985, -1, 985, 985, 985, 985, 985, 985, 
	-1, 985, 985, 985, -1, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, -1, 985, 985, 985, 985, 
	-1, -1, -1, 985, -1, -1, -1, 985, 
	985, -1, 985, -1, -1, 985, -1, -1, 
	985, -1, 985, -1, -1, 985, 985, 985, 
	985, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1090, -1, 1090, 1090, 1090, 1090, 
	1090, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 985, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 985, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 985, 
	985, 985, 985, -1, -1, 985, 985, 985, 
	985, 985, 985, -1, -1, -1, -1, 985, 
	985, 985, 985, 985, 985, 985, -1, -1, 
	985, -1, 985, -1, -1, -1, -1, 985, 
	985, -1, 985, 985, 985, 985, -1, 985, 
	985, -1, -1, 985, -1, -1, -1, -1, 
	-1, 985, -1, 985, 985, 985, 985, 985, 
	985, 985, 985, -1, -1, -1, -1, 985, 
	985, -1, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, -1, 985, 985, 985, -1, 
	-1, 985, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 985, 985, 985, -1, -1, 
	985, 985, 985, -1, -1, 985, 985, 985, 
	985, 985, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 985, -1, 985, -1, 
	-1, 985, 985, 985, -1, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, -1, 986, 
	-1, 986, 986, 986, 986, 986, 986, -1, 
	986, 986, 986, -1, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, -1, 986, 986, 986, 986, -1, 
	-1, -1, 986, -1, -1, -1, 986, 986, 
	-1, 986, -1, -1, 986, -1, -1, 986, 
	-1, 986, -1, -1, 986, 986, 986, 986, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 986, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 986, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 985, 986, 986, 
	986, 986, -1, -1, 986, 986, 986, 986, 
	986, 986, -1, -1, -1, -1, 986, 986, 
	986, 986, 986, 986, 986, -1, -1, 986, 
	-1, 986, -1, -1, -1, -1, 986, 986, 
	-1, 986, 986, 986, 986, -1, 986, 986, 
	-1, -1, 986, -1, -1, -1, -1, -1, 
	986, -1, 986, 986, 986, 986, 986, 986, 
	986, 986, -1, -1, -1, -1, 986, 986, 
	-1, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, -1, 986, 986, 986, -1, -1, 
	986, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 986, 986, 986, -1, -1, 986, 
	986, 986, -1, -1, 986, 986, 986, 986, 
	986, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 986, -1, 986, -1, -1, 
	986, 986, 986, -1, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, -1, 
	1067, 1067, 1067, 1067, 1067, -1, 1067, -1, 
	1067, 1067, 1067, 1067, -1, 1067, -1, 1067, 
	1067, 1067, -1, 1067, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, -1, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, 1067, 117, 119, 121, 123, 1067, -1, 
	1067, -1, -1, -1, -1, 1067, 1067, 1067, 
	1067, 1067, -1, -1, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, 1067, 1067, -1, -1, -1, -1, -1, 
	1067, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 986, 1067, 1067, 1067, 
	1067, -1, -1, 1067, 1067, 1067, 1067, 1067, 
	1067, -1, -1, -1, -1, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, -1, -1, -1, -1, 
	1067, -1, -1, -1, -1, 1067, 1067, -1, 
	-1, 1067, 1067, 1067, -1, 1067, 1067, -1, 
	-1, 1067, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, -1, -1, -1, 1067, 1067, 1067, -1, 
	-1, 1067, 1067, 1067, 1067, 1067, 1067, 1067, 
	1067, -1, 1067, 1067, 1067, -1, -1, -1, 
	1067, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1067, 1067, -1, -1, 1067, 
	-1, -1, -1, -1, 1067, -1, -1, -1, 
	-1, 1067, -1, 115, 229, 1067, 1067, 1067, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1067, -1, 1067, -1, -1, 1067, 
	-1, 1067, 1067, -1, -1, -1, 1067, -1, 
	1067, -1, 1067, 1027, 1027, 1027, 1027, 1027, 
	1027, -1, 1027, 1027, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1027, 1027, 1027, 
	1027, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1027, -1, -1, -1, 
	1027, -1, -1, -1, 1027, 1027, 1027, 1027, 
	1027, -1, -1, -1, -1, 1027, 1027, 1027, 
	-1, -1, -1, -1, 1027, 1027, -1, 1143, 
	1143, 1143, 1027, 1142, -1, -1, -1, -1, 
	-1, -1, 1027, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	1027, 1027, 1027, 1027, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, 1091, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 918, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1067, 73, 74, 75, 76, 
	-1, -1, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, 1091, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, -1, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, -1, 1027, 
	1027, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	195, 196, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 194, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 250, 249, -1, -1, -1, 193, 
	-1, -1, -1, -1, -1, 251, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1091, -1, 1091, 1091, 
	1091, 1091, 1091, -1, 114, 99, 91, 159, 
	993, -1, -1, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, -1, 935, 
	935, 935, 935, 935, -1, 935, -1, 935, 
	935, 935, 935, -1, 935, -1, 935, 935, 
	935, -1, 935, 935, 935, 935, 935, 935, 
	935, 935, 935, 935, 935, 935, -1, 935, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	-1, 935, 935, 935, 935, -1, -1, -1, 
	-1, -1, -1, -1, 935, -1, -1, 935, 
	-1, -1, -1, -1, -1, 863, -1, -1, 
	-1, -1, 935, 935, 935, 935, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 863, 
	863, 863, 863, 863, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 863, 863, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 863, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 935, 935, 935, 935, 
	-1, -1, 935, 935, -1, 935, 935, 935, 
	-1, -1, -1, -1, 935, 935, 935, -1, 
	935, 935, 935, -1, -1, -1, -1, 935, 
	-1, -1, -1, -1, 935, -1, -1, -1, 
	935, 935, 935, -1, 935, 935, -1, -1, 
	935, -1, -1, -1, -1, -1, -1, 114, 
	228, 935, 935, 935, 935, 935, 935, 935, 
	-1, -1, -1, -1, 935, 935, -1, -1, 
	935, 935, 935, 935, 935, 935, 935, 935, 
	-1, 935, 935, 935, -1, -1, -1, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, 935, 935, 935, 935, 935, -1, 
	863, 863, 97, 863, -1, -1, 98, -1, 
	-1, 935, 100, 102, 95, 94, 96, -1, 
	935, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 863, 863, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 863, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 935, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 356, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 195, 196, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 194, -1, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 250, 249, 
	-1, -1, -1, 193, -1, -1, -1, -1, 
	-1, 251, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, -1, 
	1055, 1055, 1055, 1055, 1055, -1, 1055, -1, 
	1055, 1055, 1055, 1055, -1, 1055, -1, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, -1, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, -1, 
	1055, -1, -1, 1055, -1, 1055, 1055, 1055, 
	1055, 1055, -1, -1, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, -1, -1, -1, -1, -1, 
	1055, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1055, 1055, 1055, 
	1055, -1, -1, 1055, 1055, 1055, 1055, 1055, 
	1055, -1, -1, -1, -1, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, -1, -1, -1, -1, 
	1055, -1, -1, -1, -1, 1055, 1055, -1, 
	-1, 1055, 1055, 1055, -1, 1055, 1055, -1, 
	-1, 1055, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, -1, -1, -1, 1055, 1055, 1055, -1, 
	-1, 1055, 1055, 1055, 1055, 1055, 1055, 1055, 
	1055, 1055, 1055, 1055, 1055, -1, -1, -1, 
	1055, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1055, 1055, -1, -1, 1055, 
	-1, -1, -1, -1, 1055, -1, -1, -1, 
	-1, 1055, -1, 1055, 1055, 1055, 1055, 1055, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1055, -1, 1055, -1, -1, 1055, 
	-1, 1055, 1055, -1, -1, -1, 1055, -1, 
	1055, -1, 1055, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, -1, 1054, 
	1054, 1054, 1054, 1054, -1, 1054, -1, 1054, 
	1054, 1054, 1054, -1, 1054, -1, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, -1, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 135, 137, 139, 141, 1054, -1, 1054, 
	-1, -1, 1054, -1, 1054, 1054, 1054, 1054, 
	1054, -1, -1, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, -1, -1, -1, -1, -1, 1054, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1055, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1054, 1054, 1054, 1054, 
	-1, -1, 1054, 1054, 1054, 1054, 1054, 1054, 
	-1, 356, 92, 64, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, -1, -1, -1, -1, 1054, 
	-1, -1, -1, -1, 1054, 1054, -1, -1, 
	1054, 1054, 1054, -1, 1054, 1054, -1, -1, 
	1054, -1, 114, 99, 91, 159, -1, -1, 
	-1, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	-1, -1, -1, 1054, 1054, 1054, -1, -1, 
	1054, 1054, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, 1054, 1054, 1054, -1, -1, -1, 1054, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1054, 1054, -1, -1, 1054, -1, 
	-1, -1, -1, 1054, -1, 133, 252, -1, 
	1054, -1, 1054, 1054, 1054, 1054, 1054, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1054, -1, 1054, -1, -1, 1054, -1, 
	1054, 1054, -1, -1, -1, 1054, -1, 1054, 
	-1, 1054, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	-1, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 993, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, 918, -1, -1, -1, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, 73, 
	74, 75, 76, -1, -1, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 97, 
	-1, -1, -1, 98, -1, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 993, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, 918, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1054, 73, 74, 75, 76, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 250, 253, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	251, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 993, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 254, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, 993, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 918, 
	27, 28, 1120, 25, 23, 26, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	-1, -1, -1, 30, -1, -1, -1, -1, 
	-1, -1, -1, -1, 846, 846, 846, 846, 
	846, -1, 32, -1, 296, -1, -1, -1, 
	-1, 49, -1, -1, 47, 45, -1, -1, 
	-1, -1, -1, 846, 846, -1, -1, -1, 
	24, 53, 52, -1, -1, -1, -1, 66, 
	67, 68, 50, 846, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 250, 255, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 251, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, 294, 292, 48, -1, -1, 291, 
	293, 133, 252, 295, 290, -1, -1, -1, 
	-1, 31, 288, 289, -1, 29, 286, 280, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, 287, 278, -1, -1, 284, 285, 279, 
	-1, 281, 282, -1, -1, 283, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 846, 
	846, -1, -1, -1, -1, -1, -1, -1, 
	54, 55, 56, 57, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, 36, 
	37, 41, 39, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, 42, 
	43, 44, -1, -1, -1, 97, -1, -1, 
	-1, 98, 38, 277, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 62, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, -1, 304, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, 76, -1, -1, 212, 
	213, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 783, 783, 783, 783, 
	783, 783, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	783, 783, 783, 783, 783, -1, 783, -1, 
	783, -1, -1, -1, -1, 783, -1, -1, 
	783, -1, -1, -1, -1, -1, -1, 783, 
	783, -1, -1, -1, 783, 783, 783, -1, 
	-1, -1, -1, 783, 783, 783, -1, 783, 
	-1, 250, 253, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 305, -1, -1, -1, -1, 
	-1, -1, 303, 114, 99, 91, 159, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 250, 254, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	251, 69, 70, 71, 72, -1, 77, 92, 
	64, 114, 99, 91, 40, 993, -1, 783, 
	783, -1, -1, 783, 783, 783, 783, -1, 
	783, -1, -1, -1, -1, 783, 783, 783, 
	783, 783, 783, 783, -1, -1, -1, 114, 
	99, 91, 159, -1, -1, -1, -1, -1, 
	-1, 783, 783, 783, -1, 783, 783, -1, 
	-1, 783, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1027, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, -1, -1, -1, 
	-1, 783, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, 783, 783, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1027, -1, -1, 
	-1, 1027, -1, -1, -1, 1027, 1027, 1027, 
	1027, 1027, -1, -1, -1, -1, 1027, 1027, 
	1027, -1, -1, -1, -1, 1027, 1027, -1, 
	1143, 1143, 1143, 1027, -1, -1, -1, -1, 
	-1, -1, -1, 1027, 783, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, 1027, 1027, 1027, 1027, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, 1142, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, 250, 255, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 251, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, 294, 292, 
	48, -1, -1, 291, 293, -1, -1, 295, 
	290, -1, -1, -1, -1, 31, 288, 289, 
	-1, 29, 286, 280, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, 287, 278, -1, 
	-1, 284, 285, 279, -1, 281, 282, -1, 
	-1, 283, 1027, 1027, 1027, 1027, 1027, -1, 
	1027, 1027, 1027, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 195, 196, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 194, 
	-1, 1027, 1027, 1027, 1027, 1027, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	339, -1, -1, -1, 381, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, 277, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 993, -1, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, -1, 964, 964, 964, 964, 
	964, -1, 964, -1, 964, 964, 964, 964, 
	-1, 964, -1, 964, 964, 964, -1, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, -1, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, -1, 964, -1, -1, -1, 
	-1, 231, 964, 964, 964, 964, -1, -1, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, -1, 
	-1, -1, -1, -1, 964, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 305, 
	-1, -1, -1, -1, -1, -1, 303, -1, 
	-1, -1, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, 964, 964, 964, 964, -1, -1, 964, 
	964, 964, 964, 964, 964, -1, -1, -1, 
	-1, 964, 964, 964, 964, 964, 964, 964, 
	-1, -1, -1, -1, 964, 114, 99, 91, 
	40, 964, 964, -1, -1, 964, 964, 964, 
	-1, 964, 964, -1, -1, 964, -1, -1, 
	-1, -1, -1, -1, -1, -1, 964, 964, 
	964, 964, 964, 964, 964, -1, -1, -1, 
	964, 964, 964, -1, -1, 964, 964, 964, 
	964, 964, 964, 964, 964, -1, 964, 964, 
	964, -1, -1, -1, 964, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 964, 
	964, -1, -1, 964, -1, -1, -1, -1, 
	964, -1, -1, -1, -1, 964, -1, 964, 
	964, 964, 964, 964, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 964, -1, 
	964, -1, -1, 964, -1, 964, 964, -1, 
	-1, -1, 964, -1, 964, -1, 964, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, -1, 761, 761, 761, 761, 761, 
	-1, 761, -1, 761, 761, 761, 761, -1, 
	761, -1, 761, 761, 761, -1, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, -1, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, -1, 761, 761, 761, 
	761, -1, -1, -1, -1, -1, -1, -1, 
	761, -1, -1, 761, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 761, 761, 
	761, 761, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 964, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	761, 761, 761, 761, -1, -1, 761, 761, 
	-1, 761, 761, 761, -1, -1, -1, -1, 
	761, 761, 761, -1, 761, 761, 761, -1, 
	-1, -1, -1, 761, -1, 195, 196, -1, 
	761, -1, -1, -1, 761, 761, 761, -1, 
	761, 761, -1, 194, 761, -1, -1, -1, 
	-1, -1, -1, -1, -1, 761, 761, 761, 
	761, 761, 761, 761, -1, -1, -1, -1, 
	761, 761, -1, -1, 761, 761, 761, 761, 
	761, 761, 761, 761, 339, 761, 761, 761, 
	381, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 761, 761, 
	761, 761, 761, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, 761, -1, -1, 
	-1, -1, -1, -1, 761, 54, 55, 56, 
	57, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, 36, 37, 41, 39, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 42, 43, 44, -1, 
	-1, -1, 97, -1, -1, -1, 98, 38, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 62, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, 304, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, -1, 929, 929, 929, 929, 
	929, 929, 929, 929, -1, -1, -1, 929, 
	929, 929, 929, 929, -1, 929, -1, 929, 
	929, 929, 929, -1, 929, -1, 929, 929, 
	929, -1, 929, 929, -1, -1, 929, 929, 
	929, 929, 929, 929, 929, 929, 761, 929, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	-1, 929, 929, 929, 929, -1, -1, -1, 
	-1, -1, -1, -1, 929, -1, -1, -1, 
	-1, -1, 211, -1, -1, -1, -1, -1, 
	-1, -1, 929, 929, 929, 929, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, -1, -1, 306, 
	-1, -1, -1, -1, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, 993, -1, 929, 929, 929, 929, 
	-1, -1, 929, 929, 929, 929, 929, 929, 
	-1, -1, -1, -1, 929, 929, 929, 929, 
	929, 929, 929, -1, -1, -1, -1, 929, 
	-1, -1, -1, -1, 929, -1, -1, -1, 
	929, 929, 929, -1, 929, 929, -1, -1, 
	929, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 929, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 313, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	-1, 929, 929, 929, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 929, 929, 929, 929, 929, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 929, -1, 929, -1, -1, -1, -1, 
	-1, -1, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, -1, 762, 762, 
	762, 762, 762, -1, 762, -1, 762, 762, 
	762, 762, -1, 762, -1, 762, 762, 762, 
	-1, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, -1, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, -1, 
	762, 762, 762, 762, -1, -1, -1, -1, 
	-1, -1, -1, 762, -1, -1, 762, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 762, 762, 762, 762, -1, -1, 212, 
	213, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 929, 762, 762, 762, 762, -1, 
	-1, 762, 762, -1, 762, 762, 762, -1, 
	-1, -1, -1, 762, 762, 762, -1, 762, 
	762, 762, -1, -1, -1, -1, 762, -1, 
	-1, -1, -1, 762, -1, -1, -1, 762, 
	762, 762, -1, 762, 762, -1, -1, 762, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	762, 762, 762, 762, 762, 762, 762, -1, 
	-1, -1, -1, 762, 762, -1, -1, 762, 
	762, 762, 762, 762, 762, 762, 762, -1, 
	762, 762, 762, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 762, 762, 762, 762, 762, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	762, -1, -1, -1, -1, -1, -1, 762, 
	-1, -1, -1, -1, -1, 54, 55, 56, 
	57, 85, 88, 86, 87, 89, 90, 1124, 
	83, 84, -1, -1, 36, 37, 41, 39, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 42, 43, 44, -1, 
	-1, -1, 97, -1, -1, -1, 98, 38, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 62, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, 1124, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 305, -1, -1, -1, 
	-1, -1, -1, 306, -1, -1, -1, -1, 
	35, 33, 34, 58, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 40, -1, -1, 
	-1, 762, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	318, -1, -1, -1, -1, -1, -1, -1, 
	1124, 1124, 316, 313, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, 993, -1, 929, 929, 929, 929, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, 317, 929, 929, 929, 
	929, 929, 929, 929, 929, -1, -1, -1, 
	929, 929, 929, 929, 929, -1, 929, -1, 
	929, 929, 929, 929, -1, 929, -1, 929, 
	929, 929, -1, 929, 929, -1, -1, 929, 
	929, 929, 929, 929, 929, 929, 929, -1, 
	929, 929, 929, 929, 929, 929, 929, 929, 
	929, -1, 929, 929, 929, 929, -1, -1, 
	-1, -1, -1, -1, -1, 929, -1, -1, 
	-1, -1, -1, 211, -1, -1, -1, -1, 
	-1, -1, -1, 929, 929, 929, 929, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 929, 929, 929, 
	929, -1, -1, 929, 929, -1, 929, 929, 
	929, -1, -1, -1, -1, 929, 929, 929, 
	-1, 929, 929, 929, -1, -1, -1, -1, 
	929, -1, -1, -1, -1, 929, 929, -1, 
	-1, 929, 929, 929, -1, 929, 929, -1, 
	-1, 929, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 929, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	319, 929, 929, 929, 929, 929, 929, 929, 
	929, -1, 929, 929, 929, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, 929, 929, 929, 929, 929, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 929, -1, -1, -1, -1, 929, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 918, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	918, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 929, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 250, 331, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 251, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, -1, -1, -1, 318, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 316, -1, 
	35, 33, 34, 58, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, 250, 332, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 251, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, 114, 99, 91, 40, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	317, -1, -1, -1, -1, 114, 99, 91, 
	159, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 853, 853, 853, 853, 
	853, 853, 853, 853, 853, 853, 853, 853, 
	853, 853, 853, 853, -1, 853, 853, 853, 
	853, 853, 853, 853, 853, -1, -1, -1, 
	853, 853, 853, 853, 853, -1, 853, -1, 
	853, 853, 853, 853, -1, 853, -1, 853, 
	853, 853, -1, 853, 853, -1, -1, 853, 
	853, 853, 853, 853, 853, 853, 853, 182, 
	853, 853, 853, 853, 853, 853, 853, 853, 
	853, 858, 853, 853, 853, 853, -1, -1, 
	-1, -1, -1, -1, -1, 853, 784, 784, 
	784, 784, 784, 784, -1, -1, -1, -1, 
	-1, -1, -1, 853, 853, 853, 853, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 784, 784, 784, 784, 784, -1, 
	784, -1, 784, -1, -1, -1, -1, 784, 
	-1, -1, 784, -1, -1, -1, -1, -1, 
	-1, 784, 784, -1, -1, -1, 784, 784, 
	784, -1, -1, -1, -1, 784, 784, 784, 
	-1, 784, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 853, 853, 853, 
	853, -1, -1, 853, 853, 853, 853, 853, 
	853, -1, -1, -1, -1, 853, 853, 853, 
	853, 853, 853, 853, -1, 335, 181, -1, 
	853, -1, -1, -1, 319, 853, 853, -1, 
	-1, 853, 853, 853, -1, 853, 853, -1, 
	-1, 853, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 853, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 853, 853, 853, 853, 853, 853, 853, 
	853, -1, 853, 853, 853, -1, -1, -1, 
	-1, 784, 784, -1, -1, 784, 784, 784, 
	784, -1, 784, -1, -1, -1, -1, 784, 
	784, 784, 784, 784, 784, 784, -1, -1, 
	-1, -1, -1, 853, 853, 853, 853, 853, 
	-1, -1, -1, 784, 784, 784, -1, 784, 
	784, -1, 853, 784, 853, -1, -1, 853, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 784, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 784, 784, -1, 
	-1, -1, -1, -1, 855, 855, 855, 855, 
	855, 855, 855, 855, 855, 855, 855, 855, 
	855, 855, 855, 855, -1, 855, 855, 855, 
	855, 855, 855, 855, 855, -1, -1, -1, 
	855, 855, 855, 855, 855, -1, 855, -1, 
	855, 855, 855, 855, -1, 855, 784, 855, 
	855, 855, -1, 855, 855, -1, -1, 855, 
	855, 855, 855, 855, 855, 855, 855, 855, 
	855, 855, 855, 855, 855, 855, 855, 855, 
	855, 855, 855, 855, 855, 855, -1, -1, 
	-1, -1, -1, -1, -1, 855, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 855, 855, 855, 855, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 250, 331, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 251, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, 853, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, 855, 855, 855, 
	855, -1, -1, 855, 855, 855, 855, 855, 
	855, -1, -1, -1, -1, 855, 855, 855, 
	855, 855, 855, 855, -1, 855, 855, -1, 
	855, -1, -1, -1, -1, 855, 855, 250, 
	332, 855, 855, 855, -1, 855, 855, -1, 
	-1, 855, 251, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, 855, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 855, 855, 855, 855, 855, 855, 855, 
	855, -1, 855, 855, 855, -1, -1, -1, 
	-1, 114, 99, 91, 159, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, -1, 1027, 1027, 
	-1, -1, -1, 855, 855, 855, 855, 855, 
	-1, 1027, 1027, 1027, 1027, 1027, -1, -1, 
	-1, -1, 855, -1, 855, -1, -1, 855, 
	1027, -1, -1, -1, 1027, -1, -1, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, -1, 
	-1, 1027, 1027, 1027, -1, -1, -1, -1, 
	1027, 1027, -1, 1143, 1143, 1143, 1027, 1142, 
	-1, -1, -1, -1, -1, -1, 1027, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, 1027, 1027, 1027, 1027, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, 1142, -1, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 335, 181, -1, -1, -1, -1, -1, 
	-1, -1, -1, 855, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, 1027, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 195, 196, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 194, -1, 1027, 1027, 1027, 1027, 
	1027, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 353, -1, 352, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, -1, 953, 953, 953, 
	953, 953, -1, 953, -1, 953, 953, 953, 
	953, -1, 953, -1, 953, 953, 953, -1, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, -1, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, -1, 953, -1, -1, 
	-1, -1, 953, 953, 953, 953, 953, -1, 
	-1, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	-1, -1, -1, -1, -1, 953, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 953, 953, 953, 953, -1, -1, 
	953, 953, 953, 953, 953, 953, -1, -1, 
	-1, -1, 953, 953, 953, 953, 953, 953, 
	953, -1, -1, -1, -1, 953, -1, -1, 
	-1, -1, 953, 953, -1, -1, 953, 953, 
	953, -1, 953, 953, -1, -1, 953, -1, 
	-1, -1, -1, -1, -1, -1, -1, 953, 
	953, 953, 953, 953, 953, 953, -1, -1, 
	-1, 953, 953, 953, -1, -1, 953, 953, 
	953, 953, 953, 953, 953, 953, -1, 953, 
	953, 953, -1, -1, -1, 953, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	953, 953, -1, -1, 953, -1, -1, -1, 
	-1, 953, -1, -1, -1, -1, 953, -1, 
	953, 953, 953, 953, 953, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 953, 
	-1, 953, -1, -1, 953, -1, 953, 953, 
	-1, -1, -1, 953, -1, 953, -1, 953, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	953, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, -1, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, -1, -1, 
	195, 196, -1, -1, -1, -1, -1, -1, 
	1027, -1, -1, -1, 1027, -1, 194, -1, 
	1027, 1027, 1027, 1027, 1027, -1, -1, -1, 
	-1, 1027, 1027, 1027, -1, -1, -1, -1, 
	1027, 1027, -1, 1143, 1143, 1143, 1027, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 353, 
	-1, 352, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1138, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	954, 954, 954, 954, 954, -1, 954, -1, 
	954, 954, 954, 954, -1, 954, -1, 954, 
	954, 954, -1, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	954, -1, -1, -1, -1, 954, 954, 954, 
	954, 954, -1, -1, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, -1, -1, -1, -1, -1, 
	954, -1, -1, -1, -1, 1027, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, 1027, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 247, 248, -1, -1, 
	-1, -1, -1, -1, -1, 246, -1, -1, 
	-1, -1, -1, -1, 1027, 1027, 1027, 1027, 
	1027, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 954, 954, 954, 
	954, -1, -1, 954, 954, 954, 954, 954, 
	954, 423, -1, -1, -1, 954, 954, 954, 
	954, 954, 954, 954, -1, -1, -1, -1, 
	954, -1, -1, -1, -1, 954, 954, -1, 
	-1, 954, 954, 954, -1, 954, 954, -1, 
	-1, 954, -1, -1, -1, -1, -1, -1, 
	-1, -1, 954, 954, 954, 954, 954, 954, 
	954, -1, -1, -1, 954, 954, 954, -1, 
	-1, 954, 954, 954, 954, 954, 954, 954, 
	954, -1, 954, 954, 954, -1, -1, -1, 
	954, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 954, 954, -1, -1, 954, 
	-1, -1, -1, -1, 954, -1, -1, -1, 
	-1, 954, -1, 954, 954, 954, 954, 954, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 954, -1, 954, -1, -1, 954, 
	-1, 954, 954, -1, -1, -1, 954, -1, 
	954, -1, 954, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, -1, 956, 
	956, 956, 956, 956, -1, 956, -1, 956, 
	956, 956, 956, -1, 956, -1, 956, 956, 
	956, -1, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, -1, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, -1, 956, 
	-1, -1, -1, -1, 956, 956, 956, 956, 
	956, -1, -1, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, -1, -1, -1, -1, -1, 956, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 954, -1, -1, -1, -1, 
	-1, -1, -1, -1, 956, 956, 956, 956, 
	-1, -1, 956, 956, 956, 956, 956, 956, 
	-1, -1, -1, -1, 956, 956, 956, 956, 
	956, 956, 956, -1, -1, -1, -1, 956, 
	-1, -1, -1, -1, 956, 956, -1, -1, 
	956, 956, 956, -1, 956, 956, -1, -1, 
	956, -1, -1, -1, -1, -1, -1, -1, 
	-1, 956, 956, 956, 956, 956, 956, 956, 
	-1, -1, -1, 956, 956, 956, -1, -1, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	-1, 956, 956, 956, -1, -1, -1, 956, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 956, 956, -1, -1, 956, -1, 
	-1, -1, -1, 956, -1, -1, -1, -1, 
	956, -1, 956, 956, 956, 956, 956, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 956, -1, 956, -1, -1, 956, -1, 
	956, 956, -1, -1, -1, 956, -1, 956, 
	-1, 956, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, -1, 957, 957, 
	957, 957, 957, -1, 957, -1, 957, 957, 
	957, 957, -1, 957, -1, 957, 957, 957, 
	-1, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, -1, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, -1, 957, -1, 
	-1, -1, -1, 957, 957, 957, 957, 957, 
	-1, -1, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, -1, -1, -1, -1, -1, 957, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	247, 248, -1, -1, -1, -1, -1, -1, 
	-1, 246, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 956, -1, -1, 423, -1, -1, 
	-1, -1, -1, 957, 957, 957, 957, -1, 
	-1, 957, 957, 957, 957, 957, 957, -1, 
	-1, -1, -1, 957, 957, 957, 957, 957, 
	957, 957, -1, -1, -1, -1, 957, -1, 
	-1, -1, -1, 957, 957, -1, -1, 957, 
	957, 957, -1, 957, 957, -1, -1, 957, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	957, 957, 957, 957, 957, 957, 957, -1, 
	-1, -1, 957, 957, 957, -1, -1, 957, 
	957, 957, 957, 957, 957, 957, 957, -1, 
	957, 957, 957, -1, -1, -1, 957, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 957, 957, -1, -1, 957, -1, -1, 
	-1, -1, 957, -1, -1, -1, -1, 957, 
	-1, 957, 957, 957, 957, 957, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	957, -1, 957, -1, -1, 957, -1, 957, 
	957, -1, -1, -1, 957, -1, 957, -1, 
	957, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, -1, 825, 825, 825, 825, 825, 825, 
	825, 825, -1, -1, -1, 825, 825, 825, 
	825, 825, -1, 825, -1, 825, 825, 825, 
	825, -1, 825, -1, 825, 825, 825, -1, 
	825, 825, -1, -1, 825, 825, 825, 825, 
	825, 825, 825, 825, -1, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, -1, 825, 
	825, 825, 825, -1, -1, -1, -1, -1, 
	-1, -1, 825, 27, 28, 1114, 25, 23, 
	26, -1, -1, 357, -1, -1, -1, -1, 
	825, 825, 825, 825, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 846, 
	846, 846, 846, 846, -1, 32, -1, 46, 
	-1, -1, -1, -1, 49, -1, -1, 47, 
	-1, -1, -1, -1, -1, -1, 846, 846, 
	-1, -1, -1, 24, 53, 52, -1, -1, 
	-1, -1, 66, 67, 68, -1, 60, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 957, -1, -1, -1, -1, -1, -1, 
	-1, -1, 825, 825, 825, 825, -1, -1, 
	825, 825, 825, 825, 825, 825, -1, -1, 
	-1, -1, 825, 825, 825, 825, 825, 825, 
	825, -1, -1, -1, -1, 825, -1, -1, 
	-1, -1, 825, 825, -1, -1, 825, 825, 
	825, -1, 825, 825, -1, -1, 825, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 825, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 825, 825, 
	825, 825, 825, 825, 825, 825, -1, 825, 
	825, 825, -1, -1, -1, -1, 377, 48, 
	-1, -1, 376, 378, 362, 375, -1, 374, 
	-1, -1, -1, -1, 31, 372, 373, 363, 
	29, 371, 364, -1, -1, -1, -1, -1, 
	825, 825, 825, 825, 825, -1, -1, -1, 
	369, 370, 365, -1, 366, 367, -1, 825, 
	368, 825, -1, -1, 825, -1, -1, -1, 
	830, 830, 830, 830, 830, 830, 830, 830, 
	830, 830, 830, 830, 830, 830, 830, 830, 
	379, 830, 830, 830, 830, 830, 830, 830, 
	830, -1, 846, 846, 830, 830, 830, 830, 
	830, -1, 830, -1, 830, 830, 830, 830, 
	-1, 830, -1, 830, 830, 830, -1, 830, 
	830, -1, -1, 830, 830, 830, 830, 830, 
	830, 830, 830, -1, 830, 830, 830, 830, 
	830, 830, 830, 830, 830, -1, 830, 830, 
	830, 830, -1, 361, -1, -1, -1, -1, 
	-1, 830, -1, -1, -1, -1, -1, -1, 
	-1, -1, 830, -1, -1, -1, -1, 830, 
	830, 830, 830, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	825, 830, 830, 830, 830, -1, -1, 830, 
	830, 830, 830, 830, 830, -1, -1, -1, 
	-1, 830, 830, 830, 830, 830, 830, 830, 
	-1, -1, -1, -1, 830, -1, -1, -1, 
	-1, 830, 830, -1, -1, 830, 830, 830, 
	-1, 830, 830, -1, -1, 830, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 830, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 830, 830, 830, 
	830, 830, 830, 830, 830, -1, 830, 830, 
	830, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 830, 
	830, 830, 830, 830, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 830, -1, 
	830, -1, -1, 830, -1, -1, -1, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, -1, 760, 760, 760, 760, 760, 
	-1, 760, -1, 760, 760, 760, 760, -1, 
	760, -1, 760, 760, 760, -1, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, -1, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, -1, 760, 760, 760, 
	760, -1, -1, -1, -1, -1, -1, -1, 
	760, -1, -1, 760, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 760, 760, 
	760, 760, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 830, 
	760, 760, 760, 760, -1, -1, 760, 760, 
	-1, 760, 760, 760, -1, -1, -1, -1, 
	760, 760, 760, -1, 760, 760, 760, -1, 
	-1, -1, -1, 760, -1, -1, -1, -1, 
	760, -1, -1, -1, 760, 760, 760, -1, 
	760, 760, -1, -1, 760, -1, -1, -1, 
	-1, -1, -1, -1, -1, 760, 760, 760, 
	760, 760, 760, 760, -1, -1, -1, -1, 
	760, 760, -1, -1, 760, 760, 760, 760, 
	760, 760, 760, 760, -1, 760, 760, 760, 
	-1, -1, 377, 48, -1, -1, 376, 378, 
	362, 375, -1, 374, -1, -1, -1, -1, 
	31, 372, 373, 363, 29, 371, 364, -1, 
	-1, -1, -1, -1, -1, -1, 760, 760, 
	760, 760, 760, -1, 369, 370, 365, -1, 
	366, 367, -1, -1, 368, 760, -1, -1, 
	-1, -1, -1, -1, 760, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, -1, 379, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, -1, 361, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, 73, 74, 75, 76, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, -1, -1, -1, -1, -1, 760, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 380, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 382, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, 993, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, 383, 71, 72, 82, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 384, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, -1, -1, -1, -1, 385, 71, 72, 
	-1, 77, 92, 64, 73, 74, 75, 76, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, 114, 99, 91, 159, 993, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 380, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 386, 
	71, 72, -1, 77, 92, 64, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, -1, -1, 382, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, -1, -1, -1, 
	387, 71, 72, -1, 77, 92, 64, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, 993, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 383, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, 388, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 384, 71, 72, 
	-1, 77, 92, 64, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, 389, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, 385, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, 386, 71, 72, 97, 77, 
	92, 64, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	114, 99, 91, 159, 82, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 387, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, 390, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 104, 106, 110, 
	108, 112, -1, -1, -1, 114, 99, 91, 
	159, 993, -1, -1, 97, -1, -1, -1, 
	98, -1, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 993, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, 76, -1, -1, -1, 392, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 388, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 391, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, 993, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 389, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	-1, 997, -1, 997, 997, 997, 997, 997, 
	997, -1, 997, 997, 997, -1, 997, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, -1, 997, 997, 997, 
	997, -1, -1, -1, 997, 395, -1, -1, 
	997, 997, -1, 997, 396, 398, 997, -1, 
	-1, 997, -1, 997, -1, -1, 997, 997, 
	997, 997, 397, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 997, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 997, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	997, 997, 997, 997, -1, -1, 997, 997, 
	997, 997, 997, 997, -1, -1, -1, -1, 
	997, 997, 997, 997, 997, 997, 997, -1, 
	-1, 997, -1, 997, -1, -1, -1, -1, 
	997, 997, -1, 997, 997, 997, 997, -1, 
	997, 997, -1, -1, 997, -1, -1, -1, 
	-1, -1, 997, -1, 997, 997, 997, 997, 
	997, 997, 997, 997, -1, -1, -1, -1, 
	997, 997, -1, 997, 997, 997, 997, 997, 
	997, 997, 997, 997, -1, 997, 997, 997, 
	394, -1, 997, -1, -1, 390, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 997, 997, 997, -1, 
	-1, 997, 997, 997, -1, -1, 997, 997, 
	997, 997, 997, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 997, -1, 997, 
	-1, -1, 997, 997, 997, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 392, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, 997, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, 391, -1, 77, 92, 64, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, -1, 1066, 1066, 1066, 1066, 
	1066, -1, 1066, -1, 1066, 1066, 1066, 1066, 
	-1, 1066, -1, 1066, 1066, 1066, -1, 1066, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, -1, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, -1, 1066, -1, -1, -1, 
	-1, 1066, 1066, 1066, 1066, 1066, -1, -1, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, 1066, 1066, -1, 
	-1, -1, -1, -1, 1066, -1, -1, 401, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1066, 1066, 1066, 1066, -1, -1, 1066, 
	1066, 1066, 1066, 1066, 1066, -1, -1, -1, 
	-1, 1066, 1066, 1066, 1066, 1066, 1066, 1066, 
	-1, -1, -1, -1, 1066, -1, -1, -1, 
	-1, 1066, 1066, -1, -1, 1066, 1066, 1066, 
	-1, 1066, 1066, -1, -1, 1066, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, -1, -1, -1, 
	1066, 1066, 1066, -1, -1, 1066, 1066, 1066, 
	1066, 1066, 1066, 1066, 1066, -1, 1066, 1066, 
	1066, -1, -1, -1, 1066, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1066, 
	1066, -1, -1, 1066, -1, -1, -1, -1, 
	1066, -1, -1, -1, -1, 1066, -1, 1066, 
	1066, 1066, 1066, 1066, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1066, -1, 
	1066, -1, -1, 1066, -1, 1066, 1066, -1, 
	-1, -1, 1066, -1, 1066, -1, 1066, -1, 
	-1, -1, -1, -1, 394, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 97, -1, 
	-1, -1, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, 918, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 879, 
	879, 879, 879, 879, 879, 879, 879, 879, 
	879, 879, 879, 879, 879, 879, 879, -1, 
	879, 879, 879, 879, 879, 879, 879, 879, 
	-1, -1, -1, 879, 879, 879, 879, 879, 
	-1, 879, -1, 879, 879, 879, 879, 1066, 
	879, -1, 879, 879, 879, -1, 879, 879, 
	-1, -1, 879, 879, 879, 879, 879, 879, 
	879, 879, -1, 879, 879, 879, 879, 879, 
	879, 879, 879, 879, -1, 879, 879, 879, 
	879, -1, -1, -1, -1, -1, -1, -1, 
	879, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 879, 879, 
	879, 879, -1, -1, -1, -1, -1, -1, 
	250, 400, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 251, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	879, 879, 879, 879, -1, -1, 879, 879, 
	879, 879, 879, 879, -1, -1, -1, -1, 
	879, 879, 879, 879, 879, 879, 879, -1, 
	-1, -1, -1, 879, -1, -1, -1, -1, 
	879, 879, -1, -1, 879, 879, 879, -1, 
	879, 879, -1, -1, 879, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	879, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 879, 879, 879, 879, 
	879, 879, 879, 879, -1, 879, 879, 879, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 879, 879, 
	879, 879, 879, 401, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, 879, -1, 879, 
	-1, -1, 879, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 884, 884, 
	884, 884, 884, 884, 884, 884, 884, 884, 
	884, 884, 884, 884, 884, 884, -1, 884, 
	884, 884, 884, 884, 884, 884, 884, -1, 
	-1, -1, 884, 884, 884, 884, 884, -1, 
	884, -1, 884, 884, 884, 884, -1, 884, 
	-1, 884, 884, 884, -1, 884, 884, -1, 
	-1, 884, 884, 884, 884, 884, 884, 884, 
	884, -1, 884, 884, 884, 884, 884, 884, 
	884, 884, 884, -1, 884, 884, 884, 884, 
	-1, -1, -1, -1, -1, -1, -1, 884, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 884, 884, 884, 
	884, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 879, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 884, 
	884, 884, 884, -1, -1, 884, 884, 884, 
	884, 884, 884, -1, -1, -1, -1, 884, 
	884, 884, 884, 884, 884, 884, -1, -1, 
	-1, -1, 884, -1, -1, -1, -1, 884, 
	884, -1, -1, 884, 884, 884, -1, 884, 
	884, -1, -1, 884, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 884, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 884, 884, 884, 884, 884, 
	884, 884, 884, -1, 884, 884, 884, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, -1, 
	1027, 1027, -1, -1, -1, 884, 884, 884, 
	884, 884, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, 884, -1, 884, -1, 
	-1, 884, 1027, -1, -1, -1, 1027, -1, 
	-1, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, -1, 1027, 1027, 1027, -1, -1, 
	-1, -1, 1027, 1027, -1, 1143, 1143, 1143, 
	1027, 1138, -1, -1, -1, -1, -1, -1, 
	1027, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1138, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 250, 400, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 251, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, 884, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 247, 248, 
	-1, -1, -1, -1, -1, -1, -1, 246, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1059, 1059, 1059, 
	1059, 1059, 1059, 432, 1059, 1059, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1059, 
	1059, 1059, 1059, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1059, -1, 
	-1, -1, 1059, -1, -1, -1, 1059, 1059, 
	1059, 1059, 1059, -1, -1, -1, -1, 1059, 
	1059, 1059, -1, -1, -1, -1, 1059, 1059, 
	-1, 1059, 1059, 1059, 1059, 1059, -1, -1, 
	-1, -1, -1, -1, 1059, -1, -1, 431, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, 1059, 1059, 1059, 1059, -1, -1, 
	212, 213, -1, -1, -1, -1, -1, 1059, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, -1, 1053, 
	1053, 1053, 1053, 1053, -1, 1053, -1, 1053, 
	1053, 1053, 1053, -1, 1053, -1, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, -1, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, -1, 1053, 
	-1, -1, 1053, -1, 1053, 1053, 1053, 1053, 
	1053, -1, -1, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, -1, -1, -1, -1, -1, 1053, 
	-1, -1, -1, 1059, 1059, 1059, 1059, 1059, 
	-1, 1059, 1059, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1059, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1059, -1, 1059, 1059, 1059, 1059, 1059, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1053, 1053, 1053, 1053, 
	-1, -1, 1053, 1053, 1053, 1053, 1053, 1053, 
	-1, 1059, -1, -1, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, -1, -1, -1, -1, 1053, 
	-1, -1, -1, -1, 1053, 1053, -1, -1, 
	1053, 1053, 1053, -1, 1053, 1053, -1, -1, 
	1053, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	-1, -1, -1, 1053, 1053, 1053, -1, -1, 
	1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, 1053, 1053, -1, -1, -1, 1053, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1053, 1053, -1, -1, 1053, -1, 
	-1, -1, -1, 1053, -1, -1, -1, -1, 
	1053, -1, 1053, 1053, 1053, 1053, 1053, -1, 
	-1, -1, -1, 802, 802, 802, 802, 802, 
	802, 1053, -1, 1053, -1, -1, 1053, -1, 
	1053, 1053, -1, -1, -1, 1053, 802, 1053, 
	-1, 1053, -1, -1, -1, -1, -1, 802, 
	802, 802, 802, 802, -1, 802, -1, 802, 
	-1, -1, -1, -1, 802, -1, -1, 802, 
	802, -1, -1, -1, -1, -1, 802, 802, 
	-1, -1, -1, 802, 802, 802, -1, -1, 
	-1, -1, 802, 802, 802, 802, 802, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 247, 248, -1, -1, -1, -1, 
	-1, -1, -1, 246, -1, 802, 802, 802, 
	-1, -1, 802, 802, -1, -1, 802, 802, 
	-1, -1, 1053, -1, 802, 802, 802, -1, 
	802, 802, 802, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 802, 802, -1, 432, 
	802, 802, 802, -1, 802, 802, -1, -1, 
	802, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 802, 802, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 431, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 802, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, -1, 976, 976, 976, 976, 976, -1, 
	976, -1, 976, 976, 976, 976, -1, 976, 
	-1, 976, 976, 976, -1, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, -1, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, -1, 976, -1, -1, -1, -1, 976, 
	976, 976, 976, 976, -1, -1, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, -1, -1, -1, 
	-1, -1, 976, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 976, 
	976, 976, 976, -1, -1, 976, 976, 976, 
	976, 976, 976, -1, -1, -1, -1, 976, 
	976, 976, 976, 976, 976, 976, -1, -1, 
	-1, -1, 976, -1, -1, -1, -1, 976, 
	976, -1, -1, 976, 976, 976, -1, 976, 
	976, -1, -1, 976, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, 976, 976, 976, 
	976, 976, 976, -1, -1, -1, 976, 976, 
	976, -1, -1, 976, 976, 976, 976, 976, 
	976, 976, 976, -1, 976, 976, 976, -1, 
	-1, -1, 976, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 976, 976, -1, 
	-1, 976, -1, -1, -1, -1, 976, -1, 
	-1, -1, -1, 976, -1, 976, 976, 976, 
	976, 976, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, -1, 976, -1, 
	-1, 976, -1, 976, 976, -1, -1, -1, 
	976, -1, 976, -1, 976, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	-1, 1025, 1025, 1025, 1025, 1025, -1, 1025, 
	-1, 1025, 1025, 1025, 1025, -1, 1025, -1, 
	1025, 1025, 1025, -1, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	-1, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 268, 270, 272, 274, 1025, 
	-1, 1025, -1, -1, -1, -1, 1025, 1025, 
	1025, 1025, 1025, -1, -1, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, 1025, 1025, -1, -1, -1, -1, 
	-1, 1025, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 976, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1025, 1025, 
	1025, 1025, -1, -1, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, -1, -1, -1, 1025, 1025, 
	1025, 1025, 1025, 1025, 1025, -1, -1, -1, 
	-1, 1025, -1, -1, -1, -1, 1025, 1025, 
	-1, -1, 1025, 1025, 1025, -1, 1025, 1025, 
	-1, -1, 1025, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, -1, -1, 1025, 1025, 1025, 
	1025, -1, 1025, 1025, 1025, 1025, 1025, 1025, 
	1025, 1025, -1, 1025, 1025, 1025, -1, -1, 
	-1, 1025, -1, -1, -1, -1, -1, -1, 
	-1, 458, -1, -1, 1025, 1025, -1, -1, 
	1025, -1, -1, -1, -1, 1025, -1, -1, 
	-1, -1, 1025, -1, 1025, 1025, 1025, 1025, 
	1025, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1025, -1, 1025, -1, -1, 
	1025, -1, 1025, 1025, -1, -1, -1, 1025, 
	-1, 1025, -1, 1025, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, -1, 
	1024, 1024, 1024, 1024, 1024, -1, 1024, -1, 
	1024, 1024, 1024, 1024, -1, 1024, -1, 1024, 
	1024, 1024, -1, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, -1, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, -1, 
	1024, -1, -1, -1, -1, 1024, 1024, 1024, 
	1024, 1024, -1, -1, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, 1024, 1024, -1, -1, -1, -1, -1, 
	1024, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1025, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1024, 1024, 1024, 
	1024, -1, -1, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, -1, -1, -1, 1024, 1024, 1024, 
	1024, 1024, 1024, 1024, -1, -1, -1, -1, 
	1024, -1, -1, -1, -1, 1024, 1024, -1, 
	-1, 1024, 1024, 1024, -1, 1024, 1024, -1, 
	-1, 1024, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, -1, -1, 1024, 1024, 1024, 1024, 
	-1, 1024, 1024, 1024, 1024, 1024, 1024, 1024, 
	1024, -1, 1024, 1024, 1024, -1, -1, -1, 
	1024, -1, -1, -1, -1, -1, -1, -1, 
	1024, -1, -1, 1024, 1024, -1, -1, 1024, 
	-1, -1, -1, -1, 1024, -1, -1, -1, 
	-1, 1024, -1, 1024, 1024, 1024, 1024, 1024, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1024, -1, 1024, -1, -1, 1024, 
	-1, 1024, 1024, -1, -1, -1, 1024, -1, 
	1024, -1, 1024, -1, -1, -1, -1, -1, 
	-1, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, -1, 961, 961, 961, 
	961, 961, -1, 961, -1, 961, 961, 961, 
	961, -1, 961, -1, 961, 961, 961, 461, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, -1, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, -1, 961, -1, -1, 
	460, -1, 961, 961, 961, 961, 961, -1, 
	-1, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	-1, -1, -1, -1, -1, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1024, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 961, 961, 961, 961, -1, -1, 
	961, 961, 961, 961, 961, 961, -1, -1, 
	-1, -1, 961, 961, 961, 961, 961, 961, 
	961, -1, -1, -1, -1, 961, -1, -1, 
	-1, -1, 961, 961, -1, -1, 961, 961, 
	961, -1, 961, 961, -1, -1, 961, -1, 
	-1, -1, -1, -1, -1, -1, -1, 961, 
	961, 961, 961, 961, 961, 961, -1, -1, 
	-1, 961, 961, 961, -1, 458, 961, 961, 
	961, 961, 961, 961, 961, 961, 459, 961, 
	961, 961, -1, -1, -1, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, 961, -1, -1, 961, -1, -1, -1, 
	-1, 961, -1, -1, -1, -1, 961, -1, 
	961, 961, 961, 961, 961, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 961, 
	-1, 961, -1, -1, 961, -1, 961, 961, 
	-1, -1, -1, 961, -1, 961, -1, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, -1, 961, 961, 961, 961, 
	961, -1, 961, -1, 961, 961, 961, 961, 
	-1, 961, -1, 961, 961, 961, 461, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, -1, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, -1, 961, -1, -1, 460, 
	-1, 961, 961, 961, 961, 961, -1, -1, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, -1, 
	-1, -1, -1, -1, 961, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, -1, -1, -1, -1, -1, -1, -1, 
	-1, 961, 961, 961, 961, -1, -1, 961, 
	961, 961, 961, 961, 961, -1, -1, -1, 
	-1, 961, 961, 961, 961, 961, 961, 961, 
	-1, -1, -1, -1, 961, -1, -1, -1, 
	-1, 961, 961, -1, -1, 961, 961, 961, 
	-1, 961, 961, -1, -1, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, 961, 961, 
	961, 961, 961, 961, 961, -1, -1, -1, 
	961, 961, 961, -1, -1, 961, 961, 961, 
	961, 961, 961, 961, 961, 462, 961, 961, 
	961, -1, -1, -1, 961, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 961, 
	961, -1, -1, 961, -1, -1, -1, -1, 
	961, -1, -1, -1, -1, 961, -1, 961, 
	961, 961, 961, 961, -1, -1, -1, -1, 
	27, 28, 1120, 25, 23, 26, 961, -1, 
	961, -1, -1, 961, -1, 961, 961, -1, 
	-1, -1, 961, 30, 961, -1, 961, -1, 
	-1, -1, -1, -1, 846, 846, 846, 846, 
	846, -1, 32, -1, 296, -1, -1, -1, 
	-1, 49, -1, -1, 47, 45, -1, -1, 
	-1, -1, -1, 846, 846, -1, -1, -1, 
	24, 53, 52, -1, -1, -1, -1, 66, 
	67, 68, 50, 846, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 803, 803, 803, 803, 803, 803, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 803, -1, -1, -1, 
	-1, -1, -1, -1, -1, 803, 803, 803, 
	803, 803, -1, 803, -1, 803, -1, -1, 
	-1, -1, 803, -1, -1, 803, 803, -1, 
	-1, -1, -1, -1, 803, 803, -1, -1, 
	-1, 803, 803, 803, -1, -1, -1, -1, 
	803, 803, 803, 803, 803, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 294, 292, 48, -1, -1, 291, 
	293, -1, -1, 295, 290, -1, -1, 961, 
	-1, 31, 288, 289, -1, 29, 286, 280, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 287, 278, -1, -1, 284, 285, 279, 
	-1, 281, 282, -1, -1, 283, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 846, 
	846, -1, 459, 803, 803, 803, -1, -1, 
	803, 803, -1, -1, 803, 803, -1, -1, 
	-1, -1, 803, 803, 803, -1, 803, 803, 
	803, -1, 804, 804, 804, 804, 804, 804, 
	-1, -1, 803, 803, -1, -1, 803, 803, 
	803, -1, 803, 803, -1, 804, 803, -1, 
	-1, -1, -1, 463, -1, -1, 804, 804, 
	804, 804, 804, -1, 804, -1, 804, -1, 
	-1, -1, -1, 804, -1, -1, 804, 804, 
	-1, -1, -1, -1, -1, 804, 804, -1, 
	803, 803, 804, 804, 804, -1, -1, -1, 
	-1, 804, 804, 804, 804, 804, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 805, 805, 805, 805, 805, 805, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 805, -1, -1, -1, 
	-1, -1, -1, -1, 803, 805, 805, 805, 
	805, 805, -1, 805, -1, 805, -1, -1, 
	-1, -1, 805, -1, -1, 805, 805, -1, 
	-1, -1, -1, -1, 805, 805, -1, -1, 
	-1, 805, 805, 805, -1, -1, -1, -1, 
	805, 805, 805, 805, 805, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 804, 804, 804, -1, 
	-1, 804, 804, -1, -1, 804, 804, -1, 
	-1, -1, -1, 804, 804, 804, -1, 804, 
	804, 804, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 804, 804, -1, -1, 804, 
	804, 804, -1, 804, 804, -1, -1, 804, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 804, 804, 805, 805, 805, -1, -1, 
	805, 805, -1, -1, 805, 805, -1, -1, 
	-1, -1, 805, 805, 805, -1, 805, 805, 
	805, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 805, 805, -1, -1, 805, 805, 
	805, 462, 805, 805, -1, -1, 805, -1, 
	-1, -1, -1, -1, -1, 804, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	805, 805, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 805, 806, 806, 806, 
	806, 806, 806, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	806, -1, -1, -1, -1, -1, -1, -1, 
	-1, 806, 806, 806, 806, 806, -1, 806, 
	-1, 806, -1, -1, -1, -1, 806, -1, 
	-1, 806, 806, -1, -1, -1, -1, -1, 
	806, 806, -1, -1, -1, 806, 806, 806, 
	-1, -1, -1, -1, 806, 806, 806, 806, 
	806, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 294, 292, 
	48, -1, -1, 291, 293, -1, -1, 295, 
	290, -1, -1, -1, -1, 31, 288, 289, 
	-1, 29, 286, 280, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 287, 278, -1, 
	-1, 284, 285, 279, -1, 281, 282, -1, 
	-1, 283, -1, -1, -1, -1, -1, 806, 
	806, 806, -1, -1, 806, 806, -1, -1, 
	806, 806, -1, -1, -1, -1, 806, 806, 
	806, -1, 806, 806, 806, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 806, 806, 
	-1, -1, 806, 806, 806, -1, 806, 806, 
	-1, -1, 806, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 807, 807, 807, 807, 
	807, 807, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 807, 
	-1, -1, -1, -1, 806, 806, -1, 463, 
	807, 807, 807, 807, 807, -1, 807, -1, 
	807, -1, -1, -1, -1, 807, -1, -1, 
	807, 807, -1, -1, -1, -1, -1, 807, 
	807, -1, -1, -1, 807, 807, 807, -1, 
	-1, -1, -1, 807, 807, 807, 807, 807, 
	-1, -1, 808, 808, 808, 808, 808, 808, 
	806, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 808, -1, -1, 
	-1, -1, -1, -1, -1, -1, 808, 808, 
	808, 808, 808, -1, 808, -1, 808, -1, 
	-1, -1, -1, 808, -1, -1, 808, 808, 
	-1, -1, -1, -1, -1, 808, 808, -1, 
	-1, -1, 808, 808, 808, -1, -1, -1, 
	-1, 808, 808, 808, 808, 808, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 807, 807, 
	807, -1, -1, 807, 807, -1, -1, 807, 
	807, -1, -1, -1, -1, 807, 807, 807, 
	-1, 807, 807, 807, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 807, 807, -1, 
	-1, 807, 807, 807, -1, 807, 807, -1, 
	-1, 807, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 808, 808, 808, -1, 
	-1, 808, 808, 807, 807, 808, 808, -1, 
	-1, -1, -1, 808, 808, 808, -1, 808, 
	808, 808, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 808, 808, -1, -1, 808, 
	808, 808, -1, 808, 808, -1, -1, 808, 
	-1, -1, -1, -1, -1, -1, -1, 809, 
	809, 809, 809, 809, 809, -1, -1, 807, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 809, -1, -1, -1, -1, -1, 
	-1, 808, 808, 809, 809, 809, 809, 809, 
	-1, 809, -1, 809, -1, -1, -1, -1, 
	809, -1, -1, 809, 809, -1, -1, -1, 
	-1, -1, 809, 809, -1, -1, -1, 809, 
	809, 809, -1, -1, -1, -1, 809, 809, 
	809, 809, 809, -1, -1, 810, 810, 810, 
	810, 810, 810, -1, -1, 808, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, 810, 810, 810, 810, 810, -1, 810, 
	-1, 810, -1, -1, -1, -1, 810, -1, 
	-1, 810, 810, -1, -1, -1, -1, -1, 
	810, 810, -1, -1, -1, 810, 810, 810, 
	-1, -1, -1, -1, 810, 810, 810, 810, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 809, 809, 809, -1, -1, 809, 809, 
	-1, -1, 809, 809, -1, -1, -1, -1, 
	809, 809, 809, -1, 809, 809, 809, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	809, 809, -1, -1, 809, 809, 809, -1, 
	809, 809, -1, -1, 809, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 810, 
	810, 810, -1, -1, 810, 810, 809, 809, 
	810, 810, -1, -1, -1, -1, 810, 810, 
	810, -1, 810, 810, 810, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 810, 810, 
	-1, -1, 810, 810, 810, -1, 810, 810, 
	-1, -1, 810, -1, -1, -1, -1, -1, 
	-1, -1, 811, 811, 811, 811, 811, 811, 
	-1, -1, 809, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 811, -1, -1, 
	-1, -1, -1, -1, 810, 810, 811, 811, 
	811, 811, 811, -1, 811, -1, 811, -1, 
	-1, -1, -1, 811, -1, -1, 811, 811, 
	-1, -1, -1, -1, -1, 811, 811, -1, 
	-1, -1, 811, 811, 811, -1, -1, -1, 
	-1, 811, 811, 811, 811, 811, -1, -1, 
	812, 812, 812, 812, 812, 812, -1, -1, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 812, -1, -1, -1, -1, 
	-1, -1, -1, -1, 812, 812, 812, 812, 
	812, -1, 812, -1, 812, -1, -1, -1, 
	-1, 812, -1, -1, 812, 812, -1, -1, 
	-1, -1, -1, 812, 812, -1, -1, -1, 
	812, 812, 812, -1, -1, -1, -1, 812, 
	812, 812, 812, 812, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 811, 811, 811, -1, 
	-1, 811, 811, -1, -1, 811, 811, -1, 
	-1, -1, -1, 811, 811, 811, -1, 811, 
	811, 811, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 811, 811, -1, -1, 811, 
	811, 811, -1, 811, 811, -1, -1, 811, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 812, 812, 812, -1, -1, 812, 
	812, 811, 811, 812, 812, -1, -1, -1, 
	-1, 812, 812, 812, -1, 812, 812, 812, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 812, 812, -1, -1, 812, 812, 812, 
	-1, 812, 812, -1, -1, 812, -1, -1, 
	-1, -1, -1, -1, -1, 813, 813, 813, 
	813, 813, 813, -1, -1, 811, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	813, -1, -1, -1, -1, -1, -1, 812, 
	812, 813, 813, 813, 813, 813, -1, 813, 
	-1, 813, -1, -1, -1, -1, 813, -1, 
	-1, 813, 813, -1, -1, -1, -1, -1, 
	813, 813, -1, -1, -1, 813, 813, 813, 
	-1, -1, -1, -1, 813, 813, 813, 813, 
	813, -1, -1, 814, 814, 814, 814, 814, 
	814, -1, -1, 812, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 814, -1, 
	-1, -1, -1, -1, -1, -1, -1, 814, 
	814, 814, 814, 814, -1, 814, -1, 814, 
	-1, -1, -1, -1, 814, -1, -1, 814, 
	814, -1, -1, -1, -1, -1, 814, 814, 
	-1, -1, -1, 814, 814, 814, -1, -1, 
	-1, -1, 814, 814, 814, 814, 814, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 813, 
	813, 813, -1, -1, 813, 813, -1, -1, 
	813, 813, -1, -1, -1, -1, 813, 813, 
	813, -1, 813, 813, 813, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 813, 813, 
	-1, -1, 813, 813, 813, -1, 813, 813, 
	-1, -1, 813, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 814, 814, 814, 
	-1, -1, 814, 814, 813, 813, 814, 814, 
	-1, -1, -1, -1, 814, 814, 814, -1, 
	814, 814, 814, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 814, 814, -1, -1, 
	814, 814, 814, -1, 814, 814, -1, -1, 
	814, -1, -1, -1, -1, -1, -1, -1, 
	815, 815, 815, 815, 815, 815, -1, -1, 
	813, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 815, -1, -1, -1, -1, 
	-1, -1, 814, 814, 815, 815, 815, 815, 
	815, -1, 815, -1, 815, -1, -1, -1, 
	-1, 815, -1, -1, 815, 815, -1, -1, 
	-1, -1, -1, 815, 815, -1, -1, -1, 
	815, 815, 815, -1, -1, -1, -1, 815, 
	815, 815, 815, 815, -1, -1, 816, 816, 
	816, 816, 816, 816, -1, -1, 814, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 816, -1, -1, -1, -1, -1, -1, 
	-1, -1, 816, 816, 816, 816, 816, -1, 
	816, -1, 816, -1, -1, -1, -1, 816, 
	-1, -1, 816, 816, -1, -1, -1, -1, 
	-1, 816, 816, -1, -1, -1, 816, 816, 
	816, -1, -1, -1, -1, 816, 816, 816, 
	816, 816, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 815, 815, 815, -1, -1, 815, 
	815, -1, -1, 815, 815, -1, -1, -1, 
	-1, 815, 815, 815, -1, 815, 815, 815, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 815, 815, -1, -1, 815, 815, 815, 
	-1, 815, 815, -1, -1, 815, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	816, 816, 816, -1, -1, 816, 816, 815, 
	815, 816, 816, -1, -1, -1, -1, 816, 
	816, 816, -1, 816, 816, 816, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 816, 
	816, -1, -1, 816, 816, 816, -1, 816, 
	816, -1, -1, 816, -1, -1, -1, -1, 
	-1, -1, -1, 817, 817, 817, 817, 817, 
	817, -1, -1, 815, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 817, -1, 
	-1, -1, -1, -1, -1, 816, 816, 817, 
	817, 817, 817, 817, -1, 817, -1, 817, 
	-1, -1, -1, -1, 817, -1, -1, 817, 
	817, -1, -1, -1, -1, -1, 817, 817, 
	-1, -1, -1, 817, 817, 817, -1, -1, 
	-1, -1, 817, 817, 817, 817, 817, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 816, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	85, 88, 86, 87, 89, 90, -1, 83, 
	84, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 97, -1, -1, -1, 98, -1, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 993, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, -1, -1, -1, 817, 817, 817, 
	-1, -1, 817, 817, -1, -1, 817, 817, 
	-1, -1, -1, -1, 817, 817, 817, -1, 
	817, 817, 817, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 817, 817, -1, -1, 
	817, 817, 817, -1, 817, 817, -1, -1, 
	817, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 817, 817, -1, -1, -1, -1, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 477, 478, -1, 914, 914, 914, 914, 
	914, -1, 914, -1, 914, 914, 914, 914, 
	-1, 914, -1, 914, 914, 914, 817, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, -1, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, -1, 914, 914, 
	914, 914, -1, -1, 606, 92, 64, -1, 
	-1, 914, -1, -1, 914, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	914, 914, 914, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 914, 914, 914, 914, -1, -1, 914, 
	914, -1, 914, 914, 914, -1, -1, -1, 
	-1, 914, 914, 914, -1, 914, 914, 914, 
	-1, -1, -1, -1, 914, -1, -1, -1, 
	-1, 914, -1, -1, -1, 914, 914, 914, 
	-1, 914, 914, -1, -1, 914, -1, -1, 
	-1, -1, -1, -1, -1, -1, 914, 914, 
	914, 914, 472, 474, 476, -1, -1, -1, 
	-1, 914, 914, -1, -1, 914, 914, 914, 
	914, 914, 914, 914, 914, -1, 914, 914, 
	914, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	914, 914, 914, 914, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 914, -1, 
	-1, -1, -1, -1, -1, 914, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	1124, 83, 84, -1, -1, 36, 37, 41, 
	39, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, 42, 43, 44, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	38, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 62, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, 1124, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 923, 923, 923, 
	923, 923, 923, 923, 923, 923, 923, 923, 
	923, 923, 923, 923, 923, 923, 923, 923, 
	923, 923, 923, 923, 923, 923, 923, 923, 
	-1, 923, 923, 923, 923, 923, -1, 923, 
	-1, 923, 923, 923, 923, -1, 923, 914, 
	923, 923, 923, -1, 923, 923, 923, 923, 
	923, 923, 923, 923, 923, 923, 923, 923, 
	-1, 923, 923, 923, 923, 923, 923, 923, 
	923, 923, -1, 923, 923, 923, 923, -1, 
	-1, -1, -1, -1, -1, -1, 923, -1, 
	-1, 923, -1, -1, -1, -1, -1, -1, 
	-1, 318, -1, -1, 923, 923, 923, 923, 
	-1, 1124, 1124, 470, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, 993, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 317, 923, 923, 
	923, 923, -1, -1, 923, 923, -1, 923, 
	923, 923, -1, -1, -1, -1, 923, 923, 
	923, -1, 923, 923, 923, -1, -1, -1, 
	-1, 923, -1, -1, -1, -1, 923, -1, 
	-1, -1, 923, 923, 923, -1, 923, 923, 
	-1, -1, 923, -1, -1, -1, -1, -1, 
	-1, -1, -1, 923, 923, 923, 923, 923, 
	923, 923, -1, -1, -1, -1, 923, 923, 
	-1, -1, 923, 923, 923, 923, 923, 923, 
	923, 923, -1, 923, 923, 923, -1, -1, 
	606, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 923, 923, 923, 923, 
	923, 114, 99, 91, 159, -1, -1, -1, 
	-1, -1, -1, 923, -1, -1, -1, -1, 
	-1, -1, 923, -1, -1, -1, -1, -1, 
	-1, -1, 757, 757, 757, 757, 757, 757, 
	757, 757, 757, 757, 757, 757, 757, 757, 
	757, 757, 757, 757, 757, 757, 757, 757, 
	757, 757, 757, 757, 757, -1, 757, 757, 
	757, 757, 757, -1, 757, -1, 757, 757, 
	757, 757, -1, 757, -1, 757, 757, 757, 
	-1, 757, 757, 757, 757, 757, 757, 757, 
	757, 757, 757, 757, 757, -1, 757, 757, 
	757, 757, 757, 757, 757, 757, 757, -1, 
	757, 757, 757, 757, -1, -1, -1, -1, 
	-1, -1, -1, 757, -1, -1, 757, -1, 
	785, 785, 785, 785, 785, 785, 471, 473, 
	475, 757, 757, 757, 757, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 785, 785, 785, 785, 
	785, -1, 785, -1, 785, -1, -1, -1, 
	-1, 785, -1, -1, 785, -1, -1, -1, 
	-1, -1, -1, 785, 785, -1, -1, -1, 
	785, 785, 785, -1, -1, -1, -1, 785, 
	785, 785, -1, 785, -1, -1, -1, -1, 
	-1, -1, -1, -1, 923, -1, -1, -1, 
	-1, -1, -1, 757, 757, 757, 757, -1, 
	-1, 757, 757, -1, 757, 757, 757, -1, 
	-1, -1, -1, 757, 757, 757, -1, 757, 
	757, 757, -1, -1, -1, -1, 757, -1, 
	-1, -1, -1, 757, -1, -1, -1, 757, 
	757, 757, -1, 757, 757, -1, -1, 757, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	757, 757, 757, 757, 757, 757, 757, -1, 
	-1, -1, -1, 757, 757, -1, -1, 757, 
	757, 757, 757, 757, 757, 757, 757, -1, 
	757, 757, 757, -1, -1, -1, -1, -1, 
	-1, -1, -1, 785, 785, -1, -1, 785, 
	785, 785, 785, -1, 785, -1, -1, -1, 
	-1, 785, 785, 785, 785, 785, 785, 785, 
	-1, 757, 757, 757, 757, 757, -1, -1, 
	-1, -1, -1, -1, -1, 785, 785, 785, 
	757, 785, 785, -1, -1, 785, -1, 757, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 785, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 785, 
	785, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	785, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 470, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 40, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 317, -1, -1, -1, -1, -1, -1, 
	-1, 757, 835, 835, 835, 835, 835, 835, 
	835, 835, 835, 835, 835, 835, 835, 835, 
	835, 835, -1, 835, 835, 835, 835, 835, 
	835, 835, 835, -1, -1, -1, 835, 835, 
	835, 835, 835, -1, 835, -1, 835, 835, 
	835, 835, -1, 835, -1, 835, 835, 835, 
	-1, 835, 835, -1, -1, 835, 835, 835, 
	835, 835, 835, 835, 835, -1, 835, 835, 
	835, 835, 835, 835, 835, 835, 835, -1, 
	835, 835, 835, 835, -1, -1, -1, -1, 
	-1, -1, -1, 835, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 835, 835, 835, 835, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 835, 835, 835, 835, -1, 
	-1, 835, 835, 835, 835, 835, 835, -1, 
	-1, -1, -1, 835, 835, 835, 835, 835, 
	835, 835, -1, -1, -1, -1, 835, -1, 
	-1, -1, -1, 835, -1, -1, -1, 835, 
	835, 835, -1, 835, 835, -1, -1, 835, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 835, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 835, 
	835, 835, 835, 835, 835, 835, 835, -1, 
	835, 835, 835, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 835, 835, 835, 835, 835, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	835, -1, 835, 834, 834, 834, 834, 834, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	834, 834, 834, -1, 834, 834, 834, 834, 
	834, 834, 834, 834, -1, -1, -1, 834, 
	834, 834, 834, 834, -1, 834, -1, 834, 
	834, 834, 834, -1, 834, -1, 834, 834, 
	834, -1, 834, 834, -1, -1, 834, 834, 
	834, 834, 834, 834, 834, 834, -1, 834, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	-1, 834, 834, 834, 834, -1, -1, -1, 
	-1, -1, -1, -1, 834, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, 834, 834, 834, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 834, 834, 834, 834, 
	-1, 835, 834, 834, 834, 834, 834, 834, 
	-1, -1, -1, -1, 834, 834, 834, 834, 
	834, 834, 834, -1, -1, -1, -1, 834, 
	-1, -1, -1, -1, 834, 834, -1, -1, 
	834, 834, 834, -1, 834, 834, -1, -1, 
	834, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 834, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	-1, 834, 834, 834, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, 834, 834, 834, 834, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 834, -1, 834, -1, -1, 834, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, 1124, 83, 84, -1, -1, 36, 37, 
	41, 39, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, 42, 43, 
	44, -1, -1, -1, 97, -1, -1, -1, 
	98, 38, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 62, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, -1, 1124, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 836, 
	836, 836, 836, 836, 836, 836, 836, 836, 
	836, 836, 836, 836, 836, 836, 836, -1, 
	836, 836, 836, 836, 836, 836, 836, 836, 
	-1, -1, -1, 836, 836, 836, 836, 836, 
	-1, 836, -1, 836, 836, 836, 836, -1, 
	836, -1, 836, 836, 836, -1, 836, 836, 
	-1, -1, 836, 836, 836, 836, 836, 836, 
	836, 836, 834, 836, 836, 836, 836, 836, 
	836, 836, 836, 836, -1, 836, 836, 836, 
	836, -1, -1, -1, -1, -1, -1, -1, 
	836, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 836, 836, 
	836, 836, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, -1, 
	-1, -1, 1124, 1124, -1, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, 993, -1, -1, -1, 
	836, 836, 836, 836, -1, -1, 836, 836, 
	-1, 836, 836, 836, -1, -1, 489, -1, 
	836, 836, 836, -1, 836, 836, 836, -1, 
	-1, -1, -1, 836, -1, -1, -1, -1, 
	836, 836, -1, -1, 836, 836, 836, -1, 
	836, 836, -1, -1, 836, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	836, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 836, 836, 836, 836, 
	836, 836, 836, 836, -1, 836, 836, 836, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 836, 836, 
	836, 836, 836, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 836, -1, -1, 
	-1, -1, 836, -1, -1, -1, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, -1, 908, 908, 908, 908, 908, -1, 
	908, -1, 908, 908, 908, 908, -1, 908, 
	-1, 908, 908, 908, -1, 908, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, -1, 908, 908, 908, 908, 908, 908, 
	908, 908, 908, -1, 908, 908, 908, 908, 
	-1, -1, -1, -1, -1, -1, -1, 908, 
	-1, -1, 908, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 908, 908, 908, 
	908, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 836, 908, 
	908, 908, 908, -1, -1, 908, 908, -1, 
	908, 908, 908, -1, -1, -1, -1, 908, 
	908, 908, -1, 908, 908, 908, -1, -1, 
	-1, -1, 908, -1, -1, -1, -1, 908, 
	-1, -1, -1, 908, 908, 908, -1, 908, 
	908, -1, -1, 908, -1, -1, -1, -1, 
	-1, -1, -1, -1, 908, 908, 908, 908, 
	908, 908, 908, -1, -1, -1, -1, 908, 
	908, -1, -1, 908, 908, 908, 908, 908, 
	908, 908, 908, -1, 908, 908, 908, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 908, 908, 908, 
	908, 908, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 908, -1, -1, -1, 
	-1, -1, -1, 908, -1, 906, 906, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	-1, 906, 906, 906, 906, 906, -1, 906, 
	-1, 906, 906, 906, 906, -1, 906, -1, 
	906, 906, 906, -1, 906, 906, 328, 330, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	-1, 906, 906, 906, 906, 906, 906, 906, 
	906, 906, -1, 906, 906, 906, 906, -1, 
	-1, -1, -1, -1, -1, -1, 906, -1, 
	-1, 906, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 906, 906, 906, 906, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	-1, -1, -1, -1, -1, 908, 906, 906, 
	906, 906, -1, -1, 906, 906, -1, 906, 
	906, 906, 489, -1, -1, -1, 906, 906, 
	906, -1, 906, 906, 906, -1, -1, -1, 
	-1, 906, -1, -1, -1, -1, 906, -1, 
	-1, -1, 906, 906, 906, -1, 906, 906, 
	-1, -1, 906, -1, -1, -1, -1, -1, 
	-1, -1, -1, 324, 326, 499, 906, 906, 
	906, 906, -1, -1, -1, -1, 906, 906, 
	-1, -1, 906, 906, 906, 906, 906, 906, 
	906, 906, -1, 906, 906, 906, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 906, 906, 906, 906, 
	906, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 906, -1, -1, -1, -1, 
	-1, -1, 906, -1, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, -1, 
	907, 907, 907, 907, 907, -1, 907, -1, 
	907, 907, 907, 907, -1, 907, -1, 907, 
	907, 907, -1, 907, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, -1, 
	907, 907, 907, 907, 907, 907, 907, 907, 
	907, -1, 907, 907, 907, 907, -1, -1, 
	-1, -1, -1, -1, -1, 907, -1, -1, 
	907, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 907, 907, 907, 907, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 906, 907, 907, 907, 
	907, -1, -1, 907, 907, -1, 907, 907, 
	907, -1, -1, -1, -1, 907, 907, 907, 
	-1, 907, 907, 907, -1, -1, -1, -1, 
	907, -1, -1, -1, -1, 907, -1, -1, 
	-1, 907, 907, 907, -1, 907, 907, -1, 
	-1, 907, -1, -1, -1, -1, -1, -1, 
	-1, -1, 907, 907, 907, 907, 907, 907, 
	907, -1, -1, -1, -1, 907, 907, -1, 
	-1, 907, 907, 907, 907, 907, 907, 907, 
	907, -1, 907, 907, 907, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 907, 907, 907, 907, 907, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 907, -1, -1, -1, -1, -1, 
	-1, 907, 54, 55, 56, 57, 85, 88, 
	86, 87, 89, 90, -1, 83, 84, -1, 
	-1, 36, 37, 41, 39, -1, -1, -1, 
	104, 106, 110, 108, 112, -1, -1, -1, 
	-1, 42, 43, 44, -1, -1, -1, 97, 
	-1, -1, -1, 98, 38, -1, -1, 100, 
	102, 95, 94, 96, -1, -1, -1, -1, 
	79, 80, 81, -1, -1, -1, -1, 62, 
	78, -1, 116, 118, 120, 122, -1, -1, 
	-1, -1, -1, -1, -1, 82, -1, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 73, 74, 75, 76, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 854, 854, 854, 854, 854, 854, 854, 
	854, 854, 854, 854, 854, 854, 854, 854, 
	854, -1, 854, 854, 854, 854, 854, 854, 
	854, 854, -1, -1, -1, 854, 854, 854, 
	854, 854, -1, 854, -1, 854, 854, 854, 
	854, -1, 854, -1, 854, 854, 854, -1, 
	854, 854, -1, 907, 854, 854, 854, 854, 
	854, 854, 854, 854, 854, 854, 854, 854, 
	854, 854, 854, 854, 854, 854, 854, 854, 
	854, 854, 854, -1, -1, -1, -1, -1, 
	-1, -1, 854, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	854, 854, 854, 854, -1, 305, -1, 323, 
	325, 498, -1, -1, 496, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 40, 993, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 854, 854, 854, 854, -1, -1, 
	854, 854, 854, 854, 854, 854, -1, -1, 
	-1, -1, 854, 854, 854, 854, 854, 854, 
	854, -1, 854, 854, -1, 854, -1, -1, 
	-1, -1, 854, 854, -1, -1, 854, 854, 
	854, -1, 854, 854, -1, -1, 854, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 854, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 854, 854, 
	854, 854, 854, 854, 854, 854, -1, 854, 
	854, 854, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	854, 854, 854, 854, 854, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 854, 
	-1, 854, -1, -1, 854, -1, -1, -1, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	-1, 860, 860, 860, 860, 860, 860, 860, 
	860, -1, -1, -1, 860, 860, 860, 860, 
	860, -1, 860, -1, 860, 860, 860, 860, 
	-1, 860, -1, 860, 860, 860, -1, 860, 
	860, -1, -1, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, -1, -1, -1, -1, -1, -1, 
	-1, 860, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 860, 
	860, 860, 860, -1, 504, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	854, 860, 860, 860, 860, -1, -1, 860, 
	860, 860, 860, 860, 860, -1, -1, -1, 
	-1, 860, 860, 860, 860, 860, 860, 860, 
	-1, 860, 860, 503, 860, -1, -1, -1, 
	-1, 860, 860, -1, -1, 860, 860, 860, 
	-1, 860, 860, -1, -1, 860, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 860, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 860, 860, 860, 
	860, 860, 860, 860, 860, -1, 860, 860, 
	860, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 860, 
	860, 860, 860, 860, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 860, -1, 
	860, -1, -1, 860, -1, -1, -1, -1, 
	-1, -1, -1, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, -1, 930, 
	930, 930, 930, 930, -1, 930, -1, 930, 
	930, 930, 930, 930, 930, -1, 930, 930, 
	930, -1, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	-1, 930, 930, 930, 930, -1, -1, -1, 
	-1, -1, -1, -1, 930, -1, -1, 930, 
	-1, -1, 930, -1, -1, -1, -1, -1, 
	-1, 305, 930, 930, 930, 930, -1, -1, 
	496, -1, -1, -1, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	930, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 860, 
	-1, -1, -1, -1, 930, 930, 930, 930, 
	-1, -1, 930, 930, 930, 930, 930, 930, 
	-1, -1, -1, -1, 930, 930, 930, 930, 
	930, 930, 930, -1, -1, 930, -1, 930, 
	-1, -1, -1, -1, 930, 930, -1, 930, 
	930, 930, 930, -1, 930, 930, -1, -1, 
	930, -1, -1, -1, -1, -1, 930, -1, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	-1, -1, -1, -1, 930, 930, -1, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	-1, 930, 930, 930, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 930, 930, 930, 930, 930, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 930, -1, 930, -1, -1, 930, 930, 
	930, -1, -1, -1, -1, -1, -1, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, -1, 1062, 1062, 1062, 1062, 1062, 
	-1, 1062, -1, 1062, 1062, 1062, 1062, -1, 
	1062, -1, 1062, 1062, 1062, -1, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, -1, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, -1, 1062, -1, -1, -1, -1, 
	1062, 1062, 1062, 1062, 1062, -1, -1, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, -1, -1, 
	-1, -1, -1, 1062, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 930, -1, -1, -1, -1, -1, 
	1062, 1062, 1062, 1062, -1, -1, 1062, 1062, 
	1062, 1062, 1062, 1062, -1, -1, -1, 503, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, -1, 
	-1, -1, -1, 1062, -1, -1, -1, -1, 
	1062, 1062, -1, -1, 1062, 1062, 1062, -1, 
	1062, 1062, -1, -1, 1062, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, -1, -1, -1, 1062, 
	1062, 1062, -1, -1, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, -1, 1062, 1062, 1062, 
	-1, -1, -1, 1062, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1062, 1062, 
	-1, -1, 1062, -1, -1, -1, -1, 1062, 
	-1, -1, -1, -1, 1062, -1, 1062, 1062, 
	1062, 1062, 1062, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1062, -1, 1062, 
	-1, -1, 1062, -1, 1062, 1062, -1, -1, 
	-1, 1062, -1, 1062, -1, 1062, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, -1, 1005, 1005, 1005, 1005, 1005, -1, 
	1005, -1, 1005, 1005, 1005, 1005, -1, 1005, 
	-1, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, -1, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, -1, 1005, -1, -1, 1005, -1, 1005, 
	1005, 1005, 1005, 1005, -1, -1, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, -1, -1, -1, 
	-1, -1, 1005, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1062, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1005, 
	1005, 1005, 1005, -1, -1, 1005, 1005, 1005, 
	1005, 1005, 1005, -1, -1, -1, -1, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, -1, -1, 
	-1, -1, 1005, -1, -1, -1, -1, 1005, 
	1005, -1, -1, 1005, 1005, 1005, -1, 1005, 
	1005, -1, -1, 1005, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, -1, -1, -1, 1005, 1005, 
	1005, 1005, -1, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, -1, 
	-1, -1, 1005, 1005, -1, -1, -1, 1005, 
	1005, -1, 1005, -1, -1, 1005, 1005, -1, 
	-1, 1005, -1, 1005, 1005, -1, 1005, -1, 
	1005, 1005, -1, 1005, -1, 1005, 1005, 1005, 
	1005, 1005, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1005, -1, 1005, -1, 
	-1, 1005, -1, 1005, 1005, -1, 1005, -1, 
	1005, -1, 1005, -1, 1005, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	-1, 1006, 1006, 1006, 1006, 1006, -1, 1006, 
	-1, 1006, 1006, 1006, 1006, -1, 1006, -1, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	-1, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	-1, 1006, -1, -1, 1006, -1, 1006, 1006, 
	1006, 1006, 1006, -1, -1, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, -1, -1, -1, -1, 
	-1, 1006, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1005, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1006, 1006, 
	1006, 1006, -1, -1, 1006, 1006, 1006, 1006, 
	1006, 1006, -1, -1, -1, -1, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, -1, -1, -1, 
	-1, 1006, -1, -1, -1, -1, 1006, 1006, 
	-1, -1, 1006, 1006, 1006, -1, 1006, 1006, 
	-1, -1, 1006, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, -1, -1, -1, 1006, 1006, 1006, 
	1006, -1, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, -1, -1, 
	-1, 1006, 1006, -1, -1, -1, 1006, 1006, 
	-1, 1006, -1, -1, 1006, 1006, -1, -1, 
	1006, -1, 1006, 1006, -1, 1006, -1, 1006, 
	1006, -1, 1006, -1, 1006, 1006, 1006, 1006, 
	1006, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1006, -1, 1006, -1, -1, 
	1006, -1, 1006, 1006, -1, 1006, -1, 1006, 
	-1, 1006, -1, 1006, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	1063, 1063, 1063, 1063, 1063, -1, 1063, -1, 
	1063, 1063, 1063, 1063, -1, 1063, -1, 1063, 
	1063, 1063, -1, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	1063, -1, -1, -1, -1, 1063, 1063, 1063, 
	1063, 1063, -1, -1, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, -1, -1, -1, -1, -1, 
	1063, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1006, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1063, 1063, 1063, 
	1063, -1, -1, 1063, 1063, 1063, 1063, 1063, 
	1063, -1, -1, -1, -1, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, -1, -1, -1, -1, 
	1063, -1, -1, -1, -1, 1063, 1063, -1, 
	-1, 1063, 1063, 1063, -1, 1063, 1063, -1, 
	-1, 1063, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, -1, -1, -1, 1063, 1063, 1063, -1, 
	-1, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, -1, 1063, 1063, 1063, -1, -1, -1, 
	1063, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1063, 1063, -1, -1, 1063, 
	-1, -1, -1, -1, 1063, -1, -1, -1, 
	-1, 1063, -1, 1063, 1063, 1063, 1063, 1063, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1063, -1, 1063, -1, -1, 1063, 
	-1, 1063, 1063, -1, -1, -1, 1063, -1, 
	1063, -1, 1063, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, -1, 1007, 
	1007, 1007, 1007, 1007, -1, 1007, -1, 1007, 
	1007, 1007, 1007, -1, 1007, -1, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, -1, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, -1, 1007, 
	-1, -1, 1007, -1, 1007, 1007, 1007, 1007, 
	1007, -1, -1, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, -1, -1, -1, -1, -1, 1007, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1063, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1007, 1007, 1007, 1007, 
	-1, -1, 1007, 1007, 1007, 1007, 1007, 1007, 
	-1, -1, -1, -1, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, -1, -1, -1, -1, 1007, 
	-1, -1, -1, -1, 1007, 1007, -1, -1, 
	1007, 1007, 1007, -1, 1007, 1007, -1, -1, 
	1007, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	-1, -1, -1, 1007, 1007, 1007, 1007, -1, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, -1, -1, -1, 1007, 
	1007, -1, -1, -1, 1007, 1007, -1, 1007, 
	-1, -1, 1007, 1007, -1, -1, 1007, -1, 
	1007, 1007, -1, 1007, -1, 1007, 1007, -1, 
	1007, -1, 1007, 1007, 1007, 1007, 1007, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1007, -1, 1007, -1, -1, 1007, -1, 
	1007, 1007, -1, 1007, -1, 1007, -1, 1007, 
	-1, 1007, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, -1, 1008, 1008, 
	1008, 1008, 1008, -1, 1008, -1, 1008, 1008, 
	1008, 1008, -1, 1008, -1, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, -1, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, -1, 1008, -1, 
	-1, 1008, -1, 1008, 1008, 1008, 1008, 1008, 
	-1, -1, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, -1, -1, -1, -1, -1, 1008, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1007, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1008, 1008, 1008, 1008, -1, 
	-1, 1008, 1008, 1008, 1008, 1008, 1008, -1, 
	-1, -1, -1, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, -1, -1, -1, -1, 1008, -1, 
	-1, -1, -1, 1008, 1008, -1, -1, 1008, 
	1008, 1008, -1, 1008, 1008, -1, -1, 1008, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, -1, 
	-1, -1, 1008, 1008, 1008, 1008, -1, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, -1, -1, -1, 1008, 1008, 
	-1, -1, -1, 1008, 1008, -1, 1008, -1, 
	-1, 1008, 1008, -1, -1, 1008, -1, 1008, 
	1008, -1, 1008, -1, 1008, 1008, -1, 1008, 
	-1, 1008, 1008, 1008, 1008, 1008, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1008, -1, 1008, -1, -1, 1008, -1, 1008, 
	1008, -1, 1008, -1, 1008, -1, 1008, -1, 
	1008, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, -1, 1064, 1064, 1064, 
	1064, 1064, -1, 1064, -1, 1064, 1064, 1064, 
	1064, -1, 1064, -1, 1064, 1064, 1064, -1, 
	1064, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, -1, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, -1, 1064, -1, -1, 
	-1, -1, 1064, 1064, 1064, 1064, 1064, -1, 
	-1, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, 1064, 1064, 
	-1, -1, -1, -1, -1, 1064, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1008, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1064, 1064, 1064, 1064, -1, -1, 
	1064, 1064, 1064, 1064, 1064, 1064, -1, -1, 
	-1, -1, 1064, 1064, 1064, 1064, 1064, 1064, 
	1064, -1, -1, -1, -1, 1064, -1, -1, 
	-1, -1, 1064, 1064, -1, -1, 1064, 1064, 
	1064, -1, 1064, 1064, -1, -1, 1064, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, -1, -1, 
	-1, 1064, 1064, 1064, -1, -1, 1064, 1064, 
	1064, 1064, 1064, 1064, 1064, 1064, -1, 1064, 
	1064, 1064, -1, -1, -1, 1064, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1064, 1064, -1, -1, 1064, -1, -1, -1, 
	-1, 1064, -1, -1, -1, -1, 1064, -1, 
	1064, 1064, 1064, 1064, 1064, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1064, 
	-1, 1064, -1, -1, 1064, -1, 1064, 1064, 
	-1, -1, -1, 1064, -1, 1064, -1, 1064, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, -1, 1065, 1065, 1065, 1065, 
	1065, -1, 1065, -1, 1065, 1065, 1065, 1065, 
	-1, 1065, -1, 1065, 1065, 1065, -1, 1065, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, -1, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, -1, 1065, -1, -1, -1, 
	-1, 1065, 1065, 1065, 1065, 1065, -1, -1, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, 1065, 1065, -1, 
	-1, -1, -1, -1, 1065, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1064, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1065, 1065, 1065, 1065, -1, -1, 1065, 
	1065, 1065, 1065, 1065, 1065, -1, -1, -1, 
	-1, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 
	-1, -1, -1, -1, 1065, -1, -1, -1, 
	-1, 1065, 1065, -1, -1, 1065, 1065, 1065, 
	-1, 1065, 1065, -1, -1, 1065, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, -1, -1, -1, 
	1065, 1065, 1065, -1, -1, 1065, 1065, 1065, 
	1065, 1065, 1065, 1065, 1065, -1, 1065, 1065, 
	1065, -1, -1, -1, 1065, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1065, 
	1065, -1, -1, 1065, -1, -1, -1, -1, 
	1065, -1, -1, -1, -1, 1065, -1, 1065, 
	1065, 1065, 1065, 1065, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1065, -1, 
	1065, -1, -1, 1065, -1, 1065, 1065, -1, 
	-1, -1, 1065, -1, 1065, -1, 1065, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, -1, 968, 968, 968, 968, 968, 
	-1, 968, -1, 968, 968, 968, 968, -1, 
	968, -1, 968, 968, 968, -1, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, -1, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, -1, 968, -1, -1, -1, -1, 
	968, 968, 968, 968, 968, -1, -1, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, -1, 
	-1, -1, -1, 968, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1065, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	968, 968, 968, 968, -1, -1, 968, 968, 
	968, 968, 968, 968, -1, -1, -1, -1, 
	968, 968, 968, 968, 968, 968, 968, -1, 
	-1, -1, -1, 968, -1, -1, -1, -1, 
	968, 968, -1, -1, 968, 968, 968, -1, 
	968, 968, -1, -1, 968, -1, -1, -1, 
	-1, -1, -1, -1, -1, 968, 968, 968, 
	968, 968, 968, 968, -1, -1, -1, 968, 
	968, 968, -1, -1, 968, 968, 968, 968, 
	968, 968, 968, 968, -1, 968, 968, 968, 
	-1, -1, -1, 968, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 968, 968, 
	-1, -1, 968, -1, -1, -1, -1, 968, 
	-1, -1, -1, -1, 968, -1, 968, 968, 
	968, 968, 968, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 968, -1, 968, 
	-1, -1, 968, -1, 968, 968, -1, -1, 
	-1, 968, -1, 968, -1, 968, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, -1, 955, 955, 955, 955, 955, -1, 
	955, -1, 955, 955, 955, 955, -1, 955, 
	-1, 955, 955, 955, -1, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, -1, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, -1, 955, -1, -1, -1, -1, 955, 
	955, 955, 955, 955, -1, -1, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, -1, -1, -1, 
	-1, -1, 955, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 968, -1, 
	-1, -1, -1, -1, -1, -1, -1, 955, 
	955, 955, 955, -1, -1, 955, 955, 955, 
	955, 955, 955, -1, -1, -1, -1, 955, 
	955, 955, 955, 955, 955, 955, -1, -1, 
	-1, -1, 955, -1, -1, -1, -1, 955, 
	955, -1, -1, 955, 955, 955, -1, 955, 
	955, -1, -1, 955, -1, -1, -1, -1, 
	-1, -1, -1, -1, 955, 955, 955, 955, 
	955, 955, 955, -1, -1, -1, 955, 955, 
	955, -1, -1, 955, 955, 955, 955, 955, 
	955, 955, 955, -1, 955, 955, 955, -1, 
	-1, -1, 955, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 955, 955, -1, 
	-1, 955, -1, -1, -1, -1, 955, -1, 
	-1, -1, -1, 955, -1, 955, 955, 955, 
	955, 955, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 955, -1, 955, -1, 
	-1, 955, -1, 955, 955, -1, -1, -1, 
	955, -1, 955, -1, 955, 831, 831, 831, 
	831, 831, 831, 831, 831, 831, 831, 831, 
	831, 831, 831, 831, 831, -1, 831, 831, 
	831, 831, 831, 831, 831, 831, -1, -1, 
	-1, 831, 831, 831, 831, 831, -1, 831, 
	-1, 831, 831, 831, 831, -1, 831, -1, 
	831, 831, 831, -1, 831, 831, -1, -1, 
	831, 831, 831, 831, 831, 831, 831, 831, 
	-1, 831, 831, 831, 831, 831, 831, 831, 
	831, 831, -1, 831, 831, 831, 831, -1, 
	-1, -1, -1, 395, -1, -1, 831, 27, 
	28, 1114, 25, 23, 26, -1, -1, 831, 
	-1, -1, -1, -1, 831, 831, 831, 831, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 846, 846, 846, 846, 846, 
	-1, 32, -1, 46, -1, -1, -1, -1, 
	49, -1, -1, 47, -1, -1, -1, -1, 
	-1, -1, 846, 846, -1, -1, -1, 24, 
	53, 52, -1, -1, -1, -1, 66, 67, 
	68, -1, 60, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 955, -1, -1, 
	-1, -1, -1, -1, -1, -1, 831, 831, 
	831, 831, -1, -1, 831, 831, 831, 831, 
	831, 831, -1, -1, -1, -1, 831, 831, 
	831, 831, 831, 831, 831, -1, -1, -1, 
	-1, 831, -1, -1, -1, -1, 831, 831, 
	-1, -1, 831, 831, 831, -1, 831, 831, 
	-1, -1, 831, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 831, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 831, 831, 831, 831, 831, 831, 
	831, 831, -1, 831, 831, 831, -1, -1, 
	-1, -1, 377, 48, -1, -1, 376, 378, 
	362, 375, -1, 374, -1, -1, -1, -1, 
	31, 372, 373, 363, 29, 371, 364, -1, 
	-1, -1, -1, -1, 831, 831, 831, 831, 
	831, -1, -1, -1, 369, 370, 365, -1, 
	366, 367, -1, 831, 368, 831, -1, -1, 
	831, -1, -1, -1, 832, 832, 832, 832, 
	832, 832, 832, 832, 832, 832, 832, 832, 
	832, 832, 832, 832, 379, 832, 832, 832, 
	832, 832, 832, 832, 832, -1, 846, 846, 
	832, 832, 832, 832, 832, -1, 832, -1, 
	832, 832, 832, 832, -1, 832, -1, 832, 
	832, 832, -1, 832, 832, -1, -1, 832, 
	832, 832, 832, 832, 832, 832, 832, -1, 
	832, 832, 832, 832, 832, 832, 832, 832, 
	832, -1, 832, 832, 832, 832, -1, 512, 
	-1, -1, -1, -1, -1, 832, 786, 786, 
	786, 786, 786, 786, -1, -1, 832, -1, 
	-1, -1, -1, 832, 832, 832, 832, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 786, 786, 786, 786, 786, -1, 
	786, -1, 786, -1, -1, -1, -1, 786, 
	-1, -1, 786, -1, -1, -1, -1, -1, 
	-1, 786, 786, -1, -1, -1, 786, 786, 
	786, -1, -1, -1, -1, 786, 786, 786, 
	-1, 786, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 831, 832, 832, 832, 
	832, -1, -1, 832, 832, 832, 832, 832, 
	832, -1, -1, -1, -1, 832, 832, 832, 
	832, 832, 832, 832, -1, -1, -1, -1, 
	832, -1, -1, -1, -1, 832, 832, -1, 
	-1, 832, 832, 832, -1, 832, 832, -1, 
	-1, 832, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 832, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 832, 832, 832, 832, 832, 832, 832, 
	832, -1, 832, 832, 832, -1, -1, -1, 
	-1, 786, 786, -1, -1, 786, 786, 786, 
	786, -1, 786, -1, -1, -1, -1, 786, 
	786, 786, 786, 786, 786, 786, -1, -1, 
	-1, -1, -1, 832, 832, 832, 832, 832, 
	-1, -1, -1, 786, 786, 786, -1, 786, 
	786, -1, 832, 786, 832, -1, -1, 832, 
	-1, -1, -1, 787, 787, 787, 787, 787, 
	787, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 786, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 786, 786, 787, 
	787, 787, 787, 787, -1, 787, -1, 787, 
	-1, -1, -1, -1, 787, -1, -1, 787, 
	-1, -1, -1, -1, -1, -1, 787, 787, 
	-1, -1, -1, 787, 787, 787, -1, -1, 
	-1, -1, 787, 787, 787, -1, 787, -1, 
	-1, -1, -1, -1, -1, -1, 786, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 832, -1, -1, 787, 787, 
	-1, -1, 787, 787, 787, 787, -1, 787, 
	-1, -1, -1, -1, 787, 787, 787, 787, 
	787, 787, 787, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	787, 787, 787, -1, 787, 787, -1, -1, 
	787, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	787, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 787, 787, -1, -1, 377, 48, 
	-1, -1, 376, 378, 362, 375, -1, 374, 
	-1, -1, -1, -1, 31, 372, 373, 363, 
	29, 371, 364, 788, 788, 788, 788, 788, 
	788, -1, -1, -1, -1, -1, -1, -1, 
	369, 370, 365, -1, 366, 367, -1, -1, 
	368, -1, -1, 787, -1, -1, -1, 788, 
	788, 788, 788, 788, -1, 788, -1, 788, 
	-1, -1, -1, -1, 788, -1, -1, 788, 
	379, -1, -1, -1, -1, -1, 788, 788, 
	-1, -1, -1, 788, 788, 788, -1, -1, 
	-1, -1, 788, 788, 788, -1, 788, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 789, 789, 789, 789, 789, 789, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 512, -1, 789, 789, 789, 
	789, 789, -1, 789, -1, 789, -1, -1, 
	-1, -1, 789, -1, -1, 789, -1, -1, 
	-1, -1, -1, -1, 789, 789, -1, -1, 
	-1, 789, 789, 789, -1, -1, -1, -1, 
	789, 789, 789, -1, 789, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 788, 788, 
	-1, -1, 788, 788, 788, 788, -1, 788, 
	-1, -1, -1, -1, 788, 788, 788, 788, 
	788, 788, 788, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	788, 788, 788, -1, 788, 788, -1, -1, 
	788, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	788, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 788, 788, 789, 789, -1, -1, 
	789, 789, 789, 789, -1, 789, -1, -1, 
	-1, -1, 789, 789, 789, 789, 789, 789, 
	789, -1, -1, 790, 790, 790, 790, 790, 
	790, -1, -1, -1, -1, -1, 789, 789, 
	789, -1, 789, 789, -1, -1, 789, -1, 
	-1, -1, -1, 788, -1, -1, -1, 790, 
	790, 790, 790, 790, -1, 790, -1, 790, 
	-1, -1, -1, -1, 790, -1, 789, 790, 
	-1, -1, -1, -1, -1, -1, 790, 790, 
	789, 789, -1, 790, 790, 790, -1, -1, 
	-1, -1, 790, 790, 790, -1, 790, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 791, 791, 791, 791, 791, 791, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 789, -1, -1, -1, 791, 791, 791, 
	791, 791, -1, 791, -1, 791, -1, -1, 
	-1, -1, 791, -1, -1, 791, -1, -1, 
	-1, -1, -1, -1, 791, 791, -1, -1, 
	-1, 791, 791, 791, -1, -1, -1, -1, 
	791, 791, 791, -1, 791, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 790, 790, 
	-1, -1, 790, 790, 790, 790, -1, 790, 
	-1, -1, -1, -1, 790, 790, 790, 790, 
	790, 790, 790, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	790, 790, 790, -1, 790, 790, -1, -1, 
	790, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	790, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 790, 790, 791, 791, -1, -1, 
	791, 791, 791, 791, -1, 791, -1, -1, 
	-1, -1, 791, 791, 791, 791, 791, 791, 
	791, -1, -1, 792, 792, 792, 792, 792, 
	792, -1, -1, -1, -1, -1, 791, 791, 
	791, -1, 791, 791, -1, -1, 791, -1, 
	-1, -1, -1, 790, -1, -1, -1, 792, 
	792, 792, 792, 792, -1, 792, -1, 792, 
	-1, -1, -1, -1, 792, -1, 791, 792, 
	-1, -1, -1, -1, -1, -1, 792, 792, 
	791, 791, -1, 792, 792, 792, -1, -1, 
	-1, -1, 792, 792, 792, -1, 792, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 793, 793, 793, 793, 793, 793, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 791, -1, -1, -1, 793, 793, 793, 
	793, 793, -1, 793, -1, 793, -1, -1, 
	-1, -1, 793, -1, -1, 793, -1, -1, 
	-1, -1, -1, -1, 793, 793, -1, -1, 
	-1, 793, 793, 793, -1, -1, -1, -1, 
	793, 793, 793, -1, 793, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 792, 792, 
	-1, -1, 792, 792, 792, 792, -1, 792, 
	-1, -1, -1, -1, 792, 792, 792, 792, 
	792, 792, 792, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	792, 792, 792, -1, 792, 792, -1, -1, 
	792, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	792, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 792, 792, 793, 793, -1, -1, 
	793, 793, 793, 793, -1, 793, -1, -1, 
	-1, -1, 793, 793, 793, 793, 793, 793, 
	793, -1, -1, 794, 794, 794, 794, 794, 
	794, -1, -1, -1, -1, -1, 793, 793, 
	793, -1, 793, 793, -1, -1, 793, -1, 
	-1, -1, -1, 792, -1, -1, -1, 794, 
	794, 794, 794, 794, -1, 794, -1, 794, 
	-1, -1, -1, -1, 794, -1, 793, 794, 
	-1, -1, -1, -1, -1, -1, 794, 794, 
	793, 793, -1, 794, 794, 794, -1, -1, 
	-1, -1, 794, 794, 794, -1, 794, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 795, 795, 795, 795, 795, 795, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 793, -1, -1, -1, 795, 795, 795, 
	795, 795, -1, 795, -1, 795, -1, -1, 
	-1, -1, 795, -1, -1, 795, -1, -1, 
	-1, -1, -1, -1, 795, 795, -1, -1, 
	-1, 795, 795, 795, -1, -1, -1, -1, 
	795, 795, 795, -1, 795, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 794, 794, 
	-1, -1, 794, 794, 794, 794, -1, 794, 
	-1, -1, -1, -1, 794, 794, 794, 794, 
	794, 794, 794, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	794, 794, 794, -1, 794, 794, -1, -1, 
	794, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	794, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 794, 794, 795, 795, -1, -1, 
	795, 795, 795, 795, -1, 795, -1, -1, 
	-1, -1, 795, 795, 795, 795, 795, 795, 
	795, -1, -1, 796, 796, 796, 796, 796, 
	796, -1, -1, -1, -1, -1, 795, 795, 
	795, -1, 795, 795, -1, -1, 795, -1, 
	-1, -1, -1, 794, -1, -1, -1, 796, 
	796, 796, 796, 796, -1, 796, -1, 796, 
	-1, -1, -1, -1, 796, -1, 795, 796, 
	-1, -1, -1, -1, -1, -1, 796, 796, 
	795, 795, -1, 796, 796, 796, -1, -1, 
	-1, -1, 796, 796, 796, -1, 796, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 797, 797, 797, 797, 797, 797, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 795, -1, -1, -1, 797, 797, 797, 
	797, 797, -1, 797, -1, 797, -1, -1, 
	-1, -1, 797, -1, -1, 797, -1, -1, 
	-1, -1, -1, -1, 797, 797, -1, -1, 
	-1, 797, 797, 797, -1, -1, -1, -1, 
	797, 797, 797, -1, 797, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 796, 796, 
	-1, -1, 796, 796, 796, 796, -1, 796, 
	-1, -1, -1, -1, 796, 796, 796, 796, 
	796, 796, 796, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	796, 796, 796, -1, 796, 796, -1, -1, 
	796, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	796, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 796, 796, 797, 797, -1, -1, 
	797, 797, 797, 797, -1, 797, -1, -1, 
	-1, -1, 797, 797, 797, 797, 797, 797, 
	797, -1, -1, 798, 798, 798, 798, 798, 
	798, -1, -1, -1, -1, -1, 797, 797, 
	797, -1, 797, 797, -1, -1, 797, -1, 
	-1, -1, -1, 796, -1, -1, -1, 798, 
	798, 798, 798, 798, -1, 798, -1, 798, 
	-1, -1, -1, -1, 798, -1, 797, 798, 
	-1, -1, -1, -1, -1, -1, 798, 798, 
	797, 797, -1, 798, 798, 798, -1, -1, 
	-1, -1, 798, 798, 798, -1, 798, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 849, 849, 849, 849, 849, 849, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 797, -1, -1, -1, 849, 849, 849, 
	849, 849, -1, 849, -1, 849, -1, -1, 
	-1, -1, 849, -1, -1, 849, -1, -1, 
	-1, -1, -1, -1, 849, 849, -1, -1, 
	-1, 849, 849, 849, -1, -1, -1, -1, 
	849, 849, 849, -1, 849, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 798, 798, 
	-1, -1, 798, 798, 798, 798, -1, 798, 
	-1, -1, -1, -1, 798, 798, 798, 798, 
	798, 798, 798, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	798, 798, 798, -1, 798, 798, -1, -1, 
	798, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	798, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 798, 798, 849, 849, -1, -1, 
	849, 849, 849, 849, -1, 849, -1, -1, 
	-1, -1, 849, 849, 849, 849, 849, 849, 
	849, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 849, 849, 
	849, -1, 849, 849, -1, -1, 849, -1, 
	-1, -1, -1, 798, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 849, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	849, 849, -1, 928, 928, 928, 928, 928, 
	928, 928, 928, 928, 928, 928, 928, 928, 
	928, 928, 928, 928, 928, 928, 928, 928, 
	928, 928, 928, 928, 928, 928, -1, 928, 
	928, 928, 928, 928, -1, 928, -1, 928, 
	928, 928, 928, -1, 928, -1, 928, 928, 
	928, 849, 928, 928, 928, 928, 928, 928, 
	928, 928, 928, 928, 928, 928, -1, 928, 
	928, 928, 928, 928, 928, 928, 928, 928, 
	-1, 928, 928, 928, 928, -1, -1, -1, 
	-1, -1, -1, -1, 928, -1, -1, 928, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 928, 928, 928, 928, -1, -1, 
	212, 213, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 928, 928, 928, 928, 
	-1, -1, 928, 928, 928, 928, 928, 928, 
	-1, -1, -1, -1, 928, 928, 928, 928, 
	928, 928, 928, -1, -1, -1, -1, 928, 
	-1, -1, -1, -1, 928, 928, -1, -1, 
	928, 928, 928, -1, 928, 928, -1, -1, 
	928, -1, -1, -1, -1, -1, -1, -1, 
	-1, 928, 928, 928, 928, 928, 928, 928, 
	-1, -1, -1, -1, 928, 928, -1, -1, 
	928, 928, 928, 928, 928, 928, 928, 928, 
	-1, 928, 928, 928, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 928, 928, 928, 928, 928, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 928, -1, 928, -1, -1, 928, -1, 
	928, -1, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, -1, 937, 937, 
	937, 937, 937, -1, 937, -1, 937, 937, 
	937, 937, -1, 937, -1, 937, 937, 937, 
	-1, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, -1, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, -1, -1, -1, 
	-1, -1, -1, 937, 937, 937, 937, -1, 
	-1, -1, 214, 215, 937, 216, 217, 218, 
	219, 937, 937, 937, 937, -1, -1, 937, 
	937, -1, -1, -1, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 928, 937, 937, 937, 937, -1, 
	-1, 937, 937, 937, 937, 937, 937, -1, 
	-1, -1, -1, 937, 937, 937, 937, 937, 
	937, 937, -1, -1, -1, -1, 937, -1, 
	-1, -1, -1, 937, 937, -1, -1, 937, 
	937, 937, -1, 937, 937, -1, -1, 937, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	937, 937, 937, 937, 937, 937, 937, -1, 
	-1, -1, 937, 937, 937, -1, -1, 937, 
	937, 937, 937, 937, 937, 937, 937, -1, 
	937, 937, 937, -1, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 937, 937, -1, -1, 937, -1, -1, 
	-1, -1, 937, -1, -1, -1, -1, 937, 
	-1, 937, 937, 937, 937, 937, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	937, -1, 937, -1, -1, 937, -1, 937, 
	937, -1, -1, -1, 937, -1, 937, -1, 
	937, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, -1, 938, 938, 938, 
	938, 938, -1, 938, -1, 938, 938, 938, 
	938, -1, 938, -1, 938, 938, 938, -1, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, -1, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, -1, -1, -1, -1, 
	-1, -1, 938, 938, 938, 938, -1, -1, 
	-1, 214, 215, 938, 216, 217, 218, 219, 
	938, 938, 938, 938, -1, -1, 938, 938, 
	-1, -1, -1, -1, -1, 938, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 937, -1, -1, -1, -1, -1, -1, 
	-1, -1, 938, 938, 938, 938, -1, -1, 
	938, 938, 938, 938, 938, 938, -1, -1, 
	-1, -1, 938, 938, 938, 938, 938, 938, 
	938, -1, -1, -1, -1, 938, -1, -1, 
	-1, -1, 938, 938, -1, -1, 938, 938, 
	938, -1, 938, 938, -1, -1, 938, -1, 
	-1, -1, -1, -1, -1, -1, -1, 938, 
	938, 938, 938, 938, 938, 938, -1, -1, 
	-1, 938, 938, 938, -1, -1, 938, 938, 
	938, 938, 938, 938, 938, 938, -1, 938, 
	938, 938, -1, -1, -1, 938, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	938, 938, -1, -1, 938, -1, -1, -1, 
	-1, 938, -1, -1, -1, -1, 938, -1, 
	938, 938, 938, 938, 938, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 938, 
	-1, 938, -1, -1, 938, -1, 938, 938, 
	-1, -1, -1, 938, -1, 938, -1, 938, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, -1, 940, 940, 940, 940, 
	940, -1, 940, -1, 940, 940, 940, 940, 
	-1, 940, -1, 940, 940, 940, -1, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, -1, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, -1, -1, -1, -1, -1, 
	-1, 940, 940, 940, 940, -1, -1, -1, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 220, 221, 940, 940, -1, 
	-1, -1, -1, -1, 940, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	938, -1, -1, -1, -1, -1, -1, -1, 
	-1, 940, 940, 940, 940, -1, -1, 940, 
	940, 940, 940, 940, 940, -1, -1, -1, 
	-1, 940, 940, 940, 940, 940, 940, 940, 
	-1, -1, -1, -1, 940, -1, -1, -1, 
	-1, 940, 940, -1, -1, 940, 940, 940, 
	-1, 940, 940, -1, -1, 940, -1, -1, 
	-1, -1, -1, -1, -1, -1, 940, 940, 
	940, 940, 940, 940, 940, -1, -1, -1, 
	940, 940, 940, -1, -1, 940, 940, 940, 
	940, 940, 940, 940, 940, -1, 940, 940, 
	940, -1, -1, -1, 940, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 940, 
	940, -1, -1, 940, -1, -1, -1, -1, 
	940, -1, -1, -1, -1, 940, -1, 940, 
	940, 940, 940, 940, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 940, -1, 
	940, -1, -1, 940, -1, 940, 940, -1, 
	-1, -1, 940, -1, 940, -1, 940, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, -1, 941, 941, 941, 941, 941, 
	-1, 941, -1, 941, 941, 941, 941, -1, 
	941, -1, 941, 941, 941, -1, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, -1, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, -1, -1, -1, -1, -1, -1, 
	941, 941, 941, 941, -1, -1, -1, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 220, 221, 941, 941, -1, -1, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 940, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	941, 941, 941, 941, -1, -1, 941, 941, 
	941, 941, 941, 941, -1, -1, -1, -1, 
	941, 941, 941, 941, 941, 941, 941, -1, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	941, 941, -1, -1, 941, 941, 941, -1, 
	941, 941, -1, -1, 941, -1, -1, -1, 
	-1, -1, -1, -1, -1, 941, 941, 941, 
	941, 941, 941, 941, -1, -1, -1, 941, 
	941, 941, -1, -1, 941, 941, 941, 941, 
	941, 941, 941, 941, -1, 941, 941, 941, 
	-1, -1, -1, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 941, 941, 
	-1, -1, 941, -1, -1, -1, -1, 941, 
	-1, -1, -1, -1, 941, -1, 941, 941, 
	941, 941, 941, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 941, -1, 941, 
	-1, -1, 941, -1, 941, 941, -1, -1, 
	-1, 941, -1, 941, -1, 941, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, -1, 942, 942, 942, 942, 942, -1, 
	942, -1, 942, 942, 942, 942, -1, 942, 
	-1, 942, 942, 942, -1, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, -1, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, -1, -1, -1, -1, -1, -1, 942, 
	942, 942, 942, -1, -1, -1, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 220, 221, 942, 942, -1, -1, -1, 
	-1, -1, 942, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 941, -1, 
	-1, -1, -1, -1, -1, -1, -1, 942, 
	942, 942, 942, -1, -1, 942, 942, 942, 
	942, 942, 942, -1, -1, -1, -1, 942, 
	942, 942, 942, 942, 942, 942, -1, -1, 
	-1, -1, 942, -1, -1, -1, -1, 942, 
	942, -1, -1, 942, 942, 942, -1, 942, 
	942, -1, -1, 942, -1, -1, -1, -1, 
	-1, -1, -1, -1, 942, 942, 942, 942, 
	942, 942, 942, -1, -1, -1, 942, 942, 
	942, -1, -1, 942, 942, 942, 942, 942, 
	942, 942, 942, -1, 942, 942, 942, -1, 
	-1, -1, 942, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 942, 942, -1, 
	-1, 942, -1, -1, -1, -1, 942, -1, 
	-1, -1, -1, 942, -1, 942, 942, 942, 
	942, 942, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 942, -1, 942, -1, 
	-1, 942, -1, 942, 942, -1, -1, -1, 
	942, -1, 942, -1, 942, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	-1, 943, 943, 943, 943, 943, -1, 943, 
	-1, 943, 943, 943, 943, -1, 943, -1, 
	943, 943, 943, -1, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	-1, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	-1, -1, -1, -1, -1, -1, 943, 943, 
	943, 943, -1, -1, -1, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	220, 221, 943, 943, -1, -1, -1, -1, 
	-1, 943, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 942, -1, -1, 
	-1, -1, -1, -1, -1, -1, 943, 943, 
	943, 943, -1, -1, 943, 943, 943, 943, 
	943, 943, -1, -1, -1, -1, 943, 943, 
	943, 943, 943, 943, 943, -1, -1, -1, 
	-1, 943, -1, -1, -1, -1, 943, 943, 
	-1, -1, 943, 943, 943, -1, 943, 943, 
	-1, -1, 943, -1, -1, -1, -1, -1, 
	-1, -1, -1, 943, 943, 943, 943, 943, 
	943, 943, -1, -1, -1, 943, 943, 943, 
	-1, -1, 943, 943, 943, 943, 943, 943, 
	943, 943, -1, 943, 943, 943, -1, -1, 
	-1, 943, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 943, 943, -1, -1, 
	943, -1, -1, -1, -1, 943, -1, -1, 
	-1, -1, 943, -1, 943, 943, 943, 943, 
	943, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 943, -1, 943, -1, -1, 
	943, -1, 943, 943, -1, -1, -1, 943, 
	-1, 943, -1, 943, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, -1, 
	944, 944, 944, 944, 944, -1, 944, -1, 
	944, 944, 944, 944, -1, 944, -1, 944, 
	944, 944, -1, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, -1, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, -1, 
	-1, -1, -1, -1, -1, 944, 944, 944, 
	944, -1, -1, -1, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 220, 
	221, 944, 944, -1, -1, -1, -1, -1, 
	944, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 943, -1, -1, -1, 
	-1, -1, -1, -1, -1, 944, 944, 944, 
	944, -1, -1, 944, 944, 944, 944, 944, 
	944, -1, -1, -1, -1, 944, 944, 944, 
	944, 944, 944, 944, -1, -1, -1, -1, 
	944, -1, -1, -1, -1, 944, 944, -1, 
	-1, 944, 944, 944, -1, 944, 944, -1, 
	-1, 944, -1, -1, -1, -1, -1, -1, 
	-1, -1, 944, 944, 944, 944, 944, 944, 
	944, -1, -1, -1, 944, 944, 944, -1, 
	-1, 944, 944, 944, 944, 944, 944, 944, 
	944, -1, 944, 944, 944, -1, -1, -1, 
	944, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 944, 944, -1, -1, 944, 
	-1, -1, -1, -1, 944, -1, -1, -1, 
	-1, 944, -1, 944, 944, 944, 944, 944, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 944, -1, 944, -1, -1, 944, 
	-1, 944, 944, -1, -1, -1, 944, -1, 
	944, -1, 944, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, -1, 945, 
	945, 945, 945, 945, -1, 945, -1, 945, 
	945, 945, 945, -1, 945, -1, 945, 945, 
	945, -1, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, -1, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, -1, -1, 
	-1, -1, -1, -1, 945, 945, 945, 945, 
	-1, -1, -1, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 220, 221, 
	945, 945, -1, -1, -1, -1, -1, 945, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 944, -1, -1, -1, -1, 
	-1, -1, -1, -1, 945, 945, 945, 945, 
	-1, -1, 945, 945, 945, 945, 945, 945, 
	-1, -1, -1, -1, 945, 945, 945, 945, 
	945, 945, 945, -1, -1, -1, -1, 945, 
	-1, -1, -1, -1, 945, 945, -1, -1, 
	945, 945, 945, -1, 945, 945, -1, -1, 
	945, -1, -1, -1, -1, -1, -1, -1, 
	-1, 945, 945, 945, 945, 945, 945, 945, 
	-1, -1, -1, 945, 945, 945, -1, -1, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	-1, 945, 945, 945, -1, -1, -1, 945, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 945, 945, -1, -1, 945, -1, 
	-1, -1, -1, 945, -1, -1, -1, -1, 
	945, -1, 945, 945, 945, 945, 945, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 945, -1, 945, -1, -1, 945, -1, 
	945, 945, -1, -1, -1, 945, -1, 945, 
	-1, 945, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, -1, 947, 947, 
	947, 947, 947, -1, 947, -1, 947, 947, 
	947, 947, -1, 947, -1, 947, 947, 947, 
	-1, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, -1, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, -1, 223, -1, 
	-1, -1, -1, 947, 947, 947, 947, 222, 
	-1, -1, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, -1, -1, -1, -1, -1, 947, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 945, -1, -1, -1, -1, -1, 
	-1, -1, -1, 947, 947, 947, 947, -1, 
	-1, 947, 947, 947, 947, 947, 947, -1, 
	-1, -1, -1, 947, 947, 947, 947, 947, 
	947, 947, -1, -1, -1, -1, 947, -1, 
	-1, -1, -1, 947, 947, -1, -1, 947, 
	947, 947, -1, 947, 947, -1, -1, 947, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	947, 947, 947, 947, 947, 947, 947, -1, 
	-1, -1, 947, 947, 947, -1, -1, 947, 
	947, 947, 947, 947, 947, 947, 947, -1, 
	947, 947, 947, -1, -1, -1, 947, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 947, 947, -1, -1, 947, -1, -1, 
	-1, -1, 947, -1, -1, -1, -1, 947, 
	-1, 947, 947, 947, 947, 947, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	947, -1, 947, -1, -1, 947, -1, 947, 
	947, -1, -1, -1, 947, -1, 947, -1, 
	947, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, -1, 948, 948, 948, 
	948, 948, -1, 948, -1, 948, 948, 948, 
	948, -1, 948, -1, 948, 948, 948, -1, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, -1, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, -1, 223, -1, -1, 
	-1, -1, 948, 948, 948, 948, 222, -1, 
	-1, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	-1, -1, -1, -1, -1, 948, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 947, -1, -1, -1, -1, -1, -1, 
	-1, -1, 948, 948, 948, 948, -1, -1, 
	948, 948, 948, 948, 948, 948, -1, -1, 
	-1, -1, 948, 948, 948, 948, 948, 948, 
	948, -1, -1, -1, -1, 948, -1, -1, 
	-1, -1, 948, 948, -1, -1, 948, 948, 
	948, -1, 948, 948, -1, -1, 948, -1, 
	-1, -1, -1, -1, -1, -1, -1, 948, 
	948, 948, 948, 948, 948, 948, -1, -1, 
	-1, 948, 948, 948, -1, -1, 948, 948, 
	948, 948, 948, 948, 948, 948, -1, 948, 
	948, 948, -1, -1, -1, 948, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	948, 948, -1, -1, 948, -1, -1, -1, 
	-1, 948, -1, -1, -1, -1, 948, -1, 
	948, 948, 948, 948, 948, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 948, 
	-1, 948, -1, -1, 948, -1, 948, 948, 
	-1, -1, -1, 948, -1, 948, -1, 948, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, -1, 951, 951, 951, 951, 
	951, -1, 951, -1, 951, 951, 951, 951, 
	-1, 951, -1, 951, 951, 951, -1, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, -1, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, -1, 951, -1, -1, -1, 
	-1, 951, 951, 951, 951, 951, -1, -1, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, -1, 
	-1, -1, -1, -1, 951, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	948, -1, -1, -1, -1, -1, -1, -1, 
	-1, 951, 951, 951, 951, -1, -1, 951, 
	951, 951, 951, 951, 951, -1, -1, -1, 
	-1, 951, 951, 951, 951, 951, 951, 951, 
	-1, -1, -1, -1, 951, -1, -1, -1, 
	-1, 951, 951, -1, -1, 951, 951, 951, 
	-1, 951, 951, -1, -1, 951, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, 951, 
	951, 951, 951, 951, 951, -1, -1, -1, 
	951, 951, 951, -1, -1, 951, 951, 951, 
	951, 951, 951, 951, 951, -1, 951, 951, 
	951, -1, -1, -1, 951, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 951, 
	951, -1, -1, 951, -1, -1, -1, -1, 
	951, -1, -1, -1, -1, 951, -1, 951, 
	951, 951, 951, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, -1, 
	951, -1, -1, 951, -1, 951, 951, -1, 
	-1, -1, 951, -1, 951, -1, 951, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, -1, 950, 950, 950, 950, 950, 
	-1, 950, -1, 950, 950, 950, 950, -1, 
	950, -1, 950, 950, 950, -1, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, -1, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, -1, 950, -1, -1, -1, -1, 
	950, 950, 950, 950, 950, -1, -1, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, -1, -1, 
	-1, -1, -1, 950, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 951, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	950, 950, 950, 950, -1, -1, 950, 950, 
	950, 950, 950, 950, -1, -1, -1, -1, 
	950, 950, 950, 950, 950, 950, 950, -1, 
	-1, -1, -1, 950, -1, -1, -1, -1, 
	950, 950, -1, -1, 950, 950, 950, -1, 
	950, 950, -1, -1, 950, -1, -1, -1, 
	-1, -1, -1, -1, -1, 950, 950, 950, 
	950, 950, 950, 950, -1, -1, -1, 950, 
	950, 950, -1, -1, 950, 950, 950, 950, 
	950, 950, 950, 950, -1, 950, 950, 950, 
	-1, -1, -1, 950, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 950, 950, 
	-1, -1, 950, -1, -1, -1, -1, 950, 
	-1, -1, -1, -1, 950, -1, 950, 950, 
	950, 950, 950, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 950, -1, 950, 
	-1, -1, 950, -1, 950, 950, -1, -1, 
	-1, 950, -1, 950, -1, 950, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, -1, 978, 978, 978, 978, 978, -1, 
	978, -1, 978, 978, 978, 978, -1, 978, 
	-1, 978, 978, 978, -1, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, -1, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, -1, 978, -1, -1, -1, -1, 978, 
	978, 978, 978, 978, -1, -1, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, -1, -1, -1, 
	-1, -1, 978, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 950, -1, 
	-1, -1, -1, -1, -1, -1, -1, 978, 
	978, 978, 978, -1, -1, 978, 978, 978, 
	978, 978, 978, -1, -1, -1, -1, 978, 
	978, 978, 978, 978, 978, 978, -1, -1, 
	-1, -1, 978, -1, -1, -1, -1, 978, 
	978, -1, -1, 978, 978, 978, -1, 978, 
	978, -1, -1, 978, -1, -1, -1, -1, 
	-1, -1, -1, -1, 978, 978, 978, 978, 
	978, 978, 978, -1, -1, -1, 978, 978, 
	978, -1, -1, 978, 978, 978, 978, 978, 
	978, 978, 978, -1, 978, 978, 978, -1, 
	-1, -1, 978, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 978, 978, -1, 
	-1, 978, -1, -1, -1, -1, 978, -1, 
	-1, -1, -1, 978, -1, 978, 978, 978, 
	978, 978, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 978, -1, 978, -1, 
	-1, 978, -1, 978, 978, -1, -1, -1, 
	978, -1, 978, -1, 978, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, -1, 984, 
	-1, 984, 984, 984, 984, 984, 984, -1, 
	984, 984, 984, -1, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, -1, 984, 984, 984, 984, -1, 
	-1, -1, 984, -1, -1, -1, 984, 984, 
	-1, 984, -1, -1, 984, -1, -1, 984, 
	-1, 984, -1, -1, 984, 984, 984, 984, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 984, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 984, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 978, -1, -1, 
	-1, -1, -1, -1, -1, -1, 984, 984, 
	984, 984, -1, -1, 984, 984, 984, 984, 
	984, 984, -1, -1, -1, -1, 984, 984, 
	984, 984, 984, 984, 984, -1, -1, 984, 
	-1, 984, -1, -1, -1, -1, 984, 984, 
	-1, 984, 984, 984, 984, -1, 984, 984, 
	-1, -1, 984, -1, -1, -1, -1, -1, 
	984, -1, 984, 984, 984, 984, 984, 984, 
	984, 984, -1, -1, -1, -1, 984, 984, 
	-1, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, -1, 984, 984, 984, -1, -1, 
	984, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 984, 984, 984, -1, -1, 984, 
	984, 984, -1, -1, 984, 984, 984, 984, 
	984, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 984, -1, 984, -1, -1, 
	984, 984, 984, -1, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, -1, 994, -1, 
	994, 994, 994, 994, 994, 994, -1, 994, 
	994, 994, -1, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, 994, 994, 994, 994, 994, 994, -1, 
	-1, 994, -1, -1, -1, 994, 994, -1, 
	994, -1, -1, 994, -1, -1, 994, -1, 
	994, -1, -1, 994, 994, 994, 994, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	994, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 994, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 994, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 984, 994, 994, 994, 
	994, -1, -1, 994, 994, 994, 994, 994, 
	994, -1, -1, -1, -1, 994, 994, 994, 
	994, 994, 994, 994, -1, -1, 994, -1, 
	994, -1, -1, -1, -1, 994, 994, -1, 
	994, 994, 994, 994, -1, 994, 994, -1, 
	-1, 994, 994, 994, -1, -1, -1, 994, 
	-1, 994, 994, 994, 994, 994, 994, 994, 
	994, -1, -1, -1, -1, 994, 994, -1, 
	994, 994, 994, 994, 994, 994, 994, 994, 
	994, -1, 994, 994, 994, -1, -1, 994, 
	-1, 994, -1, -1, -1, 994, 994, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 994, 994, 994, -1, -1, 994, 994, 
	994, -1, -1, 994, 994, 994, 994, 994, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 994, -1, 994, -1, -1, 994, 
	994, 994, -1, -1, 994, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, -1, 995, 
	-1, 995, 995, 995, 995, 995, 995, -1, 
	995, 995, 995, -1, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, 995, 995, 995, 995, 995, 995, 
	-1, -1, 995, -1, -1, -1, 995, 995, 
	-1, 995, -1, -1, 995, -1, -1, 995, 
	-1, 995, -1, -1, 995, 995, 995, 995, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 995, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 995, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 995, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 994, -1, -1, 995, 995, 
	995, 995, -1, -1, 995, 995, 995, 995, 
	995, 995, -1, -1, -1, -1, 995, 995, 
	995, 995, 995, 995, 995, -1, -1, 995, 
	-1, 995, -1, -1, -1, -1, 995, 995, 
	-1, 995, 995, 995, 995, -1, 995, 995, 
	-1, -1, 995, 995, 995, -1, -1, -1, 
	995, -1, 995, 995, 995, 995, 995, 995, 
	995, 995, -1, -1, -1, -1, 995, 995, 
	-1, 995, 995, 995, 995, 995, 995, 995, 
	995, 995, -1, 995, 995, 995, -1, -1, 
	995, -1, 995, -1, -1, -1, 995, 995, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 995, 995, 995, -1, -1, 995, 
	995, 995, -1, -1, 995, 995, 995, 995, 
	995, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 995, -1, 995, -1, -1, 
	995, 995, 995, -1, -1, 995, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, -1, 
	996, -1, 996, 996, 996, 996, 996, 996, 
	-1, 996, 996, 996, -1, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, 996, 996, 996, 996, 996, 
	996, -1, -1, 996, -1, -1, -1, 996, 
	996, -1, 996, -1, -1, 996, -1, -1, 
	996, -1, 996, -1, -1, 996, 996, 996, 
	996, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 996, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 996, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 996, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 995, -1, -1, 996, 
	996, 996, 996, -1, -1, 996, 996, 996, 
	996, 996, 996, -1, -1, -1, -1, 996, 
	996, 996, 996, 996, 996, 996, -1, -1, 
	996, -1, 996, -1, -1, -1, -1, 996, 
	996, -1, 996, 996, 996, 996, -1, 996, 
	996, -1, -1, 996, 996, 996, -1, -1, 
	-1, 996, -1, 996, 996, 996, 996, 996, 
	996, 996, 996, -1, -1, -1, -1, 996, 
	996, -1, 996, 996, 996, 996, 996, 996, 
	996, 996, 996, -1, 996, 996, 996, -1, 
	-1, 996, -1, 996, -1, -1, -1, 996, 
	996, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 996, 996, 996, -1, -1, 
	996, 996, 996, -1, -1, 996, 996, 996, 
	996, 996, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 996, -1, 996, -1, 
	-1, 996, 996, 996, -1, -1, 996, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, -1, 1069, 1069, 1069, 1069, 1069, 
	-1, 1069, -1, 1069, 1069, 1069, 1069, -1, 
	1069, -1, 1069, 1069, 1069, -1, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, -1, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, -1, 1069, -1, -1, 514, 515, 
	1069, 1069, 1069, 1069, 1069, -1, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, 1069, 1069, -1, -1, 
	-1, -1, -1, 1069, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 996, -1, -1, 
	1069, 1069, 1069, 1069, -1, -1, 1069, 1069, 
	1069, 1069, 1069, 1069, -1, -1, -1, -1, 
	1069, 1069, 1069, 1069, 1069, 1069, 1069, -1, 
	-1, -1, -1, 1069, -1, -1, -1, -1, 
	1069, 1069, -1, -1, 1069, 1069, 1069, -1, 
	1069, 1069, -1, -1, 1069, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, -1, -1, -1, 1069, 
	1069, 1069, -1, -1, 1069, 1069, 1069, 1069, 
	1069, 1069, 1069, 1069, -1, 1069, 1069, 1069, 
	-1, -1, -1, 1069, -1, -1, -1, -1, 
	-1, -1, -1, 1069, 1069, 1069, 1069, 1069, 
	-1, -1, 1069, -1, -1, -1, -1, 1069, 
	-1, 1069, 1069, 1069, 1069, -1, 1069, 1069, 
	1069, 1069, 1069, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1069, -1, 1069, 
	-1, -1, 1069, -1, 1069, 1069, -1, -1, 
	-1, 1069, -1, 1069, -1, 1069, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, -1, 758, 758, 758, 758, 758, -1, 
	758, -1, 758, 758, 758, 758, -1, 758, 
	-1, 758, 758, 758, -1, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, -1, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, -1, 758, 758, 758, 758, 
	-1, -1, -1, -1, -1, -1, -1, 758, 
	-1, -1, 758, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 758, 758, 758, 
	758, -1, -1, 212, 213, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1069, -1, 
	-1, -1, -1, -1, -1, -1, -1, 758, 
	758, 758, 758, -1, -1, 758, 758, -1, 
	758, 758, 758, -1, -1, -1, -1, 758, 
	758, 758, -1, 758, 758, 758, -1, -1, 
	-1, -1, 758, -1, -1, -1, -1, 758, 
	-1, -1, -1, 758, 758, 758, -1, 758, 
	758, -1, -1, 758, -1, -1, -1, -1, 
	-1, -1, -1, -1, 758, 758, 758, 758, 
	758, 758, 758, -1, -1, -1, -1, 758, 
	758, -1, -1, 758, 758, 758, 758, 758, 
	758, 758, 758, -1, 758, 758, 758, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 758, 758, 758, 
	758, 758, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 758, -1, -1, -1, 
	-1, -1, -1, 758, -1, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	-1, 1049, 1049, 1049, 1049, 1049, -1, 1049, 
	-1, 1049, 1049, 1049, 1049, -1, 1049, -1, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	-1, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	-1, 1049, -1, -1, 1049, -1, 1049, 1049, 
	1049, 1049, 1049, -1, -1, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, -1, -1, -1, -1, 
	-1, 1049, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 758, 1049, 1049, 
	1049, 1049, -1, -1, 1049, 1049, 1049, 1049, 
	1049, 1049, -1, -1, -1, -1, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, -1, -1, -1, 
	-1, 1049, -1, -1, -1, -1, 1049, 1049, 
	-1, -1, 1049, 1049, 1049, -1, 1049, 1049, 
	-1, -1, 1049, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, -1, -1, -1, 1049, 1049, 1049, 
	-1, -1, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, -1, -1, 
	-1, 1049, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1049, 1049, -1, -1, 
	1049, -1, -1, -1, -1, 1049, -1, 1049, 
	1049, -1, 1049, -1, 1049, 1049, 1049, 1049, 
	1049, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1049, -1, 1049, -1, -1, 
	1049, -1, 1049, 1049, -1, -1, -1, 1049, 
	-1, 1049, -1, 1049, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, -1, 
	1050, 1050, 1050, 1050, 1050, -1, 1050, -1, 
	1050, 1050, 1050, 1050, -1, 1050, -1, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, -1, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, -1, 
	1050, -1, -1, 1050, -1, 1050, 1050, 1050, 
	1050, 1050, -1, -1, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, -1, -1, -1, -1, -1, 
	1050, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1049, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1050, 1050, 1050, 
	1050, -1, -1, 1050, 1050, 1050, 1050, 1050, 
	1050, -1, -1, -1, -1, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, -1, -1, -1, -1, 
	1050, -1, -1, -1, -1, 1050, 1050, -1, 
	-1, 1050, 1050, 1050, -1, 1050, 1050, -1, 
	-1, 1050, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, -1, -1, -1, 1050, 1050, 1050, -1, 
	-1, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, -1, -1, -1, 
	1050, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1050, 1050, -1, -1, 1050, 
	-1, -1, -1, -1, 1050, -1, 1050, 1050, 
	-1, 1050, -1, 1050, 1050, 1050, 1050, 1050, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1050, -1, 1050, -1, -1, 1050, 
	-1, 1050, 1050, -1, -1, -1, 1050, -1, 
	1050, -1, 1050, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, -1, 1051, 
	1051, 1051, 1051, 1051, -1, 1051, -1, 1051, 
	1051, 1051, 1051, -1, 1051, -1, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, -1, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, -1, 1051, 
	-1, -1, 1051, -1, 1051, 1051, 1051, 1051, 
	1051, -1, -1, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, -1, -1, -1, -1, -1, 1051, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1050, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1051, 1051, 1051, 1051, 
	-1, -1, 1051, 1051, 1051, 1051, 1051, 1051, 
	-1, -1, -1, -1, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, -1, -1, -1, -1, 1051, 
	-1, -1, -1, -1, 1051, 1051, -1, -1, 
	1051, 1051, 1051, -1, 1051, 1051, -1, -1, 
	1051, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	-1, -1, -1, 1051, 1051, 1051, -1, -1, 
	1051, 1051, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, 1051, 1051, 1051, -1, -1, -1, 1051, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1051, 1051, -1, -1, 1051, -1, 
	-1, -1, -1, 1051, -1, 1051, 1051, -1, 
	1051, -1, 1051, 1051, 1051, 1051, 1051, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1051, -1, 1051, -1, -1, 1051, -1, 
	1051, 1051, -1, -1, -1, 1051, -1, 1051, 
	-1, 1051, 1046, 1046, 1046, 1046, 1046, 1046, 
	-1, 1046, 1046, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1046, 1046, 1046, 1046, 
	1046, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1046, -1, -1, -1, 1046, 
	-1, -1, -1, 1046, 1046, 1046, 1046, 1046, 
	-1, -1, -1, -1, 1046, 1046, 1046, -1, 
	-1, -1, -1, 1046, 1046, -1, 1046, 1046, 
	1046, 1046, 1046, -1, -1, -1, -1, -1, 
	-1, 1046, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1046, 
	1046, 1046, 1046, -1, -1, 212, 213, -1, 
	-1, -1, -1, -1, 1046, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1051, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1046, 1046, 1046, 1046, 1046, -1, 1046, 1046, 
	1046, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1046, 
	1046, -1, -1, -1, -1, -1, -1, -1, 
	1046, -1, -1, -1, -1, -1, -1, 1046, 
	1046, 1046, 1046, 1046, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1046, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	-1, 1052, 1052, 1052, 1052, 1052, -1, 1052, 
	-1, 1052, 1052, 1052, 1052, -1, 1052, -1, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	-1, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	-1, 1052, -1, -1, 1052, -1, 1052, 1052, 
	1052, 1052, 1052, -1, -1, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, -1, -1, -1, -1, 
	-1, 1052, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1052, 1052, 
	1052, 1052, -1, -1, 1052, 1052, 1052, 1052, 
	1052, 1052, -1, -1, -1, -1, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, -1, -1, -1, 
	-1, 1052, -1, -1, -1, -1, 1052, 1052, 
	-1, -1, 1052, 1052, 1052, -1, 1052, 1052, 
	-1, -1, 1052, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, -1, -1, -1, 1052, 1052, 1052, 
	-1, -1, 1052, 1052, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, 1052, 1052, 1052, -1, -1, 
	-1, 1052, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1052, 1052, -1, -1, 
	1052, -1, -1, -1, -1, 1052, -1, 1052, 
	1052, -1, 1052, -1, 1052, 1052, 1052, 1052, 
	1052, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1052, -1, 1052, -1, -1, 
	1052, -1, 1052, 1052, -1, -1, -1, 1052, 
	-1, 1052, -1, 1052, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, -1, 
	931, 931, 931, 931, 931, -1, 931, -1, 
	931, 931, 931, 931, -1, 931, -1, 931, 
	931, 931, -1, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, -1, 
	931, 931, 931, 931, 931, 931, 931, 931, 
	931, -1, 931, 931, 931, 931, -1, -1, 
	-1, -1, -1, -1, -1, 931, -1, -1, 
	931, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 931, 931, 931, 931, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1052, -1, -1, -1, 
	-1, -1, -1, -1, -1, 931, 931, 931, 
	931, -1, -1, 931, 931, -1, 931, 931, 
	931, -1, -1, -1, -1, 931, 931, 931, 
	-1, 931, 931, 931, -1, -1, -1, -1, 
	931, -1, -1, -1, -1, 931, -1, -1, 
	-1, 931, 931, 931, -1, 931, 931, -1, 
	-1, 931, -1, -1, -1, -1, -1, -1, 
	-1, -1, 931, 931, 931, 931, 931, 931, 
	931, -1, -1, -1, -1, 931, 931, -1, 
	-1, 931, 931, 931, 931, 931, 931, 931, 
	931, -1, 931, 931, 931, -1, -1, -1, 
	-1, -1, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, 931, 931, 931, 931, 931, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	-1, -1, 931, 100, 102, 95, 94, 96, 
	-1, 931, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 993, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, -1, 932, 
	932, 932, 932, 932, -1, 932, -1, 932, 
	932, 932, 932, -1, 932, -1, 932, 932, 
	932, -1, 932, 932, 932, 932, 932, 932, 
	932, 932, 932, 932, 932, 932, -1, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	-1, 932, 932, 932, 932, -1, -1, -1, 
	-1, -1, -1, -1, 932, -1, -1, 932, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 932, 932, 932, 932, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 931, -1, 546, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	251, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 159, 993, 932, 932, 932, 932, 
	-1, -1, 932, 932, -1, 932, 932, 932, 
	-1, -1, -1, -1, 932, 932, 932, -1, 
	932, 932, 932, -1, -1, -1, -1, 932, 
	-1, -1, -1, -1, 932, -1, -1, -1, 
	932, 932, 932, -1, 932, 932, -1, -1, 
	932, -1, -1, -1, -1, -1, -1, -1, 
	-1, 932, 932, 932, 932, 932, 932, 932, 
	-1, -1, -1, -1, 932, 932, -1, -1, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	-1, 932, 932, 932, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 932, 932, 932, 932, 932, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 932, -1, -1, -1, -1, -1, -1, 
	932, -1, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, -1, 933, 933, 
	933, 933, 933, -1, 933, -1, 933, 933, 
	933, 933, -1, 933, -1, 933, 933, 933, 
	-1, 933, 933, 933, 933, 933, 933, 933, 
	933, 933, 933, 933, 933, -1, 933, 933, 
	933, 933, 933, 933, 933, 933, 933, -1, 
	933, 933, 933, 933, -1, -1, -1, -1, 
	-1, -1, -1, 933, -1, -1, 933, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 933, 933, 933, 933, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 932, 933, 933, 933, 933, -1, 
	-1, 933, 933, -1, 933, 933, 933, -1, 
	-1, -1, -1, 933, 933, 933, -1, 933, 
	933, 933, -1, -1, -1, -1, 933, -1, 
	-1, -1, -1, 933, -1, -1, -1, 933, 
	933, 933, -1, 933, 933, -1, -1, 933, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	933, 933, 933, 933, 933, 933, 933, -1, 
	-1, -1, -1, 933, 933, -1, -1, 933, 
	933, 933, 933, 933, 933, 933, 933, -1, 
	933, 933, 933, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 933, 933, 933, 933, 933, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	933, -1, -1, -1, -1, -1, -1, 933, 
	-1, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, -1, 934, 934, 934, 
	934, 934, -1, 934, -1, 934, 934, 934, 
	934, -1, 934, -1, 934, 934, 934, -1, 
	934, 934, 934, 934, 934, 934, 934, 934, 
	934, 934, 934, 934, -1, 934, 934, 934, 
	934, 934, 934, 934, 934, 934, -1, 934, 
	934, 934, 934, -1, -1, -1, -1, -1, 
	-1, -1, 934, -1, -1, 934, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	934, 934, 934, 934, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 546, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 114, 99, 91, 159, -1, 
	-1, 933, 934, 934, 934, 934, -1, -1, 
	934, 934, -1, 934, 934, 934, -1, -1, 
	-1, -1, 934, 934, 934, -1, 934, 934, 
	934, -1, -1, -1, -1, 934, -1, -1, 
	-1, -1, 934, -1, -1, -1, 934, 934, 
	934, -1, 934, 934, -1, -1, 934, -1, 
	-1, -1, -1, -1, -1, -1, -1, 934, 
	934, 934, 934, 934, 934, 934, -1, -1, 
	-1, -1, 934, 934, -1, -1, 934, 934, 
	934, 934, 934, 934, 934, 934, -1, 934, 
	934, 934, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	934, 934, 934, 934, 934, -1, -1, -1, 
	97, -1, -1, -1, 98, -1, -1, 934, 
	100, 102, 95, 94, 96, -1, 934, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, 1126, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, -1, 1023, 
	1023, 1023, 1023, 1023, -1, 1023, -1, 1023, 
	1023, 1023, 1023, -1, 1023, -1, 1023, 1023, 
	1023, -1, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, -1, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, -1, 1023, 
	-1, -1, -1, -1, 1023, 1023, 1023, 1023, 
	1023, -1, -1, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	1023, 1023, -1, -1, -1, -1, -1, 1023, 
	934, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 549, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, 548, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, -1, -1, -1, 1023, 1023, 1023, 1023, 
	-1, -1, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, -1, -1, 547, 1023, 1023, 1023, 1023, 
	1023, 1023, 1023, -1, -1, -1, -1, 1023, 
	-1, -1, -1, -1, 1023, 1023, -1, -1, 
	1023, 1023, 1023, -1, 1023, 1023, -1, -1, 
	1023, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, -1, -1, 1023, 1023, 1023, 1023, -1, 
	1023, 1023, 1023, 1023, 1023, 1023, 1023, 1023, 
	-1, 1023, 1023, 1023, -1, -1, -1, 1023, 
	-1, -1, -1, -1, -1, -1, -1, 1023, 
	-1, -1, 1023, 1023, -1, -1, 1023, -1, 
	-1, -1, -1, 1023, -1, -1, -1, -1, 
	1023, -1, 1023, 1023, 1023, 1023, 1023, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1023, -1, 1023, -1, -1, 1023, -1, 
	1023, 1023, -1, -1, -1, 1023, -1, 1023, 
	-1, 1023, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, 969, 
	969, 969, 969, -1, 969, -1, 969, 969, 
	969, 969, -1, 969, -1, 969, 969, 969, 
	-1, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, -1, 969, -1, 
	-1, -1, -1, 969, 969, 969, 969, 969, 
	-1, -1, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, -1, -1, -1, -1, -1, 969, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1023, -1, -1, -1, -1, -1, 
	-1, -1, -1, 969, 969, 969, 969, -1, 
	-1, 969, 969, 969, 969, 969, 969, -1, 
	-1, -1, -1, 969, 969, 969, 969, 969, 
	969, 969, -1, -1, -1, -1, 969, -1, 
	-1, -1, -1, 969, 969, -1, -1, 969, 
	969, 969, -1, 969, 969, -1, -1, 969, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	969, 969, 969, 969, 969, 969, 969, -1, 
	-1, -1, 969, 969, 969, -1, -1, 969, 
	969, 969, 969, 969, 969, 969, 969, -1, 
	969, 969, 969, -1, -1, -1, 969, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 969, 969, -1, -1, 969, -1, -1, 
	-1, -1, 969, -1, -1, -1, -1, 969, 
	-1, 969, 969, 969, 969, 969, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	969, -1, 969, -1, -1, 969, -1, 969, 
	969, -1, -1, -1, 969, -1, 969, -1, 
	969, -1, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, -1, 959, 959, 
	959, 959, 959, -1, 959, -1, 959, 959, 
	959, 959, -1, 959, -1, 959, 959, 959, 
	-1, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, -1, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, -1, 959, -1, 
	-1, -1, -1, 959, 959, 959, 959, 959, 
	-1, -1, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 549, 69, 70, 71, 72, 959, 77, 
	92, 64, -1, -1, -1, 548, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 969, -1, -1, -1, -1, -1, 547, 
	-1, -1, -1, 959, 959, 959, 959, -1, 
	-1, 959, 959, 959, 959, 959, 959, -1, 
	-1, -1, -1, 959, 959, 959, 959, 959, 
	959, 959, -1, -1, -1, -1, 959, -1, 
	-1, -1, -1, 959, 959, -1, -1, 959, 
	959, 959, -1, 959, 959, -1, -1, 959, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	959, 959, 959, 959, 959, 959, 959, -1, 
	-1, -1, 959, 959, 959, -1, -1, 959, 
	959, 959, 959, 959, 959, 959, 959, -1, 
	959, 959, 959, -1, -1, -1, 959, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 959, 959, -1, -1, 959, -1, -1, 
	-1, -1, 959, -1, -1, -1, -1, 959, 
	-1, 959, 959, 959, 959, 959, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	959, -1, 959, -1, -1, 959, -1, 959, 
	959, -1, -1, -1, 959, -1, 959, -1, 
	959, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, -1, 960, 960, 960, 
	960, 960, -1, 960, -1, 960, 960, 960, 
	960, -1, 960, -1, 960, 960, 960, -1, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, -1, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, -1, 960, -1, -1, 
	-1, -1, 960, 960, 960, 960, 960, -1, 
	-1, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	-1, -1, -1, -1, -1, 960, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 959, -1, -1, -1, -1, -1, -1, 
	-1, -1, 960, 960, 960, 960, -1, -1, 
	960, 960, 960, 960, 960, 960, -1, -1, 
	-1, -1, 960, 960, 960, 960, 960, 960, 
	960, -1, -1, -1, -1, 960, -1, -1, 
	-1, -1, 960, 960, -1, -1, 960, 960, 
	960, -1, 960, 960, -1, -1, 960, -1, 
	-1, -1, -1, -1, -1, -1, -1, 960, 
	960, 960, 960, 960, 960, 960, -1, -1, 
	-1, 960, 960, 960, -1, -1, 960, 960, 
	960, 960, 960, 960, 960, 960, -1, 960, 
	960, 960, -1, -1, -1, 960, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	960, 960, -1, -1, 960, -1, -1, -1, 
	-1, 960, -1, -1, -1, -1, 960, -1, 
	960, 960, 960, 960, 960, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 960, 
	-1, 960, -1, -1, 960, -1, 960, 960, 
	-1, -1, -1, 960, -1, 960, -1, 960, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, -1, 970, 970, 970, 970, 
	970, -1, 970, -1, 970, 970, 970, 970, 
	-1, 970, -1, 970, 970, 970, -1, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, -1, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, -1, 970, -1, -1, -1, 
	-1, 970, 970, 970, 970, 970, -1, -1, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, -1, 
	-1, -1, -1, -1, 970, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	960, -1, -1, -1, -1, -1, -1, -1, 
	-1, 970, 970, 970, 970, -1, -1, 970, 
	970, 970, 970, 970, 970, -1, -1, -1, 
	-1, 970, 970, 970, 970, 970, 970, 970, 
	-1, -1, -1, -1, 970, -1, -1, -1, 
	-1, 970, 970, -1, -1, 970, 970, 970, 
	-1, 970, 970, -1, -1, 970, -1, -1, 
	-1, -1, -1, -1, -1, -1, 970, 970, 
	970, 970, 970, 970, 970, -1, -1, -1, 
	970, 970, 970, -1, -1, 970, 970, 970, 
	970, 970, 970, 970, 970, -1, 970, 970, 
	970, -1, -1, -1, 970, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 970, 
	970, -1, -1, 970, -1, -1, -1, -1, 
	970, -1, -1, -1, -1, 970, -1, 970, 
	970, 970, 970, 970, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 970, -1, 
	970, -1, -1, 970, -1, 970, 970, -1, 
	-1, -1, 970, -1, 970, -1, 970, 875, 
	875, 875, 875, 875, 875, 875, 875, 875, 
	875, 875, 875, 875, 875, 875, 875, -1, 
	875, 875, 875, 875, 875, 875, 875, 875, 
	-1, -1, -1, 875, 875, 875, 875, 875, 
	-1, 875, -1, 875, 875, 875, 875, -1, 
	875, -1, 875, 875, 875, -1, 875, 875, 
	-1, -1, 875, 875, 875, 875, 875, 875, 
	875, 875, -1, 875, 875, 875, 875, 875, 
	875, 875, 875, 875, -1, 875, 875, 875, 
	875, -1, -1, -1, -1, -1, -1, -1, 
	875, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 875, 875, 
	875, 875, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 970, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	875, 875, 875, 875, -1, -1, 875, 875, 
	-1, 875, 875, 875, -1, -1, -1, -1, 
	875, 875, 875, -1, 875, 875, 875, -1, 
	-1, -1, -1, 875, -1, -1, -1, -1, 
	875, 875, -1, -1, 875, 875, 875, -1, 
	875, 875, -1, -1, 875, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	875, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 875, 875, 875, 875, 
	875, 875, 875, 875, -1, 875, 875, 875, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 875, 875, 
	875, 875, 875, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 875, -1, -1, 
	-1, -1, 875, -1, -1, -1, 861, 861, 
	861, 861, 861, 861, 861, 861, 861, 861, 
	861, 861, 861, 861, 861, 861, -1, 861, 
	861, 861, 861, 861, 861, 861, 861, -1, 
	-1, -1, 861, 861, 861, 861, 861, -1, 
	861, -1, 861, 861, 861, 861, -1, 861, 
	-1, 861, 861, 861, -1, 861, 861, -1, 
	-1, 861, 861, 861, 861, 861, 861, 861, 
	861, -1, 861, 861, 861, 861, 861, 861, 
	861, 861, 861, -1, 861, 861, 861, 861, 
	-1, -1, -1, -1, -1, -1, -1, 861, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 861, 861, 861, 
	861, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 875, 861, 
	861, 861, 861, -1, -1, 861, 861, -1, 
	861, 861, 861, -1, -1, -1, -1, 861, 
	861, 861, -1, 861, 861, 861, -1, -1, 
	-1, -1, 861, -1, -1, -1, -1, 861, 
	-1, -1, -1, 861, 861, 861, -1, 861, 
	861, -1, -1, 861, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 861, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 861, 861, 861, 861, 861, 
	861, 861, 861, -1, 861, 861, 861, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 861, 861, 861, 
	861, 861, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 861, -1, -1, 755, 
	755, 755, 755, 755, 755, 755, 755, 755, 
	755, 755, 755, 755, 755, 755, 755, 755, 
	755, 755, 755, 755, 755, 755, 755, 755, 
	755, 755, -1, 755, 755, 755, 755, 755, 
	-1, 755, -1, 755, 755, 755, 755, -1, 
	755, -1, 755, 755, 755, -1, 755, 755, 
	755, 755, 755, 755, 755, 755, 755, 755, 
	755, 755, -1, 755, 755, 755, 755, 755, 
	755, 755, 755, 755, -1, 755, 755, 755, 
	755, -1, -1, -1, -1, -1, -1, -1, 
	755, -1, -1, 755, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 755, 755, 
	755, 755, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	755, 755, 755, 755, -1, 861, 755, 755, 
	-1, 755, 755, 755, -1, -1, -1, -1, 
	755, 755, 755, -1, 755, 755, 755, -1, 
	-1, -1, -1, 755, -1, -1, -1, -1, 
	755, -1, -1, -1, 755, 755, 755, -1, 
	755, 755, -1, -1, 755, -1, -1, -1, 
	-1, -1, -1, -1, -1, 755, 755, 755, 
	755, 755, 755, 755, -1, -1, -1, -1, 
	755, 755, -1, -1, 755, 755, 755, 755, 
	755, 755, 755, 755, -1, 755, 755, 755, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 755, 755, 
	755, 755, 755, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 755, -1, -1, 
	-1, -1, -1, -1, 755, -1, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 477, 
	478, -1, 914, 914, 914, 914, 914, -1, 
	914, -1, 914, 914, 914, 914, -1, 914, 
	-1, 914, 914, 914, -1, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, -1, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, -1, 914, 914, 914, 914, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	-1, -1, 914, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 914, 914, 914, 
	914, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 755, 914, 
	914, 914, 914, -1, -1, 914, 914, -1, 
	914, 914, 914, -1, -1, -1, -1, 914, 
	914, 914, -1, 914, 914, 914, -1, -1, 
	-1, -1, 914, -1, -1, -1, -1, 914, 
	-1, -1, -1, 914, 914, 914, -1, 914, 
	914, -1, -1, 914, -1, -1, -1, -1, 
	-1, -1, -1, -1, 914, 914, 914, 914, 
	597, 474, 476, -1, -1, -1, -1, 914, 
	914, -1, -1, 914, 914, 914, 914, 914, 
	914, 914, 914, -1, 914, 914, 914, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 914, 914, 914, 
	914, 914, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 914, -1, -1, -1, 
	-1, -1, -1, 914, -1, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	-1, 911, 911, 911, 911, 911, -1, 911, 
	-1, 911, 911, 911, 911, -1, 911, -1, 
	911, 911, 911, -1, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	-1, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, -1, 911, 911, 911, 911, -1, 
	-1, -1, -1, -1, -1, -1, 911, -1, 
	-1, 911, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 911, 911, 911, 911, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 914, 911, 911, 
	911, 911, -1, -1, 911, 911, -1, 911, 
	911, 911, -1, -1, -1, -1, 911, 911, 
	911, -1, 911, 911, 911, -1, -1, -1, 
	-1, 911, -1, -1, -1, -1, 911, -1, 
	-1, -1, 911, 911, 911, -1, 911, 911, 
	-1, -1, 911, -1, -1, -1, -1, -1, 
	-1, -1, -1, 911, 911, 911, 911, 911, 
	911, 911, -1, -1, -1, -1, 911, 911, 
	-1, -1, 911, 911, 911, 911, 911, 911, 
	911, 911, -1, 911, 911, 911, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 85, 
	88, 86, 87, 89, 90, -1, 83, 84, 
	-1, -1, -1, -1, 911, 911, 911, 911, 
	911, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, -1, 911, -1, -1, -1, -1, 
	97, -1, 911, -1, 98, -1, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	993, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	54, 55, 56, 57, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, 36, 
	37, 41, 39, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, 42, 
	43, 44, -1, -1, -1, 97, -1, -1, 
	-1, 98, 38, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 62, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, -1, 304, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 911, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 594, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 596, 473, 475, -1, 
	-1, -1, -1, -1, 114, 99, 91, 159, 
	993, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 305, -1, -1, -1, -1, 
	-1, -1, 595, -1, -1, -1, -1, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 40, 993, -1, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	-1, 987, -1, 987, 987, 987, 987, 987, 
	987, -1, 987, 987, 987, -1, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, 987, 987, 987, 
	987, -1, -1, -1, 987, -1, -1, -1, 
	987, 987, -1, 987, -1, -1, 987, -1, 
	-1, 987, -1, 987, -1, -1, 987, 987, 
	987, 987, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 987, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 987, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	987, 987, 987, 987, -1, -1, 987, 987, 
	987, 987, 987, 987, -1, -1, -1, -1, 
	987, 987, 987, 987, 987, 987, 987, -1, 
	-1, 987, -1, 987, -1, -1, -1, -1, 
	987, 987, -1, 987, 987, 987, 987, -1, 
	987, 987, -1, -1, 987, -1, -1, -1, 
	-1, -1, 987, -1, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, -1, -1, -1, 
	987, 987, -1, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, 987, 987, 987, 
	-1, -1, 987, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 987, 987, 987, -1, 
	-1, 987, 987, 987, -1, -1, 987, 987, 
	987, 987, 987, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 987, -1, 987, 
	-1, -1, 987, 987, 987, -1, 1002, 1002, 
	1002, 1002, 1002, 1002, -1, 1002, 1002, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1002, 1002, 1002, 1002, 1002, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1002, 
	-1, -1, -1, 1002, -1, -1, -1, 1002, 
	1002, 1002, 1002, 1002, -1, -1, -1, -1, 
	1002, 1002, 1002, -1, -1, -1, -1, 1002, 
	1002, -1, 1002, 1002, 1002, 1002, -1, -1, 
	-1, -1, -1, -1, -1, 1002, 1002, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1002, 1002, 1002, 1002, -1, 
	-1, 212, 213, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 594, 69, 70, 71, 72, 987, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 159, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1002, 1002, 1002, 1002, 
	1002, -1, 1002, 1002, 1002, -1, -1, 305, 
	1002, -1, -1, -1, -1, -1, 595, -1, 
	-1, -1, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, 1002, 1002, 1002, 1002, 1002, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1002, -1, -1, 114, 99, 91, 
	40, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, -1, 988, -1, 988, 988, 988, 
	988, 988, 988, -1, 988, 988, 988, -1, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, -1, 988, 
	988, 988, 988, -1, -1, -1, 988, -1, 
	-1, -1, 988, 988, -1, 988, -1, -1, 
	988, -1, -1, 988, -1, 988, -1, -1, 
	988, 988, 988, 988, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 988, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	988, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 988, 988, 988, 988, -1, -1, 
	988, 988, 988, 988, 988, 988, -1, -1, 
	-1, -1, 988, 988, 988, 988, 988, 988, 
	988, -1, -1, 988, -1, 988, -1, -1, 
	-1, -1, 988, 988, -1, 988, 988, 988, 
	988, -1, 988, 988, -1, -1, 988, -1, 
	-1, -1, -1, -1, 988, -1, 988, 988, 
	988, 988, 988, 988, 988, 988, -1, -1, 
	-1, -1, 988, 988, -1, 988, 988, 988, 
	988, 988, 988, 988, 988, 988, -1, 988, 
	988, 988, -1, -1, 988, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 988, 988, 
	988, -1, -1, 988, 988, 988, -1, -1, 
	988, 988, 988, 988, 988, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 988, 
	-1, 988, -1, -1, 988, 988, 988, -1, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, -1, 990, -1, 990, 990, 990, 990, 
	990, 990, -1, 990, 990, 990, -1, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, -1, 990, 990, 
	990, 990, -1, -1, -1, 990, -1, -1, 
	-1, 990, 990, -1, 990, -1, -1, 990, 
	-1, -1, 990, -1, 990, -1, -1, 990, 
	990, 990, 990, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 990, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 990, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	988, 990, 990, 990, 990, -1, -1, 990, 
	990, 990, 990, 990, 990, -1, -1, -1, 
	-1, 990, 990, 990, 990, 990, 990, 990, 
	-1, -1, 990, -1, 990, -1, -1, -1, 
	-1, 990, 990, -1, 990, 990, 990, 990, 
	-1, 990, 990, -1, -1, 990, -1, -1, 
	-1, -1, -1, 990, -1, 990, 990, 990, 
	990, 990, 990, 990, 990, -1, -1, -1, 
	-1, 990, 990, -1, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, -1, 990, 990, 
	990, -1, -1, 990, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 990, 990, 990, 
	-1, -1, 990, 990, 990, -1, -1, 990, 
	990, 990, 990, 990, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, 990, -1, 
	990, -1, -1, 990, 990, 990, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 993, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, 1126, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	833, 833, 833, 833, 833, 833, 833, 833, 
	833, 833, 833, 833, 833, 833, 833, 833, 
	-1, 833, 833, 833, 833, 833, 833, 833, 
	833, -1, -1, -1, 833, 833, 833, 833, 
	833, -1, 833, -1, 833, 833, 833, 833, 
	-1, 833, -1, 833, 833, 833, -1, 833, 
	833, -1, -1, 833, 833, 833, 833, 833, 
	833, 833, 833, -1, 833, 833, 833, 833, 
	833, 833, 833, 833, 833, -1, 833, 833, 
	833, 833, -1, -1, -1, -1, -1, 990, 
	-1, 833, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 833, 
	833, 833, 833, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 549, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, 548, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 993, -1, -1, 
	-1, 833, 833, 833, 833, -1, -1, 833, 
	833, 833, 833, 833, 833, -1, -1, -1, 
	603, 833, 833, 833, 833, 833, 833, 833, 
	-1, -1, -1, -1, 833, -1, -1, -1, 
	-1, 833, 833, -1, -1, 833, 833, 833, 
	-1, 833, 833, -1, -1, 833, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 833, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 833, 833, 833, 
	833, 833, 833, 833, 833, -1, 833, 833, 
	833, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 833, 
	833, 833, 833, 833, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 833, -1, 
	833, -1, -1, 833, 54, 55, 56, 57, 
	85, 88, 86, 87, 89, 90, 1124, 83, 
	84, -1, -1, 36, 37, 41, 39, -1, 
	-1, -1, 104, 106, 110, 108, 112, -1, 
	-1, -1, -1, 42, 43, 44, -1, -1, 
	-1, 97, -1, -1, -1, 98, 38, -1, 
	-1, 100, 102, 95, 94, 96, -1, -1, 
	-1, -1, 79, 80, 81, -1, -1, -1, 
	-1, 62, 78, -1, 116, 118, 120, 122, 
	-1, -1, -1, -1, -1, -1, -1, 82, 
	-1, -1, 1124, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 74, 75, 
	76, 54, 55, 56, 57, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	36, 37, 41, 39, -1, -1, -1, 104, 
	106, 110, 108, 112, -1, -1, -1, -1, 
	42, 43, 44, -1, -1, -1, 97, -1, 
	-1, -1, 98, 38, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 62, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	-1, -1, -1, -1, 82, -1, 304, 833, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 318, 
	-1, -1, -1, -1, -1, -1, -1, 1124, 
	1124, 605, -1, 35, 33, 34, 58, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	40, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 317, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 305, -1, -1, -1, 
	-1, -1, -1, 607, -1, -1, -1, -1, 
	35, 33, 34, 58, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 40, 993, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 549, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, 548, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 114, 99, 91, 
	159, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 603, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	-1, 759, 759, 759, 759, 759, -1, 759, 
	-1, 759, 759, 759, 759, -1, 759, -1, 
	759, 759, 759, -1, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	-1, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, -1, 759, 759, 759, 759, -1, 
	-1, -1, -1, -1, -1, -1, 759, -1, 
	-1, 759, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 759, 759, 759, 759, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 759, 759, 
	759, 759, -1, -1, 759, 759, -1, 759, 
	759, 759, -1, -1, -1, -1, 759, 759, 
	759, -1, 759, 759, 759, -1, -1, -1, 
	-1, 759, -1, -1, -1, -1, 759, -1, 
	-1, -1, 759, 759, 759, -1, 759, 759, 
	-1, -1, 759, -1, -1, -1, -1, -1, 
	-1, -1, -1, 759, 759, 759, 759, 759, 
	759, 759, -1, -1, -1, -1, 759, 759, 
	-1, -1, 759, 759, 759, 759, 759, 759, 
	759, 759, -1, 759, 759, 759, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 759, 759, 759, 759, 
	759, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 759, -1, -1, -1, -1, 
	-1, -1, 759, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 318, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 605, -1, 35, 
	33, 34, 58, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 40, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 317, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, -1, -1, 607, 
	-1, -1, -1, -1, 35, 33, 34, 58, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 759, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 40, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, -1, 905, 905, 
	905, 905, 905, -1, 905, -1, 905, 905, 
	905, 905, -1, 905, -1, 905, 905, 905, 
	-1, 905, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, -1, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, -1, 
	905, 905, 905, 905, -1, -1, -1, -1, 
	-1, -1, -1, 905, -1, -1, 905, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 905, 905, 905, 905, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 905, 905, 905, 905, -1, 
	-1, 905, 905, -1, 905, 905, 905, -1, 
	-1, -1, -1, 905, 905, 905, -1, 905, 
	905, 905, -1, -1, -1, -1, 905, -1, 
	-1, -1, -1, 905, -1, -1, -1, 905, 
	905, 905, -1, 905, 905, -1, -1, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	905, 905, 905, 905, 905, 905, 905, -1, 
	-1, -1, -1, 905, 905, -1, -1, 905, 
	905, 905, 905, 905, 905, 905, 905, -1, 
	905, 905, 905, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 905, 905, 905, 905, 905, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	905, -1, -1, -1, -1, -1, -1, 905, 
	-1, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, -1, 980, 980, 980, 
	980, 980, -1, 980, -1, 980, 980, 980, 
	980, -1, 980, -1, 980, 980, 980, -1, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, -1, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, -1, 980, -1, -1, 
	-1, -1, 980, 980, 980, 980, 980, -1, 
	-1, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	-1, -1, -1, -1, -1, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 905, 980, 980, 980, 980, -1, -1, 
	980, 980, 980, 980, 980, 980, -1, -1, 
	-1, -1, 980, 980, 980, 980, 980, 980, 
	980, -1, -1, -1, -1, 980, -1, -1, 
	-1, -1, 980, 980, -1, -1, 980, 980, 
	980, -1, 980, 980, -1, -1, 980, -1, 
	-1, -1, -1, -1, -1, -1, -1, 980, 
	980, 980, 980, 980, 980, 980, -1, -1, 
	-1, 980, 980, 980, -1, -1, 980, 980, 
	980, 980, 980, 980, 980, 980, -1, 980, 
	980, 980, -1, -1, -1, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	980, 980, -1, -1, 980, -1, -1, -1, 
	-1, 980, -1, -1, -1, -1, 980, -1, 
	980, 980, 980, 980, 980, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 980, 
	-1, 980, -1, -1, 980, -1, 980, 980, 
	-1, -1, -1, 980, -1, 980, -1, 980, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, -1, 979, 979, 979, 979, 
	979, -1, 979, -1, 979, 979, 979, 979, 
	-1, 979, -1, 979, 979, 979, -1, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, -1, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, -1, 979, -1, -1, -1, 
	-1, 979, 979, 979, 979, 979, -1, -1, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, -1, 
	-1, -1, -1, -1, 979, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	980, -1, -1, -1, -1, -1, -1, -1, 
	-1, 979, 979, 979, 979, -1, -1, 979, 
	979, 979, 979, 979, 979, -1, -1, -1, 
	-1, 979, 979, 979, 979, 979, 979, 979, 
	-1, -1, -1, -1, 979, -1, -1, -1, 
	-1, 979, 979, -1, -1, 979, 979, 979, 
	-1, 979, 979, -1, -1, 979, -1, -1, 
	-1, -1, -1, -1, -1, -1, 979, 979, 
	979, 979, 979, 979, 979, -1, -1, -1, 
	979, 979, 979, -1, -1, 979, 979, 979, 
	979, 979, 979, 979, 979, -1, 979, 979, 
	979, -1, -1, -1, 979, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 979, 
	979, -1, -1, 979, -1, -1, -1, -1, 
	979, -1, -1, -1, -1, 979, -1, 979, 
	979, 979, 979, 979, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 979, -1, 
	979, -1, -1, 979, -1, 979, 979, -1, 
	-1, -1, 979, -1, 979, -1, 979, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, -1, 981, 981, 981, 981, 981, 
	-1, 981, -1, 981, 981, 981, 981, -1, 
	981, -1, 981, 981, 981, -1, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, -1, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, -1, 981, -1, -1, -1, -1, 
	981, 981, 981, 981, 981, -1, -1, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, -1, -1, 
	-1, -1, -1, 981, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 979, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	981, 981, 981, 981, -1, -1, 981, 981, 
	981, 981, 981, 981, -1, -1, -1, -1, 
	981, 981, 981, 981, 981, 981, 981, -1, 
	-1, -1, -1, 981, -1, -1, -1, -1, 
	981, 981, -1, -1, 981, 981, 981, -1, 
	981, 981, -1, -1, 981, -1, -1, -1, 
	-1, -1, -1, -1, -1, 981, 981, 981, 
	981, 981, 981, 981, -1, -1, -1, 981, 
	981, 981, -1, -1, 981, 981, 981, 981, 
	981, 981, 981, 981, -1, 981, 981, 981, 
	-1, -1, -1, 981, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 981, 981, 
	-1, -1, 981, -1, -1, -1, -1, 981, 
	-1, -1, -1, -1, 981, -1, 981, 981, 
	981, 981, 981, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 981, -1, 981, 
	-1, -1, 981, -1, 981, 981, -1, -1, 
	-1, 981, -1, 981, -1, 981, 856, 856, 
	856, 856, 856, 856, 856, 856, 856, 856, 
	856, 856, 856, 856, 856, 856, -1, 856, 
	856, 856, 856, 856, 856, 856, 856, -1, 
	-1, -1, 856, 856, 856, 856, 856, -1, 
	856, -1, 856, 856, 856, 856, -1, 856, 
	-1, 856, 856, 856, -1, 856, 856, -1, 
	-1, 856, 856, 856, 856, 856, 856, 856, 
	856, 856, 856, 856, 856, 856, 856, 856, 
	856, 856, 856, 856, 856, 856, 856, 856, 
	-1, -1, -1, -1, -1, -1, -1, 856, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 856, 856, 856, 
	856, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 981, -1, 
	-1, -1, -1, -1, -1, -1, -1, 856, 
	856, 856, 856, -1, -1, 856, 856, 856, 
	856, 856, 856, -1, -1, -1, -1, 856, 
	856, 856, 856, 856, 856, 856, -1, 856, 
	856, -1, 856, -1, -1, -1, -1, 856, 
	856, -1, -1, 856, 856, 856, -1, 856, 
	856, -1, -1, 856, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 856, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 856, 856, 856, 856, 856, 
	856, 856, 856, -1, 856, 856, 856, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 856, 856, 856, 
	856, 856, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 856, -1, 856, -1, 
	-1, 856, -1, -1, -1, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, 824, -1, 824, 824, 
	824, 824, 824, 824, 824, 824, -1, -1, 
	-1, 824, 824, 824, 824, 824, -1, 824, 
	-1, 824, 824, 824, 824, -1, 824, -1, 
	824, 824, 824, -1, 824, 824, -1, -1, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	-1, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, -1, 824, 824, 824, 824, -1, 
	-1, -1, -1, -1, -1, -1, 824, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 824, 824, 824, 824, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 856, 824, 824, 
	824, 824, -1, -1, 824, 824, -1, 824, 
	824, 824, -1, -1, -1, -1, 824, 824, 
	824, -1, 824, 824, 824, -1, -1, -1, 
	-1, 824, -1, -1, -1, -1, 824, 824, 
	-1, -1, 824, 824, 824, -1, 824, 824, 
	-1, -1, 824, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 824, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 824, 824, 824, 824, 824, 824, 
	824, 824, -1, 824, 824, 824, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 824, 824, 824, 824, 
	824, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 824, -1, -1, -1, -1, 
	824, -1, -1, -1, 829, 829, 829, 829, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	829, 829, 829, 829, -1, 829, 829, 829, 
	829, 829, 829, 829, 829, -1, -1, -1, 
	829, 829, 829, 829, 829, -1, 829, -1, 
	829, 829, 829, 829, -1, 829, -1, 829, 
	829, 829, -1, 829, 829, -1, -1, 829, 
	829, 829, 829, 829, 829, 829, 829, -1, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	829, -1, 829, 829, 829, 829, -1, -1, 
	-1, -1, -1, -1, -1, 829, -1, -1, 
	-1, -1, -1, -1, -1, -1, 829, -1, 
	-1, -1, -1, 829, 829, 829, 829, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 824, 829, 829, 829, 
	829, -1, -1, 829, 829, 829, 829, 829, 
	829, -1, -1, -1, -1, 829, 829, 829, 
	829, 829, 829, 829, -1, -1, -1, -1, 
	829, -1, -1, -1, -1, 829, 829, -1, 
	-1, 829, 829, 829, -1, 829, 829, -1, 
	-1, 829, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 829, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 829, 829, 829, 829, 829, 829, 829, 
	829, -1, 829, 829, 829, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 829, 829, 829, 829, 829, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 829, -1, 829, -1, -1, 829, 
	-1, -1, -1, 852, 852, 852, 852, 852, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	852, 852, 852, -1, 852, 852, 852, 852, 
	852, 852, 852, 852, -1, -1, -1, 852, 
	852, 852, 852, 852, -1, 852, -1, 852, 
	852, 852, 852, -1, 852, -1, 852, 852, 
	852, -1, 852, 852, -1, -1, 852, 852, 
	852, 852, 852, 852, 852, 852, -1, 852, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	-1, 852, 852, 852, 852, -1, -1, -1, 
	-1, -1, -1, -1, 852, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 852, 852, 852, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 829, 852, 852, 852, 852, 
	-1, -1, 852, 852, 852, 852, 852, 852, 
	-1, -1, -1, -1, 852, 852, 852, 852, 
	852, 852, 852, -1, -1, -1, -1, 852, 
	-1, -1, -1, -1, 852, 852, -1, -1, 
	852, 852, 852, -1, 852, 852, -1, -1, 
	852, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 852, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	-1, 852, 852, 852, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 852, 852, 852, 852, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 852, -1, 852, -1, -1, 852, -1, 
	-1, -1, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, -1, 963, 963, 
	963, 963, 963, -1, 963, -1, 963, 963, 
	963, 963, -1, 963, -1, 963, 963, 963, 
	-1, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, -1, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, -1, 963, -1, 
	-1, -1, -1, 963, 963, 963, 963, 963, 
	-1, -1, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, -1, -1, -1, -1, -1, 963, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 963, 963, 963, 963, -1, 
	-1, 963, 963, 963, 963, 963, 963, -1, 
	-1, -1, -1, 963, 963, 963, 963, 963, 
	963, 963, -1, -1, -1, -1, 963, -1, 
	-1, -1, -1, 963, 963, -1, -1, 963, 
	963, 963, -1, 963, 963, -1, -1, 963, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	963, 963, 963, 963, 963, 963, 963, -1, 
	-1, -1, 963, 963, 963, -1, -1, 963, 
	963, 963, 963, 963, 963, 963, 963, -1, 
	963, 963, 963, -1, -1, -1, 963, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 963, 963, -1, -1, 963, -1, -1, 
	-1, -1, 963, -1, -1, -1, -1, 963, 
	-1, 963, 963, 963, 963, 963, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	963, -1, 963, -1, -1, 963, -1, 963, 
	963, -1, -1, -1, 963, -1, 963, -1, 
	963, 878, 878, 878, 878, 878, 878, 878, 
	878, 878, 878, 878, 878, 878, 878, 878, 
	878, -1, 878, 878, 878, 878, 878, 878, 
	878, 878, -1, -1, -1, 878, 878, 878, 
	878, 878, -1, 878, -1, 878, 878, 878, 
	878, -1, 878, -1, 878, 878, 878, -1, 
	878, 878, -1, -1, 878, 878, 878, 878, 
	878, 878, 878, 878, -1, 878, 878, 878, 
	878, 878, 878, 878, 878, 878, -1, 878, 
	878, 878, 878, -1, 615, -1, -1, -1, 
	-1, -1, 878, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	878, 878, 878, 878, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 963, -1, -1, -1, -1, -1, -1, 
	-1, -1, 878, 878, 878, 878, -1, -1, 
	878, 878, 878, 878, 878, 878, -1, -1, 
	-1, -1, 878, 878, 878, 878, 878, 878, 
	878, -1, -1, -1, -1, 878, -1, -1, 
	-1, -1, 878, 878, -1, -1, 878, 878, 
	878, -1, 878, 878, -1, -1, 878, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 878, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 878, 878, 
	878, 878, 878, 878, 878, 878, -1, 878, 
	878, 878, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	878, 878, 878, 878, 878, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 878, 
	-1, 878, -1, -1, 878, -1, -1, -1, 
	904, 904, 904, 904, 904, 904, 904, 904, 
	904, 904, 904, 904, 904, 904, 904, 904, 
	-1, 904, 904, 904, 904, 904, 904, 904, 
	904, -1, -1, -1, 904, 904, 904, 904, 
	904, -1, 904, -1, 904, 904, 904, 904, 
	-1, 904, -1, 904, 904, 904, -1, 904, 
	904, -1, -1, 904, 904, 904, 904, 904, 
	904, 904, 904, -1, 904, 904, 904, 904, 
	904, 904, 904, 904, 904, -1, 904, 904, 
	904, 904, -1, 904, -1, -1, -1, -1, 
	-1, 904, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 904, 
	904, 904, 904, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	878, 904, 904, 904, 904, -1, -1, 904, 
	904, 904, 904, 904, 904, -1, -1, -1, 
	-1, 904, 904, 904, 904, 904, 904, 904, 
	-1, -1, -1, -1, 904, -1, -1, -1, 
	-1, 904, 904, -1, -1, 904, 904, 904, 
	-1, 904, 904, -1, -1, 904, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 904, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 904, 904, 904, 
	904, 904, 904, 904, 904, -1, 904, 904, 
	904, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 904, 
	904, 904, 904, 904, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 904, -1, 
	904, -1, -1, 904, -1, -1, -1, 880, 
	880, 880, 880, 880, 880, 880, 880, 880, 
	880, 880, 880, 880, 880, 880, 880, -1, 
	880, 880, 880, 880, 880, 880, 880, 880, 
	-1, -1, -1, 880, 880, 880, 880, 880, 
	-1, 880, -1, 880, 880, 880, 880, -1, 
	880, -1, 880, 880, 880, -1, 880, 880, 
	-1, -1, 880, 880, 880, 880, 880, 880, 
	880, 880, -1, 880, 880, 880, 880, 880, 
	880, 880, 880, 880, -1, 880, 880, 880, 
	880, -1, -1, -1, -1, -1, -1, -1, 
	880, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 880, 880, 
	880, 880, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 904, 
	880, 880, 880, 880, -1, -1, 880, 880, 
	880, 880, 880, 880, -1, -1, -1, -1, 
	880, 880, 880, 880, 880, 880, 880, -1, 
	-1, -1, -1, 880, -1, -1, -1, -1, 
	880, 880, -1, -1, 880, 880, 880, -1, 
	880, 880, -1, -1, 880, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	880, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 880, 880, 880, 880, 
	880, 880, 880, 880, -1, 880, 880, 880, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 880, 880, 
	880, 880, 880, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 880, -1, 880, 
	-1, -1, 880, -1, -1, -1, 889, 889, 
	889, 889, 889, 889, 889, 889, 889, 889, 
	889, 889, 889, 889, 889, 889, -1, 889, 
	889, 889, 889, 889, 889, 889, 889, -1, 
	-1, -1, 889, 889, 889, 889, 889, -1, 
	889, -1, 889, 889, 889, 889, -1, 889, 
	-1, 889, 889, 889, -1, 889, 889, -1, 
	-1, 889, 889, 889, 889, 889, 889, 889, 
	889, -1, 889, 889, 889, 889, 889, 889, 
	889, 889, 889, -1, 889, 889, 889, 889, 
	-1, -1, -1, -1, -1, -1, -1, 889, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 889, 889, 889, 
	889, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 880, 889, 
	889, 889, 889, -1, -1, 889, 889, 889, 
	889, 889, 889, -1, -1, -1, -1, 889, 
	889, 889, 889, 889, 889, 889, -1, -1, 
	-1, -1, 889, -1, -1, -1, -1, 889, 
	889, -1, -1, 889, 889, 889, -1, 889, 
	889, -1, -1, 889, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 889, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 889, 889, 889, 889, 889, 
	889, 889, 889, -1, 889, 889, 889, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, 889, 889, 889, 
	889, 889, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, -1, 889, -1, 889, -1, 
	-1, 889, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, 1126, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, -1, 971, 971, 971, 971, 971, 
	-1, 971, -1, 971, 971, 971, 971, -1, 
	971, -1, 971, 971, 971, -1, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, -1, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, -1, 971, -1, -1, -1, -1, 
	971, 971, 971, 971, 971, 889, -1, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, -1, -1, 
	-1, -1, -1, 971, -1, -1, -1, 549, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, 548, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	971, 971, 971, 971, -1, 639, 971, 971, 
	971, 971, 971, 971, -1, -1, -1, -1, 
	971, 971, 971, 971, 971, 971, 971, -1, 
	-1, -1, -1, 971, -1, -1, -1, -1, 
	971, 971, -1, -1, 971, 971, 971, -1, 
	971, 971, -1, -1, 971, -1, -1, -1, 
	-1, -1, -1, -1, -1, 971, 971, 971, 
	971, 971, 971, 971, -1, -1, -1, 971, 
	971, 971, -1, -1, 971, 971, 971, 971, 
	971, 971, 971, 971, -1, 971, 971, 971, 
	-1, -1, -1, 971, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 971, 971, 
	-1, -1, 971, -1, -1, -1, -1, 971, 
	-1, -1, -1, -1, 971, -1, 971, 971, 
	971, 971, 971, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 971, -1, 971, 
	-1, -1, 971, -1, 971, 971, -1, -1, 
	-1, 971, -1, 971, -1, 971, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, -1, 974, 974, 974, 974, 974, -1, 
	974, -1, 974, 974, 974, 974, -1, 974, 
	-1, 974, 974, 974, -1, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, -1, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, -1, 974, -1, -1, -1, -1, 974, 
	974, 974, 974, 974, -1, -1, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, -1, -1, 
	-1, -1, 974, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 971, -1, 
	-1, -1, -1, -1, -1, -1, -1, 974, 
	974, 974, 974, -1, -1, 974, 974, 974, 
	974, 974, 974, -1, -1, -1, -1, 974, 
	974, 974, 974, 974, 974, 974, -1, -1, 
	-1, -1, 974, -1, -1, -1, -1, 974, 
	974, -1, -1, 974, 974, 974, -1, 974, 
	974, -1, -1, 974, -1, -1, -1, -1, 
	-1, -1, -1, -1, 974, 974, 974, 974, 
	974, 974, 974, -1, -1, -1, 974, 974, 
	974, -1, -1, 974, 974, 974, 974, 974, 
	974, 974, 974, -1, 974, 974, 974, -1, 
	-1, -1, 974, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 974, 974, -1, 
	-1, 974, -1, -1, -1, -1, 974, -1, 
	-1, -1, -1, 974, -1, 974, 974, 974, 
	974, 974, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 974, -1, 974, -1, 
	-1, 974, -1, 974, 974, -1, -1, -1, 
	974, -1, 974, -1, 974, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 549, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, 548, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 639, -1, -1, -1, 974, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, -1, 972, 972, 972, 972, 972, -1, 
	972, -1, 972, 972, 972, 972, -1, 972, 
	-1, 972, 972, 972, -1, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, -1, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, -1, 972, -1, -1, -1, -1, 972, 
	972, 972, 972, 972, -1, -1, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, -1, -1, -1, 
	-1, -1, 972, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 972, 
	972, 972, 972, -1, -1, 972, 972, 972, 
	972, 972, 972, -1, -1, -1, -1, 972, 
	972, 972, 972, 972, 972, 972, -1, -1, 
	-1, -1, 972, -1, -1, -1, -1, 972, 
	972, -1, -1, 972, 972, 972, -1, 972, 
	972, -1, -1, 972, -1, -1, -1, -1, 
	-1, -1, -1, -1, 972, 972, 972, 972, 
	972, 972, 972, -1, -1, -1, 972, 972, 
	972, -1, -1, 972, 972, 972, 972, 972, 
	972, 972, 972, -1, 972, 972, 972, -1, 
	-1, -1, 972, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 972, 972, -1, 
	-1, 972, -1, -1, -1, -1, 972, -1, 
	-1, -1, -1, 972, -1, 972, 972, 972, 
	972, 972, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 972, -1, 972, -1, 
	-1, 972, -1, 972, 972, -1, -1, -1, 
	972, -1, 972, -1, 972, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	-1, 973, 973, 973, 973, 973, -1, 973, 
	-1, 973, 973, 973, 973, -1, 973, -1, 
	973, 973, 973, -1, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	-1, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	-1, 973, -1, -1, -1, -1, 973, 973, 
	973, 973, 973, -1, -1, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, -1, -1, -1, -1, 
	-1, 973, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 972, -1, -1, 
	-1, -1, -1, -1, -1, -1, 973, 973, 
	973, 973, -1, -1, 973, 973, 973, 973, 
	973, 973, -1, -1, -1, -1, 973, 973, 
	973, 973, 973, 973, 973, -1, -1, -1, 
	-1, 973, -1, -1, -1, -1, 973, 973, 
	-1, -1, 973, 973, 973, -1, 973, 973, 
	-1, -1, 973, -1, -1, -1, -1, -1, 
	-1, -1, -1, 973, 973, 973, 973, 973, 
	973, 973, -1, -1, -1, 973, 973, 973, 
	-1, -1, 973, 973, 973, 973, 973, 973, 
	973, 973, -1, 973, 973, 973, -1, -1, 
	-1, 973, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 973, 973, -1, -1, 
	973, -1, -1, -1, -1, 973, -1, -1, 
	-1, -1, 973, -1, 973, 973, 973, 973, 
	973, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 973, -1, 973, -1, -1, 
	973, -1, 973, 973, -1, -1, -1, 973, 
	-1, 973, -1, 973, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, -1, 
	975, 975, 975, 975, 975, -1, 975, -1, 
	975, 975, 975, 975, -1, 975, -1, 975, 
	975, 975, -1, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, -1, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, -1, 
	975, -1, -1, -1, -1, 975, 975, 975, 
	975, 975, -1, -1, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, -1, -1, -1, -1, -1, 
	975, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 973, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, 975, 975, 
	975, -1, -1, 975, 975, 975, 975, 975, 
	975, -1, -1, -1, -1, 975, 975, 975, 
	975, 975, 975, 975, -1, -1, -1, -1, 
	975, -1, -1, -1, -1, 975, 975, -1, 
	-1, 975, 975, 975, -1, 975, 975, -1, 
	-1, 975, -1, -1, -1, -1, -1, -1, 
	-1, -1, 975, 975, 975, 975, 975, 975, 
	975, -1, -1, -1, 975, 975, 975, -1, 
	-1, 975, 975, 975, 975, 975, 975, 975, 
	975, -1, 975, 975, 975, -1, -1, -1, 
	975, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 975, 975, -1, -1, 975, 
	-1, -1, -1, -1, 975, -1, -1, -1, 
	-1, 975, -1, 975, 975, 975, 975, 975, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 975, -1, 975, -1, -1, 975, 
	-1, 975, 975, -1, -1, -1, 975, -1, 
	975, -1, 975, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, 1042, 
	1042, 1042, 1042, 1042, -1, 1042, -1, 1042, 
	1042, 1042, 1042, -1, 1042, -1, 1042, 1042, 
	1042, -1, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, -1, 1042, 
	-1, -1, -1, -1, 1042, 1042, 1042, 1042, 
	1042, -1, -1, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	1042, 1042, -1, -1, -1, -1, -1, 1042, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 975, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1042, 1042, 1042, 1042, 
	-1, -1, 1042, 1042, 1042, 1042, 1042, 1042, 
	-1, -1, -1, -1, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, -1, -1, -1, -1, 1042, 
	-1, -1, -1, -1, 1042, 1042, -1, -1, 
	1042, 1042, 1042, -1, 1042, 1042, -1, -1, 
	1042, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	-1, -1, -1, 1042, 1042, 1042, -1, -1, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, 1042, 
	-1, 1042, 1042, 1042, -1, -1, -1, 1042, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1042, 1042, -1, -1, 1042, -1, 
	-1, -1, -1, 1042, -1, -1, -1, -1, 
	1042, -1, 1042, 1042, 1042, 1042, 1042, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1042, -1, 1042, -1, -1, 1042, -1, 
	1042, 1042, -1, -1, -1, 1042, -1, 1042, 
	-1, 1042, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, -1, 1041, 1041, 
	1041, 1041, 1041, -1, 1041, -1, 1041, 1041, 
	1041, 1041, -1, 1041, -1, 1041, 1041, 1041, 
	-1, 1041, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, -1, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, 1041, 
	558, 560, 562, 564, 1041, -1, 1041, -1, 
	-1, -1, -1, 1041, 1041, 1041, 1041, 1041, 
	-1, -1, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, -1, -1, -1, -1, -1, 1041, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1042, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1041, 1041, 1041, 1041, -1, 
	-1, 1041, 1041, 1041, 1041, 1041, 1041, -1, 
	-1, -1, -1, 1041, 1041, 1041, 1041, 1041, 
	1041, 1041, -1, -1, -1, -1, 1041, -1, 
	-1, -1, -1, 1041, 1041, -1, -1, 1041, 
	1041, 1041, -1, 1041, 1041, -1, -1, 1041, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, -1, 
	-1, -1, 1041, 1041, 1041, -1, -1, 1041, 
	1041, 1041, 1041, 1041, 1041, 1041, 1041, -1, 
	1041, 1041, 1041, -1, -1, -1, 1041, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1041, 1041, -1, -1, 1041, -1, 556, 
	651, -1, 1041, -1, -1, -1, -1, 1041, 
	-1, 1041, 1041, 1041, 1041, 1041, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1041, -1, 1041, -1, -1, 1041, -1, 1041, 
	1041, -1, -1, -1, 1041, -1, 1041, -1, 
	1041, 1027, 1027, 1027, 1027, 1027, 1027, -1, 
	1027, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1027, -1, -1, -1, 1027, -1, 
	-1, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, -1, 1027, 1027, 1027, -1, -1, 
	-1, -1, 1143, 1027, 1026, 1143, 1143, 1143, 
	1027, 1134, -1, -1, -1, -1, -1, -1, 
	1027, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, -1, 1019, 
	1019, 1019, 1019, 1019, -1, 1019, -1, 1019, 
	1019, 1019, 1019, -1, 1019, -1, 1019, 1019, 
	1019, 1041, 1019, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, -1, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, -1, 1019, 
	-1, -1, -1, -1, 1019, 1019, 1019, 1019, 
	1019, -1, -1, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	1019, 1019, -1, -1, -1, -1, -1, 1019, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, 1143, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 649, 650, 
	-1, -1, 648, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1019, 1019, 1019, 1019, 
	-1, -1, 1019, 1019, 1019, 1019, 1019, 1019, 
	-1, 647, -1, -1, 1019, 1019, 1019, 1019, 
	1019, 1019, 1019, -1, -1, -1, -1, 1019, 
	-1, -1, -1, -1, 1019, 1019, -1, -1, 
	1019, 1019, 1019, -1, 1019, 1019, -1, -1, 
	1019, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	-1, -1, -1, 1019, 1019, 1019, 1019, -1, 
	1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
	-1, 1019, 1019, 1019, -1, -1, -1, 1019, 
	-1, -1, -1, -1, -1, -1, -1, 1019, 
	-1, -1, 1019, 1019, -1, -1, 1019, -1, 
	-1, -1, -1, 1019, -1, -1, -1, -1, 
	1019, -1, 1019, 1019, 1019, 1019, 1019, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1019, -1, 1019, -1, -1, 1019, -1, 
	1019, 1019, -1, -1, -1, 1019, -1, 1019, 
	-1, 1019, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, -1, 1020, 1020, 
	1020, 1020, 1020, -1, 1020, -1, 1020, 1020, 
	1020, 1020, -1, 1020, -1, 1020, 1020, 1020, 
	-1, 1020, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, -1, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, -1, 1020, -1, 
	-1, -1, -1, 1020, 1020, 1020, 1020, 1020, 
	-1, -1, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, 1020, 
	1020, -1, -1, -1, -1, -1, 1020, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 556, 651, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1019, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1020, 1020, 1020, 1020, -1, 
	-1, 1020, 1020, 1020, 1020, 1020, 1020, -1, 
	-1, -1, -1, 1020, 1020, 1020, 1020, 1020, 
	1020, 1020, -1, -1, -1, -1, 1020, -1, 
	-1, -1, -1, 1020, 1020, -1, -1, 1020, 
	1020, 1020, -1, 1020, 1020, -1, -1, 1020, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, -1, 
	-1, -1, 1020, 1020, 1020, 1020, -1, 1020, 
	1020, 1020, 1020, 1020, 1020, 1020, 1020, -1, 
	1020, 1020, 1020, -1, -1, -1, 1020, -1, 
	-1, -1, -1, -1, -1, -1, 1020, -1, 
	-1, 1020, 1020, -1, -1, 1020, -1, -1, 
	-1, -1, 1020, -1, -1, -1, -1, 1020, 
	-1, 1020, 1020, 1020, 1020, 1020, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1020, -1, 1020, -1, -1, 1020, -1, 1020, 
	1020, -1, -1, -1, 1020, -1, 1020, -1, 
	1020, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, -1, 1021, 1021, 1021, 
	1021, 1021, -1, 1021, -1, 1021, 1021, 1021, 
	1021, -1, 1021, -1, 1021, 1021, 1021, -1, 
	1021, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, -1, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, -1, 1021, -1, -1, 
	-1, -1, 1021, 1021, 1021, 1021, 1021, -1, 
	-1, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, 1021, 1021, 
	-1, -1, -1, -1, -1, 1021, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 649, 650, -1, -1, 648, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1020, -1, -1, -1, 647, -1, -1, 
	-1, -1, 1021, 1021, 1021, 1021, -1, -1, 
	1021, 1021, 1021, 1021, 1021, 1021, -1, -1, 
	-1, -1, 1021, 1021, 1021, 1021, 1021, 1021, 
	1021, -1, -1, -1, -1, 1021, -1, -1, 
	-1, -1, 1021, 1021, -1, -1, 1021, 1021, 
	1021, -1, 1021, 1021, -1, -1, 1021, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, -1, -1, 
	-1, 1021, 1021, 1021, 1021, -1, 1021, 1021, 
	1021, 1021, 1021, 1021, 1021, 1021, -1, 1021, 
	1021, 1021, -1, -1, -1, 1021, -1, -1, 
	-1, -1, -1, -1, -1, 1021, -1, -1, 
	1021, 1021, -1, -1, 1021, -1, -1, -1, 
	-1, 1021, -1, -1, -1, -1, 1021, -1, 
	1021, 1021, 1021, 1021, 1021, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1021, 
	-1, 1021, -1, -1, 1021, -1, 1021, 1021, 
	-1, -1, -1, 1021, -1, 1021, -1, 1021, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, -1, 1022, 1022, 1022, 1022, 
	1022, -1, 1022, -1, 1022, 1022, 1022, 1022, 
	-1, 1022, -1, 1022, 1022, 1022, -1, 1022, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, -1, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, -1, 1022, -1, -1, -1, 
	-1, 1022, 1022, 1022, 1022, 1022, -1, -1, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, 1022, 1022, -1, 
	-1, -1, -1, -1, 1022, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1021, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1022, 1022, 1022, 1022, -1, -1, 1022, 
	1022, 1022, 1022, 1022, 1022, -1, -1, -1, 
	-1, 1022, 1022, 1022, 1022, 1022, 1022, 1022, 
	-1, -1, -1, -1, 1022, -1, -1, -1, 
	-1, 1022, 1022, -1, -1, 1022, 1022, 1022, 
	-1, 1022, 1022, -1, -1, 1022, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, -1, -1, -1, 
	1022, 1022, 1022, 1022, -1, 1022, 1022, 1022, 
	1022, 1022, 1022, 1022, 1022, -1, 1022, 1022, 
	1022, -1, -1, -1, 1022, -1, -1, -1, 
	-1, -1, -1, -1, 1022, -1, -1, 1022, 
	1022, -1, -1, 1022, -1, -1, -1, -1, 
	1022, -1, -1, -1, -1, 1022, -1, 1022, 
	1022, 1022, 1022, 1022, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1022, -1, 
	1022, -1, -1, 1022, -1, 1022, 1022, -1, 
	-1, -1, 1022, -1, 1022, -1, 1022, 1028, 
	1028, 1028, 1028, 1028, 1028, -1, 1028, 1028, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1028, 1028, 1028, 1028, 1028, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1028, -1, -1, -1, 1028, -1, -1, -1, 
	1028, 1028, 1028, 1028, 1028, -1, -1, -1, 
	-1, 1028, 1028, 1028, -1, -1, -1, -1, 
	1147, 1028, -1, 1028, 1028, 1028, 1028, -1, 
	-1, -1, -1, -1, -1, -1, 1028, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, 1028, 1028, 1028, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, -1, 922, 922, 922, 
	922, 922, -1, 922, -1, 922, 922, 922, 
	922, -1, 922, -1, 922, 922, 922, 1022, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, -1, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, -1, 922, 
	922, 922, 922, -1, -1, -1, -1, -1, 
	-1, -1, 922, -1, -1, 922, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	922, 922, 922, 922, -1, -1, -1, -1, 
	-1, -1, -1, -1, 662, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1028, 1028, 1028, 
	1028, 1028, -1, 1028, 1028, 1144, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 663, 664, 665, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, 1028, 1028, 1144, 
	1144, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 922, 922, 922, 922, -1, -1, 
	922, 922, -1, 922, 922, 922, -1, -1, 
	-1, -1, 922, 922, 922, -1, 922, 922, 
	922, -1, -1, -1, -1, 922, -1, -1, 
	-1, -1, 922, -1, -1, -1, 922, 922, 
	922, -1, 922, 922, -1, -1, 922, -1, 
	-1, -1, -1, -1, -1, -1, -1, 922, 
	922, 922, 922, 922, 922, 922, -1, -1, 
	-1, -1, 922, 922, -1, -1, 922, 922, 
	922, 922, 922, 922, 922, 922, -1, 922, 
	922, 922, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	922, 922, 922, 922, 922, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 922, 
	-1, -1, -1, -1, -1, -1, 922, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, -1, 83, 84, -1, -1, 36, 37, 
	41, 39, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, 42, 43, 
	44, -1, -1, -1, 97, -1, -1, -1, 
	98, 38, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 62, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, 304, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, 76, -1, -1, 212, 213, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	-1, 913, 913, 913, 913, 913, -1, 913, 
	-1, 913, 913, 913, 913, -1, 913, -1, 
	913, 913, 913, -1, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	922, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, -1, 913, 913, 913, 913, -1, 
	-1, -1, -1, -1, -1, -1, 913, -1, 
	-1, 913, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 913, 913, 913, 913, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 305, -1, -1, -1, -1, -1, 
	-1, 666, -1, -1, -1, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, 993, -1, 913, 913, 
	913, 913, -1, -1, 913, 913, -1, 913, 
	913, 913, -1, -1, -1, -1, 913, 913, 
	913, -1, 913, 913, 913, -1, -1, -1, 
	-1, 913, -1, -1, -1, -1, 913, -1, 
	-1, -1, 913, 913, 913, -1, 913, 913, 
	-1, -1, 913, -1, -1, -1, -1, -1, 
	-1, -1, -1, 913, 913, 913, 913, 913, 
	913, 913, -1, -1, -1, -1, 913, 913, 
	-1, -1, 913, 913, 913, 913, 913, 913, 
	913, 913, -1, 913, 913, 913, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 913, 913, 913, 913, 
	913, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 913, -1, -1, -1, -1, 
	662, -1, 913, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	663, 664, 665, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, -1, 910, 
	910, 910, 910, 910, -1, 910, -1, 910, 
	910, 910, 910, -1, 910, -1, 910, 910, 
	910, -1, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, -1, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	-1, 910, 910, 910, 910, -1, -1, -1, 
	-1, -1, -1, -1, 910, -1, -1, 910, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 910, 910, 910, 910, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 913, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 910, 910, 910, 910, 
	-1, -1, 910, 910, -1, 910, 910, 910, 
	-1, -1, -1, -1, 910, 910, 910, -1, 
	910, 910, 910, -1, -1, -1, -1, 910, 
	-1, -1, -1, -1, 910, -1, -1, -1, 
	910, 910, 910, -1, 910, 910, -1, -1, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, 910, 910, 910, 910, 910, 910, 910, 
	-1, -1, -1, -1, 910, 910, -1, -1, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	-1, 910, 910, 910, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 910, 910, 910, 910, 910, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 910, -1, -1, -1, -1, -1, -1, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 305, -1, 
	-1, -1, -1, -1, -1, 666, -1, -1, 
	-1, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	-1, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, 983, 983, 
	983, 983, 910, 983, -1, 983, 983, 983, 
	983, -1, 983, -1, 983, 983, 983, -1, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, -1, 983, -1, -1, 
	-1, -1, 983, 983, 983, 983, 983, -1, 
	-1, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	-1, -1, -1, -1, -1, 983, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 983, 983, 983, 983, -1, -1, 
	983, 983, 983, 983, 983, 983, -1, -1, 
	-1, -1, 983, 983, 983, 983, 983, 983, 
	983, -1, -1, -1, -1, 983, -1, -1, 
	-1, -1, 983, 983, -1, -1, 983, 983, 
	983, -1, 983, 983, -1, -1, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, 983, 
	983, 983, 983, 983, 983, 983, -1, -1, 
	-1, 983, 983, 983, -1, -1, 983, 983, 
	983, 983, 983, 983, 983, 983, -1, 983, 
	983, 983, -1, -1, -1, 983, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, 983, -1, -1, 983, -1, -1, -1, 
	-1, 983, -1, -1, -1, -1, 983, -1, 
	983, 983, 983, 983, 983, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 983, 
	-1, 983, -1, -1, 983, -1, 983, 983, 
	-1, -1, -1, 983, -1, 983, -1, 983, 
	756, 756, 756, 756, 756, 756, 756, 756, 
	756, 756, 756, 756, 756, 756, 756, 756, 
	756, 756, 756, 756, 756, 756, 756, 756, 
	756, 756, 756, -1, 756, 756, 756, 756, 
	756, -1, 756, -1, 756, 756, 756, 756, 
	-1, 756, -1, 756, 756, 756, -1, 756, 
	756, 756, 756, 756, 756, 756, 756, 756, 
	756, 756, 756, -1, 756, 756, 756, 756, 
	756, 756, 756, 756, 756, -1, 756, 756, 
	756, 756, -1, -1, -1, -1, -1, -1, 
	-1, 756, -1, -1, 756, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 756, 
	756, 756, 756, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, -1, -1, -1, -1, -1, -1, -1, 
	-1, 756, 756, 756, 756, -1, -1, 756, 
	756, -1, 756, 756, 756, -1, -1, -1, 
	-1, 756, 756, 756, -1, 756, 756, 756, 
	-1, -1, -1, -1, 756, -1, -1, -1, 
	-1, 756, -1, -1, -1, 756, 756, 756, 
	-1, 756, 756, -1, -1, 756, -1, -1, 
	-1, -1, -1, -1, -1, -1, 756, 756, 
	756, 756, 756, 756, 756, -1, -1, -1, 
	-1, 756, 756, -1, -1, 756, 756, 756, 
	756, 756, 756, 756, 756, -1, 756, 756, 
	756, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 756, 
	756, 756, 756, 756, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 756, -1, 
	-1, -1, -1, -1, -1, 756, -1, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, -1, 909, 909, 909, 909, 909, 
	-1, 909, -1, 909, 909, 909, 909, -1, 
	909, -1, 909, 909, 909, -1, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, -1, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, -1, 909, 909, 909, 
	909, -1, -1, -1, -1, -1, -1, -1, 
	909, -1, -1, 909, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, 909, 
	909, 909, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 756, 
	909, 909, 909, 909, -1, -1, 909, 909, 
	-1, 909, 909, 909, -1, -1, -1, -1, 
	909, 909, 909, -1, 909, 909, 909, -1, 
	-1, -1, -1, 909, -1, -1, -1, -1, 
	909, -1, -1, -1, 909, 909, 909, -1, 
	909, 909, -1, -1, 909, -1, -1, -1, 
	-1, -1, -1, -1, -1, 909, 909, 909, 
	909, 909, 909, 909, -1, -1, -1, -1, 
	909, 909, -1, -1, 909, 909, 909, 909, 
	909, 909, 909, 909, -1, 909, 909, 909, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, 909, 
	909, 909, 909, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 909, -1, -1, 
	-1, -1, -1, -1, 909, -1, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, -1, 859, 
	859, 859, 859, 859, 859, 859, 859, -1, 
	-1, -1, 859, 859, 859, 859, 859, -1, 
	859, -1, 859, 859, 859, 859, -1, 859, 
	-1, 859, 859, 859, -1, 859, 859, -1, 
	-1, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	-1, -1, -1, -1, -1, -1, -1, 859, 
	-1, 859, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 859, 859, 859, 
	859, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, 859, 
	859, 859, 859, -1, -1, 859, 859, 859, 
	859, 859, 859, -1, -1, -1, -1, 859, 
	859, 859, 859, 859, 859, 859, -1, 859, 
	859, -1, 859, -1, -1, -1, -1, 859, 
	859, -1, -1, 859, 859, 859, -1, 859, 
	859, 859, -1, 859, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 859, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 859, 859, 859, 859, 859, 
	859, 859, 859, -1, 859, 859, 859, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1056, 1056, 1056, 1056, 1056, 1056, -1, 
	1056, 1056, -1, -1, -1, 859, 859, 859, 
	859, 859, -1, 1056, 1056, 1056, 1056, 1056, 
	-1, -1, -1, -1, 859, -1, 859, -1, 
	-1, 859, 1056, -1, -1, -1, 1056, -1, 
	-1, -1, 1056, 1056, 1056, 1056, 1056, -1, 
	-1, -1, -1, 1056, 1056, 1056, -1, -1, 
	-1, -1, 1056, 1056, -1, 1056, 1056, 1056, 
	1056, 1056, -1, -1, -1, -1, -1, -1, 
	1056, 1057, 1057, 1057, 1057, 1057, 1057, -1, 
	1057, 1057, -1, -1, -1, -1, 1056, 1056, 
	1056, 1056, -1, 1057, 1057, 1057, 1057, 1057, 
	-1, -1, -1, 1056, -1, -1, -1, -1, 
	-1, -1, 1057, -1, -1, -1, 1057, -1, 
	-1, -1, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, -1, 1057, 1057, 1057, -1, -1, 
	-1, -1, 1057, 1057, -1, 1057, 1057, 1057, 
	1057, 1057, -1, -1, -1, -1, -1, -1, 
	1057, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1057, 1057, 
	1057, 1057, -1, -1, -1, 1058, 1058, 1058, 
	1058, 1058, 1058, 1057, 1058, 1058, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1058, 
	1058, 1058, 1058, 1058, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1058, -1, 
	-1, -1, 1058, -1, -1, 859, 1058, 1058, 
	1058, 1058, 1058, -1, -1, -1, -1, 1058, 
	1058, 1058, -1, -1, -1, -1, 1058, 1058, 
	-1, 1058, 1058, 1058, 1058, 1058, -1, 1056, 
	1056, 1056, 1056, 1056, 1058, 1056, 1056, 1056, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1058, 1058, 1058, 1058, 1056, 1056, 
	-1, -1, -1, -1, -1, -1, -1, 1058, 
	-1, -1, -1, -1, 1056, -1, 1056, 1056, 
	1056, 1056, 1056, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1056, -1, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, 1057, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1057, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1057, -1, 1057, 1057, 
	1057, 1057, 1057, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1057, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1058, 1058, 1058, 1058, 1058, 
	-1, 1058, 1058, 1058, -1, -1, 1043, 1043, 
	1043, 1043, 1043, 1043, -1, 1043, 1043, -1, 
	-1, -1, 1058, 1058, -1, -1, -1, -1, 
	1043, 1043, 1043, 1043, 1043, -1, -1, -1, 
	1058, -1, 1058, 1058, 1058, 1058, 1058, 1043, 
	-1, -1, -1, 1043, -1, -1, -1, 1043, 
	1043, 1043, 1043, 1043, -1, -1, -1, -1, 
	1043, 1043, 1043, -1, -1, -1, -1, 1043, 
	1043, 1058, 1043, 1043, 1043, 1043, 1043, -1, 
	-1, -1, -1, -1, -1, 1043, 1044, 1044, 
	1044, 1044, 1044, 1044, -1, 1044, 1044, -1, 
	-1, -1, -1, 1043, 1043, 1043, 1043, -1, 
	1044, 1044, 1044, 1044, 1044, -1, -1, -1, 
	1043, -1, -1, -1, -1, -1, -1, 1044, 
	-1, -1, -1, 1044, -1, -1, -1, 1044, 
	1044, 1044, 1044, 1044, -1, -1, -1, -1, 
	1044, 1044, 1044, -1, -1, -1, -1, 1044, 
	1044, -1, 1044, 1044, 1044, 1044, 1044, -1, 
	-1, -1, -1, -1, -1, 1044, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1044, 1044, 1044, 1044, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1044, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1043, 1043, 1043, 1043, 
	1043, -1, 1043, 1043, 1043, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1043, 1043, -1, -1, -1, 
	-1, -1, -1, -1, 1043, -1, -1, -1, 
	-1, -1, -1, 1043, 1043, 1043, 1043, 1043, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1043, -1, -1, -1, 1044, 1044, 1044, 1044, 
	1044, -1, 1044, 1044, 1044, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1044, 1044, -1, -1, -1, 
	-1, -1, -1, -1, 1044, -1, -1, -1, 
	-1, -1, -1, 1044, 1044, 1044, 1044, 1044, 
	1045, 1045, 1045, 1045, 1045, 1045, -1, 1045, 
	1045, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1045, 1045, 1045, 1045, 1045, -1, 
	1044, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1045, -1, -1, -1, 1045, -1, -1, 
	-1, 1045, 1045, 1045, 1045, 1045, -1, -1, 
	-1, -1, 1045, 1045, 1045, -1, -1, -1, 
	-1, 1045, 1045, -1, 1045, 1045, 1045, 1045, 
	1045, -1, -1, -1, -1, -1, -1, 1045, 
	1027, 1027, 1027, 1027, 1027, 1027, -1, 1027, 
	1027, -1, -1, -1, -1, 1045, 1045, 1045, 
	1045, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, 1045, -1, -1, -1, -1, -1, 
	-1, 1027, -1, -1, -1, 1027, -1, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, -1, -1, 
	-1, -1, 1027, 1027, 1027, -1, -1, -1, 
	-1, 1143, 1027, 1026, 1143, 1143, 1143, 1027, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1027, 1027, 1027, 
	1027, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1134, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1045, 1045, 
	1045, 1045, 1045, -1, 1045, 1045, 1045, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1045, 1045, -1, 
	-1, -1, -1, -1, -1, -1, 1045, -1, 
	-1, -1, -1, -1, -1, 1045, 1045, 1045, 
	1045, 1045, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1045, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, -1, 1027, 1027, 1143, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, -1, 
	1027, 1027, -1, -1, -1, 649, 650, -1, 
	-1, 648, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, 1027, 1027, 1027, 
	1027, 1027, 1027, -1, -1, -1, 1027, -1, 
	-1, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, -1, 1027, 1027, 1027, -1, -1, 
	687, -1, 1143, 1027, 1026, 1143, 1143, 1143, 
	1027, 1134, -1, -1, -1, -1, -1, -1, 
	1027, 85, 88, 86, 87, 89, 90, -1, 
	83, 84, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, -1, 104, 106, 110, 108, 112, 
	-1, -1, -1, 1134, -1, -1, -1, -1, 
	-1, -1, 97, -1, -1, -1, 98, -1, 
	-1, -1, 100, 102, 95, 94, 96, -1, 
	-1, -1, -1, 79, 80, 81, -1, -1, 
	-1, -1, 993, 78, -1, 116, 118, 120, 
	122, -1, -1, -1, -1, -1, -1, -1, 
	82, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 73, 74, 
	75, 76, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, 1143, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 649, 650, 
	-1, -1, 648, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1027, 1027, 
	1027, 1027, 1027, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 697, -1, -1, -1, -1, -1, 696, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, 993, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, -1, 1040, 
	1040, 1040, 1040, 1040, -1, 1040, -1, 1040, 
	1040, 1040, 1040, -1, 1040, -1, 1040, 1040, 
	1040, -1, 1040, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, -1, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, -1, 1040, 
	-1, -1, -1, -1, 1040, 1040, 1040, 1040, 
	1040, -1, -1, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	1040, 1040, -1, -1, -1, -1, -1, 1040, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1040, 1040, 1040, 1040, 
	-1, -1, 1040, 1040, 1040, 1040, 1040, 1040, 
	-1, -1, -1, -1, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, -1, -1, -1, -1, 1040, 
	-1, -1, -1, -1, 1040, 1040, -1, -1, 
	1040, 1040, 1040, -1, 1040, 1040, -1, -1, 
	1040, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	-1, -1, -1, 1040, 1040, 1040, -1, -1, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, 1040, 
	-1, 1040, 1040, 1040, -1, -1, -1, 1040, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1040, 1040, -1, -1, 1040, -1, 
	-1, 649, 650, 1040, -1, 648, -1, -1, 
	1040, -1, 1040, 1040, 1040, 1040, 1040, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1040, -1, 1040, -1, -1, 1040, -1, 
	1040, 1040, -1, -1, -1, 1040, -1, 1040, 
	-1, 1040, -1, -1, 687, -1, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	-1, 83, 84, -1, -1, 36, 37, 41, 
	39, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, 42, 43, 44, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	38, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 62, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, 304, 85, 88, 86, 87, 
	89, 90, -1, 83, 84, -1, -1, 73, 
	74, 75, 76, -1, -1, -1, 104, 106, 
	110, 108, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 97, -1, -1, 
	-1, 98, -1, -1, -1, 100, 102, 95, 
	94, 96, -1, -1, -1, -1, 79, 80, 
	81, -1, -1, -1, -1, 993, 78, -1, 
	116, 118, 120, 122, -1, -1, -1, -1, 
	-1, -1, -1, 82, -1, -1, -1, -1, 
	-1, -1, 1040, -1, -1, -1, -1, -1, 
	-1, 73, 74, 75, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 649, 650, -1, -1, 648, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 305, -1, -1, -1, -1, -1, -1, 
	703, -1, -1, -1, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, 697, 77, 92, 
	64, -1, -1, 696, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, 993, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 706, 69, 70, 71, 72, -1, 
	77, 92, 64, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 99, 91, 159, 993, -1, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, -1, 912, 912, 912, 912, 912, 
	-1, 912, -1, 912, 912, 912, 912, -1, 
	912, -1, 912, 912, 912, -1, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, -1, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, -1, 912, 912, 912, 
	912, -1, -1, -1, -1, -1, -1, -1, 
	912, -1, -1, 912, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 912, 912, 
	912, 912, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	912, 912, 912, 912, -1, -1, 912, 912, 
	-1, 912, 912, 912, -1, -1, -1, -1, 
	912, 912, 912, -1, 912, 912, 912, -1, 
	-1, -1, -1, 912, -1, -1, -1, -1, 
	912, -1, -1, -1, 912, 912, 912, -1, 
	912, 912, -1, -1, 912, -1, -1, -1, 
	-1, -1, -1, -1, -1, 912, 912, 912, 
	912, 912, 912, 912, -1, -1, -1, -1, 
	912, 912, -1, -1, 912, 912, 912, 912, 
	912, 912, 912, 912, -1, 912, 912, 912, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 912, 912, 
	912, 912, 912, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 912, -1, -1, 
	-1, -1, -1, -1, 912, 924, 924, 924, 
	924, 924, 924, 924, 924, 924, 924, 924, 
	924, 924, -1, -1, 924, 924, 924, 924, 
	-1, -1, -1, 924, 924, 924, 924, 924, 
	-1, -1, -1, -1, 924, 924, 924, -1, 
	-1, -1, 924, -1, -1, -1, 924, 924, 
	-1, -1, 924, 924, 924, 924, 924, -1, 
	-1, -1, -1, 924, 924, 924, -1, -1, 
	-1, -1, 924, 924, -1, 924, 924, 924, 
	924, -1, -1, -1, -1, -1, -1, -1, 
	924, -1, -1, 924, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 924, 924, 
	924, 924, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 305, 912, -1, 
	-1, -1, -1, -1, 703, -1, -1, -1, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	924, -1, -1, 114, 99, 91, 40, -1, 
	924, 924, 924, -1, 924, 924, 924, 924, 
	924, 924, 924, 924, -1, 924, 924, 924, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 706, 69, 
	70, 71, 72, -1, 77, 92, 64, -1, 
	-1, -1, -1, -1, -1, -1, 924, 924, 
	924, 924, 924, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 924, 114, 99, 91, 
	159, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, -1, 989, -1, 989, 989, 989, 
	989, 989, 989, -1, 989, 989, 989, -1, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, -1, 989, 
	989, 989, 989, -1, -1, -1, 989, -1, 
	-1, -1, 989, 989, -1, 989, -1, -1, 
	989, -1, -1, 989, -1, 989, -1, -1, 
	989, 989, 989, 989, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 989, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 989, 989, 989, 989, -1, -1, 
	989, 989, 989, 989, 989, 989, -1, -1, 
	-1, -1, 989, 989, 989, 989, 989, 989, 
	989, -1, -1, 989, -1, 989, -1, -1, 
	-1, -1, 989, 989, -1, 989, 989, 989, 
	989, -1, 989, 989, -1, -1, 989, -1, 
	-1, -1, -1, -1, 989, -1, 989, 989, 
	989, 989, 989, 989, 989, 989, -1, -1, 
	-1, -1, 989, 989, -1, 989, 989, 989, 
	989, 989, 989, 989, 989, 989, -1, 989, 
	989, 989, -1, -1, 989, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 989, 989, 
	989, -1, -1, 989, 989, 989, -1, -1, 
	989, 989, 989, 989, 989, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 989, 
	-1, 989, -1, -1, 989, 989, 989, -1, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, -1, 991, -1, 991, 991, 991, 991, 
	991, 991, -1, 991, 991, 991, -1, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, -1, 991, 991, 
	991, 991, -1, -1, -1, 991, -1, -1, 
	-1, 991, 991, -1, 991, -1, -1, 991, 
	-1, -1, 991, -1, 991, -1, -1, 991, 
	991, 991, 991, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 991, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 991, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	989, 991, 991, 991, 991, -1, -1, 991, 
	991, 991, 991, 991, 991, -1, -1, -1, 
	-1, 991, 991, 991, 991, 991, 991, 991, 
	-1, -1, 991, -1, 991, -1, -1, -1, 
	-1, 991, 991, -1, 991, 991, 991, 991, 
	-1, 991, 991, -1, -1, 991, -1, -1, 
	-1, -1, -1, 991, -1, 991, 991, 991, 
	991, 991, 991, 991, 991, -1, -1, -1, 
	-1, 991, 991, -1, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, -1, 991, 991, 
	991, -1, -1, 991, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 991, 991, 991, 
	-1, -1, 991, 991, 991, -1, -1, 991, 
	991, 991, 991, 991, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 991, -1, 
	991, -1, -1, 991, 991, 991, 54, 55, 
	56, 57, 85, 88, 86, 87, 89, 90, 
	1124, 83, 84, -1, -1, 36, 37, 41, 
	39, -1, -1, -1, 104, 106, 110, 108, 
	112, -1, -1, -1, -1, 42, 43, 44, 
	-1, -1, -1, 97, -1, -1, -1, 98, 
	38, -1, -1, 100, 102, 95, 94, 96, 
	-1, -1, -1, -1, 79, 80, 81, -1, 
	-1, -1, -1, 62, 78, -1, 116, 118, 
	120, 122, -1, -1, -1, -1, -1, -1, 
	-1, 82, -1, -1, 1124, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 73, 
	74, 75, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 991, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 318, -1, -1, -1, -1, -1, -1, 
	-1, 1124, 1124, 708, -1, 35, 33, 34, 
	58, 69, 70, 71, 72, -1, 77, 92, 
	64, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 114, 
	99, 91, 40, 993, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 317, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, -1, 982, 982, 982, 982, 982, -1, 
	982, -1, 982, 982, 982, 982, -1, 982, 
	-1, 982, 982, 982, -1, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, -1, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, -1, 982, -1, -1, -1, -1, 982, 
	982, 982, 982, 982, -1, -1, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, -1, -1, -1, 
	-1, -1, 982, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 982, 
	982, 982, 982, -1, -1, 982, 982, 982, 
	982, 982, 982, -1, -1, -1, -1, 982, 
	982, 982, 982, 982, 982, 982, -1, -1, 
	-1, -1, 982, -1, -1, -1, -1, 982, 
	982, -1, -1, 982, 982, 982, -1, 982, 
	982, -1, -1, 982, -1, -1, -1, -1, 
	-1, -1, -1, -1, 982, 982, 982, 982, 
	982, 982, 982, -1, -1, -1, 982, 982, 
	982, -1, -1, 982, 982, 982, 982, 982, 
	982, 982, 982, -1, 982, 982, 982, -1, 
	-1, -1, 982, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 982, 982, -1, 
	-1, 982, -1, -1, -1, -1, 982, -1, 
	-1, -1, -1, 982, -1, 982, 982, 982, 
	982, 982, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 982, -1, 982, -1, 
	-1, 982, -1, 982, 982, -1, -1, -1, 
	982, -1, 982, -1, 982, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 899, 899, 
	899, 899, 899, 899, 899, 899, 899, 899, 
	899, 899, 899, 899, 899, 899, -1, 899, 
	899, 899, 899, 899, 899, 899, 899, -1, 
	-1, -1, 899, 899, 899, 899, 899, -1, 
	899, -1, 899, 899, 899, 899, -1, 899, 
	899, 899, 899, 899, -1, 899, 899, -1, 
	-1, 899, 899, 899, 899, 899, 899, 899, 
	899, -1, 899, 899, 899, 899, 899, 899, 
	899, 899, 899, -1, 899, 899, 899, 899, 
	-1, 899, -1, 713, -1, -1, -1, 899, 
	-1, 899, -1, -1, -1, 982, -1, -1, 
	-1, -1, -1, -1, -1, 899, 899, 899, 
	899, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 708, 
	-1, 35, 33, 34, 58, 69, 70, 71, 
	72, -1, 77, 92, 64, -1, -1, 899, 
	899, 899, 899, -1, -1, 899, 899, 899, 
	899, 899, 899, -1, -1, -1, -1, 899, 
	899, 899, 899, 899, 899, 899, -1, -1, 
	-1, -1, 899, 114, 99, 91, 40, 899, 
	899, -1, -1, 899, 899, 899, -1, 899, 
	899, -1, -1, 899, -1, -1, -1, 899, 
	712, 317, 899, -1, -1, -1, -1, 899, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 899, 899, 899, 899, 899, 
	899, 899, 899, -1, 899, 899, 899, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 899, 899, 899, 
	899, 899, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 899, -1, 899, -1, 
	-1, 899, -1, -1, -1, 903, 903, 903, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	903, 903, 903, 903, 903, -1, 903, 903, 
	903, 903, 903, 903, 903, 903, -1, -1, 
	-1, 903, 903, 903, 903, 903, -1, 903, 
	-1, 903, 903, 903, 903, -1, 903, -1, 
	903, 903, 903, -1, 903, 903, -1, -1, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	-1, 903, 903, 903, 903, 903, 903, 903, 
	903, 903, -1, 903, 903, 903, 903, -1, 
	903, -1, -1, -1, -1, -1, 903, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 903, 903, 903, 903, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 899, 903, 903, 
	903, 903, -1, -1, 903, 903, 903, 903, 
	903, 903, -1, -1, -1, -1, 903, 903, 
	903, 903, 903, 903, 903, -1, -1, -1, 
	-1, 903, -1, -1, -1, -1, 903, 903, 
	-1, -1, 903, 903, 903, -1, 903, 903, 
	-1, -1, 903, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 903, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 903, 903, 903, 903, 903, 903, 
	903, 903, -1, 903, 903, 903, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 903, 903, 903, 903, 
	903, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 903, -1, 903, -1, -1, 
	903, -1, -1, -1, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, -1, 860, 860, 860, 
	860, 860, 860, 860, 860, -1, -1, -1, 
	860, 860, 860, 860, 860, -1, 860, -1, 
	860, 860, 860, 860, -1, 860, -1, 860, 
	860, 860, -1, 860, 860, -1, -1, 860, 
	860, 860, 860, 860, 860, 860, 860, -1, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, -1, 860, 860, 860, 860, -1, -1, 
	-1, -1, -1, -1, -1, 860, -1, 860, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 860, 860, 860, 860, -1, 
	504, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 903, 860, 860, 860, 
	860, -1, -1, 860, 860, 860, 860, 860, 
	860, -1, -1, -1, -1, 860, 860, 860, 
	860, 860, 860, 860, -1, -1, -1, 715, 
	860, -1, -1, -1, -1, 860, 860, -1, 
	-1, 860, 860, 860, -1, 860, 860, 860, 
	-1, 860, -1, -1, 712, -1, -1, -1, 
	-1, -1, -1, -1, -1, 860, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 860, 860, 860, 860, 860, 860, 860, 
	860, -1, 860, 860, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 860, 860, 860, 860, 860, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 860, -1, 860, -1, -1, 860, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	1036, 1036, 1036, 1036, -1, 1036, -1, 1036, 
	1036, 1036, 1036, -1, 1036, -1, 1036, 1036, 
	1036, -1, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 860, 1036, 1036, 1036, 1036, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, 1036, 1036, -1, -1, 
	1036, 1036, 1036, -1, 1036, 1036, -1, -1, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	-1, -1, -1, 1036, 1036, 1036, -1, -1, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, 1036, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, -1, -1, 1036, -1, 
	1036, 1036, -1, 1036, -1, -1, -1, -1, 
	1036, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, -1, 1036, -1, -1, 1036, -1, 
	1036, 1036, -1, -1, -1, 1036, -1, 1036, 
	-1, 1036, -1, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, -1, 1037, 
	1037, 1037, 1037, 1037, -1, 1037, -1, 1037, 
	1037, 1037, 1037, -1, 1037, -1, 1037, 1037, 
	1037, -1, 1037, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, -1, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, -1, 1037, 
	-1, -1, -1, -1, 1037, 1037, 1037, 1037, 
	1037, -1, -1, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	1037, 1037, -1, -1, -1, -1, -1, 1037, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1037, 1037, 1037, 1037, 
	-1, -1, 1037, 1037, 1037, 1037, 1037, 1037, 
	-1, -1, -1, 715, 1037, 1037, 1037, 1037, 
	1037, 1037, 1037, -1, -1, -1, -1, 1037, 
	-1, -1, -1, -1, 1037, 1037, -1, -1, 
	1037, 1037, 1037, -1, 1037, 1037, -1, -1, 
	1037, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	-1, -1, -1, 1037, 1037, 1037, -1, -1, 
	1037, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	-1, 1037, 1037, 1037, -1, -1, -1, 1037, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1037, 1037, -1, -1, 1037, -1, 
	1037, 1037, -1, 1037, -1, -1, -1, -1, 
	1037, -1, 1037, 1037, 1037, 1037, 1037, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1037, -1, 1037, -1, -1, 1037, -1, 
	1037, 1037, -1, -1, -1, 1037, -1, 1037, 
	-1, 1037, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, -1, 1038, 1038, 
	1038, 1038, 1038, -1, 1038, -1, 1038, 1038, 
	1038, 1038, -1, 1038, -1, 1038, 1038, 1038, 
	-1, 1038, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, -1, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, -1, 1038, -1, 
	-1, -1, -1, 1038, 1038, 1038, 1038, 1038, 
	-1, -1, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, 1038, 
	1038, -1, -1, -1, -1, -1, 1038, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1037, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1038, 1038, 1038, 1038, -1, 
	-1, 1038, 1038, 1038, 1038, 1038, 1038, -1, 
	-1, -1, -1, 1038, 1038, 1038, 1038, 1038, 
	1038, 1038, -1, -1, -1, -1, 1038, -1, 
	-1, -1, -1, 1038, 1038, -1, -1, 1038, 
	1038, 1038, -1, 1038, 1038, -1, -1, 1038, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, -1, 
	-1, -1, 1038, 1038, 1038, -1, -1, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, -1, 
	1038, 1038, 1038, -1, -1, -1, 1038, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1038, 1038, -1, -1, 1038, -1, 1038, 
	1038, -1, 1038, -1, -1, -1, -1, 1038, 
	-1, 1038, 1038, 1038, 1038, 1038, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1038, -1, 1038, -1, -1, 1038, -1, 1038, 
	1038, -1, -1, -1, 1038, -1, 1038, -1, 
	1038, 1033, 1033, 1033, 1033, 1033, 1033, -1, 
	1033, 1033, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, -1, -1, -1, 1033, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, -1, 
	-1, -1, -1, 1033, 1033, 1033, -1, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, 1033, 
	1033, 1033, -1, -1, -1, -1, -1, -1, 
	1033, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	1033, 1033, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, 1033, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, -1, 1039, 
	1039, 1039, 1039, 1039, -1, 1039, -1, 1039, 
	1039, 1039, 1039, -1, 1039, -1, 1039, 1039, 
	1039, 1038, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, -1, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, -1, 1039, 
	-1, -1, -1, -1, 1039, 1039, 1039, 1039, 
	1039, -1, -1, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, -1, -1, -1, -1, -1, 1039, 
	-1, -1, -1, -1, -1, -1, -1, 1033, 
	1033, 1033, 1033, 1033, -1, 1033, 1033, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	-1, -1, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1033, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1039, 1039, 1039, 1039, 
	-1, -1, 1039, 1039, 1039, 1039, 1039, 1039, 
	-1, 1033, -1, -1, 1039, 1039, 1039, 1039, 
	1039, 1039, 1039, -1, -1, -1, -1, 1039, 
	-1, -1, -1, -1, 1039, 1039, -1, -1, 
	1039, 1039, 1039, -1, 1039, 1039, -1, -1, 
	1039, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	-1, -1, -1, 1039, 1039, 1039, -1, -1, 
	1039, 1039, 1039, 1039, 1039, 1039, 1039, 1039, 
	-1, 1039, 1039, 1039, -1, -1, -1, 1039, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1039, 1039, -1, -1, 1039, -1, 
	1039, 1039, -1, 1039, -1, -1, -1, -1, 
	1039, -1, 1039, 1039, 1039, 1039, 1039, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1039, -1, 1039, -1, -1, 1039, -1, 
	1039, 1039, -1, -1, -1, 1039, -1, 1039, 
	-1, 1039, 754, 754, 754, 754, 754, 754, 
	754, 754, 754, 754, 754, 754, 754, 754, 
	754, 754, 754, 754, 754, 754, 754, 754, 
	754, 754, 754, 754, 754, -1, 754, 754, 
	754, 754, 754, -1, 754, -1, 754, 754, 
	754, 754, -1, 754, -1, 754, 754, 754, 
	-1, 754, 754, 754, 754, 754, 754, 754, 
	754, 754, 754, 754, 754, -1, 754, 754, 
	754, 754, 754, 754, 754, 754, 754, -1, 
	754, 754, 754, 754, -1, -1, -1, -1, 
	-1, -1, -1, 754, -1, -1, 754, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 754, 754, 754, 754, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1039, -1, -1, -1, -1, -1, 
	-1, -1, -1, 754, 754, 754, 754, -1, 
	-1, 754, 754, -1, 754, 754, 754, -1, 
	-1, -1, -1, 754, 754, 754, -1, 754, 
	754, 754, -1, -1, -1, -1, 754, -1, 
	-1, -1, -1, 754, -1, -1, -1, 754, 
	754, 754, -1, 754, 754, -1, -1, 754, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	754, 754, 754, 754, 754, 754, 754, -1, 
	-1, -1, -1, 754, 754, -1, -1, 754, 
	754, 754, 754, 754, 754, 754, 754, -1, 
	754, 754, 754, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 754, 754, 754, 754, 754, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	754, -1, -1, -1, -1, -1, -1, 754, 
	920, 920, 920, 920, 920, 920, 920, 920, 
	920, 920, -1, 920, 920, -1, -1, 920, 
	920, 920, 920, -1, -1, -1, 920, 920, 
	920, 920, 920, -1, -1, -1, -1, 920, 
	920, 920, -1, -1, -1, 920, -1, -1, 
	-1, 920, 920, -1, -1, 920, 920, 920, 
	920, 920, -1, -1, -1, -1, 920, 920, 
	920, -1, -1, -1, -1, 920, 920, -1, 
	920, 920, 920, 920, -1, -1, -1, -1, 
	-1, -1, -1, 920, -1, 920, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 920, 920, 920, 920, 921, 921, 921, 
	921, 921, 921, 921, 921, 921, 921, -1, 
	921, 921, -1, -1, 921, 921, 921, 921, 
	-1, -1, -1, 921, 921, 921, 921, 921, 
	-1, -1, -1, -1, 921, 921, 921, -1, 
	-1, -1, 921, -1, -1, -1, 921, 921, 
	-1, -1, 921, 921, 921, 921, 921, -1, 
	-1, -1, -1, 921, 921, 921, -1, -1, 
	-1, -1, 921, 921, -1, 921, 921, 921, 
	921, -1, -1, -1, -1, -1, -1, -1, 
	921, 754, 921, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 921, 921, 
	921, 921, -1, -1, 212, 213, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 920, -1, -1, -1, -1, 
	-1, -1, 920, -1, -1, -1, -1, 920, 
	920, 920, 920, 920, 920, 920, 920, -1, 
	920, 920, 920, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 920, 920, 920, 920, 920, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	921, -1, -1, -1, -1, -1, -1, 921, 
	-1, -1, -1, -1, 921, 921, 921, 921, 
	921, 921, 921, 921, -1, 921, 921, 921, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 921, 921, 
	921, 921, 921, 54, 55, 56, 57, 85, 
	88, 86, 87, 89, 90, 1124, 83, 84, 
	-1, -1, 36, 37, 41, 39, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 42, 43, 44, -1, -1, -1, 
	97, -1, -1, -1, 98, 38, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	62, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, 1124, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 74, 75, 76, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 897, 897, 897, 897, 897, 897, 
	897, 897, 897, 897, 897, 897, 897, 897, 
	897, 897, -1, 897, 897, 897, 897, 897, 
	897, 897, 897, -1, -1, -1, 897, 897, 
	897, 897, 897, -1, 897, -1, 897, 897, 
	897, 897, -1, 897, 733, 897, 897, 897, 
	-1, 897, 897, -1, -1, 897, 897, 897, 
	897, 897, 897, 897, 897, -1, 897, 897, 
	897, 897, 897, 897, 897, 897, 897, -1, 
	897, 897, 897, 897, -1, 897, -1, -1, 
	-1, -1, -1, 897, -1, 897, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 897, 897, 897, 897, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, 1124, 1124, 
	729, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	993, -1, -1, 897, 897, 897, 897, -1, 
	-1, 897, 897, 897, 897, 897, 897, -1, 
	-1, -1, 317, 897, 897, 897, 897, 897, 
	897, 897, -1, -1, -1, -1, 897, -1, 
	-1, -1, -1, 897, 897, -1, -1, 897, 
	897, 897, -1, 897, 897, -1, -1, 897, 
	-1, -1, -1, 732, -1, -1, 897, -1, 
	-1, -1, -1, 897, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 897, 
	897, 897, 897, 897, 897, 897, 897, -1, 
	897, 897, 897, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 897, 897, 897, 897, 897, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	897, -1, 897, -1, -1, 897, -1, -1, 
	-1, 886, 886, 886, 886, 886, 886, 886, 
	886, 886, 886, 886, 886, 886, 886, 886, 
	886, -1, 886, 886, 886, 886, 886, 886, 
	886, 886, -1, -1, -1, 886, 886, 886, 
	886, 886, -1, 886, -1, 886, 886, 886, 
	886, -1, 886, -1, 886, 886, 886, -1, 
	886, 886, -1, -1, 886, 886, 886, 886, 
	886, 886, 886, 886, -1, 886, 886, 886, 
	886, 886, 886, 886, 886, 886, -1, 886, 
	886, 886, 886, -1, -1, -1, -1, -1, 
	-1, -1, 886, -1, 737, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	886, 886, 886, 886, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 897, 886, 886, 886, 886, -1, -1, 
	886, 886, 886, 886, 886, 886, -1, -1, 
	-1, -1, 886, 886, 886, 886, 886, 886, 
	886, -1, -1, -1, -1, 886, -1, -1, 
	-1, -1, 886, 886, -1, -1, 886, 886, 
	886, -1, 886, 886, 736, -1, 886, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 886, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 886, 886, 
	886, 886, 886, 886, 886, 886, -1, 886, 
	886, 886, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1029, 1029, 1029, 1029, 
	1029, 1029, -1, 1029, 1029, -1, -1, -1, 
	886, 886, 886, 886, 886, -1, 1029, 1029, 
	1029, 1029, 1029, -1, -1, -1, -1, 886, 
	-1, 886, -1, -1, 886, 1029, -1, -1, 
	-1, 1029, -1, -1, -1, 1029, 1029, 1029, 
	1029, 1029, -1, -1, -1, -1, 1029, 1029, 
	1029, -1, -1, -1, -1, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, -1, -1, -1, 
	-1, -1, -1, 1029, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1029, 1029, 1029, 1029, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1029, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 85, 88, 86, 
	87, 89, 90, -1, 83, 84, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, 104, 
	106, 110, 108, 112, 729, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, 97, 77, 
	92, 64, 98, -1, -1, -1, 100, 102, 
	95, 94, 96, -1, -1, -1, -1, 79, 
	80, 81, -1, -1, -1, -1, 993, 78, 
	-1, 116, 118, 120, 122, -1, -1, -1, 
	114, 99, 91, 40, 82, 918, -1, -1, 
	886, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 73, 74, 75, 76, 317, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1029, 1029, 1029, 1029, 1029, -1, 
	1029, 1029, 1029, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 732, 
	-1, 1029, 1029, -1, -1, 1029, 1030, 1030, 
	1030, 1030, 1030, 1030, -1, 1030, 1030, -1, 
	-1, 1029, 1029, 1029, 1029, 1029, -1, -1, 
	1030, 1030, 1030, 1030, 1030, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1030, 
	-1, -1, -1, 1030, 1029, -1, -1, 1030, 
	1030, 1030, 1030, 1030, -1, -1, -1, -1, 
	1030, 1030, 1030, -1, -1, -1, -1, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, -1, 
	-1, -1, -1, -1, -1, 1030, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1030, 1030, 1030, 1030, -1, 
	250, 742, -1, -1, -1, -1, -1, -1, 
	1030, -1, -1, 251, 69, 70, 71, 72, 
	-1, 77, 92, 64, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, 99, 91, 159, 993, 837, 
	837, 837, 837, 837, 837, 837, 837, 837, 
	837, 837, 837, 837, 837, 837, 837, -1, 
	837, 837, 837, 837, 837, 837, 837, 837, 
	-1, -1, -1, 837, 837, 837, 837, 837, 
	-1, 837, -1, 837, 837, 837, 837, -1, 
	837, -1, 837, 837, 837, -1, 837, 837, 
	-1, -1, 837, 837, 837, 837, 837, 837, 
	837, 837, -1, 837, 837, 837, 837, 837, 
	837, 837, 837, 837, -1, 837, 837, 837, 
	837, -1, -1, -1, -1, -1, -1, -1, 
	837, -1, -1, -1, 1030, 1030, 1030, 1030, 
	1030, -1, 1030, 1030, 1030, -1, 837, 837, 
	837, 837, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1030, 1030, -1, -1, 1030, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1030, 1030, 1030, 1030, 1030, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	736, -1, -1, -1, -1, -1, 1030, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	837, 837, 837, 837, -1, -1, 837, 837, 
	837, 837, 837, 837, -1, -1, -1, -1, 
	837, 837, 837, 837, 837, 837, 837, -1, 
	-1, -1, -1, 837, -1, -1, -1, -1, 
	837, 837, -1, -1, 837, 837, 837, -1, 
	837, 837, -1, -1, 837, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	837, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 837, 837, 837, 837, 
	837, 837, 837, 837, -1, 837, 837, 837, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 837, 837, 
	837, 837, 837, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 837, -1, 837, 
	-1, -1, 837, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 848, 848, 848, 848, 848, 
	848, 848, 848, 848, 848, 848, 848, 848, 
	848, 848, 848, -1, 848, 848, 848, 848, 
	848, 848, 848, 848, -1, -1, -1, 848, 
	848, 848, 848, 848, -1, 848, -1, 848, 
	848, 848, 848, -1, 848, -1, 848, 848, 
	848, -1, 848, 848, -1, -1, 848, 848, 
	848, 848, 848, 848, 848, 848, -1, 848, 
	848, 848, 848, 848, 848, 848, 848, 848, 
	-1, 848, 848, 848, 848, -1, -1, -1, 
	-1, -1, -1, -1, 848, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 848, 848, 848, 848, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 837, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 848, 848, 848, 848, 
	-1, -1, 848, 848, 848, 848, 848, 848, 
	-1, -1, -1, -1, 848, 848, 848, 848, 
	848, 848, 848, -1, -1, -1, -1, 848, 
	-1, -1, -1, -1, 848, 848, -1, -1, 
	848, 848, 848, -1, 848, 848, -1, -1, 
	848, -1, -1, -1, 250, 742, -1, -1, 
	-1, -1, -1, -1, 848, -1, -1, 251, 
	69, 70, 71, 72, -1, 77, 92, 64, 
	848, 848, 848, 848, 848, 848, 848, 848, 
	-1, 848, 848, 848, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 99, 
	91, 159, -1, -1, -1, -1, -1, -1, 
	-1, -1, 848, 848, 848, 848, 848, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 848, -1, 848, -1, -1, 848, -1, 
	-1, -1, 898, 898, 898, 898, 898, 898, 
	898, 898, 898, 898, 898, 898, 898, 898, 
	898, 898, -1, 898, 898, 898, 898, 898, 
	898, 898, 898, -1, -1, -1, 898, 898, 
	898, 898, 898, -1, 898, -1, 898, 898, 
	898, 898, -1, 898, 898, 898, 898, 898, 
	-1, 898, 898, -1, -1, 898, 898, 898, 
	898, 898, 898, 898, 898, -1, 898, 898, 
	898, 898, 898, 898, 898, 898, 898, -1, 
	898, 898, 898, 898, -1, 898, -1, -1, 
	-1, -1, -1, 898, -1, 898, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 898, 898, 898, 898, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 848, 898, 898, 898, 898, -1, 
	-1, 898, 898, 898, 898, 898, 898, -1, 
	-1, -1, -1, 898, 898, 898, 898, 898, 
	898, 898, -1, -1, -1, -1, 898, -1, 
	-1, -1, -1, 898, 898, -1, -1, 898, 
	898, 898, -1, 898, 898, -1, -1, 898, 
	-1, -1, -1, 898, -1, -1, 898, -1, 
	-1, -1, -1, 898, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 898, 
	898, 898, 898, 898, 898, 898, 898, -1, 
	898, 898, 898, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 898, 898, 898, 898, 898, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	898, -1, 898, -1, -1, 898, -1, -1, 
	-1, 902, 902, 902, 902, 902, 902, 902, 
	902, 902, 902, 902, 902, 902, 902, 902, 
	902, -1, 902, 902, 902, 902, 902, 902, 
	902, 902, -1, -1, -1, 902, 902, 902, 
	902, 902, -1, 902, -1, 902, 902, 902, 
	902, -1, 902, -1, 902, 902, 902, -1, 
	902, 902, -1, -1, 902, 902, 902, 902, 
	902, 902, 902, 902, -1, 902, 902, 902, 
	902, 902, 902, 902, 902, 902, -1, 902, 
	902, 902, 902, -1, 902, -1, -1, -1, 
	-1, -1, 902, -1, 746, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	902, 902, 902, 902, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 898, 902, 902, 902, 902, -1, -1, 
	902, 902, 902, 902, 902, 902, -1, -1, 
	-1, -1, 902, 902, 902, 902, 902, 902, 
	902, -1, -1, -1, -1, 902, -1, -1, 
	-1, -1, 902, 902, -1, -1, 902, 902, 
	902, -1, 902, 902, -1, -1, 902, -1, 
	-1, -1, -1, -1, -1, 745, -1, -1, 
	-1, -1, 902, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 902, 902, 
	902, 902, 902, 902, 902, 902, -1, 902, 
	902, 902, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	902, 902, 902, 902, 902, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 902, 
	-1, 902, -1, -1, 902, -1, -1, -1, 
	896, 896, 896, 896, 896, 896, 896, 896, 
	896, 896, 896, 896, 896, 896, 896, 896, 
	-1, 896, 896, 896, 896, 896, 896, 896, 
	896, -1, -1, -1, 896, 896, 896, 896, 
	896, -1, 896, -1, 896, 896, 896, 896, 
	-1, 896, -1, 896, 896, 896, -1, 896, 
	896, -1, -1, 896, 896, 896, 896, 896, 
	896, 896, 896, -1, 896, 896, 896, 896, 
	896, 896, 896, 896, 896, -1, 896, 896, 
	896, 896, -1, 896, -1, -1, -1, -1, 
	-1, 896, -1, 896, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 896, 
	896, 896, 896, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	902, 896, 896, 896, 896, -1, -1, 896, 
	896, 896, 896, 896, 896, -1, -1, -1, 
	-1, 896, 896, 896, 896, 896, 896, 896, 
	-1, -1, -1, -1, 896, -1, -1, -1, 
	-1, 896, 896, -1, -1, 896, 896, 896, 
	-1, 896, 896, -1, -1, 896, -1, -1, 
	-1, -1, -1, -1, 896, -1, -1, -1, 
	-1, 896, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 896, 896, 896, 
	896, 896, 896, 896, 896, -1, 896, 896, 
	896, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 896, 
	896, 896, 896, 896, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 896, -1, 
	896, -1, -1, 896, -1, -1, -1, 883, 
	883, 883, 883, 883, 883, 883, 883, 883, 
	883, 883, 883, 883, 883, 883, 883, -1, 
	883, 883, 883, 883, 883, 883, 883, 883, 
	-1, -1, -1, 883, 883, 883, 883, 883, 
	-1, 883, -1, 883, 883, 883, 883, -1, 
	883, -1, 883, 883, 883, -1, 883, 883, 
	-1, -1, 883, 883, 883, 883, 883, 883, 
	883, 883, -1, 883, 883, 883, 883, 883, 
	883, 883, 883, 883, -1, 883, 883, 883, 
	883, -1, -1, -1, -1, -1, -1, -1, 
	883, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 883, 883, 
	883, 883, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 896, 
	883, 883, 883, 883, -1, -1, 883, 883, 
	883, 883, 883, 883, -1, -1, -1, -1, 
	883, 883, 883, 883, 883, 883, 883, -1, 
	-1, -1, -1, 883, -1, -1, -1, -1, 
	883, 883, -1, -1, 883, 883, 883, -1, 
	883, 883, -1, -1, 883, -1, -1, -1, 
	-1, 745, -1, -1, -1, -1, -1, -1, 
	883, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 883, 883, 883, 883, 
	883, 883, 883, 883, -1, 883, 883, 883, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 883, 883, 
	883, 883, 883, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 883, -1, 883, 
	-1, -1, 883, 54, 55, 56, 57, 85, 
	88, 86, 87, 89, 90, 1124, 83, 84, 
	-1, -1, 36, 37, 41, 39, -1, -1, 
	-1, 104, 106, 110, 108, 112, -1, -1, 
	-1, -1, 42, 43, 44, -1, -1, -1, 
	97, -1, -1, -1, 98, 38, -1, -1, 
	100, 102, 95, 94, 96, -1, -1, -1, 
	-1, 79, 80, 81, -1, -1, -1, -1, 
	62, 78, -1, 116, 118, 120, 122, -1, 
	-1, -1, -1, -1, -1, -1, 82, -1, 
	-1, 1124, 1031, 1031, 1031, 1031, 1031, 1031, 
	-1, 1031, 1031, -1, 73, 74, 75, 76, 
	-1, -1, -1, -1, 1031, 1031, 1031, 1031, 
	1031, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1031, -1, -1, -1, 1031, 
	-1, -1, -1, 1031, 1031, 1031, 1031, 1031, 
	-1, -1, -1, -1, 1031, 1031, 1031, -1, 
	-1, -1, -1, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, -1, -1, -1, -1, -1, 
	-1, 1031, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1031, 
	1031, 1031, 1031, -1, -1, -1, 883, -1, 
	-1, -1, -1, -1, 1031, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, 1124, 1124, 
	749, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, -1, 77, 92, 64, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 99, 91, 40, 
	993, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 317, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1031, 1031, 1031, 1031, 1031, -1, 1031, 1031, 
	1031, -1, -1, 1032, 1032, 1032, 1032, 1032, 
	1032, -1, 1032, 1032, -1, -1, -1, 1031, 
	1031, -1, -1, 1031, -1, 1032, 1032, 1032, 
	1032, 1032, -1, -1, -1, -1, -1, 1031, 
	1031, 1031, 1031, 1031, 1032, -1, -1, -1, 
	1032, -1, -1, -1, 1032, 1032, 1032, 1032, 
	1032, -1, -1, -1, -1, 1032, 1032, 1032, 
	-1, -1, 1031, -1, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, -1, -1, -1, -1, 
	-1, -1, 1032, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1032, 1032, 1032, 1032, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1032, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 847, 847, 847, 847, 847, 
	847, 847, 847, 847, 847, 847, 847, 847, 
	847, 847, 847, -1, 847, 847, 847, 847, 
	847, 847, 847, 847, -1, -1, -1, 847, 
	847, 847, 847, 847, -1, 847, -1, 847, 
	847, 847, 847, -1, 847, -1, 847, 847, 
	847, -1, 847, 847, -1, -1, 847, 847, 
	847, 847, 847, 847, 847, 847, -1, 847, 
	847, 847, 847, 847, 847, 847, 847, 847, 
	-1, 847, 847, 847, 847, -1, -1, -1, 
	-1, -1, -1, -1, 847, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 847, 847, 847, 847, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1032, 1032, 1032, 1032, 1032, -1, 1032, 
	1032, 1032, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1032, 1032, -1, -1, 1032, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1032, 1032, 1032, 1032, 1032, -1, -1, -1, 
	-1, -1, -1, -1, 847, 847, 847, 847, 
	-1, -1, 847, 847, 847, 847, 847, 847, 
	-1, -1, -1, 1032, 847, 847, 847, 847, 
	847, 847, 847, -1, -1, -1, -1, 847, 
	-1, -1, -1, -1, 847, 847, -1, -1, 
	847, 847, 847, -1, 847, 847, -1, -1, 
	847, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 847, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	847, 847, 847, 847, 847, 847, 847, 847, 
	-1, 847, 847, 847, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 847, 847, 847, 847, 847, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 847, -1, 847, -1, -1, 847, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 749, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 317, -1, 
	-1, -1, 847, 900, 900, 900, 900, 900, 
	900, 900, 900, 900, 900, 900, 900, 900, 
	900, 900, 900, -1, 900, 900, 900, 900, 
	900, 900, 900, 900, -1, -1, -1, 900, 
	900, 900, 900, 900, -1, 900, -1, 900, 
	900, 900, 900, -1, 900, -1, 900, 900, 
	900, -1, 900, 900, -1, -1, 900, 900, 
	900, 900, 900, 900, 900, 900, -1, 900, 
	900, 900, 900, 900, 900, 900, 900, 900, 
	-1, 900, 900, 900, 900, -1, 900, -1, 
	-1, -1, -1, -1, 900, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 900, 900, 900, 900, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 900, 900, 900, 900, 
	-1, -1, 900, 900, 900, 900, 900, 900, 
	-1, -1, -1, -1, 900, 900, 900, 900, 
	900, 900, 900, -1, -1, -1, -1, 900, 
	-1, -1, -1, -1, 900, 900, -1, -1, 
	900, 900, 900, -1, 900, 900, -1, -1, 
	900, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 900, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	900, 900, 900, 900, 900, 900, 900, 900, 
	-1, 900, 900, 900, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 900, 900, 900, 900, 900, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 900, -1, 900, -1, -1, 900, 54, 
	55, 56, 57, 85, 88, 86, 87, 89, 
	90, 1124, 83, 84, -1, -1, 36, 37, 
	41, 39, -1, -1, -1, 104, 106, 110, 
	108, 112, -1, -1, -1, -1, 42, 43, 
	44, -1, -1, -1, 97, -1, -1, -1, 
	98, 38, -1, -1, 100, 102, 95, 94, 
	96, -1, -1, -1, -1, 79, 80, 81, 
	-1, -1, -1, -1, 62, 78, -1, 116, 
	118, 120, 122, -1, -1, -1, -1, -1, 
	-1, -1, 82, -1, -1, 1124, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	73, 74, 75, 76, 919, 919, 919, 919, 
	919, 919, 919, 919, 919, 919, -1, 919, 
	919, -1, -1, 919, 919, 919, 919, -1, 
	-1, -1, 919, 919, 919, 919, 919, -1, 
	-1, -1, -1, 919, 919, 919, -1, -1, 
	-1, 919, -1, -1, -1, 919, 919, -1, 
	-1, 919, 919, 919, 919, 919, -1, -1, 
	-1, -1, 919, 919, 919, -1, -1, -1, 
	-1, 919, 919, -1, 919, 919, 919, 919, 
	-1, -1, -1, -1, -1, -1, -1, 919, 
	-1, 919, 900, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 919, 919, 919, 
	919, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, -1, 
	-1, -1, 1124, 1124, 751, -1, 35, 33, 
	34, 58, 69, 70, 71, 72, -1, 77, 
	92, 64, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, 99, 91, 40, 993, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 317, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 919, 
	-1, -1, -1, -1, -1, -1, 919, -1, 
	-1, -1, -1, 919, 919, 919, 919, 919, 
	919, 919, 919, -1, 919, 919, 919, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 919, 919, 919, 
	919, 919, -1, 885, 885, 885, 885, 885, 
	885, 885, 885, 885, 885, 885, 885, 885, 
	885, 885, 885, -1, 885, 885, 885, 885, 
	885, 885, 885, 885, -1, -1, -1, 885, 
	885, 885, 885, 885, -1, 885, -1, 885, 
	885, 885, 885, -1, 885, -1, 885, 885, 
	885, -1, 885, 885, -1, -1, 885, 885, 
	885, 885, 885, 885, 885, 885, -1, 885, 
	885, 885, 885, 885, 885, 885, 885, 885, 
	-1, 885, 885, 885, 885, -1, -1, -1, 
	-1, -1, -1, -1, 885, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 885, 885, 885, 885, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 885, 885, 885, 885, 
	-1, -1, 885, 885, 885, 885, 885, 885, 
	-1, -1, -1, -1, 885, 885, 885, 885, 
	885, 885, 885, -1, -1, -1, -1, 885, 
	-1, -1, -1, -1, 885, 885, -1, -1, 
	885, 885, 885, -1, 885, 885, -1, -1, 
	885, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 885, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	885, 885, 885, 885, 885, 885, 885, 885, 
	-1, 885, 885, 885, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 885, 885, 885, 885, 885, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 885, -1, 885, -1, -1, 885, -1, 
	-1, -1, -1, -1, -1, -1, -1, 901, 
	901, 901, 901, 901, 901, 901, 901, 901, 
	901, 901, 901, 901, 901, 901, 901, -1, 
	901, 901, 901, 901, 901, 901, 901, 901, 
	-1, -1, -1, 901, 901, 901, 901, 901, 
	-1, 901, -1, 901, 901, 901, 901, -1, 
	901, -1, 901, 901, 901, -1, 901, 901, 
	-1, -1, 901, 901, 901, 901, 901, 901, 
	901, 901, -1, 901, 901, 901, 901, 901, 
	901, 901, 901, 901, -1, 901, 901, 901, 
	901, -1, 901, -1, -1, -1, -1, -1, 
	901, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 901, 901, 
	901, 901, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	751, -1, 35, 33, 34, 58, 69, 70, 
	71, 72, 885, 77, 92, 64, -1, -1, 
	901, 901, 901, 901, -1, -1, 901, 901, 
	901, 901, 901, 901, -1, -1, -1, -1, 
	901, 901, 901, 901, 901, 901, 901, -1, 
	-1, -1, -1, 901, 114, 99, 91, 40, 
	901, 901, -1, -1, 901, 901, 901, -1, 
	901, 901, -1, -1, 901, -1, -1, -1, 
	-1, -1, 317, -1, -1, -1, -1, -1, 
	901, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 901, 901, 901, 901, 
	901, 901, 901, 901, -1, 901, 901, 901, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 901, 901, 
	901, 901, 901, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 901, -1, 901, 
	-1, -1, 901, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 901
};

static int pid_0_parser_owners[] = {
	0, 0, 1, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	2, 0, 0, 0, 0, 0, 0, 0, 
	0, 24, 26, 28, 0, 0, 0, 0, 
	0, 30, 0, 31, 0, 0, 0, 0, 
	33, 0, 37, 0, 0, 0, 39, 0, 
	0, 25, 27, 0, 0, 0, 0, 0, 
	0, 0, 0, 25, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 48, 0, 0, 
	0, 0, 42, 46, 32, 32, 32, 32, 
	32, 0, 50, 51, 52, 53, 49, 54, 
	49, 56, 57, 58, 60, 84, 88, 0, 
	0, 0, 0, 32, 32, 89, 90, 91, 
	47, 47, 47, 47, 47, 93, 62, 97, 
	62, 98, 61, 32, 27, 99, 100, 101, 
	105, 105, 108, 110, 111, 112, 125, 47, 
	47, 136, 146, 119, 119, 160, 161, 170, 
	171, 172, 174, 174, 174, 182, 176, 47, 
	185, 186, 185, 168, 168, 187, 205, 63, 
	221, 63, 222, 226, 131, 227, 64, 230, 
	64, 176, 176, 224, 224, 224, 79, 231, 
	0, 0, 0, 0, 0, 164, 164, 0, 
	0, 232, 0, 0, 0, 239, 25, 25, 
	25, 0, 0, 0, 249, 0, 0, 0, 
	49, 49, 80, 27, 0, 55, 55, 55, 
	55, 0, 86, 269, 279, 0, 0, 0, 
	55, 0, 0, 273, 280, 0, 281, 282, 
	62, 62, 283, 287, 288, 104, 104, 104, 
	203, 0, 292, 39, 299, 81, 81, 81, 
	81, 81, 300, 220, 220, 0, 0, 0, 
	0, 0, 0, 0, 0, 46, 0, 0, 
	0, 216, 216, 301, 81, 81, 307, 42, 
	328, 63, 63, 154, 154, 39, 39, 105, 
	64, 64, 329, 49, 81, 118, 118, 118, 
	212, 302, 119, 308, 308, 273, 368, 0, 
	0, 0, 0, 0, 373, 162, 162, 162, 
	384, 42, 42, 62, 168, 154, 0, 32, 
	32, 3, 3, 3, 3, 3, 3, 3, 
	3, 3, 3, 3, 3, 3, 3, 3, 
	3, 47, 3, 3, 3, 3, 3, 3, 
	3, 3, 164, 47, 47, 3, 3, 3, 
	3, 3, 61, 3, 63, 3, 3, 3, 
	3, 302, 3, 64, 3, 3, 3, 389, 
	3, 3, 212, 79, 3, 3, 3, 3, 
	3, 3, 3, 3, 391, 3, 3, 3, 
	3, 3, 3, 3, 3, 3, 104, 3, 
	3, 3, 3, 418, 131, 419, 321, 80, 
	425, 228, 3, 431, 220, 79, 79, 86, 
	363, 228, 363, 433, 169, 169, 169, 400, 
	3, 3, 3, 3, 228, 228, 216, 245, 
	245, 55, 55, 55, 435, 203, 104, 212, 
	321, 80, 80, 166, 166, 166, 118, 166, 
	437, 86, 86, 82, 82, 82, 82, 82, 
	308, 400, 438, 305, 305, 449, 162, 450, 
	154, 154, 154, 452, 451, 312, 312, 203, 
	203, 456, 82, 82, 451, 392, 392, 462, 
	81, 81, 468, 81, 473, 476, 118, 478, 
	479, 509, 82, 510, 485, 485, 485, 372, 
	485, 511, 3, 3, 3, 3, 162, 0, 
	3, 3, 485, 3, 3, 3, 525, 503, 
	417, 417, 3, 3, 3, 458, 3, 3, 
	3, 132, 132, 132, 132, 3, 533, 103, 
	103, 103, 3, 103, 538, 539, 3, 3, 
	3, 503, 3, 3, 557, 535, 3, 535, 
	558, 560, 117, 117, 117, 561, 117, 244, 
	244, 244, 3, 83, 83, 83, 83, 83, 
	85, 85, 85, 85, 85, 169, 3, 3, 
	3, 3, 3, 3, 3, 3, 245, 3, 
	3, 3, 83, 83, 209, 319, 319, 85, 
	85, 165, 165, 165, 562, 165, 294, 294, 
	166, 536, 83, 238, 238, 238, 238, 85, 
	130, 130, 130, 130, 305, 169, 238, 109, 
	3, 3, 3, 3, 3, 209, 312, 109, 
	166, 69, 69, 69, 69, 69, 69, 3, 
	69, 69, 392, 536, 398, 398, 284, 564, 
	363, 289, 475, 69, 69, 69, 69, 69, 
	371, 372, 182, 372, 572, 284, 575, 166, 
	109, 475, 69, 590, 413, 413, 69, 424, 
	424, 417, 69, 69, 69, 69, 69, 325, 
	561, 325, 561, 69, 69, 69, 82, 82, 
	598, 82, 69, 69, 103, 69, 69, 69, 
	69, 109, 124, 124, 124, 124, 124, 605, 
	69, 92, 92, 92, 92, 92, 606, 117, 
	244, 618, 458, 619, 103, 289, 623, 471, 
	471, 124, 124, 630, 133, 133, 133, 133, 
	92, 92, 117, 233, 233, 233, 233, 233, 
	632, 124, 628, 639, 319, 132, 132, 132, 
	92, 454, 628, 103, 458, 458, 165, 589, 
	244, 642, 233, 233, 643, 589, 109, 646, 
	209, 284, 284, 284, 117, 475, 475, 475, 
	629, 656, 233, 374, 374, 374, 165, 209, 
	629, 209, 635, 294, 294, 294, 635, 645, 
	374, 374, 325, 398, 660, 663, 83, 83, 
	238, 83, 667, 85, 85, 651, 85, 651, 
	669, 109, 371, 656, 371, 165, 130, 130, 
	130, 672, 238, 238, 238, 454, 424, 645, 
	3, 413, 574, 678, 0, 0, 0, 0, 
	0, 472, 472, 0, 0, 682, 0, 0, 
	0, 686, 25, 25, 25, 0, 0, 0, 
	688, 0, 0, 0, 49, 49, 701, 27, 
	0, 673, 708, 673, 710, 0, -1, 526, 
	526, 0, 0, 0, 325, 0, 0, -1, 
	109, 0, 289, 289, 471, 69, 69, 69, 
	702, -1, 385, 385, -1, 0, -1, 39, 
	702, 107, -1, 508, 508, 297, 297, 297, 
	297, 0, 0, 0, 0, 0, 0, 0, 
	0, 46, 0, 0, 0, -1, 69, 69, 
	69, 69, 69, 42, 107, 234, 234, 234, 
	234, 39, 107, 105, -1, 124, 124, 49, 
	234, -1, 523, 523, 92, 92, 119, 92, 
	133, 133, 133, 0, 0, 0, 0, 38, 
	38, 38, 38, 38, 38, 42, 38, 38, 
	168, -1, 0, 32, 32, -1, 233, 233, 
	-1, 38, 38, 38, 38, 38, -1, -1, 
	532, 532, 454, 454, 574, 47, -1, 421, 
	38, 421, 472, -1, 38, -1, 164, -1, 
	38, 38, 38, 38, 38, -1, 61, 647, 
	647, 38, 38, 38, -1, 390, 390, 390, 
	38, 38, -1, 38, 38, 38, 38, 79, 
	386, 386, 390, 390, 526, -1, 38, 126, 
	126, 126, 126, 126, -1, 127, 127, 127, 
	127, 127, 487, 487, 38, 38, 38, 38, 
	131, 385, 385, 80, 508, -1, 126, 126, 
	220, 79, -1, 86, 127, 127, -1, -1, 
	-1, -1, 670, -1, 670, 107, 126, -1, 
	-1, -1, 216, -1, 127, 55, 55, 55, 
	-1, 203, 104, 212, 107, 80, 107, -1, 
	-1, 523, 578, 578, -1, 86, 488, 488, 
	507, 507, -1, 297, 297, 297, 107, -1, 
	-1, 579, 579, 579, 154, 154, 154, -1, 
	-1, -1, 234, 203, 218, 218, 218, -1, 
	218, -1, -1, -1, -1, -1, -1, 81, 
	-1, 532, 118, 128, 128, 128, 128, 128, 
	-1, 234, 234, 234, -1, -1, 3, 3, 
	3, 3, 162, -1, 3, 3, -1, 3, 
	3, 3, 128, 128, 647, -1, 3, 3, 
	3, -1, 3, 3, 3, 107, 530, -1, 
	530, 3, 128, 638, 421, 638, 3, 386, 
	386, -1, 3, 3, 3, 421, 3, 3, 
	-1, -1, 3, -1, -1, 38, 38, 38, 
	38, 38, 487, 38, 38, 38, 3, 129, 
	129, 129, 129, 129, 217, 217, 217, -1, 
	217, -1, 3, 3, 3, 3, 3, 3, 
	3, 3, 245, 3, 3, 3, 129, 129, 
	504, 504, 504, -1, 38, 38, 38, 38, 
	38, 243, 243, 243, 622, 243, 129, 318, 
	318, 318, 578, 654, 654, 507, 488, 670, 
	305, 169, 126, 126, 3, 3, 3, 3, 
	127, 127, 579, 675, 675, 531, 531, 600, 
	600, 218, -1, 3, 4, 4, 4, 4, 
	4, 4, 4, 4, 4, 4, 4, 4, 
	4, 4, 4, 4, 218, 4, 4, 4, 
	4, 4, 4, 4, 4, -1, -1, -1, 
	4, 4, 4, 4, 4, 417, 4, -1, 
	4, 4, 4, 4, 561, 4, 561, 4, 
	4, 4, -1, 4, 4, 82, 218, 4, 
	4, 4, 4, 4, 4, 4, 4, -1, 
	4, 4, 4, 4, 4, 4, 4, 4, 
	4, -1, 4, 4, 4, 4, 458, -1, 
	103, -1, -1, 530, -1, 4, 128, 128, 
	638, 217, -1, -1, 530, -1, 117, -1, 
	-1, -1, -1, 4, 4, 4, 4, -1, 
	319, 132, 132, 132, 217, -1, -1, 103, 
	458, 604, 604, -1, 244, -1, 243, -1, 
	318, -1, 654, 243, 209, 284, 284, 284, 
	117, 475, 475, 475, -1, 504, 504, -1, 
	-1, -1, 165, -1, 680, 680, 217, 294, 
	294, 294, 531, 675, 600, -1, 325, 398, 
	-1, 622, 129, 129, 238, 83, -1, -1, 
	318, -1, 85, -1, -1, 109, 371, 243, 
	371, 165, 130, 130, 130, 4, 4, 4, 
	4, -1, 424, 4, 4, 413, 4, 4, 
	4, -1, -1, 622, 622, 4, 4, 4, 
	-1, 4, 4, 4, 235, 235, 235, 235, 
	4, -1, -1, -1, -1, 4, -1, 235, 
	-1, 4, 4, 4, -1, 4, 4, 681, 
	681, 4, -1, -1, -1, 414, 414, 414, 
	325, 414, -1, -1, 109, 4, 289, 289, 
	471, 69, 69, 69, 141, 141, 141, 141, 
	141, 4, 4, 4, 4, 4, 4, 4, 
	4, -1, 4, 4, 4, -1, -1, -1, 
	-1, -1, 604, 141, 141, -1, 214, 214, 
	214, 214, 69, 69, 69, 69, 214, -1, 
	397, 397, 397, 141, 214, -1, 214, 214, 
	-1, 124, 124, 4, 4, 4, 4, 4, 
	-1, 680, -1, 92, 133, 133, 133, 317, 
	317, 317, 4, 317, -1, 5, 5, 5, 
	5, 5, 5, 5, 5, 5, 5, 5, 
	5, 5, 5, 5, 5, -1, 5, 5, 
	5, 5, 5, 5, 5, 5, -1, -1, 
	574, 5, 5, 5, 5, 5, 472, 5, 
	-1, 5, 5, 5, 5, -1, 5, -1, 
	5, 5, 5, -1, 5, 5, -1, -1, 
	5, 5, 5, 5, 5, 5, 5, 5, 
	681, 5, 5, 5, 5, 5, 5, 5, 
	5, 5, 414, 5, 5, 5, 5, 414, 
	-1, 235, -1, -1, -1, -1, 5, 236, 
	236, 236, 236, -1, -1, 385, -1, -1, 
	508, -1, 236, -1, 5, 5, 5, 5, 
	235, 235, 235, -1, 268, 268, 268, 268, 
	268, -1, -1, -1, -1, -1, -1, -1, 
	-1, 397, -1, 414, -1, -1, -1, -1, 
	-1, -1, -1, 268, 268, 523, -1, 214, 
	-1, 214, 214, 214, 214, 214, 214, 297, 
	297, 297, 107, 268, 317, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 234, 141, 
	141, 397, -1, -1, -1, 142, 142, 142, 
	142, 142, -1, -1, 317, 532, 5, 5, 
	5, 5, -1, 4, 5, 5, -1, 5, 
	5, 5, -1, -1, 142, 142, 5, 5, 
	5, -1, 5, 5, 5, 237, 237, 237, 
	237, 5, -1, 317, 142, -1, 5, -1, 
	237, 107, 5, 5, 5, -1, 5, 5, 
	421, -1, 5, 386, 407, 407, 407, 407, 
	-1, 421, 423, 423, 423, -1, 5, -1, 
	-1, 38, 38, 38, 38, 38, 487, 38, 
	38, 38, 5, 5, 5, 5, 5, 5, 
	5, 5, -1, 5, 5, 5, -1, -1, 
	-1, 246, -1, 246, 246, 246, 246, -1, 
	246, 506, 506, 506, 236, 506, -1, -1, 
	38, 38, 38, 38, -1, -1, -1, -1, 
	409, 409, 409, 409, 5, 5, 5, 5, 
	5, 507, 488, 236, 236, 236, 126, 126, 
	-1, -1, -1, 5, 127, 127, 6, 6, 
	6, 6, 6, 6, 6, 6, 6, 6, 
	6, 6, 6, 6, 6, 6, -1, 6, 
	6, 6, 6, 6, 6, 6, 6, 268, 
	268, -1, 6, 6, 6, 6, 6, -1, 
	6, -1, 6, 6, 6, 6, -1, 6, 
	-1, 6, 6, 6, -1, 6, 6, -1, 
	-1, 6, 6, 6, 6, 6, 6, 6, 
	6, -1, 6, 6, 6, 6, 6, 6, 
	6, 6, 6, 423, 6, 6, 6, 6, 
	-1, -1, 237, 271, -1, -1, -1, 6, 
	142, 142, -1, -1, 521, 521, 521, -1, 
	521, -1, 128, 128, 638, 6, 6, 6, 
	6, 237, 237, 237, -1, 271, 271, 271, 
	271, 271, -1, 423, -1, -1, 506, -1, 
	217, -1, -1, -1, -1, -1, -1, -1, 
	407, 407, 407, -1, 271, 271, 654, 243, 
	-1, 506, -1, -1, -1, -1, 246, -1, 
	-1, 504, 504, 246, 271, -1, -1, 246, 
	246, -1, 217, -1, -1, -1, 531, -1, 
	600, -1, -1, -1, -1, 622, 129, 129, 
	-1, -1, -1, 506, 318, -1, -1, 6, 
	6, 6, 6, 243, 5, 6, 6, -1, 
	6, 6, 6, -1, 409, 409, 409, 6, 
	6, 6, -1, 6, 6, 6, 246, 622, 
	-1, -1, 6, 412, 412, 412, 412, 6, 
	-1, -1, 135, 6, 6, 6, -1, 6, 
	6, -1, -1, 6, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 6, 
	-1, -1, -1, -1, 135, 135, 135, 135, 
	135, 521, -1, 6, 6, 6, 6, 6, 
	6, 6, 6, -1, 6, 6, 6, 521, 
	-1, -1, -1, 135, 135, 415, 415, 415, 
	-1, 415, 522, 522, 522, -1, 604, -1, 
	653, 653, 653, 135, -1, -1, 271, 271, 
	-1, 271, -1, -1, -1, 6, 6, 6, 
	6, 6, -1, -1, 521, 396, 396, 396, 
	-1, 396, -1, -1, 6, 680, -1, 7, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	7, 7, 7, 7, 7, 7, 7, -1, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	271, 271, -1, 7, 7, 7, 7, 7, 
	-1, 7, -1, 7, 7, 7, 7, -1, 
	7, -1, 7, 7, 7, -1, 7, 7, 
	-1, -1, 7, 7, 7, 7, 7, 7, 
	7, 7, -1, 7, 7, 7, 7, 7, 
	7, 7, 7, 7, 681, 7, 7, 7, 
	7, -1, 271, -1, -1, -1, -1, -1, 
	7, -1, -1, 414, 534, 235, 534, 534, 
	534, 534, -1, 534, -1, -1, 7, 7, 
	7, 7, 412, 412, 412, 135, 135, -1, 
	135, -1, 415, 522, -1, -1, -1, 415, 
	-1, 653, 375, 375, 375, 375, 375, 375, 
	375, 375, 375, 375, -1, 534, -1, 414, 
	375, -1, 375, 375, 375, 375, 375, 375, 
	375, -1, 396, 214, -1, 214, 214, 214, 
	214, 214, 214, 522, -1, -1, -1, 135, 
	135, 653, -1, 415, -1, 396, -1, -1, 
	-1, -1, -1, 141, 141, 397, -1, -1, 
	7, 7, 7, 7, -1, 6, 7, 7, 
	317, 7, 7, 7, 563, 563, 563, 563, 
	7, 7, 7, -1, 7, 7, 7, 396, 
	-1, -1, 608, 7, 608, 608, 608, 608, 
	7, 135, -1, -1, 7, 7, 7, 317, 
	7, 7, -1, -1, 7, -1, -1, -1, 
	-1, -1, -1, -1, 599, 599, 599, 599, 
	7, 143, 143, 143, 143, 143, 144, 144, 
	144, 144, 144, -1, 7, 7, 7, 7, 
	7, 7, 7, 7, -1, 7, 7, 7, 
	143, 143, -1, -1, 370, 144, 144, -1, 
	-1, -1, -1, 470, 470, 470, -1, 470, 
	143, 534, -1, -1, -1, 144, 534, 370, 
	236, -1, 534, 534, -1, -1, 7, 7, 
	7, 7, 7, -1, 375, 370, 375, 375, 
	375, 375, 375, -1, -1, 7, -1, -1, 
	8, 8, 8, 8, 8, 8, 8, 8, 
	8, 8, 8, 8, 8, 8, 8, 8, 
	-1, 8, 8, 8, 8, 8, 8, 8, 
	8, 534, -1, -1, 8, 8, 8, 8, 
	8, -1, 8, -1, 8, 8, 8, 8, 
	-1, 8, -1, 8, 8, 8, -1, 8, 
	8, 370, -1, 8, 8, 8, 8, 8, 
	8, 8, 8, -1, 8, 8, 8, 8, 
	8, 8, 8, 8, 8, -1, 8, 8, 
	8, 8, 563, 563, 563, 272, -1, 608, 
	-1, 8, -1, -1, -1, -1, 237, -1, 
	-1, -1, -1, -1, 142, 142, -1, 8, 
	8, 8, 8, -1, -1, -1, -1, 272, 
	272, 272, 272, 272, -1, 483, 370, 483, 
	470, 602, 602, 602, 483, 602, -1, 423, 
	370, -1, -1, 599, 599, 599, 272, 272, 
	599, 599, 599, -1, 407, 407, 407, 370, 
	470, 370, -1, -1, -1, -1, 272, -1, 
	-1, -1, -1, -1, 143, 143, -1, 246, 
	-1, 144, 144, -1, 246, -1, -1, -1, 
	145, 145, 145, 145, 145, -1, -1, 470, 
	-1, 8, 8, 8, 8, -1, 7, 8, 
	8, -1, 8, 8, 8, -1, -1, 145, 
	145, 8, 8, 8, -1, 8, 8, 8, 
	409, 409, 409, -1, 8, -1, -1, 145, 
	-1, 8, 246, -1, -1, 8, 8, 8, 
	-1, 8, 8, -1, -1, 8, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 8, 149, 149, 149, 149, 149, 150, 
	150, 150, 150, 150, -1, 8, 8, 8, 
	8, 8, 8, 8, 8, -1, 8, 8, 
	8, 149, 149, -1, -1, -1, 150, 150, 
	483, 483, 483, 521, -1, -1, 602, -1, 
	-1, 149, -1, -1, -1, -1, 150, -1, 
	272, 272, -1, 272, 602, -1, -1, 8, 
	8, 8, 8, 8, -1, -1, -1, 422, 
	422, 422, 483, 422, -1, -1, 8, -1, 
	521, 9, 9, 9, 9, 9, 9, 9, 
	9, 9, 9, 9, 9, 9, 9, 9, 
	9, 602, 9, 9, 9, 9, 9, 9, 
	9, 9, 272, 272, -1, 9, 9, 9, 
	9, 9, -1, 9, -1, 9, 9, 9, 
	9, -1, 9, -1, 9, 9, 9, -1, 
	9, 9, -1, -1, 9, 9, 9, 9, 
	9, 9, 9, 9, -1, 9, 9, 9, 
	9, 9, 9, 9, 9, 9, -1, 9, 
	9, 9, 9, -1, 272, -1, -1, -1, 
	-1, -1, 9, 145, 145, 376, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	9, 9, 9, 9, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 412, 412, 
	412, 135, 135, -1, 135, 376, 376, 376, 
	376, 376, 376, 376, 376, 376, 376, 376, 
	376, 376, 376, 376, -1, 376, 376, 376, 
	376, 376, 376, 376, 422, -1, -1, -1, 
	-1, 422, -1, -1, -1, 149, 149, -1, 
	-1, -1, 150, 150, -1, -1, -1, 522, 
	-1, -1, -1, 135, 135, 653, -1, -1, 
	-1, 396, 9, 9, 9, 9, -1, 8, 
	9, 9, -1, 9, 9, 9, -1, -1, 
	-1, -1, 9, 9, 9, 422, 9, 9, 
	9, 410, 410, 410, 410, 9, -1, -1, 
	-1, -1, 9, 396, -1, -1, 9, 9, 
	9, -1, 9, 9, -1, 135, 9, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 9, 153, 153, 153, 153, 153, 
	157, 157, 157, 157, 157, -1, 9, 9, 
	9, 9, 9, 9, 9, 9, -1, 9, 
	9, 9, 153, 153, -1, -1, -1, 157, 
	157, 611, 611, 611, -1, 611, 378, 378, 
	378, 378, 153, -1, -1, -1, 378, 157, 
	-1, -1, -1, -1, 378, -1, 378, 378, 
	9, 9, 9, 9, 9, -1, -1, 376, 
	-1, 376, 376, 376, 376, 376, -1, 9, 
	375, -1, 10, 10, 10, 10, 10, 10, 
	10, 10, 10, 10, 10, 10, 10, 10, 
	10, 10, -1, 10, 10, 10, 10, 10, 
	10, 10, 10, -1, -1, -1, 10, 10, 
	10, 10, 10, -1, 10, -1, 10, 10, 
	10, 10, -1, 10, -1, 10, 10, 10, 
	-1, 10, 10, -1, -1, 10, 10, 10, 
	10, 10, 10, 10, 10, -1, 10, 10, 
	10, 10, 10, 10, 10, 10, 10, -1, 
	10, 10, 10, 10, -1, -1, 573, -1, 
	573, -1, -1, 10, 377, 573, 563, 563, 
	563, -1, -1, 608, -1, -1, -1, -1, 
	-1, 10, 10, 10, 10, 410, 410, 410, 
	-1, -1, 636, -1, 636, -1, 611, -1, 
	-1, 636, -1, 611, 377, 377, 377, 377, 
	377, 377, 377, 377, 377, 377, 377, 377, 
	377, 377, 377, -1, 377, 377, 377, 377, 
	377, 377, 377, 378, 378, 378, 378, -1, 
	-1, -1, -1, -1, -1, -1, 153, 153, 
	-1, -1, -1, 157, 157, -1, -1, 611, 
	143, 143, -1, -1, -1, 144, 144, -1, 
	-1, -1, -1, 10, 10, 10, 10, -1, 
	9, 10, 10, -1, 10, 10, 10, -1, 
	-1, -1, -1, 10, 10, 10, -1, 10, 
	10, 10, -1, -1, -1, -1, 10, -1, 
	-1, -1, -1, 10, -1, -1, -1, 10, 
	10, 10, -1, 10, 10, -1, -1, 10, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 573, 573, 10, 163, 163, 163, 163, 
	163, -1, -1, 411, 411, 411, 411, 10, 
	10, 10, 10, 10, 10, 10, 10, -1, 
	10, 10, 10, 163, 163, 636, 636, 215, 
	215, 215, 215, 573, -1, -1, -1, 215, 
	-1, -1, -1, 163, -1, 215, 483, 215, 
	215, 215, -1, -1, -1, -1, -1, -1, 
	-1, 10, 10, 10, 10, 10, 377, 636, 
	377, 377, 377, 377, 377, 601, 601, 601, 
	10, 601, -1, 11, 11, 11, 11, 11, 
	11, 11, 11, 11, 11, 11, 11, 11, 
	11, 11, 11, -1, 11, 11, 11, 11, 
	11, 11, 11, 11, -1, -1, -1, 11, 
	11, 11, 11, 11, -1, 11, -1, 11, 
	11, 11, 11, -1, 11, -1, 11, 11, 
	11, -1, 11, 11, 215, -1, 11, 11, 
	11, 11, 11, 11, 11, 11, -1, 11, 
	11, 11, 11, 11, 11, 11, 11, 11, 
	379, 11, 11, 11, 11, -1, 706, -1, 
	706, -1, -1, -1, 11, 706, -1, -1, 
	-1, 652, 652, 652, -1, 652, -1, 145, 
	145, -1, 11, 11, 11, 11, -1, -1, 
	379, 379, 379, 379, 379, 379, 379, 379, 
	379, 379, 379, 379, 379, 379, 379, -1, 
	379, 379, 379, 379, 379, 379, 379, -1, 
	215, -1, 215, 215, 215, 215, 215, 215, 
	-1, -1, -1, -1, -1, -1, -1, 411, 
	411, 411, 601, -1, -1, -1, -1, 163, 
	163, -1, -1, -1, -1, 422, -1, -1, 
	601, 149, 149, -1, -1, -1, 150, 150, 
	-1, -1, -1, -1, 11, 11, 11, 11, 
	-1, 10, 11, 11, -1, 11, 11, 11, 
	-1, -1, -1, -1, 11, 11, 11, -1, 
	11, 11, 11, -1, -1, 601, -1, 11, 
	-1, 422, -1, -1, 11, -1, -1, 270, 
	11, 11, 11, -1, 11, 11, -1, -1, 
	11, -1, -1, -1, -1, -1, -1, -1, 
	-1, 706, 706, -1, 11, -1, -1, -1, 
	-1, 270, 270, 270, 270, 270, 652, -1, 
	11, 11, 11, 11, 11, 11, 11, 11, 
	-1, 11, 11, 11, 652, -1, -1, -1, 
	270, 270, -1, 706, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	270, -1, 379, -1, 379, 379, 379, 379, 
	379, -1, 11, 11, 11, 11, 11, -1, 
	-1, 652, -1, -1, 679, 679, 679, -1, 
	679, 11, -1, -1, 12, 12, 12, 12, 
	12, 12, 12, 12, 12, 12, 12, 12, 
	12, 12, 12, 12, -1, 12, 12, 12, 
	12, 12, 12, 12, 12, -1, -1, -1, 
	12, 12, 12, 12, 12, -1, 12, -1, 
	12, 12, 12, 12, -1, 12, -1, 12, 
	12, 12, -1, 12, 12, -1, -1, 12, 
	12, 12, 12, 12, 12, 12, 12, -1, 
	12, 12, 12, 12, 12, 12, 12, 12, 
	12, -1, 12, 12, 12, 12, -1, -1, 
	707, -1, 707, -1, -1, 12, 380, 707, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 12, 12, 12, 12, -1, 
	-1, -1, 270, 270, -1, 270, -1, -1, 
	-1, 410, 410, 410, -1, -1, 380, 380, 
	380, 380, 380, 380, 380, 380, 380, 380, 
	380, 380, 380, 380, 380, 380, 380, 380, 
	380, 380, 380, 380, 380, -1, -1, -1, 
	-1, 679, -1, -1, -1, -1, -1, 378, 
	378, 378, 378, -1, 270, 270, -1, 679, 
	-1, -1, 153, 153, -1, -1, -1, 157, 
	157, -1, -1, -1, -1, 12, 12, 12, 
	12, -1, 11, 12, 12, -1, 12, 12, 
	12, -1, -1, -1, -1, 12, 12, 12, 
	-1, 12, 12, 12, 679, -1, -1, -1, 
	12, -1, -1, -1, -1, 12, 270, -1, 
	-1, 12, 12, 12, -1, 12, 12, -1, 
	-1, 12, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 707, 707, 12, 274, 274, 
	274, 274, 274, -1, -1, 573, 573, -1, 
	-1, 12, 12, 12, 12, 12, 12, 12, 
	12, -1, 12, 12, 12, 274, 274, -1, 
	387, 387, 387, 387, -1, 707, -1, -1, 
	387, -1, -1, -1, -1, 274, 387, -1, 
	387, 387, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 12, 12, 12, 12, 12, 
	380, -1, 380, 380, 380, 380, 380, -1, 
	-1, -1, 12, -1, -1, 13, 13, 13, 
	13, 13, 13, 13, 13, 13, 13, 13, 
	13, 13, 13, 13, 13, -1, 13, 13, 
	13, 13, 13, 13, 13, 13, -1, -1, 
	-1, 13, 13, 13, 13, 13, -1, 13, 
	-1, 13, 13, 13, 13, -1, 13, -1, 
	13, 13, 13, -1, 13, 13, -1, -1, 
	13, 13, 13, 13, 13, 13, 13, 13, 
	215, 13, 13, 13, 13, 13, 13, 13, 
	13, 13, 381, 13, 13, 13, 13, -1, 
	-1, -1, -1, -1, -1, -1, 13, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 13, 13, 13, 13, 
	-1, -1, 381, 381, 381, 381, 381, 381, 
	381, 381, 381, 381, 381, 381, 381, 381, 
	381, -1, 381, 381, 381, 381, 381, 381, 
	381, 387, -1, 387, 387, 387, 387, 387, 
	387, -1, -1, -1, 215, -1, 215, 215, 
	215, 215, 215, 215, -1, -1, -1, -1, 
	-1, 274, 274, 411, 411, 411, -1, -1, 
	-1, -1, -1, 163, 163, 447, 447, 447, 
	447, 447, -1, -1, 601, -1, 13, 13, 
	13, 13, -1, 12, 13, 13, -1, 13, 
	13, 13, -1, -1, 447, 447, 13, 13, 
	13, -1, 13, 13, 13, -1, -1, -1, 
	-1, 13, -1, -1, 447, -1, 13, -1, 
	-1, 601, 13, 13, 13, -1, 13, 13, 
	-1, -1, 13, -1, 416, -1, 416, 416, 
	416, 416, -1, -1, -1, -1, 13, 448, 
	448, 448, 448, 448, 666, 666, 666, 666, 
	666, -1, 13, 13, 13, 13, 13, 13, 
	13, 13, -1, 13, 13, 13, 448, 448, 
	-1, -1, -1, 666, 666, 416, -1, -1, 
	652, -1, -1, -1, -1, -1, 448, -1, 
	-1, -1, -1, 666, 381, -1, 381, 381, 
	381, 381, 381, -1, 13, 13, 13, 13, 
	13, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 13, -1, 652, 14, 14, 
	14, 14, 14, 14, 14, 14, 14, 14, 
	14, 14, 14, 14, 14, 14, -1, 14, 
	14, 14, 14, 14, 14, 14, 14, -1, 
	-1, -1, 14, 14, 14, 14, 14, -1, 
	14, -1, 14, 14, 14, 14, -1, 14, 
	-1, 14, 14, 14, -1, 14, 14, -1, 
	-1, 14, 14, 14, 14, 14, 14, 14, 
	14, -1, 14, 14, 14, 14, 14, 14, 
	14, 14, 14, -1, 14, 14, 14, 14, 
	-1, -1, -1, -1, -1, -1, -1, 14, 
	447, 447, 382, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 14, 14, 14, 
	14, 416, -1, -1, -1, -1, 416, -1, 
	-1, -1, 416, 416, -1, -1, 270, 270, 
	-1, 270, 382, 382, 382, 382, 382, 382, 
	382, 382, 382, 382, 382, 382, 382, 382, 
	382, 382, 382, 382, 382, 382, 382, 382, 
	382, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 448, 448, -1, -1, -1, 666, 
	666, 416, -1, -1, -1, -1, -1, -1, 
	270, 270, -1, -1, -1, -1, -1, 14, 
	14, 14, 14, -1, 13, 14, 14, -1, 
	14, 14, 14, -1, -1, -1, -1, 14, 
	14, 14, -1, 14, 14, 14, -1, -1, 
	-1, 420, 14, 420, 420, 420, 420, 14, 
	420, -1, -1, 14, 14, 14, -1, 14, 
	14, -1, 270, 14, -1, -1, -1, 383, 
	-1, -1, -1, -1, -1, -1, -1, 14, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 420, 14, 14, 14, 14, 14, 
	14, 14, 14, -1, 14, 14, 14, 383, 
	383, 383, 383, 383, 383, 383, 383, 383, 
	383, 383, 383, 383, 383, 383, 383, 383, 
	383, 383, 383, 383, 383, 383, -1, -1, 
	-1, -1, -1, -1, -1, 14, 14, 14, 
	14, 14, -1, -1, 382, -1, 382, 382, 
	382, 382, 382, -1, 14, -1, -1, 15, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	15, 15, 15, 15, 15, 15, 15, -1, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	-1, -1, -1, 15, 15, 15, 15, 15, 
	-1, 15, -1, 15, 15, 15, 15, -1, 
	15, -1, 15, 15, 15, -1, 15, 15, 
	-1, -1, 15, 15, 15, 15, 15, 15, 
	15, 15, -1, 15, 15, 15, 15, 15, 
	15, 15, 15, 15, -1, 15, 15, 15, 
	15, -1, -1, -1, -1, -1, 420, -1, 
	15, -1, -1, 420, -1, -1, -1, 420, 
	420, -1, -1, -1, -1, -1, 15, 15, 
	15, 15, -1, -1, -1, 494, 494, 494, 
	494, -1, -1, -1, -1, 494, -1, -1, 
	-1, -1, -1, 494, -1, 494, 494, -1, 
	-1, 383, -1, 383, 383, 383, 383, 383, 
	-1, -1, -1, -1, -1, 387, 420, 387, 
	387, 387, 387, 387, 387, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 274, 274, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	15, 15, 15, 15, -1, 14, 15, 15, 
	-1, 15, 15, 15, -1, -1, -1, -1, 
	15, 15, 15, -1, 15, 15, 15, -1, 
	-1, -1, 612, 15, 612, 612, 612, 612, 
	15, 612, -1, -1, 15, 15, 15, -1, 
	15, 15, -1, -1, 15, -1, -1, -1, 
	388, -1, -1, -1, -1, -1, -1, -1, 
	15, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 612, 15, 15, 15, 15, 
	15, 15, 15, 15, -1, 15, 15, 15, 
	388, 388, 388, 388, 388, 388, 388, 388, 
	388, 388, 388, 388, 388, 388, 388, 388, 
	388, 388, 388, 388, 388, 388, 388, -1, 
	-1, 494, 494, 494, 494, 494, 15, 15, 
	15, 15, 15, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 15, -1, -1, 
	16, 16, 16, 16, 16, 16, 16, 16, 
	16, 16, 16, 16, 16, 16, 16, 16, 
	-1, 16, 16, 16, 16, 16, 16, 16, 
	16, -1, -1, -1, 16, 16, 16, 16, 
	16, -1, 16, -1, 16, 16, 16, 16, 
	-1, 16, -1, 16, 16, 16, -1, 16, 
	16, -1, -1, 16, 16, 16, 16, 16, 
	16, 16, 16, -1, 16, 16, 16, 16, 
	16, 16, 16, 16, 16, -1, 16, 16, 
	16, 16, -1, -1, -1, -1, -1, 612, 
	-1, 16, -1, -1, 612, -1, -1, -1, 
	612, 612, -1, -1, 447, 447, -1, 16, 
	16, 16, 16, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, 434, -1, 
	-1, -1, 416, 498, 498, 498, 498, 416, 
	-1, -1, 388, 498, 388, 388, 388, 388, 
	388, 498, -1, 498, 498, -1, -1, 612, 
	-1, 541, 541, 541, 541, 541, 541, 541, 
	541, 541, 541, 541, 541, -1, -1, -1, 
	-1, -1, -1, 434, -1, -1, 448, 448, 
	-1, -1, -1, 666, 666, 416, -1, -1, 
	-1, 16, 16, 16, 16, -1, 15, 16, 
	16, -1, 16, 16, 16, -1, -1, -1, 
	-1, 16, 16, 16, -1, 16, 16, 16, 
	-1, 541, -1, -1, 16, -1, -1, -1, 
	-1, 16, -1, -1, -1, 16, 16, 16, 
	-1, 16, 16, -1, -1, 16, 495, 495, 
	495, 495, -1, -1, -1, -1, 495, 486, 
	-1, 16, -1, -1, 495, -1, 495, 495, 
	-1, -1, -1, -1, -1, 16, 16, 16, 
	16, 16, 16, 16, 16, -1, 16, 16, 
	16, -1, -1, -1, -1, -1, 434, 486, 
	486, 486, 486, 486, 486, 486, 486, 486, 
	486, 486, 486, 486, 486, 486, -1, 486, 
	486, 486, 486, 486, 486, 486, -1, 16, 
	16, 16, 16, 16, -1, -1, -1, 498, 
	498, 498, 498, 498, 541, -1, 16, -1, 
	-1, 17, 17, 17, 17, 17, 17, 17, 
	17, 17, 17, 17, 17, 17, 17, 17, 
	17, -1, 17, 17, 17, 17, 17, 17, 
	17, 17, -1, -1, -1, 17, 17, 17, 
	17, 17, -1, 17, -1, 17, 17, 17, 
	17, -1, 17, -1, 17, 17, 17, -1, 
	17, 17, -1, -1, 17, 17, 17, 17, 
	17, 17, 17, 17, -1, 17, 17, 17, 
	17, 17, 17, 17, 17, 17, -1, 17, 
	17, 17, 17, -1, -1, -1, -1, -1, 
	-1, -1, 17, -1, -1, -1, -1, -1, 
	-1, -1, 495, 495, 495, 495, 495, 420, 
	17, 17, 17, 17, 420, -1, -1, 496, 
	496, 496, 496, -1, -1, -1, -1, 496, 
	-1, -1, -1, -1, -1, 496, -1, 496, 
	496, -1, -1, -1, -1, -1, -1, -1, 
	-1, 486, -1, 486, 486, 486, 486, 486, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 420, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 17, 17, 17, 17, -1, 16, 
	17, 17, -1, 17, 17, 17, -1, -1, 
	-1, -1, 17, 17, 17, -1, 17, 17, 
	17, -1, -1, -1, -1, 17, -1, -1, 
	-1, -1, 17, -1, -1, -1, 17, 17, 
	17, -1, 17, 17, -1, -1, 17, -1, 
	490, 490, 490, 490, -1, -1, -1, -1, 
	490, -1, 17, -1, -1, -1, 490, -1, 
	490, 490, -1, -1, -1, -1, 17, 17, 
	17, 17, 17, 17, 17, 17, -1, 17, 
	17, 17, -1, -1, -1, -1, 484, 484, 
	484, 484, -1, -1, -1, -1, 484, -1, 
	-1, -1, -1, -1, 484, -1, 484, 484, 
	484, -1, -1, 496, 496, 496, 496, 496, 
	17, 17, 17, 17, 17, 494, 494, 494, 
	494, 494, -1, -1, -1, -1, -1, 17, 
	-1, -1, 18, 18, 18, 18, 18, 18, 
	18, 18, 18, 18, 18, 18, 18, 18, 
	18, 18, -1, 18, 18, 18, 18, 18, 
	18, 18, 18, -1, -1, -1, 18, 18, 
	18, 18, 18, -1, 18, -1, 18, 18, 
	18, 18, -1, 18, -1, 18, 18, 18, 
	-1, 18, 18, 484, -1, 18, 18, 18, 
	18, 18, 18, 18, 18, -1, 18, 18, 
	18, 18, 18, 18, 18, 18, 18, -1, 
	18, 18, 18, 18, -1, -1, -1, -1, 
	-1, -1, -1, 18, -1, -1, -1, -1, 
	-1, -1, -1, 490, 490, 490, 490, 490, 
	490, 18, 18, 18, 18, 540, 540, 540, 
	540, 540, 540, 540, 540, 540, 540, 540, 
	540, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 484, 
	-1, 484, 484, 484, 484, 484, 484, -1, 
	-1, -1, 542, 542, 542, 542, 542, 542, 
	542, 542, 542, 542, 542, 542, -1, -1, 
	-1, -1, -1, -1, -1, 540, -1, -1, 
	-1, -1, 559, 559, 559, 559, 559, 434, 
	-1, 559, -1, 18, 18, 18, 18, -1, 
	17, 18, 18, -1, 18, 18, 18, -1, 
	-1, 559, 559, 18, 18, 18, -1, 18, 
	18, 18, 542, -1, -1, -1, 18, -1, 
	-1, 559, -1, 18, -1, -1, -1, 18, 
	18, 18, -1, 18, 18, -1, -1, 18, 
	-1, 491, 491, 491, 491, -1, -1, -1, 
	-1, 491, -1, 18, -1, -1, -1, 491, 
	-1, 491, 491, -1, -1, -1, -1, 18, 
	18, 18, 18, 18, 18, 18, 18, -1, 
	18, 18, 18, 492, 492, 492, 492, -1, 
	540, -1, -1, 492, -1, 493, 493, 493, 
	493, 492, 434, 492, 492, 493, -1, -1, 
	-1, -1, -1, 493, -1, 493, 493, -1, 
	-1, 18, 18, 18, 18, 18, -1, -1, 
	-1, -1, -1, -1, -1, 542, -1, -1, 
	18, -1, -1, 19, 19, 19, 19, 19, 
	19, 19, 19, 19, 19, 19, 19, 19, 
	19, 19, 19, 559, 19, 19, 19, 19, 
	19, 19, 19, 19, -1, -1, -1, 19, 
	19, 19, 19, 19, -1, 19, -1, 19, 
	19, 19, 19, -1, 19, -1, 19, 19, 
	19, -1, 19, 19, -1, -1, 19, 19, 
	19, 19, 19, 19, 19, 19, -1, 19, 
	19, 19, 19, 19, 19, 19, 19, 19, 
	-1, 19, 19, 19, 19, -1, -1, -1, 
	-1, -1, -1, -1, 19, 559, 559, -1, 
	-1, -1, -1, -1, 491, 491, 491, 491, 
	491, 491, 19, 19, 19, 19, 495, 495, 
	495, 495, 495, -1, -1, -1, -1, -1, 
	-1, 543, 543, 543, 543, 543, 543, 543, 
	543, 543, 543, 543, 543, -1, 492, 492, 
	492, 492, 492, 492, -1, -1, -1, -1, 
	493, 493, 493, 493, 493, 493, -1, -1, 
	544, 544, 544, 544, 544, 544, 544, 544, 
	544, 544, 544, 544, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 543, -1, -1, 19, 19, 19, 19, 
	-1, 18, 19, 19, -1, 19, 19, 19, 
	-1, -1, -1, -1, 19, 19, 19, -1, 
	19, 19, 19, -1, -1, -1, -1, 19, 
	544, -1, -1, -1, 19, -1, -1, -1, 
	19, 19, 19, -1, 19, 19, -1, -1, 
	19, 497, 497, 497, 497, 499, -1, -1, 
	-1, 497, -1, -1, 19, -1, -1, 497, 
	-1, 497, 497, -1, -1, -1, -1, -1, 
	19, 19, 19, 19, 19, 19, 19, 19, 
	-1, 19, 19, 19, -1, 499, 499, 499, 
	499, 499, 499, 499, 499, 499, 499, 499, 
	499, 499, 499, 499, 543, 499, 499, 499, 
	499, 499, 499, 499, -1, -1, -1, -1, 
	-1, -1, 19, 19, 19, 19, 19, 496, 
	496, 496, 496, 496, -1, -1, -1, -1, 
	-1, 19, -1, 544, 20, 20, 20, 20, 
	20, 20, 20, 20, 20, 20, 20, 20, 
	20, 20, 20, 20, -1, 20, 20, 20, 
	20, 20, 20, 20, 20, -1, -1, -1, 
	20, 20, 20, 20, 20, -1, 20, -1, 
	20, 20, 20, 20, -1, 20, -1, 20, 
	20, 20, -1, 20, 20, -1, -1, 20, 
	20, 20, 20, 20, 20, 20, 20, 484, 
	20, 20, 20, 20, 20, 20, 20, 20, 
	20, -1, 20, 20, 20, 20, -1, -1, 
	-1, -1, -1, -1, -1, 20, -1, -1, 
	-1, -1, -1, -1, -1, 497, 497, 497, 
	497, 497, -1, 20, 20, 20, 20, 490, 
	490, 490, 490, 490, 490, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 499, 
	-1, 499, 499, 499, 499, 499, -1, -1, 
	-1, -1, -1, 484, -1, 484, 484, 484, 
	484, 484, 484, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 540, -1, -1, -1, 20, 20, 20, 
	20, -1, 19, 20, 20, -1, 20, 20, 
	20, -1, -1, -1, -1, 20, 20, 20, 
	-1, 20, 20, 20, -1, -1, -1, -1, 
	20, -1, -1, -1, -1, 20, -1, -1, 
	-1, 20, 20, 20, -1, 20, 20, -1, 
	-1, 20, -1, -1, -1, 500, -1, -1, 
	-1, -1, -1, -1, -1, 20, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 20, 20, 20, 20, 20, 20, 20, 
	20, -1, 20, 20, 20, 500, 500, 500, 
	500, 500, 500, 500, 500, 500, 500, 500, 
	500, 500, 500, 500, 540, 500, 500, 500, 
	500, 500, 500, 500, -1, -1, -1, -1, 
	-1, -1, -1, 20, 20, 20, 20, 20, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 20, -1, -1, 21, 21, 21, 
	21, 21, 21, 21, 21, 21, 21, 21, 
	21, 21, 21, 21, 21, -1, 21, 21, 
	21, 21, 21, 21, 21, 21, -1, 559, 
	-1, 21, 21, 21, 21, 21, -1, 21, 
	-1, 21, 21, 21, 21, -1, 21, -1, 
	21, 21, 21, -1, 21, 21, -1, -1, 
	21, 21, 21, 21, 21, 21, 21, 21, 
	-1, 21, 21, 21, 21, 21, 21, 21, 
	21, 21, -1, 21, 21, 21, 21, -1, 
	-1, -1, -1, -1, -1, -1, 21, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 559, 559, -1, 21, 21, 21, 21, 
	491, 491, 491, 491, 491, 491, -1, -1, 
	-1, -1, 545, 545, 545, 545, 545, 545, 
	545, 545, 545, 545, 545, 545, -1, 500, 
	-1, 500, 500, 500, 500, 500, -1, -1, 
	-1, -1, 492, 492, 492, 492, 492, 492, 
	-1, -1, -1, -1, 493, 493, 493, 493, 
	493, 493, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 545, -1, -1, -1, 21, 21, 
	21, 21, -1, 20, 21, 21, -1, 21, 
	21, 21, -1, -1, -1, -1, 21, 21, 
	21, -1, 21, 21, 21, -1, -1, -1, 
	-1, 21, -1, -1, -1, -1, 21, -1, 
	-1, -1, 21, 21, 21, -1, 21, 21, 
	-1, -1, 21, -1, -1, -1, 501, -1, 
	-1, -1, -1, -1, -1, -1, 21, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 21, 21, 21, 21, 21, 21, 
	21, 21, -1, 21, 21, 21, 501, 501, 
	501, 501, 501, 501, 501, 501, 501, 501, 
	501, 501, 501, 501, 501, 545, 501, 501, 
	501, 501, 501, 501, 501, -1, -1, -1, 
	-1, -1, -1, -1, 21, 21, 21, 21, 
	21, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 21, -1, -1, 22, 22, 
	22, 22, 22, 22, 22, 22, 22, 22, 
	22, 22, 22, 22, 22, 22, -1, 22, 
	22, 22, 22, 22, 22, 22, 22, -1, 
	-1, -1, 22, 22, 22, 22, 22, -1, 
	22, -1, 22, 22, 22, 22, -1, 22, 
	-1, 22, 22, 22, -1, 22, 22, -1, 
	-1, 22, 22, 22, 22, 22, 22, 22, 
	22, -1, 22, 22, 22, 22, 22, 22, 
	22, 22, 22, -1, 22, 22, 22, 22, 
	-1, -1, -1, -1, -1, -1, -1, 22, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 22, 22, 22, 
	22, 497, 497, 497, 497, 497, -1, -1, 
	-1, -1, -1, 546, 546, 546, 546, 546, 
	546, 546, 546, 546, 546, 546, 546, -1, 
	501, -1, 501, 501, 501, 501, 501, -1, 
	-1, -1, 547, 547, 547, 547, 547, 547, 
	547, 547, 547, 547, 547, 547, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 546, -1, -1, -1, 22, 
	22, 22, 22, -1, 21, 22, 22, -1, 
	22, 22, 22, -1, -1, -1, -1, 22, 
	22, 22, 547, 22, 22, 22, -1, -1, 
	-1, -1, 22, -1, -1, -1, -1, 22, 
	210, -1, -1, 22, 22, 22, -1, 22, 
	22, -1, -1, 22, -1, -1, -1, 502, 
	-1, -1, -1, 210, -1, -1, -1, 22, 
	-1, -1, -1, 210, -1, -1, -1, -1, 
	-1, 210, -1, 22, 22, 22, 22, 22, 
	22, 22, 22, -1, 22, 22, 22, 502, 
	502, 502, 502, 502, 502, 502, 502, 502, 
	502, 502, 502, 502, 502, 502, 546, 502, 
	502, 502, 502, 502, 502, 502, -1, -1, 
	-1, -1, -1, -1, -1, 22, 22, 22, 
	22, 22, -1, -1, -1, 547, -1, -1, 
	-1, -1, -1, -1, 22, 210, -1, 23, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	23, 23, 23, 23, 23, 23, 23, -1, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	-1, -1, -1, 23, 23, 23, 23, 23, 
	-1, 23, -1, 23, 23, 23, 23, -1, 
	23, -1, 23, 23, 23, -1, 23, 23, 
	-1, -1, 23, 23, 23, 23, 23, 23, 
	23, 23, 210, 23, 23, 23, 23, 23, 
	23, 23, 23, 23, 210, 23, 23, 23, 
	23, -1, -1, -1, -1, -1, -1, -1, 
	23, -1, -1, 210, -1, 210, -1, -1, 
	-1, -1, -1, -1, -1, -1, 23, 23, 
	23, 23, -1, -1, -1, 210, 548, 548, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	548, 548, -1, -1, -1, -1, -1, -1, 
	-1, 502, -1, 502, 502, 502, 502, 502, 
	-1, -1, -1, 549, 549, 549, 549, 549, 
	549, 549, 549, 549, 549, 549, 549, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 548, -1, 
	-1, -1, -1, -1, 210, -1, -1, -1, 
	23, 23, 23, 23, -1, 22, 23, 23, 
	-1, 23, 23, 23, -1, -1, -1, -1, 
	23, 23, 23, 549, 23, 23, 23, -1, 
	-1, -1, -1, 23, -1, -1, -1, -1, 
	23, -1, -1, -1, 23, 23, 23, -1, 
	23, 23, -1, -1, 23, 581, 581, 581, 
	581, 581, 581, 581, 581, 581, 581, -1, 
	23, -1, -1, 581, -1, 581, 581, 581, 
	581, 581, 581, 581, 23, 23, 23, 23, 
	23, 23, 23, 23, -1, 23, 23, 23, 
	-1, -1, -1, 613, -1, 613, 613, 613, 
	613, 548, 613, -1, -1, -1, -1, -1, 
	-1, 550, 550, 550, 550, 550, 550, 550, 
	550, 550, 550, 550, 550, -1, 23, 23, 
	23, 23, 23, -1, -1, -1, 549, -1, 
	-1, -1, -1, -1, 613, 23, -1, -1, 
	29, 29, 29, 29, 29, 29, 29, 29, 
	29, 29, 29, 29, 29, 29, 29, 29, 
	-1, 29, 29, 29, 29, 29, 29, 29, 
	29, 550, -1, -1, 29, 29, 29, 29, 
	29, -1, 29, -1, 29, 29, 29, 29, 
	-1, 29, -1, 29, 29, 29, -1, 29, 
	29, -1, -1, 29, 29, 29, 29, 29, 
	29, 29, 29, -1, 29, 29, 29, 29, 
	29, 29, 29, 29, 29, -1, 29, 29, 
	29, 29, -1, -1, -1, -1, -1, -1, 
	-1, 29, -1, -1, -1, -1, -1, 581, 
	-1, 581, 581, 581, 581, 581, -1, 29, 
	29, 29, 29, -1, -1, -1, -1, -1, 
	-1, 551, 551, 551, 551, 551, 551, 551, 
	551, 551, 551, 551, 551, -1, -1, -1, 
	-1, -1, -1, -1, 550, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	613, -1, -1, -1, -1, 613, -1, -1, 
	-1, 613, 613, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 551, -1, -1, -1, -1, -1, -1, 
	-1, 29, 29, 29, 29, -1, 23, 29, 
	29, -1, 29, 29, 29, -1, -1, -1, 
	-1, 29, 29, 29, -1, 29, 29, 29, 
	613, -1, -1, -1, 29, -1, -1, -1, 
	-1, 29, -1, -1, -1, 29, 29, 29, 
	-1, 29, 29, -1, -1, 29, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 29, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 29, 29, 29, 
	29, 29, 29, 29, 29, -1, 29, 29, 
	29, 582, 582, 582, 582, 582, 582, 582, 
	582, 582, 582, -1, 551, -1, -1, 582, 
	-1, 582, 582, 582, 582, 582, 582, 582, 
	-1, -1, -1, -1, -1, -1, -1, 29, 
	29, 29, 29, 29, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 29, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, -1, 34, 34, 34, 34, 34, 
	-1, 34, -1, 34, 34, 34, 34, -1, 
	34, -1, 34, 34, 34, -1, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, -1, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, -1, 34, 34, 34, 
	34, -1, -1, -1, -1, -1, -1, -1, 
	34, -1, -1, 34, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 34, 34, 
	34, 34, 583, 583, 583, 583, 583, 583, 
	583, 583, 583, 583, -1, -1, -1, -1, 
	583, 210, 583, 583, 583, 583, 583, 583, 
	583, -1, -1, 582, -1, 582, 582, 582, 
	582, 582, -1, -1, -1, -1, -1, -1, 
	617, 617, 617, 617, 617, 617, 617, 617, 
	617, 617, 617, 617, -1, -1, -1, 661, 
	661, 661, 661, 661, 661, 661, 661, 661, 
	661, 661, 661, -1, -1, -1, -1, -1, 
	34, 34, 34, 34, -1, -1, 34, 34, 
	210, 34, 34, 34, -1, -1, -1, -1, 
	34, 34, 34, -1, 34, 34, 34, -1, 
	617, -1, -1, 34, -1, -1, -1, -1, 
	34, -1, -1, -1, 34, 34, 34, 661, 
	34, 34, -1, -1, 34, -1, -1, -1, 
	-1, -1, -1, -1, -1, 34, 34, 34, 
	34, 34, 34, 34, -1, -1, -1, -1, 
	34, 34, -1, -1, 34, 34, 34, 34, 
	34, 34, 34, 34, -1, 34, 34, 34, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 251, 251, 251, 251, 251, 251, 
	-1, -1, -1, -1, 583, -1, 583, 583, 
	583, 583, 583, -1, -1, 251, 34, 34, 
	34, 34, 34, -1, -1, -1, 251, 251, 
	251, 251, 251, 617, 251, 34, 251, -1, 
	-1, -1, -1, 251, 34, -1, 251, 251, 
	-1, -1, 661, -1, -1, 251, 251, -1, 
	-1, -1, 251, 251, 251, -1, -1, -1, 
	-1, 251, 251, 251, 251, 251, -1, -1, 
	40, 40, 40, 40, 40, 40, -1, 40, 
	40, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 40, 40, 40, 40, 40, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 40, -1, -1, -1, 40, -1, -1, 
	-1, 40, 40, 40, 40, 40, -1, -1, 
	-1, -1, 40, 40, 40, -1, -1, -1, 
	-1, 40, 40, -1, 40, 40, 40, 40, 
	-1, -1, -1, 581, -1, -1, -1, 40, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 40, 40, 40, 
	40, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 251, 251, 251, -1, 
	-1, 251, 251, -1, -1, 251, 251, -1, 
	-1, -1, -1, 251, 251, 251, -1, 251, 
	251, 251, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 251, 251, -1, -1, 251, 
	251, 251, -1, 251, 251, 551, 34, 251, 
	-1, -1, -1, -1, -1, 29, 29, 29, 
	29, -1, -1, 29, 29, -1, 29, 29, 
	29, -1, -1, -1, -1, 29, 29, 29, 
	-1, 29, 29, 29, -1, -1, -1, -1, 
	29, 251, 251, -1, -1, 29, -1, -1, 
	-1, 29, 29, 29, -1, 29, 29, -1, 
	-1, 29, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 29, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 29, 29, 29, 29, 29, 29, 29, 
	29, -1, 29, 29, 29, 251, 40, 40, 
	40, 40, 40, -1, 40, 40, 40, -1, 
	551, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 29, 29, 29, 29, -1, 
	-1, -1, -1, -1, -1, 40, 40, 40, 
	40, 40, 29, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, -1, 35, 
	35, 35, 35, 35, -1, 35, -1, 35, 
	35, 35, 35, -1, 35, -1, 35, 35, 
	35, -1, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, -1, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	576, 35, 35, 35, 35, -1, -1, -1, 
	-1, -1, -1, -1, 35, -1, -1, 35, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 35, 35, 35, 35, -1, -1, 
	576, 576, 576, 576, 576, 576, 576, 576, 
	576, 576, 576, 576, 576, 576, 576, -1, 
	576, 576, 576, 576, 576, 576, 576, 582, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 35, 35, 35, 35, 
	-1, -1, 35, 35, -1, 35, 35, 35, 
	-1, -1, -1, -1, 35, 35, 35, -1, 
	35, 35, 35, -1, 617, -1, -1, 35, 
	-1, -1, -1, -1, 35, -1, -1, -1, 
	35, 35, 35, -1, 35, 35, -1, -1, 
	35, -1, -1, -1, -1, -1, -1, -1, 
	-1, 35, 35, 35, 35, 35, 35, 35, 
	-1, -1, -1, -1, 35, 35, -1, -1, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	-1, 35, 35, 35, 614, -1, 614, 614, 
	614, 614, -1, 614, -1, -1, -1, -1, 
	658, -1, 658, 658, 658, 658, -1, 658, 
	583, -1, 576, -1, 576, 576, 576, 576, 
	576, -1, 35, 35, 35, 35, 35, -1, 
	-1, -1, -1, -1, -1, 614, -1, 617, 
	-1, 35, -1, -1, -1, -1, -1, -1, 
	35, 658, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, -1, 36, 36, 
	36, 36, 36, -1, 36, -1, 36, 36, 
	36, 36, -1, 36, -1, 36, 36, 36, 
	-1, 36, 36, 36, 36, 36, 36, 36, 
	36, 36, 36, 36, 36, -1, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, 577, 
	36, 36, 36, 36, -1, -1, -1, -1, 
	-1, -1, -1, 36, -1, -1, 36, -1, 
	-1, 36, -1, -1, -1, -1, -1, -1, 
	-1, 36, 36, 36, 36, -1, -1, 577, 
	577, 577, 577, 577, 577, 577, 577, 577, 
	577, 577, 577, 577, 577, 577, -1, 577, 
	577, 577, 577, 577, 577, 577, -1, -1, 
	-1, 614, -1, -1, -1, -1, 614, -1, 
	-1, -1, 614, 614, -1, 658, -1, -1, 
	-1, -1, 658, -1, -1, -1, 658, 658, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 35, 36, 36, 36, 36, -1, 
	-1, 36, 36, -1, 36, 36, 36, -1, 
	-1, 614, -1, 36, 36, 36, -1, 36, 
	36, 36, -1, -1, -1, 658, 36, -1, 
	-1, -1, -1, 36, -1, -1, -1, 36, 
	36, 36, -1, 36, 36, -1, -1, 36, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	36, 36, 36, 36, 36, 36, 36, -1, 
	-1, -1, -1, 36, 36, -1, 36, 36, 
	36, 36, 36, 36, 36, 36, 36, -1, 
	36, 36, 36, -1, -1, -1, -1, -1, 
	-1, -1, 40, 40, 40, 40, 40, -1, 
	40, 40, 40, -1, -1, -1, -1, -1, 
	-1, 577, -1, 577, 577, 577, 577, 577, 
	-1, 36, 36, 36, 36, 36, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	36, 40, 40, 40, 40, -1, -1, 36, 
	-1, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, -1, 41, 41, 41, 
	41, 41, -1, 41, -1, 41, 41, 41, 
	41, -1, 41, -1, 41, 41, 41, -1, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, -1, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, -1, 41, -1, -1, 
	-1, -1, 41, 41, 41, 41, 41, -1, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	41, 41, 41, 41, 41, 41, 41, 41, 
	-1, -1, -1, -1, -1, 41, -1, -1, 
	-1, -1, -1, 584, 584, 584, 584, 584, 
	584, 584, 584, 584, 584, -1, -1, -1, 
	-1, 584, -1, 584, 584, 584, 584, 584, 
	584, 584, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 659, -1, 659, 
	659, 659, 659, -1, 659, -1, -1, -1, 
	-1, 36, 41, 41, 41, 41, -1, -1, 
	41, 41, 41, 41, 41, 41, -1, -1, 
	-1, -1, 41, 41, 41, 41, 41, 41, 
	41, -1, -1, -1, -1, 41, 659, -1, 
	-1, -1, 41, 41, -1, -1, 41, 41, 
	41, -1, 41, 41, -1, -1, 41, -1, 
	-1, -1, -1, -1, -1, -1, -1, 41, 
	41, 41, 41, 41, 41, 41, -1, -1, 
	-1, 41, 41, 41, -1, -1, 41, 41, 
	41, 41, 41, 41, 41, 41, -1, 41, 
	41, 41, -1, -1, -1, 41, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	41, 41, -1, -1, 41, -1, -1, -1, 
	-1, 41, -1, -1, -1, -1, 41, -1, 
	41, 41, 41, 41, 41, 584, -1, 584, 
	584, 584, 584, 584, -1, -1, -1, 41, 
	-1, 41, -1, -1, 41, -1, 41, 41, 
	-1, -1, -1, 41, -1, 41, -1, 41, 
	43, 43, 43, 43, 43, 43, -1, 43, 
	43, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 43, 43, 43, 43, 43, -1, 
	-1, -1, 659, -1, -1, -1, -1, 659, 
	-1, 43, -1, 659, 659, 43, -1, -1, 
	-1, 43, 43, 43, 43, 43, 694, -1, 
	694, -1, 43, 43, 43, 694, -1, -1, 
	-1, 43, 43, 580, 43, 43, 43, 43, 
	694, 694, -1, -1, -1, -1, -1, 43, 
	-1, -1, -1, -1, -1, -1, 694, -1, 
	-1, -1, 659, -1, -1, 43, 43, 43, 
	43, -1, -1, 580, 580, 580, 580, 580, 
	580, 580, 580, 580, 580, 580, 580, 580, 
	580, 580, -1, 580, 580, 580, 580, 580, 
	580, 580, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, -1, 44, 44, 
	44, 44, 44, -1, 44, -1, 44, 44, 
	44, 44, -1, 44, -1, 44, 44, 44, 
	41, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, -1, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, -1, 
	44, 44, 44, 44, -1, -1, -1, -1, 
	-1, 694, 694, 44, -1, -1, 44, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 44, 44, 44, 44, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 36, 694, 694, -1, 43, 43, 
	43, 43, 43, -1, 43, 43, 43, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 580, -1, 580, 
	580, 580, 580, 580, -1, 43, 43, 43, 
	43, 43, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 44, 44, 44, 44, -1, 
	-1, 44, 44, -1, 44, 44, 44, -1, 
	-1, -1, -1, 44, 44, 44, -1, 44, 
	44, 44, -1, -1, -1, -1, 44, -1, 
	-1, -1, -1, 44, -1, -1, -1, 44, 
	44, 44, -1, 44, 44, -1, -1, 44, 
	-1, -1, -1, 585, -1, -1, -1, -1, 
	44, 44, 44, 44, 44, 44, 44, -1, 
	-1, -1, -1, 44, 44, -1, -1, 44, 
	44, 44, 44, 44, 44, 44, 44, -1, 
	44, 44, 44, 585, 585, 585, 585, 585, 
	585, 585, 585, 585, 585, 585, 585, 585, 
	585, 585, -1, 585, 585, 585, 585, 585, 
	585, 585, -1, -1, -1, -1, -1, -1, 
	-1, 44, 44, 44, 44, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, 44, 
	-1, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, -1, 45, 45, 45, 
	45, 45, -1, 45, -1, 45, 45, 45, 
	45, -1, 45, -1, 45, 45, 45, -1, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, -1, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, -1, 45, 
	45, 45, 45, -1, -1, -1, -1, -1, 
	-1, -1, 45, -1, -1, 45, -1, -1, 
	-1, -1, -1, -1, 586, -1, -1, -1, 
	45, 45, 45, 45, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 585, -1, 585, 
	585, 585, 585, 585, 586, 586, 586, 586, 
	586, 586, 586, 586, 586, 586, 586, 586, 
	586, 586, 586, -1, 586, 586, 586, 586, 
	586, 586, 586, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 584, -1, -1, -1, -1, -1, -1, 
	-1, 44, 45, 45, 45, 45, -1, -1, 
	45, 45, -1, 45, 45, 45, -1, -1, 
	-1, -1, 45, 45, 45, -1, 45, 45, 
	45, -1, -1, -1, -1, 45, -1, -1, 
	-1, -1, 45, -1, -1, -1, 45, 45, 
	45, -1, 45, 45, -1, -1, 45, -1, 
	-1, -1, -1, -1, -1, -1, -1, 45, 
	45, 45, 45, 45, 45, 45, -1, -1, 
	-1, -1, 45, 45, -1, -1, 45, 45, 
	45, 45, 45, 45, 45, 45, -1, 45, 
	45, 45, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	45, 45, 45, 45, 45, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 586, 45, 
	586, 586, 586, 586, 586, -1, 45, -1, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, -1, 59, 59, 59, 59, 
	59, -1, 59, -1, 59, 59, 59, 59, 
	-1, 59, -1, 59, 59, 59, -1, 59, 
	59, 59, 59, 59, 59, 59, 59, 59, 
	59, 59, 59, -1, 59, 59, 59, 59, 
	59, 59, 59, 59, 59, -1, 59, 59, 
	59, 59, -1, -1, -1, -1, -1, -1, 
	-1, 59, -1, -1, 59, -1, -1, -1, 
	-1, -1, -1, 587, -1, -1, -1, 59, 
	59, 59, 59, -1, -1, 59, 59, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	694, -1, 43, 43, 43, 43, 43, -1, 
	43, 43, 43, 587, 587, 587, 587, 587, 
	587, 587, 587, 587, 587, 587, 587, 587, 
	587, 587, -1, 587, 587, 587, 587, 587, 
	587, 587, -1, -1, -1, -1, -1, -1, 
	-1, 43, 43, 43, 43, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	45, 59, 59, 59, 59, -1, -1, 59, 
	59, -1, 59, 59, 59, -1, -1, -1, 
	-1, 59, 59, 59, -1, 59, 59, 59, 
	-1, -1, -1, -1, 59, -1, -1, -1, 
	-1, 59, -1, -1, -1, 59, 59, 59, 
	-1, 59, 59, -1, -1, 59, -1, -1, 
	-1, 588, -1, -1, -1, -1, 59, 59, 
	59, 59, 59, 59, 59, -1, -1, -1, 
	-1, 59, 59, -1, -1, 59, 59, 59, 
	59, 59, 59, 59, 59, -1, 59, 59, 
	59, 588, 588, 588, 588, 588, 588, 588, 
	588, 588, 588, 588, 588, 588, 588, 588, 
	-1, 588, 588, 588, 588, 588, 588, 588, 
	-1, -1, -1, -1, -1, -1, -1, 59, 
	59, 59, 59, 59, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 587, 59, 587, 
	587, 587, 587, 587, -1, 59, -1, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, -1, 65, 65, 65, 65, 65, 
	-1, 65, -1, 65, 65, 65, 65, -1, 
	65, -1, 65, 65, 65, -1, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, -1, 65, 65, 65, 65, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, -1, -1, -1, -1, -1, -1, 
	65, 65, 65, 65, -1, -1, -1, 65, 
	65, 65, 65, 65, 65, 65, 65, 65, 
	65, 65, -1, -1, 65, 65, -1, -1, 
	-1, -1, 616, 65, 616, 616, 616, 616, 
	-1, 616, -1, 588, -1, 588, 588, 588, 
	588, 588, -1, -1, 616, 616, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 616, -1, -1, -1, -1, -1, 
	-1, -1, -1, 616, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 59, 
	65, 65, 65, 65, -1, -1, 65, 65, 
	65, 65, 65, 65, -1, -1, -1, -1, 
	65, 65, 65, 65, 65, 65, 65, -1, 
	-1, -1, -1, 65, -1, -1, -1, -1, 
	65, 65, -1, -1, 65, 65, 65, -1, 
	65, 65, -1, -1, 65, -1, -1, -1, 
	-1, -1, -1, -1, -1, 65, 65, 65, 
	65, 65, 65, 65, -1, -1, -1, 65, 
	65, 65, -1, -1, 65, 65, 65, 65, 
	65, 65, 65, 65, -1, 65, 65, 65, 
	-1, -1, -1, 65, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 65, 65, 
	-1, -1, 65, -1, -1, -1, -1, 65, 
	-1, -1, -1, -1, 65, -1, 65, 65, 
	65, 65, 65, -1, -1, -1, -1, 616, 
	616, -1, -1, -1, 616, 65, -1, 65, 
	616, 616, 65, -1, 65, 65, -1, -1, 
	-1, 65, -1, 65, -1, 65, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, -1, 66, 66, 66, 66, 66, 616, 
	66, -1, 66, 66, 66, 66, -1, 66, 
	-1, 66, 66, 66, -1, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, -1, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, -1, -1, -1, -1, -1, -1, 66, 
	66, 66, 66, 591, -1, -1, 66, 66, 
	66, 66, 66, 66, 66, 66, 66, 66, 
	66, 66, 66, 66, 66, -1, -1, -1, 
	-1, -1, 66, -1, -1, -1, -1, -1, 
	-1, -1, -1, 591, 591, 591, 591, 591, 
	591, 591, 591, 591, 591, 591, 591, 591, 
	591, 591, -1, 591, 591, 591, 591, 591, 
	591, 591, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 65, -1, 
	-1, -1, -1, -1, -1, -1, -1, 66, 
	66, 66, 66, -1, -1, 66, 66, 66, 
	66, 66, 66, -1, -1, -1, -1, 66, 
	66, 66, 66, 66, 66, 66, -1, -1, 
	-1, -1, 66, -1, -1, -1, -1, 66, 
	66, -1, -1, 66, 66, 66, -1, 66, 
	66, -1, -1, 66, -1, -1, -1, -1, 
	-1, -1, -1, -1, 66, 66, 66, 66, 
	66, 66, 66, -1, -1, -1, 66, 66, 
	66, -1, -1, 66, 66, 66, 66, 66, 
	66, 66, 66, -1, 66, 66, 66, -1, 
	-1, -1, 66, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 66, 66, -1, 
	-1, 66, -1, -1, -1, -1, 66, -1, 
	-1, -1, -1, 66, -1, 66, 66, 66, 
	66, 66, -1, -1, -1, 591, -1, 591, 
	591, 591, 591, 591, 66, -1, 66, -1, 
	-1, 66, -1, 66, 66, -1, -1, -1, 
	66, -1, 66, -1, 66, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	-1, 67, 67, 67, 67, 67, -1, 67, 
	-1, 67, 67, 67, 67, -1, 67, -1, 
	67, 67, 67, -1, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	-1, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	-1, 67, -1, -1, -1, -1, 67, 67, 
	67, 67, 67, -1, -1, 67, 67, 67, 
	67, 67, 67, 67, 67, 67, 67, 67, 
	67, 67, 67, 67, 693, -1, 693, -1, 
	-1, 67, -1, 693, -1, -1, -1, 693, 
	-1, -1, -1, -1, -1, -1, 693, 693, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 693, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 66, -1, -1, 
	-1, -1, -1, -1, -1, -1, 67, 67, 
	67, 67, -1, -1, 67, 67, 67, 67, 
	67, 67, -1, -1, -1, -1, 67, 67, 
	67, 67, 67, 67, 67, -1, -1, -1, 
	-1, 67, -1, -1, -1, -1, 67, 67, 
	-1, -1, 67, 67, 67, -1, 67, 67, 
	-1, -1, 67, -1, -1, -1, -1, -1, 
	-1, -1, -1, 67, 67, 67, 67, 67, 
	67, 67, -1, -1, -1, 67, 67, 67, 
	-1, -1, 67, 67, 67, 67, 67, 67, 
	67, 67, -1, 67, 67, 67, -1, 693, 
	693, 67, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 67, 67, -1, -1, 
	67, -1, -1, -1, 616, 67, -1, -1, 
	-1, -1, 67, -1, 67, 67, 67, 67, 
	67, 693, 693, -1, -1, -1, -1, -1, 
	-1, -1, -1, 67, -1, 67, -1, -1, 
	67, -1, 67, 67, -1, -1, -1, 67, 
	-1, 67, -1, 67, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, -1, 
	68, 68, 68, 68, 68, -1, 68, -1, 
	68, 68, 68, 68, -1, 68, -1, 68, 
	68, 68, -1, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, -1, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, -1, 
	68, -1, -1, -1, -1, 68, 68, 68, 
	68, 68, -1, -1, 68, 68, 68, 68, 
	68, 68, 68, 68, 68, 68, 68, 68, 
	68, 68, 68, -1, -1, -1, -1, -1, 
	68, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 67, -1, -1, -1, 
	-1, -1, -1, -1, -1, 68, 68, 68, 
	68, -1, -1, 68, 68, 68, 68, 68, 
	68, -1, -1, -1, -1, 68, 68, 68, 
	68, 68, 68, 68, -1, -1, -1, -1, 
	68, -1, -1, -1, -1, 68, 68, -1, 
	-1, 68, 68, 68, -1, 68, 68, -1, 
	-1, 68, -1, -1, -1, -1, -1, -1, 
	-1, -1, 68, 68, 68, 68, 68, 68, 
	68, -1, -1, -1, 68, 68, 68, -1, 
	-1, 68, 68, 68, 68, 68, 68, 68, 
	68, -1, 68, 68, 68, -1, -1, -1, 
	68, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 68, 68, -1, -1, 68, 
	-1, -1, -1, -1, 68, -1, -1, -1, 
	-1, 68, -1, 68, 68, 68, 68, 68, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 68, -1, 68, -1, -1, 68, 
	-1, 68, 68, -1, -1, -1, 68, -1, 
	68, -1, 68, 70, 70, 70, 70, 70, 
	70, -1, 70, 70, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 70, 70, 70, 
	70, 70, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 70, -1, -1, -1, 
	70, -1, -1, -1, 70, 70, 70, 70, 
	70, -1, -1, -1, -1, 70, 70, 70, 
	-1, -1, -1, -1, 70, 70, -1, 70, 
	70, 70, 70, -1, -1, -1, -1, -1, 
	-1, -1, 70, 71, 71, 71, 71, 71, 
	71, -1, 71, 71, -1, -1, -1, -1, 
	-1, 70, -1, -1, -1, 71, 71, 71, 
	71, 71, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 71, -1, -1, -1, 
	71, -1, -1, -1, 71, 71, 71, 71, 
	71, -1, -1, -1, -1, 71, 71, 71, 
	-1, -1, -1, -1, 71, 71, -1, 71, 
	71, 71, 71, -1, 72, 72, 72, 72, 
	72, 72, 71, 72, 72, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 72, 72, 
	72, 72, 72, 68, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 72, -1, -1, 
	-1, 72, -1, -1, 592, 72, 72, 72, 
	72, 72, -1, -1, -1, -1, 72, 72, 
	72, -1, -1, -1, -1, 72, 72, -1, 
	72, 72, 72, 72, -1, -1, -1, -1, 
	-1, -1, -1, 72, 592, 592, 592, 592, 
	592, 592, 592, 592, 592, 592, 592, 592, 
	592, 592, 592, -1, 592, 592, 592, 592, 
	592, 592, 592, -1, -1, -1, -1, 70, 
	70, 70, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 693, -1, 
	70, 70, 70, 70, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 71, 
	71, 71, -1, -1, -1, -1, -1, 593, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	71, 71, 71, 71, 71, -1, -1, 593, 
	593, 593, 593, 593, 593, 593, 593, 593, 
	593, 593, 593, 593, 593, 593, 593, 593, 
	593, 593, 593, 593, 593, 593, -1, -1, 
	72, 72, 72, -1, -1, -1, 592, -1, 
	592, 592, 592, 592, 592, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 72, 72, 72, 72, 72, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, -1, 73, 73, 73, 73, 73, -1, 
	73, -1, 73, 73, 73, 73, -1, 73, 
	-1, 73, 73, 73, -1, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, -1, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, -1, 73, -1, -1, -1, -1, 73, 
	73, 73, 73, 73, -1, -1, 73, 73, 
	73, 73, 73, 73, 73, 73, 73, 73, 
	73, 73, 73, 73, 73, -1, -1, -1, 
	-1, 593, 73, 593, 593, 593, 593, 593, 
	594, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	594, 594, 594, 594, 594, 594, 594, 594, 
	594, 594, 594, 594, 594, 594, 594, 594, 
	594, 594, 594, 594, 594, 594, 594, 73, 
	73, 73, 73, -1, -1, 73, 73, 73, 
	73, 73, 73, -1, -1, -1, -1, 73, 
	73, 73, 73, 73, 73, 73, -1, -1, 
	-1, -1, 73, -1, -1, -1, -1, 73, 
	73, -1, -1, 73, 73, 73, -1, 73, 
	73, -1, -1, 73, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, 73, 73, 73, 
	73, 73, 73, -1, -1, -1, 73, 73, 
	73, -1, -1, 73, 73, 73, 73, 73, 
	73, 73, 73, -1, 73, 73, 73, -1, 
	-1, -1, 73, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 73, 73, -1, 
	-1, 73, -1, -1, -1, -1, 73, -1, 
	-1, -1, -1, 73, -1, 73, 73, 73, 
	73, 73, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 73, -1, 73, -1, 
	-1, 73, -1, 73, 73, -1, -1, -1, 
	73, -1, 73, -1, 73, -1, -1, -1, 
	-1, -1, 594, -1, 594, 594, 594, 594, 
	594, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 615, -1, 615, 615, 615, 615, 
	-1, 615, -1, -1, -1, 615, -1, -1, 
	-1, -1, -1, -1, 615, 615, -1, -1, 
	-1, -1, 644, -1, -1, -1, -1, -1, 
	-1, -1, 615, -1, -1, -1, -1, -1, 
	-1, -1, -1, 615, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 644, 644, 644, 644, 644, 644, 
	644, 644, 644, 644, 644, 644, 644, 644, 
	644, -1, 644, 644, 644, 644, 644, 644, 
	644, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 70, 70, 70, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 70, 70, 70, 70, 
	-1, -1, -1, -1, -1, 73, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 120, 120, 
	120, 120, 120, 120, -1, 120, 120, -1, 
	-1, -1, -1, 71, 71, 71, -1, -1, 
	120, 120, 120, 120, 120, -1, -1, 615, 
	615, -1, -1, -1, 615, -1, -1, 120, 
	615, 615, -1, 120, -1, -1, -1, 120, 
	120, 120, 120, 120, 71, 71, 71, 71, 
	120, 120, 120, -1, -1, -1, -1, 120, 
	120, -1, 120, 120, 120, 120, 120, -1, 
	-1, -1, -1, -1, 644, 120, 644, 644, 
	644, 644, 644, -1, 72, 72, 72, 615, 
	-1, -1, -1, 120, 120, 120, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 72, 72, 72, 
	72, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, 74, 74, 
	74, 74, -1, 74, -1, 74, 74, 74, 
	74, -1, 74, -1, 74, 74, 74, -1, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, -1, 74, -1, -1, 
	-1, -1, 74, 74, 74, 74, 74, -1, 
	-1, 74, 74, 74, 74, 74, 74, 74, 
	74, 74, 74, 74, 74, 74, 74, 74, 
	-1, -1, -1, -1, -1, 74, -1, -1, 
	-1, -1, -1, -1, 120, 120, 120, 120, 
	120, -1, 120, 120, 120, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 120, 120, -1, -1, -1, 
	-1, -1, -1, -1, 120, -1, -1, -1, 
	-1, -1, -1, 120, 120, 120, 120, 120, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 74, 74, 74, 74, -1, -1, 
	74, 74, 74, 74, 74, 74, -1, -1, 
	120, -1, 74, 74, 74, 74, 74, 74, 
	74, -1, -1, -1, -1, 74, -1, -1, 
	-1, -1, 74, 74, -1, -1, 74, 74, 
	74, -1, 74, 74, -1, -1, 74, -1, 
	-1, -1, -1, -1, -1, -1, -1, 74, 
	74, 74, 74, 74, 74, 74, -1, -1, 
	-1, 74, 74, 74, -1, -1, 74, 74, 
	74, 74, 74, 74, 74, 74, -1, 74, 
	74, 74, -1, -1, -1, 74, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	74, 74, -1, -1, 74, -1, -1, -1, 
	-1, 74, -1, -1, -1, -1, 74, -1, 
	74, 74, 74, 74, 74, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 74, 
	-1, 74, -1, -1, 74, -1, 74, 74, 
	-1, -1, -1, 74, -1, 74, -1, 74, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, -1, 75, 75, 75, 75, 
	75, -1, 75, -1, 75, 75, 75, 75, 
	-1, 75, -1, 75, 75, 75, -1, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, -1, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, -1, 75, -1, -1, -1, 
	-1, 75, 75, 75, 75, 75, -1, -1, 
	75, 75, 75, 75, 75, 75, 75, 75, 
	75, 75, 75, 75, 75, 75, 75, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	74, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, 75, 75, 75, -1, -1, 75, 
	75, 75, 75, 75, 75, -1, -1, -1, 
	-1, 75, 75, 75, 75, 75, 75, 75, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	-1, 75, 75, -1, 615, 75, 75, 75, 
	-1, 75, 75, -1, -1, 75, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, 75, 
	75, 75, 75, 75, 75, -1, -1, -1, 
	75, 75, 75, -1, -1, 75, 75, 75, 
	75, 75, 75, 75, 75, -1, 75, 75, 
	75, -1, -1, -1, 75, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	75, -1, -1, 75, -1, -1, -1, -1, 
	75, -1, -1, -1, -1, 75, -1, 75, 
	75, 75, 75, 75, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	75, -1, -1, 75, -1, 75, 75, -1, 
	-1, -1, 75, -1, 75, -1, 75, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, -1, 76, 76, 76, 76, 76, 
	-1, 76, -1, 76, 76, 76, 76, -1, 
	76, -1, 76, 76, 76, -1, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, -1, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, -1, 76, -1, -1, -1, -1, 
	76, 76, 76, 76, 76, -1, -1, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, -1, -1, 
	-1, -1, -1, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 120, 
	120, -1, -1, -1, -1, -1, -1, -1, 
	120, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, -1, 120, -1, -1, -1, 
	76, 76, 76, 76, -1, -1, 76, 76, 
	76, 76, 76, 76, -1, -1, -1, -1, 
	76, 76, 76, 76, 76, 76, 76, -1, 
	-1, -1, -1, 76, -1, -1, -1, -1, 
	76, 76, -1, -1, 76, 76, 76, -1, 
	76, 76, -1, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, 76, 76, 76, 
	76, 76, 76, 76, -1, -1, -1, 76, 
	76, 76, -1, -1, 76, 76, 76, 76, 
	76, 76, 76, 76, -1, 76, 76, 76, 
	-1, -1, -1, 76, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 76, 76, 
	-1, -1, 76, -1, -1, -1, -1, 76, 
	-1, -1, -1, -1, 76, -1, 76, 76, 
	76, 76, 76, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 76, -1, 76, 
	-1, -1, 76, -1, 76, 76, -1, -1, 
	-1, 76, -1, 76, -1, 76, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, -1, 77, 77, 77, 77, 77, -1, 
	77, -1, 77, 77, 77, 77, -1, 77, 
	-1, 77, 77, 77, -1, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, -1, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, -1, 77, -1, -1, -1, -1, 77, 
	77, 77, 77, 77, -1, -1, 77, 77, 
	77, 77, 77, 77, 77, 77, 77, 77, 
	77, 77, 77, 77, 77, -1, -1, -1, 
	-1, -1, 77, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 76, -1, 
	-1, -1, -1, -1, -1, -1, -1, 77, 
	77, 77, 77, -1, -1, 77, 77, 77, 
	77, 77, 77, -1, -1, -1, -1, 77, 
	77, 77, 77, 77, 77, 77, -1, -1, 
	-1, -1, 77, -1, -1, -1, -1, 77, 
	77, -1, -1, 77, 77, 77, -1, 77, 
	77, -1, -1, 77, -1, -1, -1, -1, 
	-1, -1, -1, -1, 77, 77, 77, 77, 
	77, 77, 77, -1, -1, -1, 77, 77, 
	77, -1, -1, 77, 77, 77, 77, 77, 
	77, 77, 77, -1, 77, 77, 77, -1, 
	-1, -1, 77, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 77, 77, -1, 
	-1, 77, -1, -1, -1, -1, 77, -1, 
	-1, -1, -1, 77, -1, 77, 77, 77, 
	77, 77, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 77, -1, 77, -1, 
	-1, 77, -1, 77, 77, -1, -1, -1, 
	77, -1, 77, -1, 77, 78, 78, 78, 
	78, 78, 78, -1, 78, 78, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 78, 
	78, 78, 78, 78, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 78, -1, 
	-1, -1, 78, -1, -1, -1, 78, 78, 
	78, 78, 78, -1, -1, -1, -1, 78, 
	78, 78, -1, -1, -1, -1, 78, 78, 
	676, 78, 78, 78, 78, -1, -1, -1, 
	-1, -1, -1, -1, 78, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 78, 78, 78, 78, -1, -1, 
	676, 676, 676, 676, 676, 676, 676, 676, 
	676, 676, 676, 676, 676, 676, 676, -1, 
	676, 676, 676, 676, 676, 676, 676, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, -1, 87, 87, 87, 87, 87, 
	-1, 87, -1, 87, 87, 87, 87, -1, 
	87, -1, 87, 87, 87, 77, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, -1, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, -1, 87, -1, -1, -1, -1, 
	87, 87, 87, 87, 87, -1, -1, 87, 
	87, 87, 87, 87, 87, 87, 87, 87, 
	87, 87, 87, 87, 87, 87, -1, -1, 
	-1, -1, -1, 87, -1, -1, -1, -1, 
	-1, -1, -1, 78, 78, 78, 78, 78, 
	-1, 78, 78, 78, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 676, -1, 676, 676, 676, 676, 
	676, -1, 78, 78, 78, 78, 78, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	87, 87, 87, 87, -1, -1, 87, 87, 
	87, 87, 87, 87, -1, -1, -1, -1, 
	87, 87, 87, 87, 87, 87, 87, -1, 
	-1, -1, -1, 87, -1, -1, -1, -1, 
	87, 87, -1, -1, 87, 87, 87, -1, 
	87, 87, -1, -1, 87, -1, -1, -1, 
	-1, -1, -1, -1, -1, 87, 87, 87, 
	87, 87, 87, 87, -1, -1, -1, 87, 
	87, 87, -1, -1, 87, 87, 87, 87, 
	87, 87, 87, 87, -1, 87, 87, 87, 
	-1, -1, -1, 87, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 87, 87, 
	-1, -1, 87, -1, -1, -1, -1, 87, 
	-1, -1, -1, -1, 87, -1, 87, 87, 
	87, 87, 87, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 87, -1, 87, 
	-1, -1, 87, -1, 87, 87, -1, -1, 
	-1, 87, -1, 87, -1, 87, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, 94, 94, 94, 94, -1, 
	94, -1, 94, 94, 94, 94, -1, 94, 
	-1, 94, 94, 94, -1, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, -1, 94, -1, -1, -1, -1, 94, 
	94, 94, 94, 94, -1, -1, 94, 94, 
	94, 94, 94, 94, 94, 94, 94, 94, 
	94, 94, 94, 94, 94, -1, -1, -1, 
	-1, -1, 94, 620, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 620, 620, 620, 
	620, 620, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 620, 620, 87, -1, 
	-1, -1, -1, -1, -1, -1, -1, 94, 
	94, 94, 94, -1, 620, 94, 94, 94, 
	94, 94, 94, -1, -1, -1, -1, 94, 
	94, 94, 94, 94, 94, 94, -1, -1, 
	-1, -1, 94, -1, -1, -1, -1, 94, 
	94, -1, -1, 94, 94, 94, -1, 94, 
	94, -1, -1, 94, -1, -1, -1, -1, 
	-1, -1, -1, -1, 94, 94, 94, 94, 
	94, 94, 94, -1, -1, -1, 94, 94, 
	94, -1, -1, 94, 94, 94, 94, 94, 
	94, 94, 94, -1, 94, 94, 94, -1, 
	-1, -1, 94, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 94, 94, -1, 
	-1, 94, -1, -1, -1, -1, 94, -1, 
	-1, -1, -1, 94, -1, 94, 94, 94, 
	94, 94, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 94, -1, 94, -1, 
	-1, 94, -1, 94, 94, -1, 620, 620, 
	94, 620, 94, -1, 94, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	620, 620, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	677, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 620, -1, -1, -1, -1, 78, 
	78, 78, 78, 78, -1, 78, 78, 78, 
	677, 677, 677, 677, 677, 677, 677, 677, 
	677, 677, 677, 677, 677, 677, 677, -1, 
	677, 677, 677, 677, 677, 677, 677, -1, 
	-1, -1, -1, -1, -1, -1, 78, 78, 
	78, 78, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 94, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, -1, 
	95, -1, 95, 95, 95, 95, 95, 95, 
	-1, 95, 95, 95, -1, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, -1, 95, 95, 95, 95, 
	-1, -1, -1, 95, -1, -1, -1, 95, 
	95, -1, 95, -1, -1, 95, -1, -1, 
	95, -1, 95, -1, -1, 95, 95, 95, 
	95, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 677, -1, 677, 677, 677, 677, 
	677, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 95, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 95, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 95, 
	95, 95, 95, -1, -1, 95, 95, 95, 
	95, 95, 95, -1, -1, -1, -1, 95, 
	95, 95, 95, 95, 95, 95, -1, -1, 
	95, -1, 95, -1, -1, -1, -1, 95, 
	95, -1, 95, 95, 95, 95, -1, 95, 
	95, -1, -1, 95, -1, -1, -1, -1, 
	-1, 95, -1, 95, 95, 95, 95, 95, 
	95, 95, 95, -1, -1, -1, -1, 95, 
	95, -1, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, -1, 95, 95, 95, -1, 
	-1, 95, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 95, 95, 95, -1, -1, 
	95, 95, 95, -1, -1, 95, 95, 95, 
	95, 95, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 95, -1, 95, -1, 
	-1, 95, 95, 95, -1, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, -1, 96, 
	-1, 96, 96, 96, 96, 96, 96, -1, 
	96, 96, 96, -1, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, -1, 96, 96, 96, 96, -1, 
	-1, -1, 96, -1, -1, -1, 96, 96, 
	-1, 96, -1, -1, 96, -1, -1, 96, 
	-1, 96, -1, -1, 96, 96, 96, 96, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 96, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 96, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 95, 96, 96, 
	96, 96, -1, -1, 96, 96, 96, 96, 
	96, 96, -1, -1, -1, -1, 96, 96, 
	96, 96, 96, 96, 96, -1, -1, 96, 
	-1, 96, -1, -1, -1, -1, 96, 96, 
	-1, 96, 96, 96, 96, -1, 96, 96, 
	-1, -1, 96, -1, -1, -1, -1, -1, 
	96, -1, 96, 96, 96, 96, 96, 96, 
	96, 96, -1, -1, -1, -1, 96, 96, 
	-1, 96, 96, 96, 96, 96, 96, 96, 
	96, 96, -1, 96, 96, 96, -1, -1, 
	96, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 96, 96, 96, -1, -1, 96, 
	96, 96, -1, -1, 96, 96, 96, 96, 
	96, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 96, -1, 96, -1, -1, 
	96, 96, 96, -1, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, -1, 
	102, 102, 102, 102, 102, -1, 102, -1, 
	102, 102, 102, 102, -1, 102, -1, 102, 
	102, 102, -1, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, -1, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, -1, 
	102, -1, -1, -1, -1, 102, 102, 102, 
	102, 102, -1, -1, 102, 102, 102, 102, 
	102, 102, 102, 102, 102, 102, 102, 102, 
	102, 102, 102, -1, -1, -1, -1, -1, 
	102, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 96, 102, 102, 102, 
	102, -1, -1, 102, 102, 102, 102, 102, 
	102, -1, -1, -1, -1, 102, 102, 102, 
	102, 102, 102, 102, -1, -1, -1, -1, 
	102, -1, -1, -1, -1, 102, 102, -1, 
	-1, 102, 102, 102, -1, 102, 102, -1, 
	-1, 102, -1, -1, -1, -1, -1, -1, 
	-1, -1, 102, 102, 102, 102, 102, 102, 
	102, -1, -1, -1, 102, 102, 102, -1, 
	-1, 102, 102, 102, 102, 102, 102, 102, 
	102, -1, 102, 102, 102, -1, -1, -1, 
	102, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 102, 102, -1, -1, 102, 
	-1, -1, -1, -1, 102, -1, -1, -1, 
	-1, 102, -1, 102, 102, 102, 102, 102, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 102, -1, 102, -1, -1, 102, 
	-1, 102, 102, -1, -1, -1, 102, -1, 
	102, -1, 102, 106, 106, 106, 106, 106, 
	106, -1, 106, 106, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 106, 106, 106, 
	106, 106, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 106, -1, -1, -1, 
	106, -1, -1, -1, 106, 106, 106, 106, 
	106, -1, -1, -1, -1, 106, 106, 106, 
	-1, -1, -1, -1, 106, 106, -1, 106, 
	106, 106, 106, 106, -1, -1, -1, -1, 
	-1, -1, 106, -1, -1, -1, -1, 113, 
	113, 113, 113, 113, 113, -1, 113, 113, 
	106, 106, 106, 106, -1, -1, -1, -1, 
	-1, 113, 113, 113, 113, 113, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	113, -1, -1, -1, 113, -1, -1, -1, 
	113, 113, 113, 113, 113, -1, -1, -1, 
	-1, 113, 113, 113, -1, -1, -1, -1, 
	113, 113, 697, 113, 113, 113, 113, -1, 
	-1, -1, -1, -1, -1, -1, 113, 113, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 102, 113, 113, 113, 113, 
	-1, -1, 697, 697, 697, 697, 697, 697, 
	697, 697, 697, 697, 697, 697, 697, 697, 
	697, -1, 697, 697, 697, 697, 697, 697, 
	697, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 106, 106, 106, 106, 106, -1, 106, 
	106, 106, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	106, 106, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 106, -1, 
	106, 106, 106, 106, 106, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 113, 113, -1, -1, -1, 106, 
	-1, -1, -1, -1, -1, 113, 113, 113, 
	113, 113, -1, 113, 113, 113, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 697, -1, 697, 697, 
	697, 697, 697, -1, 113, 113, 113, 113, 
	113, -1, -1, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, -1, 114, 
	114, 114, 114, 114, -1, 114, -1, 114, 
	114, 114, 114, -1, 114, -1, 114, 114, 
	114, -1, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, -1, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	-1, 114, 114, 114, 114, -1, -1, -1, 
	-1, -1, -1, -1, 114, -1, -1, 114, 
	-1, -1, -1, -1, -1, 684, -1, -1, 
	-1, -1, 114, 114, 114, 114, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 684, 
	684, 684, 684, 684, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 684, 684, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 684, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 114, 114, 114, 114, 
	-1, -1, 114, 114, -1, 114, 114, 114, 
	-1, -1, -1, -1, 114, 114, 114, -1, 
	114, 114, 114, -1, -1, -1, -1, 114, 
	-1, -1, -1, -1, 114, -1, -1, -1, 
	114, 114, 114, -1, 114, 114, -1, -1, 
	114, -1, -1, -1, -1, -1, -1, 102, 
	102, 114, 114, 114, 114, 114, 114, 114, 
	-1, -1, -1, -1, 114, 114, -1, -1, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	-1, 114, 114, 114, -1, -1, -1, -1, 
	-1, 179, 179, 179, 179, 179, 179, -1, 
	179, 179, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 179, 179, 179, 179, 179, 
	-1, -1, 114, 114, 114, 114, 114, -1, 
	684, 684, 179, 684, -1, -1, 179, -1, 
	-1, 114, 179, 179, 179, 179, 179, -1, 
	114, -1, -1, 179, 179, 179, -1, -1, 
	-1, -1, 179, 179, -1, 179, 179, 179, 
	179, -1, -1, -1, -1, -1, -1, -1, 
	179, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 684, 684, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 684, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 114, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 179, 179, 179, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 106, 106, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 106, -1, -1, -1, 179, 179, 
	179, 179, 179, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 113, 113, 
	-1, -1, -1, 106, -1, -1, -1, -1, 
	-1, 113, 113, 113, 113, 113, -1, 113, 
	113, 113, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	113, 113, 113, 113, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, -1, 
	115, 115, 115, 115, 115, -1, 115, -1, 
	115, 115, 115, 115, -1, 115, -1, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, -1, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, -1, 
	115, -1, -1, 115, -1, 115, 115, 115, 
	115, 115, -1, -1, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, -1, -1, -1, -1, -1, 
	115, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 115, 115, 115, 
	115, -1, -1, 115, 115, 115, 115, 115, 
	115, -1, -1, -1, -1, 115, 115, 115, 
	115, 115, 115, 115, -1, -1, -1, -1, 
	115, -1, -1, -1, -1, 115, 115, -1, 
	-1, 115, 115, 115, -1, 115, 115, -1, 
	-1, 115, -1, -1, -1, -1, -1, -1, 
	-1, -1, 115, 115, 115, 115, 115, 115, 
	115, -1, -1, -1, 115, 115, 115, -1, 
	-1, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, -1, -1, -1, 
	115, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 115, 115, -1, -1, 115, 
	-1, -1, -1, -1, 115, -1, -1, -1, 
	-1, 115, -1, 115, 115, 115, 115, 115, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 115, -1, 115, -1, -1, 115, 
	-1, 115, 115, -1, -1, -1, 115, -1, 
	115, -1, 115, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, -1, 116, 
	116, 116, 116, 116, -1, 116, -1, 116, 
	116, 116, 116, -1, 116, -1, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, -1, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, -1, 116, 
	-1, -1, 116, -1, 116, 116, 116, 116, 
	116, -1, -1, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, -1, -1, -1, -1, -1, 116, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 115, -1, -1, -1, -1, 
	-1, -1, -1, -1, 116, 116, 116, 116, 
	-1, -1, 116, 116, 116, 116, 116, 116, 
	-1, 179, 179, 179, 116, 116, 116, 116, 
	116, 116, 116, -1, -1, -1, -1, 116, 
	-1, -1, -1, -1, 116, 116, -1, -1, 
	116, 116, 116, -1, 116, 116, -1, -1, 
	116, -1, 179, 179, 179, 179, -1, -1, 
	-1, 116, 116, 116, 116, 116, 116, 116, 
	-1, -1, -1, 116, 116, 116, -1, -1, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, -1, -1, -1, 116, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 116, 116, -1, -1, 116, -1, 
	-1, -1, -1, 116, -1, 116, 116, -1, 
	116, -1, 116, 116, 116, 116, 116, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 116, -1, 116, -1, -1, 116, -1, 
	116, 116, -1, -1, -1, 116, -1, 116, 
	-1, 116, 121, 121, 121, 121, 121, 121, 
	-1, 121, 121, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 121, 121, 121, 121, 
	121, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 121, -1, -1, -1, 121, 
	-1, -1, -1, 121, 121, 121, 121, 121, 
	-1, -1, -1, -1, 121, 121, 121, -1, 
	-1, -1, -1, 121, 121, -1, 121, 121, 
	121, 121, -1, -1, -1, -1, -1, -1, 
	-1, 121, 121, -1, -1, -1, 122, 122, 
	122, 122, 122, 122, -1, 122, 122, 121, 
	121, 121, 121, -1, -1, -1, -1, -1, 
	122, 122, 122, 122, 122, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 122, 
	-1, -1, -1, 122, -1, -1, -1, 122, 
	122, 122, 122, 122, -1, -1, -1, -1, 
	122, 122, 122, -1, -1, -1, -1, 122, 
	122, -1, 122, 122, 122, 122, -1, -1, 
	-1, -1, -1, -1, -1, 122, 122, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 116, 122, 122, 122, 122, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 121, 121, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	121, 121, 121, 121, 121, -1, 121, 121, 
	121, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 121, 
	121, 121, 121, 121, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 122, 122, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 122, 122, 122, 122, 
	122, -1, 122, 122, 122, -1, -1, 123, 
	123, 123, 123, 123, 123, -1, 123, 123, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 123, 123, 123, 123, 123, -1, -1, 
	-1, -1, -1, 122, 122, 122, 122, 122, 
	123, -1, -1, -1, 123, -1, -1, -1, 
	123, 123, 123, 123, 123, -1, -1, -1, 
	-1, 123, 123, 123, -1, -1, -1, -1, 
	123, 123, -1, 123, 123, 123, 123, -1, 
	-1, -1, -1, -1, -1, -1, 123, 123, 
	134, 134, 134, 134, 134, 134, -1, -1, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	-1, -1, -1, 134, -1, -1, -1, -1, 
	-1, -1, -1, -1, 134, 134, 134, 134, 
	134, -1, 134, -1, 134, -1, -1, -1, 
	-1, 134, -1, -1, 134, 134, -1, -1, 
	-1, -1, -1, 134, 134, -1, -1, -1, 
	134, 134, 134, -1, -1, -1, -1, 134, 
	134, 134, 134, 134, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 123, 123, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 123, 123, 123, 
	123, 123, -1, 123, 123, 123, -1, -1, 
	-1, -1, 134, 134, 134, -1, -1, 134, 
	134, 116, 116, 134, 134, -1, -1, -1, 
	-1, 134, 134, 134, -1, 134, 134, 134, 
	-1, -1, -1, -1, 123, 123, 123, 123, 
	123, 134, 134, -1, -1, 134, 134, 134, 
	-1, 134, 134, -1, -1, 134, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 134, 
	134, -1, -1, -1, -1, -1, -1, -1, 
	137, 137, 137, 137, 137, 137, 137, 137, 
	137, 137, -1, 137, 137, -1, -1, 137, 
	137, 137, 137, -1, -1, -1, 137, 137, 
	137, 137, 137, -1, -1, -1, -1, 137, 
	137, 137, -1, -1, -1, 137, -1, -1, 
	-1, 137, 137, 134, -1, 137, 137, 137, 
	137, 137, -1, -1, -1, -1, 137, 137, 
	137, -1, -1, -1, -1, 137, 137, -1, 
	137, 137, 137, 137, -1, -1, -1, -1, 
	-1, -1, -1, 137, -1, 137, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 137, 137, 137, 137, -1, -1, 137, 
	137, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 331, 331, 331, 331, 
	331, 331, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	331, 331, 331, 331, 331, -1, 331, -1, 
	331, -1, -1, -1, -1, 331, -1, -1, 
	331, -1, -1, -1, -1, -1, -1, 331, 
	331, -1, -1, -1, 331, 331, 331, -1, 
	-1, -1, -1, 331, 331, 331, -1, 331, 
	-1, 121, 121, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 121, 121, 121, 121, 
	121, -1, 121, 121, 121, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 137, -1, -1, -1, -1, 
	-1, -1, 137, 121, 121, 121, 121, 137, 
	137, 137, 137, 137, 137, 137, 137, -1, 
	137, 137, 137, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 122, 122, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	122, 122, 122, 122, 122, -1, 122, 122, 
	122, 137, 137, 137, 137, 137, -1, 331, 
	331, -1, -1, 331, 331, 331, 331, -1, 
	331, -1, -1, -1, -1, 331, 331, 331, 
	331, 331, 331, 331, -1, -1, -1, 122, 
	122, 122, 122, -1, -1, -1, -1, -1, 
	-1, 331, 331, 331, -1, 331, 331, -1, 
	-1, 331, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 167, 167, 167, 167, 
	167, 167, -1, 167, 167, -1, -1, -1, 
	-1, 331, -1, -1, -1, -1, 167, 167, 
	167, 167, 167, 331, 331, -1, -1, -1, 
	-1, -1, -1, -1, -1, 167, -1, -1, 
	-1, 167, -1, -1, -1, 167, 167, 167, 
	167, 167, -1, -1, -1, -1, 167, 167, 
	167, -1, -1, -1, -1, 167, 167, -1, 
	167, 167, 167, 167, -1, -1, -1, -1, 
	-1, -1, -1, 167, 331, 191, 191, 191, 
	191, 191, 191, -1, 191, 191, -1, -1, 
	-1, 167, 167, 167, 167, -1, -1, 191, 
	191, 191, 191, 191, -1, -1, 167, -1, 
	-1, -1, -1, -1, -1, -1, 191, -1, 
	-1, -1, 191, -1, -1, -1, 191, 191, 
	191, 191, 191, -1, -1, -1, -1, 191, 
	191, 191, -1, -1, -1, -1, 191, 191, 
	-1, 191, 191, 191, 191, -1, -1, -1, 
	-1, -1, -1, -1, 191, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 191, 191, 191, 191, 123, 123, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 123, 123, 123, 123, 123, -1, 123, 
	123, 123, -1, -1, -1, -1, 134, 134, 
	134, -1, -1, 134, 134, -1, -1, 134, 
	134, -1, -1, -1, -1, 134, 134, 134, 
	-1, 134, 134, 134, -1, -1, -1, -1, 
	123, 123, 123, 123, -1, 134, 134, -1, 
	-1, 134, 134, 134, -1, 134, 134, -1, 
	-1, 134, 167, 167, 167, 167, 167, -1, 
	167, 167, 167, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 167, 167, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 167, 
	-1, 167, 167, 167, 167, 167, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	167, -1, -1, -1, 191, 191, 191, 191, 
	-1, 191, 191, 191, -1, -1, -1, 134, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 191, 191, 191, 191, 191, -1, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, -1, 138, 138, 138, 138, 
	138, -1, 138, -1, 138, 138, 138, 138, 
	-1, 138, -1, 138, 138, 138, -1, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, -1, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, -1, 138, -1, -1, -1, 
	-1, 138, 138, 138, 138, 138, -1, -1, 
	138, 138, 138, 138, 138, 138, 138, 138, 
	138, 138, 138, 138, 138, 138, 138, -1, 
	-1, -1, -1, -1, 138, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 137, 
	-1, -1, -1, -1, -1, -1, 137, -1, 
	-1, -1, -1, 137, 137, 137, 137, 137, 
	137, 137, 137, -1, 137, 137, 137, -1, 
	-1, 138, 138, 138, 138, -1, -1, 138, 
	138, 138, 138, 138, 138, -1, -1, -1, 
	-1, 138, 138, 138, 138, 138, 138, 138, 
	-1, -1, -1, -1, 138, 137, 137, 137, 
	137, 138, 138, -1, -1, 138, 138, 138, 
	-1, 138, 138, -1, -1, 138, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 138, 
	138, 138, 138, 138, 138, -1, -1, -1, 
	138, 138, 138, -1, -1, 138, 138, 138, 
	138, 138, 138, 138, 138, -1, 138, 138, 
	138, -1, -1, -1, 138, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	138, -1, -1, 138, -1, -1, -1, -1, 
	138, -1, -1, -1, -1, 138, -1, 138, 
	138, 138, 138, 138, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, -1, 
	138, -1, -1, 138, -1, 138, 138, -1, 
	-1, -1, 138, -1, 138, -1, 138, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, -1, 139, 139, 139, 139, 139, 
	-1, 139, -1, 139, 139, 139, 139, -1, 
	139, -1, 139, 139, 139, -1, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, -1, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, -1, 139, 139, 139, 
	139, -1, -1, -1, -1, -1, -1, -1, 
	139, -1, -1, 139, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 139, 139, 
	139, 139, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	139, 139, 139, 139, -1, -1, 139, 139, 
	-1, 139, 139, 139, -1, -1, -1, -1, 
	139, 139, 139, -1, 139, 139, 139, -1, 
	-1, -1, -1, 139, -1, 167, 167, -1, 
	139, -1, -1, -1, 139, 139, 139, -1, 
	139, 139, -1, 167, 139, -1, -1, -1, 
	-1, -1, -1, -1, -1, 139, 139, 139, 
	139, 139, 139, 139, -1, -1, -1, -1, 
	139, 139, -1, -1, 139, 139, 139, 139, 
	139, 139, 139, 139, 167, 139, 139, 139, 
	191, 191, 191, 191, -1, 191, 191, 191, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 139, 139, 
	139, 139, 139, -1, -1, -1, 191, 191, 
	191, 191, -1, -1, -1, 139, -1, -1, 
	-1, -1, -1, -1, 139, 140, 140, 140, 
	140, 140, 140, 140, 140, 140, 140, -1, 
	140, 140, -1, -1, 140, 140, 140, 140, 
	-1, -1, -1, 140, 140, 140, 140, 140, 
	-1, -1, -1, -1, 140, 140, 140, -1, 
	-1, -1, 140, -1, -1, -1, 140, 140, 
	-1, -1, 140, 140, 140, 140, 140, -1, 
	-1, -1, -1, 140, 140, 140, -1, -1, 
	-1, -1, 140, 140, -1, 140, 140, 140, 
	140, -1, -1, -1, -1, -1, -1, -1, 
	140, -1, 140, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, 140, 
	140, 140, -1, -1, 140, 140, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 147, 147, 147, 147, 147, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	147, 147, 147, -1, 147, 147, 147, 147, 
	147, 147, 147, 147, -1, -1, -1, 147, 
	147, 147, 147, 147, -1, 147, -1, 147, 
	147, 147, 147, -1, 147, -1, 147, 147, 
	147, -1, 147, 147, -1, -1, 147, 147, 
	147, 147, 147, 147, 147, 147, 139, 147, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	-1, 147, 147, 147, 147, -1, -1, -1, 
	-1, -1, -1, -1, 147, -1, -1, -1, 
	-1, -1, 147, -1, -1, -1, -1, -1, 
	-1, -1, 147, 147, 147, 147, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	140, -1, -1, -1, -1, -1, -1, 140, 
	-1, -1, -1, -1, 140, 140, 140, 140, 
	140, 140, 140, 140, -1, 140, 140, 140, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, 140, 
	140, 140, 140, -1, 147, 147, 147, 147, 
	-1, -1, 147, 147, 147, 147, 147, 147, 
	-1, -1, -1, -1, 147, 147, 147, 147, 
	147, 147, 147, -1, -1, -1, -1, 147, 
	-1, -1, -1, -1, 147, -1, -1, -1, 
	147, 147, 147, -1, 147, 147, -1, -1, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 147, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 147, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	-1, 147, 147, 147, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 147, 147, 147, 147, 147, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 147, -1, 147, -1, -1, -1, -1, 
	-1, -1, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, -1, 148, 148, 
	148, 148, 148, -1, 148, -1, 148, 148, 
	148, 148, -1, 148, -1, 148, 148, 148, 
	-1, 148, 148, 148, 148, 148, 148, 148, 
	148, 148, 148, 148, 148, -1, 148, 148, 
	148, 148, 148, 148, 148, 148, 148, -1, 
	148, 148, 148, 148, -1, -1, -1, -1, 
	-1, -1, -1, 148, -1, -1, 148, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 148, 148, 148, 148, -1, -1, 148, 
	148, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 147, 148, 148, 148, 148, -1, 
	-1, 148, 148, -1, 148, 148, 148, -1, 
	-1, -1, -1, 148, 148, 148, -1, 148, 
	148, 148, -1, -1, -1, -1, 148, -1, 
	-1, -1, -1, 148, -1, -1, -1, 148, 
	148, 148, -1, 148, 148, -1, -1, 148, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	148, 148, 148, 148, 148, 148, 148, -1, 
	-1, -1, -1, 148, 148, -1, -1, 148, 
	148, 148, 148, 148, 148, 148, 148, -1, 
	148, 148, 148, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 148, 148, 148, 148, 148, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	148, -1, -1, -1, -1, -1, -1, 148, 
	-1, -1, -1, -1, -1, 151, 151, 151, 
	151, 151, 151, 151, 151, 151, 151, 151, 
	151, 151, -1, -1, 151, 151, 151, 151, 
	-1, -1, -1, 151, 151, 151, 151, 151, 
	-1, -1, -1, -1, 151, 151, 151, -1, 
	-1, -1, 151, -1, -1, -1, 151, 151, 
	-1, -1, 151, 151, 151, 151, 151, -1, 
	-1, -1, -1, 151, 151, 151, -1, -1, 
	-1, -1, 151, 151, -1, 151, 151, 151, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	151, -1, -1, 151, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 151, 151, 
	151, 151, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 140, -1, -1, -1, 
	-1, -1, -1, 140, -1, -1, -1, -1, 
	140, 140, 140, 140, 140, 140, 140, 140, 
	-1, 140, 140, 140, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 140, 140, 140, 140, -1, -1, 
	-1, 148, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	151, 151, 151, 147, 151, 151, 151, 151, 
	151, 151, 151, 151, -1, 151, 151, 151, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 151, 151, 
	151, 151, 151, -1, 152, 152, 152, 152, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	152, 152, 152, 152, 151, 152, 152, 152, 
	152, 152, 152, 152, 152, -1, -1, -1, 
	152, 152, 152, 152, 152, -1, 152, -1, 
	152, 152, 152, 152, -1, 152, -1, 152, 
	152, 152, -1, 152, 152, -1, -1, 152, 
	152, 152, 152, 152, 152, 152, 152, -1, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	152, -1, 152, 152, 152, 152, -1, -1, 
	-1, -1, -1, -1, -1, 152, -1, -1, 
	-1, -1, -1, 152, -1, -1, -1, -1, 
	-1, -1, -1, 152, 152, 152, 152, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 152, 152, 152, 
	152, -1, -1, 152, 152, -1, 152, 152, 
	152, -1, -1, -1, -1, 152, 152, 152, 
	-1, 152, 152, 152, -1, -1, -1, -1, 
	152, -1, -1, -1, -1, 152, 152, -1, 
	-1, 152, 152, 152, -1, 152, 152, -1, 
	-1, 152, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 152, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	152, -1, 152, 152, 152, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 155, 
	155, 155, 155, 155, 155, -1, 155, 155, 
	-1, -1, -1, 152, 152, 152, 152, 152, 
	-1, 155, 155, 155, 155, 155, -1, -1, 
	-1, -1, 152, -1, -1, -1, -1, 152, 
	155, -1, -1, -1, 155, -1, -1, -1, 
	155, 155, 155, 155, 155, -1, -1, -1, 
	-1, 155, 155, 155, -1, -1, -1, -1, 
	155, 155, -1, 155, 155, 155, 155, -1, 
	-1, -1, -1, -1, -1, -1, 155, 155, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	156, 156, 156, 156, 156, 156, -1, 156, 
	156, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 156, 156, 156, 156, 156, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 156, -1, -1, -1, 156, -1, -1, 
	-1, 156, 156, 156, 156, 156, -1, -1, 
	-1, -1, 156, 156, 156, -1, -1, -1, 
	-1, 156, 156, -1, 156, 156, 156, 156, 
	-1, -1, -1, -1, -1, -1, -1, 156, 
	156, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 156, 156, 156, 
	156, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 152, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 155, 155, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 155, 155, 155, 
	155, 155, -1, 155, 155, 155, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 155, 155, 155, 155, 
	155, -1, -1, -1, 151, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 151, -1, 
	151, 151, 151, 151, 151, 151, 151, 151, 
	-1, 151, 151, 151, -1, -1, -1, -1, 
	-1, -1, -1, 156, 156, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 156, 156, 
	156, 156, 156, -1, 156, 156, 156, -1, 
	-1, -1, 151, 151, 151, 151, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	151, -1, -1, -1, -1, 156, 156, 156, 
	156, 156, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, -1, 158, 158, 158, 
	158, 158, 158, 158, 158, -1, -1, -1, 
	158, 158, 158, 158, 158, -1, 158, -1, 
	158, 158, 158, 158, -1, 158, -1, 158, 
	158, 158, -1, 158, 158, -1, -1, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, 158, 158, 
	158, 158, 158, 158, 158, 158, -1, -1, 
	-1, -1, -1, -1, -1, 158, 332, 332, 
	332, 332, 332, 332, -1, -1, -1, -1, 
	-1, -1, -1, 158, 158, 158, 158, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 332, 332, 332, 332, 332, -1, 
	332, -1, 332, -1, -1, -1, -1, 332, 
	-1, -1, 332, -1, -1, -1, -1, -1, 
	-1, 332, 332, -1, -1, -1, 332, 332, 
	332, -1, -1, -1, -1, 332, 332, 332, 
	-1, 332, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 158, 158, 158, 
	158, -1, -1, 158, 158, 158, 158, 158, 
	158, -1, -1, -1, -1, 158, 158, 158, 
	158, 158, 158, 158, -1, 158, 158, -1, 
	158, -1, -1, -1, 152, 158, 158, -1, 
	-1, 158, 158, 158, -1, 158, 158, -1, 
	-1, 158, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 158, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 158, 158, 158, 158, 158, 158, 158, 
	158, -1, 158, 158, 158, -1, -1, -1, 
	-1, 332, 332, -1, -1, 332, 332, 332, 
	332, -1, 332, -1, -1, -1, -1, 332, 
	332, 332, 332, 332, 332, 332, -1, -1, 
	-1, -1, -1, 158, 158, 158, 158, 158, 
	-1, -1, -1, 332, 332, 332, -1, 332, 
	332, -1, 158, 332, 158, -1, -1, 158, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 332, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 332, 332, -1, 
	-1, -1, -1, -1, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, -1, 159, 159, 159, 
	159, 159, 159, 159, 159, -1, -1, -1, 
	159, 159, 159, 159, 159, -1, 159, -1, 
	159, 159, 159, 159, -1, 159, 332, 159, 
	159, 159, -1, 159, 159, -1, -1, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, 159, 159, 
	159, 159, 159, 159, 159, 159, -1, -1, 
	-1, -1, -1, -1, -1, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 159, 159, 159, 159, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 155, 155, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 155, 155, 155, 155, 155, -1, 155, 
	155, 155, -1, 158, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	155, 155, 155, 155, -1, 159, 159, 159, 
	159, -1, -1, 159, 159, 159, 159, 159, 
	159, -1, -1, -1, -1, 159, 159, 159, 
	159, 159, 159, 159, -1, 159, 159, -1, 
	159, -1, -1, -1, -1, 159, 159, 156, 
	156, 159, 159, 159, -1, 159, 159, -1, 
	-1, 159, 156, 156, 156, 156, 156, -1, 
	156, 156, 156, -1, -1, 159, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 159, 159, 159, 159, 159, 159, 159, 
	159, -1, 159, 159, 159, -1, -1, -1, 
	-1, 156, 156, 156, 156, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 173, 
	173, 173, 173, 173, 173, -1, 173, 173, 
	-1, -1, -1, 159, 159, 159, 159, 159, 
	-1, 173, 173, 173, 173, 173, -1, -1, 
	-1, -1, 159, -1, 159, -1, -1, 159, 
	173, -1, -1, -1, 173, -1, -1, -1, 
	173, 173, 173, 173, 173, -1, -1, -1, 
	-1, 173, 173, 173, -1, -1, -1, -1, 
	173, 173, -1, 173, 173, 173, 173, 173, 
	-1, -1, -1, -1, -1, -1, 173, 175, 
	175, 175, 175, 175, 175, -1, 175, 175, 
	-1, -1, -1, -1, 173, 173, 173, 173, 
	-1, 175, 175, 175, 175, 175, -1, -1, 
	-1, 173, -1, -1, -1, -1, -1, -1, 
	175, -1, -1, -1, 175, -1, -1, -1, 
	175, 175, 175, 175, 175, -1, -1, -1, 
	-1, 175, 175, 175, -1, -1, -1, -1, 
	175, 175, -1, 175, 175, 175, 175, -1, 
	-1, -1, -1, -1, -1, -1, 175, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 175, 175, 175, 175, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 158, 158, -1, -1, -1, -1, -1, 
	-1, -1, -1, 159, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 173, 173, 173, 
	173, 173, -1, 173, 173, 173, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 173, 173, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 173, -1, 173, 173, 173, 173, 
	173, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 173, -1, 175, 175, 175, 
	175, 175, -1, 175, 175, 175, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 175, 175, 175, 175, 
	175, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, -1, 177, 177, 177, 
	177, 177, -1, 177, -1, 177, 177, 177, 
	177, -1, 177, -1, 177, 177, 177, -1, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, -1, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, -1, 177, -1, -1, 
	-1, -1, 177, 177, 177, 177, 177, -1, 
	-1, 177, 177, 177, 177, 177, 177, 177, 
	177, 177, 177, 177, 177, 177, 177, 177, 
	-1, -1, -1, -1, -1, 177, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 177, 177, 177, 177, -1, -1, 
	177, 177, 177, 177, 177, 177, -1, -1, 
	-1, -1, 177, 177, 177, 177, 177, 177, 
	177, -1, -1, -1, -1, 177, -1, -1, 
	-1, -1, 177, 177, -1, -1, 177, 177, 
	177, -1, 177, 177, -1, -1, 177, -1, 
	-1, -1, -1, -1, -1, -1, -1, 177, 
	177, 177, 177, 177, 177, 177, -1, -1, 
	-1, 177, 177, 177, -1, -1, 177, 177, 
	177, 177, 177, 177, 177, 177, -1, 177, 
	177, 177, -1, -1, -1, 177, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	177, 177, -1, -1, 177, -1, -1, -1, 
	-1, 177, -1, -1, -1, -1, 177, -1, 
	177, 177, 177, 177, 177, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 177, 
	-1, 177, -1, -1, 177, -1, 177, 177, 
	-1, -1, -1, 177, -1, 177, -1, 177, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	177, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 219, 
	219, 219, 219, 219, 219, -1, 219, 219, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 219, 219, 219, 219, 219, -1, -1, 
	173, 173, -1, -1, -1, -1, -1, -1, 
	219, -1, -1, -1, 219, -1, 173, -1, 
	219, 219, 219, 219, 219, -1, -1, -1, 
	-1, 219, 219, 219, -1, -1, -1, -1, 
	219, 219, -1, 219, 219, 219, 219, -1, 
	-1, -1, -1, -1, -1, -1, 219, 173, 
	-1, 175, 175, 175, 175, 175, -1, 175, 
	175, 175, -1, -1, 219, 219, 219, 219, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 219, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	175, 175, 175, 175, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, 178, 178, 178, 178, -1, 178, -1, 
	178, 178, 178, 178, -1, 178, -1, 178, 
	178, 178, -1, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, -1, 
	178, -1, -1, -1, -1, 178, 178, 178, 
	178, 178, -1, -1, 178, 178, 178, 178, 
	178, 178, 178, 178, 178, 178, 178, 178, 
	178, 178, 178, -1, -1, -1, -1, -1, 
	178, -1, -1, -1, -1, 219, 219, 219, 
	219, 219, -1, 219, 219, 219, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 219, 219, -1, -1, 
	-1, -1, -1, -1, -1, 219, -1, -1, 
	-1, -1, -1, -1, 219, 219, 219, 219, 
	219, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 178, 178, 178, 
	178, -1, -1, 178, 178, 178, 178, 178, 
	178, 219, -1, -1, -1, 178, 178, 178, 
	178, 178, 178, 178, -1, -1, -1, -1, 
	178, -1, -1, -1, -1, 178, 178, -1, 
	-1, 178, 178, 178, -1, 178, 178, -1, 
	-1, 178, -1, -1, -1, -1, -1, -1, 
	-1, -1, 178, 178, 178, 178, 178, 178, 
	178, -1, -1, -1, 178, 178, 178, -1, 
	-1, 178, 178, 178, 178, 178, 178, 178, 
	178, -1, 178, 178, 178, -1, -1, -1, 
	178, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 178, 178, -1, -1, 178, 
	-1, -1, -1, -1, 178, -1, -1, -1, 
	-1, 178, -1, 178, 178, 178, 178, 178, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 178, -1, 178, -1, -1, 178, 
	-1, 178, 178, -1, -1, -1, 178, -1, 
	178, -1, 178, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, -1, 180, 
	180, 180, 180, 180, -1, 180, -1, 180, 
	180, 180, 180, -1, 180, -1, 180, 180, 
	180, -1, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, -1, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, -1, 180, 
	-1, -1, -1, -1, 180, 180, 180, 180, 
	180, -1, -1, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, -1, -1, -1, -1, -1, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 178, -1, -1, -1, -1, 
	-1, -1, -1, -1, 180, 180, 180, 180, 
	-1, -1, 180, 180, 180, 180, 180, 180, 
	-1, -1, -1, -1, 180, 180, 180, 180, 
	180, 180, 180, -1, -1, -1, -1, 180, 
	-1, -1, -1, -1, 180, 180, -1, -1, 
	180, 180, 180, -1, 180, 180, -1, -1, 
	180, -1, -1, -1, -1, -1, -1, -1, 
	-1, 180, 180, 180, 180, 180, 180, 180, 
	-1, -1, -1, 180, 180, 180, -1, -1, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	-1, 180, 180, 180, -1, -1, -1, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 180, 180, -1, -1, 180, -1, 
	-1, -1, -1, 180, -1, -1, -1, -1, 
	180, -1, 180, 180, 180, 180, 180, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 180, -1, 180, -1, -1, 180, -1, 
	180, 180, -1, -1, -1, 180, -1, 180, 
	-1, 180, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, -1, 181, 181, 
	181, 181, 181, -1, 181, -1, 181, 181, 
	181, 181, -1, 181, -1, 181, 181, 181, 
	-1, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, -1, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, -1, 181, -1, 
	-1, -1, -1, 181, 181, 181, 181, 181, 
	-1, -1, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, -1, -1, -1, -1, -1, 181, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	219, 219, -1, -1, -1, -1, -1, -1, 
	-1, 219, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 180, -1, -1, 219, -1, -1, 
	-1, -1, -1, 181, 181, 181, 181, -1, 
	-1, 181, 181, 181, 181, 181, 181, -1, 
	-1, -1, -1, 181, 181, 181, 181, 181, 
	181, 181, -1, -1, -1, -1, 181, -1, 
	-1, -1, -1, 181, 181, -1, -1, 181, 
	181, 181, -1, 181, 181, -1, -1, 181, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	181, 181, 181, 181, 181, 181, 181, -1, 
	-1, -1, 181, 181, 181, -1, -1, 181, 
	181, 181, 181, 181, 181, 181, 181, -1, 
	181, 181, 181, -1, -1, -1, 181, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 181, 181, -1, -1, 181, -1, -1, 
	-1, -1, 181, -1, -1, -1, -1, 181, 
	-1, 181, 181, 181, 181, 181, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	181, -1, 181, -1, -1, 181, -1, 181, 
	181, -1, -1, -1, 181, -1, 181, -1, 
	181, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, -1, 183, 183, 183, 183, 183, 183, 
	183, 183, -1, -1, -1, 183, 183, 183, 
	183, 183, -1, 183, -1, 183, 183, 183, 
	183, -1, 183, -1, 183, 183, 183, -1, 
	183, 183, -1, -1, 183, 183, 183, 183, 
	183, 183, 183, 183, -1, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, -1, 183, 
	183, 183, 183, -1, -1, -1, -1, -1, 
	-1, -1, 183, 188, 188, 188, 188, 188, 
	188, -1, -1, 183, -1, -1, -1, -1, 
	183, 183, 183, 183, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 188, 
	188, 188, 188, 188, -1, 188, -1, 188, 
	-1, -1, -1, -1, 188, -1, -1, 188, 
	-1, -1, -1, -1, -1, -1, 188, 188, 
	-1, -1, -1, 188, 188, 188, -1, -1, 
	-1, -1, 188, 188, 188, -1, 188, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 181, -1, -1, -1, -1, -1, -1, 
	-1, -1, 183, 183, 183, 183, -1, -1, 
	183, 183, 183, 183, 183, 183, -1, -1, 
	-1, -1, 183, 183, 183, 183, 183, 183, 
	183, -1, -1, -1, -1, 183, -1, -1, 
	-1, -1, 183, 183, -1, -1, 183, 183, 
	183, -1, 183, 183, -1, -1, 183, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 183, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 183, 183, 
	183, 183, 183, 183, 183, 183, -1, 183, 
	183, 183, -1, -1, -1, -1, 188, 188, 
	-1, -1, 188, 188, 188, 188, -1, 188, 
	-1, -1, -1, -1, 188, 188, 188, 188, 
	188, 188, 188, -1, -1, -1, -1, -1, 
	183, 183, 183, 183, 183, -1, -1, -1, 
	188, 188, 188, -1, 188, 188, -1, 183, 
	188, 183, -1, -1, 183, -1, -1, -1, 
	184, 184, 184, 184, 184, 184, 184, 184, 
	184, 184, 184, 184, 184, 184, 184, 184, 
	188, 184, 184, 184, 184, 184, 184, 184, 
	184, -1, 188, 188, 184, 184, 184, 184, 
	184, -1, 184, -1, 184, 184, 184, 184, 
	-1, 184, -1, 184, 184, 184, -1, 184, 
	184, -1, -1, 184, 184, 184, 184, 184, 
	184, 184, 184, -1, 184, 184, 184, 184, 
	184, 184, 184, 184, 184, -1, 184, 184, 
	184, 184, -1, 188, -1, -1, -1, -1, 
	-1, 184, -1, -1, -1, -1, -1, -1, 
	-1, -1, 184, -1, -1, -1, -1, 184, 
	184, 184, 184, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	183, 184, 184, 184, 184, -1, -1, 184, 
	184, 184, 184, 184, 184, -1, -1, -1, 
	-1, 184, 184, 184, 184, 184, 184, 184, 
	-1, -1, -1, -1, 184, -1, -1, -1, 
	-1, 184, 184, -1, -1, 184, 184, 184, 
	-1, 184, 184, -1, -1, 184, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 184, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 184, 184, 184, 
	184, 184, 184, 184, 184, -1, 184, 184, 
	184, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 184, 
	184, 184, 184, 184, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 184, -1, 
	184, -1, -1, 184, -1, -1, -1, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, -1, 189, 189, 189, 189, 189, 
	-1, 189, -1, 189, 189, 189, 189, -1, 
	189, -1, 189, 189, 189, -1, 189, 189, 
	189, 189, 189, 189, 189, 189, 189, 189, 
	189, 189, -1, 189, 189, 189, 189, 189, 
	189, 189, 189, 189, -1, 189, 189, 189, 
	189, -1, -1, -1, -1, -1, -1, -1, 
	189, -1, -1, 189, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 189, 189, 
	189, 189, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 184, 
	189, 189, 189, 189, -1, -1, 189, 189, 
	-1, 189, 189, 189, -1, -1, -1, -1, 
	189, 189, 189, -1, 189, 189, 189, -1, 
	-1, -1, -1, 189, -1, -1, -1, -1, 
	189, -1, -1, -1, 189, 189, 189, -1, 
	189, 189, -1, -1, 189, -1, -1, -1, 
	-1, -1, -1, -1, -1, 189, 189, 189, 
	189, 189, 189, 189, -1, -1, -1, -1, 
	189, 189, -1, -1, 189, 189, 189, 189, 
	189, 189, 189, 189, -1, 189, 189, 189, 
	-1, -1, 188, 188, -1, -1, 188, 188, 
	188, 188, -1, 188, -1, -1, -1, -1, 
	188, 188, 188, 188, 188, 188, 188, -1, 
	-1, -1, -1, -1, -1, -1, 189, 189, 
	189, 189, 189, -1, 188, 188, 188, -1, 
	188, 188, -1, -1, 188, 189, -1, -1, 
	-1, -1, -1, -1, 189, 190, 190, 190, 
	190, 190, 190, -1, 190, 190, -1, -1, 
	-1, -1, -1, -1, 188, -1, -1, 190, 
	190, 190, 190, 190, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 190, -1, 
	-1, -1, 190, -1, -1, -1, 190, 190, 
	190, 190, 190, -1, -1, -1, -1, 190, 
	190, 190, -1, -1, -1, -1, 190, 190, 
	-1, 190, 190, 190, 190, -1, -1, -1, 
	-1, -1, -1, -1, 190, -1, -1, 188, 
	192, 192, 192, 192, 192, 192, -1, 192, 
	192, -1, 190, 190, 190, 190, -1, -1, 
	-1, -1, 192, 192, 192, 192, 192, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 192, -1, -1, -1, 192, -1, -1, 
	-1, 192, 192, 192, 192, 192, -1, -1, 
	-1, -1, 192, 192, 192, -1, -1, -1, 
	-1, 192, 192, -1, 192, 192, 192, 192, 
	-1, -1, -1, -1, -1, -1, -1, 192, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 192, 192, 192, 
	192, -1, -1, -1, -1, -1, 189, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 190, 190, 190, 190, 190, 
	-1, 190, 190, 190, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 190, 190, 190, 190, 190, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 192, 
	192, 192, 192, -1, 192, 192, 192, -1, 
	-1, 193, 193, 193, 193, 193, 193, -1, 
	193, 193, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 193, 193, 193, 193, 193, 
	-1, -1, -1, -1, -1, 192, 192, 192, 
	192, 192, 193, -1, -1, -1, 193, -1, 
	-1, -1, 193, 193, 193, 193, 193, -1, 
	-1, -1, -1, 193, 193, 193, -1, -1, 
	-1, -1, 193, 193, -1, 193, 193, 193, 
	193, -1, -1, -1, -1, -1, -1, -1, 
	193, 194, 194, 194, 194, 194, 194, -1, 
	194, 194, -1, -1, -1, -1, 193, 193, 
	193, 193, -1, 194, 194, 194, 194, 194, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 194, -1, -1, -1, 194, -1, 
	-1, -1, 194, 194, 194, 194, 194, -1, 
	-1, -1, -1, 194, 194, 194, -1, -1, 
	-1, -1, 194, 194, -1, 194, 194, 194, 
	194, -1, -1, -1, -1, -1, -1, -1, 
	194, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 194, 194, 
	194, 194, -1, -1, -1, 195, 195, 195, 
	195, 195, 195, -1, 195, 195, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 195, 
	195, 195, 195, 195, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 195, -1, 
	-1, -1, 195, -1, -1, -1, 195, 195, 
	195, 195, 195, -1, -1, -1, -1, 195, 
	195, 195, -1, -1, -1, -1, 195, 195, 
	-1, 195, 195, 195, 195, -1, -1, -1, 
	-1, 193, 193, 193, 195, 193, 193, 193, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 195, 195, 195, 195, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 193, 193, 
	193, 193, 193, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 194, 194, 194, -1, 194, 194, 194, 
	-1, -1, -1, -1, -1, -1, -1, 196, 
	196, 196, 196, 196, 196, -1, 196, 196, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 196, 196, 196, 196, 196, 194, 194, 
	194, 194, 194, -1, -1, -1, -1, -1, 
	196, -1, -1, -1, 196, -1, -1, -1, 
	196, 196, 196, 196, 196, -1, -1, -1, 
	-1, 196, 196, 196, -1, -1, -1, -1, 
	196, 196, -1, 196, 196, 196, 196, -1, 
	-1, -1, -1, -1, -1, -1, 196, -1, 
	-1, -1, -1, -1, -1, 195, 195, 195, 
	-1, 195, 195, 195, 196, 196, 196, 196, 
	197, 197, 197, 197, 197, 197, -1, 197, 
	197, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 197, 197, 197, 197, 197, -1, 
	-1, -1, 195, 195, 195, 195, 195, -1, 
	-1, 197, -1, -1, -1, 197, -1, -1, 
	-1, 197, 197, 197, 197, 197, -1, -1, 
	-1, -1, 197, 197, 197, -1, -1, -1, 
	-1, 197, 197, -1, 197, 197, 197, 197, 
	-1, -1, -1, -1, -1, -1, -1, 197, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 197, 197, 197, 
	197, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 190, 
	190, 190, 190, 190, -1, 190, 190, 190, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 196, 
	196, 196, -1, 196, 196, 196, 190, 190, 
	190, 190, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 196, 196, 196, 196, 
	196, -1, -1, 192, 192, 192, 192, -1, 
	192, 192, 192, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 192, 192, 192, 192, -1, -1, -1, 
	197, 197, 197, -1, 197, 197, 197, -1, 
	-1, 198, 198, 198, 198, 198, 198, -1, 
	198, 198, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 198, 198, 198, 198, 198, 
	-1, -1, -1, -1, -1, 197, 197, 197, 
	197, 197, 198, -1, -1, -1, 198, -1, 
	-1, -1, 198, 198, 198, 198, 198, -1, 
	-1, -1, -1, 198, 198, 198, -1, -1, 
	-1, -1, 198, 198, -1, 198, 198, 198, 
	198, -1, -1, -1, -1, -1, -1, -1, 
	198, 199, 199, 199, 199, 199, 199, -1, 
	199, 199, -1, -1, -1, -1, 198, 198, 
	198, 198, -1, 199, 199, 199, 199, 199, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 199, -1, -1, -1, 199, -1, 
	-1, -1, 199, 199, 199, 199, 199, -1, 
	-1, -1, -1, 199, 199, 199, -1, -1, 
	-1, -1, 199, 199, -1, 199, 199, 199, 
	199, -1, -1, -1, -1, -1, -1, -1, 
	199, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 199, 199, 
	199, 199, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 193, 193, 193, 
	-1, 193, 193, 193, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 193, 193, 193, 193, -1, -1, 
	-1, 198, 198, 198, -1, 198, 198, 198, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 194, 194, 194, 
	-1, 194, 194, 194, -1, -1, 198, 198, 
	198, 198, 198, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 194, 194, 194, 194, -1, -1, 
	-1, -1, 199, 199, -1, 199, 199, 199, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 199, 199, 
	199, 199, 199, -1, -1, -1, -1, -1, 
	-1, 195, 195, 195, -1, 195, 195, 195, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	200, 200, 200, 200, 200, 200, -1, 200, 
	200, -1, -1, -1, -1, -1, 195, 195, 
	195, 195, 200, 200, 200, 200, 200, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 200, -1, -1, -1, 200, -1, -1, 
	-1, 200, 200, 200, 200, 200, -1, -1, 
	-1, -1, 200, 200, 200, -1, -1, -1, 
	-1, 200, 200, -1, 200, 200, 200, 200, 
	-1, -1, -1, -1, -1, -1, -1, 200, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 200, 200, 200, 
	200, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 201, 201, 201, 
	201, 201, 201, -1, 201, 201, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 201, 
	201, 201, 201, 201, -1, -1, -1, -1, 
	-1, -1, -1, 196, 196, 196, 201, 196, 
	196, 196, 201, -1, -1, -1, 201, 201, 
	201, 201, 201, -1, -1, -1, -1, 201, 
	201, 201, -1, -1, -1, -1, 201, 201, 
	-1, 201, 201, 201, 201, -1, -1, -1, 
	196, 196, 196, 196, 201, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 201, 201, 201, 201, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 197, 197, 197, -1, 
	197, 197, 197, -1, -1, -1, -1, -1, 
	-1, 200, 200, -1, 200, 200, 200, -1, 
	-1, -1, -1, 202, 202, 202, 202, 202, 
	202, -1, 202, 202, -1, -1, -1, -1, 
	-1, 197, 197, 197, 197, 202, 202, 202, 
	202, 202, -1, -1, -1, 200, 200, 200, 
	200, 200, -1, -1, 202, -1, -1, -1, 
	202, -1, -1, -1, 202, 202, 202, 202, 
	202, -1, -1, -1, -1, 202, 202, 202, 
	-1, -1, -1, -1, 202, 202, -1, 202, 
	202, 202, 202, -1, -1, -1, -1, -1, 
	-1, -1, 202, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	202, 202, 202, 202, -1, -1, -1, 201, 
	-1, 201, 201, 201, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 201, 201, 201, 201, 201, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 198, 198, 198, 
	-1, 198, 198, 198, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 202, -1, 202, 
	202, 202, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 198, 198, 198, 198, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	202, 202, 202, 202, 202, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 199, 199, 
	-1, 199, 199, 199, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 199, 199, 199, 199, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	-1, 204, -1, 204, 204, 204, 204, 204, 
	204, -1, 204, 204, 204, -1, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, -1, 204, 204, 204, 
	204, -1, -1, -1, 204, 204, -1, -1, 
	204, 204, -1, 204, 204, 204, 204, -1, 
	-1, 204, -1, 204, -1, -1, 204, 204, 
	204, 204, 204, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 204, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 204, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	204, 204, 204, 204, -1, -1, 204, 204, 
	204, 204, 204, 204, -1, -1, -1, -1, 
	204, 204, 204, 204, 204, 204, 204, -1, 
	-1, 204, -1, 204, -1, -1, -1, -1, 
	204, 204, -1, 204, 204, 204, 204, -1, 
	204, 204, -1, -1, 204, -1, -1, -1, 
	-1, -1, 204, -1, 204, 204, 204, 204, 
	204, 204, 204, 204, -1, -1, -1, -1, 
	204, 204, -1, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, -1, 204, 204, 204, 
	204, -1, 204, -1, -1, 200, 200, -1, 
	200, 200, 200, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 204, 204, 204, -1, 
	-1, 204, 204, 204, -1, -1, 204, 204, 
	204, 204, 204, -1, -1, -1, -1, -1, 
	-1, 200, 200, 200, 200, 204, -1, 204, 
	-1, -1, 204, 204, 204, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 201, -1, 201, 201, 201, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 201, 201, 
	201, 201, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 207, 207, 207, 207, 207, 207, -1, 
	207, 207, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 207, 207, 207, 207, 207, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 207, -1, -1, -1, 207, -1, 
	-1, -1, 207, 207, 207, 207, 207, -1, 
	-1, -1, -1, 207, 207, 207, 204, -1, 
	-1, -1, 207, 207, -1, 207, 207, 207, 
	207, -1, -1, -1, -1, -1, -1, -1, 
	207, -1, -1, -1, -1, -1, -1, -1, 
	-1, 202, -1, 202, 202, 202, 207, 207, 
	207, 207, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 202, 202, 202, 202, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, -1, 206, 206, 206, 206, 
	206, -1, 206, -1, 206, 206, 206, 206, 
	-1, 206, -1, 206, 206, 206, -1, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, -1, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, -1, 206, -1, -1, -1, 
	-1, 206, 206, 206, 206, 206, -1, -1, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, -1, 
	-1, -1, -1, -1, 206, -1, -1, 207, 
	207, 207, 207, 207, -1, 207, 207, 207, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 207, 207, 
	207, 207, 207, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 206, 206, 206, 206, -1, -1, 206, 
	206, 206, 206, 206, 206, -1, -1, -1, 
	-1, 206, 206, 206, 206, 206, 206, 206, 
	-1, -1, -1, -1, 206, -1, -1, -1, 
	-1, 206, 206, -1, -1, 206, 206, 206, 
	-1, 206, 206, -1, -1, 206, -1, -1, 
	-1, -1, -1, -1, -1, -1, 206, 206, 
	206, 206, 206, 206, 206, -1, -1, -1, 
	206, 206, 206, -1, -1, 206, 206, 206, 
	206, 206, 206, 206, 206, -1, 206, 206, 
	206, -1, -1, -1, 206, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 206, 
	206, -1, -1, 206, -1, -1, -1, -1, 
	206, -1, -1, -1, -1, 206, -1, 206, 
	206, 206, 206, 206, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 206, -1, 
	206, -1, -1, 206, -1, 206, 206, -1, 
	-1, -1, 206, -1, 206, -1, 206, -1, 
	-1, -1, -1, -1, 204, 208, 208, 208, 
	208, 208, 208, -1, 208, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 208, 
	208, 208, 208, 208, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 208, -1, 
	-1, -1, 208, -1, -1, -1, 208, 208, 
	208, 208, 208, -1, -1, -1, -1, 208, 
	208, 208, -1, -1, -1, -1, 208, 208, 
	-1, 208, 208, 208, 208, -1, -1, -1, 
	-1, -1, -1, -1, 208, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 208, 208, 208, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, -1, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	-1, -1, -1, 211, 211, 211, 211, 211, 
	-1, 211, -1, 211, 211, 211, 211, 206, 
	211, -1, 211, 211, 211, -1, 211, 211, 
	-1, -1, 211, 211, 211, 211, 211, 211, 
	211, 211, -1, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, -1, 211, 211, 211, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 211, 211, 
	211, 211, -1, -1, -1, -1, -1, -1, 
	208, 208, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 208, 208, 208, 208, 208, 
	-1, 208, 208, 208, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 208, 208, 208, 208, 208, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	211, 211, 211, 211, -1, -1, 211, 211, 
	211, 211, 211, 211, -1, -1, -1, -1, 
	211, 211, 211, 211, 211, 211, 211, -1, 
	-1, -1, -1, 211, -1, -1, -1, -1, 
	211, 211, -1, -1, 211, 211, 211, -1, 
	211, 211, -1, -1, 211, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	211, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 211, 211, 211, 211, 
	211, 211, 211, 211, -1, 211, 211, 211, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 211, 211, 
	211, 211, 211, 207, 207, 207, 207, 207, 
	-1, 207, 207, 207, -1, 211, -1, 211, 
	-1, -1, 211, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 207, 207, 207, 207, 213, 213, 
	213, 213, 213, 213, 213, 213, 213, 213, 
	213, 213, 213, 213, 213, 213, -1, 213, 
	213, 213, 213, 213, 213, 213, 213, -1, 
	-1, -1, 213, 213, 213, 213, 213, -1, 
	213, -1, 213, 213, 213, 213, -1, 213, 
	-1, 213, 213, 213, -1, 213, 213, -1, 
	-1, 213, 213, 213, 213, 213, 213, 213, 
	213, -1, 213, 213, 213, 213, 213, 213, 
	213, 213, 213, -1, 213, 213, 213, 213, 
	-1, -1, -1, -1, -1, -1, -1, 213, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 213, 213, 213, 
	213, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 211, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 213, 
	213, 213, 213, -1, -1, 213, 213, 213, 
	213, 213, 213, -1, -1, -1, -1, 213, 
	213, 213, 213, 213, 213, 213, -1, -1, 
	-1, -1, 213, -1, -1, -1, -1, 213, 
	213, -1, -1, 213, 213, 213, -1, 213, 
	213, -1, -1, 213, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 213, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 213, 213, 213, 213, 213, 
	213, 213, 213, -1, 213, 213, 213, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 223, 223, 223, 223, 223, 223, -1, 
	223, 223, -1, -1, -1, 213, 213, 213, 
	213, 213, -1, 223, 223, 223, 223, 223, 
	-1, -1, -1, -1, 213, -1, 213, -1, 
	-1, 213, 223, -1, -1, -1, 223, -1, 
	-1, -1, 223, 223, 223, 223, 223, -1, 
	-1, -1, -1, 223, 223, 223, -1, -1, 
	-1, -1, 223, 223, -1, 223, 223, 223, 
	223, 223, -1, -1, -1, -1, -1, -1, 
	223, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 223, 223, 
	223, 223, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 223, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 208, 208, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 208, 
	208, 208, 208, 208, -1, 208, 208, 208, 
	-1, 225, 225, 225, 225, 225, 225, -1, 
	225, 225, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 225, 225, 225, 225, 225, 
	-1, -1, -1, -1, -1, -1, 208, 208, 
	208, 208, 225, -1, -1, -1, 225, -1, 
	-1, -1, 225, 225, 225, 225, 225, -1, 
	-1, -1, -1, 225, 225, 225, -1, -1, 
	-1, -1, 225, 225, -1, 225, 225, 225, 
	225, -1, -1, -1, -1, 213, -1, -1, 
	225, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 225, 225, 
	225, 225, -1, -1, -1, -1, -1, 223, 
	223, 223, 223, 223, -1, 223, 223, 223, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 223, 223, 
	-1, -1, -1, -1, -1, -1, -1, 223, 
	-1, -1, -1, -1, -1, -1, 223, 223, 
	223, 223, 223, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 320, 320, 320, 
	320, 320, 320, 223, 320, 320, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 320, 
	320, 320, 320, 320, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 320, -1, 
	-1, -1, 320, -1, -1, -1, 320, 320, 
	320, 320, 320, -1, -1, -1, -1, 320, 
	320, 320, -1, -1, -1, -1, 320, 320, 
	-1, 320, 320, 320, 320, 320, -1, -1, 
	-1, -1, -1, -1, 320, -1, -1, 225, 
	225, 225, 225, 225, -1, 225, 225, 225, 
	-1, -1, 320, 320, 320, 320, -1, -1, 
	320, 320, -1, -1, -1, -1, -1, 320, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 225, 225, 
	225, 225, 225, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, -1, 229, 
	229, 229, 229, 229, -1, 229, -1, 229, 
	229, 229, 229, -1, 229, -1, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, -1, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, -1, 229, 
	-1, -1, 229, -1, 229, 229, 229, 229, 
	229, -1, -1, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, -1, -1, -1, -1, -1, 229, 
	-1, -1, -1, 320, 320, 320, 320, 320, 
	-1, 320, 320, 320, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 320, 320, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	320, -1, 320, 320, 320, 320, 320, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 229, 229, 229, 229, 
	-1, -1, 229, 229, 229, 229, 229, 229, 
	-1, 320, -1, -1, 229, 229, 229, 229, 
	229, 229, 229, -1, -1, -1, -1, 229, 
	-1, -1, -1, -1, 229, 229, -1, -1, 
	229, 229, 229, -1, 229, 229, -1, -1, 
	229, -1, -1, -1, -1, -1, -1, -1, 
	-1, 229, 229, 229, 229, 229, 229, 229, 
	-1, -1, -1, 229, 229, 229, -1, -1, 
	229, 229, 229, 229, 229, 229, 229, 229, 
	229, 229, 229, 229, -1, -1, -1, 229, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 229, 229, -1, -1, 229, -1, 
	-1, -1, -1, 229, -1, -1, -1, -1, 
	229, -1, 229, 229, 229, 229, 229, -1, 
	-1, -1, -1, 252, 252, 252, 252, 252, 
	252, 229, -1, 229, -1, -1, 229, -1, 
	229, 229, -1, -1, -1, 229, 252, 229, 
	-1, 229, -1, -1, -1, -1, -1, 252, 
	252, 252, 252, 252, -1, 252, -1, 252, 
	-1, -1, -1, -1, 252, -1, -1, 252, 
	252, -1, -1, -1, -1, -1, 252, 252, 
	-1, -1, -1, 252, 252, 252, -1, -1, 
	-1, -1, 252, 252, 252, 252, 252, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 223, 223, -1, -1, -1, -1, 
	-1, -1, -1, 223, -1, 252, 252, 252, 
	-1, -1, 252, 252, -1, -1, 252, 252, 
	-1, -1, 229, -1, 252, 252, 252, -1, 
	252, 252, 252, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 252, 252, -1, 223, 
	252, 252, 252, -1, 252, 252, -1, -1, 
	252, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 252, 252, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 225, 225, 225, 225, 225, 
	-1, 225, 225, 225, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 252, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 225, 225, 225, 225, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, -1, 240, 240, 240, 240, 240, -1, 
	240, -1, 240, 240, 240, 240, -1, 240, 
	-1, 240, 240, 240, -1, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, -1, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, -1, 240, -1, -1, -1, -1, 240, 
	240, 240, 240, 240, -1, -1, 240, 240, 
	240, 240, 240, 240, 240, 240, 240, 240, 
	240, 240, 240, 240, 240, -1, -1, -1, 
	-1, -1, 240, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 240, 
	240, 240, 240, -1, -1, 240, 240, 240, 
	240, 240, 240, -1, -1, -1, -1, 240, 
	240, 240, 240, 240, 240, 240, -1, -1, 
	-1, -1, 240, -1, -1, -1, -1, 240, 
	240, -1, -1, 240, 240, 240, -1, 240, 
	240, -1, -1, 240, -1, -1, -1, -1, 
	-1, -1, -1, -1, 240, 240, 240, 240, 
	240, 240, 240, -1, -1, -1, 240, 240, 
	240, -1, -1, 240, 240, 240, 240, 240, 
	240, 240, 240, -1, 240, 240, 240, -1, 
	-1, -1, 240, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 240, 240, -1, 
	-1, 240, -1, -1, -1, -1, 240, -1, 
	-1, -1, -1, 240, -1, 240, 240, 240, 
	240, 240, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 240, -1, 240, -1, 
	-1, 240, -1, 240, 240, -1, -1, -1, 
	240, -1, 240, -1, 240, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	-1, 241, 241, 241, 241, 241, -1, 241, 
	-1, 241, 241, 241, 241, -1, 241, -1, 
	241, 241, 241, -1, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	-1, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	-1, 241, -1, -1, -1, -1, 241, 241, 
	241, 241, 241, -1, -1, 241, 241, 241, 
	241, 241, 241, 241, 241, 241, 241, 241, 
	241, 241, 241, 241, -1, -1, -1, -1, 
	-1, 241, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 240, -1, -1, 
	-1, -1, -1, -1, -1, -1, 241, 241, 
	241, 241, -1, -1, 241, 241, 241, 241, 
	241, 241, -1, -1, -1, -1, 241, 241, 
	241, 241, 241, 241, 241, -1, -1, -1, 
	-1, 241, -1, -1, -1, -1, 241, 241, 
	-1, -1, 241, 241, 241, -1, 241, 241, 
	-1, -1, 241, -1, -1, -1, -1, -1, 
	-1, -1, -1, 241, 241, 241, 241, 241, 
	241, 241, -1, -1, -1, 241, 241, 241, 
	241, -1, 241, 241, 241, 241, 241, 241, 
	241, 241, -1, 241, 241, 241, -1, -1, 
	-1, 241, -1, -1, -1, -1, -1, -1, 
	-1, 241, -1, -1, 241, 241, -1, -1, 
	241, -1, -1, -1, -1, 241, -1, -1, 
	-1, -1, 241, -1, 241, 241, 241, 241, 
	241, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 241, -1, 241, -1, -1, 
	241, -1, 241, 241, -1, -1, -1, 241, 
	-1, 241, -1, 241, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, -1, 
	242, 242, 242, 242, 242, -1, 242, -1, 
	242, 242, 242, 242, -1, 242, -1, 242, 
	242, 242, -1, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, -1, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, -1, 
	242, -1, -1, -1, -1, 242, 242, 242, 
	242, 242, -1, -1, 242, 242, 242, 242, 
	242, 242, 242, 242, 242, 242, 242, 242, 
	242, 242, 242, -1, -1, -1, -1, -1, 
	242, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 241, -1, -1, -1, 
	-1, -1, -1, -1, -1, 242, 242, 242, 
	242, -1, -1, 242, 242, 242, 242, 242, 
	242, -1, -1, -1, -1, 242, 242, 242, 
	242, 242, 242, 242, -1, -1, -1, -1, 
	242, -1, -1, -1, -1, 242, 242, -1, 
	-1, 242, 242, 242, -1, 242, 242, -1, 
	-1, 242, -1, -1, -1, -1, -1, -1, 
	-1, -1, 242, 242, 242, 242, 242, 242, 
	242, -1, -1, -1, 242, 242, 242, 242, 
	-1, 242, 242, 242, 242, 242, 242, 242, 
	242, -1, 242, 242, 242, -1, -1, -1, 
	242, -1, -1, -1, -1, -1, -1, -1, 
	242, -1, -1, 242, 242, -1, -1, 242, 
	-1, -1, -1, -1, 242, -1, -1, -1, 
	-1, 242, -1, 242, 242, 242, 242, 242, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 242, -1, 242, -1, -1, 242, 
	-1, 242, 242, -1, -1, -1, 242, -1, 
	242, -1, 242, -1, -1, -1, -1, -1, 
	-1, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, 247, 247, 
	247, 247, -1, 247, -1, 247, 247, 247, 
	247, -1, 247, -1, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, -1, 247, -1, -1, 
	247, -1, 247, 247, 247, 247, 247, -1, 
	-1, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	-1, -1, -1, -1, -1, 247, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 242, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 247, 247, 247, 247, -1, -1, 
	247, 247, 247, 247, 247, 247, -1, -1, 
	-1, -1, 247, 247, 247, 247, 247, 247, 
	247, -1, -1, -1, -1, 247, -1, -1, 
	-1, -1, 247, 247, -1, -1, 247, 247, 
	247, -1, 247, 247, -1, -1, 247, -1, 
	-1, -1, -1, -1, -1, -1, -1, 247, 
	247, 247, 247, 247, 247, 247, -1, -1, 
	-1, 247, 247, 247, -1, 241, 247, 247, 
	247, 247, 247, 247, 247, 247, 247, 247, 
	247, 247, -1, -1, -1, 247, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	247, 247, -1, -1, 247, -1, -1, -1, 
	-1, 247, -1, -1, -1, -1, 247, -1, 
	247, 247, 247, 247, 247, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 247, 
	-1, 247, -1, -1, 247, -1, 247, 247, 
	-1, -1, -1, 247, -1, 247, -1, 247, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, -1, 248, 248, 248, 248, 
	248, -1, 248, -1, 248, 248, 248, 248, 
	-1, 248, -1, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, -1, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, -1, 248, -1, -1, 248, 
	-1, 248, 248, 248, 248, 248, -1, -1, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, -1, 
	-1, -1, -1, -1, 248, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	247, -1, -1, -1, -1, -1, -1, -1, 
	-1, 248, 248, 248, 248, -1, -1, 248, 
	248, 248, 248, 248, 248, -1, -1, -1, 
	-1, 248, 248, 248, 248, 248, 248, 248, 
	-1, -1, -1, -1, 248, -1, -1, -1, 
	-1, 248, 248, -1, -1, 248, 248, 248, 
	-1, 248, 248, -1, -1, 248, -1, -1, 
	-1, -1, -1, -1, -1, -1, 248, 248, 
	248, 248, 248, 248, 248, -1, -1, -1, 
	248, 248, 248, -1, -1, 248, 248, 248, 
	248, 248, 248, 248, 248, 248, 248, 248, 
	248, -1, -1, -1, 248, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 248, 
	248, -1, -1, 248, -1, -1, -1, -1, 
	248, -1, -1, -1, -1, 248, -1, 248, 
	248, 248, 248, 248, -1, -1, -1, -1, 
	250, 250, 250, 250, 250, 250, 248, -1, 
	248, -1, -1, 248, -1, 248, 248, -1, 
	-1, -1, 248, 250, 248, -1, 248, -1, 
	-1, -1, -1, -1, 250, 250, 250, 250, 
	250, -1, 250, -1, 250, -1, -1, -1, 
	-1, 250, -1, -1, 250, 250, -1, -1, 
	-1, -1, -1, 250, 250, -1, -1, -1, 
	250, 250, 250, -1, -1, -1, -1, 250, 
	250, 250, 250, 250, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 253, 253, 253, 253, 253, 253, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 253, -1, -1, -1, 
	-1, -1, -1, -1, -1, 253, 253, 253, 
	253, 253, -1, 253, -1, 253, -1, -1, 
	-1, -1, 253, -1, -1, 253, 253, -1, 
	-1, -1, -1, -1, 253, 253, -1, -1, 
	-1, 253, 253, 253, -1, -1, -1, -1, 
	253, 253, 253, 253, 253, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 250, 250, 250, -1, -1, 250, 
	250, -1, -1, 250, 250, -1, -1, 248, 
	-1, 250, 250, 250, -1, 250, 250, 250, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 250, 250, -1, -1, 250, 250, 250, 
	-1, 250, 250, -1, -1, 250, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 250, 
	250, -1, 247, 253, 253, 253, -1, -1, 
	253, 253, -1, -1, 253, 253, -1, -1, 
	-1, -1, 253, 253, 253, -1, 253, 253, 
	253, -1, 254, 254, 254, 254, 254, 254, 
	-1, -1, 253, 253, -1, -1, 253, 253, 
	253, -1, 253, 253, -1, 254, 253, -1, 
	-1, -1, -1, 250, -1, -1, 254, 254, 
	254, 254, 254, -1, 254, -1, 254, -1, 
	-1, -1, -1, 254, -1, -1, 254, 254, 
	-1, -1, -1, -1, -1, 254, 254, -1, 
	253, 253, 254, 254, 254, -1, -1, -1, 
	-1, 254, 254, 254, 254, 254, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 255, 255, 255, 255, 255, 255, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 255, -1, -1, -1, 
	-1, -1, -1, -1, 253, 255, 255, 255, 
	255, 255, -1, 255, -1, 255, -1, -1, 
	-1, -1, 255, -1, -1, 255, 255, -1, 
	-1, -1, -1, -1, 255, 255, -1, -1, 
	-1, 255, 255, 255, -1, -1, -1, -1, 
	255, 255, 255, 255, 255, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 254, 254, 254, -1, 
	-1, 254, 254, -1, -1, 254, 254, -1, 
	-1, -1, -1, 254, 254, 254, -1, 254, 
	254, 254, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 254, 254, -1, -1, 254, 
	254, 254, -1, 254, 254, -1, -1, 254, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 254, 254, 255, 255, 255, -1, -1, 
	255, 255, -1, -1, 255, 255, -1, -1, 
	-1, -1, 255, 255, 255, -1, 255, 255, 
	255, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 255, 255, -1, -1, 255, 255, 
	255, 248, 255, 255, -1, -1, 255, -1, 
	-1, -1, -1, -1, -1, 254, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	255, 255, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 255, 256, 256, 256, 
	256, 256, 256, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	256, -1, -1, -1, -1, -1, -1, -1, 
	-1, 256, 256, 256, 256, 256, -1, 256, 
	-1, 256, -1, -1, -1, -1, 256, -1, 
	-1, 256, 256, -1, -1, -1, -1, -1, 
	256, 256, -1, -1, -1, 256, 256, 256, 
	-1, -1, -1, -1, 256, 256, 256, 256, 
	256, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 250, 250, 
	250, -1, -1, 250, 250, -1, -1, 250, 
	250, -1, -1, -1, -1, 250, 250, 250, 
	-1, 250, 250, 250, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 250, 250, -1, 
	-1, 250, 250, 250, -1, 250, 250, -1, 
	-1, 250, -1, -1, -1, -1, -1, 256, 
	256, 256, -1, -1, 256, 256, -1, -1, 
	256, 256, -1, -1, -1, -1, 256, 256, 
	256, -1, 256, 256, 256, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 256, 256, 
	-1, -1, 256, 256, 256, -1, 256, 256, 
	-1, -1, 256, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 257, 257, 257, 257, 
	257, 257, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 257, 
	-1, -1, -1, -1, 256, 256, -1, 250, 
	257, 257, 257, 257, 257, -1, 257, -1, 
	257, -1, -1, -1, -1, 257, -1, -1, 
	257, 257, -1, -1, -1, -1, -1, 257, 
	257, -1, -1, -1, 257, 257, 257, -1, 
	-1, -1, -1, 257, 257, 257, 257, 257, 
	-1, -1, 258, 258, 258, 258, 258, 258, 
	256, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 258, -1, -1, 
	-1, -1, -1, -1, -1, -1, 258, 258, 
	258, 258, 258, -1, 258, -1, 258, -1, 
	-1, -1, -1, 258, -1, -1, 258, 258, 
	-1, -1, -1, -1, -1, 258, 258, -1, 
	-1, -1, 258, 258, 258, -1, -1, -1, 
	-1, 258, 258, 258, 258, 258, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 257, 257, 
	257, -1, -1, 257, 257, -1, -1, 257, 
	257, -1, -1, -1, -1, 257, 257, 257, 
	-1, 257, 257, 257, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 257, 257, -1, 
	-1, 257, 257, 257, -1, 257, 257, -1, 
	-1, 257, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 258, 258, 258, -1, 
	-1, 258, 258, 257, 257, 258, 258, -1, 
	-1, -1, -1, 258, 258, 258, -1, 258, 
	258, 258, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 258, 258, -1, -1, 258, 
	258, 258, -1, 258, 258, -1, -1, 258, 
	-1, -1, -1, -1, -1, -1, -1, 259, 
	259, 259, 259, 259, 259, -1, -1, 257, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 259, -1, -1, -1, -1, -1, 
	-1, 258, 258, 259, 259, 259, 259, 259, 
	-1, 259, -1, 259, -1, -1, -1, -1, 
	259, -1, -1, 259, 259, -1, -1, -1, 
	-1, -1, 259, 259, -1, -1, -1, 259, 
	259, 259, -1, -1, -1, -1, 259, 259, 
	259, 259, 259, -1, -1, 260, 260, 260, 
	260, 260, 260, -1, -1, 258, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	260, -1, -1, -1, -1, -1, -1, -1, 
	-1, 260, 260, 260, 260, 260, -1, 260, 
	-1, 260, -1, -1, -1, -1, 260, -1, 
	-1, 260, 260, -1, -1, -1, -1, -1, 
	260, 260, -1, -1, -1, 260, 260, 260, 
	-1, -1, -1, -1, 260, 260, 260, 260, 
	260, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 259, 259, 259, -1, -1, 259, 259, 
	-1, -1, 259, 259, -1, -1, -1, -1, 
	259, 259, 259, -1, 259, 259, 259, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	259, 259, -1, -1, 259, 259, 259, -1, 
	259, 259, -1, -1, 259, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 260, 
	260, 260, -1, -1, 260, 260, 259, 259, 
	260, 260, -1, -1, -1, -1, 260, 260, 
	260, -1, 260, 260, 260, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 260, 260, 
	-1, -1, 260, 260, 260, -1, 260, 260, 
	-1, -1, 260, -1, -1, -1, -1, -1, 
	-1, -1, 261, 261, 261, 261, 261, 261, 
	-1, -1, 259, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 261, -1, -1, 
	-1, -1, -1, -1, 260, 260, 261, 261, 
	261, 261, 261, -1, 261, -1, 261, -1, 
	-1, -1, -1, 261, -1, -1, 261, 261, 
	-1, -1, -1, -1, -1, 261, 261, -1, 
	-1, -1, 261, 261, 261, -1, -1, -1, 
	-1, 261, 261, 261, 261, 261, -1, -1, 
	262, 262, 262, 262, 262, 262, -1, -1, 
	260, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 262, -1, -1, -1, -1, 
	-1, -1, -1, -1, 262, 262, 262, 262, 
	262, -1, 262, -1, 262, -1, -1, -1, 
	-1, 262, -1, -1, 262, 262, -1, -1, 
	-1, -1, -1, 262, 262, -1, -1, -1, 
	262, 262, 262, -1, -1, -1, -1, 262, 
	262, 262, 262, 262, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 261, 261, 261, -1, 
	-1, 261, 261, -1, -1, 261, 261, -1, 
	-1, -1, -1, 261, 261, 261, -1, 261, 
	261, 261, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 261, 261, -1, -1, 261, 
	261, 261, -1, 261, 261, -1, -1, 261, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 262, 262, 262, -1, -1, 262, 
	262, 261, 261, 262, 262, -1, -1, -1, 
	-1, 262, 262, 262, -1, 262, 262, 262, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 262, 262, -1, -1, 262, 262, 262, 
	-1, 262, 262, -1, -1, 262, -1, -1, 
	-1, -1, -1, -1, -1, 263, 263, 263, 
	263, 263, 263, -1, -1, 261, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	263, -1, -1, -1, -1, -1, -1, 262, 
	262, 263, 263, 263, 263, 263, -1, 263, 
	-1, 263, -1, -1, -1, -1, 263, -1, 
	-1, 263, 263, -1, -1, -1, -1, -1, 
	263, 263, -1, -1, -1, 263, 263, 263, 
	-1, -1, -1, -1, 263, 263, 263, 263, 
	263, -1, -1, 264, 264, 264, 264, 264, 
	264, -1, -1, 262, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, -1, 
	-1, -1, -1, -1, -1, -1, -1, 264, 
	264, 264, 264, 264, -1, 264, -1, 264, 
	-1, -1, -1, -1, 264, -1, -1, 264, 
	264, -1, -1, -1, -1, -1, 264, 264, 
	-1, -1, -1, 264, 264, 264, -1, -1, 
	-1, -1, 264, 264, 264, 264, 264, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 263, 
	263, 263, -1, -1, 263, 263, -1, -1, 
	263, 263, -1, -1, -1, -1, 263, 263, 
	263, -1, 263, 263, 263, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 263, 263, 
	-1, -1, 263, 263, 263, -1, 263, 263, 
	-1, -1, 263, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 264, 264, 264, 
	-1, -1, 264, 264, 263, 263, 264, 264, 
	-1, -1, -1, -1, 264, 264, 264, -1, 
	264, 264, 264, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 264, 264, -1, -1, 
	264, 264, 264, -1, 264, 264, -1, -1, 
	264, -1, -1, -1, -1, -1, -1, -1, 
	265, 265, 265, 265, 265, 265, -1, -1, 
	263, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 265, -1, -1, -1, -1, 
	-1, -1, 264, 264, 265, 265, 265, 265, 
	265, -1, 265, -1, 265, -1, -1, -1, 
	-1, 265, -1, -1, 265, 265, -1, -1, 
	-1, -1, -1, 265, 265, -1, -1, -1, 
	265, 265, 265, -1, -1, -1, -1, 265, 
	265, 265, 265, 265, -1, -1, 266, 266, 
	266, 266, 266, 266, -1, -1, 264, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, 266, 266, 266, 266, 266, -1, 
	266, -1, 266, -1, -1, -1, -1, 266, 
	-1, -1, 266, 266, -1, -1, -1, -1, 
	-1, 266, 266, -1, -1, -1, 266, 266, 
	266, -1, -1, -1, -1, 266, 266, 266, 
	266, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 265, 265, 265, -1, -1, 265, 
	265, -1, -1, 265, 265, -1, -1, -1, 
	-1, 265, 265, 265, -1, 265, 265, 265, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 265, 265, -1, -1, 265, 265, 265, 
	-1, 265, 265, -1, -1, 265, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	266, 266, 266, -1, -1, 266, 266, 265, 
	265, 266, 266, -1, -1, -1, -1, 266, 
	266, 266, -1, 266, 266, 266, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 266, 
	266, -1, -1, 266, 266, 266, -1, 266, 
	266, -1, -1, 266, -1, -1, -1, -1, 
	-1, -1, -1, 267, 267, 267, 267, 267, 
	267, -1, -1, 265, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 267, -1, 
	-1, -1, -1, -1, -1, 266, 266, 267, 
	267, 267, 267, 267, -1, 267, -1, 267, 
	-1, -1, -1, -1, 267, -1, -1, 267, 
	267, -1, -1, -1, -1, -1, 267, 267, 
	-1, -1, -1, 267, 267, 267, -1, -1, 
	-1, -1, 267, 267, 267, 267, 267, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	459, 459, 459, 459, 459, 459, -1, 459, 
	459, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 459, 459, 459, 459, 459, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 459, -1, -1, -1, 459, -1, -1, 
	-1, 459, 459, 459, 459, 459, -1, -1, 
	-1, -1, 459, 459, 459, -1, -1, -1, 
	-1, 459, 459, -1, 459, 459, 459, 459, 
	-1, -1, -1, -1, -1, -1, -1, 459, 
	-1, -1, -1, -1, -1, 267, 267, 267, 
	-1, -1, 267, 267, -1, -1, 267, 267, 
	-1, -1, -1, -1, 267, 267, 267, -1, 
	267, 267, 267, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 267, 267, -1, -1, 
	267, 267, 267, -1, 267, 267, -1, -1, 
	267, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 267, 267, -1, -1, -1, -1, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, -1, 275, 275, 275, 275, 
	275, -1, 275, -1, 275, 275, 275, 275, 
	-1, 275, -1, 275, 275, 275, 267, 275, 
	275, 275, 275, 275, 275, 275, 275, 275, 
	275, 275, 275, -1, 275, 275, 275, 275, 
	275, 275, 275, 275, 275, -1, 275, 275, 
	275, 275, -1, -1, 459, 459, 459, -1, 
	-1, 275, -1, -1, 275, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 275, 
	275, 275, 275, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 459, 459, 459, 
	459, 459, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 275, 275, 275, 275, -1, -1, 275, 
	275, -1, 275, 275, 275, -1, -1, -1, 
	-1, 275, 275, 275, -1, 275, 275, 275, 
	-1, -1, -1, -1, 275, -1, -1, -1, 
	-1, 275, -1, -1, -1, 275, 275, 275, 
	-1, 275, 275, -1, -1, 275, -1, -1, 
	-1, -1, -1, -1, -1, -1, 275, 275, 
	275, 275, 275, 275, 275, -1, -1, -1, 
	-1, 275, 275, -1, -1, 275, 275, 275, 
	275, 275, 275, 275, 275, -1, 275, 275, 
	275, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 275, 
	275, 275, 275, 275, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 275, -1, 
	-1, -1, -1, -1, -1, 275, 276, 276, 
	276, 276, 276, 276, 276, 276, 276, 276, 
	276, 276, 276, -1, -1, 276, 276, 276, 
	276, -1, -1, -1, 276, 276, 276, 276, 
	276, -1, -1, -1, -1, 276, 276, 276, 
	-1, -1, -1, 276, -1, -1, -1, 276, 
	276, -1, -1, 276, 276, 276, 276, 276, 
	-1, -1, -1, -1, 276, 276, 276, -1, 
	-1, -1, -1, 276, 276, -1, 276, 276, 
	276, 276, -1, -1, -1, -1, -1, -1, 
	-1, 276, -1, -1, 276, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	276, 276, 276, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	-1, 277, 277, 277, 277, 277, -1, 277, 
	-1, 277, 277, 277, 277, -1, 277, 275, 
	277, 277, 277, -1, 277, 277, 277, 277, 
	277, 277, 277, 277, 277, 277, 277, 277, 
	-1, 277, 277, 277, 277, 277, 277, 277, 
	277, 277, -1, 277, 277, 277, 277, -1, 
	-1, -1, -1, -1, -1, -1, 277, -1, 
	-1, 277, -1, -1, -1, -1, -1, -1, 
	-1, 276, -1, -1, 277, 277, 277, 277, 
	-1, 276, 276, 276, -1, 276, 276, 276, 
	276, 276, 276, 276, 276, -1, 276, 276, 
	276, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	276, 276, 276, 276, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 276, 277, 277, 
	277, 277, -1, -1, 277, 277, -1, 277, 
	277, 277, -1, -1, -1, -1, 277, 277, 
	277, -1, 277, 277, 277, -1, -1, -1, 
	-1, 277, -1, -1, -1, -1, 277, -1, 
	-1, -1, 277, 277, 277, -1, 277, 277, 
	-1, -1, 277, -1, -1, -1, -1, -1, 
	-1, -1, -1, 277, 277, 277, 277, 277, 
	277, 277, -1, -1, -1, -1, 277, 277, 
	-1, -1, 277, 277, 277, 277, 277, 277, 
	277, 277, -1, 277, 277, 277, -1, -1, 
	459, 459, 459, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 277, 277, 277, 277, 
	277, 459, 459, 459, 459, -1, -1, -1, 
	-1, -1, -1, 277, -1, -1, -1, -1, 
	-1, -1, 277, -1, -1, -1, -1, -1, 
	-1, -1, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, -1, 278, 278, 
	278, 278, 278, -1, 278, -1, 278, 278, 
	278, 278, -1, 278, -1, 278, 278, 278, 
	-1, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, -1, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, -1, 
	278, 278, 278, 278, -1, -1, -1, -1, 
	-1, -1, -1, 278, -1, -1, 278, -1, 
	333, 333, 333, 333, 333, 333, 275, 275, 
	275, 278, 278, 278, 278, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 333, 333, 333, 333, 
	333, -1, 333, -1, 333, -1, -1, -1, 
	-1, 333, -1, -1, 333, -1, -1, -1, 
	-1, -1, -1, 333, 333, -1, -1, -1, 
	333, 333, 333, -1, -1, -1, -1, 333, 
	333, 333, -1, 333, -1, -1, -1, -1, 
	-1, -1, -1, -1, 277, -1, -1, -1, 
	-1, -1, -1, 278, 278, 278, 278, -1, 
	-1, 278, 278, -1, 278, 278, 278, -1, 
	-1, -1, -1, 278, 278, 278, -1, 278, 
	278, 278, -1, -1, -1, -1, 278, -1, 
	-1, -1, -1, 278, -1, -1, -1, 278, 
	278, 278, -1, 278, 278, -1, -1, 278, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	278, 278, 278, 278, 278, 278, 278, -1, 
	-1, -1, -1, 278, 278, -1, -1, 278, 
	278, 278, 278, 278, 278, 278, 278, -1, 
	278, 278, 278, -1, -1, -1, -1, -1, 
	-1, -1, -1, 333, 333, -1, -1, 333, 
	333, 333, 333, -1, 333, -1, -1, -1, 
	-1, 333, 333, 333, 333, 333, 333, 333, 
	-1, 278, 278, 278, 278, 278, -1, -1, 
	-1, -1, -1, -1, -1, 333, 333, 333, 
	278, 333, 333, -1, -1, 333, -1, 278, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 333, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 333, 
	333, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	333, -1, -1, -1, -1, 276, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 276, 
	-1, 276, 276, 276, 276, 276, 276, 276, 
	276, -1, 276, 276, 276, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 276, 276, 276, 276, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 276, -1, -1, -1, -1, -1, -1, 
	-1, 278, 285, 285, 285, 285, 285, 285, 
	285, 285, 285, 285, 285, 285, 285, 285, 
	285, 285, -1, 285, 285, 285, 285, 285, 
	285, 285, 285, -1, -1, -1, 285, 285, 
	285, 285, 285, -1, 285, -1, 285, 285, 
	285, 285, -1, 285, -1, 285, 285, 285, 
	-1, 285, 285, -1, -1, 285, 285, 285, 
	285, 285, 285, 285, 285, -1, 285, 285, 
	285, 285, 285, 285, 285, 285, 285, -1, 
	285, 285, 285, 285, -1, -1, -1, -1, 
	-1, -1, -1, 285, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 285, 285, 285, 285, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 285, 285, 285, 285, -1, 
	-1, 285, 285, 285, 285, 285, 285, -1, 
	-1, -1, -1, 285, 285, 285, 285, 285, 
	285, 285, -1, -1, -1, -1, 285, -1, 
	-1, -1, -1, 285, -1, -1, -1, 285, 
	285, 285, -1, 285, 285, -1, -1, 285, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 285, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 285, 
	285, 285, 285, 285, 285, 285, 285, -1, 
	285, 285, 285, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 285, 285, 285, 285, 285, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	285, -1, 285, 286, 286, 286, 286, 286, 
	286, 286, 286, 286, 286, 286, 286, 286, 
	286, 286, 286, -1, 286, 286, 286, 286, 
	286, 286, 286, 286, -1, -1, -1, 286, 
	286, 286, 286, 286, -1, 286, -1, 286, 
	286, 286, 286, -1, 286, -1, 286, 286, 
	286, -1, 286, 286, -1, -1, 286, 286, 
	286, 286, 286, 286, 286, 286, -1, 286, 
	286, 286, 286, 286, 286, 286, 286, 286, 
	-1, 286, 286, 286, 286, -1, -1, -1, 
	-1, -1, -1, -1, 286, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 286, 286, 286, 286, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 286, 286, 286, 286, 
	-1, 285, 286, 286, 286, 286, 286, 286, 
	-1, -1, -1, -1, 286, 286, 286, 286, 
	286, 286, 286, -1, -1, -1, -1, 286, 
	-1, -1, -1, -1, 286, 286, -1, -1, 
	286, 286, 286, -1, 286, 286, -1, -1, 
	286, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 286, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	286, 286, 286, 286, 286, 286, 286, 286, 
	-1, 286, 286, 286, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 286, 286, 286, 286, 286, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 286, -1, 286, -1, -1, 286, 290, 
	290, 290, 290, 290, 290, 290, 290, 290, 
	290, 290, 290, 290, -1, -1, 290, 290, 
	290, 290, -1, -1, -1, 290, 290, 290, 
	290, 290, -1, -1, -1, -1, 290, 290, 
	290, -1, -1, -1, 290, -1, -1, -1, 
	290, 290, -1, -1, 290, 290, 290, 290, 
	290, -1, -1, -1, -1, 290, 290, 290, 
	-1, -1, -1, -1, 290, 290, -1, 290, 
	290, 290, 290, -1, -1, -1, -1, -1, 
	-1, -1, 290, -1, -1, 290, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	290, 290, 290, 290, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 291, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, 291, 291, 291, -1, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	-1, -1, -1, 291, 291, 291, 291, 291, 
	-1, 291, -1, 291, 291, 291, 291, -1, 
	291, -1, 291, 291, 291, -1, 291, 291, 
	-1, -1, 291, 291, 291, 291, 291, 291, 
	291, 291, 286, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, -1, 291, 291, 291, 
	291, -1, -1, -1, -1, -1, -1, -1, 
	291, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 291, 291, 
	291, 291, -1, -1, -1, -1, -1, -1, 
	-1, -1, 290, -1, -1, -1, -1, -1, 
	-1, -1, 290, 290, -1, -1, 290, 290, 
	290, 290, 290, 290, 290, 290, -1, 290, 
	290, 290, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	290, 290, 290, 290, 290, -1, -1, -1, 
	291, 291, 291, 291, -1, -1, 291, 291, 
	-1, 291, 291, 291, -1, -1, 290, -1, 
	291, 291, 291, -1, 291, 291, 291, -1, 
	-1, -1, -1, 291, -1, -1, -1, -1, 
	291, 291, -1, -1, 291, 291, 291, -1, 
	291, 291, -1, -1, 291, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	291, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 291, 291, 291, 291, 
	291, 291, 291, 291, -1, 291, 291, 291, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 291, 291, 
	291, 291, 291, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 291, -1, -1, 
	-1, -1, 291, -1, -1, -1, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, -1, 293, 293, 293, 293, 293, -1, 
	293, -1, 293, 293, 293, 293, -1, 293, 
	-1, 293, 293, 293, -1, 293, 293, 293, 
	293, 293, 293, 293, 293, 293, 293, 293, 
	293, -1, 293, 293, 293, 293, 293, 293, 
	293, 293, 293, -1, 293, 293, 293, 293, 
	-1, -1, -1, -1, -1, -1, -1, 293, 
	-1, -1, 293, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 293, 293, 293, 
	293, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 291, 293, 
	293, 293, 293, -1, -1, 293, 293, -1, 
	293, 293, 293, -1, -1, -1, -1, 293, 
	293, 293, -1, 293, 293, 293, -1, -1, 
	-1, -1, 293, -1, -1, -1, -1, 293, 
	-1, -1, -1, 293, 293, 293, -1, 293, 
	293, -1, -1, 293, -1, -1, -1, -1, 
	-1, -1, -1, -1, 293, 293, 293, 293, 
	293, 293, 293, -1, -1, -1, -1, 293, 
	293, -1, -1, 293, 293, 293, 293, 293, 
	293, 293, 293, -1, 293, 293, 293, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 293, 293, 293, 
	293, 293, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 293, -1, -1, -1, 
	-1, -1, -1, 293, -1, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	-1, 295, 295, 295, 295, 295, -1, 295, 
	-1, 295, 295, 295, 295, -1, 295, -1, 
	295, 295, 295, -1, 295, 295, 295, 295, 
	295, 295, 295, 295, 295, 295, 295, 295, 
	-1, 295, 295, 295, 295, 295, 295, 295, 
	295, 295, -1, 295, 295, 295, 295, -1, 
	-1, -1, -1, -1, -1, -1, 295, -1, 
	-1, 295, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 295, 295, 295, 295, 
	-1, -1, -1, -1, -1, -1, 290, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 290, 290, 290, 290, 290, 290, 
	290, 290, -1, 290, 290, 290, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 290, 290, 290, 290, 
	-1, -1, -1, -1, -1, 293, 295, 295, 
	295, 295, -1, -1, 295, 295, -1, 295, 
	295, 295, 290, -1, -1, -1, 295, 295, 
	295, -1, 295, 295, 295, -1, -1, -1, 
	-1, 295, -1, -1, -1, -1, 295, -1, 
	-1, -1, 295, 295, 295, -1, 295, 295, 
	-1, -1, 295, -1, -1, -1, -1, -1, 
	-1, -1, -1, 295, 295, 295, 295, 295, 
	295, 295, -1, -1, -1, -1, 295, 295, 
	-1, -1, 295, 295, 295, 295, 295, 295, 
	295, 295, -1, 295, 295, 295, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 295, 295, 295, 295, 
	295, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 295, -1, -1, -1, -1, 
	-1, -1, 295, -1, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, -1, 
	296, 296, 296, 296, 296, -1, 296, -1, 
	296, 296, 296, 296, -1, 296, -1, 296, 
	296, 296, -1, 296, 296, 296, 296, 296, 
	296, 296, 296, 296, 296, 296, 296, -1, 
	296, 296, 296, 296, 296, 296, 296, 296, 
	296, -1, 296, 296, 296, 296, -1, -1, 
	-1, -1, -1, -1, -1, 296, -1, -1, 
	296, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 296, 296, 296, 296, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 295, 296, 296, 296, 
	296, -1, -1, 296, 296, -1, 296, 296, 
	296, -1, -1, -1, -1, 296, 296, 296, 
	-1, 296, 296, 296, -1, -1, -1, -1, 
	296, -1, -1, -1, -1, 296, -1, -1, 
	-1, 296, 296, 296, -1, 296, 296, -1, 
	-1, 296, -1, -1, -1, -1, -1, -1, 
	-1, -1, 296, 296, 296, 296, 296, 296, 
	296, -1, -1, -1, -1, 296, 296, -1, 
	-1, 296, 296, 296, 296, 296, 296, 296, 
	296, -1, 296, 296, 296, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 296, 296, 296, 296, 296, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 296, -1, -1, -1, -1, -1, 
	-1, 296, 298, 298, 298, 298, 298, 298, 
	298, 298, 298, 298, -1, 298, 298, -1, 
	-1, 298, 298, 298, 298, -1, -1, -1, 
	298, 298, 298, 298, 298, -1, -1, -1, 
	-1, 298, 298, 298, -1, -1, -1, 298, 
	-1, -1, -1, 298, 298, -1, -1, 298, 
	298, 298, 298, 298, -1, -1, -1, -1, 
	298, 298, 298, -1, -1, -1, -1, 298, 
	298, -1, 298, 298, 298, 298, -1, -1, 
	-1, -1, -1, -1, -1, 298, -1, 298, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 298, 298, 298, 298, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, -1, 303, 303, 303, 303, 303, 303, 
	303, 303, -1, -1, -1, 303, 303, 303, 
	303, 303, -1, 303, -1, 303, 303, 303, 
	303, -1, 303, -1, 303, 303, 303, -1, 
	303, 303, -1, 296, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, 303, 303, 303, 303, 303, 
	303, 303, 303, -1, -1, -1, -1, -1, 
	-1, -1, 303, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	303, 303, 303, 303, -1, 298, -1, 295, 
	295, 295, -1, -1, 298, -1, -1, -1, 
	-1, 298, 298, 298, 298, 298, 298, 298, 
	298, -1, 298, 298, 298, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 298, 298, 298, 298, 298, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 303, 303, 303, 303, -1, -1, 
	303, 303, 303, 303, 303, 303, -1, -1, 
	-1, -1, 303, 303, 303, 303, 303, 303, 
	303, -1, 303, 303, -1, 303, -1, -1, 
	-1, -1, 303, 303, -1, -1, 303, 303, 
	303, -1, 303, 303, -1, -1, 303, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 303, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 303, 303, 
	303, 303, 303, 303, 303, 303, -1, 303, 
	303, 303, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	303, 303, 303, 303, 303, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 303, 
	-1, 303, -1, -1, 303, -1, -1, -1, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	-1, 304, 304, 304, 304, 304, 304, 304, 
	304, -1, -1, -1, 304, 304, 304, 304, 
	304, -1, 304, -1, 304, 304, 304, 304, 
	-1, 304, -1, 304, 304, 304, -1, 304, 
	304, -1, -1, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, -1, -1, -1, -1, -1, -1, 
	-1, 304, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 304, 
	304, 304, 304, -1, 304, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	303, 304, 304, 304, 304, -1, -1, 304, 
	304, 304, 304, 304, 304, -1, -1, -1, 
	-1, 304, 304, 304, 304, 304, 304, 304, 
	-1, 304, 304, 304, 304, -1, -1, -1, 
	-1, 304, 304, -1, -1, 304, 304, 304, 
	-1, 304, 304, -1, -1, 304, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 304, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 304, 304, 304, 
	304, 304, 304, 304, 304, -1, 304, 304, 
	304, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 304, 
	304, 304, 304, 304, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 304, -1, 
	304, -1, -1, 304, -1, -1, -1, -1, 
	-1, -1, -1, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, -1, 306, 
	306, 306, 306, 306, -1, 306, -1, 306, 
	306, 306, 306, 306, 306, -1, 306, 306, 
	306, -1, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	-1, 306, 306, 306, 306, -1, -1, -1, 
	-1, -1, -1, -1, 306, -1, -1, 306, 
	-1, -1, 306, -1, -1, -1, -1, -1, 
	-1, 298, 306, 306, 306, 306, -1, -1, 
	298, -1, -1, -1, -1, 298, 298, 298, 
	298, 298, 298, 298, 298, -1, 298, 298, 
	298, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	306, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 298, 
	298, 298, 298, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 304, 
	-1, -1, -1, -1, 306, 306, 306, 306, 
	-1, -1, 306, 306, 306, 306, 306, 306, 
	-1, -1, -1, -1, 306, 306, 306, 306, 
	306, 306, 306, -1, -1, 306, -1, 306, 
	-1, -1, -1, -1, 306, 306, -1, 306, 
	306, 306, 306, -1, 306, 306, -1, -1, 
	306, -1, -1, -1, -1, -1, 306, -1, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	-1, -1, -1, -1, 306, 306, -1, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	-1, 306, 306, 306, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 306, 306, 306, 306, 306, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 306, -1, 306, -1, -1, 306, 306, 
	306, -1, -1, -1, -1, -1, -1, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, -1, 309, 309, 309, 309, 309, 
	-1, 309, -1, 309, 309, 309, 309, -1, 
	309, -1, 309, 309, 309, -1, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, -1, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, -1, 309, -1, -1, -1, -1, 
	309, 309, 309, 309, 309, -1, -1, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, -1, -1, 
	-1, -1, -1, 309, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 306, -1, -1, -1, -1, -1, 
	309, 309, 309, 309, -1, -1, 309, 309, 
	309, 309, 309, 309, -1, -1, -1, 304, 
	309, 309, 309, 309, 309, 309, 309, -1, 
	-1, -1, -1, 309, -1, -1, -1, -1, 
	309, 309, -1, -1, 309, 309, 309, -1, 
	309, 309, -1, -1, 309, -1, -1, -1, 
	-1, -1, -1, -1, -1, 309, 309, 309, 
	309, 309, 309, 309, -1, -1, -1, 309, 
	309, 309, -1, -1, 309, 309, 309, 309, 
	309, 309, 309, 309, -1, 309, 309, 309, 
	-1, -1, -1, 309, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 309, 309, 
	-1, -1, 309, -1, -1, -1, -1, 309, 
	-1, -1, -1, -1, 309, -1, 309, 309, 
	309, 309, 309, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 309, -1, 309, 
	-1, -1, 309, -1, 309, 309, -1, -1, 
	-1, 309, -1, 309, -1, 309, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, -1, 310, 310, 310, 310, 310, -1, 
	310, -1, 310, 310, 310, 310, -1, 310, 
	-1, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, -1, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, -1, 310, -1, -1, 310, -1, 310, 
	310, 310, 310, 310, -1, -1, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, -1, -1, -1, 
	-1, -1, 310, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 309, -1, 
	-1, -1, -1, -1, -1, -1, -1, 310, 
	310, 310, 310, -1, -1, 310, 310, 310, 
	310, 310, 310, -1, -1, -1, -1, 310, 
	310, 310, 310, 310, 310, 310, -1, -1, 
	-1, -1, 310, -1, -1, -1, -1, 310, 
	310, -1, -1, 310, 310, 310, -1, 310, 
	310, -1, -1, 310, -1, -1, -1, -1, 
	-1, -1, -1, -1, 310, 310, 310, 310, 
	310, 310, 310, -1, -1, -1, 310, 310, 
	310, 310, -1, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, -1, 
	-1, -1, 310, 310, -1, -1, -1, 310, 
	310, -1, 310, -1, -1, 310, 310, -1, 
	-1, 310, -1, 310, 310, -1, 310, -1, 
	310, 310, -1, 310, -1, 310, 310, 310, 
	310, 310, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 310, -1, 310, -1, 
	-1, 310, -1, 310, 310, -1, 310, -1, 
	310, -1, 310, -1, 310, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	-1, 311, 311, 311, 311, 311, -1, 311, 
	-1, 311, 311, 311, 311, -1, 311, -1, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	-1, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	-1, 311, -1, -1, 311, -1, 311, 311, 
	311, 311, 311, -1, -1, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, -1, -1, -1, -1, 
	-1, 311, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 310, -1, -1, 
	-1, -1, -1, -1, -1, -1, 311, 311, 
	311, 311, -1, -1, 311, 311, 311, 311, 
	311, 311, -1, -1, -1, -1, 311, 311, 
	311, 311, 311, 311, 311, -1, -1, -1, 
	-1, 311, -1, -1, -1, -1, 311, 311, 
	-1, -1, 311, 311, 311, -1, 311, 311, 
	-1, -1, 311, -1, -1, -1, -1, -1, 
	-1, -1, -1, 311, 311, 311, 311, 311, 
	311, 311, -1, -1, -1, 311, 311, 311, 
	311, -1, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, -1, -1, 
	-1, 311, 311, -1, -1, -1, 311, 311, 
	-1, 311, -1, -1, 311, 311, -1, -1, 
	311, -1, 311, 311, -1, 311, -1, 311, 
	311, -1, 311, -1, 311, 311, 311, 311, 
	311, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 311, -1, 311, -1, -1, 
	311, -1, 311, 311, -1, 311, -1, 311, 
	-1, 311, -1, 311, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, -1, 
	313, 313, 313, 313, 313, -1, 313, -1, 
	313, 313, 313, 313, -1, 313, -1, 313, 
	313, 313, -1, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, -1, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, -1, 
	313, -1, -1, -1, -1, 313, 313, 313, 
	313, 313, -1, -1, 313, 313, 313, 313, 
	313, 313, 313, 313, 313, 313, 313, 313, 
	313, 313, 313, -1, -1, -1, -1, -1, 
	313, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 311, -1, -1, -1, 
	-1, -1, -1, -1, -1, 313, 313, 313, 
	313, -1, -1, 313, 313, 313, 313, 313, 
	313, -1, -1, -1, -1, 313, 313, 313, 
	313, 313, 313, 313, -1, -1, -1, -1, 
	313, -1, -1, -1, -1, 313, 313, -1, 
	-1, 313, 313, 313, -1, 313, 313, -1, 
	-1, 313, -1, -1, -1, -1, -1, -1, 
	-1, -1, 313, 313, 313, 313, 313, 313, 
	313, -1, -1, -1, 313, 313, 313, -1, 
	-1, 313, 313, 313, 313, 313, 313, 313, 
	313, -1, 313, 313, 313, -1, -1, -1, 
	313, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 313, 313, -1, -1, 313, 
	-1, -1, -1, -1, 313, -1, -1, -1, 
	-1, 313, -1, 313, 313, 313, 313, 313, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 313, -1, 313, -1, -1, 313, 
	-1, 313, 313, -1, -1, -1, 313, -1, 
	313, -1, 313, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, -1, 314, 
	314, 314, 314, 314, -1, 314, -1, 314, 
	314, 314, 314, -1, 314, -1, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, -1, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, -1, 314, 
	-1, -1, 314, -1, 314, 314, 314, 314, 
	314, -1, -1, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, -1, -1, -1, -1, -1, 314, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 313, -1, -1, -1, -1, 
	-1, -1, -1, -1, 314, 314, 314, 314, 
	-1, -1, 314, 314, 314, 314, 314, 314, 
	-1, -1, -1, -1, 314, 314, 314, 314, 
	314, 314, 314, -1, -1, -1, -1, 314, 
	-1, -1, -1, -1, 314, 314, -1, -1, 
	314, 314, 314, -1, 314, 314, -1, -1, 
	314, -1, -1, -1, -1, -1, -1, -1, 
	-1, 314, 314, 314, 314, 314, 314, 314, 
	-1, -1, -1, 314, 314, 314, 314, -1, 
	314, 314, 314, 314, 314, 314, 314, 314, 
	314, 314, 314, 314, -1, -1, -1, 314, 
	314, -1, -1, -1, 314, 314, -1, 314, 
	-1, -1, 314, 314, -1, -1, 314, -1, 
	314, 314, -1, 314, -1, 314, 314, -1, 
	314, -1, 314, 314, 314, 314, 314, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 314, -1, 314, -1, -1, 314, -1, 
	314, 314, -1, 314, -1, 314, -1, 314, 
	-1, 314, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, -1, 315, 315, 
	315, 315, 315, -1, 315, -1, 315, 315, 
	315, 315, -1, 315, -1, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, -1, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, -1, 315, -1, 
	-1, 315, -1, 315, 315, 315, 315, 315, 
	-1, -1, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, -1, -1, -1, -1, -1, 315, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 314, -1, -1, -1, -1, -1, 
	-1, -1, -1, 315, 315, 315, 315, -1, 
	-1, 315, 315, 315, 315, 315, 315, -1, 
	-1, -1, -1, 315, 315, 315, 315, 315, 
	315, 315, -1, -1, -1, -1, 315, -1, 
	-1, -1, -1, 315, 315, -1, -1, 315, 
	315, 315, -1, 315, 315, -1, -1, 315, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	315, 315, 315, 315, 315, 315, 315, -1, 
	-1, -1, 315, 315, 315, 315, -1, 315, 
	315, 315, 315, 315, 315, 315, 315, 315, 
	315, 315, 315, -1, -1, -1, 315, 315, 
	-1, -1, -1, 315, 315, -1, 315, -1, 
	-1, 315, 315, -1, -1, 315, -1, 315, 
	315, -1, 315, -1, 315, 315, -1, 315, 
	-1, 315, 315, 315, 315, 315, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	315, -1, 315, -1, -1, 315, -1, 315, 
	315, -1, 315, -1, 315, -1, 315, -1, 
	315, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, -1, 316, 316, 316, 
	316, 316, -1, 316, -1, 316, 316, 316, 
	316, -1, 316, -1, 316, 316, 316, -1, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, -1, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, -1, 316, -1, -1, 
	-1, -1, 316, 316, 316, 316, 316, -1, 
	-1, 316, 316, 316, 316, 316, 316, 316, 
	316, 316, 316, 316, 316, 316, 316, 316, 
	-1, -1, -1, -1, -1, 316, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 315, -1, -1, -1, -1, -1, -1, 
	-1, -1, 316, 316, 316, 316, -1, -1, 
	316, 316, 316, 316, 316, 316, -1, -1, 
	-1, -1, 316, 316, 316, 316, 316, 316, 
	316, -1, -1, -1, -1, 316, -1, -1, 
	-1, -1, 316, 316, -1, -1, 316, 316, 
	316, -1, 316, 316, -1, -1, 316, -1, 
	-1, -1, -1, -1, -1, -1, -1, 316, 
	316, 316, 316, 316, 316, 316, -1, -1, 
	-1, 316, 316, 316, -1, -1, 316, 316, 
	316, 316, 316, 316, 316, 316, -1, 316, 
	316, 316, -1, -1, -1, 316, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	316, 316, -1, -1, 316, -1, -1, -1, 
	-1, 316, -1, -1, -1, -1, 316, -1, 
	316, 316, 316, 316, 316, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 316, 
	-1, 316, -1, -1, 316, -1, 316, 316, 
	-1, -1, -1, 316, -1, 316, -1, 316, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, -1, 322, 322, 322, 322, 
	322, -1, 322, -1, 322, 322, 322, 322, 
	-1, 322, -1, 322, 322, 322, -1, 322, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, -1, 322, 322, 322, 322, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, -1, 322, -1, -1, -1, 
	-1, 322, 322, 322, 322, 322, -1, -1, 
	322, 322, 322, 322, 322, 322, 322, 322, 
	322, 322, 322, 322, 322, 322, 322, -1, 
	-1, -1, -1, -1, 322, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	316, -1, -1, -1, -1, -1, -1, -1, 
	-1, 322, 322, 322, 322, -1, -1, 322, 
	322, 322, 322, 322, 322, -1, -1, -1, 
	-1, 322, 322, 322, 322, 322, 322, 322, 
	-1, -1, -1, -1, 322, -1, -1, -1, 
	-1, 322, 322, -1, -1, 322, 322, 322, 
	-1, 322, 322, -1, -1, 322, -1, -1, 
	-1, -1, -1, -1, -1, -1, 322, 322, 
	322, 322, 322, 322, 322, -1, -1, -1, 
	322, 322, 322, -1, -1, 322, 322, 322, 
	322, 322, 322, 322, 322, -1, 322, 322, 
	322, -1, -1, -1, 322, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 322, 
	322, -1, -1, 322, -1, -1, -1, -1, 
	322, -1, -1, -1, -1, 322, -1, 322, 
	322, 322, 322, 322, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 322, -1, 
	322, -1, -1, 322, -1, 322, 322, -1, 
	-1, -1, 322, -1, 322, -1, 322, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, -1, 323, 323, 323, 323, 323, 
	-1, 323, -1, 323, 323, 323, 323, -1, 
	323, -1, 323, 323, 323, -1, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, -1, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, -1, 323, -1, -1, -1, -1, 
	323, 323, 323, 323, 323, -1, -1, 323, 
	323, 323, 323, 323, 323, 323, 323, 323, 
	323, 323, 323, 323, 323, 323, -1, -1, 
	-1, -1, -1, 323, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 322, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	323, 323, 323, 323, -1, -1, 323, 323, 
	323, 323, 323, 323, -1, -1, -1, -1, 
	323, 323, 323, 323, 323, 323, 323, -1, 
	-1, -1, -1, 323, -1, -1, -1, -1, 
	323, 323, -1, -1, 323, 323, 323, -1, 
	323, 323, -1, -1, 323, -1, -1, -1, 
	-1, -1, -1, -1, -1, 323, 323, 323, 
	323, 323, 323, 323, -1, -1, -1, 323, 
	323, 323, -1, -1, 323, 323, 323, 323, 
	323, 323, 323, 323, -1, 323, 323, 323, 
	-1, -1, -1, 323, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 323, 323, 
	-1, -1, 323, -1, -1, -1, -1, 323, 
	-1, -1, -1, -1, 323, -1, 323, 323, 
	323, 323, 323, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 323, -1, 323, 
	-1, -1, 323, -1, 323, 323, -1, -1, 
	-1, 323, -1, 323, -1, 323, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, -1, 324, 324, 324, 324, 324, -1, 
	324, -1, 324, 324, 324, 324, -1, 324, 
	-1, 324, 324, 324, -1, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, -1, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, -1, 324, -1, -1, -1, -1, 324, 
	324, 324, 324, 324, -1, -1, 324, 324, 
	324, 324, 324, 324, 324, 324, 324, 324, 
	324, 324, 324, 324, 324, -1, -1, -1, 
	-1, -1, 324, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 323, -1, 
	-1, -1, -1, -1, -1, -1, -1, 324, 
	324, 324, 324, -1, -1, 324, 324, 324, 
	324, 324, 324, -1, -1, -1, -1, 324, 
	324, 324, 324, 324, 324, 324, -1, -1, 
	-1, -1, 324, -1, -1, -1, -1, 324, 
	324, -1, -1, 324, 324, 324, -1, 324, 
	324, -1, -1, 324, -1, -1, -1, -1, 
	-1, -1, -1, -1, 324, 324, 324, 324, 
	324, 324, 324, -1, -1, -1, 324, 324, 
	324, -1, -1, 324, 324, 324, 324, 324, 
	324, 324, 324, -1, 324, 324, 324, -1, 
	-1, -1, 324, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 324, 324, -1, 
	-1, 324, -1, -1, -1, -1, 324, -1, 
	-1, -1, -1, 324, -1, 324, 324, 324, 
	324, 324, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 324, -1, 324, -1, 
	-1, 324, -1, 324, 324, -1, -1, -1, 
	324, -1, 324, -1, 324, 326, 326, 326, 
	326, 326, 326, 326, 326, 326, 326, 326, 
	326, 326, 326, 326, 326, -1, 326, 326, 
	326, 326, 326, 326, 326, 326, -1, -1, 
	-1, 326, 326, 326, 326, 326, -1, 326, 
	-1, 326, 326, 326, 326, -1, 326, -1, 
	326, 326, 326, -1, 326, 326, -1, -1, 
	326, 326, 326, 326, 326, 326, 326, 326, 
	-1, 326, 326, 326, 326, 326, 326, 326, 
	326, 326, -1, 326, 326, 326, 326, -1, 
	-1, -1, -1, 326, -1, -1, 326, 330, 
	330, 330, 330, 330, 330, -1, -1, 326, 
	-1, -1, -1, -1, 326, 326, 326, 326, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 330, 330, 330, 330, 330, 
	-1, 330, -1, 330, -1, -1, -1, -1, 
	330, -1, -1, 330, -1, -1, -1, -1, 
	-1, -1, 330, 330, -1, -1, -1, 330, 
	330, 330, -1, -1, -1, -1, 330, 330, 
	330, -1, 330, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 324, -1, -1, 
	-1, -1, -1, -1, -1, -1, 326, 326, 
	326, 326, -1, -1, 326, 326, 326, 326, 
	326, 326, -1, -1, -1, -1, 326, 326, 
	326, 326, 326, 326, 326, -1, -1, -1, 
	-1, 326, -1, -1, -1, -1, 326, 326, 
	-1, -1, 326, 326, 326, -1, 326, 326, 
	-1, -1, 326, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 326, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 326, 326, 326, 326, 326, 326, 
	326, 326, -1, 326, 326, 326, -1, -1, 
	-1, -1, 330, 330, -1, -1, 330, 330, 
	330, 330, -1, 330, -1, -1, -1, -1, 
	330, 330, 330, 330, 330, 330, 330, -1, 
	-1, -1, -1, -1, 326, 326, 326, 326, 
	326, -1, -1, -1, 330, 330, 330, -1, 
	330, 330, -1, 326, 330, 326, -1, -1, 
	326, -1, -1, -1, 327, 327, 327, 327, 
	327, 327, 327, 327, 327, 327, 327, 327, 
	327, 327, 327, 327, 330, 327, 327, 327, 
	327, 327, 327, 327, 327, -1, 330, 330, 
	327, 327, 327, 327, 327, -1, 327, -1, 
	327, 327, 327, 327, -1, 327, -1, 327, 
	327, 327, -1, 327, 327, -1, -1, 327, 
	327, 327, 327, 327, 327, 327, 327, -1, 
	327, 327, 327, 327, 327, 327, 327, 327, 
	327, -1, 327, 327, 327, 327, -1, 330, 
	-1, -1, -1, -1, -1, 327, 334, 334, 
	334, 334, 334, 334, -1, -1, 327, -1, 
	-1, -1, -1, 327, 327, 327, 327, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 334, 334, 334, 334, 334, -1, 
	334, -1, 334, -1, -1, -1, -1, 334, 
	-1, -1, 334, -1, -1, -1, -1, -1, 
	-1, 334, 334, -1, -1, -1, 334, 334, 
	334, -1, -1, -1, -1, 334, 334, 334, 
	-1, 334, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 326, 327, 327, 327, 
	327, -1, -1, 327, 327, 327, 327, 327, 
	327, -1, -1, -1, -1, 327, 327, 327, 
	327, 327, 327, 327, -1, -1, -1, -1, 
	327, -1, -1, -1, -1, 327, 327, -1, 
	-1, 327, 327, 327, -1, 327, 327, -1, 
	-1, 327, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 327, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 327, 327, 327, 327, 327, 327, 327, 
	327, -1, 327, 327, 327, -1, -1, -1, 
	-1, 334, 334, -1, -1, 334, 334, 334, 
	334, -1, 334, -1, -1, -1, -1, 334, 
	334, 334, 334, 334, 334, 334, -1, -1, 
	-1, -1, -1, 327, 327, 327, 327, 327, 
	-1, -1, -1, 334, 334, 334, -1, 334, 
	334, -1, 327, 334, 327, -1, -1, 327, 
	-1, -1, -1, 335, 335, 335, 335, 335, 
	335, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 334, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 334, 334, 335, 
	335, 335, 335, 335, -1, 335, -1, 335, 
	-1, -1, -1, -1, 335, -1, -1, 335, 
	-1, -1, -1, -1, -1, -1, 335, 335, 
	-1, -1, -1, 335, 335, 335, -1, -1, 
	-1, -1, 335, 335, 335, -1, 335, -1, 
	-1, -1, -1, -1, -1, -1, 334, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 327, -1, -1, 335, 335, 
	-1, -1, 335, 335, 335, 335, -1, 335, 
	-1, -1, -1, -1, 335, 335, 335, 335, 
	335, 335, 335, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	335, 335, 335, -1, 335, 335, -1, -1, 
	335, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	335, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 335, 335, -1, -1, 330, 330, 
	-1, -1, 330, 330, 330, 330, -1, 330, 
	-1, -1, -1, -1, 330, 330, 330, 330, 
	330, 330, 330, 336, 336, 336, 336, 336, 
	336, -1, -1, -1, -1, -1, -1, -1, 
	330, 330, 330, -1, 330, 330, -1, -1, 
	330, -1, -1, 335, -1, -1, -1, 336, 
	336, 336, 336, 336, -1, 336, -1, 336, 
	-1, -1, -1, -1, 336, -1, -1, 336, 
	330, -1, -1, -1, -1, -1, 336, 336, 
	-1, -1, -1, 336, 336, 336, -1, -1, 
	-1, -1, 336, 336, 336, -1, 336, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 337, 337, 337, 337, 337, 337, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 330, -1, 337, 337, 337, 
	337, 337, -1, 337, -1, 337, -1, -1, 
	-1, -1, 337, -1, -1, 337, -1, -1, 
	-1, -1, -1, -1, 337, 337, -1, -1, 
	-1, 337, 337, 337, -1, -1, -1, -1, 
	337, 337, 337, -1, 337, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 336, 336, 
	-1, -1, 336, 336, 336, 336, -1, 336, 
	-1, -1, -1, -1, 336, 336, 336, 336, 
	336, 336, 336, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	336, 336, 336, -1, 336, 336, -1, -1, 
	336, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	336, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 336, 336, 337, 337, -1, -1, 
	337, 337, 337, 337, -1, 337, -1, -1, 
	-1, -1, 337, 337, 337, 337, 337, 337, 
	337, -1, -1, 338, 338, 338, 338, 338, 
	338, -1, -1, -1, -1, -1, 337, 337, 
	337, -1, 337, 337, -1, -1, 337, -1, 
	-1, -1, -1, 336, -1, -1, -1, 338, 
	338, 338, 338, 338, -1, 338, -1, 338, 
	-1, -1, -1, -1, 338, -1, 337, 338, 
	-1, -1, -1, -1, -1, -1, 338, 338, 
	337, 337, -1, 338, 338, 338, -1, -1, 
	-1, -1, 338, 338, 338, -1, 338, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 339, 339, 339, 339, 339, 339, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 337, -1, -1, -1, 339, 339, 339, 
	339, 339, -1, 339, -1, 339, -1, -1, 
	-1, -1, 339, -1, -1, 339, -1, -1, 
	-1, -1, -1, -1, 339, 339, -1, -1, 
	-1, 339, 339, 339, -1, -1, -1, -1, 
	339, 339, 339, -1, 339, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 338, 338, 
	-1, -1, 338, 338, 338, 338, -1, 338, 
	-1, -1, -1, -1, 338, 338, 338, 338, 
	338, 338, 338, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	338, 338, 338, -1, 338, 338, -1, -1, 
	338, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	338, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 338, 338, 339, 339, -1, -1, 
	339, 339, 339, 339, -1, 339, -1, -1, 
	-1, -1, 339, 339, 339, 339, 339, 339, 
	339, -1, -1, 340, 340, 340, 340, 340, 
	340, -1, -1, -1, -1, -1, 339, 339, 
	339, -1, 339, 339, -1, -1, 339, -1, 
	-1, -1, -1, 338, -1, -1, -1, 340, 
	340, 340, 340, 340, -1, 340, -1, 340, 
	-1, -1, -1, -1, 340, -1, 339, 340, 
	-1, -1, -1, -1, -1, -1, 340, 340, 
	339, 339, -1, 340, 340, 340, -1, -1, 
	-1, -1, 340, 340, 340, -1, 340, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 341, 341, 341, 341, 341, 341, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 339, -1, -1, -1, 341, 341, 341, 
	341, 341, -1, 341, -1, 341, -1, -1, 
	-1, -1, 341, -1, -1, 341, -1, -1, 
	-1, -1, -1, -1, 341, 341, -1, -1, 
	-1, 341, 341, 341, -1, -1, -1, -1, 
	341, 341, 341, -1, 341, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 340, 340, 
	-1, -1, 340, 340, 340, 340, -1, 340, 
	-1, -1, -1, -1, 340, 340, 340, 340, 
	340, 340, 340, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	340, 340, 340, -1, 340, 340, -1, -1, 
	340, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	340, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 340, 340, 341, 341, -1, -1, 
	341, 341, 341, 341, -1, 341, -1, -1, 
	-1, -1, 341, 341, 341, 341, 341, 341, 
	341, -1, -1, 342, 342, 342, 342, 342, 
	342, -1, -1, -1, -1, -1, 341, 341, 
	341, -1, 341, 341, -1, -1, 341, -1, 
	-1, -1, -1, 340, -1, -1, -1, 342, 
	342, 342, 342, 342, -1, 342, -1, 342, 
	-1, -1, -1, -1, 342, -1, 341, 342, 
	-1, -1, -1, -1, -1, -1, 342, 342, 
	341, 341, -1, 342, 342, 342, -1, -1, 
	-1, -1, 342, 342, 342, -1, 342, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 343, 343, 343, 343, 343, 343, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 341, -1, -1, -1, 343, 343, 343, 
	343, 343, -1, 343, -1, 343, -1, -1, 
	-1, -1, 343, -1, -1, 343, -1, -1, 
	-1, -1, -1, -1, 343, 343, -1, -1, 
	-1, 343, 343, 343, -1, -1, -1, -1, 
	343, 343, 343, -1, 343, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 342, 342, 
	-1, -1, 342, 342, 342, 342, -1, 342, 
	-1, -1, -1, -1, 342, 342, 342, 342, 
	342, 342, 342, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	342, 342, 342, -1, 342, 342, -1, -1, 
	342, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	342, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 342, 342, 343, 343, -1, -1, 
	343, 343, 343, 343, -1, 343, -1, -1, 
	-1, -1, 343, 343, 343, 343, 343, 343, 
	343, -1, -1, 344, 344, 344, 344, 344, 
	344, -1, -1, -1, -1, -1, 343, 343, 
	343, -1, 343, 343, -1, -1, 343, -1, 
	-1, -1, -1, 342, -1, -1, -1, 344, 
	344, 344, 344, 344, -1, 344, -1, 344, 
	-1, -1, -1, -1, 344, -1, 343, 344, 
	-1, -1, -1, -1, -1, -1, 344, 344, 
	343, 343, -1, 344, 344, 344, -1, -1, 
	-1, -1, 344, 344, 344, -1, 344, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 345, 345, 345, 345, 345, 345, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 343, -1, -1, -1, 345, 345, 345, 
	345, 345, -1, 345, -1, 345, -1, -1, 
	-1, -1, 345, -1, -1, 345, -1, -1, 
	-1, -1, -1, -1, 345, 345, -1, -1, 
	-1, 345, 345, 345, -1, -1, -1, -1, 
	345, 345, 345, -1, 345, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 344, 344, 
	-1, -1, 344, 344, 344, 344, -1, 344, 
	-1, -1, -1, -1, 344, 344, 344, 344, 
	344, 344, 344, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	344, 344, 344, -1, 344, 344, -1, -1, 
	344, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	344, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 344, 344, 345, 345, -1, -1, 
	345, 345, 345, 345, -1, 345, -1, -1, 
	-1, -1, 345, 345, 345, 345, 345, 345, 
	345, -1, -1, 346, 346, 346, 346, 346, 
	346, -1, -1, -1, -1, -1, 345, 345, 
	345, -1, 345, 345, -1, -1, 345, -1, 
	-1, -1, -1, 344, -1, -1, -1, 346, 
	346, 346, 346, 346, -1, 346, -1, 346, 
	-1, -1, -1, -1, 346, -1, 345, 346, 
	-1, -1, -1, -1, -1, -1, 346, 346, 
	345, 345, -1, 346, 346, 346, -1, -1, 
	-1, -1, 346, 346, 346, -1, 346, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 347, 347, 347, 347, 347, 347, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 345, -1, -1, -1, 347, 347, 347, 
	347, 347, -1, 347, -1, 347, -1, -1, 
	-1, -1, 347, -1, -1, 347, -1, -1, 
	-1, -1, -1, -1, 347, 347, -1, -1, 
	-1, 347, 347, 347, -1, -1, -1, -1, 
	347, 347, 347, -1, 347, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 346, 346, 
	-1, -1, 346, 346, 346, 346, -1, 346, 
	-1, -1, -1, -1, 346, 346, 346, 346, 
	346, 346, 346, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	346, 346, 346, -1, 346, 346, -1, -1, 
	346, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	346, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 346, 346, 347, 347, -1, -1, 
	347, 347, 347, 347, -1, 347, -1, -1, 
	-1, -1, 347, 347, 347, 347, 347, 347, 
	347, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 347, 347, 
	347, -1, 347, 347, -1, -1, 347, -1, 
	-1, -1, -1, 346, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 347, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	347, 347, -1, 348, 348, 348, 348, 348, 
	348, 348, 348, 348, 348, 348, 348, 348, 
	348, 348, 348, 348, 348, 348, 348, 348, 
	348, 348, 348, 348, 348, 348, -1, 348, 
	348, 348, 348, 348, -1, 348, -1, 348, 
	348, 348, 348, -1, 348, -1, 348, 348, 
	348, 347, 348, 348, 348, 348, 348, 348, 
	348, 348, 348, 348, 348, 348, -1, 348, 
	348, 348, 348, 348, 348, 348, 348, 348, 
	-1, 348, 348, 348, 348, -1, -1, -1, 
	-1, -1, -1, -1, 348, -1, -1, 348, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 348, 348, 348, 348, -1, -1, 
	348, 348, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 348, 348, 348, 348, 
	-1, -1, 348, 348, 348, 348, 348, 348, 
	-1, -1, -1, -1, 348, 348, 348, 348, 
	348, 348, 348, -1, -1, -1, -1, 348, 
	-1, -1, -1, -1, 348, 348, -1, -1, 
	348, 348, 348, -1, 348, 348, -1, -1, 
	348, -1, -1, -1, -1, -1, -1, -1, 
	-1, 348, 348, 348, 348, 348, 348, 348, 
	-1, -1, -1, -1, 348, 348, -1, -1, 
	348, 348, 348, 348, 348, 348, 348, 348, 
	-1, 348, 348, 348, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 348, 348, 348, 348, 348, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 348, -1, 348, -1, -1, 348, -1, 
	348, -1, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, -1, 349, 349, 
	349, 349, 349, -1, 349, -1, 349, 349, 
	349, 349, -1, 349, -1, 349, 349, 349, 
	-1, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, -1, 349, 349, 
	349, 349, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, -1, -1, -1, 
	-1, -1, -1, 349, 349, 349, 349, -1, 
	-1, -1, 349, 349, 349, 349, 349, 349, 
	349, 349, 349, 349, 349, -1, -1, 349, 
	349, -1, -1, -1, -1, -1, 349, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 348, 349, 349, 349, 349, -1, 
	-1, 349, 349, 349, 349, 349, 349, -1, 
	-1, -1, -1, 349, 349, 349, 349, 349, 
	349, 349, -1, -1, -1, -1, 349, -1, 
	-1, -1, -1, 349, 349, -1, -1, 349, 
	349, 349, -1, 349, 349, -1, -1, 349, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	349, 349, 349, 349, 349, 349, 349, -1, 
	-1, -1, 349, 349, 349, -1, -1, 349, 
	349, 349, 349, 349, 349, 349, 349, -1, 
	349, 349, 349, -1, -1, -1, 349, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 349, 349, -1, -1, 349, -1, -1, 
	-1, -1, 349, -1, -1, -1, -1, 349, 
	-1, 349, 349, 349, 349, 349, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	349, -1, 349, -1, -1, 349, -1, 349, 
	349, -1, -1, -1, 349, -1, 349, -1, 
	349, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, -1, 350, 350, 350, 
	350, 350, -1, 350, -1, 350, 350, 350, 
	350, -1, 350, -1, 350, 350, 350, -1, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, -1, 350, 350, 350, 
	350, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, -1, -1, -1, -1, 
	-1, -1, 350, 350, 350, 350, -1, -1, 
	-1, 350, 350, 350, 350, 350, 350, 350, 
	350, 350, 350, 350, -1, -1, 350, 350, 
	-1, -1, -1, -1, -1, 350, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 349, -1, -1, -1, -1, -1, -1, 
	-1, -1, 350, 350, 350, 350, -1, -1, 
	350, 350, 350, 350, 350, 350, -1, -1, 
	-1, -1, 350, 350, 350, 350, 350, 350, 
	350, -1, -1, -1, -1, 350, -1, -1, 
	-1, -1, 350, 350, -1, -1, 350, 350, 
	350, -1, 350, 350, -1, -1, 350, -1, 
	-1, -1, -1, -1, -1, -1, -1, 350, 
	350, 350, 350, 350, 350, 350, -1, -1, 
	-1, 350, 350, 350, -1, -1, 350, 350, 
	350, 350, 350, 350, 350, 350, -1, 350, 
	350, 350, -1, -1, -1, 350, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	350, 350, -1, -1, 350, -1, -1, -1, 
	-1, 350, -1, -1, -1, -1, 350, -1, 
	350, 350, 350, 350, 350, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 350, 
	-1, 350, -1, -1, 350, -1, 350, 350, 
	-1, -1, -1, 350, -1, 350, -1, 350, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, -1, 351, 351, 351, 351, 
	351, -1, 351, -1, 351, 351, 351, 351, 
	-1, 351, -1, 351, 351, 351, -1, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, -1, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, -1, -1, -1, -1, -1, 
	-1, 351, 351, 351, 351, -1, -1, -1, 
	351, 351, 351, 351, 351, 351, 351, 351, 
	351, 351, 351, 351, 351, 351, 351, -1, 
	-1, -1, -1, -1, 351, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	350, -1, -1, -1, -1, -1, -1, -1, 
	-1, 351, 351, 351, 351, -1, -1, 351, 
	351, 351, 351, 351, 351, -1, -1, -1, 
	-1, 351, 351, 351, 351, 351, 351, 351, 
	-1, -1, -1, -1, 351, -1, -1, -1, 
	-1, 351, 351, -1, -1, 351, 351, 351, 
	-1, 351, 351, -1, -1, 351, -1, -1, 
	-1, -1, -1, -1, -1, -1, 351, 351, 
	351, 351, 351, 351, 351, -1, -1, -1, 
	351, 351, 351, -1, -1, 351, 351, 351, 
	351, 351, 351, 351, 351, -1, 351, 351, 
	351, -1, -1, -1, 351, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 351, 
	351, -1, -1, 351, -1, -1, -1, -1, 
	351, -1, -1, -1, -1, 351, -1, 351, 
	351, 351, 351, 351, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 351, -1, 
	351, -1, -1, 351, -1, 351, 351, -1, 
	-1, -1, 351, -1, 351, -1, 351, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, -1, 352, 352, 352, 352, 352, 
	-1, 352, -1, 352, 352, 352, 352, -1, 
	352, -1, 352, 352, 352, -1, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, -1, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, -1, -1, -1, -1, -1, -1, 
	352, 352, 352, 352, -1, -1, -1, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 352, 352, 352, 352, 352, -1, -1, 
	-1, -1, -1, 352, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 351, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	352, 352, 352, 352, -1, -1, 352, 352, 
	352, 352, 352, 352, -1, -1, -1, -1, 
	352, 352, 352, 352, 352, 352, 352, -1, 
	-1, -1, -1, 352, -1, -1, -1, -1, 
	352, 352, -1, -1, 352, 352, 352, -1, 
	352, 352, -1, -1, 352, -1, -1, -1, 
	-1, -1, -1, -1, -1, 352, 352, 352, 
	352, 352, 352, 352, -1, -1, -1, 352, 
	352, 352, -1, -1, 352, 352, 352, 352, 
	352, 352, 352, 352, -1, 352, 352, 352, 
	-1, -1, -1, 352, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 352, 352, 
	-1, -1, 352, -1, -1, -1, -1, 352, 
	-1, -1, -1, -1, 352, -1, 352, 352, 
	352, 352, 352, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 352, -1, 352, 
	-1, -1, 352, -1, 352, 352, -1, -1, 
	-1, 352, -1, 352, -1, 352, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, -1, 353, 353, 353, 353, 353, -1, 
	353, -1, 353, 353, 353, 353, -1, 353, 
	-1, 353, 353, 353, -1, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, -1, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, -1, -1, -1, -1, -1, -1, 353, 
	353, 353, 353, -1, -1, -1, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, -1, -1, -1, 
	-1, -1, 353, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 352, -1, 
	-1, -1, -1, -1, -1, -1, -1, 353, 
	353, 353, 353, -1, -1, 353, 353, 353, 
	353, 353, 353, -1, -1, -1, -1, 353, 
	353, 353, 353, 353, 353, 353, -1, -1, 
	-1, -1, 353, -1, -1, -1, -1, 353, 
	353, -1, -1, 353, 353, 353, -1, 353, 
	353, -1, -1, 353, -1, -1, -1, -1, 
	-1, -1, -1, -1, 353, 353, 353, 353, 
	353, 353, 353, -1, -1, -1, 353, 353, 
	353, -1, -1, 353, 353, 353, 353, 353, 
	353, 353, 353, -1, 353, 353, 353, -1, 
	-1, -1, 353, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 353, 353, -1, 
	-1, 353, -1, -1, -1, -1, 353, -1, 
	-1, -1, -1, 353, -1, 353, 353, 353, 
	353, 353, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 353, -1, 353, -1, 
	-1, 353, -1, 353, 353, -1, -1, -1, 
	353, -1, 353, -1, 353, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	-1, 354, 354, 354, 354, 354, -1, 354, 
	-1, 354, 354, 354, 354, -1, 354, -1, 
	354, 354, 354, -1, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	-1, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	-1, -1, -1, -1, -1, -1, 354, 354, 
	354, 354, -1, -1, -1, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, -1, -1, -1, -1, 
	-1, 354, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 353, -1, -1, 
	-1, -1, -1, -1, -1, -1, 354, 354, 
	354, 354, -1, -1, 354, 354, 354, 354, 
	354, 354, -1, -1, -1, -1, 354, 354, 
	354, 354, 354, 354, 354, -1, -1, -1, 
	-1, 354, -1, -1, -1, -1, 354, 354, 
	-1, -1, 354, 354, 354, -1, 354, 354, 
	-1, -1, 354, -1, -1, -1, -1, -1, 
	-1, -1, -1, 354, 354, 354, 354, 354, 
	354, 354, -1, -1, -1, 354, 354, 354, 
	-1, -1, 354, 354, 354, 354, 354, 354, 
	354, 354, -1, 354, 354, 354, -1, -1, 
	-1, 354, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 354, 354, -1, -1, 
	354, -1, -1, -1, -1, 354, -1, -1, 
	-1, -1, 354, -1, 354, 354, 354, 354, 
	354, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 354, -1, 354, -1, -1, 
	354, -1, 354, 354, -1, -1, -1, 354, 
	-1, 354, -1, 354, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, -1, 
	355, 355, 355, 355, 355, -1, 355, -1, 
	355, 355, 355, 355, -1, 355, -1, 355, 
	355, 355, -1, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, -1, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, -1, 
	-1, -1, -1, -1, -1, 355, 355, 355, 
	355, -1, -1, -1, 355, 355, 355, 355, 
	355, 355, 355, 355, 355, 355, 355, 355, 
	355, 355, 355, -1, -1, -1, -1, -1, 
	355, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 354, -1, -1, -1, 
	-1, -1, -1, -1, -1, 355, 355, 355, 
	355, -1, -1, 355, 355, 355, 355, 355, 
	355, -1, -1, -1, -1, 355, 355, 355, 
	355, 355, 355, 355, -1, -1, -1, -1, 
	355, -1, -1, -1, -1, 355, 355, -1, 
	-1, 355, 355, 355, -1, 355, 355, -1, 
	-1, 355, -1, -1, -1, -1, -1, -1, 
	-1, -1, 355, 355, 355, 355, 355, 355, 
	355, -1, -1, -1, 355, 355, 355, -1, 
	-1, 355, 355, 355, 355, 355, 355, 355, 
	355, -1, 355, 355, 355, -1, -1, -1, 
	355, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 355, 355, -1, -1, 355, 
	-1, -1, -1, -1, 355, -1, -1, -1, 
	-1, 355, -1, 355, 355, 355, 355, 355, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 355, -1, 355, -1, -1, 355, 
	-1, 355, 355, -1, -1, -1, 355, -1, 
	355, -1, 355, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, -1, 356, 
	356, 356, 356, 356, -1, 356, -1, 356, 
	356, 356, 356, -1, 356, -1, 356, 356, 
	356, -1, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, -1, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, -1, -1, 
	-1, -1, -1, -1, 356, 356, 356, 356, 
	-1, -1, -1, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, -1, -1, -1, -1, -1, 356, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 355, -1, -1, -1, -1, 
	-1, -1, -1, -1, 356, 356, 356, 356, 
	-1, -1, 356, 356, 356, 356, 356, 356, 
	-1, -1, -1, -1, 356, 356, 356, 356, 
	356, 356, 356, -1, -1, -1, -1, 356, 
	-1, -1, -1, -1, 356, 356, -1, -1, 
	356, 356, 356, -1, 356, 356, -1, -1, 
	356, -1, -1, -1, -1, -1, -1, -1, 
	-1, 356, 356, 356, 356, 356, 356, 356, 
	-1, -1, -1, 356, 356, 356, -1, -1, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	-1, 356, 356, 356, -1, -1, -1, 356, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 356, 356, -1, -1, 356, -1, 
	-1, -1, -1, 356, -1, -1, -1, -1, 
	356, -1, 356, 356, 356, 356, 356, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 356, -1, 356, -1, -1, 356, -1, 
	356, 356, -1, -1, -1, 356, -1, 356, 
	-1, 356, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, -1, 357, 357, 
	357, 357, 357, -1, 357, -1, 357, 357, 
	357, 357, -1, 357, -1, 357, 357, 357, 
	-1, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, -1, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, -1, 357, -1, 
	-1, -1, -1, 357, 357, 357, 357, 357, 
	-1, -1, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, -1, -1, -1, -1, -1, 357, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 356, -1, -1, -1, -1, -1, 
	-1, -1, -1, 357, 357, 357, 357, -1, 
	-1, 357, 357, 357, 357, 357, 357, -1, 
	-1, -1, -1, 357, 357, 357, 357, 357, 
	357, 357, -1, -1, -1, -1, 357, -1, 
	-1, -1, -1, 357, 357, -1, -1, 357, 
	357, 357, -1, 357, 357, -1, -1, 357, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	357, 357, 357, 357, 357, 357, 357, -1, 
	-1, -1, 357, 357, 357, -1, -1, 357, 
	357, 357, 357, 357, 357, 357, 357, -1, 
	357, 357, 357, -1, -1, -1, 357, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 357, 357, -1, -1, 357, -1, -1, 
	-1, -1, 357, -1, -1, -1, -1, 357, 
	-1, 357, 357, 357, 357, 357, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	357, -1, 357, -1, -1, 357, -1, 357, 
	357, -1, -1, -1, 357, -1, 357, -1, 
	357, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, -1, 358, 358, 358, 
	358, 358, -1, 358, -1, 358, 358, 358, 
	358, -1, 358, -1, 358, 358, 358, -1, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, -1, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, -1, 358, -1, -1, 
	-1, -1, 358, 358, 358, 358, 358, -1, 
	-1, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	-1, -1, -1, -1, -1, 358, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 357, -1, -1, -1, -1, -1, -1, 
	-1, -1, 358, 358, 358, 358, -1, -1, 
	358, 358, 358, 358, 358, 358, -1, -1, 
	-1, -1, 358, 358, 358, 358, 358, 358, 
	358, -1, -1, -1, -1, 358, -1, -1, 
	-1, -1, 358, 358, -1, -1, 358, 358, 
	358, -1, 358, 358, -1, -1, 358, -1, 
	-1, -1, -1, -1, -1, -1, -1, 358, 
	358, 358, 358, 358, 358, 358, -1, -1, 
	-1, 358, 358, 358, -1, -1, 358, 358, 
	358, 358, 358, 358, 358, 358, -1, 358, 
	358, 358, -1, -1, -1, 358, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	358, 358, -1, -1, 358, -1, -1, -1, 
	-1, 358, -1, -1, -1, -1, 358, -1, 
	358, 358, 358, 358, 358, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 358, 
	-1, 358, -1, -1, 358, -1, 358, 358, 
	-1, -1, -1, 358, -1, 358, -1, 358, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, -1, 359, 359, 359, 359, 
	359, -1, 359, -1, 359, 359, 359, 359, 
	-1, 359, -1, 359, 359, 359, -1, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, -1, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, -1, 359, -1, -1, -1, 
	-1, 359, 359, 359, 359, 359, -1, -1, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, -1, 
	-1, -1, -1, -1, 359, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	358, -1, -1, -1, -1, -1, -1, -1, 
	-1, 359, 359, 359, 359, -1, -1, 359, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	-1, 359, 359, 359, 359, 359, 359, 359, 
	-1, -1, -1, -1, 359, -1, -1, -1, 
	-1, 359, 359, -1, -1, 359, 359, 359, 
	-1, 359, 359, -1, -1, 359, -1, -1, 
	-1, -1, -1, -1, -1, -1, 359, 359, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	359, 359, 359, -1, -1, 359, 359, 359, 
	359, 359, 359, 359, 359, -1, 359, 359, 
	359, -1, -1, -1, 359, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 359, 
	359, -1, -1, 359, -1, -1, -1, -1, 
	359, -1, -1, -1, -1, 359, -1, 359, 
	359, 359, 359, 359, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 359, -1, 
	359, -1, -1, 359, -1, 359, 359, -1, 
	-1, -1, 359, -1, 359, -1, 359, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, -1, 360, 360, 360, 360, 360, 
	-1, 360, -1, 360, 360, 360, 360, -1, 
	360, -1, 360, 360, 360, -1, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, -1, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, -1, 360, -1, -1, -1, -1, 
	360, 360, 360, 360, 360, -1, -1, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, -1, -1, 
	-1, -1, -1, 360, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 359, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	360, 360, 360, 360, -1, -1, 360, 360, 
	360, 360, 360, 360, -1, -1, -1, -1, 
	360, 360, 360, 360, 360, 360, 360, -1, 
	-1, -1, -1, 360, -1, -1, -1, -1, 
	360, 360, -1, -1, 360, 360, 360, -1, 
	360, 360, -1, -1, 360, -1, -1, -1, 
	-1, -1, -1, -1, -1, 360, 360, 360, 
	360, 360, 360, 360, -1, -1, -1, 360, 
	360, 360, -1, -1, 360, 360, 360, 360, 
	360, 360, 360, 360, -1, 360, 360, 360, 
	-1, -1, -1, 360, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 360, 360, 
	-1, -1, 360, -1, -1, -1, -1, 360, 
	-1, -1, -1, -1, 360, -1, 360, 360, 
	360, 360, 360, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 360, -1, 360, 
	-1, -1, 360, -1, 360, 360, -1, -1, 
	-1, 360, -1, 360, -1, 360, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, -1, 361, 361, 361, 361, 361, -1, 
	361, -1, 361, 361, 361, 361, -1, 361, 
	-1, 361, 361, 361, -1, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, -1, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, -1, 361, -1, -1, -1, -1, 361, 
	361, 361, 361, 361, -1, -1, 361, 361, 
	361, 361, 361, 361, 361, 361, 361, 361, 
	361, 361, 361, 361, 361, -1, -1, -1, 
	-1, -1, 361, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 360, -1, 
	-1, -1, -1, -1, -1, -1, -1, 361, 
	361, 361, 361, -1, -1, 361, 361, 361, 
	361, 361, 361, -1, -1, -1, -1, 361, 
	361, 361, 361, 361, 361, 361, -1, -1, 
	-1, -1, 361, -1, -1, -1, -1, 361, 
	361, -1, -1, 361, 361, 361, -1, 361, 
	361, -1, -1, 361, -1, -1, -1, -1, 
	-1, -1, -1, -1, 361, 361, 361, 361, 
	361, 361, 361, -1, -1, -1, 361, 361, 
	361, -1, -1, 361, 361, 361, 361, 361, 
	361, 361, 361, -1, 361, 361, 361, -1, 
	-1, -1, 361, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 361, 361, -1, 
	-1, 361, -1, -1, -1, -1, 361, -1, 
	-1, -1, -1, 361, -1, 361, 361, 361, 
	361, 361, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 361, -1, 361, -1, 
	-1, 361, -1, 361, 361, -1, -1, -1, 
	361, -1, 361, -1, 361, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, -1, 362, 
	-1, 362, 362, 362, 362, 362, 362, -1, 
	362, 362, 362, -1, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, -1, 362, 362, 362, 362, -1, 
	-1, -1, 362, -1, -1, -1, 362, 362, 
	-1, 362, -1, -1, 362, -1, -1, 362, 
	-1, 362, -1, -1, 362, 362, 362, 362, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 362, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 362, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 361, -1, -1, 
	-1, -1, -1, -1, -1, -1, 362, 362, 
	362, 362, -1, -1, 362, 362, 362, 362, 
	362, 362, -1, -1, -1, -1, 362, 362, 
	362, 362, 362, 362, 362, -1, -1, 362, 
	-1, 362, -1, -1, -1, -1, 362, 362, 
	-1, 362, 362, 362, 362, -1, 362, 362, 
	-1, -1, 362, -1, -1, -1, -1, -1, 
	362, -1, 362, 362, 362, 362, 362, 362, 
	362, 362, -1, -1, -1, -1, 362, 362, 
	-1, 362, 362, 362, 362, 362, 362, 362, 
	362, 362, -1, 362, 362, 362, -1, -1, 
	362, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 362, 362, 362, -1, -1, 362, 
	362, 362, -1, -1, 362, 362, 362, 362, 
	362, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 362, -1, 362, -1, -1, 
	362, 362, 362, -1, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, -1, 364, -1, 
	364, 364, 364, 364, 364, 364, -1, 364, 
	364, 364, -1, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, 364, 364, 364, 364, 364, 364, -1, 
	-1, 364, -1, -1, -1, 364, 364, -1, 
	364, -1, -1, 364, -1, -1, 364, -1, 
	364, -1, -1, 364, 364, 364, 364, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	364, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 364, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 364, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 362, 364, 364, 364, 
	364, -1, -1, 364, 364, 364, 364, 364, 
	364, -1, -1, -1, -1, 364, 364, 364, 
	364, 364, 364, 364, -1, -1, 364, -1, 
	364, -1, -1, -1, -1, 364, 364, -1, 
	364, 364, 364, 364, -1, 364, 364, -1, 
	-1, 364, 364, 364, -1, -1, -1, 364, 
	-1, 364, 364, 364, 364, 364, 364, 364, 
	364, -1, -1, -1, -1, 364, 364, -1, 
	364, 364, 364, 364, 364, 364, 364, 364, 
	364, -1, 364, 364, 364, -1, -1, 364, 
	-1, 364, -1, -1, -1, 364, 364, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 364, 364, 364, -1, -1, 364, 364, 
	364, -1, -1, 364, 364, 364, 364, 364, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 364, -1, 364, -1, -1, 364, 
	364, 364, -1, -1, 364, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, -1, 365, 
	-1, 365, 365, 365, 365, 365, 365, -1, 
	365, 365, 365, -1, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	-1, -1, 365, -1, -1, -1, 365, 365, 
	-1, 365, -1, -1, 365, -1, -1, 365, 
	-1, 365, -1, -1, 365, 365, 365, 365, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 365, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 365, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 365, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 364, -1, -1, 365, 365, 
	365, 365, -1, -1, 365, 365, 365, 365, 
	365, 365, -1, -1, -1, -1, 365, 365, 
	365, 365, 365, 365, 365, -1, -1, 365, 
	-1, 365, -1, -1, -1, -1, 365, 365, 
	-1, 365, 365, 365, 365, -1, 365, 365, 
	-1, -1, 365, 365, 365, -1, -1, -1, 
	365, -1, 365, 365, 365, 365, 365, 365, 
	365, 365, -1, -1, -1, -1, 365, 365, 
	-1, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, -1, 365, 365, 365, -1, -1, 
	365, -1, 365, -1, -1, -1, 365, 365, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 365, 365, 365, -1, -1, 365, 
	365, 365, -1, -1, 365, 365, 365, 365, 
	365, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 365, -1, 365, -1, -1, 
	365, 365, 365, -1, -1, 365, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, -1, 
	366, -1, 366, 366, 366, 366, 366, 366, 
	-1, 366, 366, 366, -1, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, 366, 366, 366, 366, 366, 
	366, -1, -1, 366, -1, -1, -1, 366, 
	366, -1, 366, -1, -1, 366, -1, -1, 
	366, -1, 366, -1, -1, 366, 366, 366, 
	366, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 366, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 366, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 366, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 365, -1, -1, 366, 
	366, 366, 366, -1, -1, 366, 366, 366, 
	366, 366, 366, -1, -1, -1, -1, 366, 
	366, 366, 366, 366, 366, 366, -1, -1, 
	366, -1, 366, -1, -1, -1, -1, 366, 
	366, -1, 366, 366, 366, 366, -1, 366, 
	366, -1, -1, 366, 366, 366, -1, -1, 
	-1, 366, -1, 366, 366, 366, 366, 366, 
	366, 366, 366, -1, -1, -1, -1, 366, 
	366, -1, 366, 366, 366, 366, 366, 366, 
	366, 366, 366, -1, 366, 366, 366, -1, 
	-1, 366, -1, 366, -1, -1, -1, 366, 
	366, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 366, 366, 366, -1, -1, 
	366, 366, 366, -1, -1, 366, 366, 366, 
	366, 366, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 366, -1, 366, -1, 
	-1, 366, 366, 366, -1, -1, 366, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, -1, 367, 367, 367, 367, 367, 
	-1, 367, -1, 367, 367, 367, 367, -1, 
	367, -1, 367, 367, 367, -1, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, -1, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, -1, 367, -1, -1, 367, 367, 
	367, 367, 367, 367, 367, -1, 367, 367, 
	367, 367, 367, 367, 367, 367, 367, 367, 
	367, 367, 367, 367, 367, 367, -1, -1, 
	-1, -1, -1, 367, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 366, -1, -1, 
	367, 367, 367, 367, -1, -1, 367, 367, 
	367, 367, 367, 367, -1, -1, -1, -1, 
	367, 367, 367, 367, 367, 367, 367, -1, 
	-1, -1, -1, 367, -1, -1, -1, -1, 
	367, 367, -1, -1, 367, 367, 367, -1, 
	367, 367, -1, -1, 367, -1, -1, -1, 
	-1, -1, -1, -1, -1, 367, 367, 367, 
	367, 367, 367, 367, -1, -1, -1, 367, 
	367, 367, -1, -1, 367, 367, 367, 367, 
	367, 367, 367, 367, -1, 367, 367, 367, 
	-1, -1, -1, 367, -1, -1, -1, -1, 
	-1, -1, -1, 367, 367, 367, 367, 367, 
	-1, -1, 367, -1, -1, -1, -1, 367, 
	-1, 367, 367, 367, 367, -1, 367, 367, 
	367, 367, 367, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 367, -1, 367, 
	-1, -1, 367, -1, 367, 367, -1, -1, 
	-1, 367, -1, 367, -1, 367, 369, 369, 
	369, 369, 369, 369, 369, 369, 369, 369, 
	369, 369, 369, 369, 369, 369, 369, 369, 
	369, 369, 369, 369, 369, 369, 369, 369, 
	369, -1, 369, 369, 369, 369, 369, -1, 
	369, -1, 369, 369, 369, 369, -1, 369, 
	-1, 369, 369, 369, -1, 369, 369, 369, 
	369, 369, 369, 369, 369, 369, 369, 369, 
	369, -1, 369, 369, 369, 369, 369, 369, 
	369, 369, 369, -1, 369, 369, 369, 369, 
	-1, -1, -1, -1, -1, -1, -1, 369, 
	-1, -1, 369, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 369, 369, 369, 
	369, -1, -1, 369, 369, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 367, -1, 
	-1, -1, -1, -1, -1, -1, -1, 369, 
	369, 369, 369, -1, -1, 369, 369, -1, 
	369, 369, 369, -1, -1, -1, -1, 369, 
	369, 369, -1, 369, 369, 369, -1, -1, 
	-1, -1, 369, -1, -1, -1, -1, 369, 
	-1, -1, -1, 369, 369, 369, -1, 369, 
	369, -1, -1, 369, -1, -1, -1, -1, 
	-1, -1, -1, -1, 369, 369, 369, 369, 
	369, 369, 369, -1, -1, -1, -1, 369, 
	369, -1, -1, 369, 369, 369, 369, 369, 
	369, 369, 369, -1, 369, 369, 369, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 369, 369, 369, 
	369, 369, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 369, -1, -1, -1, 
	-1, -1, -1, 369, -1, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	-1, 393, 393, 393, 393, 393, -1, 393, 
	-1, 393, 393, 393, 393, -1, 393, -1, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	-1, 393, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	-1, 393, -1, -1, 393, -1, 393, 393, 
	393, 393, 393, -1, -1, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, -1, -1, -1, -1, 
	-1, 393, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 369, 393, 393, 
	393, 393, -1, -1, 393, 393, 393, 393, 
	393, 393, -1, -1, -1, -1, 393, 393, 
	393, 393, 393, 393, 393, -1, -1, -1, 
	-1, 393, -1, -1, -1, -1, 393, 393, 
	-1, -1, 393, 393, 393, -1, 393, 393, 
	-1, -1, 393, -1, -1, -1, -1, -1, 
	-1, -1, -1, 393, 393, 393, 393, 393, 
	393, 393, -1, -1, -1, 393, 393, 393, 
	-1, -1, 393, 393, 393, 393, 393, 393, 
	393, 393, 393, 393, 393, 393, -1, -1, 
	-1, 393, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 393, 393, -1, -1, 
	393, -1, -1, -1, -1, 393, -1, 393, 
	393, -1, 393, -1, 393, 393, 393, 393, 
	393, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 393, -1, 393, -1, -1, 
	393, -1, 393, 393, -1, -1, -1, 393, 
	-1, 393, -1, 393, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, -1, 
	394, 394, 394, 394, 394, -1, 394, -1, 
	394, 394, 394, 394, -1, 394, -1, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, -1, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, -1, 
	394, -1, -1, 394, -1, 394, 394, 394, 
	394, 394, -1, -1, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, -1, -1, -1, -1, -1, 
	394, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 393, -1, -1, -1, 
	-1, -1, -1, -1, -1, 394, 394, 394, 
	394, -1, -1, 394, 394, 394, 394, 394, 
	394, -1, -1, -1, -1, 394, 394, 394, 
	394, 394, 394, 394, -1, -1, -1, -1, 
	394, -1, -1, -1, -1, 394, 394, -1, 
	-1, 394, 394, 394, -1, 394, 394, -1, 
	-1, 394, -1, -1, -1, -1, -1, -1, 
	-1, -1, 394, 394, 394, 394, 394, 394, 
	394, -1, -1, -1, 394, 394, 394, -1, 
	-1, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, -1, -1, -1, 
	394, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 394, 394, -1, -1, 394, 
	-1, -1, -1, -1, 394, -1, 394, 394, 
	-1, 394, -1, 394, 394, 394, 394, 394, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 394, -1, 394, -1, -1, 394, 
	-1, 394, 394, -1, -1, -1, 394, -1, 
	394, -1, 394, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, -1, 395, 
	395, 395, 395, 395, -1, 395, -1, 395, 
	395, 395, 395, -1, 395, -1, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, -1, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, -1, 395, 
	-1, -1, 395, -1, 395, 395, 395, 395, 
	395, -1, -1, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, -1, -1, -1, -1, -1, 395, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 394, -1, -1, -1, -1, 
	-1, -1, -1, -1, 395, 395, 395, 395, 
	-1, -1, 395, 395, 395, 395, 395, 395, 
	-1, -1, -1, -1, 395, 395, 395, 395, 
	395, 395, 395, -1, -1, -1, -1, 395, 
	-1, -1, -1, -1, 395, 395, -1, -1, 
	395, 395, 395, -1, 395, 395, -1, -1, 
	395, -1, -1, -1, -1, -1, -1, -1, 
	-1, 395, 395, 395, 395, 395, 395, 395, 
	-1, -1, -1, 395, 395, 395, -1, -1, 
	395, 395, 395, 395, 395, 395, 395, 395, 
	395, 395, 395, 395, -1, -1, -1, 395, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 395, 395, -1, -1, 395, -1, 
	-1, -1, -1, 395, -1, 395, 395, -1, 
	395, -1, 395, 395, 395, 395, 395, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 395, -1, 395, -1, -1, 395, -1, 
	395, 395, -1, -1, -1, 395, -1, 395, 
	-1, 395, 399, 399, 399, 399, 399, 399, 
	-1, 399, 399, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 399, 399, 399, 399, 
	399, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 399, -1, -1, -1, 399, 
	-1, -1, -1, 399, 399, 399, 399, 399, 
	-1, -1, -1, -1, 399, 399, 399, -1, 
	-1, -1, -1, 399, 399, -1, 399, 399, 
	399, 399, 399, -1, -1, -1, -1, -1, 
	-1, 399, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 399, 
	399, 399, 399, -1, -1, 399, 399, -1, 
	-1, -1, -1, -1, 399, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 395, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	399, 399, 399, 399, 399, -1, 399, 399, 
	399, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 399, 
	399, -1, -1, -1, -1, -1, -1, -1, 
	399, -1, -1, -1, -1, -1, -1, 399, 
	399, 399, 399, 399, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 399, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	-1, 401, 401, 401, 401, 401, -1, 401, 
	-1, 401, 401, 401, 401, -1, 401, -1, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	-1, 401, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	-1, 401, -1, -1, 401, -1, 401, 401, 
	401, 401, 401, -1, -1, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, -1, -1, -1, -1, 
	-1, 401, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 401, 401, 
	401, 401, -1, -1, 401, 401, 401, 401, 
	401, 401, -1, -1, -1, -1, 401, 401, 
	401, 401, 401, 401, 401, -1, -1, -1, 
	-1, 401, -1, -1, -1, -1, 401, 401, 
	-1, -1, 401, 401, 401, -1, 401, 401, 
	-1, -1, 401, -1, -1, -1, -1, -1, 
	-1, -1, -1, 401, 401, 401, 401, 401, 
	401, 401, -1, -1, -1, 401, 401, 401, 
	-1, -1, 401, 401, 401, 401, 401, 401, 
	401, 401, 401, 401, 401, 401, -1, -1, 
	-1, 401, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 401, 401, -1, -1, 
	401, -1, -1, -1, -1, 401, -1, 401, 
	401, -1, 401, -1, 401, 401, 401, 401, 
	401, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 401, -1, 401, -1, -1, 
	401, -1, 401, 401, -1, -1, -1, 401, 
	-1, 401, -1, 401, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, -1, 
	402, 402, 402, 402, 402, -1, 402, -1, 
	402, 402, 402, 402, -1, 402, -1, 402, 
	402, 402, -1, 402, 402, 402, 402, 402, 
	402, 402, 402, 402, 402, 402, 402, -1, 
	402, 402, 402, 402, 402, 402, 402, 402, 
	402, -1, 402, 402, 402, 402, -1, -1, 
	-1, -1, -1, -1, -1, 402, -1, -1, 
	402, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 402, 402, 402, 402, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 401, -1, -1, -1, 
	-1, -1, -1, -1, -1, 402, 402, 402, 
	402, -1, -1, 402, 402, -1, 402, 402, 
	402, -1, -1, -1, -1, 402, 402, 402, 
	-1, 402, 402, 402, -1, -1, -1, -1, 
	402, -1, -1, -1, -1, 402, -1, -1, 
	-1, 402, 402, 402, -1, 402, 402, -1, 
	-1, 402, -1, -1, -1, -1, -1, -1, 
	-1, -1, 402, 402, 402, 402, 402, 402, 
	402, -1, -1, -1, -1, 402, 402, -1, 
	-1, 402, 402, 402, 402, 402, 402, 402, 
	402, -1, 402, 402, 402, -1, -1, -1, 
	-1, -1, 403, 403, 403, 403, 403, 403, 
	-1, 403, 403, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 403, 403, 403, 403, 
	403, -1, -1, 402, 402, 402, 402, 402, 
	-1, -1, -1, 403, -1, -1, -1, 403, 
	-1, -1, 402, 403, 403, 403, 403, 403, 
	-1, 402, -1, -1, 403, 403, 403, -1, 
	-1, -1, -1, 403, 403, -1, 403, 403, 
	403, 403, -1, -1, -1, -1, -1, -1, 
	-1, 403, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 403, 
	403, 403, 403, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 404, 404, 404, 404, 404, 
	404, 404, 404, 404, 404, 404, 404, 404, 
	404, 404, 404, 404, 404, 404, 404, 404, 
	404, 404, 404, 404, 404, 404, -1, 404, 
	404, 404, 404, 404, -1, 404, -1, 404, 
	404, 404, 404, -1, 404, -1, 404, 404, 
	404, -1, 404, 404, 404, 404, 404, 404, 
	404, 404, 404, 404, 404, 404, -1, 404, 
	404, 404, 404, 404, 404, 404, 404, 404, 
	-1, 404, 404, 404, 404, -1, -1, -1, 
	-1, -1, -1, -1, 404, -1, -1, 404, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 404, 404, 404, 404, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 402, -1, 403, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	403, 403, 403, 403, 403, -1, 403, 403, 
	403, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 403, 
	403, 403, 403, 403, 404, 404, 404, 404, 
	-1, -1, 404, 404, -1, 404, 404, 404, 
	-1, -1, -1, -1, 404, 404, 404, -1, 
	404, 404, 404, -1, -1, -1, -1, 404, 
	-1, -1, -1, -1, 404, -1, -1, -1, 
	404, 404, 404, -1, 404, 404, -1, -1, 
	404, -1, -1, -1, -1, -1, -1, -1, 
	-1, 404, 404, 404, 404, 404, 404, 404, 
	-1, -1, -1, -1, 404, 404, -1, -1, 
	404, 404, 404, 404, 404, 404, 404, 404, 
	-1, 404, 404, 404, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 404, 404, 404, 404, 404, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 404, -1, -1, -1, -1, -1, -1, 
	404, -1, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, -1, 405, 405, 
	405, 405, 405, -1, 405, -1, 405, 405, 
	405, 405, -1, 405, -1, 405, 405, 405, 
	-1, 405, 405, 405, 405, 405, 405, 405, 
	405, 405, 405, 405, 405, -1, 405, 405, 
	405, 405, 405, 405, 405, 405, 405, -1, 
	405, 405, 405, 405, -1, -1, -1, -1, 
	-1, -1, -1, 405, -1, -1, 405, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 405, 405, 405, 405, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 404, 405, 405, 405, 405, -1, 
	-1, 405, 405, -1, 405, 405, 405, -1, 
	-1, -1, -1, 405, 405, 405, -1, 405, 
	405, 405, -1, -1, -1, -1, 405, -1, 
	-1, -1, -1, 405, -1, -1, -1, 405, 
	405, 405, -1, 405, 405, -1, -1, 405, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	405, 405, 405, 405, 405, 405, 405, -1, 
	-1, -1, -1, 405, 405, -1, -1, 405, 
	405, 405, 405, 405, 405, 405, 405, -1, 
	405, 405, 405, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 405, 405, 405, 405, 405, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	405, -1, -1, -1, -1, -1, -1, 405, 
	-1, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, -1, 406, 406, 406, 
	406, 406, -1, 406, -1, 406, 406, 406, 
	406, -1, 406, -1, 406, 406, 406, -1, 
	406, 406, 406, 406, 406, 406, 406, 406, 
	406, 406, 406, 406, -1, 406, 406, 406, 
	406, 406, 406, 406, 406, 406, -1, 406, 
	406, 406, 406, -1, -1, -1, -1, -1, 
	-1, -1, 406, -1, -1, 406, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	406, 406, 406, 406, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 403, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 403, 403, 403, 403, 
	403, -1, 403, 403, 403, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 403, 403, 403, 403, -1, 
	-1, 405, 406, 406, 406, 406, -1, -1, 
	406, 406, -1, 406, 406, 406, -1, -1, 
	-1, -1, 406, 406, 406, -1, 406, 406, 
	406, -1, -1, -1, -1, 406, -1, -1, 
	-1, -1, 406, -1, -1, -1, 406, 406, 
	406, -1, 406, 406, -1, -1, 406, -1, 
	-1, -1, -1, -1, -1, -1, -1, 406, 
	406, 406, 406, 406, 406, 406, -1, -1, 
	-1, -1, 406, 406, -1, -1, 406, 406, 
	406, 406, 406, 406, 406, 406, -1, 406, 
	406, 406, -1, -1, -1, -1, -1, 408, 
	408, 408, 408, 408, 408, -1, 408, 408, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 408, 408, 408, 408, 408, -1, -1, 
	406, 406, 406, 406, 406, -1, -1, -1, 
	408, -1, -1, -1, 408, -1, -1, 406, 
	408, 408, 408, 408, 408, -1, 406, -1, 
	-1, 408, 408, 408, -1, -1, -1, -1, 
	408, 408, -1, 408, 408, 408, 408, -1, 
	-1, -1, -1, -1, -1, -1, 408, 408, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 408, 408, 408, 408, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, -1, 426, 
	426, 426, 426, 426, -1, 426, -1, 426, 
	426, 426, 426, -1, 426, -1, 426, 426, 
	426, -1, 426, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, -1, 426, 
	426, 426, 426, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, -1, 426, 
	-1, -1, -1, -1, 426, 426, 426, 426, 
	426, -1, -1, 426, 426, 426, 426, 426, 
	426, 426, 426, 426, 426, 426, 426, 426, 
	426, 426, -1, -1, -1, -1, -1, 426, 
	406, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 408, 408, 408, 
	408, 408, -1, 408, 408, 408, -1, -1, 
	-1, 408, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 408, 408, 408, 408, 
	408, -1, -1, -1, 426, 426, 426, 426, 
	-1, -1, 426, 426, 426, 426, 426, 426, 
	-1, -1, -1, 408, 426, 426, 426, 426, 
	426, 426, 426, -1, -1, -1, -1, 426, 
	-1, -1, -1, -1, 426, 426, -1, -1, 
	426, 426, 426, -1, 426, 426, -1, -1, 
	426, -1, -1, -1, -1, -1, -1, -1, 
	-1, 426, 426, 426, 426, 426, 426, 426, 
	-1, -1, -1, 426, 426, 426, 426, -1, 
	426, 426, 426, 426, 426, 426, 426, 426, 
	-1, 426, 426, 426, -1, -1, -1, 426, 
	-1, -1, -1, -1, -1, -1, -1, 426, 
	-1, -1, 426, 426, -1, -1, 426, -1, 
	-1, -1, -1, 426, -1, -1, -1, -1, 
	426, -1, 426, 426, 426, 426, 426, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 426, -1, 426, -1, -1, 426, -1, 
	426, 426, -1, -1, -1, 426, -1, 426, 
	-1, 426, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, -1, 427, 427, 
	427, 427, 427, -1, 427, -1, 427, 427, 
	427, 427, -1, 427, -1, 427, 427, 427, 
	-1, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, -1, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, -1, 427, -1, 
	-1, -1, -1, 427, 427, 427, 427, 427, 
	-1, -1, 427, 427, 427, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, 427, 427, 
	427, -1, -1, -1, -1, -1, 427, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 426, -1, -1, -1, -1, -1, 
	-1, -1, -1, 427, 427, 427, 427, -1, 
	-1, 427, 427, 427, 427, 427, 427, -1, 
	-1, -1, -1, 427, 427, 427, 427, 427, 
	427, 427, -1, -1, -1, -1, 427, -1, 
	-1, -1, -1, 427, 427, -1, -1, 427, 
	427, 427, -1, 427, 427, -1, -1, 427, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	427, 427, 427, 427, 427, 427, 427, -1, 
	-1, -1, 427, 427, 427, -1, -1, 427, 
	427, 427, 427, 427, 427, 427, 427, -1, 
	427, 427, 427, -1, -1, -1, 427, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 427, 427, -1, -1, 427, -1, -1, 
	-1, -1, 427, -1, -1, -1, -1, 427, 
	-1, 427, 427, 427, 427, 427, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	427, -1, 427, -1, -1, 427, -1, 427, 
	427, -1, -1, -1, 427, -1, 427, -1, 
	427, -1, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, -1, 428, 428, 
	428, 428, 428, -1, 428, -1, 428, 428, 
	428, 428, -1, 428, -1, 428, 428, 428, 
	-1, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, -1, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, -1, 428, -1, 
	-1, -1, -1, 428, 428, 428, 428, 428, 
	-1, -1, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 408, 408, 408, 408, 408, 428, 408, 
	408, 408, -1, -1, -1, 408, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	408, 408, 408, 408, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 427, -1, -1, -1, -1, -1, 408, 
	-1, -1, -1, 428, 428, 428, 428, -1, 
	-1, 428, 428, 428, 428, 428, 428, -1, 
	-1, -1, -1, 428, 428, 428, 428, 428, 
	428, 428, -1, -1, -1, -1, 428, -1, 
	-1, -1, -1, 428, 428, -1, -1, 428, 
	428, 428, -1, 428, 428, -1, -1, 428, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	428, 428, 428, 428, 428, 428, 428, -1, 
	-1, -1, 428, 428, 428, -1, -1, 428, 
	428, 428, 428, 428, 428, 428, 428, -1, 
	428, 428, 428, -1, -1, -1, 428, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 428, 428, -1, -1, 428, -1, -1, 
	-1, -1, 428, -1, -1, -1, -1, 428, 
	-1, 428, 428, 428, 428, 428, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	428, -1, 428, -1, -1, 428, -1, 428, 
	428, -1, -1, -1, 428, -1, 428, -1, 
	428, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, -1, 429, 429, 429, 
	429, 429, -1, 429, -1, 429, 429, 429, 
	429, -1, 429, -1, 429, 429, 429, -1, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, -1, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, -1, 429, -1, -1, 
	-1, -1, 429, 429, 429, 429, 429, -1, 
	-1, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	-1, -1, -1, -1, -1, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 428, -1, -1, -1, -1, -1, -1, 
	-1, -1, 429, 429, 429, 429, -1, -1, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, -1, 429, 429, 429, 429, 429, 429, 
	429, -1, -1, -1, -1, 429, -1, -1, 
	-1, -1, 429, 429, -1, -1, 429, 429, 
	429, -1, 429, 429, -1, -1, 429, -1, 
	-1, -1, -1, -1, -1, -1, -1, 429, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, 429, 429, 429, -1, -1, 429, 429, 
	429, 429, 429, 429, 429, 429, -1, 429, 
	429, 429, -1, -1, -1, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	429, 429, -1, -1, 429, -1, -1, -1, 
	-1, 429, -1, -1, -1, -1, 429, -1, 
	429, 429, 429, 429, 429, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 429, 
	-1, 429, -1, -1, 429, -1, 429, 429, 
	-1, -1, -1, 429, -1, 429, -1, 429, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, -1, 430, 430, 430, 430, 
	430, -1, 430, -1, 430, 430, 430, 430, 
	-1, 430, -1, 430, 430, 430, -1, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, -1, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, -1, 430, -1, -1, -1, 
	-1, 430, 430, 430, 430, 430, -1, -1, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, -1, 
	-1, -1, -1, -1, 430, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	429, -1, -1, -1, -1, -1, -1, -1, 
	-1, 430, 430, 430, 430, -1, -1, 430, 
	430, 430, 430, 430, 430, -1, -1, -1, 
	-1, 430, 430, 430, 430, 430, 430, 430, 
	-1, -1, -1, -1, 430, -1, -1, -1, 
	-1, 430, 430, -1, -1, 430, 430, 430, 
	-1, 430, 430, -1, -1, 430, -1, -1, 
	-1, -1, -1, -1, -1, -1, 430, 430, 
	430, 430, 430, 430, 430, -1, -1, -1, 
	430, 430, 430, -1, -1, 430, 430, 430, 
	430, 430, 430, 430, 430, -1, 430, 430, 
	430, -1, -1, -1, 430, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 430, 
	430, -1, -1, 430, -1, -1, -1, -1, 
	430, -1, -1, -1, -1, 430, -1, 430, 
	430, 430, 430, 430, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 430, -1, 
	430, -1, -1, 430, -1, 430, 430, -1, 
	-1, -1, 430, -1, 430, -1, 430, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, -1, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	-1, -1, -1, 432, 432, 432, 432, 432, 
	-1, 432, -1, 432, 432, 432, 432, -1, 
	432, -1, 432, 432, 432, -1, 432, 432, 
	-1, -1, 432, 432, 432, 432, 432, 432, 
	432, 432, -1, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, -1, 432, 432, 432, 
	432, -1, -1, -1, -1, -1, -1, -1, 
	432, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 432, 432, 
	432, 432, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 430, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	432, 432, 432, 432, -1, -1, 432, 432, 
	-1, 432, 432, 432, -1, -1, -1, -1, 
	432, 432, 432, -1, 432, 432, 432, -1, 
	-1, -1, -1, 432, -1, -1, -1, -1, 
	432, 432, -1, -1, 432, 432, 432, -1, 
	432, 432, -1, -1, 432, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	432, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 432, 432, 432, 432, 
	432, 432, 432, 432, -1, 432, 432, 432, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 432, 432, 
	432, 432, 432, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 432, -1, -1, 
	-1, -1, 432, -1, -1, -1, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, -1, 436, 
	436, 436, 436, 436, 436, 436, 436, -1, 
	-1, -1, 436, 436, 436, 436, 436, -1, 
	436, -1, 436, 436, 436, 436, -1, 436, 
	-1, 436, 436, 436, -1, 436, 436, -1, 
	-1, 436, 436, 436, 436, 436, 436, 436, 
	436, -1, 436, 436, 436, 436, 436, 436, 
	436, 436, 436, -1, 436, 436, 436, 436, 
	-1, -1, -1, -1, -1, -1, -1, 436, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 436, 436, 436, 
	436, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 432, 436, 
	436, 436, 436, -1, -1, 436, 436, -1, 
	436, 436, 436, -1, -1, -1, -1, 436, 
	436, 436, -1, 436, 436, 436, -1, -1, 
	-1, -1, 436, -1, -1, -1, -1, 436, 
	-1, -1, -1, 436, 436, 436, -1, 436, 
	436, -1, -1, 436, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 436, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 436, 436, 436, 436, 436, 
	436, 436, 436, -1, 436, 436, 436, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 436, 436, 436, 
	436, 436, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 436, -1, -1, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, -1, 439, 439, 439, 439, 439, 
	-1, 439, -1, 439, 439, 439, 439, -1, 
	439, -1, 439, 439, 439, -1, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, -1, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, -1, 439, 439, 439, 
	439, -1, -1, -1, -1, -1, -1, -1, 
	439, -1, -1, 439, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 439, 439, 
	439, 439, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	439, 439, 439, 439, -1, 436, 439, 439, 
	-1, 439, 439, 439, -1, -1, -1, -1, 
	439, 439, 439, -1, 439, 439, 439, -1, 
	-1, -1, -1, 439, -1, -1, -1, -1, 
	439, -1, -1, -1, 439, 439, 439, -1, 
	439, 439, -1, -1, 439, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, 439, 439, 
	439, 439, 439, 439, -1, -1, -1, -1, 
	439, 439, -1, -1, 439, 439, 439, 439, 
	439, 439, 439, 439, -1, 439, 439, 439, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 439, 439, 
	439, 439, 439, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, -1, -1, 
	-1, -1, -1, -1, 439, -1, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, -1, 440, 440, 440, 440, 440, -1, 
	440, -1, 440, 440, 440, 440, -1, 440, 
	-1, 440, 440, 440, -1, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, -1, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, -1, 440, 440, 440, 440, 
	-1, -1, -1, -1, -1, -1, -1, 440, 
	-1, -1, 440, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 440, 440, 440, 
	440, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 439, 440, 
	440, 440, 440, -1, -1, 440, 440, -1, 
	440, 440, 440, -1, -1, -1, -1, 440, 
	440, 440, -1, 440, 440, 440, -1, -1, 
	-1, -1, 440, -1, -1, -1, -1, 440, 
	-1, -1, -1, 440, 440, 440, -1, 440, 
	440, -1, -1, 440, -1, -1, -1, -1, 
	-1, -1, -1, -1, 440, 440, 440, 440, 
	440, 440, 440, -1, -1, -1, -1, 440, 
	440, -1, -1, 440, 440, 440, 440, 440, 
	440, 440, 440, -1, 440, 440, 440, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 440, 440, 440, 
	440, 440, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 440, -1, -1, -1, 
	-1, -1, -1, 440, -1, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	-1, 441, 441, 441, 441, 441, -1, 441, 
	-1, 441, 441, 441, 441, -1, 441, -1, 
	441, 441, 441, -1, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	-1, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, -1, 441, 441, 441, 441, -1, 
	-1, -1, -1, -1, -1, -1, 441, -1, 
	-1, 441, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 441, 441, 441, 441, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 440, 441, 441, 
	441, 441, -1, -1, 441, 441, -1, 441, 
	441, 441, -1, -1, -1, -1, 441, 441, 
	441, -1, 441, 441, 441, -1, -1, -1, 
	-1, 441, -1, -1, -1, -1, 441, -1, 
	-1, -1, 441, 441, 441, -1, 441, 441, 
	-1, -1, 441, -1, -1, -1, -1, -1, 
	-1, -1, -1, 441, 441, 441, 441, 441, 
	441, 441, -1, -1, -1, -1, 441, 441, 
	-1, -1, 441, 441, 441, 441, 441, 441, 
	441, 441, -1, 441, 441, 441, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 442, 
	442, 442, 442, 442, 442, -1, 442, 442, 
	-1, -1, -1, -1, 441, 441, 441, 441, 
	441, 442, 442, 442, 442, 442, -1, -1, 
	-1, -1, -1, 441, -1, -1, -1, -1, 
	442, -1, 441, -1, 442, -1, -1, -1, 
	442, 442, 442, 442, 442, -1, -1, -1, 
	-1, 442, 442, 442, -1, -1, -1, -1, 
	442, 442, -1, 442, 442, 442, 442, -1, 
	-1, -1, -1, -1, -1, -1, 442, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 442, 442, 442, 442, 
	443, 443, 443, 443, 443, 443, 443, 443, 
	443, 443, -1, 443, 443, -1, -1, 443, 
	443, 443, 443, -1, -1, -1, 443, 443, 
	443, 443, 443, -1, -1, -1, -1, 443, 
	443, 443, -1, -1, -1, 443, -1, -1, 
	-1, 443, 443, -1, -1, 443, 443, 443, 
	443, 443, -1, -1, -1, -1, 443, 443, 
	443, -1, -1, -1, -1, 443, 443, -1, 
	443, 443, 443, 443, -1, -1, -1, -1, 
	-1, -1, -1, 443, -1, 443, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 443, 443, 443, 443, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 441, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 442, 442, 442, 
	442, 442, -1, 442, 442, 442, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 440, 440, 440, -1, 
	-1, -1, -1, -1, 442, 442, 442, 442, 
	442, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 443, -1, -1, -1, -1, 
	-1, -1, 443, -1, -1, -1, -1, 443, 
	443, 443, 443, 443, 443, 443, 443, -1, 
	443, 443, 443, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 443, 443, 443, 443, 443, -1, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	-1, 444, -1, 444, 444, 444, 444, 444, 
	444, -1, 444, 444, 444, -1, 444, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, -1, 444, 444, 444, 
	444, -1, -1, -1, 444, -1, -1, -1, 
	444, 444, -1, 444, -1, -1, 444, -1, 
	-1, 444, -1, 444, -1, -1, 444, 444, 
	444, 444, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 444, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 444, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	444, 444, 444, 444, -1, -1, 444, 444, 
	444, 444, 444, 444, -1, -1, -1, -1, 
	444, 444, 444, 444, 444, 444, 444, -1, 
	-1, 444, -1, 444, -1, -1, -1, -1, 
	444, 444, -1, 444, 444, 444, 444, -1, 
	444, 444, -1, -1, 444, -1, -1, -1, 
	-1, -1, 444, -1, 444, 444, 444, 444, 
	444, 444, 444, 444, -1, -1, -1, -1, 
	444, 444, -1, 444, 444, 444, 444, 444, 
	444, 444, 444, 444, -1, 444, 444, 444, 
	-1, -1, 444, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 444, 444, 444, -1, 
	-1, 444, 444, 444, -1, -1, 444, 444, 
	444, 444, 444, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 444, -1, 444, 
	-1, -1, 444, 444, 444, -1, 513, 513, 
	513, 513, 513, 513, -1, 513, 513, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	513, 513, 513, 513, 513, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 513, 
	-1, -1, -1, 513, -1, -1, -1, 513, 
	513, 513, 513, 513, -1, -1, -1, -1, 
	513, 513, 513, -1, -1, -1, -1, 513, 
	513, -1, 513, 513, 513, 513, -1, -1, 
	-1, -1, -1, -1, -1, 513, 513, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 513, 513, 513, 513, -1, 
	-1, 513, 513, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 442, 442, 442, 442, 442, 444, 442, 
	442, 442, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	442, 442, 442, 442, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 513, 513, 513, 513, 
	513, -1, 513, 513, 513, -1, -1, 443, 
	513, -1, -1, -1, -1, -1, 443, -1, 
	-1, -1, -1, 443, 443, 443, 443, 443, 
	443, 443, 443, -1, 443, 443, 443, -1, 
	-1, -1, -1, 513, 513, 513, 513, 513, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 513, -1, -1, 443, 443, 443, 
	443, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, -1, 445, -1, 445, 445, 445, 
	445, 445, 445, -1, 445, 445, 445, -1, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, -1, 445, 
	445, 445, 445, -1, -1, -1, 445, -1, 
	-1, -1, 445, 445, -1, 445, -1, -1, 
	445, -1, -1, 445, -1, 445, -1, -1, 
	445, 445, 445, 445, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 445, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	445, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 445, 445, 445, 445, -1, -1, 
	445, 445, 445, 445, 445, 445, -1, -1, 
	-1, -1, 445, 445, 445, 445, 445, 445, 
	445, -1, -1, 445, -1, 445, -1, -1, 
	-1, -1, 445, 445, -1, 445, 445, 445, 
	445, -1, 445, 445, -1, -1, 445, -1, 
	-1, -1, -1, -1, 445, -1, 445, 445, 
	445, 445, 445, 445, 445, 445, -1, -1, 
	-1, -1, 445, 445, -1, 445, 445, 445, 
	445, 445, 445, 445, 445, 445, -1, 445, 
	445, 445, -1, -1, 445, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 445, 445, 
	445, -1, -1, 445, 445, 445, -1, -1, 
	445, 445, 445, 445, 445, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 445, 
	-1, 445, -1, -1, 445, 445, 445, -1, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, -1, 446, -1, 446, 446, 446, 446, 
	446, 446, -1, 446, 446, 446, -1, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, -1, 446, 446, 
	446, 446, -1, -1, -1, 446, -1, -1, 
	-1, 446, 446, -1, 446, -1, -1, 446, 
	-1, -1, 446, -1, 446, -1, -1, 446, 
	446, 446, 446, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 446, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 446, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	445, 446, 446, 446, 446, -1, -1, 446, 
	446, 446, 446, 446, 446, -1, -1, -1, 
	-1, 446, 446, 446, 446, 446, 446, 446, 
	-1, -1, 446, -1, 446, -1, -1, -1, 
	-1, 446, 446, -1, 446, 446, 446, 446, 
	-1, 446, 446, -1, -1, 446, -1, -1, 
	-1, -1, -1, 446, -1, 446, 446, 446, 
	446, 446, 446, 446, 446, -1, -1, -1, 
	-1, 446, 446, -1, 446, 446, 446, 446, 
	446, 446, 446, 446, 446, -1, 446, 446, 
	446, -1, -1, 446, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 446, 446, 446, 
	-1, -1, 446, 446, 446, -1, -1, 446, 
	446, 446, 446, 446, 453, 453, 453, 453, 
	453, 453, -1, 453, 453, -1, 446, -1, 
	446, -1, -1, 446, 446, 446, 453, 453, 
	453, 453, 453, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 453, -1, -1, 
	-1, 453, -1, -1, -1, 453, 453, 453, 
	453, 453, -1, -1, -1, -1, 453, 453, 
	453, -1, -1, -1, -1, 453, 453, -1, 
	453, 453, 453, 453, -1, -1, -1, -1, 
	-1, -1, -1, 453, 453, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 453, 453, 453, 453, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	455, 455, 455, 455, 455, 455, 455, 455, 
	455, 455, 455, 455, 455, 455, 455, 455, 
	-1, 455, 455, 455, 455, 455, 455, 455, 
	455, -1, -1, -1, 455, 455, 455, 455, 
	455, -1, 455, -1, 455, 455, 455, 455, 
	-1, 455, -1, 455, 455, 455, -1, 455, 
	455, -1, -1, 455, 455, 455, 455, 455, 
	455, 455, 455, -1, 455, 455, 455, 455, 
	455, 455, 455, 455, 455, -1, 455, 455, 
	455, 455, -1, -1, -1, -1, -1, 446, 
	-1, 455, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 455, 
	455, 455, 455, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 453, 453, 453, 453, 453, -1, 
	453, 453, 453, -1, -1, -1, 453, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 453, 453, 453, 453, 453, -1, -1, 
	-1, 455, 455, 455, 455, -1, -1, 455, 
	455, 455, 455, 455, 455, -1, -1, -1, 
	453, 455, 455, 455, 455, 455, 455, 455, 
	-1, -1, -1, -1, 455, -1, -1, -1, 
	-1, 455, 455, -1, -1, 455, 455, 455, 
	-1, 455, 455, -1, -1, 455, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 455, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 455, 455, 455, 
	455, 455, 455, 455, 455, -1, 455, 455, 
	455, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 455, 
	455, 455, 455, 455, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 455, -1, 
	455, -1, -1, 455, 457, 457, 457, 457, 
	457, 457, 457, 457, 457, 457, 457, 457, 
	457, -1, -1, 457, 457, 457, 457, -1, 
	-1, -1, 457, 457, 457, 457, 457, -1, 
	-1, -1, -1, 457, 457, 457, -1, -1, 
	-1, 457, -1, -1, -1, 457, 457, -1, 
	-1, 457, 457, 457, 457, 457, -1, -1, 
	-1, -1, 457, 457, 457, -1, -1, -1, 
	-1, 457, 457, -1, 457, 457, 457, 457, 
	-1, -1, -1, -1, -1, -1, -1, 457, 
	-1, -1, 457, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 457, 457, 457, 
	457, 460, 460, 460, 460, 460, 460, 460, 
	460, 460, 460, -1, 460, 460, -1, -1, 
	460, 460, 460, 460, -1, -1, -1, 460, 
	460, 460, 460, 460, -1, -1, -1, -1, 
	460, 460, 460, -1, -1, -1, 460, -1, 
	-1, -1, 460, 460, -1, -1, 460, 460, 
	460, 460, 460, -1, -1, -1, -1, 460, 
	460, 460, -1, -1, -1, -1, 460, 460, 
	-1, 460, 460, 460, 460, -1, -1, -1, 
	-1, -1, -1, -1, 460, -1, 460, 455, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 460, 460, 460, 460, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 457, 
	-1, -1, -1, -1, -1, -1, -1, 457, 
	457, 457, -1, 457, 457, 457, 457, 457, 
	457, 457, 457, -1, 457, 457, 457, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 457, 457, 457, 
	457, 457, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 457, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 460, -1, -1, -1, 
	-1, -1, -1, 460, -1, -1, -1, -1, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	-1, 460, 460, 460, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 460, 460, 460, 460, 460, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 453, 453, 
	453, 453, 453, -1, 453, 453, 453, -1, 
	-1, -1, 453, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 453, 453, 453, 
	453, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 453, 461, 461, 461, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	-1, 461, 461, 461, 461, 461, -1, 461, 
	-1, 461, 461, 461, 461, -1, 461, -1, 
	461, 461, 461, -1, 461, 461, 461, 461, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	-1, 461, 461, 461, 461, 461, 461, 461, 
	461, 461, -1, 461, 461, 461, 461, -1, 
	-1, -1, -1, -1, -1, -1, 461, -1, 
	-1, 461, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, 461, 461, 461, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 461, 461, 
	461, 461, -1, -1, 461, 461, -1, 461, 
	461, 461, -1, -1, -1, -1, 461, 461, 
	461, -1, 461, 461, 461, -1, -1, -1, 
	-1, 461, -1, -1, -1, -1, 461, -1, 
	-1, -1, 461, 461, 461, -1, 461, 461, 
	-1, -1, 461, -1, -1, -1, -1, -1, 
	-1, -1, -1, 461, 461, 461, 461, 461, 
	461, 461, -1, -1, -1, -1, 461, 461, 
	-1, -1, 461, 461, 461, 461, 461, 461, 
	461, 461, -1, 461, 461, 461, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, 461, 461, 461, 
	461, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 461, -1, -1, -1, -1, 
	-1, -1, 461, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 457, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 457, -1, 457, 
	457, 457, 457, 457, 457, 457, 457, -1, 
	457, 457, 457, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 457, 457, 457, 457, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 457, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	460, -1, -1, -1, -1, -1, -1, 460, 
	-1, -1, -1, -1, 460, 460, 460, 460, 
	460, 460, 460, 460, -1, 460, 460, 460, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 460, 460, 
	460, 460, 463, 463, 463, 463, 463, 463, 
	463, 463, 463, 463, 463, 463, 463, 463, 
	463, 463, 463, 463, 463, 463, 463, 463, 
	463, 463, 463, 463, 463, -1, 463, 463, 
	463, 463, 463, -1, 463, -1, 463, 463, 
	463, 463, -1, 463, -1, 463, 463, 463, 
	-1, 463, 463, 463, 463, 463, 463, 463, 
	463, 463, 463, 463, 463, -1, 463, 463, 
	463, 463, 463, 463, 463, 463, 463, -1, 
	463, 463, 463, 463, -1, -1, -1, -1, 
	-1, -1, -1, 463, -1, -1, 463, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 463, 463, 463, 463, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 463, 463, 463, 463, -1, 
	-1, 463, 463, -1, 463, 463, 463, -1, 
	-1, -1, -1, 463, 463, 463, -1, 463, 
	463, 463, -1, -1, -1, -1, 463, -1, 
	-1, -1, -1, 463, -1, -1, -1, 463, 
	463, 463, -1, 463, 463, -1, -1, 463, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	463, 463, 463, 463, 463, 463, 463, -1, 
	-1, -1, -1, 463, 463, -1, -1, 463, 
	463, 463, 463, 463, 463, 463, 463, -1, 
	463, 463, 463, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 463, 463, 463, 463, 463, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	463, -1, -1, -1, -1, -1, -1, 463, 
	-1, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, -1, 464, 464, 464, 
	464, 464, -1, 464, -1, 464, 464, 464, 
	464, -1, 464, -1, 464, 464, 464, -1, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, -1, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, -1, 464, -1, -1, 
	-1, -1, 464, 464, 464, 464, 464, -1, 
	-1, 464, 464, 464, 464, 464, 464, 464, 
	464, 464, 464, 464, 464, 464, 464, 464, 
	-1, -1, -1, -1, -1, 464, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 463, 464, 464, 464, 464, -1, -1, 
	464, 464, 464, 464, 464, 464, -1, -1, 
	-1, -1, 464, 464, 464, 464, 464, 464, 
	464, -1, -1, -1, -1, 464, -1, -1, 
	-1, -1, 464, 464, -1, -1, 464, 464, 
	464, -1, 464, 464, -1, -1, 464, -1, 
	-1, -1, -1, -1, -1, -1, -1, 464, 
	464, 464, 464, 464, 464, 464, -1, -1, 
	-1, 464, 464, 464, -1, -1, 464, 464, 
	464, 464, 464, 464, 464, 464, -1, 464, 
	464, 464, -1, -1, -1, 464, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	464, 464, -1, -1, 464, -1, -1, -1, 
	-1, 464, -1, -1, -1, -1, 464, -1, 
	464, 464, 464, 464, 464, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 464, 
	-1, 464, -1, -1, 464, -1, 464, 464, 
	-1, -1, -1, 464, -1, 464, -1, 464, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, 465, 465, 465, 
	465, -1, 465, -1, 465, 465, 465, 465, 
	-1, 465, -1, 465, 465, 465, -1, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, -1, 465, -1, -1, -1, 
	-1, 465, 465, 465, 465, 465, -1, -1, 
	465, 465, 465, 465, 465, 465, 465, 465, 
	465, 465, 465, 465, 465, 465, 465, -1, 
	-1, -1, -1, -1, 465, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	464, -1, -1, -1, -1, -1, -1, -1, 
	-1, 465, 465, 465, 465, -1, -1, 465, 
	465, 465, 465, 465, 465, -1, -1, -1, 
	-1, 465, 465, 465, 465, 465, 465, 465, 
	-1, -1, -1, -1, 465, -1, -1, -1, 
	-1, 465, 465, -1, -1, 465, 465, 465, 
	-1, 465, 465, -1, -1, 465, -1, -1, 
	-1, -1, -1, -1, -1, -1, 465, 465, 
	465, 465, 465, 465, 465, -1, -1, -1, 
	465, 465, 465, -1, -1, 465, 465, 465, 
	465, 465, 465, 465, 465, -1, 465, 465, 
	465, -1, -1, -1, 465, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 465, 
	465, -1, -1, 465, -1, -1, -1, -1, 
	465, -1, -1, -1, -1, 465, -1, 465, 
	465, 465, 465, 465, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 465, -1, 
	465, -1, -1, 465, -1, 465, 465, -1, 
	-1, -1, 465, -1, 465, -1, 465, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, -1, 466, 466, 466, 466, 466, 
	-1, 466, -1, 466, 466, 466, 466, -1, 
	466, -1, 466, 466, 466, -1, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, -1, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, -1, 466, -1, -1, -1, -1, 
	466, 466, 466, 466, 466, -1, -1, 466, 
	466, 466, 466, 466, 466, 466, 466, 466, 
	466, 466, 466, 466, 466, 466, -1, -1, 
	-1, -1, -1, 466, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 465, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	466, 466, 466, 466, -1, -1, 466, 466, 
	466, 466, 466, 466, -1, -1, -1, -1, 
	466, 466, 466, 466, 466, 466, 466, -1, 
	-1, -1, -1, 466, -1, -1, -1, -1, 
	466, 466, -1, -1, 466, 466, 466, -1, 
	466, 466, -1, -1, 466, -1, -1, -1, 
	-1, -1, -1, -1, -1, 466, 466, 466, 
	466, 466, 466, 466, -1, -1, -1, 466, 
	466, 466, -1, -1, 466, 466, 466, 466, 
	466, 466, 466, 466, -1, 466, 466, 466, 
	-1, -1, -1, 466, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 466, 466, 
	-1, -1, 466, -1, -1, -1, -1, 466, 
	-1, -1, -1, -1, 466, -1, 466, 466, 
	466, 466, 466, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 466, -1, 466, 
	-1, -1, 466, -1, 466, 466, -1, -1, 
	-1, 466, -1, 466, -1, 466, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, -1, 467, 
	467, 467, 467, 467, 467, 467, 467, -1, 
	-1, -1, 467, 467, 467, 467, 467, -1, 
	467, -1, 467, 467, 467, 467, -1, 467, 
	-1, 467, 467, 467, -1, 467, 467, -1, 
	-1, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	467, 467, 467, 467, 467, 467, 467, 467, 
	-1, -1, -1, -1, -1, -1, -1, 467, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 467, 467, 467, 
	467, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 466, -1, 
	-1, -1, -1, -1, -1, -1, -1, 467, 
	467, 467, 467, -1, -1, 467, 467, 467, 
	467, 467, 467, -1, -1, -1, -1, 467, 
	467, 467, 467, 467, 467, 467, -1, 467, 
	467, -1, 467, -1, -1, -1, -1, 467, 
	467, -1, -1, 467, 467, 467, -1, 467, 
	467, -1, -1, 467, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 467, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 467, 467, 467, 467, 467, 
	467, 467, 467, -1, 467, 467, 467, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 467, 467, 467, 
	467, 467, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 467, -1, 467, -1, 
	-1, 467, -1, -1, -1, 469, 469, 469, 
	469, 469, 469, 469, 469, 469, 469, 469, 
	469, 469, 469, 469, 469, -1, 469, 469, 
	469, 469, 469, 469, 469, 469, -1, -1, 
	-1, 469, 469, 469, 469, 469, -1, 469, 
	-1, 469, 469, 469, 469, -1, 469, -1, 
	469, 469, 469, -1, 469, 469, -1, -1, 
	469, 469, 469, 469, 469, 469, 469, 469, 
	-1, 469, 469, 469, 469, 469, 469, 469, 
	469, 469, -1, 469, 469, 469, 469, -1, 
	-1, -1, -1, -1, -1, -1, 469, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 469, 469, 469, 469, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 467, 469, 469, 
	469, 469, -1, -1, 469, 469, -1, 469, 
	469, 469, -1, -1, -1, -1, 469, 469, 
	469, -1, 469, 469, 469, -1, -1, -1, 
	-1, 469, -1, -1, -1, -1, 469, 469, 
	-1, -1, 469, 469, 469, -1, 469, 469, 
	-1, -1, 469, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 469, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 469, 469, 469, 469, 469, 469, 
	469, 469, -1, 469, 469, 469, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 469, 469, 469, 469, 
	469, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 469, -1, -1, -1, -1, 
	469, -1, -1, -1, 474, 474, 474, 474, 
	474, 474, 474, 474, 474, 474, 474, 474, 
	474, 474, 474, 474, -1, 474, 474, 474, 
	474, 474, 474, 474, 474, -1, -1, -1, 
	474, 474, 474, 474, 474, -1, 474, -1, 
	474, 474, 474, 474, -1, 474, -1, 474, 
	474, 474, -1, 474, 474, -1, -1, 474, 
	474, 474, 474, 474, 474, 474, 474, -1, 
	474, 474, 474, 474, 474, 474, 474, 474, 
	474, -1, 474, 474, 474, 474, -1, -1, 
	-1, -1, -1, -1, -1, 474, -1, -1, 
	-1, -1, -1, -1, -1, -1, 474, -1, 
	-1, -1, -1, 474, 474, 474, 474, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 469, 474, 474, 474, 
	474, -1, -1, 474, 474, 474, 474, 474, 
	474, -1, -1, -1, -1, 474, 474, 474, 
	474, 474, 474, 474, -1, -1, -1, -1, 
	474, -1, -1, -1, -1, 474, 474, -1, 
	-1, 474, 474, 474, -1, 474, 474, -1, 
	-1, 474, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 474, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 474, 474, 474, 474, 474, 474, 474, 
	474, -1, 474, 474, 474, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 474, 474, 474, 474, 474, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 474, -1, 474, -1, -1, 474, 
	-1, -1, -1, 477, 477, 477, 477, 477, 
	477, 477, 477, 477, 477, 477, 477, 477, 
	477, 477, 477, -1, 477, 477, 477, 477, 
	477, 477, 477, 477, -1, -1, -1, 477, 
	477, 477, 477, 477, -1, 477, -1, 477, 
	477, 477, 477, -1, 477, -1, 477, 477, 
	477, -1, 477, 477, -1, -1, 477, 477, 
	477, 477, 477, 477, 477, 477, -1, 477, 
	477, 477, 477, 477, 477, 477, 477, 477, 
	-1, 477, 477, 477, 477, -1, -1, -1, 
	-1, -1, -1, -1, 477, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 477, 477, 477, 477, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 474, 477, 477, 477, 477, 
	-1, -1, 477, 477, 477, 477, 477, 477, 
	-1, -1, -1, -1, 477, 477, 477, 477, 
	477, 477, 477, -1, -1, -1, -1, 477, 
	-1, -1, -1, -1, 477, 477, -1, -1, 
	477, 477, 477, -1, 477, 477, -1, -1, 
	477, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 477, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	477, 477, 477, 477, 477, 477, 477, 477, 
	-1, 477, 477, 477, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 477, 477, 477, 477, 477, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 477, -1, 477, -1, -1, 477, -1, 
	-1, -1, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, -1, 480, 480, 
	480, 480, 480, -1, 480, -1, 480, 480, 
	480, 480, -1, 480, -1, 480, 480, 480, 
	-1, 480, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, -1, 480, 480, 
	480, 480, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, -1, 480, -1, 
	-1, -1, -1, 480, 480, 480, 480, 480, 
	-1, -1, 480, 480, 480, 480, 480, 480, 
	480, 480, 480, 480, 480, 480, 480, 480, 
	480, -1, -1, -1, -1, -1, 480, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 477, 480, 480, 480, 480, -1, 
	-1, 480, 480, 480, 480, 480, 480, -1, 
	-1, -1, -1, 480, 480, 480, 480, 480, 
	480, 480, -1, -1, -1, -1, 480, -1, 
	-1, -1, -1, 480, 480, -1, -1, 480, 
	480, 480, -1, 480, 480, -1, -1, 480, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	480, 480, 480, 480, 480, 480, 480, -1, 
	-1, -1, 480, 480, 480, -1, -1, 480, 
	480, 480, 480, 480, 480, 480, 480, -1, 
	480, 480, 480, -1, -1, -1, 480, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 480, 480, -1, -1, 480, -1, -1, 
	-1, -1, 480, -1, -1, -1, -1, 480, 
	-1, 480, 480, 480, 480, 480, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	480, -1, 480, -1, -1, 480, -1, 480, 
	480, -1, -1, -1, 480, -1, 480, -1, 
	480, 481, 481, 481, 481, 481, 481, 481, 
	481, 481, 481, 481, 481, 481, 481, 481, 
	481, -1, 481, 481, 481, 481, 481, 481, 
	481, 481, -1, -1, -1, 481, 481, 481, 
	481, 481, -1, 481, -1, 481, 481, 481, 
	481, -1, 481, -1, 481, 481, 481, -1, 
	481, 481, -1, -1, 481, 481, 481, 481, 
	481, 481, 481, 481, -1, 481, 481, 481, 
	481, 481, 481, 481, 481, 481, -1, 481, 
	481, 481, 481, -1, 481, -1, -1, -1, 
	-1, -1, 481, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	481, 481, 481, 481, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 480, -1, -1, -1, -1, -1, -1, 
	-1, -1, 481, 481, 481, 481, -1, -1, 
	481, 481, 481, 481, 481, 481, -1, -1, 
	-1, -1, 481, 481, 481, 481, 481, 481, 
	481, -1, -1, -1, -1, 481, -1, -1, 
	-1, -1, 481, 481, -1, -1, 481, 481, 
	481, -1, 481, 481, -1, -1, 481, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 481, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 481, 481, 
	481, 481, 481, 481, 481, 481, -1, 481, 
	481, 481, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	481, 481, 481, 481, 481, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 481, 
	-1, 481, -1, -1, 481, -1, -1, -1, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, 482, 482, 482, 
	-1, 482, 482, 482, 482, 482, 482, 482, 
	482, -1, -1, -1, 482, 482, 482, 482, 
	482, -1, 482, -1, 482, 482, 482, 482, 
	-1, 482, -1, 482, 482, 482, -1, 482, 
	482, -1, -1, 482, 482, 482, 482, 482, 
	482, 482, 482, -1, 482, 482, 482, 482, 
	482, 482, 482, 482, 482, -1, 482, 482, 
	482, 482, -1, 482, -1, -1, -1, -1, 
	-1, 482, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 482, 
	482, 482, 482, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	481, 482, 482, 482, 482, -1, -1, 482, 
	482, 482, 482, 482, 482, -1, -1, -1, 
	-1, 482, 482, 482, 482, 482, 482, 482, 
	-1, -1, -1, -1, 482, -1, -1, -1, 
	-1, 482, 482, -1, -1, 482, 482, 482, 
	-1, 482, 482, -1, -1, 482, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 482, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 482, 482, 482, 
	482, 482, 482, 482, 482, -1, 482, 482, 
	482, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 482, 
	482, 482, 482, 482, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 482, -1, 
	482, -1, -1, 482, -1, -1, -1, 489, 
	489, 489, 489, 489, 489, 489, 489, 489, 
	489, 489, 489, 489, 489, 489, 489, -1, 
	489, 489, 489, 489, 489, 489, 489, 489, 
	-1, -1, -1, 489, 489, 489, 489, 489, 
	-1, 489, -1, 489, 489, 489, 489, -1, 
	489, -1, 489, 489, 489, -1, 489, 489, 
	-1, -1, 489, 489, 489, 489, 489, 489, 
	489, 489, -1, 489, 489, 489, 489, 489, 
	489, 489, 489, 489, -1, 489, 489, 489, 
	489, -1, -1, -1, -1, -1, -1, -1, 
	489, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 489, 489, 
	489, 489, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 482, 
	489, 489, 489, 489, -1, -1, 489, 489, 
	489, 489, 489, 489, -1, -1, -1, -1, 
	489, 489, 489, 489, 489, 489, 489, -1, 
	-1, -1, -1, 489, -1, -1, -1, -1, 
	489, 489, -1, -1, 489, 489, 489, -1, 
	489, 489, -1, -1, 489, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	489, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 489, 489, 489, 489, 
	489, 489, 489, 489, -1, 489, 489, 489, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 489, 489, 
	489, 489, 489, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 489, -1, 489, 
	-1, -1, 489, -1, -1, -1, 505, 505, 
	505, 505, 505, 505, 505, 505, 505, 505, 
	505, 505, 505, 505, 505, 505, -1, 505, 
	505, 505, 505, 505, 505, 505, 505, -1, 
	-1, -1, 505, 505, 505, 505, 505, -1, 
	505, -1, 505, 505, 505, 505, -1, 505, 
	-1, 505, 505, 505, -1, 505, 505, -1, 
	-1, 505, 505, 505, 505, 505, 505, 505, 
	505, -1, 505, 505, 505, 505, 505, 505, 
	505, 505, 505, -1, 505, 505, 505, 505, 
	-1, -1, -1, -1, -1, -1, -1, 505, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 505, 505, 505, 
	505, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 489, 505, 
	505, 505, 505, -1, -1, 505, 505, 505, 
	505, 505, 505, -1, -1, -1, -1, 505, 
	505, 505, 505, 505, 505, 505, -1, -1, 
	-1, -1, 505, -1, -1, -1, -1, 505, 
	505, -1, -1, 505, 505, 505, -1, 505, 
	505, -1, -1, 505, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 505, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 505, 505, 505, 505, 505, 
	505, 505, 505, -1, 505, 505, 505, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 512, 512, 512, 512, 512, 512, -1, 
	512, 512, -1, -1, -1, 505, 505, 505, 
	505, 505, -1, 512, 512, 512, 512, 512, 
	-1, -1, -1, -1, 505, -1, 505, -1, 
	-1, 505, 512, -1, -1, -1, 512, -1, 
	-1, -1, 512, 512, 512, 512, 512, -1, 
	-1, -1, -1, 512, 512, 512, -1, -1, 
	-1, -1, 512, 512, -1, 512, 512, 512, 
	512, -1, -1, -1, -1, -1, -1, -1, 
	512, 512, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 512, 512, 
	512, 512, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, -1, 514, 514, 514, 514, 514, 
	-1, 514, -1, 514, 514, 514, 514, -1, 
	514, -1, 514, 514, 514, -1, 514, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, -1, 514, 514, 514, 514, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, -1, 514, -1, -1, -1, -1, 
	514, 514, 514, 514, 514, 505, -1, 514, 
	514, 514, 514, 514, 514, 514, 514, 514, 
	514, 514, 514, 514, 514, 514, -1, -1, 
	-1, -1, -1, 514, -1, -1, -1, 512, 
	512, 512, 512, 512, -1, 512, 512, 512, 
	-1, -1, -1, 512, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 512, 512, 
	512, 512, 512, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	514, 514, 514, 514, -1, 512, 514, 514, 
	514, 514, 514, 514, -1, -1, -1, -1, 
	514, 514, 514, 514, 514, 514, 514, -1, 
	-1, -1, -1, 514, -1, -1, -1, -1, 
	514, 514, -1, -1, 514, 514, 514, -1, 
	514, 514, -1, -1, 514, -1, -1, -1, 
	-1, -1, -1, -1, -1, 514, 514, 514, 
	514, 514, 514, 514, -1, -1, -1, 514, 
	514, 514, -1, -1, 514, 514, 514, 514, 
	514, 514, 514, 514, -1, 514, 514, 514, 
	-1, -1, -1, 514, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 514, 514, 
	-1, -1, 514, -1, -1, -1, -1, 514, 
	-1, -1, -1, -1, 514, -1, 514, 514, 
	514, 514, 514, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 514, -1, 514, 
	-1, -1, 514, -1, 514, 514, -1, -1, 
	-1, 514, -1, 514, -1, 514, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, -1, 515, 515, 515, 515, 515, -1, 
	515, -1, 515, 515, 515, 515, -1, 515, 
	-1, 515, 515, 515, -1, 515, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, -1, 515, 515, 515, 515, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, -1, 515, -1, -1, -1, -1, 515, 
	515, 515, 515, 515, -1, -1, 515, 515, 
	515, 515, 515, 515, 515, 515, 515, 515, 
	515, 515, 515, 515, 515, -1, -1, -1, 
	-1, -1, 515, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 514, -1, 
	-1, -1, -1, -1, -1, -1, -1, 515, 
	515, 515, 515, -1, -1, 515, 515, 515, 
	515, 515, 515, -1, -1, -1, -1, 515, 
	515, 515, 515, 515, 515, 515, -1, -1, 
	-1, -1, 515, -1, -1, -1, -1, 515, 
	515, -1, -1, 515, 515, 515, -1, 515, 
	515, -1, -1, 515, -1, -1, -1, -1, 
	-1, -1, -1, -1, 515, 515, 515, 515, 
	515, 515, 515, -1, -1, -1, 515, 515, 
	515, -1, -1, 515, 515, 515, 515, 515, 
	515, 515, 515, -1, 515, 515, 515, -1, 
	-1, -1, 515, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 515, 515, -1, 
	-1, 515, -1, -1, -1, -1, 515, -1, 
	-1, -1, -1, 515, -1, 515, 515, 515, 
	515, 515, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 515, -1, 515, -1, 
	-1, 515, -1, 515, 515, -1, -1, -1, 
	515, -1, 515, -1, 515, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 512, 512, 512, 512, 512, 
	-1, 512, 512, 512, -1, -1, -1, 512, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 512, 512, 512, 512, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 512, -1, -1, -1, 515, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, -1, 516, 516, 516, 516, 516, -1, 
	516, -1, 516, 516, 516, 516, -1, 516, 
	-1, 516, 516, 516, -1, 516, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, -1, 516, 516, 516, 516, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, -1, 516, -1, -1, -1, -1, 516, 
	516, 516, 516, 516, -1, -1, 516, 516, 
	516, 516, 516, 516, 516, 516, 516, 516, 
	516, 516, 516, 516, 516, -1, -1, -1, 
	-1, -1, 516, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 516, 
	516, 516, 516, -1, -1, 516, 516, 516, 
	516, 516, 516, -1, -1, -1, -1, 516, 
	516, 516, 516, 516, 516, 516, -1, -1, 
	-1, -1, 516, -1, -1, -1, -1, 516, 
	516, -1, -1, 516, 516, 516, -1, 516, 
	516, -1, -1, 516, -1, -1, -1, -1, 
	-1, -1, -1, -1, 516, 516, 516, 516, 
	516, 516, 516, -1, -1, -1, 516, 516, 
	516, -1, -1, 516, 516, 516, 516, 516, 
	516, 516, 516, -1, 516, 516, 516, -1, 
	-1, -1, 516, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 516, 516, -1, 
	-1, 516, -1, -1, -1, -1, 516, -1, 
	-1, -1, -1, 516, -1, 516, 516, 516, 
	516, 516, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 516, -1, 516, -1, 
	-1, 516, -1, 516, 516, -1, -1, -1, 
	516, -1, 516, -1, 516, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, 517, 517, 517, 517, -1, 517, 
	-1, 517, 517, 517, 517, -1, 517, -1, 
	517, 517, 517, -1, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	-1, 517, -1, -1, -1, -1, 517, 517, 
	517, 517, 517, -1, -1, 517, 517, 517, 
	517, 517, 517, 517, 517, 517, 517, 517, 
	517, 517, 517, 517, -1, -1, -1, -1, 
	-1, 517, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 516, -1, -1, 
	-1, -1, -1, -1, -1, -1, 517, 517, 
	517, 517, -1, -1, 517, 517, 517, 517, 
	517, 517, -1, -1, -1, -1, 517, 517, 
	517, 517, 517, 517, 517, -1, -1, -1, 
	-1, 517, -1, -1, -1, -1, 517, 517, 
	-1, -1, 517, 517, 517, -1, 517, 517, 
	-1, -1, 517, -1, -1, -1, -1, -1, 
	-1, -1, -1, 517, 517, 517, 517, 517, 
	517, 517, -1, -1, -1, 517, 517, 517, 
	-1, -1, 517, 517, 517, 517, 517, 517, 
	517, 517, -1, 517, 517, 517, -1, -1, 
	-1, 517, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 517, 517, -1, -1, 
	517, -1, -1, -1, -1, 517, -1, -1, 
	-1, -1, 517, -1, 517, 517, 517, 517, 
	517, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 517, -1, 517, -1, -1, 
	517, -1, 517, 517, -1, -1, -1, 517, 
	-1, 517, -1, 517, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, -1, 
	518, 518, 518, 518, 518, -1, 518, -1, 
	518, 518, 518, 518, -1, 518, -1, 518, 
	518, 518, -1, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, -1, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, -1, 
	518, -1, -1, -1, -1, 518, 518, 518, 
	518, 518, -1, -1, 518, 518, 518, 518, 
	518, 518, 518, 518, 518, 518, 518, 518, 
	518, 518, 518, -1, -1, -1, -1, -1, 
	518, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 517, -1, -1, -1, 
	-1, -1, -1, -1, -1, 518, 518, 518, 
	518, -1, -1, 518, 518, 518, 518, 518, 
	518, -1, -1, -1, -1, 518, 518, 518, 
	518, 518, 518, 518, -1, -1, -1, -1, 
	518, -1, -1, -1, -1, 518, 518, -1, 
	-1, 518, 518, 518, -1, 518, 518, -1, 
	-1, 518, -1, -1, -1, -1, -1, -1, 
	-1, -1, 518, 518, 518, 518, 518, 518, 
	518, -1, -1, -1, 518, 518, 518, -1, 
	-1, 518, 518, 518, 518, 518, 518, 518, 
	518, -1, 518, 518, 518, -1, -1, -1, 
	518, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 518, 518, -1, -1, 518, 
	-1, -1, -1, -1, 518, -1, -1, -1, 
	-1, 518, -1, 518, 518, 518, 518, 518, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 518, -1, 518, -1, -1, 518, 
	-1, 518, 518, -1, -1, -1, 518, -1, 
	518, -1, 518, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, -1, 519, 
	519, 519, 519, 519, -1, 519, -1, 519, 
	519, 519, 519, -1, 519, -1, 519, 519, 
	519, -1, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, -1, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, -1, 519, 
	-1, -1, -1, -1, 519, 519, 519, 519, 
	519, -1, -1, 519, 519, 519, 519, 519, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	519, 519, -1, -1, -1, -1, -1, 519, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 518, -1, -1, -1, -1, 
	-1, -1, -1, -1, 519, 519, 519, 519, 
	-1, -1, 519, 519, 519, 519, 519, 519, 
	-1, -1, -1, -1, 519, 519, 519, 519, 
	519, 519, 519, -1, -1, -1, -1, 519, 
	-1, -1, -1, -1, 519, 519, -1, -1, 
	519, 519, 519, -1, 519, 519, -1, -1, 
	519, -1, -1, -1, -1, -1, -1, -1, 
	-1, 519, 519, 519, 519, 519, 519, 519, 
	-1, -1, -1, 519, 519, 519, -1, -1, 
	519, 519, 519, 519, 519, 519, 519, 519, 
	-1, 519, 519, 519, -1, -1, -1, 519, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 519, 519, -1, -1, 519, -1, 
	-1, -1, -1, 519, -1, -1, -1, -1, 
	519, -1, 519, 519, 519, 519, 519, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 519, -1, 519, -1, -1, 519, -1, 
	519, 519, -1, -1, -1, 519, -1, 519, 
	-1, 519, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, -1, 520, 520, 
	520, 520, 520, -1, 520, -1, 520, 520, 
	520, 520, -1, 520, -1, 520, 520, 520, 
	-1, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, -1, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, -1, 520, -1, 
	-1, -1, -1, 520, 520, 520, 520, 520, 
	-1, -1, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, -1, -1, -1, -1, -1, 520, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 519, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, 520, 520, 520, -1, 
	-1, 520, 520, 520, 520, 520, 520, -1, 
	-1, -1, -1, 520, 520, 520, 520, 520, 
	520, 520, -1, -1, -1, -1, 520, -1, 
	-1, -1, -1, 520, 520, -1, -1, 520, 
	520, 520, -1, 520, 520, -1, -1, 520, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	520, 520, 520, 520, 520, 520, 520, -1, 
	-1, -1, 520, 520, 520, -1, -1, 520, 
	520, 520, 520, 520, 520, 520, 520, -1, 
	520, 520, 520, -1, -1, -1, 520, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 520, 520, -1, -1, 520, -1, 520, 
	520, -1, 520, -1, -1, -1, -1, 520, 
	-1, 520, 520, 520, 520, 520, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	520, -1, 520, -1, -1, 520, -1, 520, 
	520, -1, -1, -1, 520, -1, 520, -1, 
	520, 524, 524, 524, 524, 524, 524, -1, 
	524, 524, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 524, 524, 524, 524, 524, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 524, -1, -1, -1, 524, -1, 
	-1, -1, 524, 524, 524, 524, 524, -1, 
	-1, -1, -1, 524, 524, 524, -1, -1, 
	-1, -1, 524, 524, 524, 524, 524, 524, 
	524, 524, -1, -1, -1, -1, -1, -1, 
	524, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 524, 524, 
	524, 524, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, -1, 527, 
	527, 527, 527, 527, -1, 527, -1, 527, 
	527, 527, 527, -1, 527, -1, 527, 527, 
	527, 520, 527, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, -1, 527, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, -1, 527, 
	-1, -1, -1, -1, 527, 527, 527, 527, 
	527, -1, -1, 527, 527, 527, 527, 527, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	527, 527, -1, -1, -1, -1, -1, 527, 
	-1, -1, -1, -1, -1, -1, -1, 524, 
	524, 524, 524, 524, -1, 524, 524, 524, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 524, 524, 
	-1, -1, 524, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 524, 524, 
	524, 524, 524, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 527, 527, 527, 527, 
	-1, -1, 527, 527, 527, 527, 527, 527, 
	-1, 524, -1, -1, 527, 527, 527, 527, 
	527, 527, 527, -1, -1, -1, -1, 527, 
	-1, -1, -1, -1, 527, 527, -1, -1, 
	527, 527, 527, -1, 527, 527, -1, -1, 
	527, -1, -1, -1, -1, -1, -1, -1, 
	-1, 527, 527, 527, 527, 527, 527, 527, 
	-1, -1, -1, 527, 527, 527, 527, -1, 
	527, 527, 527, 527, 527, 527, 527, 527, 
	-1, 527, 527, 527, -1, -1, -1, 527, 
	-1, -1, -1, -1, -1, -1, -1, 527, 
	-1, -1, 527, 527, -1, -1, 527, -1, 
	-1, -1, -1, 527, -1, -1, -1, -1, 
	527, -1, 527, 527, 527, 527, 527, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 527, -1, 527, -1, -1, 527, -1, 
	527, 527, -1, -1, -1, 527, -1, 527, 
	-1, 527, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, -1, 528, 528, 
	528, 528, 528, -1, 528, -1, 528, 528, 
	528, 528, -1, 528, -1, 528, 528, 528, 
	-1, 528, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, -1, 528, 528, 
	528, 528, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, -1, 528, -1, 
	-1, -1, -1, 528, 528, 528, 528, 528, 
	-1, -1, 528, 528, 528, 528, 528, 528, 
	528, 528, 528, 528, 528, 528, 528, 528, 
	528, -1, -1, -1, -1, -1, 528, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, 520, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 527, -1, -1, -1, -1, -1, 
	-1, -1, -1, 528, 528, 528, 528, -1, 
	-1, 528, 528, 528, 528, 528, 528, -1, 
	-1, -1, -1, 528, 528, 528, 528, 528, 
	528, 528, -1, -1, -1, -1, 528, -1, 
	-1, -1, -1, 528, 528, -1, -1, 528, 
	528, 528, -1, 528, 528, -1, -1, 528, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	528, 528, 528, 528, 528, 528, 528, -1, 
	-1, -1, 528, 528, 528, 528, -1, 528, 
	528, 528, 528, 528, 528, 528, 528, -1, 
	528, 528, 528, -1, -1, -1, 528, -1, 
	-1, -1, -1, -1, -1, -1, 528, -1, 
	-1, 528, 528, -1, -1, 528, -1, -1, 
	-1, -1, 528, -1, -1, -1, -1, 528, 
	-1, 528, 528, 528, 528, 528, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	528, -1, 528, -1, -1, 528, -1, 528, 
	528, -1, -1, -1, 528, -1, 528, -1, 
	528, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, -1, 529, 529, 529, 
	529, 529, -1, 529, -1, 529, 529, 529, 
	529, -1, 529, -1, 529, 529, 529, -1, 
	529, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, -1, 529, 529, 529, 
	529, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, -1, 529, -1, -1, 
	-1, -1, 529, 529, 529, 529, 529, -1, 
	-1, 529, 529, 529, 529, 529, 529, 529, 
	529, 529, 529, 529, 529, 529, 529, 529, 
	-1, -1, -1, -1, -1, 529, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 524, 524, -1, -1, 524, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 528, -1, -1, -1, 524, -1, -1, 
	-1, -1, 529, 529, 529, 529, -1, -1, 
	529, 529, 529, 529, 529, 529, -1, -1, 
	-1, -1, 529, 529, 529, 529, 529, 529, 
	529, -1, -1, -1, -1, 529, -1, -1, 
	-1, -1, 529, 529, -1, -1, 529, 529, 
	529, -1, 529, 529, -1, -1, 529, -1, 
	-1, -1, -1, -1, -1, -1, -1, 529, 
	529, 529, 529, 529, 529, 529, -1, -1, 
	-1, 529, 529, 529, 529, -1, 529, 529, 
	529, 529, 529, 529, 529, 529, -1, 529, 
	529, 529, -1, -1, -1, 529, -1, -1, 
	-1, -1, -1, -1, -1, 529, -1, -1, 
	529, 529, -1, -1, 529, -1, -1, -1, 
	-1, 529, -1, -1, -1, -1, 529, -1, 
	529, 529, 529, 529, 529, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 529, 
	-1, 529, -1, -1, 529, -1, 529, 529, 
	-1, -1, -1, 529, -1, 529, -1, 529, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, -1, 537, 537, 537, 537, 
	537, -1, 537, -1, 537, 537, 537, 537, 
	-1, 537, -1, 537, 537, 537, -1, 537, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, -1, 537, 537, 537, 537, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, -1, 537, -1, -1, -1, 
	-1, 537, 537, 537, 537, 537, -1, -1, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, 537, 537, 537, 537, -1, 
	-1, -1, -1, -1, 537, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	529, -1, -1, -1, -1, -1, -1, -1, 
	-1, 537, 537, 537, 537, -1, -1, 537, 
	537, 537, 537, 537, 537, -1, -1, -1, 
	-1, 537, 537, 537, 537, 537, 537, 537, 
	-1, -1, -1, -1, 537, -1, -1, -1, 
	-1, 537, 537, -1, -1, 537, 537, 537, 
	-1, 537, 537, -1, -1, 537, -1, -1, 
	-1, -1, -1, -1, -1, -1, 537, 537, 
	537, 537, 537, 537, 537, -1, -1, -1, 
	537, 537, 537, 537, -1, 537, 537, 537, 
	537, 537, 537, 537, 537, -1, 537, 537, 
	537, -1, -1, -1, 537, -1, -1, -1, 
	-1, -1, -1, -1, 537, -1, -1, 537, 
	537, -1, -1, 537, -1, -1, -1, -1, 
	537, -1, -1, -1, -1, 537, -1, 537, 
	537, 537, 537, 537, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 537, -1, 
	537, -1, -1, 537, -1, 537, 537, -1, 
	-1, -1, 537, -1, 537, -1, 537, 552, 
	552, 552, 552, 552, 552, -1, 552, 552, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 552, 552, 552, 552, 552, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	552, -1, -1, -1, 552, -1, -1, -1, 
	552, 552, 552, 552, 552, -1, -1, -1, 
	-1, 552, 552, 552, -1, -1, -1, -1, 
	552, 552, -1, 552, 552, 552, 552, -1, 
	-1, -1, -1, -1, -1, -1, 552, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, 552, 552, 552, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 553, 553, 553, 553, 553, 553, 553, 
	553, 553, 553, 553, 553, 553, 553, 553, 
	553, 553, 553, 553, 553, 553, 553, 553, 
	553, 553, 553, 553, -1, 553, 553, 553, 
	553, 553, -1, 553, -1, 553, 553, 553, 
	553, -1, 553, -1, 553, 553, 553, 537, 
	553, 553, 553, 553, 553, 553, 553, 553, 
	553, 553, 553, 553, -1, 553, 553, 553, 
	553, 553, 553, 553, 553, 553, -1, 553, 
	553, 553, 553, -1, -1, -1, -1, -1, 
	-1, -1, 553, -1, -1, 553, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	553, 553, 553, 553, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, -1, -1, -1, 
	-1, -1, -1, -1, -1, 552, 552, 552, 
	552, 552, -1, 552, 552, 552, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, 552, 552, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, 552, 552, 552, 
	552, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 553, 553, 553, 553, -1, -1, 
	553, 553, -1, 553, 553, 553, -1, -1, 
	-1, -1, 553, 553, 553, -1, 553, 553, 
	553, -1, -1, -1, -1, 553, -1, -1, 
	-1, -1, 553, -1, -1, -1, 553, 553, 
	553, -1, 553, 553, -1, -1, 553, -1, 
	-1, -1, -1, -1, -1, -1, -1, 553, 
	553, 553, 553, 553, 553, 553, -1, -1, 
	-1, -1, 553, 553, -1, -1, 553, 553, 
	553, 553, 553, 553, 553, 553, -1, 553, 
	553, 553, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	553, 553, 553, 553, 553, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 553, 
	-1, -1, -1, -1, -1, -1, 553, 554, 
	554, 554, 554, 554, 554, 554, 554, 554, 
	554, -1, 554, 554, -1, -1, 554, 554, 
	554, 554, -1, -1, -1, 554, 554, 554, 
	554, 554, -1, -1, -1, -1, 554, 554, 
	554, -1, -1, -1, 554, -1, -1, -1, 
	554, 554, -1, -1, 554, 554, 554, 554, 
	554, -1, -1, -1, -1, 554, 554, 554, 
	-1, -1, -1, -1, 554, 554, -1, 554, 
	554, 554, 554, -1, -1, -1, -1, -1, 
	-1, -1, 554, -1, 554, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	554, 554, 554, 554, -1, -1, 554, 554, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 555, 555, 555, 
	555, 555, 555, 555, 555, 555, 555, 555, 
	555, 555, 555, 555, 555, 555, 555, 555, 
	555, 555, 555, 555, 555, 555, 555, 555, 
	-1, 555, 555, 555, 555, 555, -1, 555, 
	-1, 555, 555, 555, 555, -1, 555, -1, 
	555, 555, 555, -1, 555, 555, 555, 555, 
	555, 555, 555, 555, 555, 555, 555, 555, 
	553, 555, 555, 555, 555, 555, 555, 555, 
	555, 555, -1, 555, 555, 555, 555, -1, 
	-1, -1, -1, -1, -1, -1, 555, -1, 
	-1, 555, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 555, 555, 555, 555, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 554, -1, -1, -1, -1, -1, 
	-1, 554, -1, -1, -1, -1, 554, 554, 
	554, 554, 554, 554, 554, 554, -1, 554, 
	554, 554, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	554, 554, 554, 554, 554, -1, 555, 555, 
	555, 555, -1, -1, 555, 555, -1, 555, 
	555, 555, -1, -1, -1, -1, 555, 555, 
	555, -1, 555, 555, 555, -1, -1, -1, 
	-1, 555, -1, -1, -1, -1, 555, -1, 
	-1, -1, 555, 555, 555, -1, 555, 555, 
	-1, -1, 555, -1, -1, -1, -1, -1, 
	-1, -1, -1, 555, 555, 555, 555, 555, 
	555, 555, -1, -1, -1, -1, 555, 555, 
	-1, -1, 555, 555, 555, 555, 555, 555, 
	555, 555, -1, 555, 555, 555, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 555, 555, 555, 555, 
	555, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 555, -1, -1, -1, -1, 
	552, -1, 555, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	552, 552, 552, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, -1, 556, 
	556, 556, 556, 556, -1, 556, -1, 556, 
	556, 556, 556, -1, 556, -1, 556, 556, 
	556, -1, 556, 556, 556, 556, 556, 556, 
	556, 556, 556, 556, 556, 556, -1, 556, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	-1, 556, 556, 556, 556, -1, -1, -1, 
	-1, -1, -1, -1, 556, -1, -1, 556, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 556, 556, 556, 556, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 555, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 556, 556, 556, 556, 
	-1, -1, 556, 556, -1, 556, 556, 556, 
	-1, -1, -1, -1, 556, 556, 556, -1, 
	556, 556, 556, -1, -1, -1, -1, 556, 
	-1, -1, -1, -1, 556, -1, -1, -1, 
	556, 556, 556, -1, 556, 556, -1, -1, 
	556, -1, -1, -1, -1, -1, -1, -1, 
	-1, 556, 556, 556, 556, 556, 556, 556, 
	-1, -1, -1, -1, 556, 556, -1, -1, 
	556, 556, 556, 556, 556, 556, 556, 556, 
	-1, 556, 556, 556, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 556, 556, 556, 556, 556, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 556, -1, -1, -1, -1, -1, -1, 
	556, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 554, -1, 
	-1, -1, -1, -1, -1, 554, -1, -1, 
	-1, -1, 554, 554, 554, 554, 554, 554, 
	554, 554, -1, 554, 554, 554, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 554, 554, 554, 554, 
	-1, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, -1, 565, 565, 565, 
	565, 565, 556, 565, -1, 565, 565, 565, 
	565, -1, 565, -1, 565, 565, 565, -1, 
	565, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, -1, 565, 565, 565, 
	565, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, -1, 565, -1, -1, 
	-1, -1, 565, 565, 565, 565, 565, -1, 
	-1, 565, 565, 565, 565, 565, 565, 565, 
	565, 565, 565, 565, 565, 565, 565, 565, 
	-1, -1, -1, -1, -1, 565, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 565, 565, 565, 565, -1, -1, 
	565, 565, 565, 565, 565, 565, -1, -1, 
	-1, -1, 565, 565, 565, 565, 565, 565, 
	565, -1, -1, -1, -1, 565, -1, -1, 
	-1, -1, 565, 565, -1, -1, 565, 565, 
	565, -1, 565, 565, -1, -1, 565, -1, 
	-1, -1, -1, -1, -1, -1, -1, 565, 
	565, 565, 565, 565, 565, 565, -1, -1, 
	-1, 565, 565, 565, -1, -1, 565, 565, 
	565, 565, 565, 565, 565, 565, -1, 565, 
	565, 565, -1, -1, -1, 565, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	565, 565, -1, -1, 565, -1, -1, -1, 
	-1, 565, -1, -1, -1, -1, 565, -1, 
	565, 565, 565, 565, 565, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 565, 
	-1, 565, -1, -1, 565, -1, 565, 565, 
	-1, -1, -1, 565, -1, 565, -1, 565, 
	566, 566, 566, 566, 566, 566, 566, 566, 
	566, 566, 566, 566, 566, 566, 566, 566, 
	566, 566, 566, 566, 566, 566, 566, 566, 
	566, 566, 566, -1, 566, 566, 566, 566, 
	566, -1, 566, -1, 566, 566, 566, 566, 
	-1, 566, -1, 566, 566, 566, -1, 566, 
	566, 566, 566, 566, 566, 566, 566, 566, 
	566, 566, 566, -1, 566, 566, 566, 566, 
	566, 566, 566, 566, 566, -1, 566, 566, 
	566, 566, -1, -1, -1, -1, -1, -1, 
	-1, 566, -1, -1, 566, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 566, 
	566, 566, 566, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	565, -1, -1, -1, -1, -1, -1, -1, 
	-1, 566, 566, 566, 566, -1, -1, 566, 
	566, -1, 566, 566, 566, -1, -1, -1, 
	-1, 566, 566, 566, -1, 566, 566, 566, 
	-1, -1, -1, -1, 566, -1, -1, -1, 
	-1, 566, -1, -1, -1, 566, 566, 566, 
	-1, 566, 566, -1, -1, 566, -1, -1, 
	-1, -1, -1, -1, -1, -1, 566, 566, 
	566, 566, 566, 566, 566, -1, -1, -1, 
	-1, 566, 566, -1, -1, 566, 566, 566, 
	566, 566, 566, 566, 566, -1, 566, 566, 
	566, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 566, 
	566, 566, 566, 566, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 566, -1, 
	-1, -1, -1, -1, -1, 566, -1, 567, 
	567, 567, 567, 567, 567, 567, 567, 567, 
	567, 567, 567, 567, 567, 567, 567, 567, 
	567, 567, 567, 567, 567, 567, 567, 567, 
	567, 567, -1, 567, 567, 567, 567, 567, 
	-1, 567, -1, 567, 567, 567, 567, -1, 
	567, -1, 567, 567, 567, -1, 567, 567, 
	567, 567, 567, 567, 567, 567, 567, 567, 
	567, 567, -1, 567, 567, 567, 567, 567, 
	567, 567, 567, 567, -1, 567, 567, 567, 
	567, -1, -1, -1, -1, -1, -1, -1, 
	567, -1, -1, 567, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 567, 567, 
	567, 567, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 566, 
	567, 567, 567, 567, -1, -1, 567, 567, 
	-1, 567, 567, 567, -1, -1, -1, -1, 
	567, 567, 567, -1, 567, 567, 567, -1, 
	-1, -1, -1, 567, -1, -1, -1, -1, 
	567, -1, -1, -1, 567, 567, 567, -1, 
	567, 567, -1, -1, 567, -1, -1, -1, 
	-1, -1, -1, -1, -1, 567, 567, 567, 
	567, 567, 567, 567, -1, -1, -1, -1, 
	567, 567, -1, -1, 567, 567, 567, 567, 
	567, 567, 567, 567, -1, 567, 567, 567, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 567, 567, 
	567, 567, 567, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 567, -1, -1, 
	-1, -1, -1, -1, 567, -1, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, -1, 568, 
	568, 568, 568, 568, 568, 568, 568, -1, 
	-1, -1, 568, 568, 568, 568, 568, -1, 
	568, -1, 568, 568, 568, 568, -1, 568, 
	-1, 568, 568, 568, -1, 568, 568, -1, 
	-1, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	568, 568, 568, 568, 568, 568, 568, 568, 
	-1, -1, -1, -1, -1, -1, -1, 568, 
	-1, 568, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 568, 568, 568, 
	568, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 567, 568, 
	568, 568, 568, -1, -1, 568, 568, 568, 
	568, 568, 568, -1, -1, -1, -1, 568, 
	568, 568, 568, 568, 568, 568, -1, 568, 
	568, -1, 568, -1, -1, -1, -1, 568, 
	568, -1, -1, 568, 568, 568, -1, 568, 
	568, 568, -1, 568, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 568, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 568, 568, 568, 568, 568, 
	568, 568, 568, -1, 568, 568, 568, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 569, 569, 569, 569, 569, 569, -1, 
	569, 569, -1, -1, -1, 568, 568, 568, 
	568, 568, -1, 569, 569, 569, 569, 569, 
	-1, -1, -1, -1, 568, -1, 568, -1, 
	-1, 568, 569, -1, -1, -1, 569, -1, 
	-1, -1, 569, 569, 569, 569, 569, -1, 
	-1, -1, -1, 569, 569, 569, -1, -1, 
	-1, -1, 569, 569, -1, 569, 569, 569, 
	569, 569, -1, -1, -1, -1, -1, -1, 
	569, 570, 570, 570, 570, 570, 570, -1, 
	570, 570, -1, -1, -1, -1, 569, 569, 
	569, 569, -1, 570, 570, 570, 570, 570, 
	-1, -1, -1, 569, -1, -1, -1, -1, 
	-1, -1, 570, -1, -1, -1, 570, -1, 
	-1, -1, 570, 570, 570, 570, 570, -1, 
	-1, -1, -1, 570, 570, 570, -1, -1, 
	-1, -1, 570, 570, -1, 570, 570, 570, 
	570, 570, -1, -1, -1, -1, -1, -1, 
	570, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 570, 570, 
	570, 570, -1, -1, -1, 571, 571, 571, 
	571, 571, 571, 570, 571, 571, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 571, 
	571, 571, 571, 571, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 571, -1, 
	-1, -1, 571, -1, -1, 568, 571, 571, 
	571, 571, 571, -1, -1, -1, -1, 571, 
	571, 571, -1, -1, -1, -1, 571, 571, 
	-1, 571, 571, 571, 571, 571, -1, 569, 
	569, 569, 569, 569, 571, 569, 569, 569, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 571, 571, 571, 571, 569, 569, 
	-1, -1, -1, -1, -1, -1, -1, 571, 
	-1, -1, -1, -1, 569, -1, 569, 569, 
	569, 569, 569, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 569, -1, 570, 
	570, 570, 570, 570, -1, 570, 570, 570, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 570, 570, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 570, -1, 570, 570, 
	570, 570, 570, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 570, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 571, 571, 571, 571, 571, 
	-1, 571, 571, 571, -1, -1, 595, 595, 
	595, 595, 595, 595, -1, 595, 595, -1, 
	-1, -1, 571, 571, -1, -1, -1, -1, 
	595, 595, 595, 595, 595, -1, -1, -1, 
	571, -1, 571, 571, 571, 571, 571, 595, 
	-1, -1, -1, 595, -1, -1, -1, 595, 
	595, 595, 595, 595, -1, -1, -1, -1, 
	595, 595, 595, -1, -1, -1, -1, 595, 
	595, 571, 595, 595, 595, 595, 595, -1, 
	-1, -1, -1, -1, -1, 595, 596, 596, 
	596, 596, 596, 596, -1, 596, 596, -1, 
	-1, -1, -1, 595, 595, 595, 595, -1, 
	596, 596, 596, 596, 596, -1, -1, -1, 
	595, -1, -1, -1, -1, -1, -1, 596, 
	-1, -1, -1, 596, -1, -1, -1, 596, 
	596, 596, 596, 596, -1, -1, -1, -1, 
	596, 596, 596, -1, -1, -1, -1, 596, 
	596, -1, 596, 596, 596, 596, 596, -1, 
	-1, -1, -1, -1, -1, 596, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 596, 596, 596, 596, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	596, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 595, 595, 595, 595, 
	595, -1, 595, 595, 595, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 595, 595, -1, -1, -1, 
	-1, -1, -1, -1, 595, -1, -1, -1, 
	-1, -1, -1, 595, 595, 595, 595, 595, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	595, -1, -1, -1, 596, 596, 596, 596, 
	596, -1, 596, 596, 596, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 596, 596, -1, -1, -1, 
	-1, -1, -1, -1, 596, -1, -1, -1, 
	-1, -1, -1, 596, 596, 596, 596, 596, 
	597, 597, 597, 597, 597, 597, -1, 597, 
	597, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 597, 597, 597, 597, 597, -1, 
	596, -1, -1, -1, -1, -1, -1, -1, 
	-1, 597, -1, -1, -1, 597, -1, -1, 
	-1, 597, 597, 597, 597, 597, -1, -1, 
	-1, -1, 597, 597, 597, -1, -1, -1, 
	-1, 597, 597, -1, 597, 597, 597, 597, 
	597, -1, -1, -1, -1, -1, -1, 597, 
	603, 603, 603, 603, 603, 603, -1, 603, 
	603, -1, -1, -1, -1, 597, 597, 597, 
	597, -1, 603, 603, 603, 603, 603, -1, 
	-1, -1, 597, -1, -1, -1, -1, -1, 
	-1, 603, -1, -1, -1, 603, -1, -1, 
	-1, 603, 603, 603, 603, 603, -1, -1, 
	-1, -1, 603, 603, 603, -1, -1, -1, 
	-1, 603, 603, 603, 603, 603, 603, 603, 
	-1, -1, -1, -1, -1, -1, -1, 603, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 603, 603, 603, 
	603, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 603, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 597, 597, 
	597, 597, 597, -1, 597, 597, 597, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 597, 597, -1, 
	-1, -1, -1, -1, -1, -1, 597, -1, 
	-1, -1, -1, -1, -1, 597, 597, 597, 
	597, 597, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 597, -1, -1, -1, 603, 603, 
	603, 603, 603, -1, 603, 603, 603, -1, 
	-1, 607, 607, 607, 607, 607, 607, -1, 
	607, 607, -1, -1, -1, 603, 603, -1, 
	-1, 603, -1, 607, 607, 607, 607, 607, 
	-1, -1, -1, -1, -1, 603, 603, 603, 
	603, 603, 607, -1, -1, -1, 607, -1, 
	-1, -1, 607, 607, 607, 607, 607, -1, 
	-1, -1, -1, 607, 607, 607, -1, -1, 
	603, -1, 607, 607, 607, 607, 607, 607, 
	607, 607, -1, -1, -1, -1, -1, -1, 
	607, 609, 609, 609, 609, 609, 609, -1, 
	609, 609, -1, -1, -1, -1, 607, 607, 
	607, 607, -1, 609, 609, 609, 609, 609, 
	-1, -1, -1, 607, -1, -1, -1, -1, 
	-1, -1, 609, -1, -1, -1, 609, -1, 
	-1, -1, 609, 609, 609, 609, 609, -1, 
	-1, -1, -1, 609, 609, 609, -1, -1, 
	-1, -1, 609, 609, -1, 609, 609, 609, 
	609, -1, -1, -1, -1, -1, -1, -1, 
	609, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 609, 609, 
	609, 609, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 607, 
	607, 607, 607, 607, -1, 607, 607, 607, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 607, 607, 
	-1, -1, 607, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 607, 607, 
	607, 607, 607, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 607, -1, -1, -1, -1, -1, 609, 
	609, 609, 609, 609, -1, 609, 609, 609, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 609, 609, 
	609, 609, 609, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, -1, 610, 
	610, 610, 610, 610, -1, 610, -1, 610, 
	610, 610, 610, -1, 610, -1, 610, 610, 
	610, -1, 610, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, -1, 610, 
	610, 610, 610, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, -1, 610, 
	-1, -1, -1, -1, 610, 610, 610, 610, 
	610, -1, -1, 610, 610, 610, 610, 610, 
	610, 610, 610, 610, 610, 610, 610, 610, 
	610, 610, -1, -1, -1, -1, -1, 610, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 610, 610, 610, 610, 
	-1, -1, 610, 610, 610, 610, 610, 610, 
	-1, -1, -1, -1, 610, 610, 610, 610, 
	610, 610, 610, -1, -1, -1, -1, 610, 
	-1, -1, -1, -1, 610, 610, -1, -1, 
	610, 610, 610, -1, 610, 610, -1, -1, 
	610, -1, -1, -1, -1, -1, -1, -1, 
	-1, 610, 610, 610, 610, 610, 610, 610, 
	-1, -1, -1, 610, 610, 610, -1, -1, 
	610, 610, 610, 610, 610, 610, 610, 610, 
	-1, 610, 610, 610, -1, -1, -1, 610, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 610, 610, -1, -1, 610, -1, 
	-1, 603, 603, 610, -1, 603, -1, -1, 
	610, -1, 610, 610, 610, 610, 610, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 610, -1, 610, -1, -1, 610, -1, 
	610, 610, -1, -1, -1, 610, -1, 610, 
	-1, 610, -1, -1, 603, -1, 621, 621, 
	621, 621, 621, 621, 621, 621, 621, 621, 
	-1, 621, 621, -1, -1, 621, 621, 621, 
	621, -1, -1, -1, 621, 621, 621, 621, 
	621, -1, -1, -1, -1, 621, 621, 621, 
	-1, -1, -1, 621, -1, -1, -1, 621, 
	621, -1, -1, 621, 621, 621, 621, 621, 
	-1, -1, -1, -1, 621, 621, 621, -1, 
	-1, -1, -1, 621, 621, -1, 621, 621, 
	621, 621, -1, -1, -1, -1, -1, -1, 
	-1, 621, -1, 621, 624, 624, 624, 624, 
	624, 624, -1, 624, 624, -1, -1, 621, 
	621, 621, 621, -1, -1, -1, 624, 624, 
	624, 624, 624, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 624, -1, -1, 
	-1, 624, -1, -1, -1, 624, 624, 624, 
	624, 624, -1, -1, -1, -1, 624, 624, 
	624, -1, -1, -1, -1, 624, 624, -1, 
	624, 624, 624, 624, -1, -1, -1, -1, 
	-1, -1, -1, 624, -1, -1, -1, -1, 
	-1, -1, 610, -1, -1, -1, -1, -1, 
	-1, 624, 624, 624, 624, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 607, 607, -1, -1, 607, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 621, -1, -1, -1, -1, -1, -1, 
	621, -1, -1, -1, -1, 621, 621, 621, 
	621, 621, 621, 621, 621, 607, 621, 621, 
	621, -1, -1, 609, 609, 609, 609, 609, 
	-1, 609, 609, 609, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 621, 
	621, 621, 621, 621, -1, -1, -1, -1, 
	-1, -1, 609, 609, 609, 609, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 624, 624, 624, 624, 624, -1, 
	624, 624, 624, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 624, 624, 624, 624, 624, -1, 625, 
	625, 625, 625, 625, 625, 625, 625, 625, 
	625, 625, 625, 625, 625, 625, 625, 625, 
	625, 625, 625, 625, 625, 625, 625, 625, 
	625, 625, -1, 625, 625, 625, 625, 625, 
	-1, 625, -1, 625, 625, 625, 625, -1, 
	625, -1, 625, 625, 625, -1, 625, 625, 
	625, 625, 625, 625, 625, 625, 625, 625, 
	625, 625, -1, 625, 625, 625, 625, 625, 
	625, 625, 625, 625, -1, 625, 625, 625, 
	625, -1, -1, -1, -1, -1, -1, -1, 
	625, -1, -1, 625, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 625, 625, 
	625, 625, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	625, 625, 625, 625, -1, -1, 625, 625, 
	-1, 625, 625, 625, -1, -1, -1, -1, 
	625, 625, 625, -1, 625, 625, 625, -1, 
	-1, -1, -1, 625, -1, -1, -1, -1, 
	625, -1, -1, -1, 625, 625, 625, -1, 
	625, 625, -1, -1, 625, -1, -1, -1, 
	-1, -1, -1, -1, -1, 625, 625, 625, 
	625, 625, 625, 625, -1, -1, -1, -1, 
	625, 625, -1, -1, 625, 625, 625, 625, 
	625, 625, 625, 625, -1, 625, 625, 625, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 625, 625, 
	625, 625, 625, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 625, -1, -1, 
	-1, -1, -1, -1, 625, 634, 634, 634, 
	634, 634, 634, 634, 634, 634, 634, 634, 
	634, 634, -1, -1, 634, 634, 634, 634, 
	-1, -1, -1, 634, 634, 634, 634, 634, 
	-1, -1, -1, -1, 634, 634, 634, -1, 
	-1, -1, 634, -1, -1, -1, 634, 634, 
	-1, -1, 634, 634, 634, 634, 634, -1, 
	-1, -1, -1, 634, 634, 634, -1, -1, 
	-1, -1, 634, 634, -1, 634, 634, 634, 
	634, -1, -1, -1, -1, -1, -1, -1, 
	634, -1, -1, 634, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 634, 634, 
	634, 634, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 621, 625, -1, 
	-1, -1, -1, -1, 621, -1, -1, -1, 
	-1, 621, 621, 621, 621, 621, 621, 621, 
	621, -1, 621, 621, 621, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	634, -1, -1, 621, 621, 621, 621, -1, 
	634, 634, 634, -1, 634, 634, 634, 634, 
	634, 634, 634, 634, -1, 634, 634, 634, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 624, 624, 
	624, 624, 624, -1, 624, 624, 624, -1, 
	-1, -1, -1, -1, -1, -1, 634, 634, 
	634, 634, 634, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 634, 624, 624, 624, 
	624, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, -1, 626, -1, 626, 626, 626, 
	626, 626, 626, -1, 626, 626, 626, -1, 
	626, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, -1, 626, 
	626, 626, 626, -1, -1, -1, 626, -1, 
	-1, -1, 626, 626, -1, 626, -1, -1, 
	626, -1, -1, 626, -1, 626, -1, -1, 
	626, 626, 626, 626, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 626, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	626, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 626, 626, 626, 626, -1, -1, 
	626, 626, 626, 626, 626, 626, -1, -1, 
	-1, -1, 626, 626, 626, 626, 626, 626, 
	626, -1, -1, 626, -1, 626, -1, -1, 
	-1, -1, 626, 626, -1, 626, 626, 626, 
	626, -1, 626, 626, -1, -1, 626, -1, 
	-1, -1, -1, -1, 626, -1, 626, 626, 
	626, 626, 626, 626, 626, 626, -1, -1, 
	-1, -1, 626, 626, -1, 626, 626, 626, 
	626, 626, 626, 626, 626, 626, -1, 626, 
	626, 626, -1, -1, 626, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 626, 626, 
	626, -1, -1, 626, 626, 626, -1, -1, 
	626, 626, 626, 626, 626, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 626, 
	-1, 626, -1, -1, 626, 626, 626, -1, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, -1, 627, -1, 627, 627, 627, 627, 
	627, 627, -1, 627, 627, 627, -1, 627, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, -1, 627, 627, 
	627, 627, -1, -1, -1, 627, -1, -1, 
	-1, 627, 627, -1, 627, -1, -1, 627, 
	-1, -1, 627, -1, 627, -1, -1, 627, 
	627, 627, 627, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 627, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	626, 627, 627, 627, 627, -1, -1, 627, 
	627, 627, 627, 627, 627, -1, -1, -1, 
	-1, 627, 627, 627, 627, 627, 627, 627, 
	-1, -1, 627, -1, 627, -1, -1, -1, 
	-1, 627, 627, -1, 627, 627, 627, 627, 
	-1, 627, 627, -1, -1, 627, -1, -1, 
	-1, -1, -1, 627, -1, 627, 627, 627, 
	627, 627, 627, 627, 627, -1, -1, -1, 
	-1, 627, 627, -1, 627, 627, 627, 627, 
	627, 627, 627, 627, 627, -1, 627, 627, 
	627, -1, -1, 627, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 627, 627, 627, 
	-1, -1, 627, 627, 627, -1, -1, 627, 
	627, 627, 627, 627, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 627, -1, 
	627, -1, -1, 627, 627, 627, 631, 631, 
	631, 631, 631, 631, 631, 631, 631, 631, 
	631, 631, 631, -1, -1, 631, 631, 631, 
	631, -1, -1, -1, 631, 631, 631, 631, 
	631, -1, -1, -1, -1, 631, 631, 631, 
	-1, -1, -1, 631, -1, -1, -1, 631, 
	631, -1, -1, 631, 631, 631, 631, 631, 
	-1, -1, -1, -1, 631, 631, 631, -1, 
	-1, -1, -1, 631, 631, -1, 631, 631, 
	631, 631, -1, -1, -1, -1, -1, -1, 
	-1, 631, -1, -1, 631, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 631, 
	631, 631, 631, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 631, -1, -1, -1, -1, -1, -1, 
	-1, 631, 631, 631, -1, 631, 631, 631, 
	631, 631, 631, 631, 631, -1, 631, 631, 
	631, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 631, 
	631, 631, 631, 631, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 631, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, -1, 633, 633, 633, 633, 633, -1, 
	633, -1, 633, 633, 633, 633, -1, 633, 
	-1, 633, 633, 633, -1, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, -1, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, -1, 633, -1, -1, -1, -1, 633, 
	633, 633, 633, 633, -1, -1, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, -1, -1, -1, 
	-1, -1, 633, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 633, 
	633, 633, 633, -1, -1, 633, 633, 633, 
	633, 633, 633, -1, -1, -1, -1, 633, 
	633, 633, 633, 633, 633, 633, -1, -1, 
	-1, -1, 633, -1, -1, -1, -1, 633, 
	633, -1, -1, 633, 633, 633, -1, 633, 
	633, -1, -1, 633, -1, -1, -1, -1, 
	-1, -1, -1, -1, 633, 633, 633, 633, 
	633, 633, 633, -1, -1, -1, 633, 633, 
	633, -1, -1, 633, 633, 633, 633, 633, 
	633, 633, 633, -1, 633, 633, 633, -1, 
	-1, -1, 633, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 633, 633, -1, 
	-1, 633, -1, -1, -1, -1, 633, -1, 
	-1, -1, -1, 633, -1, 633, 633, 633, 
	633, 633, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 633, -1, 633, -1, 
	-1, 633, -1, 633, 633, -1, -1, -1, 
	633, -1, 633, -1, 633, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 637, 637, 
	637, 637, 637, 637, 637, 637, 637, 637, 
	637, 637, 637, 637, 637, 637, -1, 637, 
	637, 637, 637, 637, 637, 637, 637, -1, 
	-1, -1, 637, 637, 637, 637, 637, -1, 
	637, -1, 637, 637, 637, 637, -1, 637, 
	637, 637, 637, 637, -1, 637, 637, -1, 
	-1, 637, 637, 637, 637, 637, 637, 637, 
	637, -1, 637, 637, 637, 637, 637, 637, 
	637, 637, 637, -1, 637, 637, 637, 637, 
	-1, 637, -1, 637, -1, -1, -1, 637, 
	-1, 637, -1, -1, -1, 633, -1, -1, 
	-1, -1, -1, -1, -1, 637, 637, 637, 
	637, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 631, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 631, 
	-1, 631, 631, 631, 631, 631, 631, 631, 
	631, -1, 631, 631, 631, -1, -1, 637, 
	637, 637, 637, -1, -1, 637, 637, 637, 
	637, 637, 637, -1, -1, -1, -1, 637, 
	637, 637, 637, 637, 637, 637, -1, -1, 
	-1, -1, 637, 631, 631, 631, 631, 637, 
	637, -1, -1, 637, 637, 637, -1, 637, 
	637, -1, -1, 637, -1, -1, -1, 637, 
	637, 631, 637, -1, -1, -1, -1, 637, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 637, 637, 637, 637, 637, 
	637, 637, 637, -1, 637, 637, 637, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 637, 637, 637, 
	637, 637, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 637, -1, 637, -1, 
	-1, 637, -1, -1, -1, 640, 640, 640, 
	640, 640, 640, 640, 640, 640, 640, 640, 
	640, 640, 640, 640, 640, -1, 640, 640, 
	640, 640, 640, 640, 640, 640, -1, -1, 
	-1, 640, 640, 640, 640, 640, -1, 640, 
	-1, 640, 640, 640, 640, -1, 640, -1, 
	640, 640, 640, -1, 640, 640, -1, -1, 
	640, 640, 640, 640, 640, 640, 640, 640, 
	-1, 640, 640, 640, 640, 640, 640, 640, 
	640, 640, -1, 640, 640, 640, 640, -1, 
	640, -1, -1, -1, -1, -1, 640, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 640, 640, 640, 640, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 637, 640, 640, 
	640, 640, -1, -1, 640, 640, 640, 640, 
	640, 640, -1, -1, -1, -1, 640, 640, 
	640, 640, 640, 640, 640, -1, -1, -1, 
	-1, 640, -1, -1, -1, -1, 640, 640, 
	-1, -1, 640, 640, 640, -1, 640, 640, 
	-1, -1, 640, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 640, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 640, 640, 640, 640, 640, 640, 
	640, 640, -1, 640, 640, 640, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 640, 640, 640, 640, 
	640, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 640, -1, 640, -1, -1, 
	640, -1, -1, -1, 641, 641, 641, 641, 
	641, 641, 641, 641, 641, 641, 641, 641, 
	641, 641, 641, 641, -1, 641, 641, 641, 
	641, 641, 641, 641, 641, -1, -1, -1, 
	641, 641, 641, 641, 641, -1, 641, -1, 
	641, 641, 641, 641, -1, 641, -1, 641, 
	641, 641, -1, 641, 641, -1, -1, 641, 
	641, 641, 641, 641, 641, 641, 641, -1, 
	641, 641, 641, 641, 641, 641, 641, 641, 
	641, -1, 641, 641, 641, 641, -1, -1, 
	-1, -1, -1, -1, -1, 641, -1, 641, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 641, 641, 641, 641, -1, 
	641, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 640, 641, 641, 641, 
	641, -1, -1, 641, 641, 641, 641, 641, 
	641, -1, -1, -1, -1, 641, 641, 641, 
	641, 641, 641, 641, -1, -1, -1, 641, 
	641, -1, -1, -1, -1, 641, 641, -1, 
	-1, 641, 641, 641, -1, 641, 641, 641, 
	-1, 641, -1, -1, 637, -1, -1, -1, 
	-1, -1, -1, -1, -1, 641, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 641, 641, 641, 641, 641, 641, 641, 
	641, -1, 641, 641, 641, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 641, 641, 641, 641, 641, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 641, -1, 641, -1, -1, 641, 
	-1, -1, -1, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, -1, 648, 
	648, 648, 648, 648, -1, 648, -1, 648, 
	648, 648, 648, -1, 648, -1, 648, 648, 
	648, -1, 648, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, -1, 648, 
	648, 648, 648, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, -1, 648, 
	-1, -1, -1, -1, 648, 648, 648, 648, 
	648, -1, -1, 648, 648, 648, 648, 648, 
	648, 648, 648, 648, 648, 648, 648, 648, 
	648, 648, -1, -1, -1, -1, -1, 648, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 641, 648, 648, 648, 648, 
	-1, -1, 648, 648, 648, 648, 648, 648, 
	-1, -1, -1, -1, 648, 648, 648, 648, 
	648, 648, 648, -1, -1, -1, -1, 648, 
	-1, -1, -1, -1, 648, 648, -1, -1, 
	648, 648, 648, -1, 648, 648, -1, -1, 
	648, -1, -1, -1, -1, -1, -1, -1, 
	-1, 648, 648, 648, 648, 648, 648, 648, 
	-1, -1, -1, 648, 648, 648, -1, -1, 
	648, 648, 648, 648, 648, 648, 648, 648, 
	-1, 648, 648, 648, -1, -1, -1, 648, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 648, 648, -1, -1, 648, -1, 
	648, 648, -1, 648, -1, -1, -1, -1, 
	648, -1, 648, 648, 648, 648, 648, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 648, -1, 648, -1, -1, 648, -1, 
	648, 648, -1, -1, -1, 648, -1, 648, 
	-1, 648, -1, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, -1, 649, 
	649, 649, 649, 649, -1, 649, -1, 649, 
	649, 649, 649, -1, 649, -1, 649, 649, 
	649, -1, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, -1, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, -1, 649, 
	-1, -1, -1, -1, 649, 649, 649, 649, 
	649, -1, -1, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, -1, -1, -1, -1, -1, 649, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 648, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 649, 649, 649, 649, 
	-1, -1, 649, 649, 649, 649, 649, 649, 
	-1, -1, -1, 641, 649, 649, 649, 649, 
	649, 649, 649, -1, -1, -1, -1, 649, 
	-1, -1, -1, -1, 649, 649, -1, -1, 
	649, 649, 649, -1, 649, 649, -1, -1, 
	649, -1, -1, -1, -1, -1, -1, -1, 
	-1, 649, 649, 649, 649, 649, 649, 649, 
	-1, -1, -1, 649, 649, 649, -1, -1, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	-1, 649, 649, 649, -1, -1, -1, 649, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 649, 649, -1, -1, 649, -1, 
	649, 649, -1, 649, -1, -1, -1, -1, 
	649, -1, 649, 649, 649, 649, 649, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 649, -1, 649, -1, -1, 649, -1, 
	649, 649, -1, -1, -1, 649, -1, 649, 
	-1, 649, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, -1, 650, 650, 
	650, 650, 650, -1, 650, -1, 650, 650, 
	650, 650, -1, 650, -1, 650, 650, 650, 
	-1, 650, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, -1, 650, 650, 
	650, 650, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, -1, 650, -1, 
	-1, -1, -1, 650, 650, 650, 650, 650, 
	-1, -1, 650, 650, 650, 650, 650, 650, 
	650, 650, 650, 650, 650, 650, 650, 650, 
	650, -1, -1, -1, -1, -1, 650, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 649, -1, -1, -1, -1, -1, 
	-1, -1, -1, 650, 650, 650, 650, -1, 
	-1, 650, 650, 650, 650, 650, 650, -1, 
	-1, -1, -1, 650, 650, 650, 650, 650, 
	650, 650, -1, -1, -1, -1, 650, -1, 
	-1, -1, -1, 650, 650, -1, -1, 650, 
	650, 650, -1, 650, 650, -1, -1, 650, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	650, 650, 650, 650, 650, 650, 650, -1, 
	-1, -1, 650, 650, 650, -1, -1, 650, 
	650, 650, 650, 650, 650, 650, 650, -1, 
	650, 650, 650, -1, -1, -1, 650, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 650, 650, -1, -1, 650, -1, 650, 
	650, -1, 650, -1, -1, -1, -1, 650, 
	-1, 650, 650, 650, 650, 650, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	650, -1, 650, -1, -1, 650, -1, 650, 
	650, -1, -1, -1, 650, -1, 650, -1, 
	650, 655, 655, 655, 655, 655, 655, -1, 
	655, 655, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 655, 655, 655, 655, 655, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 655, -1, -1, -1, 655, -1, 
	-1, -1, 655, 655, 655, 655, 655, -1, 
	-1, -1, -1, 655, 655, 655, -1, -1, 
	-1, -1, 655, 655, 655, 655, 655, 655, 
	655, 655, -1, -1, -1, -1, -1, -1, 
	655, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 655, 655, 
	655, 655, -1, -1, 655, 655, -1, -1, 
	-1, -1, -1, 655, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, -1, 657, 
	657, 657, 657, 657, -1, 657, -1, 657, 
	657, 657, 657, -1, 657, -1, 657, 657, 
	657, 650, 657, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, -1, 657, 
	657, 657, 657, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, -1, 657, 
	-1, -1, -1, -1, 657, 657, 657, 657, 
	657, -1, -1, 657, 657, 657, 657, 657, 
	657, 657, 657, 657, 657, 657, 657, 657, 
	657, 657, -1, -1, -1, -1, -1, 657, 
	-1, -1, -1, -1, -1, -1, -1, 655, 
	655, 655, 655, 655, -1, 655, 655, 655, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 655, 655, 
	-1, -1, 655, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 655, 655, 
	655, 655, 655, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 657, 657, 657, 657, 
	-1, -1, 657, 657, 657, 657, 657, 657, 
	-1, 655, -1, -1, 657, 657, 657, 657, 
	657, 657, 657, -1, -1, -1, -1, 657, 
	-1, -1, -1, -1, 657, 657, -1, -1, 
	657, 657, 657, -1, 657, 657, -1, -1, 
	657, -1, -1, -1, -1, -1, -1, -1, 
	-1, 657, 657, 657, 657, 657, 657, 657, 
	-1, -1, -1, 657, 657, 657, -1, -1, 
	657, 657, 657, 657, 657, 657, 657, 657, 
	-1, 657, 657, 657, -1, -1, -1, 657, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 657, 657, -1, -1, 657, -1, 
	657, 657, -1, 657, -1, -1, -1, -1, 
	657, -1, 657, 657, 657, 657, 657, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 657, -1, 657, -1, -1, 657, -1, 
	657, 657, -1, -1, -1, 657, -1, 657, 
	-1, 657, 662, 662, 662, 662, 662, 662, 
	662, 662, 662, 662, 662, 662, 662, 662, 
	662, 662, 662, 662, 662, 662, 662, 662, 
	662, 662, 662, 662, 662, -1, 662, 662, 
	662, 662, 662, -1, 662, -1, 662, 662, 
	662, 662, -1, 662, -1, 662, 662, 662, 
	-1, 662, 662, 662, 662, 662, 662, 662, 
	662, 662, 662, 662, 662, -1, 662, 662, 
	662, 662, 662, 662, 662, 662, 662, -1, 
	662, 662, 662, 662, -1, -1, -1, -1, 
	-1, -1, -1, 662, -1, -1, 662, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 662, 662, 662, 662, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 657, -1, -1, -1, -1, -1, 
	-1, -1, -1, 662, 662, 662, 662, -1, 
	-1, 662, 662, -1, 662, 662, 662, -1, 
	-1, -1, -1, 662, 662, 662, -1, 662, 
	662, 662, -1, -1, -1, -1, 662, -1, 
	-1, -1, -1, 662, -1, -1, -1, 662, 
	662, 662, -1, 662, 662, -1, -1, 662, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	662, 662, 662, 662, 662, 662, 662, -1, 
	-1, -1, -1, 662, 662, -1, -1, 662, 
	662, 662, 662, 662, 662, 662, 662, -1, 
	662, 662, 662, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 662, 662, 662, 662, 662, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	662, -1, -1, -1, -1, -1, -1, 662, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, -1, 664, 664, -1, -1, 664, 
	664, 664, 664, -1, -1, -1, 664, 664, 
	664, 664, 664, -1, -1, -1, -1, 664, 
	664, 664, -1, -1, -1, 664, -1, -1, 
	-1, 664, 664, -1, -1, 664, 664, 664, 
	664, 664, -1, -1, -1, -1, 664, 664, 
	664, -1, -1, -1, -1, 664, 664, -1, 
	664, 664, 664, 664, -1, -1, -1, -1, 
	-1, -1, -1, 664, -1, 664, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 664, 664, 664, 664, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, -1, 
	665, 665, -1, -1, 665, 665, 665, 665, 
	-1, -1, -1, 665, 665, 665, 665, 665, 
	-1, -1, -1, -1, 665, 665, 665, -1, 
	-1, -1, 665, -1, -1, -1, 665, 665, 
	-1, -1, 665, 665, 665, 665, 665, -1, 
	-1, -1, -1, 665, 665, 665, -1, -1, 
	-1, -1, 665, 665, -1, 665, 665, 665, 
	665, -1, -1, -1, -1, -1, -1, -1, 
	665, 662, 665, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 665, 665, 
	665, 665, -1, -1, 665, 665, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 664, -1, -1, -1, -1, 
	-1, -1, 664, -1, -1, -1, -1, 664, 
	664, 664, 664, 664, 664, 664, 664, -1, 
	664, 664, 664, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 664, 664, 664, 664, 664, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	665, -1, -1, -1, -1, -1, -1, 665, 
	-1, -1, -1, -1, 665, 665, 665, 665, 
	665, 665, 665, 665, -1, 665, 665, 665, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 665, 665, 
	665, 665, 665, 668, 668, 668, 668, 668, 
	668, 668, 668, 668, 668, 668, 668, 668, 
	-1, -1, 668, 668, 668, 668, -1, -1, 
	-1, 668, 668, 668, 668, 668, -1, -1, 
	-1, -1, 668, 668, 668, -1, -1, -1, 
	668, -1, -1, -1, 668, 668, -1, -1, 
	668, 668, 668, 668, 668, -1, -1, -1, 
	-1, 668, 668, 668, -1, -1, -1, -1, 
	668, 668, -1, 668, 668, 668, 668, -1, 
	-1, -1, -1, -1, -1, -1, 668, -1, 
	-1, 668, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 668, 668, 668, 668, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 671, 671, 671, 671, 671, 671, 
	671, 671, 671, 671, 671, 671, 671, 671, 
	671, 671, -1, 671, 671, 671, 671, 671, 
	671, 671, 671, -1, -1, -1, 671, 671, 
	671, 671, 671, -1, 671, -1, 671, 671, 
	671, 671, -1, 671, 671, 671, 671, 671, 
	-1, 671, 671, -1, -1, 671, 671, 671, 
	671, 671, 671, 671, 671, -1, 671, 671, 
	671, 671, 671, 671, 671, 671, 671, -1, 
	671, 671, 671, 671, -1, 671, -1, -1, 
	-1, -1, -1, 671, -1, 671, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 671, 671, 671, 671, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 668, -1, 
	-1, -1, -1, -1, -1, -1, 668, 668, 
	668, -1, 668, 668, 668, 668, 668, 668, 
	668, 668, -1, 668, 668, 668, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 668, 668, 668, 668, 
	668, -1, -1, 671, 671, 671, 671, -1, 
	-1, 671, 671, 671, 671, 671, 671, -1, 
	-1, -1, 668, 671, 671, 671, 671, 671, 
	671, 671, -1, -1, -1, -1, 671, -1, 
	-1, -1, -1, 671, 671, -1, -1, 671, 
	671, 671, -1, 671, 671, -1, -1, 671, 
	-1, -1, -1, 671, -1, -1, 671, -1, 
	-1, -1, -1, 671, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 671, 
	671, 671, 671, 671, 671, 671, 671, -1, 
	671, 671, 671, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 671, 671, 671, 671, 671, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	671, -1, 671, -1, -1, 671, -1, -1, 
	-1, 674, 674, 674, 674, 674, 674, 674, 
	674, 674, 674, 674, 674, 674, 674, 674, 
	674, -1, 674, 674, 674, 674, 674, 674, 
	674, 674, -1, -1, -1, 674, 674, 674, 
	674, 674, -1, 674, -1, 674, 674, 674, 
	674, -1, 674, -1, 674, 674, 674, -1, 
	674, 674, -1, -1, 674, 674, 674, 674, 
	674, 674, 674, 674, -1, 674, 674, 674, 
	674, 674, 674, 674, 674, 674, -1, 674, 
	674, 674, 674, -1, -1, -1, -1, -1, 
	-1, -1, 674, -1, 674, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	674, 674, 674, 674, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 671, 674, 674, 674, 674, -1, -1, 
	674, 674, 674, 674, 674, 674, -1, -1, 
	-1, -1, 674, 674, 674, 674, 674, 674, 
	674, -1, -1, -1, -1, 674, -1, -1, 
	-1, -1, 674, 674, -1, -1, 674, 674, 
	674, -1, 674, 674, 674, -1, 674, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 674, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 674, 674, 
	674, 674, 674, 674, 674, 674, -1, 674, 
	674, 674, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 683, 683, 683, 683, 
	683, 683, -1, 683, 683, -1, -1, -1, 
	674, 674, 674, 674, 674, -1, 683, 683, 
	683, 683, 683, -1, -1, -1, -1, 674, 
	-1, 674, -1, -1, 674, 683, -1, -1, 
	-1, 683, -1, -1, -1, 683, 683, 683, 
	683, 683, -1, -1, -1, -1, 683, 683, 
	683, -1, -1, -1, -1, 683, 683, 683, 
	683, 683, 683, 683, 683, -1, -1, -1, 
	-1, -1, -1, 683, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 683, 683, 683, 683, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 683, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 685, 685, 685, 
	685, 685, 685, -1, 685, 685, -1, -1, 
	-1, -1, 668, -1, -1, -1, -1, 685, 
	685, 685, 685, 685, 668, -1, 668, 668, 
	668, 668, 668, 668, 668, 668, 685, 668, 
	668, 668, 685, -1, -1, -1, 685, 685, 
	685, 685, 685, -1, -1, -1, -1, 685, 
	685, 685, -1, -1, -1, -1, 685, 685, 
	-1, 685, 685, 685, 685, -1, -1, -1, 
	668, 668, 668, 668, 685, 685, -1, -1, 
	674, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 685, 685, 685, 685, 668, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 683, 683, 683, 683, 683, -1, 
	683, 683, 683, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 671, 
	-1, 683, 683, -1, -1, 683, 698, 698, 
	698, 698, 698, 698, -1, 698, 698, -1, 
	-1, 683, 683, 683, 683, 683, -1, -1, 
	698, 698, 698, 698, 698, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 698, 
	-1, -1, -1, 698, 683, -1, -1, 698, 
	698, 698, 698, 698, -1, -1, -1, -1, 
	698, 698, 698, -1, -1, -1, -1, 698, 
	698, 698, 698, 698, 698, 698, 698, -1, 
	-1, -1, -1, -1, -1, 698, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 698, 698, 698, 698, -1, 
	685, 685, -1, -1, -1, -1, -1, -1, 
	698, -1, -1, 685, 685, 685, 685, 685, 
	-1, 685, 685, 685, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 685, 685, 685, 685, 685, 687, 
	687, 687, 687, 687, 687, 687, 687, 687, 
	687, 687, 687, 687, 687, 687, 687, -1, 
	687, 687, 687, 687, 687, 687, 687, 687, 
	-1, -1, -1, 687, 687, 687, 687, 687, 
	-1, 687, -1, 687, 687, 687, 687, -1, 
	687, -1, 687, 687, 687, -1, 687, 687, 
	-1, -1, 687, 687, 687, 687, 687, 687, 
	687, 687, -1, 687, 687, 687, 687, 687, 
	687, 687, 687, 687, -1, 687, 687, 687, 
	687, -1, -1, -1, -1, -1, -1, -1, 
	687, -1, -1, -1, 698, 698, 698, 698, 
	698, -1, 698, 698, 698, -1, 687, 687, 
	687, 687, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 698, 698, -1, -1, 698, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 698, 698, 698, 698, 698, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	674, -1, -1, -1, -1, -1, 698, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	687, 687, 687, 687, -1, -1, 687, 687, 
	687, 687, 687, 687, -1, -1, -1, -1, 
	687, 687, 687, 687, 687, 687, 687, -1, 
	-1, -1, -1, 687, -1, -1, -1, -1, 
	687, 687, -1, -1, 687, 687, 687, -1, 
	687, 687, -1, -1, 687, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	687, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 687, 687, 687, 687, 
	687, 687, 687, 687, -1, 687, 687, 687, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 687, 687, 
	687, 687, 687, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 687, -1, 687, 
	-1, -1, 687, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 689, 689, 689, 689, 689, 
	689, 689, 689, 689, 689, 689, 689, 689, 
	689, 689, 689, -1, 689, 689, 689, 689, 
	689, 689, 689, 689, -1, -1, -1, 689, 
	689, 689, 689, 689, -1, 689, -1, 689, 
	689, 689, 689, -1, 689, -1, 689, 689, 
	689, -1, 689, 689, -1, -1, 689, 689, 
	689, 689, 689, 689, 689, 689, -1, 689, 
	689, 689, 689, 689, 689, 689, 689, 689, 
	-1, 689, 689, 689, 689, -1, -1, -1, 
	-1, -1, -1, -1, 689, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 689, 689, 689, 689, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 687, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 689, 689, 689, 689, 
	-1, -1, 689, 689, 689, 689, 689, 689, 
	-1, -1, -1, -1, 689, 689, 689, 689, 
	689, 689, 689, -1, -1, -1, -1, 689, 
	-1, -1, -1, -1, 689, 689, -1, -1, 
	689, 689, 689, -1, 689, 689, -1, -1, 
	689, -1, -1, -1, 685, 685, -1, -1, 
	-1, -1, -1, -1, 689, -1, -1, 685, 
	685, 685, 685, 685, -1, 685, 685, 685, 
	689, 689, 689, 689, 689, 689, 689, 689, 
	-1, 689, 689, 689, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 685, 685, 
	685, 685, -1, -1, -1, -1, -1, -1, 
	-1, -1, 689, 689, 689, 689, 689, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 689, -1, 689, -1, -1, 689, -1, 
	-1, -1, 690, 690, 690, 690, 690, 690, 
	690, 690, 690, 690, 690, 690, 690, 690, 
	690, 690, -1, 690, 690, 690, 690, 690, 
	690, 690, 690, -1, -1, -1, 690, 690, 
	690, 690, 690, -1, 690, -1, 690, 690, 
	690, 690, -1, 690, 690, 690, 690, 690, 
	-1, 690, 690, -1, -1, 690, 690, 690, 
	690, 690, 690, 690, 690, -1, 690, 690, 
	690, 690, 690, 690, 690, 690, 690, -1, 
	690, 690, 690, 690, -1, 690, -1, -1, 
	-1, -1, -1, 690, -1, 690, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 690, 690, 690, 690, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 689, 690, 690, 690, 690, -1, 
	-1, 690, 690, 690, 690, 690, 690, -1, 
	-1, -1, -1, 690, 690, 690, 690, 690, 
	690, 690, -1, -1, -1, -1, 690, -1, 
	-1, -1, -1, 690, 690, -1, -1, 690, 
	690, 690, -1, 690, 690, -1, -1, 690, 
	-1, -1, -1, 690, -1, -1, 690, -1, 
	-1, -1, -1, 690, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 690, 
	690, 690, 690, 690, 690, 690, 690, -1, 
	690, 690, 690, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 690, 690, 690, 690, 690, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	690, -1, 690, -1, -1, 690, -1, -1, 
	-1, 691, 691, 691, 691, 691, 691, 691, 
	691, 691, 691, 691, 691, 691, 691, 691, 
	691, -1, 691, 691, 691, 691, 691, 691, 
	691, 691, -1, -1, -1, 691, 691, 691, 
	691, 691, -1, 691, -1, 691, 691, 691, 
	691, -1, 691, -1, 691, 691, 691, -1, 
	691, 691, -1, -1, 691, 691, 691, 691, 
	691, 691, 691, 691, -1, 691, 691, 691, 
	691, 691, 691, 691, 691, 691, -1, 691, 
	691, 691, 691, -1, 691, -1, -1, -1, 
	-1, -1, 691, -1, 691, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	691, 691, 691, 691, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 690, 691, 691, 691, 691, -1, -1, 
	691, 691, 691, 691, 691, 691, -1, -1, 
	-1, -1, 691, 691, 691, 691, 691, 691, 
	691, -1, -1, -1, -1, 691, -1, -1, 
	-1, -1, 691, 691, -1, -1, 691, 691, 
	691, -1, 691, 691, -1, -1, 691, -1, 
	-1, -1, -1, -1, -1, 691, -1, -1, 
	-1, -1, 691, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 691, 691, 
	691, 691, 691, 691, 691, 691, -1, 691, 
	691, 691, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	691, 691, 691, 691, 691, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 691, 
	-1, 691, -1, -1, 691, -1, -1, -1, 
	692, 692, 692, 692, 692, 692, 692, 692, 
	692, 692, 692, 692, 692, 692, 692, 692, 
	-1, 692, 692, 692, 692, 692, 692, 692, 
	692, -1, -1, -1, 692, 692, 692, 692, 
	692, -1, 692, -1, 692, 692, 692, 692, 
	-1, 692, -1, 692, 692, 692, -1, 692, 
	692, -1, -1, 692, 692, 692, 692, 692, 
	692, 692, 692, -1, 692, 692, 692, 692, 
	692, 692, 692, 692, 692, -1, 692, 692, 
	692, 692, -1, 692, -1, -1, -1, -1, 
	-1, 692, -1, 692, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 692, 
	692, 692, 692, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	691, 692, 692, 692, 692, -1, -1, 692, 
	692, 692, 692, 692, 692, -1, -1, -1, 
	-1, 692, 692, 692, 692, 692, 692, 692, 
	-1, -1, -1, -1, 692, -1, -1, -1, 
	-1, 692, 692, -1, -1, 692, 692, 692, 
	-1, 692, 692, -1, -1, 692, -1, -1, 
	-1, -1, -1, -1, 692, -1, -1, -1, 
	-1, 692, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 692, 692, 692, 
	692, 692, 692, 692, 692, -1, 692, 692, 
	692, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 692, 
	692, 692, 692, 692, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 692, -1, 
	692, -1, -1, 692, -1, -1, -1, 695, 
	695, 695, 695, 695, 695, 695, 695, 695, 
	695, 695, 695, 695, 695, 695, 695, -1, 
	695, 695, 695, 695, 695, 695, 695, 695, 
	-1, -1, -1, 695, 695, 695, 695, 695, 
	-1, 695, -1, 695, 695, 695, 695, -1, 
	695, -1, 695, 695, 695, -1, 695, 695, 
	-1, -1, 695, 695, 695, 695, 695, 695, 
	695, 695, -1, 695, 695, 695, 695, 695, 
	695, 695, 695, 695, -1, 695, 695, 695, 
	695, -1, -1, -1, -1, -1, -1, -1, 
	695, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 695, 695, 
	695, 695, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 692, 
	695, 695, 695, 695, -1, -1, 695, 695, 
	695, 695, 695, 695, -1, -1, -1, -1, 
	695, 695, 695, 695, 695, 695, 695, -1, 
	-1, -1, -1, 695, -1, -1, -1, -1, 
	695, 695, -1, -1, 695, 695, 695, -1, 
	695, 695, -1, -1, 695, -1, -1, -1, 
	-1, 691, -1, -1, -1, -1, -1, -1, 
	695, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 695, 695, 695, 695, 
	695, 695, 695, 695, -1, 695, 695, 695, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 695, 695, 
	695, 695, 695, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 695, -1, 695, 
	-1, -1, 695, 696, 696, 696, 696, 696, 
	696, 696, 696, 696, 696, 696, 696, 696, 
	-1, -1, 696, 696, 696, 696, -1, -1, 
	-1, 696, 696, 696, 696, 696, -1, -1, 
	-1, -1, 696, 696, 696, -1, -1, -1, 
	696, -1, -1, -1, 696, 696, -1, -1, 
	696, 696, 696, 696, 696, -1, -1, -1, 
	-1, 696, 696, 696, -1, -1, -1, -1, 
	696, 696, -1, 696, 696, 696, 696, -1, 
	-1, -1, -1, -1, -1, -1, 696, -1, 
	-1, 696, 699, 699, 699, 699, 699, 699, 
	-1, 699, 699, -1, 696, 696, 696, 696, 
	-1, -1, -1, -1, 699, 699, 699, 699, 
	699, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 699, -1, -1, -1, 699, 
	-1, -1, -1, 699, 699, 699, 699, 699, 
	-1, -1, -1, -1, 699, 699, 699, -1, 
	-1, -1, -1, 699, 699, 699, 699, 699, 
	699, 699, 699, -1, -1, -1, -1, -1, 
	-1, 699, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 699, 
	699, 699, 699, -1, -1, -1, 695, -1, 
	-1, -1, -1, -1, 699, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 696, -1, 
	-1, -1, -1, -1, -1, -1, 696, 696, 
	696, -1, 696, 696, 696, 696, 696, 696, 
	696, 696, -1, 696, 696, 696, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 696, 696, 696, 696, 
	696, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 696, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	699, 699, 699, 699, 699, -1, 699, 699, 
	699, -1, -1, 700, 700, 700, 700, 700, 
	700, -1, 700, 700, -1, -1, -1, 699, 
	699, -1, -1, 699, -1, 700, 700, 700, 
	700, 700, -1, -1, -1, -1, -1, 699, 
	699, 699, 699, 699, 700, -1, -1, -1, 
	700, -1, -1, -1, 700, 700, 700, 700, 
	700, -1, -1, -1, -1, 700, 700, 700, 
	-1, -1, 699, -1, 700, 700, 700, 700, 
	700, 700, 700, 700, -1, -1, -1, -1, 
	-1, -1, 700, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	700, 700, 700, 700, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 700, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 703, 703, 703, 703, 703, 
	703, 703, 703, 703, 703, 703, 703, 703, 
	703, 703, 703, -1, 703, 703, 703, 703, 
	703, 703, 703, 703, -1, -1, -1, 703, 
	703, 703, 703, 703, -1, 703, -1, 703, 
	703, 703, 703, -1, 703, -1, 703, 703, 
	703, -1, 703, 703, -1, -1, 703, 703, 
	703, 703, 703, 703, 703, 703, -1, 703, 
	703, 703, 703, 703, 703, 703, 703, 703, 
	-1, 703, 703, 703, 703, -1, -1, -1, 
	-1, -1, -1, -1, 703, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 703, 703, 703, 703, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 700, 700, 700, 700, 700, -1, 700, 
	700, 700, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	700, 700, -1, -1, 700, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	700, 700, 700, 700, 700, -1, -1, -1, 
	-1, -1, -1, -1, 703, 703, 703, 703, 
	-1, -1, 703, 703, 703, 703, 703, 703, 
	-1, -1, -1, 700, 703, 703, 703, 703, 
	703, 703, 703, -1, -1, -1, -1, 703, 
	-1, -1, -1, -1, 703, 703, -1, -1, 
	703, 703, 703, -1, 703, 703, -1, -1, 
	703, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 703, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	703, 703, 703, 703, 703, 703, 703, 703, 
	-1, 703, 703, 703, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 703, 703, 703, 703, 703, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 703, -1, 703, -1, -1, 703, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 696, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 696, -1, 696, 696, 
	696, 696, 696, 696, 696, 696, -1, 696, 
	696, 696, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	696, 696, 696, 696, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 696, -1, 
	-1, -1, 703, 704, 704, 704, 704, 704, 
	704, 704, 704, 704, 704, 704, 704, 704, 
	704, 704, 704, -1, 704, 704, 704, 704, 
	704, 704, 704, 704, -1, -1, -1, 704, 
	704, 704, 704, 704, -1, 704, -1, 704, 
	704, 704, 704, -1, 704, -1, 704, 704, 
	704, -1, 704, 704, -1, -1, 704, 704, 
	704, 704, 704, 704, 704, 704, -1, 704, 
	704, 704, 704, 704, 704, 704, 704, 704, 
	-1, 704, 704, 704, 704, -1, 704, -1, 
	-1, -1, -1, -1, 704, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 704, 704, 704, 704, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 704, 704, 704, 704, 
	-1, -1, 704, 704, 704, 704, 704, 704, 
	-1, -1, -1, -1, 704, 704, 704, 704, 
	704, 704, 704, -1, -1, -1, -1, 704, 
	-1, -1, -1, -1, 704, 704, -1, -1, 
	704, 704, 704, -1, 704, 704, -1, -1, 
	704, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 704, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	704, 704, 704, 704, 704, 704, 704, 704, 
	-1, 704, 704, 704, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 704, 704, 704, 704, 704, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 704, -1, 704, -1, -1, 704, 705, 
	705, 705, 705, 705, 705, 705, 705, 705, 
	705, 705, 705, 705, -1, -1, 705, 705, 
	705, 705, -1, -1, -1, 705, 705, 705, 
	705, 705, -1, -1, -1, -1, 705, 705, 
	705, -1, -1, -1, 705, -1, -1, -1, 
	705, 705, -1, -1, 705, 705, 705, 705, 
	705, -1, -1, -1, -1, 705, 705, 705, 
	-1, -1, -1, -1, 705, 705, -1, 705, 
	705, 705, 705, -1, -1, -1, -1, -1, 
	-1, -1, 705, -1, -1, 705, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	705, 705, 705, 705, 709, 709, 709, 709, 
	709, 709, 709, 709, 709, 709, -1, 709, 
	709, -1, -1, 709, 709, 709, 709, -1, 
	-1, -1, 709, 709, 709, 709, 709, -1, 
	-1, -1, -1, 709, 709, 709, -1, -1, 
	-1, 709, -1, -1, -1, 709, 709, -1, 
	-1, 709, 709, 709, 709, 709, -1, -1, 
	-1, -1, 709, 709, 709, -1, -1, -1, 
	-1, 709, 709, -1, 709, 709, 709, 709, 
	-1, -1, -1, -1, -1, -1, -1, 709, 
	-1, 709, 704, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 709, 709, 709, 
	709, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 705, -1, -1, -1, -1, -1, 
	-1, -1, 705, 705, 705, -1, 705, 705, 
	705, 705, 705, 705, 705, 705, -1, 705, 
	705, 705, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	705, 705, 705, 705, 705, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 705, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 709, 
	-1, -1, -1, -1, -1, -1, 709, -1, 
	-1, -1, -1, 709, 709, 709, 709, 709, 
	709, 709, 709, -1, 709, 709, 709, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 709, 709, 709, 
	709, 709, -1, 711, 711, 711, 711, 711, 
	711, 711, 711, 711, 711, 711, 711, 711, 
	711, 711, 711, -1, 711, 711, 711, 711, 
	711, 711, 711, 711, -1, -1, -1, 711, 
	711, 711, 711, 711, -1, 711, -1, 711, 
	711, 711, 711, -1, 711, -1, 711, 711, 
	711, -1, 711, 711, -1, -1, 711, 711, 
	711, 711, 711, 711, 711, 711, -1, 711, 
	711, 711, 711, 711, 711, 711, 711, 711, 
	-1, 711, 711, 711, 711, -1, -1, -1, 
	-1, -1, -1, -1, 711, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 711, 711, 711, 711, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 711, 711, 711, 711, 
	-1, -1, 711, 711, 711, 711, 711, 711, 
	-1, -1, -1, -1, 711, 711, 711, 711, 
	711, 711, 711, -1, -1, -1, -1, 711, 
	-1, -1, -1, -1, 711, 711, -1, -1, 
	711, 711, 711, -1, 711, 711, -1, -1, 
	711, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 711, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	711, 711, 711, 711, 711, 711, 711, 711, 
	-1, 711, 711, 711, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 711, 711, 711, 711, 711, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 711, -1, 711, -1, -1, 711, -1, 
	-1, -1, -1, -1, -1, -1, -1, 712, 
	712, 712, 712, 712, 712, 712, 712, 712, 
	712, 712, 712, 712, 712, 712, 712, -1, 
	712, 712, 712, 712, 712, 712, 712, 712, 
	-1, -1, -1, 712, 712, 712, 712, 712, 
	-1, 712, -1, 712, 712, 712, 712, -1, 
	712, -1, 712, 712, 712, -1, 712, 712, 
	-1, -1, 712, 712, 712, 712, 712, 712, 
	712, 712, -1, 712, 712, 712, 712, 712, 
	712, 712, 712, 712, -1, 712, 712, 712, 
	712, -1, 712, -1, -1, -1, -1, -1, 
	712, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 712, 712, 
	712, 712, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 705, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	705, -1, 705, 705, 705, 705, 705, 705, 
	705, 705, 711, 705, 705, 705, -1, -1, 
	712, 712, 712, 712, -1, -1, 712, 712, 
	712, 712, 712, 712, -1, -1, -1, -1, 
	712, 712, 712, 712, 712, 712, 712, -1, 
	-1, -1, -1, 712, 705, 705, 705, 705, 
	712, 712, -1, -1, 712, 712, 712, -1, 
	712, 712, -1, -1, 712, -1, -1, -1, 
	-1, -1, 705, -1, -1, -1, -1, -1, 
	712, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 712, 712, 712, 712, 
	712, 712, 712, 712, -1, 712, 712, 712, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 712, 712, 
	712, 712, 712, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 712, -1, 712, 
	-1, -1, 712, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 712
};

static int pid_0_parser_keys[] = {
	5, 903, 476, 476, 476, 476, 5, 903, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	72, 72, 64, 803, 72, 72, 72, 821, 
	72, 72, 5, 903, 72, 72, 72, 72, 
	33, 857, 72, 72, 5, 476, 5, 476, 
	5, 845, 72, 72, 15, 891, 72, 891, 
	15, 891, 5, 476, 72, 891, 15, 891, 
	5, 476, 5, 476, 72, 846, 33, 846, 
	88, 88, 72, 857, 72, 72, 76, 76, 
	72, 72, 72, 72, 72, 72, 75, 885, 
	86, 86, 86, 86, 86, 86, 5, 476, 
	82, 82, 72, 892, 72, 253, 72, 253, 
	72, 253, 5, 476, 5, 476, 5, 476, 
	5, 476, 15, 891, 15, 891, 15, 891, 
	15, 891, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 15, 891, 72, 891, 
	72, 891, 33, 859, 33, 859, 33, 859, 
	72, 72, 33, 859, 72, 891, 5, 476, 
	32, 32, 86, 86, 86, 86, 96, 96, 
	33, 859, 96, 96, 5, 476, 5, 476, 
	5, 476, 96, 96, 96, 96, 96, 96, 
	96, 96, 96, 96, 5, 889, 110, 918, 
	115, 904, 118, 865, 15, 919, 45, 909, 
	7, 7, 64, 909, 138, 138, 138, 138, 
	138, 138, 15, 891, 5, 476, 5, 476, 
	5, 884, 110, 916, 115, 904, 118, 865, 
	15, 917, 15, 891, 15, 891, 15, 891, 
	33, 857, 82, 82, 33, 857, 33, 857, 
	33, 857, 33, 857, 75, 871, 72, 892, 
	75, 885, 75, 885, 5, 908, 7, 906, 
	82, 82, 11, 891, 5, 476, 5, 476, 
	11, 891, 33, 857, 33, 857, 33, 857, 
	33, 857, 33, 857, 86, 86, 5, 845, 
	5, 476, 33, 857, 33, 857, 11, 910, 
	5, 845, 33, 857, 54, 833, 15, 891, 
	15, 891, 33, 857, 5, 803, 5, 476, 
	74, 74, 105, 105, 115, 904, 33, 857, 
	110, 863, 110, 918, 110, 314, 15, 919, 
	115, 864, 115, 904, 118, 118, 118, 118, 
	79, 79, 15, 919, 75, 77, 15, 891, 
	87, 107, 5, 476, 5, 476, 15, 891, 
	5, 476, 5, 476, 7, 476, 5, 476, 
	5, 476, 72, 74, 72, 72, 72, 72, 
	5, 905, 5, 476, 15, 891, 15, 891, 
	15, 891, 15, 891, 15, 891, 15, 891, 
	15, 891, 15, 891, 15, 891, 15, 891, 
	15, 891, 15, 891, 15, 891, 72, 891, 
	5, 858, 72, 72, 5, 476, 15, 891, 
	15, 891, 45, 813, 45, 909, 5, 476, 
	64, 803, 5, 476, 120, 900, 120, 900, 
	110, 863, 110, 916, 110, 312, 15, 917, 
	115, 864, 118, 118, 79, 79, 15, 917, 
	75, 77, 15, 891, 87, 87, 87, 87, 
	87, 107, 5, 476, 87, 87, 87, 87, 
	87, 87, 33, 253, 75, 860, 75, 860, 
	75, 860, 75, 860, 75, 860, 83, 83, 
	5, 476, 5, 869, 5, 476, 110, 912, 
	115, 904, 118, 865, 72, 913, 5, 854, 
	5, 854, 7, 7, 5, 908, 5, 304, 
	5, 304, 5, 304, 5, 304, 5, 304, 
	5, 304, 5, 304, 5, 304, 5, 304, 
	5, 304, 5, 304, 5, 304, 5, 304, 
	5, 304, 5, 304, 5, 304, 5, 304, 
	33, 253, 7, 7, 7, 906, 7, 302, 
	7, 302, 82, 148, 33, 857, 5, 837, 
	11, 910, 5, 476, 5, 476, 97, 97, 
	97, 97, 97, 97, 95, 95, 95, 95, 
	72, 793, 5, 476, 5, 476, 86, 86, 
	89, 89, 21, 843, 11, 910, 5, 476, 
	97, 97, 5, 476, 54, 833, 5, 833, 
	5, 476, 75, 871, 11, 891, 87, 87, 
	87, 87, 97, 97, 74, 138, 5, 476, 
	5, 804, 115, 864, 5, 476, 113, 113, 
	110, 259, 5, 476, 5, 476, 5, 476, 
	115, 260, 5, 476, 5, 476, 5, 476, 
	5, 476, 110, 918, 115, 904, 118, 865, 
	15, 315, 79, 113, 5, 476, 5, 476, 
	5, 476, 72, 857, 5, 476, 5, 476, 
	86, 86, 7, 7, 5, 905, 5, 301, 
	5, 301, 5, 301, 5, 301, 5, 301, 
	5, 301, 5, 301, 5, 301, 5, 301, 
	5, 301, 5, 301, 5, 301, 5, 301, 
	5, 301, 5, 301, 5, 301, 5, 301, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 72, 288, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	87, 87, 5, 476, 45, 226, 78, 830, 
	78, 226, 138, 138, 125, 139, 120, 894, 
	88, 296, 88, 296, 120, 900, 88, 296, 
	88, 296, 88, 296, 88, 296, 88, 296, 
	135, 135, 146, 901, 146, 901, 120, 900, 
	88, 296, 138, 138, 125, 139, 113, 113, 
	110, 259, 5, 476, 5, 476, 5, 476, 
	110, 916, 115, 904, 118, 865, 15, 313, 
	79, 113, 5, 476, 5, 476, 15, 891, 
	5, 476, 5, 476, 5, 476, 75, 885, 
	15, 911, 75, 885, 75, 885, 75, 885, 
	75, 880, 110, 863, 110, 912, 110, 308, 
	72, 913, 115, 864, 118, 118, 79, 79, 
	72, 913, 72, 866, 110, 912, 115, 904, 
	118, 865, 82, 82, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 7, 7, 
	5, 476, 7, 7, 148, 907, 72, 72, 
	5, 476, 32, 32, 89, 89, 5, 476, 
	5, 837, 5, 476, 15, 891, 11, 891, 
	5, 476, 5, 476, 5, 476, 33, 857, 
	33, 857, 87, 87, 87, 87, 87, 95, 
	82, 82, 15, 911, 21, 239, 5, 476, 
	89, 89, 11, 910, 72, 891, 15, 891, 
	11, 891, 5, 476, 89, 89, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	64, 64, 5, 476, 110, 314, 110, 863, 
	115, 864, 118, 118, 5, 476, 72, 793, 
	7, 7, 5, 476, 72, 72, 72, 72, 
	5, 476, 5, 476, 5, 476, 72, 825, 
	120, 900, 125, 139, 88, 296, 146, 902, 
	146, 902, 5, 476, 120, 900, 120, 900, 
	120, 900, 120, 900, 120, 900, 120, 900, 
	120, 900, 120, 900, 120, 296, 88, 296, 
	88, 296, 88, 296, 88, 296, 95, 121, 
	121, 899, 5, 476, 110, 312, 110, 863, 
	115, 864, 118, 118, 87, 87, 87, 87, 
	15, 911, 15, 307, 5, 476, 5, 476, 
	5, 476, 5, 476, 5, 476, 5, 476, 
	5, 879, 110, 914, 115, 904, 118, 865, 
	15, 915, 113, 113, 110, 259, 5, 476, 
	5, 476, 5, 476, 72, 262, 110, 863, 
	115, 864, 118, 118, 72, 309, 72, 74, 
	79, 113, 5, 476, 148, 148, 149, 149, 
	148, 907, 148, 303, 148, 303, 148, 303, 
	148, 303, 148, 303, 148, 303, 148, 303, 
	148, 303, 148, 303, 148, 303, 148, 907, 
	15, 874, 5, 476, 11, 891, 5, 476, 
	5, 476, 97, 97, 97, 97, 33, 857, 
	88, 88, 72, 793, 87, 87, 75, 871, 
	89, 89, 5, 476, 5, 476, 5, 476, 
	5, 476, 15, 315, 15, 315, 15, 315, 
	87, 87, 72, 824, 78, 828, 138, 138, 
	88, 296, 88, 296, 146, 298, 145, 298, 
	88, 296, 120, 894, 120, 894, 120, 894, 
	120, 894, 88, 296, 88, 296, 88, 296, 
	88, 296, 89, 95, 121, 121, 88, 296, 
	88, 296, 88, 296, 88, 296, 15, 313, 
	15, 313, 15, 313, 87, 87, 75, 281, 
	110, 863, 110, 914, 110, 310, 15, 915, 
	115, 864, 118, 118, 79, 79, 15, 915, 
	72, 857, 15, 891, 5, 476, 110, 308, 
	72, 309, 72, 309, 72, 309, 72, 858, 
	72, 858, 148, 907, 149, 149, 149, 149, 
	7, 302, 11, 891, 72, 891, 72, 72, 
	15, 891, 5, 476, 5, 476, 5, 476, 
	87, 95, 87, 95, 96, 96, 11, 910, 
	87, 87, 5, 476, 11, 306, 88, 92, 
	72, 253, 5, 827, 72, 857, 82, 82, 
	5, 476, 5, 804, 146, 146, 89, 89, 
	88, 296, 89, 121, 113, 113, 110, 259, 
	5, 476, 5, 476, 5, 476, 72, 74, 
	110, 914, 115, 904, 118, 865, 15, 311, 
	79, 113, 5, 476, 72, 309, 72, 309, 
	149, 149, 148, 303, 5, 476, 86, 86, 
	11, 288, 11, 288, 33, 857, 89, 89, 
	11, 910, 72, 72, 72, 253, 5, 826, 
	72, 72, 72, 74, 5, 820, 146, 298, 
	88, 296, 88, 296, 89, 89, 110, 310, 
	110, 863, 115, 864, 118, 118, 15, 311, 
	7, 302, 15, 891, 97, 97, 5, 476, 
	89, 89, 5, 476, 5, 476, 5, 829, 
	5, 476, 72, 858, 72, 858, 5, 476, 
	11, 910, 88, 296, 15, 311, 15, 311, 
	15, 311, 87, 87, 87, 95, 5, 476, 
	5, 476, 11, 910, 72, 253, 72, 253, 
	89, 89, 11, 288, 89, 89, 5, 476, 
	5, 476, 0, 0
};

static unsigned int pid_0_parser_offsets[] = {
	0, 2, 16, 297, 1196, 1493, 1790, 2087, 
	2384, 2681, 2978, 3275, 3572, 3869, 4166, 4463, 
	4760, 5057, 5354, 5651, 5948, 6245, 6542, 6839, 
	25, 49, 26, 50, 27, 7136, 33, 35, 
	76, 40, 7431, 8035, 8338, 42, 887, 46, 
	7760, 8641, 74, 8952, 9066, 9369, 75, 104, 
	69, 86, 82, 83, 84, 85, 87, 197, 
	89, 90, 91, 9672, 92, 114, 110, 151, 
	158, 9975, 10286, 10597, 10908, 585, 11219, 11291, 
	11356, 11630, 12233, 12544, 12855, 13166, 13477, 166, 
	194, 229, 419, 523, 93, 528, 202, 13591, 
	94, 101, 102, 103, 657, 109, 13902, 14374, 
	14677, 111, 113, 117, 118, 119, 14980, 495, 
	221, 120, 15291, 833, 122, 575, 123, 124, 
	125, 15367, 15643, 16244, 16555, 514, 269, 131, 
	12118, 16866, 16942, 17183, 650, 126, 959, 965, 
	1059, 1127, 568, 156, 489, 676, 17256, 1994, 
	129, 17512, 18192, 18503, 18805, 1428, 1653, 2313, 
	2318, 2544, 130, 18915, 19218, 2610, 2615, 19525, 
	19804, 2907, 259, 20071, 20160, 2912, 20444, 20780, 
	133, 134, 285, 3204, 173, 553, 411, 17844, 
	147, 388, 135, 136, 137, 21047, 138, 21119, 
	142, 21393, 21996, 15897, 22307, 22618, 141, 22929, 
	23232, 144, 145, 149, 23011, 23535, 23837, 17917, 
	23912, 24153, 24225, 24317, 24471, 24560, 24801, 24873, 
	25176, 25277, 25419, 224, 25759, 150, 26296, 26177, 
	26613, 548, 6744, 26727, 272, 27054, 1454, 3231, 
	249, 1132, 1044, 21879, 235, 152, 154, 27321, 
	163, 27457, 155, 157, 377, 27731, 159, 167, 
	177, 683, 861, 1388, 1575, 1685, 563, 181, 
	28334, 28645, 28956, 1161, 519, 399, 1745, 29273, 
	29584, 188, 29872, 7690, 28019, 29953, 30146, 30225, 
	30525, 30748, 30818, 31039, 31109, 31330, 31400, 31621, 
	31691, 31912, 31982, 32203, 1596, 203, 3479, 1867, 
	2461, 211, 3798, 32456, 32758, 32885, 33194, 204, 
	212, 214, 215, 218, 598, 33666, 33963, 219, 
	220, 601, 34263, 34375, 226, 34678, 558, 34981, 
	35284, 837, 35586, 228, 234, 251, 273, 35705, 
	36008, 427, 36315, 254, 275, 36623, 36934, 37245, 
	437, 37556, 37867, 38178, 38489, 1487, 1167, 549, 
	27613, 374, 38800, 39111, 39422, 631, 39733, 40036, 
	256, 266, 39815, 17620, 20526, 33280, 40118, 40339, 
	40611, 40689, 40883, 40961, 41155, 41233, 41427, 41505, 
	41699, 41777, 41971, 42049, 42299, 42602, 42913, 43224, 
	43535, 43846, 44157, 44468, 44779, 45090, 45401, 45712, 
	46023, 46334, 46645, 384, 46948, 47253, 47558, 47863, 
	278, 48174, 2340, 608, 463, 284, 723, 2202, 
	2765, 3060, 2942, 3344, 3654, 3938, 4250, 4383, 
	288, 826, 952, 3824, 4680, 343, 941, 356, 
	445, 48477, 48788, 49099, 2077, 1464, 596, 49410, 
	391, 49709, 50020, 50274, 50379, 50682, 50985, 1708, 
	51239, 1768, 2873, 3211, 1987, 620, 1413, 2045, 
	4084, 480, 371, 373, 4361, 919, 2671, 1714, 
	623, 376, 51347, 51658, 51970, 52281, 52592, 379, 
	52903, 387, 4859, 404, 53206, 416, 426, 53503, 
	53806, 54109, 54375, 54464, 54743, 55345, 55648, 4029, 
	4095, 429, 431, 436, 435, 55932, 697, 56040, 
	441, 56340, 485, 32296, 56433, 56829, 447, 57314, 
	57617, 57928, 58239, 58550, 450, 58853, 2347, 671, 
	777, 452, 59156, 602, 453, 59459, 455, 456, 
	59762, 60073, 60376, 2493, 5310, 460, 4983, 970, 
	1022, 60679, 5272, 5569, 5603, 5613, 4565, 4974, 
	5159, 5865, 4875, 5869, 6165, 6462, 6759, 479, 
	1152, 60982, 1753, 1024, 835, 457, 459, 465, 
	61249, 55046, 61367, 61678, 62150, 62461, 62772, 63083, 
	63394, 1876, 2050, 874, 63705, 478, 807, 63819, 
	64130, 64441, 1094, 1189, 912, 494, 2172, 509, 
	561, 64752, 500, 501, 5453, 4897, 5490, 5761, 
	5792, 6354, 6651, 6674, 6942, 6971, 7105, 7241, 
	65063, 65177, 65479, 65589, 65923, 508, 512, 5514, 
	513, 517, 556, 2268, 599, 66361, 66672, 66975, 
	67278, 67545, 67617, 67709, 612, 3054, 770, 614, 
	8104, 8407, 1018, 1033, 9011, 7053, 7385, 7530, 
	8755, 9283, 9460, 9763, 9889, 703, 619, 10371, 
	11396, 11535, 11744, 67950, 68022, 68296, 640, 2308, 
	1191, 3269, 2497, 68368, 1305, 655, 662, 68609, 
	2282, 68681, 68955, 2937, 4658, 7091, 8284, 11962, 
	10082, 7568, 665, 667, 14011, 69270, 1164, 670, 
	69348, 69623, 70225, 70528, 690, 720, 675, 70830, 
	688, 71126, 69925, 730, 3082, 71510, 1099, 691, 
	71813, 72116, 705, 708, 11986, 735, 711, 935, 
	72419, 72731, 73042, 749, 3361, 2056, 1171, 73353, 
	721, 73467, 8296, 8797, 740, 7583, 73778, 741, 
	74080, 74173, 4100, 746, 74451, 752, 994, 74562, 
	761, 801, 74865, 1187, 13536, 14288, 771, 3564, 
	1332, 1407, 781, 75132, 15733, 75261, 785, 75535, 
	792, 75867, 76170, 76473, 76776, 10700, 8998, 77079, 
	77379, 15426, 75390, 77458, 77699, 798, 824, 77811, 
	78283, 78583, 3350, 3648, 802, 78676, 804, 78955, 
	79263, 0
};

static unsigned int pid_0_parser_targs[] = {
	1, 2, 3, 4, 5, 6, 7, 8, 
	9, 10, 11, 12, 13, 14, 15, 16, 
	17, 18, 19, 20, 21, 22, 23, 24, 
	25, 26, 27, 28, 29, 30, 31, 32, 
	33, 34, 35, 36, 37, 38, 39, 40, 
	41, 42, 43, 44, 45, 46, 47, 48, 
	49, 50, 51, 52, 53, 54, 55, 56, 
	57, 58, 59, 60, 60, 60, 60, 60, 
	61, 61, 62, 63, 64, 65, 66, 67, 
	68, 69, 70, 71, 72, 73, 74, 75, 
	76, 77, 78, 79, 80, 81, 82, 83, 
	84, 85, 86, 87, 88, 88, 89, 90, 
	91, 92, 93, 94, 95, 95, 96, 96, 
	97, 97, 98, 98, 99, 99, 100, 100, 
	101, 101, 102, 102, 103, 103, 104, 104, 
	105, 105, 106, 106, 107, 108, 109, 110, 
	111, 112, 113, 114, 115, 116, 117, 117, 
	118, 118, 119, 119, 120, 120, 121, 122, 
	123, 124, 125, 126, 127, 128, 129, 130, 
	131, 132, 133, 134, 135, 136, 137, 138, 
	139, 140, 141, 142, 143, 144, 145, 146, 
	147, 148, 149, 150, 151, 152, 153, 154, 
	155, 156, 157, 158, 159, 160, 161, 162, 
	163, 164, 165, 166, 167, 168, 169, 170, 
	171, 172, 173, 174, 175, 176, 177, 178, 
	179, 180, 181, 182, 183, 184, 185, 186, 
	187, 188, 189, 190, 191, 192, 193, 194, 
	195, 196, 197, 198, 199, 200, 201, 202, 
	203, 204, 204, 205, 206, 206, 207, 208, 
	209, 210, 211, 212, 213, 214, 215, 216, 
	217, 218, 219, 220, 221, 222, 223, 224, 
	225, 226, 227, 228, 229, 230, 231, 232, 
	233, 234, 235, 236, 237, 238, 239, 239, 
	240, 241, 242, 243, 243, 244, 244, 245, 
	245, 246, 246, 247, 248, 249, 250, 251, 
	252, 253, 254, 255, 256, 257, 258, 259, 
	260, 261, 262, 263, 264, 265, 266, 267, 
	268, 269, 270, 271, 272, 273, 274, 275, 
	276, 277, 278, 279, 280, 281, 282, 283, 
	284, 285, 286, 287, 288, 289, 290, 291, 
	292, 293, 294, 295, 295, 296, 296, 297, 
	297, 298, 298, 299, 300, 301, 302, 303, 
	304, 305, 306, 307, 308, 309, 310, 311, 
	312, 313, 314, 315, 316, 317, 318, 319, 
	320, 321, 322, 323, 324, 325, 326, 327, 
	328, 329, 330, 331, 332, 333, 334, 335, 
	336, 337, 338, 339, 340, 341, 342, 343, 
	344, 345, 346, 347, 348, 349, 350, 351, 
	352, 353, 354, 355, 356, 357, 358, 359, 
	360, 361, 362, 363, 364, 365, 366, 367, 
	368, 369, 370, 371, 372, 373, 374, 375, 
	376, 377, 378, 379, 380, 381, 382, 383, 
	384, 385, 386, 387, 388, 389, 390, 391, 
	392, 393, 394, 395, 396, 397, 398, 399, 
	400, 401, 402, 403, 404, 405, 406, 407, 
	408, 409, 410, 411, 412, 413, 414, 415, 
	416, 417, 418, 419, 420, 421, 422, 423, 
	424, 425, 426, 427, 428, 429, 430, 431, 
	432, 433, 434, 435, 436, 437, 438, 439, 
	439, 440, 440, 441, 441, 442, 443, 444, 
	445, 446, 447, 448, 449, 450, 451, 452, 
	453, 454, 455, 456, 457, 458, 459, 460, 
	461, 462, 463, 463, 464, 465, 466, 467, 
	468, 469, 470, 471, 472, 473, 474, 475, 
	476, 477, 478, 479, 480, 481, 482, 483, 
	484, 485, 486, 487, 488, 489, 490, 491, 
	492, 493, 494, 495, 496, 497, 498, 499, 
	500, 501, 502, 503, 504, 505, 506, 507, 
	508, 509, 510, 511, 512, 513, 514, 515, 
	516, 517, 518, 519, 520, 521, 521, 522, 
	522, 523, 523, 524, 524, 525, 526, 527, 
	528, 529, 530, 531, 532, 533, 534, 535, 
	536, 537, 538, 539, 540, 541, 542, 543, 
	544, 545, 546, 547, 548, 549, 550, 551, 
	552, 553, 554, 555, 556, 556, 557, 558, 
	559, 560, 561, 562, 563, 564, 565, 566, 
	567, 568, 569, 570, 571, 572, 573, 574, 
	575, 576, 577, 578, 579, 580, 581, 582, 
	583, 584, 585, 586, 587, 588, 589, 590, 
	591, 592, 593, 594, 595, 596, 597, 598, 
	599, 600, 601, 602, 603, 604, 605, 606, 
	607, 608, 609, 610, 611, 612, 613, 614, 
	615, 616, 617, 618, 619, 620, 621, 622, 
	623, 624, 625, 626, 627, 628, 629, 630, 
	631, 632, 633, 634, 635, 636, 637, 638, 
	639, 640, 641, 642, 643, 644, 645, 646, 
	647, 648, 649, 650, 651, 652, 653, 654, 
	655, 656, 657, 658, 659, 660, 661, 662, 
	663, 664, 665, 666, 667, 668, 669, 670, 
	671, 672, 673, 674, 675, 676, 677, 678, 
	679, 680, 681, 682, 683, 684, 685, 686, 
	687, 688, 689, 690, 691, 692, 693, 694, 
	695, 696, 697, 698, 699, 700, 701, 702, 
	703, 704, 705, 706, 707, 708, 709, 710, 
	711, 712, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713, 713, 713, 713, 713, 
	713, 713, 713, 713
};

static unsigned int pid_0_parser_actInds[] = {
	0, 2, 4, 6, 8, 10, 12, 14, 
	16, 18, 20, 22, 24, 26, 28, 30, 
	32, 34, 36, 38, 40, 42, 44, 46, 
	48, 50, 52, 54, 56, 58, 60, 62, 
	64, 66, 68, 70, 72, 74, 76, 78, 
	80, 82, 84, 86, 88, 90, 92, 94, 
	96, 98, 100, 102, 104, 106, 108, 110, 
	112, 114, 116, 118, 120, 123, 126, 129, 
	133, 135, 138, 140, 142, 144, 146, 148, 
	150, 152, 154, 156, 158, 160, 162, 164, 
	166, 168, 170, 172, 174, 176, 178, 180, 
	182, 184, 186, 188, 190, 192, 195, 197, 
	199, 201, 203, 205, 207, 209, 212, 214, 
	217, 219, 222, 224, 227, 229, 232, 234, 
	237, 239, 242, 244, 247, 249, 252, 254, 
	257, 259, 262, 264, 267, 269, 271, 273, 
	275, 277, 279, 281, 283, 285, 287, 289, 
	292, 294, 297, 299, 302, 304, 307, 309, 
	311, 313, 315, 318, 320, 322, 324, 326, 
	328, 330, 332, 334, 336, 338, 340, 342, 
	344, 346, 348, 350, 352, 354, 356, 358, 
	360, 362, 364, 366, 368, 370, 372, 374, 
	376, 378, 380, 382, 384, 386, 388, 390, 
	392, 394, 396, 398, 400, 402, 404, 406, 
	408, 410, 412, 414, 416, 418, 420, 422, 
	424, 426, 428, 430, 432, 434, 436, 438, 
	440, 442, 444, 446, 448, 450, 452, 454, 
	456, 458, 460, 462, 464, 466, 468, 470, 
	472, 474, 476, 479, 481, 483, 486, 488, 
	491, 493, 495, 497, 499, 501, 503, 505, 
	507, 509, 511, 513, 515, 517, 519, 521, 
	523, 525, 527, 529, 531, 533, 535, 537, 
	539, 541, 543, 545, 547, 549, 551, 553, 
	556, 558, 560, 562, 564, 567, 569, 572, 
	574, 577, 579, 582, 584, 586, 588, 590, 
	592, 594, 596, 598, 600, 602, 604, 606, 
	608, 610, 612, 614, 616, 618, 620, 622, 
	624, 626, 628, 630, 632, 634, 636, 638, 
	640, 642, 644, 646, 648, 650, 652, 654, 
	656, 658, 660, 662, 664, 666, 668, 670, 
	672, 674, 676, 678, 680, 683, 685, 688, 
	690, 693, 695, 698, 700, 702, 704, 706, 
	708, 710, 712, 714, 716, 718, 720, 722, 
	724, 726, 728, 730, 732, 734, 736, 738, 
	740, 742, 744, 746, 748, 750, 752, 754, 
	756, 758, 760, 762, 764, 766, 768, 770, 
	772, 774, 776, 778, 780, 782, 784, 786, 
	788, 790, 792, 794, 796, 798, 800, 802, 
	804, 806, 808, 810, 812, 814, 816, 818, 
	820, 822, 824, 826, 828, 830, 832, 834, 
	836, 838, 840, 842, 844, 846, 848, 850, 
	852, 854, 856, 858, 860, 862, 864, 866, 
	868, 870, 872, 874, 876, 878, 880, 882, 
	884, 886, 888, 890, 892, 894, 896, 898, 
	900, 902, 904, 906, 908, 910, 912, 914, 
	916, 918, 920, 922, 924, 926, 928, 930, 
	932, 934, 936, 938, 940, 942, 944, 946, 
	948, 950, 953, 955, 957, 959, 961, 963, 
	965, 967, 969, 971, 973, 975, 977, 979, 
	981, 984, 986, 989, 991, 994, 997, 1000, 
	1002, 1004, 1006, 1008, 1010, 1012, 1014, 1016, 
	1018, 1020, 1022, 1024, 1026, 1028, 1030, 1032, 
	1034, 1036, 1038, 1040, 1043, 1045, 1047, 1049, 
	1051, 1053, 1055, 1057, 1059, 1061, 1063, 1065, 
	1067, 1069, 1071, 1073, 1075, 1077, 1079, 1081, 
	1083, 1085, 1087, 1089, 1091, 1093, 1095, 1097, 
	1099, 1101, 1103, 1105, 1107, 1109, 1111, 1113, 
	1115, 1117, 1119, 1121, 1123, 1125, 1127, 1129, 
	1131, 1133, 1135, 1137, 1139, 1141, 1143, 1145, 
	1147, 1149, 1151, 1153, 1155, 1157, 1159, 1162, 
	1164, 1167, 1169, 1172, 1174, 1177, 1179, 1181, 
	1183, 1185, 1187, 1189, 1191, 1193, 1195, 1197, 
	1199, 1201, 1203, 1205, 1207, 1209, 1211, 1213, 
	1215, 1217, 1219, 1221, 1223, 1225, 1227, 1229, 
	1231, 1233, 1235, 1237, 1239, 1241, 1244, 1246, 
	1248, 1250, 1252, 1254, 1256, 1258, 1260, 1262, 
	1264, 1266, 1268, 1270, 1272, 1274, 1276, 1278, 
	1280, 1282, 1284, 1286, 1288, 1290, 1292, 1294, 
	1296, 1298, 1300, 1302, 1304, 1306, 1308, 1310, 
	1312, 1314, 1316, 1318, 1320, 1322, 1324, 1326, 
	1328, 1330, 1332, 1334, 1336, 1338, 1340, 1342, 
	1344, 1346, 1348, 1350, 1352, 1354, 1356, 1358, 
	1360, 1362, 1364, 1366, 1368, 1370, 1372, 1374, 
	1376, 1378, 1380, 1382, 1384, 1386, 1388, 1390, 
	1392, 1394, 1396, 1398, 1400, 1402, 1404, 1406, 
	1408, 1411, 1413, 1415, 1417, 1419, 1421, 1423, 
	1425, 1427, 1429, 1431, 1433, 1435, 1437, 1439, 
	1441, 1443, 1445, 1447, 1449, 1451, 1453, 1455, 
	1457, 1459, 1461, 1463, 1465, 1467, 1469, 1471, 
	1473, 1475, 1477, 1479, 1481, 1483, 1485, 1487, 
	1489, 1491, 1493, 1495, 1497, 1499, 1501, 1503, 
	1505, 1507, 1509, 1511, 1513, 1515, 1517, 1519, 
	1521, 1523, 1525, 1527, 1529, 1531, 1533, 1535, 
	1537, 1539, 1541, 1543, 1545, 1547, 1549, 1551, 
	1553, 1555, 1557, 1559, 1561, 1563, 1565, 1567, 
	1569, 1571, 1573, 1575, 1577, 1579, 1581, 1583, 
	1585, 1587, 1589, 1591, 1593, 1595, 1597, 1599, 
	1601, 1603, 1605, 1607, 1609, 1611, 1613, 1615, 
	1617, 1619, 1621, 1623, 1625, 1627, 1629, 1631, 
	1633, 1635, 1637, 1639, 1641, 1643, 1645, 1647, 
	1649, 1651, 1653, 1655, 1657, 1659, 1661, 1663, 
	1665, 1667, 1669, 1671, 1673, 1675, 1677, 1679, 
	1681, 1683, 1685, 1687, 1689, 1691, 1693, 1695, 
	1697, 1699, 1701, 1703, 1705, 1707, 1709, 1711, 
	1713, 1715, 1717, 1719, 1721, 1723, 1725, 1727, 
	1729, 1731, 1733, 1735, 1737, 1739, 1741, 1743, 
	1745, 1747, 1749, 1751, 1753, 1755, 1757, 1759, 
	1761, 1763, 1765, 1767, 1769, 1771, 1773, 1775, 
	1777, 1779, 1781, 1783, 1785, 1787, 1789, 1791, 
	1793, 1795, 1797, 1799, 1801, 1803, 1805, 1807, 
	1809, 1811, 1813, 1815, 1817, 1819, 1821, 1823, 
	1825, 1827, 1829, 1831, 1833, 1835, 1837, 1839, 
	1841, 1843, 1845, 1847, 1849, 1851, 1853, 1855, 
	1857, 1859, 1861, 1863, 1865, 1867, 1869, 1871, 
	1873, 1875, 1877, 1879, 1881, 1883, 1885, 1887, 
	1889, 1891, 1893, 1895, 1897, 1899, 1901, 1903, 
	1905, 1907, 1909, 1911, 1913, 1915, 1917, 1919, 
	1921, 1923, 1925, 1927, 1929, 1931, 1933, 1935, 
	1937, 1939, 1941, 1943, 1945, 1947, 1949, 1951, 
	1953, 1955, 1957, 1959, 1961, 1963, 1965, 1967, 
	1969, 1971, 1973, 1975, 1977, 1979, 1981, 1983, 
	1985, 1987, 1989, 1991, 1993, 1995, 1997, 1999, 
	2001, 2003, 2005, 2007, 2009, 2011, 2013, 2015, 
	2017, 2019, 2021, 2023, 2025, 2027, 2029, 2031, 
	2033, 2035, 2037, 2039, 2041, 2043, 2045, 2047, 
	2049, 2051, 2053, 2055, 2057, 2059, 2061, 2063, 
	2065, 2067, 2069, 2071, 2073, 2075, 2077, 2079, 
	2081, 2083, 2085, 2087, 2089, 2091, 2093, 2095, 
	2097, 2099, 2101, 2103, 2105, 2107, 2109, 2111, 
	2113, 2115, 2117, 2119, 2121, 2123, 2125, 2127, 
	2129, 2131, 2133, 2135, 2137, 2139, 2141, 2143, 
	2145, 2147, 2149, 2151, 2153, 2155, 2157, 2159, 
	2161, 2163, 2165, 2167, 2169, 2171, 2173, 2175, 
	2177, 2179, 2181, 2183, 2185, 2187, 2189, 2191, 
	2193, 2195, 2197, 2199, 2201, 2203, 2205, 2207, 
	2209, 2211, 2213, 2215, 2217, 2219, 2221, 2223, 
	2225, 2227, 2229, 2231, 2233, 2235, 2237, 2239, 
	2241, 2243, 2245, 2247, 2249, 2251, 2253, 2255, 
	2257, 2259, 2261, 2263, 2265, 2267, 2269, 2271, 
	2273, 2275, 2277, 2279, 2281, 2283, 2285, 2287, 
	2289, 2291, 2293, 2295, 2297, 2299, 2301, 2303, 
	2305, 2307, 2309, 2311, 2313, 2315, 2317, 2319, 
	2321, 2323, 2325, 2327, 2329, 2331, 2333, 2335, 
	2338, 2341, 2344, 2347
};

static unsigned int pid_0_parser_actions[] = {
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 238, 0, 234, 1, 0, 958, 1, 
	0, 238, 958, 1, 0, 1, 0, 238, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	238, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 238, 1, 0, 1, 0, 238, 1, 
	0, 1, 0, 238, 1, 0, 1, 0, 
	238, 1, 0, 1, 0, 238, 1, 0, 
	1, 0, 238, 1, 0, 1, 0, 238, 
	1, 0, 1, 0, 1, 1258, 0, 1, 
	0, 1, 1258, 0, 1, 0, 1, 1258, 
	0, 1, 0, 1, 1258, 0, 1, 0, 
	1, 1258, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 1206, 0, 1, 0, 1, 1206, 
	0, 1, 0, 1, 1206, 0, 1, 0, 
	1, 1206, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 982, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 1278, 0, 1, 
	0, 1, 0, 1258, 1, 0, 1, 0, 
	1, 842, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 1278, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 1086, 0, 1, 
	0, 1, 1086, 0, 1, 0, 1, 1086, 
	0, 1, 0, 1, 1086, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 566, 0, 1, 0, 566, 1, 0, 
	1, 0, 1, 566, 0, 1, 0, 566, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 1002, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 642, 1, 0, 
	1, 0, 1, 642, 0, 1, 0, 642, 
	1, 0, 1, 642, 0, 1, 642, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	566, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	1154, 0, 1, 0, 1, 1154, 0, 1, 
	0, 1, 1154, 0, 1, 0, 1, 1154, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 642, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 506, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 586, 0, 590, 
	0, 554, 0, 602, 0, 606, 0, 558, 
	0, 582, 0, 610, 0, 614, 0, 6, 
	0, 10, 0, 14, 0, 18, 0, 22, 
	0, 26, 0, 30, 0, 34, 0, 38, 
	0, 42, 0, 46, 0, 50, 0, 54, 
	0, 58, 0, 62, 0, 66, 0, 70, 
	0, 74, 0, 78, 0, 82, 0, 130, 
	0, 134, 0, 138, 0, 142, 0, 146, 
	0, 150, 0, 154, 0, 158, 0, 162, 
	0, 166, 0, 170, 0, 174, 0, 178, 
	0, 182, 0, 186, 0, 190, 0, 354, 
	0, 358, 0, 366, 0, 370, 0, 374, 
	0, 378, 0, 382, 0, 386, 0, 390, 
	0, 394, 0, 398, 0, 402, 0, 406, 
	0, 410, 0, 414, 0, 418, 0, 422, 
	0, 426, 0, 430, 0, 574, 0, 578, 
	0, 618, 0, 622, 0, 1, 0, 2, 
	0, 86, 0, 90, 0, 94, 0, 98, 
	0, 102, 0, 106, 0, 110, 0, 114, 
	0, 118, 0, 122, 0, 126, 0, 194, 
	0, 198, 0, 202, 0, 206, 0, 210, 
	0, 214, 0, 218, 0, 222, 0, 226, 
	0, 230, 0, 234, 0, 238, 0, 242, 
	0, 246, 0, 250, 0, 254, 0, 258, 
	0, 262, 0, 266, 0, 270, 0, 274, 
	0, 278, 0, 282, 0, 286, 0, 290, 
	0, 294, 0, 298, 0, 302, 0, 306, 
	0, 310, 0, 314, 0, 318, 0, 322, 
	0, 326, 0, 330, 0, 334, 0, 338, 
	0, 342, 0, 346, 0, 350, 0, 362, 
	0, 438, 0, 442, 0, 446, 0, 450, 
	0, 454, 0, 458, 0, 462, 0, 466, 
	0, 470, 0, 474, 0, 478, 0, 482, 
	0, 486, 0, 490, 0, 494, 0, 498, 
	0, 502, 0, 506, 0, 510, 0, 514, 
	0, 518, 0, 522, 0, 526, 0, 530, 
	0, 534, 0, 538, 0, 542, 0, 546, 
	0, 550, 0, 562, 0, 566, 0, 570, 
	0, 594, 0, 598, 0, 626, 0, 630, 
	0, 634, 0, 638, 0, 642, 0, 646, 
	0, 650, 0, 654, 0, 658, 0, 662, 
	0, 666, 0, 670, 0, 674, 0, 678, 
	0, 682, 0, 686, 0, 690, 0, 694, 
	0, 698, 0, 702, 0, 706, 0, 710, 
	0, 714, 0, 718, 0, 722, 0, 726, 
	0, 730, 0, 734, 0, 738, 0, 742, 
	0, 746, 0, 750, 0, 754, 0, 758, 
	0, 762, 0, 766, 0, 770, 0, 774, 
	0, 778, 0, 782, 0, 786, 0, 790, 
	0, 794, 0, 798, 0, 802, 0, 806, 
	0, 810, 0, 814, 0, 818, 0, 822, 
	0, 826, 0, 830, 0, 834, 0, 838, 
	0, 842, 0, 846, 0, 850, 0, 854, 
	0, 858, 0, 862, 0, 866, 0, 870, 
	0, 874, 0, 878, 0, 882, 0, 886, 
	0, 890, 0, 894, 0, 898, 0, 902, 
	0, 906, 0, 910, 0, 914, 0, 918, 
	0, 922, 0, 926, 0, 930, 0, 934, 
	0, 938, 0, 942, 0, 946, 0, 950, 
	0, 954, 0, 958, 0, 962, 0, 966, 
	0, 970, 0, 974, 0, 978, 0, 982, 
	0, 986, 0, 990, 0, 994, 0, 998, 
	0, 1002, 0, 1006, 0, 1010, 0, 1014, 
	0, 1018, 0, 1022, 0, 1026, 0, 1030, 
	0, 1034, 0, 1038, 0, 1042, 0, 1046, 
	0, 1050, 0, 1054, 0, 1058, 0, 1062, 
	0, 1066, 0, 1070, 0, 1074, 0, 1078, 
	0, 1082, 0, 1086, 0, 1090, 0, 1094, 
	0, 1098, 0, 1106, 0, 1110, 0, 1114, 
	0, 1118, 0, 1122, 0, 1126, 0, 1130, 
	0, 1134, 0, 1138, 0, 1142, 0, 1146, 
	0, 1150, 0, 1154, 0, 1158, 0, 1162, 
	0, 1166, 0, 1170, 0, 1174, 0, 1178, 
	0, 1182, 0, 1186, 0, 1190, 0, 1194, 
	0, 1198, 0, 1202, 0, 1206, 0, 1210, 
	0, 1214, 0, 1218, 0, 1222, 0, 1226, 
	0, 1230, 0, 1234, 0, 1238, 0, 1242, 
	0, 1246, 0, 1250, 0, 1254, 0, 1258, 
	0, 1262, 0, 1266, 0, 1270, 0, 1274, 
	0, 1282, 0, 1286, 0, 1290, 0, 1294, 
	0, 1298, 0, 1302, 0, 1306, 0, 1310, 
	0, 1314, 0, 1318, 0, 1322, 0, 1326, 
	0, 1330, 0, 1334, 0, 1338, 0, 1342, 
	0, 1346, 0, 1350, 0, 1354, 0, 1358, 
	0, 1362, 0, 1366, 0, 1370, 0, 1374, 
	0, 1378, 0, 1382, 0, 1386, 0, 1390, 
	0, 1394, 0, 1406, 0, 1410, 0, 1414, 
	0, 1418, 0, 1422, 0, 1426, 0, 1430, 
	0, 1434, 0, 1438, 0, 1442, 0, 1446, 
	0, 1450, 0, 1454, 0, 1458, 0, 1462, 
	0, 1466, 0, 1470, 0, 1474, 0, 1478, 
	0, 1482, 0, 1486, 0, 1490, 0, 1494, 
	0, 1498, 0, 1502, 0, 1506, 0, 1510, 
	0, 1514, 0, 1518, 0, 1522, 0, 1526, 
	0, 1530, 0, 1534, 0, 1538, 0, 1542, 
	0, 1546, 0, 1550, 0, 1554, 0, 1558, 
	0, 1562, 0, 1566, 0, 1570, 0, 1090, 
	1094, 0, 1090, 1098, 0, 1398, 1382, 0, 
	1402, 1386, 0, 1090, 1094, 1098, 0
};

static int pid_0_parser_commitLen[] = {
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, -7, -4, -3, -3, -3, -2, 
	-2, -2, -2, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0
};

static int pid_0_parser_tokenRegionInds[] = {
	1, 3, 5, 7, 9, 11, 13, 15, 
	17, 19, 21, 23, 25, 27, 29, 31, 
	33, 35, 37, 39, 41, 43, 45, 47, 
	49, 51, 53, 55, 58, 60, 62, 64, 
	66, 68, 70, 72, 74, 76, 78, 80, 
	82, 84, 87, 89, 91, 93, 95, 97, 
	99, 101, 103, 105, 107, 109, 111, 113, 
	115, 117, 119, 121, 123, 125, 127, 129, 
	131, 133, 136, 139, 142, 145, 147, 149, 
	151, 153, 156, 159, 162, 165, 168, 170, 
	172, 174, 176, 178, 180, 182, 184, 186, 
	189, 191, 193, 195, 197, 199, 201, 204, 
	208, 212, 214, 216, 218, 220, 222, 225, 
	227, 229, 231, 233, 235, 237, 240, 242, 
	244, 246, 248, 250, 253, 256, 258, 260, 
	262, 264, 266, 268, 270, 272, 274, 276, 
	278, 280, 282, 284, 286, 288, 290, 292, 
	294, 296, 298, 301, 303, 305, 307, 309, 
	311, 313, 315, 317, 319, 321, 323, 325, 
	327, 329, 331, 333, 335, 337, 339, 341, 
	343, 345, 347, 349, 351, 353, 355, 357, 
	360, 362, 364, 366, 368, 370, 373, 375, 
	377, 379, 382, 385, 387, 390, 393, 395, 
	397, 399, 401, 403, 405, 407, 409, 411, 
	413, 415, 417, 419, 421, 423, 425, 427, 
	429, 431, 433, 435, 437, 441, 443, 446, 
	448, 450, 452, 455, 457, 460, 462, 464, 
	466, 468, 470, 472, 475, 477, 479, 481, 
	484, 486, 488, 490, 492, 494, 497, 499, 
	501, 503, 505, 507, 509, 511, 513, 515, 
	517, 520, 523, 526, 528, 530, 532, 534, 
	537, 540, 542, 544, 546, 548, 550, 552, 
	554, 556, 558, 560, 562, 564, 566, 568, 
	570, 572, 574, 576, 578, 580, 582, 584, 
	586, 588, 591, 593, 595, 597, 599, 601, 
	603, 605, 607, 609, 611, 613, 615, 617, 
	619, 621, 623, 625, 627, 629, 631, 633, 
	635, 637, 639, 641, 643, 645, 647, 650, 
	652, 654, 656, 659, 661, 663, 666, 669, 
	672, 674, 677, 680, 683, 686, 688, 690, 
	692, 695, 698, 701, 704, 707, 709, 711, 
	713, 715, 717, 719, 721, 723, 725, 727, 
	729, 731, 733, 735, 737, 739, 741, 743, 
	745, 747, 749, 751, 753, 755, 758, 761, 
	764, 767, 770, 773, 776, 779, 782, 785, 
	788, 791, 794, 798, 800, 805, 810, 815, 
	818, 820, 822, 825, 827, 829, 831, 833, 
	835, 838, 841, 843, 846, 849, 852, 855, 
	858, 860, 862, 864, 866, 869, 871, 873, 
	875, 877, 880, 883, 886, 888, 890, 892, 
	895, 898, 901, 903, 905, 907, 909, 911, 
	913, 915, 917, 919, 921, 923, 925, 927, 
	929, 932, 934, 936, 938, 941, 943, 945, 
	947, 949, 951, 954, 957, 960, 963, 966, 
	968, 970, 972, 974, 976, 978, 980, 982, 
	984, 986, 988, 990, 992, 996, 1000, 1004, 
	1006, 1008, 1010, 1012, 1014, 1016, 1018, 1020, 
	1022, 1024, 1026, 1028, 1030, 1032, 1034, 1036, 
	1038, 1041, 1044, 1047, 1049, 1051, 1053, 1055, 
	1057, 1059, 1061, 1063, 1065, 1067, 1069, 1071, 
	1073, 1076, 1078, 1080, 1082, 1084, 1086, 1089, 
	1091, 1093, 1095, 1097, 1099, 1101, 1103, 1105, 
	1107, 1109, 1111, 1113, 1116, 1119, 1122, 1125, 
	1128, 1130, 1132, 1134, 1136, 1138, 1140, 1142, 
	1144, 1146, 1148, 1151, 1154, 1157, 1160, 1163, 
	1166, 1169, 1171, 1173, 1175, 1177, 1179, 1181, 
	1184, 1187, 1190, 1192, 1194, 1196, 1198, 1201, 
	1203, 1206, 1209, 1211, 1213, 1215, 1217, 1219, 
	1221, 1223, 1225, 1227, 1229, 1231, 1233, 1235, 
	1237, 1239, 1241, 1243, 1245, 1247, 1249, 1251, 
	1253, 1255, 1257, 1259, 1261, 1263, 1266, 1268, 
	1270, 1272, 1275, 1278, 1281, 1283, 1285, 1287, 
	1289, 1292, 1295, 1297, 1299, 1302, 1304, 1306, 
	1308, 1310, 1313, 1316, 1319, 1322, 1324, 1326, 
	1329, 1332, 1335, 1338, 1341, 1344, 1347, 1349, 
	1351, 1353, 1355, 1357, 1360, 1362, 1364, 1366, 
	1369, 1371, 1373, 1376, 1378, 1381, 1384, 1387, 
	1390, 1393, 1395, 1397, 1399, 1401, 1403, 1405, 
	1407, 1409, 1411, 1415, 1419, 1421, 1423, 1425, 
	1427, 1429, 1432, 1434, 1436, 1438, 1440, 1442, 
	1444, 1446, 1448, 1450, 1452, 1455, 1458, 1460, 
	1462, 1465, 1468, 1471, 1473, 1475, 1477, 1479, 
	1482, 1485, 1488, 1491, 1494, 1496, 1498, 1500, 
	1502, 1504, 1506, 1508, 1510, 1512, 1514, 1516, 
	1518, 1520, 1522, 1524, 1526, 1529, 1532, 1534, 
	1536, 1538, 1540, 1542, 1545, 1547, 1549, 1551, 
	1553, 1555, 1557, 1559, 1561, 1563, 1565, 1567, 
	1569, 1571, 1574, 1577, 1580, 1583, 1585, 1587, 
	1589, 1591, 1593, 1595, 1597, 1599, 1601, 1603, 
	1605, 1607
};

static int pid_0_parser_tokenRegions[] = {
	0, 1, 0, 0, 0, 0, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 17, 25, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 0, 1, 0, 1, 17, 0, 
	17, 0, 17, 0, 17, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	5, 0, 9, 0, 13, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 9, 0, 1, 0, 5, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	9, 0, 9, 0, 13, 0, 13, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 17, 25, 
	0, 1, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 17, 0, 1, 
	0, 1, 17, 0, 1, 0, 17, 0, 
	17, 0, 5, 0, 5, 0, 5, 0, 
	1, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 5, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 25, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 9, 0, 
	1, 17, 0, 5, 0, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	9, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 17, 25, 0, 1, 0, 
	1, 17, 25, 5, 0, 1, 17, 25, 
	5, 0, 1, 17, 25, 5, 0, 1, 
	5, 0, 1, 0, 1, 0, 1, 17, 
	0, 1, 0, 1, 0, 17, 0, 17, 
	0, 17, 0, 1, 17, 0, 1, 17, 
	0, 17, 0, 1, 17, 0, 1, 17, 
	0, 1, 17, 0, 1, 17, 0, 1, 
	17, 0, 17, 0, 21, 0, 21, 0, 
	17, 0, 17, 1, 0, 17, 0, 17, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 5, 0, 5, 0, 5, 
	0, 1, 5, 0, 9, 0, 13, 0, 
	1, 0, 1, 5, 0, 1, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 25, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 17, 25, 0, 1, 17, 25, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 17, 0, 17, 0, 1, 17, 
	0, 21, 0, 21, 0, 1, 0, 17, 
	0, 17, 0, 17, 0, 17, 0, 17, 
	0, 17, 0, 17, 0, 17, 0, 17, 
	0, 17, 1, 0, 17, 1, 0, 17, 
	1, 0, 17, 1, 0, 17, 1, 0, 
	17, 0, 1, 0, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	5, 0, 9, 0, 13, 0, 1, 5, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	5, 0, 1, 0, 1, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 17, 
	0, 1, 17, 0, 1, 17, 0, 21, 
	0, 21, 0, 1, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 0, 17, 1, 
	0, 17, 1, 0, 17, 1, 0, 17, 
	1, 0, 1, 0, 17, 0, 1, 17, 
	0, 1, 17, 0, 1, 17, 0, 1, 
	17, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 0, 1, 0, 5, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 25, 0, 25, 0, 25, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 17, 25, 0, 1, 
	17, 25, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	21, 0, 1, 0, 1, 17, 0, 17, 
	1, 0, 5, 0, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 25, 0, 
	25, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 21, 0, 1, 17, 
	0, 1, 17, 0, 1, 0, 5, 0, 
	5, 0, 9, 0, 13, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 17, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 0
};

static int pid_0_parser_tokenPreRegions[] = {
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, -1, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, -1, 0, 3, 3, 0, 3, 
	3, 0, 3, 3, 0, 3, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, -1, 0, -1, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, -1, 0, 3, 3, 3, 0, 
	3, 3, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, 3, 0, -1, 0, 3, 3, 0, 
	3, 0, -1, 0, 3, 0, 3, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, 3, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 3, 3, 
	0, -1, 0, -1, -1, 0, 3, 0, 
	3, 0, -1, 0, -1, -1, 0, 3, 
	0, -1, -1, 0, 3, 0, 19, 0, 
	19, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, -1, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, 3, 3, 0, 3, 3, 0, 
	-1, -1, 0, 3, 0, 3, 0, 3, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, -1, 0, 3, 0, 
	3, 3, 3, 3, 0, 3, 3, 3, 
	3, 0, 3, 3, 3, 3, 0, 3, 
	3, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, 19, 0, -1, -1, 0, 19, 19, 
	0, 19, 19, 0, 19, 19, 0, 19, 
	19, 0, -1, 0, -1, 0, -1, 0, 
	19, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, 3, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	-1, 0, -1, -1, 0, 3, 3, 0, 
	3, 3, 0, -1, -1, 0, -1, 0, 
	3, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	3, 3, 3, 0, 3, 3, 3, 0, 
	3, 3, 3, 0, 3, 0, 3, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, 3, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, 3, 3, 0, 3, 3, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, 3, 
	0, 3, 3, 0, -1, 0, -1, 0, 
	3, 0, 19, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, 19, 0, 19, 
	0, 19, 0, 19, 0, 19, 0, -1, 
	0, 19, 0, 19, 0, 19, 0, 19, 
	0, 19, 19, 0, 19, 19, 0, 19, 
	19, 0, 19, 19, 0, 3, 3, 0, 
	19, 0, 19, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, 3, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, -1, 0, 3, 3, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, 19, 19, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, 19, 0, 3, 0, -1, -1, 
	0, 19, 19, 0, 19, 19, 0, 19, 
	19, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, 3, 3, 0, 3, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, 3, 3, 3, 0, 3, 
	3, 3, 0, -1, 0, -1, 0, 3, 
	0, 3, 0, -1, 0, 3, 3, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	-1, 0, 3, 0, -1, 0, 19, 0, 
	-1, 0, 19, 0, 3, 3, 0, 3, 
	3, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, -1, 0, 3, 3, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	3, 0, 3, 0, -1, 0, 3, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, 3, 3, 0, 19, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, -1, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, 3, 0, 3, 3, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, 3, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, 0
};

static struct pda_tables pid_0_pdaTables =
{
	pid_0_parser_indicies,
	pid_0_parser_owners,
	pid_0_parser_keys,
	pid_0_parser_offsets,
	pid_0_parser_targs,
	pid_0_parser_actInds,
	pid_0_parser_actions,
	pid_0_parser_commitLen,
	pid_0_parser_tokenRegionInds,
	pid_0_parser_tokenRegions,
	pid_0_parser_tokenPreRegions,

	79735,
	1428,
	714,
	1148,
	1148,
	2351,
	1148,
	1608,
	1608
};

static struct local_info locals_0[] = {
	{ 1, -1 }, { 1, -2 }
};

static unsigned char copy_0[] = {
	0, 0
};

static unsigned char copy_1[] = {
	0, 0
};

static unsigned char copy_2[] = {
	0, 0
};

static unsigned char copy_3[] = {
	0, 0
};

static unsigned char copy_4[] = {
	0, 0
};

static unsigned char copy_5[] = {
	0, 0
};

static unsigned char copy_6[] = {
	0, 0
};

static unsigned char copy_7[] = {
	0, 0
};

static unsigned char copy_8[] = {
	0, 0
};

static unsigned char copy_9[] = {
	0, 0
};

static unsigned char copy_10[] = {
	0, 0
};

static unsigned char copy_11[] = {
	0, 0
};

static unsigned char copy_12[] = {
	0, 0
};

static unsigned char copy_13[] = {
	0, 0
};

static unsigned char copy_14[] = {
	0, 0
};

static unsigned char copy_15[] = {
	0, 0
};

static unsigned char copy_16[] = {
	0, 0
};

static unsigned char copy_17[] = {
	0, 0
};

static unsigned char copy_18[] = {
	0, 0
};

static unsigned char copy_19[] = {
	0, 0
};

static unsigned char copy_20[] = {
	0, 0
};

static unsigned char copy_21[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_22[] = {
	0, 0, 0, 1
};

static unsigned char copy_23[] = {
	0, 0
};

static unsigned char copy_24[] = {
	0, 0
};

static unsigned char copy_25[] = {
	0, 0
};

static unsigned char copy_26[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_27[] = {
	0, 0
};

static unsigned char copy_28[] = {
	0, 0, 0, 1
};

static unsigned char copy_29[] = {
	0, 0, 0, 1
};

static unsigned char copy_30[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_31[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_32[] = {
	0, 0
};

static unsigned char copy_33[] = {
	0, 0
};

static unsigned char copy_34[] = {
	0, 0
};

static unsigned char copy_35[] = {
	0, 0
};

static unsigned char copy_36[] = {
	0, 0
};

static unsigned char copy_37[] = {
	0, 0
};

static unsigned char copy_38[] = {
	0, 0
};

static unsigned char copy_39[] = {
	0, 0
};

static unsigned char copy_40[] = {
	0, 0
};

static unsigned char copy_41[] = {
	0, 0
};

static unsigned char copy_42[] = {
	0, 0
};

static unsigned char copy_43[] = {
	0, 0
};

static unsigned char copy_44[] = {
	0, 0
};

static unsigned char copy_45[] = {
	0, 0
};

static unsigned char copy_46[] = {
	0, 0
};

static unsigned char copy_47[] = {
	0, 0
};

static unsigned char copy_48[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_49[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_50[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_51[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_52[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_53[] = {
	0, 0
};

static unsigned char copy_54[] = {
	0, 0
};

static unsigned char copy_56[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_57[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_58[] = {
	0, 0
};

static unsigned char copy_60[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_61[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_62[] = {
	0, 0
};

static unsigned char copy_63[] = {
	0, 0
};

static unsigned char copy_64[] = {
	0, 0
};

static unsigned char copy_65[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_66[] = {
	0, 0, 0, 1
};

static unsigned char copy_67[] = {
	0, 0, 0, 1
};

static unsigned char copy_68[] = {
	0, 0
};

static unsigned char copy_69[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_70[] = {
	0, 0, 0, 1
};

static unsigned char copy_72[] = {
	0, 0, 0, 1
};

static unsigned char copy_74[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_75[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_76[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_77[] = {
	0, 0
};

static unsigned char copy_78[] = {
	0, 0
};

static unsigned char copy_79[] = {
	0, 0
};

static unsigned char copy_80[] = {
	0, 0
};

static unsigned char copy_81[] = {
	0, 0
};

static unsigned char copy_82[] = {
	0, 0
};

static unsigned char copy_83[] = {
	0, 0
};

static unsigned char copy_84[] = {
	0, 0
};

static unsigned char copy_85[] = {
	0, 0
};

static unsigned char copy_86[] = {
	0, 0
};

static unsigned char copy_87[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_88[] = {
	0, 0
};

static unsigned char copy_89[] = {
	0, 0
};

static unsigned char copy_90[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_91[] = {
	0, 0
};

static unsigned char copy_92[] = {
	0, 0
};

static unsigned char copy_93[] = {
	0, 0
};

static unsigned char copy_94[] = {
	0, 0
};

static unsigned char copy_95[] = {
	0, 0
};

static unsigned char copy_96[] = {
	0, 0
};

static unsigned char copy_97[] = {
	0, 0
};

static unsigned char copy_98[] = {
	0, 0
};

static unsigned char copy_99[] = {
	0, 0
};

static unsigned char copy_100[] = {
	0, 0
};

static unsigned char copy_101[] = {
	0, 0
};

static unsigned char copy_102[] = {
	0, 0
};

static unsigned char copy_103[] = {
	0, 0
};

static unsigned char copy_104[] = {
	0, 0
};

static unsigned char copy_105[] = {
	0, 0
};

static unsigned char copy_106[] = {
	0, 0
};

static unsigned char copy_107[] = {
	0, 0
};

static unsigned char copy_109[] = {
	0, 0
};

static unsigned char copy_111[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_112[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_113[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_114[] = {
	0, 0
};

static unsigned char copy_116[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_117[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_118[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_120[] = {
	0, 0
};

static unsigned char copy_122[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_123[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_124[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_125[] = {
	0, 0, 0, 1
};

static unsigned char copy_127[] = {
	0, 0, 0, 1
};

static unsigned char copy_129[] = {
	0, 0
};

static unsigned char copy_131[] = {
	0, 0, 0, 1
};

static unsigned char copy_133[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_134[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_136[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_137[] = {
	0, 0
};

static unsigned char copy_138[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_139[] = {
	0, 0, 0, 1
};

static unsigned char copy_140[] = {
	0, 0, 0, 1
};

static unsigned char copy_141[] = {
	0, 0
};

static unsigned char copy_142[] = {
	0, 0
};

static unsigned char copy_143[] = {
	0, 0
};

static unsigned char copy_144[] = {
	0, 0
};

static unsigned char copy_145[] = {
	0, 0, 0, 1
};

static unsigned char copy_146[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6
};

static unsigned char copy_147[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_148[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_149[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_150[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_151[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_152[] = {
	0, 0, 0, 1
};

static unsigned char copy_153[] = {
	0, 0, 0, 1
};

static unsigned char copy_154[] = {
	0, 0
};

static unsigned char copy_155[] = {
	0, 0
};

static unsigned char copy_156[] = {
	0, 0, 0, 1
};

static unsigned char copy_157[] = {
	0, 0
};

static unsigned char copy_158[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_159[] = {
	0, 0, 0, 1
};

static unsigned char copy_161[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_162[] = {
	0, 0
};

static unsigned char copy_163[] = {
	0, 0
};

static unsigned char copy_165[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_166[] = {
	0, 0, 0, 1
};

static unsigned char copy_167[] = {
	0, 0, 0, 1
};

static unsigned char copy_168[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_169[] = {
	0, 0
};

static unsigned char copy_170[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_171[] = {
	0, 0, 0, 1
};

static unsigned char copy_173[] = {
	0, 0, 0, 1
};

static unsigned char copy_174[] = {
	0, 0, 0, 1
};

static unsigned char copy_176[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_177[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_178[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_179[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_180[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_181[] = {
	0, 0, 0, 1
};

static unsigned char copy_182[] = {
	0, 0
};

static unsigned char copy_183[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_184[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_185[] = {
	0, 0
};

static unsigned char copy_186[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_187[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_188[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_189[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_190[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_191[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_192[] = {
	0, 0
};

static unsigned char copy_193[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_194[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_195[] = {
	0, 0
};

static unsigned char copy_196[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_197[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_198[] = {
	0, 0
};

static unsigned char copy_199[] = {
	0, 0, 0, 1
};

static unsigned char copy_200[] = {
	0, 0, 0, 1
};

static unsigned char copy_201[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_202[] = {
	0, 0, 0, 1
};

static unsigned char copy_203[] = {
	0, 0, 0, 1
};

static unsigned char copy_204[] = {
	0, 0
};

static unsigned char copy_205[] = {
	0, 0
};

static unsigned char copy_206[] = {
	0, 0
};

static unsigned char copy_208[] = {
	0, 0
};

static unsigned char copy_209[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_210[] = {
	0, 0
};

static unsigned char copy_211[] = {
	0, 0
};

static unsigned char copy_212[] = {
	0, 0
};

static unsigned char copy_213[] = {
	0, 0
};

static unsigned char copy_214[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_215[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_216[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_217[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_218[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_219[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_220[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_221[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_222[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_223[] = {
	0, 0
};

static unsigned char copy_224[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_225[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_226[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_227[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_228[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_229[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_230[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_231[] = {
	0, 0
};

static unsigned char copy_232[] = {
	0, 0
};

static unsigned char copy_233[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_234[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_235[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_236[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_237[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_238[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_240[] = {
	0, 0
};

static unsigned char copy_241[] = {
	0, 0
};

static unsigned char copy_242[] = {
	0, 0
};

static unsigned char copy_244[] = {
	0, 0, 0, 1
};

static unsigned char copy_246[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_248[] = {
	0, 0
};

static unsigned char copy_249[] = {
	0, 0, 0, 1
};

static unsigned char copy_251[] = {
	0, 0
};

static unsigned char copy_252[] = {
	0, 0
};

static unsigned char copy_253[] = {
	0, 0
};

static unsigned char copy_254[] = {
	0, 0
};

static unsigned char copy_255[] = {
	0, 0
};

static unsigned char copy_257[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_258[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_259[] = {
	0, 0, 0, 1
};

static unsigned char copy_260[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_261[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_262[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_263[] = {
	0, 0
};

static unsigned char copy_264[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_265[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_266[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_267[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_268[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_269[] = {
	0, 0, 0, 1
};

static unsigned char copy_270[] = {
	0, 0
};

static unsigned char copy_271[] = {
	0, 0
};

static unsigned char copy_276[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_277[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_278[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_279[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_280[] = {
	0, 0, 0, 1
};

static unsigned char copy_281[] = {
	0, 0
};

static unsigned char copy_282[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_283[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_284[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_285[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_286[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_287[] = {
	0, 0, 0, 1
};

static unsigned char copy_288[] = {
	0, 0
};

static unsigned char copy_289[] = {
	0, 0
};

static unsigned char copy_290[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_291[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_292[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_293[] = {
	0, 0, 0, 1
};

static unsigned char copy_294[] = {
	0, 0
};

static unsigned char copy_295[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_296[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_297[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_298[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_299[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_300[] = {
	0, 0, 0, 1
};

static unsigned char copy_301[] = {
	0, 0
};

static unsigned char copy_302[] = {
	0, 0
};

static unsigned char copy_303[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_304[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_305[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_306[] = {
	0, 0, 0, 1
};

static unsigned char copy_307[] = {
	0, 0
};

static unsigned char copy_308[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_309[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_310[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_311[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_312[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_313[] = {
	0, 0, 0, 1
};

static unsigned char copy_314[] = {
	0, 0
};

static unsigned char copy_315[] = {
	0, 0
};

static unsigned char copy_316[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_317[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_318[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_320[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_321[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_322[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_323[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_324[] = {
	0, 0
};

static unsigned char copy_325[] = {
	0, 0
};

static unsigned char copy_327[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_328[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_329[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_330[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_331[] = {
	0, 0
};

static unsigned char copy_332[] = {
	0, 0, 0, 1
};

static unsigned char copy_333[] = {
	0, 0, 0, 1
};

static unsigned char copy_334[] = {
	0, 0, 0, 1
};

static unsigned char copy_335[] = {
	0, 0, 0, 1
};

static unsigned char copy_336[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_337[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_338[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_339[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_340[] = {
	0, 0
};

static unsigned char copy_341[] = {
	0, 0, 0, 1
};

static unsigned char copy_342[] = {
	0, 0
};

static unsigned char copy_343[] = {
	0, 0
};

static unsigned char copy_344[] = {
	0, 0
};

static unsigned char copy_345[] = {
	0, 0
};

static unsigned char copy_346[] = {
	0, 0
};

static unsigned char copy_347[] = {
	0, 0
};

static unsigned char copy_348[] = {
	0, 0
};

static unsigned char copy_349[] = {
	0, 0
};

static unsigned char copy_350[] = {
	0, 0
};

static unsigned char copy_351[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_352[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_353[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_354[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_355[] = {
	0, 0, 0, 1
};

static unsigned char copy_357[] = {
	0, 0
};

static unsigned char copy_358[] = {
	0, 0, 0, 1, 0, 2
};

static code_t parser_rootCode[] = {
	255, 8, 3, 0, 255, 7, 2, 0, 
	85, 147, 2, 0, 255, 52, 2, 0, 
	39, 255, 255, 241, 1, 0, 37, 255, 
	255, 2, 1, 0, 0, 0, 0, 0, 
	0, 0, 180, 150, 160, 162, 0, 0, 
	177, 163, 160, 171, 0, 0, 177, 172, 
	31, 91, 1, 0, 226, 91, 0, 0, 
	242, 39, 254, 255, 29, 37, 254, 255, 
	87, 251, 0, 0, 85, 204, 87, 251, 
	1, 0, 255, 10
};

static struct lang_el_info parser_lelInfo[] = {
	{ "__UNUSED",  "__UNUSED", 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0 },
	{ "ptr",  "ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_void",  "void", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "str",  "str", 0, 0, 0, 0, -1, 286, 0, 0, 0, -1, 0, 0 },
	{ "il",  "il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "DEF",  "DEF", 0, 0, 0, 0, -1, 4, 0, 0, 0, -1, 0, 0 },
	{ "LEX",  "LEX", 0, 0, 0, 0, -1, 5, 0, 0, 0, -1, 0, 0 },
	{ "END",  "END", 0, 0, 0, 0, -1, 6, 0, 0, 0, -1, 0, 0 },
	{ "TOKEN",  "TOKEN", 0, 0, 0, 0, -1, 7, 0, 0, 0, -1, 0, 0 },
	{ "RL",  "RL", 0, 0, 0, 0, -1, 8, 0, 0, 0, -1, 0, 0 },
	{ "IGNORE",  "IGNORE", 0, 0, 0, 0, -1, 9, 0, 0, 0, -1, 0, 0 },
	{ "PRINT",  "PRINT", 0, 0, 0, 0, -1, 10, 0, 0, 0, -1, 0, 0 },
	{ "PRINTS",  "PRINTS", 0, 0, 0, 0, -1, 11, 0, 0, 0, -1, 0, 0 },
	{ "PRINT_XML",  "PRINT_XML", 0, 0, 0, 0, -1, 12, 0, 0, 0, -1, 0, 0 },
	{ "PRINT_XML_AC",  "PRINT_XML_AC", 0, 0, 0, 0, -1, 13, 0, 0, 0, -1, 0, 0 },
	{ "PARSE",  "PARSE", 0, 0, 0, 0, -1, 14, 0, 0, 0, -1, 0, 0 },
	{ "REDUCE",  "REDUCE", 0, 0, 0, 0, -1, 15, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_TREE",  "PARSE_TREE", 0, 0, 0, 0, -1, 16, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_STOP",  "PARSE_STOP", 0, 0, 0, 0, -1, 17, 0, 0, 0, -1, 0, 0 },
	{ "CONS",  "CONS", 0, 0, 0, 0, -1, 18, 0, 0, 0, -1, 0, 0 },
	{ "MATCH",  "MATCH", 0, 0, 0, 0, -1, 19, 0, 0, 0, -1, 0, 0 },
	{ "REQUIRE",  "REQUIRE", 0, 0, 0, 0, -1, 20, 0, 0, 0, -1, 0, 0 },
	{ "SEND",  "SEND", 0, 0, 0, 0, -1, 21, 0, 0, 0, -1, 0, 0 },
	{ "SEND_TREE",  "SEND_TREE", 0, 0, 0, 0, -1, 22, 0, 0, 0, -1, 0, 0 },
	{ "NAMESPACE",  "NAMESPACE", 0, 0, 0, 0, -1, 23, 0, 0, 0, -1, 0, 0 },
	{ "REDUCTION",  "REDUCTION", 0, 0, 0, 0, -1, 24, 0, 0, 0, -1, 0, 0 },
	{ "FOR",  "FOR", 0, 0, 0, 0, -1, 25, 0, 0, 0, -1, 0, 0 },
	{ "IF",  "IF", 0, 0, 0, 0, -1, 26, 0, 0, 0, -1, 0, 0 },
	{ "YIELD",  "YIELD", 0, 0, 0, 0, -1, 27, 0, 0, 0, -1, 0, 0 },
	{ "WHILE",  "WHILE", 0, 0, 0, 0, -1, 28, 0, 0, 0, -1, 0, 0 },
	{ "ELSIF",  "ELSIF", 0, 0, 0, 0, -1, 29, 0, 0, 0, -1, 0, 0 },
	{ "ELSE",  "ELSE", 0, 0, 0, 0, -1, 30, 0, 0, 0, -1, 0, 0 },
	{ "IN",  "IN", 0, 0, 0, 0, -1, 31, 0, 0, 0, -1, 0, 0 },
	{ "PARSER",  "PARSER", 0, 0, 0, 0, -1, 32, 0, 0, 0, -1, 0, 0 },
	{ "LIST",  "LIST", 0, 0, 0, 0, -1, 33, 0, 0, 0, -1, 0, 0 },
	{ "LIST_EL",  "LIST_EL", 0, 0, 0, 0, -1, 34, 0, 0, 0, -1, 0, 0 },
	{ "MAP",  "MAP", 0, 0, 0, 0, -1, 35, 0, 0, 0, -1, 0, 0 },
	{ "MAP_EL",  "MAP_EL", 0, 0, 0, 0, -1, 36, 0, 0, 0, -1, 0, 0 },
	{ "PTR",  "PTR", 0, 0, 0, 0, -1, 37, 0, 0, 0, -1, 0, 0 },
	{ "ITER",  "ITER", 0, 0, 0, 0, -1, 38, 0, 0, 0, -1, 0, 0 },
	{ "REF",  "REF", 0, 0, 0, 0, -1, 39, 0, 0, 0, -1, 0, 0 },
	{ "EXPORT",  "EXPORT", 0, 0, 0, 0, -1, 40, 0, 0, 0, -1, 0, 0 },
	{ "RETURN",  "RETURN", 0, 0, 0, 0, -1, 41, 0, 0, 0, -1, 0, 0 },
	{ "BREAK",  "BREAK", 0, 0, 0, 0, -1, 42, 0, 0, 0, -1, 0, 0 },
	{ "REJECT",  "REJECT", 0, 0, 0, 0, -1, 43, 0, 0, 0, -1, 0, 0 },
	{ "REDUCEFIRST",  "REDUCEFIRST", 0, 0, 0, 0, -1, 44, 0, 0, 0, -1, 0, 0 },
	{ "ALIAS",  "ALIAS", 0, 0, 0, 0, -1, 45, 0, 0, 0, -1, 0, 0 },
	{ "COMMIT",  "COMMIT", 0, 0, 0, 0, -1, 46, 0, 0, 0, -1, 0, 0 },
	{ "NEW",  "NEW", 0, 0, 0, 0, -1, 47, 0, 0, 0, -1, 0, 0 },
	{ "PREEOF",  "PREEOF", 0, 0, 0, 0, -1, 48, 0, 0, 0, -1, 0, 0 },
	{ "GLOBAL",  "GLOBAL", 0, 0, 0, 0, -1, 49, 0, 0, 0, -1, 0, 0 },
	{ "EOS",  "EOS", 0, 0, 0, 0, -1, 50, 0, 0, 0, -1, 0, 0 },
	{ "CAST",  "CAST", 0, 0, 0, 0, -1, 51, 0, 0, 0, -1, 0, 0 },
	{ "SWITCH",  "SWITCH", 0, 0, 0, 0, -1, 52, 0, 0, 0, -1, 0, 0 },
	{ "CASE",  "CASE", 0, 0, 0, 0, -1, 53, 0, 0, 0, -1, 0, 0 },
	{ "DEFAULT",  "DEFAULT", 0, 0, 0, 0, -1, 54, 0, 0, 0, -1, 0, 0 },
	{ "INT",  "INT", 0, 0, 0, 0, -1, 55, 0, 0, 0, -1, 0, 0 },
	{ "BOOL",  "BOOL", 0, 0, 0, 0, -1, 56, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TOKEN",  "MAKE_TOKEN", 0, 0, 0, 0, -1, 57, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TREE",  "MAKE_TREE", 0, 0, 0, 0, -1, 58, 0, 0, 0, -1, 0, 0 },
	{ "TYPEID",  "TYPEID", 0, 0, 0, 0, -1, 59, 0, 0, 0, -1, 0, 0 },
	{ "LITERAL",  "LITERAL", 0, 0, 0, 0, -1, 60, 0, 0, 0, -1, 0, 0 },
	{ "CONTEXT",  "CONTEXT", 0, 0, 0, 0, -1, 61, 0, 0, 0, -1, 0, 0 },
	{ "STRUCT",  "STRUCT", 0, 0, 0, 0, -1, 62, 0, 0, 0, -1, 0, 0 },
	{ "NI",  "NI", 0, 0, 0, 0, -1, 63, 0, 0, 0, -1, 0, 0 },
	{ "NIL",  "NIL", 0, 0, 0, 0, -1, 64, 0, 0, 0, -1, 0, 0 },
	{ "TRUE",  "TRUE", 0, 0, 0, 0, -1, 65, 0, 0, 0, -1, 0, 0 },
	{ "FALSE",  "FALSE", 0, 0, 0, 0, -1, 66, 0, 0, 0, -1, 0, 0 },
	{ "LEFT",  "LEFT", 0, 0, 0, 0, -1, 67, 0, 0, 0, -1, 0, 0 },
	{ "RIGHT",  "RIGHT", 0, 0, 0, 0, -1, 68, 0, 0, 0, -1, 0, 0 },
	{ "NONASSOC",  "NONASSOC", 0, 0, 0, 0, -1, 69, 0, 0, 0, -1, 0, 0 },
	{ "INCLUDE",  "INCLUDE", 0, 0, 0, 0, -1, 70, 0, 0, 0, -1, 0, 0 },
	{ "id",  "id", 0, 0, 0, 0, -1, 71, 0, 0, 0, -1, 0, 0 },
	{ "number",  "number", 0, 0, 0, 0, -1, 72, 0, 0, 0, -1, 0, 0 },
	{ "backtick_lit",  "backtick_lit", 0, 0, 0, 0, -1, 73, 0, 0, 0, -1, 0, 0 },
	{ "DQ",  "DQ", 0, 0, 0, 0, -1, 74, 0, 0, 0, -1, 0, 0 },
	{ "SQ",  "SQ", 0, 0, 0, 0, -1, 75, 0, 0, 0, -1, 0, 0 },
	{ "TILDE",  "TILDE", 0, 0, 0, 0, -1, 76, 0, 0, 0, -1, 0, 0 },
	{ "SQOPEN",  "SQOPEN", 0, 0, 0, 0, -1, 77, 0, 0, 0, -1, 0, 0 },
	{ "SQCLOSE",  "SQCLOSE", 0, 0, 0, 0, -1, 78, 0, 0, 0, -1, 0, 0 },
	{ "BAR",  "BAR", 0, 0, 0, 0, -1, 79, 0, 0, 0, -1, 0, 0 },
	{ "FSLASH",  "FSLASH", 0, 0, 0, 0, -1, 80, 0, 0, 0, -1, 0, 0 },
	{ "COLON",  "COLON", 0, 0, 0, 0, -1, 81, 0, 0, 0, -1, 0, 0 },
	{ "DOUBLE_COLON",  "DOUBLE_COLON", 0, 0, 0, 0, -1, 82, 0, 0, 0, -1, 0, 0 },
	{ "DOT",  "DOT", 0, 0, 0, 0, -1, 83, 0, 0, 0, -1, 0, 0 },
	{ "ARROW",  "ARROW", 0, 0, 0, 0, -1, 84, 0, 0, 0, -1, 0, 0 },
	{ "POPEN",  "POPEN", 0, 0, 0, 0, -1, 85, 0, 0, 0, -1, 0, 0 },
	{ "PCLOSE",  "PCLOSE", 0, 0, 0, 0, -1, 86, 0, 0, 0, -1, 0, 0 },
	{ "COPEN",  "COPEN", 0, 0, 0, 0, -1, 87, 0, 0, 0, -1, 0, 0 },
	{ "CCLOSE",  "CCLOSE", 0, 0, 0, 0, -1, 88, 0, 0, 0, -1, 0, 0 },
	{ "STAR",  "STAR", 0, 0, 0, 0, -1, 89, 0, 0, 0, -1, 0, 0 },
	{ "QUESTION",  "QUESTION", 0, 0, 0, 0, -1, 90, 0, 0, 0, -1, 0, 0 },
	{ "EQUALS",  "EQUALS", 0, 0, 0, 0, -1, 91, 0, 0, 0, -1, 0, 0 },
	{ "EQEQ",  "EQEQ", 0, 0, 0, 0, -1, 92, 0, 0, 0, -1, 0, 0 },
	{ "NEQ",  "NEQ", 0, 0, 0, 0, -1, 93, 0, 0, 0, -1, 0, 0 },
	{ "COMMA",  "COMMA", 0, 0, 0, 0, -1, 94, 0, 0, 0, -1, 0, 0 },
	{ "LT",  "LT", 0, 0, 0, 0, -1, 95, 0, 0, 0, -1, 0, 0 },
	{ "GT",  "GT", 0, 0, 0, 0, -1, 96, 0, 0, 0, -1, 0, 0 },
	{ "LTEQ",  "LTEQ", 0, 0, 0, 0, -1, 97, 0, 0, 0, -1, 0, 0 },
	{ "GTEQ",  "GTEQ", 0, 0, 0, 0, -1, 98, 0, 0, 0, -1, 0, 0 },
	{ "BANG",  "BANG", 0, 0, 0, 0, -1, 99, 0, 0, 0, -1, 0, 0 },
	{ "DOLLAR",  "DOLLAR", 0, 0, 0, 0, -1, 100, 0, 0, 0, -1, 0, 0 },
	{ "CARET",  "CARET", 0, 0, 0, 0, -1, 101, 0, 0, 0, -1, 0, 0 },
	{ "PERCENT",  "PERCENT", 0, 0, 0, 0, -1, 102, 0, 0, 0, -1, 0, 0 },
	{ "PLUS",  "PLUS", 0, 0, 0, 0, -1, 103, 0, 0, 0, -1, 0, 0 },
	{ "MINUS",  "MINUS", 0, 0, 0, 0, -1, 104, 0, 0, 0, -1, 0, 0 },
	{ "AMPAMP",  "AMPAMP", 0, 0, 0, 0, -1, 105, 0, 0, 0, -1, 0, 0 },
	{ "BARBAR",  "BARBAR", 0, 0, 0, 0, -1, 106, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00cf",  "_ignore_00cf", 0, 0, 0, 1, -1, 107, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00d1",  "_ignore_00d1", 0, 0, 0, 1, -1, 108, 0, 0, 0, -1, 0, 0 },
	{ "CONS_DQ",  "CONS_DQ", 0, 0, 0, 0, -1, 109, 0, 0, 0, -1, 0, 0 },
	{ "CONS_DQ_NL",  "CONS_DQ_NL", 0, 0, 0, 0, -1, 110, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQOPEN",  "CONS_SQOPEN", 0, 0, 0, 0, -1, 111, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQCLOSE",  "CONS_SQCLOSE", 0, 0, 0, 0, -1, 112, 0, 0, 0, -1, 0, 0 },
	{ "dq_cons_data",  "dq_cons_data", 0, 0, 0, 0, -1, 113, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ",  "CONS_SQ", 0, 0, 0, 0, -1, 114, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ_NL",  "CONS_SQ_NL", 0, 0, 0, 0, -1, 115, 0, 0, 0, -1, 0, 0 },
	{ "sq_cons_data",  "sq_cons_data", 0, 0, 0, 0, -1, 116, 0, 0, 0, -1, 0, 0 },
	{ "TILDE_NL",  "TILDE_NL", 0, 0, 0, 0, -1, 117, 0, 0, 0, -1, 0, 0 },
	{ "tilde_data",  "tilde_data", 0, 0, 0, 0, -1, 118, 0, 0, 0, -1, 0, 0 },
	{ "lex_id",  "lex_id", 0, 0, 0, 0, -1, 119, 0, 0, 0, -1, 0, 0 },
	{ "lex_uint",  "lex_uint", 0, 0, 0, 0, -1, 120, 0, 0, 0, -1, 0, 0 },
	{ "lex_hex",  "lex_hex", 0, 0, 0, 0, -1, 121, 0, 0, 0, -1, 0, 0 },
	{ "lex_lit",  "lex_lit", 0, 0, 0, 0, -1, 122, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOT",  "LEX_DOT", 0, 0, 0, 0, -1, 123, 0, 0, 0, -1, 0, 0 },
	{ "LEX_BAR",  "LEX_BAR", 0, 0, 0, 0, -1, 124, 0, 0, 0, -1, 0, 0 },
	{ "LEX_AMP",  "LEX_AMP", 0, 0, 0, 0, -1, 125, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASH",  "LEX_DASH", 0, 0, 0, 0, -1, 126, 0, 0, 0, -1, 0, 0 },
	{ "LEX_POPEN",  "LEX_POPEN", 0, 0, 0, 0, -1, 127, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PCLOSE",  "LEX_PCLOSE", 0, 0, 0, 0, -1, 128, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STAR",  "LEX_STAR", 0, 0, 0, 0, -1, 129, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STARSTAR",  "LEX_STARSTAR", 0, 0, 0, 0, -1, 130, 0, 0, 0, -1, 0, 0 },
	{ "LEX_QUESTION",  "LEX_QUESTION", 0, 0, 0, 0, -1, 131, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PLUS",  "LEX_PLUS", 0, 0, 0, 0, -1, 132, 0, 0, 0, -1, 0, 0 },
	{ "LEX_CARET",  "LEX_CARET", 0, 0, 0, 0, -1, 133, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOTDOT",  "LEX_DOTDOT", 0, 0, 0, 0, -1, 134, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_POS",  "LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 135, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_NEG",  "LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 136, 0, 0, 0, -1, 0, 0 },
	{ "LEX_FSLASH",  "LEX_FSLASH", 0, 0, 0, 0, -1, 137, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASHDASH",  "LEX_DASHDASH", 0, 0, 0, 0, -1, 138, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GT",  "LEX_COLON_GT", 0, 0, 0, 0, -1, 139, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GTGT",  "LEX_COLON_GTGT", 0, 0, 0, 0, -1, 140, 0, 0, 0, -1, 0, 0 },
	{ "LEX_LT_COLON",  "LEX_LT_COLON", 0, 0, 0, 0, -1, 141, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0115",  "_ignore_0115", 0, 0, 0, 1, -1, 142, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0117",  "_ignore_0117", 0, 0, 0, 1, -1, 143, 0, 0, 0, -1, 0, 0 },
	{ "RE_DASH",  "RE_DASH", 0, 0, 0, 0, -1, 144, 0, 0, 0, -1, 0, 0 },
	{ "RE_CHAR",  "RE_CHAR", 0, 0, 0, 0, -1, 145, 0, 0, 0, -1, 0, 0 },
	{ "RE_SQCLOSE",  "RE_SQCLOSE", 0, 0, 0, 0, -1, 146, 0, 0, 0, -1, 0, 0 },
	{ "RED_OPEN",  "RED_OPEN", 0, 0, 0, 0, -1, 176, 0, 0, 0, -1, 0, 0 },
	{ "RED_CLOSE",  "RED_CLOSE", 0, 0, 0, 0, -1, 177, 0, 0, 0, -1, 0, 0 },
	{ "red_id",  "red_id", 0, 0, 0, 0, -1, 178, 0, 0, 0, -1, 0, 0 },
	{ "red_comment",  "red_comment", 0, 0, 0, 0, -1, 179, 0, 0, 0, -1, 0, 0 },
	{ "red_ws",  "red_ws", 0, 0, 0, 0, -1, 180, 0, 0, 0, -1, 0, 0 },
	{ "red_lit",  "red_lit", 0, 0, 0, 0, -1, 181, 0, 0, 0, -1, 0, 0 },
	{ "RED_LHS",  "RED_LHS", 0, 0, 0, 0, -1, 182, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_REF",  "RED_RHS_REF", 0, 0, 0, 0, -1, 183, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_LOC",  "RED_RHS_LOC", 0, 0, 0, 0, -1, 184, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NREF",  "RED_RHS_NREF", 0, 0, 0, 0, -1, 185, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NLOC",  "RED_RHS_NLOC", 0, 0, 0, 0, -1, 186, 0, 0, 0, -1, 0, 0 },
	{ "red_any",  "red_any", 0, 0, 0, 0, -1, 187, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab16ff7cc0",  "_ign_0x2ab16ff7cc0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab1702c700",  "_ign_0x2ab1702c700", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab1702f210",  "_ign_0x2ab1702f210", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab17030f00",  "_ign_0x2ab17030f00", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab17031ea0",  "_ign_0x2ab17031ea0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab1703f110",  "_ign_0x2ab1703f110", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x2ab1705da50",  "_ign_0x2ab1705da50", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x2ab1702c7a0_DEF_PAT_1",  "__0x2ab1702c7a0_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x2ab1702f2b0_DEF_PAT_2",  "__0x2ab1702f2b0_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x2ab17030fa0_DEF_PAT_3",  "__0x2ab17030fa0_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x2ab1703f1b0_DEF_PAT_4",  "__0x2ab1703f1b0_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x2ab1705daf0_DEF_PAT_5",  "__0x2ab1705daf0_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_T_any",  "_T_any", 0, 0, 0, 0, -1, 0, 0, 0, 776, -1, 0, 0 },
	{ "_T_start",  "_T_start", 0, 0, 0, 0, -1, 147, 0, 0, 777, -1, 0, 0 },
	{ "_T_root_item",  "_T_root_item", 0, 0, 0, 0, -1, 148, 0, 0, 778, -1, 0, 0 },
	{ "_T_include",  "_T_include", 0, 0, 0, 0, -1, 149, 0, 0, 779, -1, 0, 0 },
	{ "_T_precedence_def",  "_T_precedence_def", 0, 0, 0, 0, -1, 150, 0, 0, 780, -1, 0, 0 },
	{ "_T_pred_type",  "_T_pred_type", 0, 0, 0, 0, -1, 151, 0, 0, 781, -1, 0, 0 },
	{ "_T_pred_token_list",  "_T_pred_token_list", 0, 0, 0, 0, -1, 152, 0, 0, 782, -1, 0, 0 },
	{ "_T_pred_token",  "_T_pred_token", 0, 0, 0, 0, -1, 153, 0, 0, 783, -1, 0, 0 },
	{ "_T_pre_eof_def",  "_T_pre_eof_def", 0, 0, 0, 0, -1, 154, 0, 0, 784, -1, 0, 0 },
	{ "_T_alias_def",  "_T_alias_def", 0, 0, 0, 0, -1, 155, 0, 0, 785, -1, 0, 0 },
	{ "_T_struct_item",  "_T_struct_item", 0, 0, 0, 0, -1, 156, 0, 0, 786, -1, 0, 0 },
	{ "_T_export_def",  "_T_export_def", 0, 0, 0, 0, -1, 157, 0, 0, 787, -1, 0, 0 },
	{ "_T_global_def",  "_T_global_def", 0, 0, 0, 0, -1, 158, 0, 0, 788, -1, 0, 0 },
	{ "_T_iter_def",  "_T_iter_def", 0, 0, 0, 0, -1, 159, 0, 0, 789, -1, 0, 0 },
	{ "_T_reference_type_ref",  "_T_reference_type_ref", 0, 0, 0, 0, -1, 160, 0, 0, 790, -1, 0, 0 },
	{ "_T_param_var_def_seq",  "_T_param_var_def_seq", 0, 0, 0, 0, -1, 161, 0, 0, 791, -1, 0, 0 },
	{ "_T_param_var_def_list",  "_T_param_var_def_list", 0, 0, 0, 0, -1, 162, 0, 0, 792, -1, 0, 0 },
	{ "_T_param_var_def",  "_T_param_var_def", 0, 0, 0, 0, -1, 163, 0, 0, 793, -1, 0, 0 },
	{ "_T_opt_export",  "_T_opt_export", 0, 0, 0, 0, -1, 164, 0, 0, 794, -1, 0, 0 },
	{ "_T_function_def",  "_T_function_def", 0, 0, 0, 0, -1, 165, 0, 0, 795, -1, 0, 0 },
	{ "_T_in_host_def",  "_T_in_host_def", 0, 0, 0, 0, -1, 166, 0, 0, 796, -1, 0, 0 },
	{ "_T_struct_var_def",  "_T_struct_var_def", 0, 0, 0, 0, -1, 167, 0, 0, 797, -1, 0, 0 },
	{ "_T_struct_key",  "_T_struct_key", 0, 0, 0, 0, -1, 168, 0, 0, 798, -1, 0, 0 },
	{ "_T_struct_def",  "_T_struct_def", 0, 0, 0, 0, -1, 169, 0, 0, 799, -1, 0, 0 },
	{ "_T_literal_def",  "_T_literal_def", 0, 0, 0, 0, -1, 170, 0, 0, 800, -1, 0, 0 },
	{ "_T_literal_list",  "_T_literal_list", 0, 0, 0, 0, -1, 171, 0, 0, 801, -1, 0, 0 },
	{ "_T_literal_item",  "_T_literal_item", 0, 0, 0, 0, -1, 172, 0, 0, 802, -1, 0, 0 },
	{ "_T_no_ignore_left",  "_T_no_ignore_left", 0, 0, 0, 0, -1, 173, 0, 0, 803, -1, 0, 0 },
	{ "_T_no_ignore_right",  "_T_no_ignore_right", 0, 0, 0, 0, -1, 174, 0, 0, 804, -1, 0, 0 },
	{ "_T_reduction_def",  "_T_reduction_def", 0, 0, 0, 0, -1, 175, 0, 0, 805, -1, 0, 0 },
	{ "_T_red_nonterm",  "_T_red_nonterm", 0, 0, 0, 0, -1, 188, 0, 0, 806, -1, 0, 0 },
	{ "_T_red_action",  "_T_red_action", 0, 0, 0, 0, -1, 189, 0, 0, 807, -1, 0, 0 },
	{ "_T_host_item",  "_T_host_item", 0, 0, 0, 0, -1, 190, 0, 0, 808, -1, 0, 0 },
	{ "_T_reduction_item",  "_T_reduction_item", 0, 0, 0, 0, -1, 191, 0, 0, 809, -1, 0, 0 },
	{ "_T_namespace_def",  "_T_namespace_def", 0, 0, 0, 0, -1, 192, 0, 0, 810, -1, 0, 0 },
	{ "_T_namespace_item",  "_T_namespace_item", 0, 0, 0, 0, -1, 193, 0, 0, 811, -1, 0, 0 },
	{ "_T_obj_var_list",  "_T_obj_var_list", 0, 0, 0, 0, -1, 194, 0, 0, 812, -1, 0, 0 },
	{ "_T_opt_reduce_first",  "_T_opt_reduce_first", 0, 0, 0, 0, -1, 195, 0, 0, 813, -1, 0, 0 },
	{ "_T_cfl_def",  "_T_cfl_def", 0, 0, 0, 0, -1, 196, 0, 0, 814, -1, 0, 0 },
	{ "_T_region_def",  "_T_region_def", 0, 0, 0, 0, -1, 197, 0, 0, 815, -1, 0, 0 },
	{ "_T_rl_def",  "_T_rl_def", 0, 0, 0, 0, -1, 198, 0, 0, 816, -1, 0, 0 },
	{ "_T_opt_lex_expr",  "_T_opt_lex_expr", 0, 0, 0, 0, -1, 199, 0, 0, 817, -1, 0, 0 },
	{ "_T_token_def",  "_T_token_def", 0, 0, 0, 0, -1, 200, 0, 0, 818, -1, 0, 0 },
	{ "_T_ic_def",  "_T_ic_def", 0, 0, 0, 0, -1, 201, 0, 0, 819, -1, 0, 0 },
	{ "_T_opt_translate",  "_T_opt_translate", 0, 0, 0, 0, -1, 202, 0, 0, 820, -1, 0, 0 },
	{ "_T_opt_id",  "_T_opt_id", 0, 0, 0, 0, -1, 203, 0, 0, 821, -1, 0, 0 },
	{ "_T_ignore_def",  "_T_ignore_def", 0, 0, 0, 0, -1, 204, 0, 0, 822, -1, 0, 0 },
	{ "_T_prod_el",  "_T_prod_el", 0, 0, 0, 0, -1, 205, 0, 0, 823, -1, 0, 0 },
	{ "_T_opt_prod_el_name",  "_T_opt_prod_el_name", 0, 0, 0, 0, -1, 206, 0, 0, 824, -1, 0, 0 },
	{ "_T_prod_el_list",  "_T_prod_el_list", 0, 0, 0, 0, -1, 207, 0, 0, 825, -1, 0, 0 },
	{ "_T_opt_commit",  "_T_opt_commit", 0, 0, 0, 0, -1, 208, 0, 0, 826, -1, 0, 0 },
	{ "_T_opt_prod_name",  "_T_opt_prod_name", 0, 0, 0, 0, -1, 209, 0, 0, 827, -1, 0, 0 },
	{ "_T_prod",  "_T_prod", 0, 0, 0, 0, -1, 210, 0, 0, 828, -1, 0, 0 },
	{ "_T_opt_reduce",  "_T_opt_reduce", 0, 0, 0, 0, -1, 211, 0, 0, 829, -1, 0, 0 },
	{ "_T_prod_list",  "_T_prod_list", 0, 0, 0, 0, -1, 212, 0, 0, 830, -1, 0, 0 },
	{ "_T_case_clause",  "_T_case_clause", 0, 0, 0, 0, -1, 213, 0, 0, 831, -1, 0, 0 },
	{ "_T_default_clause",  "_T_default_clause", 0, 0, 0, 0, -1, 214, 0, 0, 832, -1, 0, 0 },
	{ "_T_case_clause_list",  "_T_case_clause_list", 0, 0, 0, 0, -1, 215, 0, 0, 833, -1, 0, 0 },
	{ "_T_statement",  "_T_statement", 0, 0, 0, 0, -1, 216, 0, 0, 834, -1, 0, 0 },
	{ "_T_elsif_list",  "_T_elsif_list", 0, 0, 0, 0, -1, 217, 0, 0, 835, -1, 0, 0 },
	{ "_T_elsif_clause",  "_T_elsif_clause", 0, 0, 0, 0, -1, 218, 0, 0, 836, -1, 0, 0 },
	{ "_T_optional_else",  "_T_optional_else", 0, 0, 0, 0, -1, 219, 0, 0, 837, -1, 0, 0 },
	{ "_T_call_arg_seq",  "_T_call_arg_seq", 0, 0, 0, 0, -1, 220, 0, 0, 838, -1, 0, 0 },
	{ "_T_call_arg_list",  "_T_call_arg_list", 0, 0, 0, 0, -1, 221, 0, 0, 839, -1, 0, 0 },
	{ "_T_iter_call",  "_T_iter_call", 0, 0, 0, 0, -1, 222, 0, 0, 840, -1, 0, 0 },
	{ "_T_block_or_single",  "_T_block_or_single", 0, 0, 0, 0, -1, 223, 0, 0, 841, -1, 0, 0 },
	{ "_T_require_pattern",  "_T_require_pattern", 0, 0, 0, 0, -1, 224, 0, 0, 842, -1, 0, 0 },
	{ "_T_opt_require_stmt",  "_T_opt_require_stmt", 0, 0, 0, 0, -1, 225, 0, 0, 843, -1, 0, 0 },
	{ "_T_lang_stmt_list",  "_T_lang_stmt_list", 0, 0, 0, 0, -1, 226, 0, 0, 844, -1, 0, 0 },
	{ "_T_opt_def_init",  "_T_opt_def_init", 0, 0, 0, 0, -1, 227, 0, 0, 845, -1, 0, 0 },
	{ "_T_var_def",  "_T_var_def", 0, 0, 0, 0, -1, 228, 0, 0, 846, -1, 0, 0 },
	{ "_T_print_stmt",  "_T_print_stmt", 0, 0, 0, 0, -1, 229, 0, 0, 847, -1, 0, 0 },
	{ "_T_expr_stmt",  "_T_expr_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 848, -1, 0, 0 },
	{ "_T_code_expr",  "_T_code_expr", 0, 0, 0, 0, -1, 231, 0, 0, 849, -1, 0, 0 },
	{ "_T_code_relational",  "_T_code_relational", 0, 0, 0, 0, -1, 232, 0, 0, 850, -1, 0, 0 },
	{ "_T_code_additive",  "_T_code_additive", 0, 0, 0, 0, -1, 233, 0, 0, 851, -1, 0, 0 },
	{ "_T_code_multiplicitive",  "_T_code_multiplicitive", 0, 0, 0, 0, -1, 234, 0, 0, 852, -1, 0, 0 },
	{ "_T_code_unary",  "_T_code_unary", 0, 0, 0, 0, -1, 235, 0, 0, 853, -1, 0, 0 },
	{ "_T_opt_eos",  "_T_opt_eos", 0, 0, 0, 0, -1, 236, 0, 0, 854, -1, 0, 0 },
	{ "_T_code_factor",  "_T_code_factor", 0, 0, 0, 0, -1, 237, 0, 0, 855, -1, 0, 0 },
	{ "_T_type_ref",  "_T_type_ref", 0, 0, 0, 0, -1, 238, 0, 0, 856, -1, 0, 0 },
	{ "_T_region_qual",  "_T_region_qual", 0, 0, 0, 0, -1, 239, 0, 0, 857, -1, 0, 0 },
	{ "_T_opt_repeat",  "_T_opt_repeat", 0, 0, 0, 0, -1, 240, 0, 0, 858, -1, 0, 0 },
	{ "_T_opt_capture",  "_T_opt_capture", 0, 0, 0, 0, -1, 241, 0, 0, 859, -1, 0, 0 },
	{ "_T_opt_field_init",  "_T_opt_field_init", 0, 0, 0, 0, -1, 242, 0, 0, 860, -1, 0, 0 },
	{ "_T_field_init",  "_T_field_init", 0, 0, 0, 0, -1, 243, 0, 0, 861, -1, 0, 0 },
	{ "_T_opt_label",  "_T_opt_label", 0, 0, 0, 0, -1, 244, 0, 0, 862, -1, 0, 0 },
	{ "_T_dq_lit_term",  "_T_dq_lit_term", 0, 0, 0, 0, -1, 245, 0, 0, 863, -1, 0, 0 },
	{ "_T_sq_lit_term",  "_T_sq_lit_term", 0, 0, 0, 0, -1, 246, 0, 0, 864, -1, 0, 0 },
	{ "_T_opt_tilde_data",  "_T_opt_tilde_data", 0, 0, 0, 0, -1, 247, 0, 0, 865, -1, 0, 0 },
	{ "_T_pattern_el_lel",  "_T_pattern_el_lel", 0, 0, 0, 0, -1, 248, 0, 0, 866, -1, 0, 0 },
	{ "_T_pattern_el",  "_T_pattern_el", 0, 0, 0, 0, -1, 249, 0, 0, 867, -1, 0, 0 },
	{ "_T_litpat_el",  "_T_litpat_el", 0, 0, 0, 0, -1, 250, 0, 0, 868, -1, 0, 0 },
	{ "_T_pattern_top_el",  "_T_pattern_top_el", 0, 0, 0, 0, -1, 251, 0, 0, 869, -1, 0, 0 },
	{ "_T_pattern_list",  "_T_pattern_list", 0, 0, 0, 0, -1, 252, 0, 0, 870, -1, 0, 0 },
	{ "_T_pattern",  "_T_pattern", 0, 0, 0, 0, -1, 253, 0, 0, 871, -1, 0, 0 },
	{ "_T_E1",  "_T_E1", 0, 0, 0, 0, -1, 254, 0, 0, 872, -1, 0, 0 },
	{ "_T_E2",  "_T_E2", 0, 0, 0, 0, -1, 255, 0, 0, 873, -1, 0, 0 },
	{ "_T_E3",  "_T_E3", 0, 0, 0, 0, -1, 256, 0, 0, 874, -1, 0, 0 },
	{ "_T_E4",  "_T_E4", 0, 0, 0, 0, -1, 257, 0, 0, 875, -1, 0, 0 },
	{ "_T_cons_el",  "_T_cons_el", 0, 0, 0, 0, -1, 258, 0, 0, 876, -1, 0, 0 },
	{ "_T_lit_cons_el",  "_T_lit_cons_el", 0, 0, 0, 0, -1, 259, 0, 0, 877, -1, 0, 0 },
	{ "_T_cons_top_el",  "_T_cons_top_el", 0, 0, 0, 0, -1, 260, 0, 0, 878, -1, 0, 0 },
	{ "_T_cons_list",  "_T_cons_list", 0, 0, 0, 0, -1, 261, 0, 0, 879, -1, 0, 0 },
	{ "_T_constructor",  "_T_constructor", 0, 0, 0, 0, -1, 262, 0, 0, 880, -1, 0, 0 },
	{ "_T_accum_el",  "_T_accum_el", 0, 0, 0, 0, -1, 263, 0, 0, 881, -1, 0, 0 },
	{ "_T_lit_accum_el",  "_T_lit_accum_el", 0, 0, 0, 0, -1, 264, 0, 0, 882, -1, 0, 0 },
	{ "_T_accum_top_el",  "_T_accum_top_el", 0, 0, 0, 0, -1, 265, 0, 0, 883, -1, 0, 0 },
	{ "_T_accum_list",  "_T_accum_list", 0, 0, 0, 0, -1, 266, 0, 0, 884, -1, 0, 0 },
	{ "_T_accumulate",  "_T_accumulate", 0, 0, 0, 0, -1, 267, 0, 0, 885, -1, 0, 0 },
	{ "_T_string_el",  "_T_string_el", 0, 0, 0, 0, -1, 268, 0, 0, 886, -1, 0, 0 },
	{ "_T_lit_string_el",  "_T_lit_string_el", 0, 0, 0, 0, -1, 269, 0, 0, 887, -1, 0, 0 },
	{ "_T_string_top_el",  "_T_string_top_el", 0, 0, 0, 0, -1, 270, 0, 0, 888, -1, 0, 0 },
	{ "_T_string_list",  "_T_string_list", 0, 0, 0, 0, -1, 271, 0, 0, 889, -1, 0, 0 },
	{ "_T_string",  "_T_string", 0, 0, 0, 0, -1, 272, 0, 0, 890, -1, 0, 0 },
	{ "_T_var_ref",  "_T_var_ref", 0, 0, 0, 0, -1, 273, 0, 0, 891, -1, 0, 0 },
	{ "_T_qual",  "_T_qual", 0, 0, 0, 0, -1, 274, 0, 0, 892, -1, 0, 0 },
	{ "_T_lex_expr",  "_T_lex_expr", 0, 0, 0, 0, -1, 275, 0, 0, 893, -1, 0, 0 },
	{ "_T_opt_lex_dot",  "_T_opt_lex_dot", 0, 0, 0, 0, -1, 276, 0, 0, 894, -1, 0, 0 },
	{ "_T_lex_term",  "_T_lex_term", 0, 0, 0, 0, -1, 277, 0, 0, 895, -1, 0, 0 },
	{ "_T_lex_factor_rep",  "_T_lex_factor_rep", 0, 0, 0, 0, -1, 278, 0, 0, 896, -1, 0, 0 },
	{ "_T_lex_factor_neg",  "_T_lex_factor_neg", 0, 0, 0, 0, -1, 279, 0, 0, 897, -1, 0, 0 },
	{ "_T_lex_range_lit",  "_T_lex_range_lit", 0, 0, 0, 0, -1, 280, 0, 0, 898, -1, 0, 0 },
	{ "_T_lex_num",  "_T_lex_num", 0, 0, 0, 0, -1, 281, 0, 0, 899, -1, 0, 0 },
	{ "_T_lex_factor",  "_T_lex_factor", 0, 0, 0, 0, -1, 282, 0, 0, 900, -1, 0, 0 },
	{ "_T_reg_or_data",  "_T_reg_or_data", 0, 0, 0, 0, -1, 283, 0, 0, 901, -1, 0, 0 },
	{ "_T_reg_or_char",  "_T_reg_or_char", 0, 0, 0, 0, -1, 284, 0, 0, 902, -1, 0, 0 },
	{ "_T__repeat_root_item",  "_T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 903, -1, 0, 0 },
	{ "_T__repeat_sq_cons_data",  "_T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 904, -1, 0, 0 },
	{ "_T__repeat_struct_item",  "_T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 905, -1, 0, 0 },
	{ "_T__repeat_reduction_item",  "_T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 906, -1, 0, 0 },
	{ "_T__repeat_host_item",  "_T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 907, -1, 0, 0 },
	{ "_T__repeat_namespace_item",  "_T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 908, -1, 0, 0 },
	{ "_T__repeat_var_def",  "_T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 909, -1, 0, 0 },
	{ "_T__repeat_statement",  "_T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 910, -1, 0, 0 },
	{ "_T__repeat_field_init",  "_T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 911, -1, 0, 0 },
	{ "_T__repeat_litpat_el",  "_T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 912, -1, 0, 0 },
	{ "_T__repeat_pattern_el",  "_T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 913, -1, 0, 0 },
	{ "_T__repeat_lit_cons_el",  "_T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 914, -1, 0, 0 },
	{ "_T__repeat_cons_el",  "_T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 915, -1, 0, 0 },
	{ "_T__repeat_lit_accum_el",  "_T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 916, -1, 0, 0 },
	{ "_T__repeat_accum_el",  "_T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 917, -1, 0, 0 },
	{ "_T__repeat_lit_string_el",  "_T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 918, -1, 0, 0 },
	{ "_T__repeat_string_el",  "_T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 919, -1, 0, 0 },
	{ "_eof_ptr",  "_eof_ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_void",  "_eof_void", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_str",  "_eof_str", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_il",  "_eof_il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_any",  "_eof_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEF",  "_eof_DEF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX",  "_eof_LEX", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_END",  "_eof_END", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TOKEN",  "_eof_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RL",  "_eof_RL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IGNORE",  "_eof_IGNORE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT",  "_eof_PRINT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINTS",  "_eof_PRINTS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT_XML",  "_eof_PRINT_XML", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT_XML_AC",  "_eof_PRINT_XML_AC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE",  "_eof_PARSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCE",  "_eof_REDUCE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_TREE",  "_eof_PARSE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_STOP",  "_eof_PARSE_STOP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS",  "_eof_CONS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MATCH",  "_eof_MATCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REQUIRE",  "_eof_REQUIRE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND",  "_eof_SEND", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND_TREE",  "_eof_SEND_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NAMESPACE",  "_eof_NAMESPACE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCTION",  "_eof_REDUCTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FOR",  "_eof_FOR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IF",  "_eof_IF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_YIELD",  "_eof_YIELD", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_WHILE",  "_eof_WHILE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSIF",  "_eof_ELSIF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSE",  "_eof_ELSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IN",  "_eof_IN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSER",  "_eof_PARSER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST",  "_eof_LIST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST_EL",  "_eof_LIST_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP",  "_eof_MAP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP_EL",  "_eof_MAP_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PTR",  "_eof_PTR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ITER",  "_eof_ITER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REF",  "_eof_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EXPORT",  "_eof_EXPORT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RETURN",  "_eof_RETURN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BREAK",  "_eof_BREAK", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REJECT",  "_eof_REJECT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCEFIRST",  "_eof_REDUCEFIRST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ALIAS",  "_eof_ALIAS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMIT",  "_eof_COMMIT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEW",  "_eof_NEW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PREEOF",  "_eof_PREEOF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GLOBAL",  "_eof_GLOBAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EOS",  "_eof_EOS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CAST",  "_eof_CAST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SWITCH",  "_eof_SWITCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CASE",  "_eof_CASE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEFAULT",  "_eof_DEFAULT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INT",  "_eof_INT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BOOL",  "_eof_BOOL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TOKEN",  "_eof_MAKE_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TREE",  "_eof_MAKE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TYPEID",  "_eof_TYPEID", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LITERAL",  "_eof_LITERAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONTEXT",  "_eof_CONTEXT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STRUCT",  "_eof_STRUCT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NI",  "_eof_NI", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NIL",  "_eof_NIL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TRUE",  "_eof_TRUE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FALSE",  "_eof_FALSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEFT",  "_eof_LEFT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RIGHT",  "_eof_RIGHT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NONASSOC",  "_eof_NONASSOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INCLUDE",  "_eof_INCLUDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_id",  "_eof_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_number",  "_eof_number", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_backtick_lit",  "_eof_backtick_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DQ",  "_eof_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQ",  "_eof_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE",  "_eof_TILDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQOPEN",  "_eof_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQCLOSE",  "_eof_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BAR",  "_eof_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FSLASH",  "_eof_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COLON",  "_eof_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOUBLE_COLON",  "_eof_DOUBLE_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOT",  "_eof_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ARROW",  "_eof_ARROW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_POPEN",  "_eof_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PCLOSE",  "_eof_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COPEN",  "_eof_COPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CCLOSE",  "_eof_CCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STAR",  "_eof_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_QUESTION",  "_eof_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQUALS",  "_eof_EQUALS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQEQ",  "_eof_EQEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEQ",  "_eof_NEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMA",  "_eof_COMMA", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LT",  "_eof_LT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GT",  "_eof_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LTEQ",  "_eof_LTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GTEQ",  "_eof_GTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BANG",  "_eof_BANG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOLLAR",  "_eof_DOLLAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CARET",  "_eof_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PERCENT",  "_eof_PERCENT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PLUS",  "_eof_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MINUS",  "_eof_MINUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_AMPAMP",  "_eof_AMPAMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BARBAR",  "_eof_BARBAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00cf",  "_eof__ignore_00cf", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00d1",  "_eof__ignore_00d1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_DQ",  "_eof_CONS_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_DQ_NL",  "_eof_CONS_DQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQOPEN",  "_eof_CONS_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQCLOSE",  "_eof_CONS_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_dq_cons_data",  "_eof_dq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ",  "_eof_CONS_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ_NL",  "_eof_CONS_SQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_cons_data",  "_eof_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE_NL",  "_eof_TILDE_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_tilde_data",  "_eof_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_id",  "_eof_lex_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_uint",  "_eof_lex_uint", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_hex",  "_eof_lex_hex", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_lit",  "_eof_lex_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOT",  "_eof_LEX_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_BAR",  "_eof_LEX_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_AMP",  "_eof_LEX_AMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASH",  "_eof_LEX_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_POPEN",  "_eof_LEX_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PCLOSE",  "_eof_LEX_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STAR",  "_eof_LEX_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STARSTAR",  "_eof_LEX_STARSTAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_QUESTION",  "_eof_LEX_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PLUS",  "_eof_LEX_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_CARET",  "_eof_LEX_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOTDOT",  "_eof_LEX_DOTDOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_POS",  "_eof_LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_NEG",  "_eof_LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_FSLASH",  "_eof_LEX_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASHDASH",  "_eof_LEX_DASHDASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GT",  "_eof_LEX_COLON_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GTGT",  "_eof_LEX_COLON_GTGT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_LT_COLON",  "_eof_LEX_LT_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0115",  "_eof__ignore_0115", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0117",  "_eof__ignore_0117", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_DASH",  "_eof_RE_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_CHAR",  "_eof_RE_CHAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_SQCLOSE",  "_eof_RE_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_OPEN",  "_eof_RED_OPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_CLOSE",  "_eof_RED_CLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_id",  "_eof_red_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_comment",  "_eof_red_comment", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_ws",  "_eof_red_ws", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_lit",  "_eof_red_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_LHS",  "_eof_RED_LHS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_REF",  "_eof_RED_RHS_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_LOC",  "_eof_RED_RHS_LOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NREF",  "_eof_RED_RHS_NREF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NLOC",  "_eof_RED_RHS_NLOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_any",  "_eof_red_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_start",  "_eof_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_root_item",  "_eof_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_include",  "_eof_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_precedence_def",  "_eof_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_type",  "_eof_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token_list",  "_eof_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token",  "_eof_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pre_eof_def",  "_eof_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_alias_def",  "_eof_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_item",  "_eof_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_export_def",  "_eof_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_global_def",  "_eof_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_def",  "_eof_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reference_type_ref",  "_eof_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_seq",  "_eof_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_list",  "_eof_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def",  "_eof_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_export",  "_eof_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_function_def",  "_eof_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_in_host_def",  "_eof_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_var_def",  "_eof_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_key",  "_eof_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_def",  "_eof_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_def",  "_eof_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_list",  "_eof_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_item",  "_eof_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_left",  "_eof_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_right",  "_eof_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_def",  "_eof_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_nonterm",  "_eof_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_action",  "_eof_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_host_item",  "_eof_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_item",  "_eof_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_def",  "_eof_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_item",  "_eof_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_obj_var_list",  "_eof_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce_first",  "_eof_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cfl_def",  "_eof_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_def",  "_eof_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_rl_def",  "_eof_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_expr",  "_eof_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_token_def",  "_eof_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ic_def",  "_eof_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_translate",  "_eof_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_id",  "_eof_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ignore_def",  "_eof_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el",  "_eof_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_el_name",  "_eof_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el_list",  "_eof_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_commit",  "_eof_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_name",  "_eof_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod",  "_eof_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce",  "_eof_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_list",  "_eof_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause",  "_eof_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_default_clause",  "_eof_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause_list",  "_eof_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_statement",  "_eof_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_list",  "_eof_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_clause",  "_eof_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_optional_else",  "_eof_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_seq",  "_eof_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_list",  "_eof_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_call",  "_eof_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_block_or_single",  "_eof_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_require_pattern",  "_eof_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_require_stmt",  "_eof_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lang_stmt_list",  "_eof_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_def_init",  "_eof_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_def",  "_eof_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_print_stmt",  "_eof_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_expr_stmt",  "_eof_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_expr",  "_eof_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_relational",  "_eof_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_additive",  "_eof_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_multiplicitive",  "_eof_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_unary",  "_eof_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_eos",  "_eof_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_factor",  "_eof_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_type_ref",  "_eof_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_qual",  "_eof_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_repeat",  "_eof_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_capture",  "_eof_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_field_init",  "_eof_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_field_init",  "_eof_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_label",  "_eof_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_dq_lit_term",  "_eof_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_lit_term",  "_eof_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_tilde_data",  "_eof_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el_lel",  "_eof_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el",  "_eof_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_litpat_el",  "_eof_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_top_el",  "_eof_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_list",  "_eof_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern",  "_eof_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E1",  "_eof_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E2",  "_eof_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E3",  "_eof_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E4",  "_eof_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_el",  "_eof_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_cons_el",  "_eof_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_top_el",  "_eof_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_list",  "_eof_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_constructor",  "_eof_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_el",  "_eof_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_accum_el",  "_eof_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_top_el",  "_eof_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_list",  "_eof_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accumulate",  "_eof_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_el",  "_eof_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_string_el",  "_eof_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_top_el",  "_eof_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_list",  "_eof_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string",  "_eof_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_ref",  "_eof_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_qual",  "_eof_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_expr",  "_eof_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_dot",  "_eof_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_term",  "_eof_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_rep",  "_eof_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_neg",  "_eof_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_range_lit",  "_eof_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_num",  "_eof_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor",  "_eof_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_data",  "_eof_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_char",  "_eof_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab16ff7cc0",  "_eof__ign_0x2ab16ff7cc0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab1702c700",  "_eof__ign_0x2ab1702c700", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab1702f210",  "_eof__ign_0x2ab1702f210", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab17030f00",  "_eof__ign_0x2ab17030f00", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab17031ea0",  "_eof__ign_0x2ab17031ea0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab1703f110",  "_eof__ign_0x2ab1703f110", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x2ab1705da50",  "_eof__ign_0x2ab1705da50", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x2ab1702c7a0_DEF_PAT_1",  "_eof___0x2ab1702c7a0_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x2ab1702f2b0_DEF_PAT_2",  "_eof___0x2ab1702f2b0_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x2ab17030fa0_DEF_PAT_3",  "_eof___0x2ab17030fa0_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x2ab1703f1b0_DEF_PAT_4",  "_eof___0x2ab1703f1b0_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x2ab1705daf0_DEF_PAT_5",  "_eof___0x2ab1705daf0_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_root_item",  "_eof__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_sq_cons_data",  "_eof__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_struct_item",  "_eof__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_reduction_item",  "_eof__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_host_item",  "_eof__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_namespace_item",  "_eof__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_var_def",  "_eof__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_statement",  "_eof__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_field_init",  "_eof__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_litpat_el",  "_eof__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_pattern_el",  "_eof__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_cons_el",  "_eof__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_cons_el",  "_eof__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_accum_el",  "_eof__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_accum_el",  "_eof__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_string_el",  "_eof__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_string_el",  "_eof__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_any",  "_eof__T_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_start",  "_eof__T_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_root_item",  "_eof__T_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_include",  "_eof__T_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_precedence_def",  "_eof__T_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_type",  "_eof__T_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token_list",  "_eof__T_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token",  "_eof__T_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pre_eof_def",  "_eof__T_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_alias_def",  "_eof__T_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_item",  "_eof__T_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_export_def",  "_eof__T_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_global_def",  "_eof__T_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_def",  "_eof__T_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reference_type_ref",  "_eof__T_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_seq",  "_eof__T_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_list",  "_eof__T_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def",  "_eof__T_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_export",  "_eof__T_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_function_def",  "_eof__T_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_in_host_def",  "_eof__T_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_var_def",  "_eof__T_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_key",  "_eof__T_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_def",  "_eof__T_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_def",  "_eof__T_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_list",  "_eof__T_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_item",  "_eof__T_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_left",  "_eof__T_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_right",  "_eof__T_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_def",  "_eof__T_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_nonterm",  "_eof__T_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_action",  "_eof__T_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_host_item",  "_eof__T_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_item",  "_eof__T_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_def",  "_eof__T_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_item",  "_eof__T_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_obj_var_list",  "_eof__T_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce_first",  "_eof__T_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cfl_def",  "_eof__T_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_def",  "_eof__T_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_rl_def",  "_eof__T_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_expr",  "_eof__T_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_token_def",  "_eof__T_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ic_def",  "_eof__T_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_translate",  "_eof__T_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_id",  "_eof__T_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ignore_def",  "_eof__T_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el",  "_eof__T_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_el_name",  "_eof__T_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el_list",  "_eof__T_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_commit",  "_eof__T_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_name",  "_eof__T_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod",  "_eof__T_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce",  "_eof__T_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_list",  "_eof__T_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause",  "_eof__T_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_default_clause",  "_eof__T_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause_list",  "_eof__T_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_statement",  "_eof__T_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_list",  "_eof__T_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_clause",  "_eof__T_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_optional_else",  "_eof__T_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_seq",  "_eof__T_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_list",  "_eof__T_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_call",  "_eof__T_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_block_or_single",  "_eof__T_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_require_pattern",  "_eof__T_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_require_stmt",  "_eof__T_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lang_stmt_list",  "_eof__T_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_def_init",  "_eof__T_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_def",  "_eof__T_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_print_stmt",  "_eof__T_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_expr_stmt",  "_eof__T_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_expr",  "_eof__T_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_relational",  "_eof__T_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_additive",  "_eof__T_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_multiplicitive",  "_eof__T_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_unary",  "_eof__T_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_eos",  "_eof__T_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_factor",  "_eof__T_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_type_ref",  "_eof__T_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_qual",  "_eof__T_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_repeat",  "_eof__T_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_capture",  "_eof__T_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_field_init",  "_eof__T_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_field_init",  "_eof__T_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_label",  "_eof__T_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_dq_lit_term",  "_eof__T_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_sq_lit_term",  "_eof__T_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_tilde_data",  "_eof__T_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el_lel",  "_eof__T_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el",  "_eof__T_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_litpat_el",  "_eof__T_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_top_el",  "_eof__T_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_list",  "_eof__T_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern",  "_eof__T_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E1",  "_eof__T_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E2",  "_eof__T_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E3",  "_eof__T_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E4",  "_eof__T_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_el",  "_eof__T_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_cons_el",  "_eof__T_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_top_el",  "_eof__T_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_list",  "_eof__T_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_constructor",  "_eof__T_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_el",  "_eof__T_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_accum_el",  "_eof__T_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_top_el",  "_eof__T_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_list",  "_eof__T_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accumulate",  "_eof__T_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_el",  "_eof__T_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_string_el",  "_eof__T_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_top_el",  "_eof__T_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_list",  "_eof__T_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string",  "_eof__T_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_ref",  "_eof__T_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_qual",  "_eof__T_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_expr",  "_eof__T_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_dot",  "_eof__T_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_term",  "_eof__T_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_rep",  "_eof__T_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_neg",  "_eof__T_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_range_lit",  "_eof__T_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_num",  "_eof__T_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor",  "_eof__T_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_data",  "_eof__T_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_char",  "_eof__T_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_root_item",  "_eof__T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_sq_cons_data",  "_eof__T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_struct_item",  "_eof__T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_reduction_item",  "_eof__T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_host_item",  "_eof__T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_namespace_item",  "_eof__T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_var_def",  "_eof__T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_statement",  "_eof__T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_field_init",  "_eof__T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_litpat_el",  "_eof__T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_pattern_el",  "_eof__T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_cons_el",  "_eof__T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_cons_el",  "_eof__T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_accum_el",  "_eof__T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_accum_el",  "_eof__T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_string_el",  "_eof__T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_string_el",  "_eof__T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_notoken",  "_notoken", 0, 0, 0, 1, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "any",  "any", 0, 0, 0, 0, -1, 0, 0, 0, 172, -1, 0, 0 },
	{ "start",  "start", 0, 0, 0, 0, -1, 147, 0, 0, 173, -1, 0, 0 },
	{ "root_item",  "root_item", 0, 0, 0, 0, -1, 148, 0, 0, 174, -1, 0, 0 },
	{ "include",  "include", 0, 0, 0, 0, -1, 149, 0, 0, 175, -1, 0, 0 },
	{ "precedence_def",  "precedence_def", 0, 0, 0, 0, -1, 150, 0, 0, 176, -1, 0, 0 },
	{ "pred_type",  "pred_type", 0, 0, 0, 0, -1, 151, 0, 0, 177, -1, 0, 0 },
	{ "pred_token_list",  "pred_token_list", 0, 0, 0, 0, -1, 152, 0, 0, 178, -1, 0, 0 },
	{ "pred_token",  "pred_token", 0, 0, 0, 0, -1, 153, 0, 0, 179, -1, 0, 0 },
	{ "pre_eof_def",  "pre_eof_def", 0, 0, 0, 0, -1, 154, 0, 0, 180, -1, 0, 0 },
	{ "alias_def",  "alias_def", 0, 0, 0, 0, -1, 155, 0, 0, 181, -1, 0, 0 },
	{ "struct_item",  "struct_item", 0, 0, 0, 0, -1, 156, 0, 0, 182, -1, 0, 0 },
	{ "export_def",  "export_def", 0, 0, 0, 0, -1, 157, 0, 0, 183, -1, 0, 0 },
	{ "global_def",  "global_def", 0, 0, 0, 0, -1, 158, 0, 0, 184, -1, 0, 0 },
	{ "iter_def",  "iter_def", 0, 0, 0, 0, -1, 159, 0, 0, 185, -1, 0, 0 },
	{ "reference_type_ref",  "reference_type_ref", 0, 0, 0, 0, -1, 160, 0, 0, 186, -1, 0, 0 },
	{ "param_var_def_seq",  "param_var_def_seq", 0, 0, 0, 0, -1, 161, 0, 0, 187, -1, 0, 0 },
	{ "param_var_def_list",  "param_var_def_list", 0, 0, 0, 0, -1, 162, 0, 0, 188, -1, 0, 0 },
	{ "param_var_def",  "param_var_def", 0, 0, 0, 0, -1, 163, 0, 0, 189, -1, 0, 0 },
	{ "opt_export",  "opt_export", 0, 0, 0, 0, -1, 164, 0, 0, 190, -1, 0, 0 },
	{ "function_def",  "function_def", 0, 0, 0, 0, -1, 165, 0, 0, 191, -1, 0, 0 },
	{ "in_host_def",  "in_host_def", 0, 0, 0, 0, -1, 166, 0, 0, 192, -1, 0, 0 },
	{ "struct_var_def",  "struct_var_def", 0, 0, 0, 0, -1, 167, 0, 0, 193, -1, 0, 0 },
	{ "struct_key",  "struct_key", 0, 0, 0, 0, -1, 168, 0, 0, 194, -1, 0, 0 },
	{ "struct_def",  "struct_def", 0, 0, 0, 0, -1, 169, 0, 0, 195, -1, 0, 0 },
	{ "literal_def",  "literal_def", 0, 0, 0, 0, -1, 170, 0, 0, 196, -1, 0, 0 },
	{ "literal_list",  "literal_list", 0, 0, 0, 0, -1, 171, 0, 0, 197, -1, 0, 0 },
	{ "literal_item",  "literal_item", 0, 0, 0, 0, -1, 172, 0, 0, 198, -1, 0, 0 },
	{ "no_ignore_left",  "no_ignore_left", 0, 0, 0, 0, -1, 173, 0, 0, 199, -1, 0, 0 },
	{ "no_ignore_right",  "no_ignore_right", 0, 0, 0, 0, -1, 174, 0, 0, 200, -1, 0, 0 },
	{ "reduction_def",  "reduction_def", 0, 0, 0, 0, -1, 175, 0, 0, 201, -1, 0, 0 },
	{ "red_nonterm",  "red_nonterm", 0, 0, 0, 0, -1, 188, 0, 0, 202, -1, 0, 0 },
	{ "red_action",  "red_action", 0, 0, 0, 0, -1, 189, 0, 0, 203, -1, 0, 0 },
	{ "host_item",  "host_item", 0, 0, 0, 0, -1, 190, 0, 0, 204, -1, 0, 0 },
	{ "reduction_item",  "reduction_item", 0, 0, 0, 0, -1, 191, 0, 0, 205, -1, 0, 0 },
	{ "namespace_def",  "namespace_def", 0, 0, 0, 0, -1, 192, 0, 0, 206, -1, 0, 0 },
	{ "namespace_item",  "namespace_item", 0, 0, 0, 0, -1, 193, 0, 0, 207, -1, 0, 0 },
	{ "obj_var_list",  "obj_var_list", 0, 0, 0, 0, -1, 194, 0, 0, 208, -1, 0, 0 },
	{ "opt_reduce_first",  "opt_reduce_first", 0, 0, 0, 0, -1, 195, 0, 0, 209, -1, 0, 0 },
	{ "cfl_def",  "cfl_def", 0, 0, 0, 0, -1, 196, 0, 0, 210, -1, 0, 0 },
	{ "region_def",  "region_def", 0, 0, 0, 0, -1, 197, 0, 0, 211, -1, 0, 0 },
	{ "rl_def",  "rl_def", 0, 0, 0, 0, -1, 198, 0, 0, 212, -1, 0, 0 },
	{ "opt_lex_expr",  "opt_lex_expr", 0, 0, 0, 0, -1, 199, 0, 0, 213, -1, 0, 0 },
	{ "token_def",  "token_def", 0, 0, 0, 0, -1, 200, 0, 0, 214, -1, 0, 0 },
	{ "ic_def",  "ic_def", 0, 0, 0, 0, -1, 201, 0, 0, 215, -1, 0, 0 },
	{ "opt_translate",  "opt_translate", 0, 0, 0, 0, -1, 202, 0, 0, 216, -1, 0, 0 },
	{ "opt_id",  "opt_id", 0, 0, 0, 0, -1, 203, 0, 0, 217, -1, 0, 0 },
	{ "ignore_def",  "ignore_def", 0, 0, 0, 0, -1, 204, 0, 0, 218, -1, 0, 0 },
	{ "prod_el",  "prod_el", 0, 0, 0, 0, -1, 205, 0, 0, 219, -1, 0, 0 },
	{ "opt_prod_el_name",  "opt_prod_el_name", 0, 0, 0, 0, -1, 206, 0, 0, 220, -1, 0, 0 },
	{ "prod_el_list",  "prod_el_list", 0, 0, 0, 0, -1, 207, 0, 0, 221, -1, 0, 0 },
	{ "opt_commit",  "opt_commit", 0, 0, 0, 0, -1, 208, 0, 0, 222, -1, 0, 0 },
	{ "opt_prod_name",  "opt_prod_name", 0, 0, 0, 0, -1, 209, 0, 0, 223, -1, 0, 0 },
	{ "prod",  "prod", 0, 0, 0, 0, -1, 210, 0, 0, 224, -1, 0, 0 },
	{ "opt_reduce",  "opt_reduce", 0, 0, 0, 0, -1, 211, 0, 0, 225, -1, 0, 0 },
	{ "prod_list",  "prod_list", 0, 0, 0, 0, -1, 212, 0, 0, 226, -1, 0, 0 },
	{ "case_clause",  "case_clause", 0, 0, 0, 0, -1, 213, 0, 0, 227, -1, 0, 0 },
	{ "default_clause",  "default_clause", 0, 0, 0, 0, -1, 214, 0, 0, 228, -1, 0, 0 },
	{ "case_clause_list",  "case_clause_list", 0, 0, 0, 0, -1, 215, 0, 0, 229, -1, 0, 0 },
	{ "statement",  "statement", 0, 0, 0, 0, -1, 216, 0, 0, 230, -1, 0, 0 },
	{ "elsif_list",  "elsif_list", 0, 0, 0, 0, -1, 217, 0, 0, 231, -1, 0, 0 },
	{ "elsif_clause",  "elsif_clause", 0, 0, 0, 0, -1, 218, 0, 0, 232, -1, 0, 0 },
	{ "optional_else",  "optional_else", 0, 0, 0, 0, -1, 219, 0, 0, 233, -1, 0, 0 },
	{ "call_arg_seq",  "call_arg_seq", 0, 0, 0, 0, -1, 220, 0, 0, 234, -1, 0, 0 },
	{ "call_arg_list",  "call_arg_list", 0, 0, 0, 0, -1, 221, 0, 0, 235, -1, 0, 0 },
	{ "iter_call",  "iter_call", 0, 0, 0, 0, -1, 222, 0, 0, 236, -1, 0, 0 },
	{ "block_or_single",  "block_or_single", 0, 0, 0, 0, -1, 223, 0, 0, 237, -1, 0, 0 },
	{ "require_pattern",  "require_pattern", 0, 0, 0, 0, -1, 224, 0, 0, 238, -1, 0, 0 },
	{ "opt_require_stmt",  "opt_require_stmt", 0, 0, 0, 0, -1, 225, 0, 0, 239, -1, 0, 0 },
	{ "lang_stmt_list",  "lang_stmt_list", 0, 0, 0, 0, -1, 226, 0, 0, 240, -1, 0, 0 },
	{ "opt_def_init",  "opt_def_init", 0, 0, 0, 0, -1, 227, 0, 0, 241, -1, 0, 0 },
	{ "var_def",  "var_def", 0, 0, 0, 0, -1, 228, 0, 0, 242, -1, 0, 0 },
	{ "print_stmt",  "print_stmt", 0, 0, 0, 0, -1, 229, 0, 0, 243, -1, 0, 0 },
	{ "expr_stmt",  "expr_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 244, -1, 0, 0 },
	{ "code_expr",  "code_expr", 0, 0, 0, 0, -1, 231, 0, 0, 245, -1, 0, 0 },
	{ "code_relational",  "code_relational", 0, 0, 0, 0, -1, 232, 0, 0, 246, -1, 0, 0 },
	{ "code_additive",  "code_additive", 0, 0, 0, 0, -1, 233, 0, 0, 247, -1, 0, 0 },
	{ "code_multiplicitive",  "code_multiplicitive", 0, 0, 0, 0, -1, 234, 0, 0, 248, -1, 0, 0 },
	{ "code_unary",  "code_unary", 0, 0, 0, 0, -1, 235, 0, 0, 249, -1, 0, 0 },
	{ "opt_eos",  "opt_eos", 0, 0, 0, 0, -1, 236, 0, 0, 250, -1, 0, 0 },
	{ "code_factor",  "code_factor", 0, 0, 0, 0, -1, 237, 0, 0, 251, -1, 0, 0 },
	{ "type_ref",  "type_ref", 0, 0, 0, 0, -1, 238, 0, 0, 252, -1, 0, 0 },
	{ "region_qual",  "region_qual", 0, 0, 0, 0, -1, 239, 0, 0, 253, -1, 0, 0 },
	{ "opt_repeat",  "opt_repeat", 0, 0, 0, 0, -1, 240, 0, 0, 254, -1, 0, 0 },
	{ "opt_capture",  "opt_capture", 0, 0, 0, 0, -1, 241, 0, 0, 255, -1, 0, 0 },
	{ "opt_field_init",  "opt_field_init", 0, 0, 0, 0, -1, 242, 0, 0, 256, -1, 0, 0 },
	{ "field_init",  "field_init", 0, 0, 0, 0, -1, 243, 0, 0, 257, -1, 0, 0 },
	{ "opt_label",  "opt_label", 0, 0, 0, 0, -1, 244, 0, 0, 258, -1, 0, 0 },
	{ "dq_lit_term",  "dq_lit_term", 0, 0, 0, 0, -1, 245, 0, 0, 259, -1, 0, 0 },
	{ "sq_lit_term",  "sq_lit_term", 0, 0, 0, 0, -1, 246, 0, 0, 260, -1, 0, 0 },
	{ "opt_tilde_data",  "opt_tilde_data", 0, 0, 0, 0, -1, 247, 0, 0, 261, -1, 0, 0 },
	{ "pattern_el_lel",  "pattern_el_lel", 0, 0, 0, 0, -1, 248, 0, 0, 262, -1, 0, 0 },
	{ "pattern_el",  "pattern_el", 0, 0, 0, 0, -1, 249, 0, 0, 263, -1, 0, 0 },
	{ "litpat_el",  "litpat_el", 0, 0, 0, 0, -1, 250, 0, 0, 264, -1, 0, 0 },
	{ "pattern_top_el",  "pattern_top_el", 0, 0, 0, 0, -1, 251, 0, 0, 265, -1, 0, 0 },
	{ "pattern_list",  "pattern_list", 0, 0, 0, 0, -1, 252, 0, 0, 266, -1, 0, 0 },
	{ "pattern",  "pattern", 0, 0, 0, 0, -1, 253, 0, 0, 267, -1, 0, 0 },
	{ "E1",  "E1", 0, 0, 0, 0, -1, 254, 0, 0, 268, -1, 0, 0 },
	{ "E2",  "E2", 0, 0, 0, 0, -1, 255, 0, 0, 269, -1, 0, 0 },
	{ "E3",  "E3", 0, 0, 0, 0, -1, 256, 0, 0, 270, -1, 0, 0 },
	{ "E4",  "E4", 0, 0, 0, 0, -1, 257, 0, 0, 271, -1, 0, 0 },
	{ "cons_el",  "cons_el", 0, 0, 0, 0, -1, 258, 0, 0, 272, -1, 0, 0 },
	{ "lit_cons_el",  "lit_cons_el", 0, 0, 0, 0, -1, 259, 0, 0, 273, -1, 0, 0 },
	{ "cons_top_el",  "cons_top_el", 0, 0, 0, 0, -1, 260, 0, 0, 274, -1, 0, 0 },
	{ "cons_list",  "cons_list", 0, 0, 0, 0, -1, 261, 0, 0, 275, -1, 0, 0 },
	{ "constructor",  "constructor", 0, 0, 0, 0, -1, 262, 0, 0, 276, -1, 0, 0 },
	{ "accum_el",  "accum_el", 0, 0, 0, 0, -1, 263, 0, 0, 277, -1, 0, 0 },
	{ "lit_accum_el",  "lit_accum_el", 0, 0, 0, 0, -1, 264, 0, 0, 278, -1, 0, 0 },
	{ "accum_top_el",  "accum_top_el", 0, 0, 0, 0, -1, 265, 0, 0, 279, -1, 0, 0 },
	{ "accum_list",  "accum_list", 0, 0, 0, 0, -1, 266, 0, 0, 280, -1, 0, 0 },
	{ "accumulate",  "accumulate", 0, 0, 0, 0, -1, 267, 0, 0, 281, -1, 0, 0 },
	{ "string_el",  "string_el", 0, 0, 0, 0, -1, 268, 0, 0, 282, -1, 0, 0 },
	{ "lit_string_el",  "lit_string_el", 0, 0, 0, 0, -1, 269, 0, 0, 283, -1, 0, 0 },
	{ "string_top_el",  "string_top_el", 0, 0, 0, 0, -1, 270, 0, 0, 284, -1, 0, 0 },
	{ "string_list",  "string_list", 0, 0, 0, 0, -1, 271, 0, 0, 285, -1, 0, 0 },
	{ "string",  "string", 0, 0, 0, 0, -1, 272, 0, 0, 286, -1, 0, 0 },
	{ "var_ref",  "var_ref", 0, 0, 0, 0, -1, 273, 0, 0, 287, -1, 0, 0 },
	{ "qual",  "qual", 0, 0, 0, 0, -1, 274, 0, 0, 288, -1, 0, 0 },
	{ "lex_expr",  "lex_expr", 0, 0, 0, 0, -1, 275, 0, 0, 289, -1, 0, 0 },
	{ "opt_lex_dot",  "opt_lex_dot", 0, 0, 0, 0, -1, 276, 0, 0, 290, -1, 0, 0 },
	{ "lex_term",  "lex_term", 0, 0, 0, 0, -1, 277, 0, 0, 291, -1, 0, 0 },
	{ "lex_factor_rep",  "lex_factor_rep", 0, 0, 0, 0, -1, 278, 0, 0, 292, -1, 0, 0 },
	{ "lex_factor_neg",  "lex_factor_neg", 0, 0, 0, 0, -1, 279, 0, 0, 293, -1, 0, 0 },
	{ "lex_range_lit",  "lex_range_lit", 0, 0, 0, 0, -1, 280, 0, 0, 294, -1, 0, 0 },
	{ "lex_num",  "lex_num", 0, 0, 0, 0, -1, 281, 0, 0, 295, -1, 0, 0 },
	{ "lex_factor",  "lex_factor", 0, 0, 0, 0, -1, 282, 0, 0, 296, -1, 0, 0 },
	{ "reg_or_data",  "reg_or_data", 0, 0, 0, 0, -1, 283, 0, 0, 297, -1, 0, 0 },
	{ "reg_or_char",  "reg_or_char", 0, 0, 0, 0, -1, 284, 0, 0, 298, -1, 0, 0 },
	{ "_repeat_root_item",  "_repeat_root_item", 1, 0, 0, 0, -1, 0, 0, 0, 299, -1, 0, 0 },
	{ "_repeat_sq_cons_data",  "_repeat_sq_cons_data", 1, 0, 0, 0, -1, 0, 0, 0, 300, -1, 0, 0 },
	{ "_repeat_struct_item",  "_repeat_struct_item", 1, 0, 0, 0, -1, 0, 0, 0, 301, -1, 0, 0 },
	{ "_repeat_reduction_item",  "_repeat_reduction_item", 1, 0, 0, 0, -1, 0, 0, 0, 302, -1, 0, 0 },
	{ "_repeat_host_item",  "_repeat_host_item", 1, 0, 0, 0, -1, 0, 0, 0, 303, -1, 0, 0 },
	{ "_repeat_namespace_item",  "_repeat_namespace_item", 1, 0, 0, 0, -1, 0, 0, 0, 304, -1, 0, 0 },
	{ "_repeat_var_def",  "_repeat_var_def", 1, 0, 0, 0, -1, 0, 0, 0, 305, -1, 0, 0 },
	{ "_repeat_statement",  "_repeat_statement", 1, 0, 0, 0, -1, 0, 0, 0, 306, -1, 0, 0 },
	{ "_repeat_field_init",  "_repeat_field_init", 1, 0, 0, 0, -1, 0, 0, 0, 307, -1, 0, 0 },
	{ "_repeat_litpat_el",  "_repeat_litpat_el", 1, 0, 0, 0, -1, 0, 0, 0, 308, -1, 0, 0 },
	{ "_repeat_pattern_el",  "_repeat_pattern_el", 1, 0, 0, 0, -1, 0, 0, 0, 309, -1, 0, 0 },
	{ "_repeat_lit_cons_el",  "_repeat_lit_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 310, -1, 0, 0 },
	{ "_repeat_cons_el",  "_repeat_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 311, -1, 0, 0 },
	{ "_repeat_lit_accum_el",  "_repeat_lit_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 312, -1, 0, 0 },
	{ "_repeat_accum_el",  "_repeat_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 313, -1, 0, 0 },
	{ "_repeat_lit_string_el",  "_repeat_lit_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 314, -1, 0, 0 },
	{ "_repeat_string_el",  "_repeat_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 315, -1, 0, 0 },
	{ "_root",  "_root", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 }
};

static short struct_trees_0[] = {
	0, 1, 3, 
};

static short struct_trees_2[] = {
	0, 
};

static struct struct_el_info parser_selInfo[] = {
	{ 4, struct_trees_0, 3,  },
	{ 0, 0, 0,  },
	{ 3, struct_trees_2, 1,  },

};

static struct frame_info parser_frameInfo[] = {
	{ "", 0, 0, 0, 0, locals_0, 2, 0, 2 }
};

static struct prod_info parser_prodInfo[] = {
	{ 777, 0, 1, "start-1", -1, 1, copy_0, 1,  },
	{ 778, 0, 1, "root_item-1", -1, 1, copy_1, 1,  },
	{ 778, 1, 1, "root_item-2", -1, 1, copy_2, 1,  },
	{ 778, 2, 1, "root_item-3", -1, 1, copy_3, 1,  },
	{ 778, 3, 1, "root_item-4", -1, 1, copy_4, 1,  },
	{ 778, 4, 1, "root_item-5", -1, 1, copy_5, 1,  },
	{ 778, 5, 1, "root_item-6", -1, 1, copy_6, 1,  },
	{ 778, 6, 1, "root_item-7", -1, 1, copy_7, 1,  },
	{ 778, 7, 1, "root_item-8", -1, 1, copy_8, 1,  },
	{ 778, 8, 1, "root_item-9", -1, 1, copy_9, 1,  },
	{ 778, 9, 1, "root_item-10", -1, 1, copy_10, 1,  },
	{ 778, 10, 1, "root_item-11", -1, 1, copy_11, 1,  },
	{ 778, 11, 1, "root_item-12", -1, 1, copy_12, 1,  },
	{ 778, 12, 1, "root_item-13", -1, 1, copy_13, 1,  },
	{ 778, 13, 1, "root_item-14", -1, 1, copy_14, 1,  },
	{ 778, 14, 1, "root_item-15", -1, 1, copy_15, 1,  },
	{ 778, 15, 1, "root_item-16", -1, 1, copy_16, 1,  },
	{ 778, 16, 1, "root_item-17", -1, 1, copy_17, 1,  },
	{ 778, 17, 1, "root_item-18", -1, 1, copy_18, 1,  },
	{ 778, 18, 1, "root_item-19", -1, 1, copy_19, 1,  },
	{ 778, 19, 1, "root_item-20", -1, 1, copy_20, 1,  },
	{ 779, 0, 4, "include-1", -1, 1, copy_21, 4,  },
	{ 780, 0, 2, "precedence_def-1", -1, 1, copy_22, 2,  },
	{ 781, 0, 1, "pred_type-1", -1, 1, copy_23, 1,  },
	{ 781, 1, 1, "pred_type-2", -1, 1, copy_24, 1,  },
	{ 781, 2, 1, "pred_type-3", -1, 1, copy_25, 1,  },
	{ 782, 0, 3, "pred_token_list-1", -1, 1, copy_26, 3,  },
	{ 782, 1, 1, "pred_token_list-2", -1, 1, copy_27, 1,  },
	{ 783, 0, 2, "pred_token-1", -1, 1, copy_28, 2,  },
	{ 783, 1, 2, "pred_token-2", -1, 1, copy_29, 2,  },
	{ 784, 0, 4, "pre_eof_def-1", -1, 1, copy_30, 4,  },
	{ 785, 0, 3, "alias_def-1", -1, 1, copy_31, 3,  },
	{ 786, 0, 1, "struct_item-1", -1, 1, copy_32, 1,  },
	{ 786, 1, 1, "struct_item-2", -1, 1, copy_33, 1,  },
	{ 786, 2, 1, "struct_item-3", -1, 1, copy_34, 1,  },
	{ 786, 3, 1, "struct_item-4", -1, 1, copy_35, 1,  },
	{ 786, 4, 1, "struct_item-5", -1, 1, copy_36, 1,  },
	{ 786, 5, 1, "struct_item-6", -1, 1, copy_37, 1,  },
	{ 786, 6, 1, "struct_item-7", -1, 1, copy_38, 1,  },
	{ 786, 7, 1, "struct_item-8", -1, 1, copy_39, 1,  },
	{ 786, 8, 1, "struct_item-9", -1, 1, copy_40, 1,  },
	{ 786, 9, 1, "struct_item-10", -1, 1, copy_41, 1,  },
	{ 786, 10, 1, "struct_item-11", -1, 1, copy_42, 1,  },
	{ 786, 11, 1, "struct_item-12", -1, 1, copy_43, 1,  },
	{ 786, 12, 1, "struct_item-13", -1, 1, copy_44, 1,  },
	{ 786, 13, 1, "struct_item-14", -1, 1, copy_45, 1,  },
	{ 786, 14, 1, "struct_item-15", -1, 1, copy_46, 1,  },
	{ 786, 15, 1, "struct_item-16", -1, 1, copy_47, 1,  },
	{ 787, 0, 3, "export_def-1", -1, 1, copy_48, 3,  },
	{ 788, 0, 3, "global_def-1", -1, 1, copy_49, 3,  },
	{ 789, 0, 8, "iter_def-1", -1, 1, copy_50, 8,  },
	{ 790, 0, 4, "reference_type_ref-1", -1, 1, copy_51, 4,  },
	{ 791, 0, 3, "param_var_def_seq-1", -1, 1, copy_52, 3,  },
	{ 791, 1, 1, "param_var_def_seq-2", -1, 1, copy_53, 1,  },
	{ 792, 0, 1, "param_var_def_list-1", -1, 1, copy_54, 1,  },
	{ 792, 1, 0, "param_var_def_list-2", -1, 1, 0, 0,  },
	{ 793, 0, 3, "param_var_def-1", -1, 1, copy_56, 3,  },
	{ 793, 1, 3, "param_var_def-2", -1, 1, copy_57, 3,  },
	{ 794, 0, 1, "opt_export-1", -1, 1, copy_58, 1,  },
	{ 794, 1, 0, "opt_export-2", -1, 1, 0, 0,  },
	{ 795, 0, 9, "function_def-1", -1, 1, copy_60, 9,  },
	{ 796, 0, 8, "in_host_def-1", -1, 1, copy_61, 8,  },
	{ 797, 0, 1, "struct_var_def-1", -1, 1, copy_62, 1,  },
	{ 798, 0, 1, "struct_key-1", -1, 1, copy_63, 1,  },
	{ 798, 1, 1, "struct_key-2", -1, 1, copy_64, 1,  },
	{ 799, 0, 4, "struct_def-1", -1, 1, copy_65, 4,  },
	{ 800, 0, 2, "literal_def-1", -1, 1, copy_66, 2,  },
	{ 801, 0, 2, "literal_list-1", -1, 1, copy_67, 2,  },
	{ 801, 1, 1, "literal_list-2", -1, 1, copy_68, 1,  },
	{ 802, 0, 3, "literal_item-1", -1, 1, copy_69, 3,  },
	{ 803, 0, 2, "no_ignore_left-1", -1, 1, copy_70, 2,  },
	{ 803, 1, 0, "no_ignore_left-2", -1, 1, 0, 0,  },
	{ 804, 0, 2, "no_ignore_right-1", -1, 1, copy_72, 2,  },
	{ 804, 1, 0, "no_ignore_right-2", -1, 1, 0, 0,  },
	{ 805, 0, 4, "reduction_def-1", -1, 1, copy_74, 4,  },
	{ 806, 0, 4, "red_nonterm-1", -1, 1, copy_75, 4,  },
	{ 807, 0, 6, "red_action-1", -1, 1, copy_76, 6,  },
	{ 808, 0, 1, "host_item-1", -1, 1, copy_77, 1,  },
	{ 808, 1, 1, "host_item-2", -1, 1, copy_78, 1,  },
	{ 808, 2, 1, "host_item-3", -1, 1, copy_79, 1,  },
	{ 808, 3, 1, "host_item-4", -1, 1, copy_80, 1,  },
	{ 808, 4, 1, "host_item-5", -1, 1, copy_81, 1,  },
	{ 808, 5, 1, "host_item-6", -1, 1, copy_82, 1,  },
	{ 808, 6, 1, "host_item-7", -1, 1, copy_83, 1,  },
	{ 808, 7, 1, "host_item-8", -1, 1, copy_84, 1,  },
	{ 808, 8, 1, "host_item-9", -1, 1, copy_85, 1,  },
	{ 808, 9, 1, "host_item-10", -1, 1, copy_86, 1,  },
	{ 808, 10, 3, "host_item-11", -1, 1, copy_87, 3,  },
	{ 809, 0, 1, "reduction_item-1", -1, 1, copy_88, 1,  },
	{ 809, 1, 1, "reduction_item-2", -1, 1, copy_89, 1,  },
	{ 810, 0, 4, "namespace_def-1", -1, 1, copy_90, 4,  },
	{ 811, 0, 1, "namespace_item-1", -1, 1, copy_91, 1,  },
	{ 811, 1, 1, "namespace_item-2", -1, 1, copy_92, 1,  },
	{ 811, 2, 1, "namespace_item-3", -1, 1, copy_93, 1,  },
	{ 811, 3, 1, "namespace_item-4", -1, 1, copy_94, 1,  },
	{ 811, 4, 1, "namespace_item-5", -1, 1, copy_95, 1,  },
	{ 811, 5, 1, "namespace_item-6", -1, 1, copy_96, 1,  },
	{ 811, 6, 1, "namespace_item-7", -1, 1, copy_97, 1,  },
	{ 811, 7, 1, "namespace_item-8", -1, 1, copy_98, 1,  },
	{ 811, 8, 1, "namespace_item-9", -1, 1, copy_99, 1,  },
	{ 811, 9, 1, "namespace_item-10", -1, 1, copy_100, 1,  },
	{ 811, 10, 1, "namespace_item-11", -1, 1, copy_101, 1,  },
	{ 811, 11, 1, "namespace_item-12", -1, 1, copy_102, 1,  },
	{ 811, 12, 1, "namespace_item-13", -1, 1, copy_103, 1,  },
	{ 811, 13, 1, "namespace_item-14", -1, 1, copy_104, 1,  },
	{ 811, 14, 1, "namespace_item-15", -1, 1, copy_105, 1,  },
	{ 811, 15, 1, "namespace_item-16", -1, 1, copy_106, 1,  },
	{ 811, 16, 1, "namespace_item-17", -1, 1, copy_107, 1,  },
	{ 812, 0, 0, "obj_var_list-1", -1, 1, 0, 0,  },
	{ 813, 0, 1, "opt_reduce_first-1", -1, 1, copy_109, 1,  },
	{ 813, 1, 0, "opt_reduce_first-2", -1, 1, 0, 0,  },
	{ 814, 0, 5, "cfl_def-1", -1, 1, copy_111, 5,  },
	{ 815, 0, 3, "region_def-1", -1, 1, copy_112, 3,  },
	{ 816, 0, 5, "rl_def-1", -1, 1, copy_113, 5,  },
	{ 817, 0, 1, "opt_lex_expr-1", -1, 1, copy_114, 1,  },
	{ 817, 1, 0, "opt_lex_expr-2", -1, 1, 0, 0,  },
	{ 818, 0, 9, "token_def-1", -1, 1, copy_116, 9,  },
	{ 819, 0, 3, "ic_def-1", -1, 1, copy_117, 3,  },
	{ 820, 0, 3, "opt_translate-1", -1, 1, copy_118, 3,  },
	{ 820, 1, 0, "opt_translate-2", -1, 1, 0, 0,  },
	{ 821, 0, 1, "opt_id-1", -1, 1, copy_120, 1,  },
	{ 821, 1, 0, "opt_id-2", -1, 1, 0, 0,  },
	{ 822, 0, 5, "ignore_def-1", -1, 1, copy_122, 5,  },
	{ 823, 0, 4, "prod_el-1", -1, 1, copy_123, 4,  },
	{ 823, 1, 4, "prod_el-2", -1, 1, copy_124, 4,  },
	{ 824, 0, 2, "opt_prod_el_name-1", -1, 1, copy_125, 2,  },
	{ 824, 1, 0, "opt_prod_el_name-2", -1, 1, 0, 0,  },
	{ 825, 0, 2, "prod_el_list-1", -1, 1, copy_127, 2,  },
	{ 825, 1, 0, "prod_el_list-2", -1, 1, 0, 0,  },
	{ 826, 0, 1, "opt_commit-1", -1, 1, copy_129, 1,  },
	{ 826, 1, 0, "opt_commit-2", -1, 1, 0, 0,  },
	{ 827, 0, 2, "opt_prod_name-1", -1, 1, copy_131, 2,  },
	{ 827, 1, 0, "opt_prod_name-2", -1, 1, 0, 0,  },
	{ 828, 0, 6, "prod-1", -1, 1, copy_133, 6,  },
	{ 829, 0, 3, "opt_reduce-1", -1, 1, copy_134, 3,  },
	{ 829, 1, 0, "opt_reduce-2", -1, 1, 0, 0,  },
	{ 830, 0, 3, "prod_list-1", -1, 1, copy_136, 3,  },
	{ 830, 1, 1, "prod_list-2", -1, 1, copy_137, 1,  },
	{ 831, 0, 3, "case_clause-1", -1, 1, copy_138, 3,  },
	{ 832, 0, 2, "default_clause-1", -1, 1, copy_139, 2,  },
	{ 833, 0, 2, "case_clause_list-1", -1, 1, copy_140, 2,  },
	{ 833, 1, 1, "case_clause_list-2", -1, 1, copy_141, 1,  },
	{ 833, 2, 1, "case_clause_list-3", -1, 1, copy_142, 1,  },
	{ 834, 0, 1, "statement-1", -1, 1, copy_143, 1,  },
	{ 834, 1, 1, "statement-2", -1, 1, copy_144, 1,  },
	{ 834, 2, 2, "statement-3", -1, 1, copy_145, 2,  },
	{ 834, 3, 7, "statement-4", -1, 1, copy_146, 7,  },
	{ 834, 4, 4, "statement-5", -1, 1, copy_147, 4,  },
	{ 834, 5, 3, "statement-6", -1, 1, copy_148, 3,  },
	{ 834, 6, 5, "statement-7", -1, 1, copy_149, 5,  },
	{ 834, 7, 3, "statement-8", -1, 1, copy_150, 3,  },
	{ 834, 8, 3, "statement-9", -1, 1, copy_151, 3,  },
	{ 834, 9, 2, "statement-10", -1, 1, copy_152, 2,  },
	{ 834, 10, 2, "statement-11", -1, 1, copy_153, 2,  },
	{ 834, 11, 1, "statement-12", -1, 1, copy_154, 1,  },
	{ 834, 12, 1, "statement-13", -1, 1, copy_155, 1,  },
	{ 835, 0, 2, "elsif_list-1", -1, 1, copy_156, 2,  },
	{ 835, 1, 1, "elsif_list-2", -1, 1, copy_157, 1,  },
	{ 836, 0, 3, "elsif_clause-1", -1, 1, copy_158, 3,  },
	{ 837, 0, 2, "optional_else-1", -1, 1, copy_159, 2,  },
	{ 837, 1, 0, "optional_else-2", -1, 1, 0, 0,  },
	{ 838, 0, 3, "call_arg_seq-1", -1, 1, copy_161, 3,  },
	{ 838, 1, 1, "call_arg_seq-2", -1, 1, copy_162, 1,  },
	{ 839, 0, 1, "call_arg_list-1", -1, 1, copy_163, 1,  },
	{ 839, 1, 0, "call_arg_list-2", -1, 1, 0, 0,  },
	{ 840, 0, 5, "iter_call-1", -1, 1, copy_165, 5,  },
	{ 840, 1, 2, "iter_call-2", -1, 1, copy_166, 2,  },
	{ 840, 2, 2, "iter_call-3", -1, 1, copy_167, 2,  },
	{ 841, 0, 3, "block_or_single-1", -1, 1, copy_168, 3,  },
	{ 841, 1, 1, "block_or_single-2", -1, 1, copy_169, 1,  },
	{ 842, 0, 3, "require_pattern-1", -1, 1, copy_170, 3,  },
	{ 843, 0, 2, "opt_require_stmt-1", -1, 1, copy_171, 2,  },
	{ 843, 1, 0, "opt_require_stmt-2", -1, 1, 0, 0,  },
	{ 844, 0, 2, "lang_stmt_list-1", -1, 1, copy_173, 2,  },
	{ 845, 0, 2, "opt_def_init-1", -1, 1, copy_174, 2,  },
	{ 845, 1, 0, "opt_def_init-2", -1, 1, 0, 0,  },
	{ 846, 0, 3, "var_def-1", -1, 1, copy_176, 3,  },
	{ 847, 0, 4, "print_stmt-1", -1, 1, copy_177, 4,  },
	{ 847, 1, 4, "print_stmt-2", -1, 1, copy_178, 4,  },
	{ 847, 2, 4, "print_stmt-3", -1, 1, copy_179, 4,  },
	{ 847, 3, 4, "print_stmt-4", -1, 1, copy_180, 4,  },
	{ 847, 4, 2, "print_stmt-5", -1, 1, copy_181, 2,  },
	{ 848, 0, 1, "expr_stmt-1", -1, 1, copy_182, 1,  },
	{ 849, 0, 3, "code_expr-1", -1, 1, copy_183, 3,  },
	{ 849, 1, 3, "code_expr-2", -1, 1, copy_184, 3,  },
	{ 849, 2, 1, "code_expr-3", -1, 1, copy_185, 1,  },
	{ 850, 0, 3, "code_relational-1", -1, 1, copy_186, 3,  },
	{ 850, 1, 3, "code_relational-2", -1, 1, copy_187, 3,  },
	{ 850, 2, 3, "code_relational-3", -1, 1, copy_188, 3,  },
	{ 850, 3, 3, "code_relational-4", -1, 1, copy_189, 3,  },
	{ 850, 4, 3, "code_relational-5", -1, 1, copy_190, 3,  },
	{ 850, 5, 3, "code_relational-6", -1, 1, copy_191, 3,  },
	{ 850, 6, 1, "code_relational-7", -1, 1, copy_192, 1,  },
	{ 851, 0, 3, "code_additive-1", -1, 1, copy_193, 3,  },
	{ 851, 1, 3, "code_additive-2", -1, 1, copy_194, 3,  },
	{ 851, 2, 1, "code_additive-3", -1, 1, copy_195, 1,  },
	{ 852, 0, 3, "code_multiplicitive-1", -1, 1, copy_196, 3,  },
	{ 852, 1, 3, "code_multiplicitive-2", -1, 1, copy_197, 3,  },
	{ 852, 2, 1, "code_multiplicitive-3", -1, 1, copy_198, 1,  },
	{ 853, 0, 2, "code_unary-1", -1, 1, copy_199, 2,  },
	{ 853, 1, 2, "code_unary-2", -1, 1, copy_200, 2,  },
	{ 853, 2, 3, "code_unary-3", -1, 1, copy_201, 3,  },
	{ 853, 3, 2, "code_unary-4", -1, 1, copy_202, 2,  },
	{ 853, 4, 2, "code_unary-5", -1, 1, copy_203, 2,  },
	{ 853, 5, 1, "code_unary-6", -1, 1, copy_204, 1,  },
	{ 854, 0, 1, "opt_eos-1", -1, 1, copy_205, 1,  },
	{ 854, 1, 1, "opt_eos-2", -1, 1, copy_206, 1,  },
	{ 854, 2, 0, "opt_eos-3", -1, 1, 0, 0,  },
	{ 855, 0, 1, "code_factor-1", -1, 1, copy_208, 1,  },
	{ 855, 1, 4, "code_factor-2", -1, 1, copy_209, 4,  },
	{ 855, 2, 1, "code_factor-3", -1, 1, copy_210, 1,  },
	{ 855, 3, 1, "code_factor-4", -1, 1, copy_211, 1,  },
	{ 855, 4, 1, "code_factor-5", -1, 1, copy_212, 1,  },
	{ 855, 5, 1, "code_factor-6", -1, 1, copy_213, 1,  },
	{ 855, 6, 3, "code_factor-7", -1, 1, copy_214, 3,  },
	{ 855, 7, 4, "code_factor-8", -1, 1, copy_215, 4,  },
	{ 855, 8, 4, "code_factor-9", -1, 1, copy_216, 4,  },
	{ 855, 9, 5, "code_factor-10", -1, 1, copy_217, 5,  },
	{ 855, 10, 5, "code_factor-11", -1, 1, copy_218, 5,  },
	{ 855, 11, 5, "code_factor-12", -1, 1, copy_219, 5,  },
	{ 855, 12, 5, "code_factor-13", -1, 1, copy_220, 5,  },
	{ 855, 13, 5, "code_factor-14", -1, 1, copy_221, 5,  },
	{ 855, 14, 3, "code_factor-15", -1, 1, copy_222, 3,  },
	{ 855, 15, 1, "code_factor-16", -1, 1, copy_223, 1,  },
	{ 855, 16, 3, "code_factor-17", -1, 1, copy_224, 3,  },
	{ 855, 17, 4, "code_factor-18", -1, 1, copy_225, 4,  },
	{ 855, 18, 4, "code_factor-19", -1, 1, copy_226, 4,  },
	{ 855, 19, 4, "code_factor-20", -1, 1, copy_227, 4,  },
	{ 855, 20, 6, "code_factor-21", -1, 1, copy_228, 6,  },
	{ 855, 21, 5, "code_factor-22", -1, 1, copy_229, 5,  },
	{ 856, 0, 3, "type_ref-1", -1, 1, copy_230, 3,  },
	{ 856, 1, 1, "type_ref-2", -1, 1, copy_231, 1,  },
	{ 856, 2, 1, "type_ref-3", -1, 1, copy_232, 1,  },
	{ 856, 3, 4, "type_ref-4", -1, 1, copy_233, 4,  },
	{ 856, 4, 4, "type_ref-5", -1, 1, copy_234, 4,  },
	{ 856, 5, 6, "type_ref-6", -1, 1, copy_235, 6,  },
	{ 856, 6, 4, "type_ref-7", -1, 1, copy_236, 4,  },
	{ 856, 7, 6, "type_ref-8", -1, 1, copy_237, 6,  },
	{ 857, 0, 3, "region_qual-1", -1, 1, copy_238, 3,  },
	{ 857, 1, 0, "region_qual-2", -1, 1, 0, 0,  },
	{ 858, 0, 1, "opt_repeat-1", -1, 1, copy_240, 1,  },
	{ 858, 1, 1, "opt_repeat-2", -1, 1, copy_241, 1,  },
	{ 858, 2, 1, "opt_repeat-3", -1, 1, copy_242, 1,  },
	{ 858, 3, 0, "opt_repeat-4", -1, 1, 0, 0,  },
	{ 859, 0, 2, "opt_capture-1", -1, 1, copy_244, 2,  },
	{ 859, 1, 0, "opt_capture-2", -1, 1, 0, 0,  },
	{ 860, 0, 3, "opt_field_init-1", -1, 1, copy_246, 3,  },
	{ 860, 1, 0, "opt_field_init-2", -1, 1, 0, 0,  },
	{ 861, 0, 1, "field_init-1", -1, 1, copy_248, 1,  },
	{ 862, 0, 2, "opt_label-1", -1, 1, copy_249, 2,  },
	{ 862, 1, 0, "opt_label-2", -1, 1, 0, 0,  },
	{ 863, 0, 1, "dq_lit_term-1", -1, 1, copy_251, 1,  },
	{ 863, 1, 1, "dq_lit_term-2", -1, 1, copy_252, 1,  },
	{ 864, 0, 1, "sq_lit_term-1", -1, 1, copy_253, 1,  },
	{ 864, 1, 1, "sq_lit_term-2", -1, 1, copy_254, 1,  },
	{ 865, 0, 1, "opt_tilde_data-1", -1, 1, copy_255, 1,  },
	{ 865, 1, 0, "opt_tilde_data-2", -1, 1, 0, 0,  },
	{ 866, 0, 3, "pattern_el_lel-1", -1, 1, copy_257, 3,  },
	{ 866, 1, 3, "pattern_el_lel-2", -1, 1, copy_258, 3,  },
	{ 867, 0, 2, "pattern_el-1", -1, 1, copy_259, 2,  },
	{ 867, 1, 3, "pattern_el-2", -1, 1, copy_260, 3,  },
	{ 867, 2, 3, "pattern_el-3", -1, 1, copy_261, 3,  },
	{ 867, 3, 3, "pattern_el-4", -1, 1, copy_262, 3,  },
	{ 868, 0, 1, "litpat_el-1", -1, 1, copy_263, 1,  },
	{ 868, 1, 3, "litpat_el-2", -1, 1, copy_264, 3,  },
	{ 869, 0, 3, "pattern_top_el-1", -1, 1, copy_265, 3,  },
	{ 869, 1, 3, "pattern_top_el-2", -1, 1, copy_266, 3,  },
	{ 869, 2, 3, "pattern_top_el-3", -1, 1, copy_267, 3,  },
	{ 869, 3, 3, "pattern_top_el-4", -1, 1, copy_268, 3,  },
	{ 870, 0, 2, "pattern_list-1", -1, 1, copy_269, 2,  },
	{ 870, 1, 1, "pattern_list-2", -1, 1, copy_270, 1,  },
	{ 871, 0, 1, "pattern-1", -1, 1, copy_271, 1,  },
	{ 872, 0, 0, "E1-1", -1, 1, 0, 0,  },
	{ 873, 0, 0, "E2-1", -1, 1, 0, 0,  },
	{ 874, 0, 0, "E3-1", -1, 1, 0, 0,  },
	{ 875, 0, 0, "E4-1", -1, 1, 0, 0,  },
	{ 876, 0, 3, "cons_el-1", -1, 1, copy_276, 3,  },
	{ 876, 1, 4, "cons_el-2", -1, 1, copy_277, 4,  },
	{ 876, 2, 4, "cons_el-3", -1, 1, copy_278, 4,  },
	{ 876, 3, 4, "cons_el-4", -1, 1, copy_279, 4,  },
	{ 876, 4, 2, "cons_el-5", -1, 1, copy_280, 2,  },
	{ 877, 0, 1, "lit_cons_el-1", -1, 1, copy_281, 1,  },
	{ 877, 1, 3, "lit_cons_el-2", -1, 1, copy_282, 3,  },
	{ 878, 0, 3, "cons_top_el-1", -1, 1, copy_283, 3,  },
	{ 878, 1, 3, "cons_top_el-2", -1, 1, copy_284, 3,  },
	{ 878, 2, 3, "cons_top_el-3", -1, 1, copy_285, 3,  },
	{ 878, 3, 3, "cons_top_el-4", -1, 1, copy_286, 3,  },
	{ 879, 0, 2, "cons_list-1", -1, 1, copy_287, 2,  },
	{ 879, 1, 1, "cons_list-2", -1, 1, copy_288, 1,  },
	{ 880, 0, 1, "constructor-1", -1, 1, copy_289, 1,  },
	{ 881, 0, 4, "accum_el-1", -1, 1, copy_290, 4,  },
	{ 881, 1, 4, "accum_el-2", -1, 1, copy_291, 4,  },
	{ 881, 2, 4, "accum_el-3", -1, 1, copy_292, 4,  },
	{ 881, 3, 2, "accum_el-4", -1, 1, copy_293, 2,  },
	{ 882, 0, 1, "lit_accum_el-1", -1, 1, copy_294, 1,  },
	{ 882, 1, 3, "lit_accum_el-2", -1, 1, copy_295, 3,  },
	{ 883, 0, 3, "accum_top_el-1", -1, 1, copy_296, 3,  },
	{ 883, 1, 3, "accum_top_el-2", -1, 1, copy_297, 3,  },
	{ 883, 2, 3, "accum_top_el-3", -1, 1, copy_298, 3,  },
	{ 883, 3, 3, "accum_top_el-4", -1, 1, copy_299, 3,  },
	{ 884, 0, 2, "accum_list-1", -1, 1, copy_300, 2,  },
	{ 884, 1, 1, "accum_list-2", -1, 1, copy_301, 1,  },
	{ 885, 0, 1, "accumulate-1", -1, 1, copy_302, 1,  },
	{ 886, 0, 4, "string_el-1", -1, 1, copy_303, 4,  },
	{ 886, 1, 4, "string_el-2", -1, 1, copy_304, 4,  },
	{ 886, 2, 4, "string_el-3", -1, 1, copy_305, 4,  },
	{ 886, 3, 2, "string_el-4", -1, 1, copy_306, 2,  },
	{ 887, 0, 1, "lit_string_el-1", -1, 1, copy_307, 1,  },
	{ 887, 1, 3, "lit_string_el-2", -1, 1, copy_308, 3,  },
	{ 888, 0, 3, "string_top_el-1", -1, 1, copy_309, 3,  },
	{ 888, 1, 3, "string_top_el-2", -1, 1, copy_310, 3,  },
	{ 888, 2, 3, "string_top_el-3", -1, 1, copy_311, 3,  },
	{ 888, 3, 3, "string_top_el-4", -1, 1, copy_312, 3,  },
	{ 889, 0, 2, "string_list-1", -1, 1, copy_313, 2,  },
	{ 889, 1, 1, "string_list-2", -1, 1, copy_314, 1,  },
	{ 890, 0, 1, "string-1", -1, 1, copy_315, 1,  },
	{ 891, 0, 3, "var_ref-1", -1, 1, copy_316, 3,  },
	{ 892, 0, 3, "qual-1", -1, 1, copy_317, 3,  },
	{ 892, 1, 3, "qual-2", -1, 1, copy_318, 3,  },
	{ 892, 2, 0, "qual-3", -1, 1, 0, 0,  },
	{ 893, 0, 3, "lex_expr-1", -1, 1, copy_320, 3,  },
	{ 893, 1, 3, "lex_expr-2", -1, 1, copy_321, 3,  },
	{ 893, 2, 3, "lex_expr-3", -1, 1, copy_322, 3,  },
	{ 893, 3, 3, "lex_expr-4", -1, 1, copy_323, 3,  },
	{ 893, 4, 1, "lex_expr-5", -1, 1, copy_324, 1,  },
	{ 894, 0, 1, "opt_lex_dot-1", -1, 1, copy_325, 1,  },
	{ 894, 1, 0, "opt_lex_dot-2", -1, 1, 0, 0,  },
	{ 895, 0, 3, "lex_term-1", -1, 1, copy_327, 3,  },
	{ 895, 1, 3, "lex_term-2", -1, 1, copy_328, 3,  },
	{ 895, 2, 3, "lex_term-3", -1, 1, copy_329, 3,  },
	{ 895, 3, 3, "lex_term-4", -1, 1, copy_330, 3,  },
	{ 895, 4, 1, "lex_term-5", -1, 1, copy_331, 1,  },
	{ 896, 0, 2, "lex_factor_rep-1", -1, 1, copy_332, 2,  },
	{ 896, 1, 2, "lex_factor_rep-2", -1, 1, copy_333, 2,  },
	{ 896, 2, 2, "lex_factor_rep-3", -1, 1, copy_334, 2,  },
	{ 896, 3, 2, "lex_factor_rep-4", -1, 1, copy_335, 2,  },
	{ 896, 4, 4, "lex_factor_rep-5", -1, 1, copy_336, 4,  },
	{ 896, 5, 5, "lex_factor_rep-6", -1, 1, copy_337, 5,  },
	{ 896, 6, 5, "lex_factor_rep-7", -1, 1, copy_338, 5,  },
	{ 896, 7, 6, "lex_factor_rep-8", -1, 1, copy_339, 6,  },
	{ 896, 8, 1, "lex_factor_rep-9", -1, 1, copy_340, 1,  },
	{ 897, 0, 2, "lex_factor_neg-1", -1, 1, copy_341, 2,  },
	{ 897, 1, 1, "lex_factor_neg-2", -1, 1, copy_342, 1,  },
	{ 898, 0, 1, "lex_range_lit-1", -1, 1, copy_343, 1,  },
	{ 898, 1, 1, "lex_range_lit-2", -1, 1, copy_344, 1,  },
	{ 899, 0, 1, "lex_num-1", -1, 1, copy_345, 1,  },
	{ 899, 1, 1, "lex_num-2", -1, 1, copy_346, 1,  },
	{ 900, 0, 1, "lex_factor-1", -1, 1, copy_347, 1,  },
	{ 900, 1, 1, "lex_factor-2", -1, 1, copy_348, 1,  },
	{ 900, 2, 1, "lex_factor-3", -1, 1, copy_349, 1,  },
	{ 900, 3, 1, "lex_factor-4", -1, 1, copy_350, 1,  },
	{ 900, 4, 3, "lex_factor-5", -1, 1, copy_351, 3,  },
	{ 900, 5, 3, "lex_factor-6", -1, 1, copy_352, 3,  },
	{ 900, 6, 3, "lex_factor-7", -1, 1, copy_353, 3,  },
	{ 900, 7, 3, "lex_factor-8", -1, 1, copy_354, 3,  },
	{ 901, 0, 2, "reg_or_data-1", -1, 1, copy_355, 2,  },
	{ 901, 1, 0, "reg_or_data-2", -1, 1, 0, 0,  },
	{ 902, 0, 1, "reg_or_char-1", -1, 1, copy_357, 1,  },
	{ 902, 1, 3, "reg_or_char-2", -1, 1, copy_358, 3,  },
	{ 903, 0, 2, "_repeat_root_item-1", -1, 1, 0, 0,  },
	{ 903, 1, 0, "_repeat_root_item-2", -1, 1, 0, 0,  },
	{ 904, 0, 2, "_repeat_sq_cons_data-1", -1, 1, 0, 0,  },
	{ 904, 1, 0, "_repeat_sq_cons_data-2", -1, 1, 0, 0,  },
	{ 905, 0, 2, "_repeat_struct_item-1", -1, 1, 0, 0,  },
	{ 905, 1, 0, "_repeat_struct_item-2", -1, 1, 0, 0,  },
	{ 906, 0, 2, "_repeat_reduction_item-1", -1, 1, 0, 0,  },
	{ 906, 1, 0, "_repeat_reduction_item-2", -1, 1, 0, 0,  },
	{ 907, 0, 2, "_repeat_host_item-1", -1, 1, 0, 0,  },
	{ 907, 1, 0, "_repeat_host_item-2", -1, 1, 0, 0,  },
	{ 908, 0, 2, "_repeat_namespace_item-1", -1, 1, 0, 0,  },
	{ 908, 1, 0, "_repeat_namespace_item-2", -1, 1, 0, 0,  },
	{ 909, 0, 2, "_repeat_var_def-1", -1, 1, 0, 0,  },
	{ 909, 1, 0, "_repeat_var_def-2", -1, 1, 0, 0,  },
	{ 910, 0, 2, "_repeat_statement-1", -1, 1, 0, 0,  },
	{ 910, 1, 0, "_repeat_statement-2", -1, 1, 0, 0,  },
	{ 911, 0, 2, "_repeat_field_init-1", -1, 1, 0, 0,  },
	{ 911, 1, 0, "_repeat_field_init-2", -1, 1, 0, 0,  },
	{ 912, 0, 2, "_repeat_litpat_el-1", -1, 1, 0, 0,  },
	{ 912, 1, 0, "_repeat_litpat_el-2", -1, 1, 0, 0,  },
	{ 913, 0, 2, "_repeat_pattern_el-1", -1, 1, 0, 0,  },
	{ 913, 1, 0, "_repeat_pattern_el-2", -1, 1, 0, 0,  },
	{ 914, 0, 2, "_repeat_lit_cons_el-1", -1, 1, 0, 0,  },
	{ 914, 1, 0, "_repeat_lit_cons_el-2", -1, 1, 0, 0,  },
	{ 915, 0, 2, "_repeat_cons_el-1", -1, 1, 0, 0,  },
	{ 915, 1, 0, "_repeat_cons_el-2", -1, 1, 0, 0,  },
	{ 916, 0, 2, "_repeat_lit_accum_el-1", -1, 1, 0, 0,  },
	{ 916, 1, 0, "_repeat_lit_accum_el-2", -1, 1, 0, 0,  },
	{ 917, 0, 2, "_repeat_accum_el-1", -1, 1, 0, 0,  },
	{ 917, 1, 0, "_repeat_accum_el-2", -1, 1, 0, 0,  },
	{ 918, 0, 2, "_repeat_lit_string_el-1", -1, 1, 0, 0,  },
	{ 918, 1, 0, "_repeat_lit_string_el-2", -1, 1, 0, 0,  },
	{ 919, 0, 2, "_repeat_string_el-1", -1, 1, 0, 0,  },
	{ 919, 1, 0, "_repeat_string_el-2", -1, 1, 0, 0,  },
	{ 920, 0, 1, "_root-1", -1, 1, 0, 0,  },
	{ 920, 1, 1, "_root-2", -1, 1, 0, 0,  },
	{ 920, 2, 1, "_root-3", -1, 1, 0, 0,  },
	{ 920, 3, 1, "_root-4", -1, 1, 0, 0,  },
	{ 920, 4, 1, "_root-5", -1, 1, 0, 0,  },
	{ 920, 5, 1, "_root-6", -1, 1, 0, 0,  },
	{ 920, 6, 1, "_root-7", -1, 1, 0, 0,  },
	{ 920, 7, 1, "_root-8", -1, 1, 0, 0,  },
	{ 920, 8, 1, "_root-9", -1, 1, 0, 0,  },
	{ 920, 9, 1, "_root-10", -1, 1, 0, 0,  },
	{ 920, 10, 1, "_root-11", -1, 1, 0, 0,  },
	{ 920, 11, 1, "_root-12", -1, 1, 0, 0,  },
	{ 920, 12, 1, "_root-13", -1, 1, 0, 0,  },
	{ 920, 13, 1, "_root-14", -1, 1, 0, 0,  },
	{ 920, 14, 1, "_root-15", -1, 1, 0, 0,  },
	{ 920, 15, 1, "_root-16", -1, 1, 0, 0,  },
	{ 920, 16, 1, "_root-17", -1, 1, 0, 0,  },
	{ 920, 17, 1, "_root-18", -1, 1, 0, 0,  },
	{ 920, 18, 1, "_root-19", -1, 1, 0, 0,  },
	{ 920, 19, 1, "_root-20", -1, 1, 0, 0,  },
	{ 920, 20, 1, "_root-21", -1, 1, 0, 0,  },
	{ 920, 21, 1, "_root-22", -1, 1, 0, 0,  },
	{ 920, 22, 1, "_root-23", -1, 1, 0, 0,  },
	{ 920, 23, 1, "_root-24", -1, 1, 0, 0,  },
	{ 920, 24, 1, "_root-25", -1, 1, 0, 0,  },
	{ 920, 25, 1, "_root-26", -1, 1, 0, 0,  },
	{ 920, 26, 1, "_root-27", -1, 1, 0, 0,  },
	{ 920, 27, 1, "_root-28", -1, 1, 0, 0,  },
	{ 920, 28, 1, "_root-29", -1, 1, 0, 0,  },
	{ 920, 29, 1, "_root-30", -1, 1, 0, 0,  },
	{ 920, 30, 1, "_root-31", -1, 1, 0, 0,  },
	{ 920, 31, 1, "_root-32", -1, 1, 0, 0,  },
	{ 920, 32, 1, "_root-33", -1, 1, 0, 0,  },
	{ 920, 33, 1, "_root-34", -1, 1, 0, 0,  },
	{ 920, 34, 1, "_root-35", -1, 1, 0, 0,  },
	{ 920, 35, 1, "_root-36", -1, 1, 0, 0,  },
	{ 920, 36, 1, "_root-37", -1, 1, 0, 0,  },
	{ 920, 37, 1, "_root-38", -1, 1, 0, 0,  },
	{ 920, 38, 1, "_root-39", -1, 1, 0, 0,  },
	{ 920, 39, 1, "_root-40", -1, 1, 0, 0,  },
	{ 920, 40, 1, "_root-41", -1, 1, 0, 0,  },
	{ 920, 41, 1, "_root-42", -1, 1, 0, 0,  },
	{ 920, 42, 1, "_root-43", -1, 1, 0, 0,  },
	{ 920, 43, 1, "_root-44", -1, 1, 0, 0,  },
	{ 920, 44, 1, "_root-45", -1, 1, 0, 0,  },
	{ 920, 45, 1, "_root-46", -1, 1, 0, 0,  },
	{ 920, 46, 1, "_root-47", -1, 1, 0, 0,  },
	{ 920, 47, 1, "_root-48", -1, 1, 0, 0,  },
	{ 920, 48, 1, "_root-49", -1, 1, 0, 0,  },
	{ 920, 49, 1, "_root-50", -1, 1, 0, 0,  },
	{ 920, 50, 1, "_root-51", -1, 1, 0, 0,  },
	{ 920, 51, 1, "_root-52", -1, 1, 0, 0,  },
	{ 920, 52, 1, "_root-53", -1, 1, 0, 0,  },
	{ 920, 53, 1, "_root-54", -1, 1, 0, 0,  },
	{ 920, 54, 1, "_root-55", -1, 1, 0, 0,  },
	{ 920, 55, 1, "_root-56", -1, 1, 0, 0,  },
	{ 920, 56, 1, "_root-57", -1, 1, 0, 0,  },
	{ 920, 57, 1, "_root-58", -1, 1, 0, 0,  },
	{ 920, 58, 1, "_root-59", -1, 1, 0, 0,  },
	{ 920, 59, 1, "_root-60", -1, 1, 0, 0,  },
	{ 920, 60, 1, "_root-61", -1, 1, 0, 0,  },
	{ 920, 61, 1, "_root-62", -1, 1, 0, 0,  },
	{ 920, 62, 1, "_root-63", -1, 1, 0, 0,  },
	{ 920, 63, 1, "_root-64", -1, 1, 0, 0,  },
	{ 920, 64, 1, "_root-65", -1, 1, 0, 0,  },
	{ 920, 65, 1, "_root-66", -1, 1, 0, 0,  },
	{ 920, 66, 1, "_root-67", -1, 1, 0, 0,  },
	{ 920, 67, 1, "_root-68", -1, 1, 0, 0,  },
	{ 920, 68, 1, "_root-69", -1, 1, 0, 0,  },
	{ 920, 69, 1, "_root-70", -1, 1, 0, 0,  },
	{ 920, 70, 1, "_root-71", -1, 1, 0, 0,  },
	{ 920, 71, 1, "_root-72", -1, 1, 0, 0,  },
	{ 920, 72, 1, "_root-73", -1, 1, 0, 0,  },
	{ 920, 73, 1, "_root-74", -1, 1, 0, 0,  },
	{ 920, 74, 1, "_root-75", -1, 1, 0, 0,  },
	{ 920, 75, 1, "_root-76", -1, 1, 0, 0,  },
	{ 920, 76, 1, "_root-77", -1, 1, 0, 0,  },
	{ 920, 77, 1, "_root-78", -1, 1, 0, 0,  },
	{ 920, 78, 1, "_root-79", -1, 1, 0, 0,  },
	{ 920, 79, 1, "_root-80", -1, 1, 0, 0,  },
	{ 920, 80, 1, "_root-81", -1, 1, 0, 0,  },
	{ 920, 81, 1, "_root-82", -1, 1, 0, 0,  },
	{ 920, 82, 1, "_root-83", -1, 1, 0, 0,  },
	{ 920, 83, 1, "_root-84", -1, 1, 0, 0,  },
	{ 920, 84, 1, "_root-85", -1, 1, 0, 0,  },
	{ 920, 85, 1, "_root-86", -1, 1, 0, 0,  },
	{ 920, 86, 1, "_root-87", -1, 1, 0, 0,  },
	{ 920, 87, 1, "_root-88", -1, 1, 0, 0,  },
	{ 920, 88, 1, "_root-89", -1, 1, 0, 0,  },
	{ 920, 89, 1, "_root-90", -1, 1, 0, 0,  },
	{ 920, 90, 1, "_root-91", -1, 1, 0, 0,  },
	{ 920, 91, 1, "_root-92", -1, 1, 0, 0,  },
	{ 920, 92, 1, "_root-93", -1, 1, 0, 0,  },
	{ 920, 93, 1, "_root-94", -1, 1, 0, 0,  },
	{ 920, 94, 1, "_root-95", -1, 1, 0, 0,  },
	{ 920, 95, 1, "_root-96", -1, 1, 0, 0,  },
	{ 920, 96, 1, "_root-97", -1, 1, 0, 0,  },
	{ 920, 97, 1, "_root-98", -1, 1, 0, 0,  },
	{ 920, 98, 1, "_root-99", -1, 1, 0, 0,  },
	{ 920, 99, 1, "_root-100", -1, 1, 0, 0,  },
	{ 920, 100, 1, "_root-101", -1, 1, 0, 0,  },
	{ 920, 101, 1, "_root-102", -1, 1, 0, 0,  },
	{ 920, 102, 1, "_root-103", -1, 1, 0, 0,  },
	{ 920, 103, 1, "_root-104", -1, 1, 0, 0,  },
	{ 920, 104, 1, "_root-105", -1, 1, 0, 0,  },
	{ 920, 105, 1, "_root-106", -1, 1, 0, 0,  },
	{ 920, 106, 1, "_root-107", -1, 1, 0, 0,  },
	{ 920, 107, 1, "_root-108", -1, 1, 0, 0,  },
	{ 920, 108, 1, "_root-109", -1, 1, 0, 0,  },
	{ 920, 109, 1, "_root-110", -1, 1, 0, 0,  },
	{ 920, 110, 1, "_root-111", -1, 1, 0, 0,  },
	{ 920, 111, 1, "_root-112", -1, 1, 0, 0,  },
	{ 920, 112, 1, "_root-113", -1, 1, 0, 0,  },
	{ 920, 113, 1, "_root-114", -1, 1, 0, 0,  },
	{ 920, 114, 1, "_root-115", -1, 1, 0, 0,  },
	{ 920, 115, 1, "_root-116", -1, 1, 0, 0,  },
	{ 920, 116, 1, "_root-117", -1, 1, 0, 0,  },
	{ 920, 117, 1, "_root-118", -1, 1, 0, 0,  },
	{ 920, 118, 1, "_root-119", -1, 1, 0, 0,  },
	{ 920, 119, 1, "_root-120", -1, 1, 0, 0,  },
	{ 920, 120, 1, "_root-121", -1, 1, 0, 0,  },
	{ 920, 121, 1, "_root-122", -1, 1, 0, 0,  },
	{ 920, 122, 1, "_root-123", -1, 1, 0, 0,  },
	{ 920, 123, 1, "_root-124", -1, 1, 0, 0,  },
	{ 920, 124, 1, "_root-125", -1, 1, 0, 0,  },
	{ 920, 125, 1, "_root-126", -1, 1, 0, 0,  },
	{ 920, 126, 1, "_root-127", -1, 1, 0, 0,  },
	{ 920, 127, 1, "_root-128", -1, 1, 0, 0,  },
	{ 920, 128, 1, "_root-129", -1, 1, 0, 0,  },
	{ 920, 129, 1, "_root-130", -1, 1, 0, 0,  },
	{ 920, 130, 1, "_root-131", -1, 1, 0, 0,  },
	{ 920, 131, 1, "_root-132", -1, 1, 0, 0,  },
	{ 920, 132, 1, "_root-133", -1, 1, 0, 0,  },
	{ 920, 133, 1, "_root-134", -1, 1, 0, 0,  },
	{ 920, 134, 1, "_root-135", -1, 1, 0, 0,  },
	{ 920, 135, 1, "_root-136", -1, 1, 0, 0,  },
	{ 920, 136, 1, "_root-137", -1, 1, 0, 0,  },
	{ 920, 137, 1, "_root-138", -1, 1, 0, 0,  },
	{ 920, 138, 1, "_root-139", -1, 1, 0, 0,  },
	{ 920, 139, 1, "_root-140", -1, 1, 0, 0,  },
	{ 920, 140, 1, "_root-141", -1, 1, 0, 0,  },
	{ 920, 141, 1, "_root-142", -1, 1, 0, 0,  },
	{ 920, 142, 1, "_root-143", -1, 1, 0, 0,  },
	{ 920, 143, 1, "_root-144", -1, 1, 0, 0,  },
	{ 920, 144, 1, "_root-145", -1, 1, 0, 0,  },
	{ 920, 145, 1, "_root-146", -1, 1, 0, 0,  },
	{ 920, 146, 1, "_root-147", -1, 1, 0, 0,  },
	{ 920, 147, 1, "_root-148", -1, 1, 0, 0,  },
	{ 920, 148, 1, "_root-149", -1, 1, 0, 0,  },
	{ 920, 149, 1, "_root-150", -1, 1, 0, 0,  },
	{ 920, 150, 1, "_root-151", -1, 1, 0, 0,  },
	{ 920, 151, 1, "_root-152", -1, 1, 0, 0,  },
	{ 920, 152, 1, "_root-153", -1, 1, 0, 0,  },
	{ 920, 153, 1, "_root-154", -1, 1, 0, 0,  },
	{ 920, 154, 1, "_root-155", -1, 1, 0, 0,  },
	{ 920, 155, 1, "_root-156", -1, 1, 0, 0,  },
	{ 920, 156, 1, "_root-157", -1, 1, 0, 0,  },
	{ 920, 157, 1, "_root-158", -1, 1, 0, 0,  },
	{ 920, 158, 1, "_root-159", -1, 1, 0, 0,  },
	{ 920, 159, 1, "_root-160", -1, 1, 0, 0,  },
	{ 920, 160, 1, "_root-161", -1, 1, 0, 0,  },
	{ 920, 161, 1, "_root-162", -1, 1, 0, 0,  },
	{ 920, 162, 1, "_root-163", -1, 1, 0, 0,  },
	{ 920, 163, 1, "_root-164", -1, 1, 0, 0,  },
	{ 920, 164, 1, "_root-165", -1, 1, 0, 0,  },
	{ 920, 165, 1, "_root-166", -1, 1, 0, 0,  },
	{ 920, 166, 1, "_root-167", -1, 1, 0, 0,  },
	{ 920, 167, 1, "_root-168", -1, 1, 0, 0,  },
	{ 920, 168, 1, "_root-169", -1, 1, 0, 0,  },
	{ 920, 169, 1, "_root-170", -1, 1, 0, 0,  },
	{ 920, 170, 1, "_root-171", -1, 1, 0, 0,  },
	{ 920, 171, 1, "_root-172", -1, 1, 0, 0,  },
	{ 920, 172, 1, "_root-173", -1, 1, 0, 0,  },
	{ 920, 173, 1, "_root-174", -1, 1, 0, 0,  },
	{ 920, 174, 1, "_root-175", -1, 1, 0, 0,  },
	{ 920, 175, 1, "_root-176", -1, 1, 0, 0,  },
	{ 920, 176, 1, "_root-177", -1, 1, 0, 0,  },
	{ 920, 177, 1, "_root-178", -1, 1, 0, 0,  },
	{ 920, 178, 1, "_root-179", -1, 1, 0, 0,  },
	{ 920, 179, 1, "_root-180", -1, 1, 0, 0,  },
	{ 920, 180, 1, "_root-181", -1, 1, 0, 0,  },
	{ 920, 181, 1, "_root-182", -1, 1, 0, 0,  },
	{ 920, 182, 1, "_root-183", -1, 1, 0, 0,  },
	{ 920, 183, 1, "_root-184", -1, 1, 0, 0,  },
	{ 920, 184, 1, "_root-185", -1, 1, 0, 0,  },
	{ 920, 185, 1, "_root-186", -1, 1, 0, 0,  },
	{ 920, 186, 1, "_root-187", -1, 1, 0, 0,  },
	{ 920, 187, 1, "_root-188", -1, 1, 0, 0,  },
	{ 920, 188, 1, "_root-189", -1, 1, 0, 0,  },
	{ 920, 189, 1, "_root-190", -1, 1, 0, 0,  },
	{ 920, 190, 1, "_root-191", -1, 1, 0, 0,  },
	{ 920, 191, 1, "_root-192", -1, 1, 0, 0,  },
	{ 920, 192, 1, "_root-193", -1, 1, 0, 0,  },
	{ 920, 193, 1, "_root-194", -1, 1, 0, 0,  },
	{ 920, 194, 1, "_root-195", -1, 1, 0, 0,  },
	{ 920, 195, 1, "_root-196", -1, 1, 0, 0,  },
	{ 920, 196, 1, "_root-197", -1, 1, 0, 0,  },
	{ 920, 197, 1, "_root-198", -1, 1, 0, 0,  },
	{ 920, 198, 1, "_root-199", -1, 1, 0, 0,  },
	{ 920, 199, 1, "_root-200", -1, 1, 0, 0,  },
	{ 920, 200, 1, "_root-201", -1, 1, 0, 0,  },
	{ 920, 201, 1, "_root-202", -1, 1, 0, 0,  },
	{ 920, 202, 1, "_root-203", -1, 1, 0, 0,  },
	{ 920, 203, 1, "_root-204", -1, 1, 0, 0,  },
	{ 920, 204, 1, "_root-205", -1, 1, 0, 0,  },
	{ 920, 205, 1, "_root-206", -1, 1, 0, 0,  },
	{ 920, 206, 1, "_root-207", -1, 1, 0, 0,  },
	{ 920, 207, 1, "_root-208", -1, 1, 0, 0,  },
	{ 920, 208, 1, "_root-209", -1, 1, 0, 0,  },
	{ 920, 209, 1, "_root-210", -1, 1, 0, 0,  },
	{ 920, 210, 1, "_root-211", -1, 1, 0, 0,  },
	{ 920, 211, 1, "_root-212", -1, 1, 0, 0,  },
	{ 920, 212, 1, "_root-213", -1, 1, 0, 0,  },
	{ 920, 213, 1, "_root-214", -1, 1, 0, 0,  },
	{ 920, 214, 1, "_root-215", -1, 1, 0, 0,  },
	{ 920, 215, 1, "_root-216", -1, 1, 0, 0,  },
	{ 920, 216, 1, "_root-217", -1, 1, 0, 0,  },
	{ 920, 217, 1, "_root-218", -1, 1, 0, 0,  },
	{ 920, 218, 1, "_root-219", -1, 1, 0, 0,  },
	{ 920, 219, 1, "_root-220", -1, 1, 0, 0,  },
	{ 920, 220, 1, "_root-221", -1, 1, 0, 0,  },
	{ 920, 221, 1, "_root-222", -1, 1, 0, 0,  },
	{ 920, 222, 1, "_root-223", -1, 1, 0, 0,  },
	{ 920, 223, 1, "_root-224", -1, 1, 0, 0,  },
	{ 920, 224, 1, "_root-225", -1, 1, 0, 0,  },
	{ 920, 225, 1, "_root-226", -1, 1, 0, 0,  },
	{ 920, 226, 1, "_root-227", -1, 1, 0, 0,  },
	{ 920, 227, 1, "_root-228", -1, 1, 0, 0,  },
	{ 920, 228, 1, "_root-229", -1, 1, 0, 0,  },
	{ 920, 229, 1, "_root-230", -1, 1, 0, 0,  },
	{ 920, 230, 1, "_root-231", -1, 1, 0, 0,  },
	{ 920, 231, 1, "_root-232", -1, 1, 0, 0,  },
	{ 920, 232, 1, "_root-233", -1, 1, 0, 0,  },
	{ 920, 233, 1, "_root-234", -1, 1, 0, 0,  },
	{ 920, 234, 1, "_root-235", -1, 1, 0, 0,  },
	{ 920, 235, 1, "_root-236", -1, 1, 0, 0,  },
	{ 920, 236, 1, "_root-237", -1, 1, 0, 0,  },
	{ 920, 237, 1, "_root-238", -1, 1, 0, 0,  },
	{ 920, 238, 1, "_root-239", -1, 1, 0, 0,  },
	{ 920, 239, 1, "_root-240", -1, 1, 0, 0,  },
	{ 920, 240, 1, "_root-241", -1, 1, 0, 0,  },
	{ 920, 241, 1, "_root-242", -1, 1, 0, 0,  },
	{ 920, 242, 1, "_root-243", -1, 1, 0, 0,  },
	{ 920, 243, 1, "_root-244", -1, 1, 0, 0,  },
	{ 920, 244, 1, "_root-245", -1, 1, 0, 0,  },
	{ 920, 245, 1, "_root-246", -1, 1, 0, 0,  },
	{ 920, 246, 1, "_root-247", -1, 1, 0, 0,  },
	{ 920, 247, 1, "_root-248", -1, 1, 0, 0,  },
	{ 920, 248, 1, "_root-249", -1, 1, 0, 0,  },
	{ 920, 249, 1, "_root-250", -1, 1, 0, 0,  },
	{ 920, 250, 1, "_root-251", -1, 1, 0, 0,  },
	{ 920, 251, 1, "_root-252", -1, 1, 0, 0,  },
	{ 920, 252, 1, "_root-253", -1, 1, 0, 0,  },
	{ 920, 253, 1, "_root-254", -1, 1, 0, 0,  },
	{ 920, 254, 1, "_root-255", -1, 1, 0, 0,  },
	{ 920, 255, 1, "_root-256", -1, 1, 0, 0,  },
	{ 920, 256, 1, "_root-257", -1, 1, 0, 0,  },
	{ 920, 257, 1, "_root-258", -1, 1, 0, 0,  },
	{ 920, 258, 1, "_root-259", -1, 1, 0, 0,  },
	{ 920, 259, 1, "_root-260", -1, 1, 0, 0,  },
	{ 920, 260, 1, "_root-261", -1, 1, 0, 0,  },
	{ 920, 261, 1, "_root-262", -1, 1, 0, 0,  },
	{ 920, 262, 1, "_root-263", -1, 1, 0, 0,  },
	{ 920, 263, 1, "_root-264", -1, 1, 0, 0,  },
	{ 920, 264, 1, "_root-265", -1, 1, 0, 0,  },
	{ 920, 265, 1, "_root-266", -1, 1, 0, 0,  },
	{ 920, 266, 1, "_root-267", -1, 1, 0, 0,  },
	{ 920, 267, 1, "_root-268", -1, 1, 0, 0,  },
	{ 920, 268, 1, "_root-269", -1, 1, 0, 0,  },
	{ 920, 269, 1, "_root-270", -1, 1, 0, 0,  },
	{ 920, 270, 1, "_root-271", -1, 1, 0, 0,  },
	{ 920, 271, 1, "_root-272", -1, 1, 0, 0,  },
	{ 920, 272, 1, "_root-273", -1, 1, 0, 0,  },
	{ 920, 273, 1, "_root-274", -1, 1, 0, 0,  },
	{ 920, 274, 1, "_root-275", -1, 1, 0, 0,  },
	{ 920, 275, 1, "_root-276", -1, 1, 0, 0,  },
	{ 920, 276, 1, "_root-277", -1, 1, 0, 0,  },
	{ 920, 277, 1, "_root-278", -1, 1, 0, 0,  },
	{ 920, 278, 1, "_root-279", -1, 1, 0, 0,  },
	{ 920, 279, 1, "_root-280", -1, 1, 0, 0,  },
	{ 920, 280, 1, "_root-281", -1, 1, 0, 0,  },
	{ 920, 281, 1, "_root-282", -1, 1, 0, 0,  },
	{ 920, 282, 1, "_root-283", -1, 1, 0, 0,  },
	{ 920, 283, 1, "_root-284", -1, 1, 0, 0,  },
	{ 920, 284, 1, "_root-285", -1, 1, 0, 0,  },
	{ 920, 285, 1, "_root-286", -1, 1, 0, 0,  },
	{ 920, 286, 1, "_root-287", -1, 1, 0, 0,  },
	{ 920, 287, 1, "_root-288", -1, 1, 0, 0,  },
	{ 920, 288, 1, "_root-289", -1, 1, 0, 0,  },
	{ 920, 289, 1, "_root-290", -1, 1, 0, 0,  },
	{ 920, 290, 1, "_root-291", -1, 1, 0, 0,  },
	{ 920, 291, 1, "_root-292", -1, 1, 0, 0,  },
	{ 920, 292, 1, "_root-293", -1, 1, 0, 0,  },
	{ 920, 293, 1, "_root-294", -1, 1, 0, 0,  },
	{ 920, 294, 1, "_root-295", -1, 1, 0, 0,  },
	{ 920, 295, 1, "_root-296", -1, 1, 0, 0,  },
	{ 920, 296, 1, "_root-297", -1, 1, 0, 0,  },
	{ 920, 297, 1, "_root-298", -1, 1, 0, 0,  },
	{ 920, 298, 1, "_root-299", -1, 1, 0, 0,  },
	{ 920, 299, 1, "_root-300", -1, 1, 0, 0,  },
	{ 920, 300, 1, "_root-301", -1, 1, 0, 0,  },
	{ 920, 301, 1, "_root-302", -1, 1, 0, 0,  },
	{ 920, 302, 1, "_root-303", -1, 1, 0, 0,  },
	{ 920, 303, 1, "_root-304", -1, 1, 0, 0,  },
	{ 920, 304, 1, "_root-305", -1, 1, 0, 0,  },
	{ 920, 305, 1, "_root-306", -1, 1, 0, 0,  },
	{ 920, 306, 1, "_root-307", -1, 1, 0, 0,  },
	{ 920, 307, 1, "_root-308", -1, 1, 0, 0,  },
	{ 920, 308, 1, "_root-309", -1, 1, 0, 0,  },
	{ 920, 309, 1, "_root-310", -1, 1, 0, 0,  },
	{ 920, 310, 1, "_root-311", -1, 1, 0, 0,  },
	{ 920, 311, 1, "_root-312", -1, 1, 0, 0,  },
	{ 920, 312, 1, "_root-313", -1, 1, 0, 0,  },
	{ 920, 313, 1, "_root-314", -1, 1, 0, 0,  },
	{ 920, 314, 1, "_root-315", -1, 1, 0, 0,  },
	{ 920, 315, 1, "_root-316", -1, 1, 0, 0,  },
	{ 920, 316, 1, "_root-317", -1, 1, 0, 0,  },
	{ 920, 317, 1, "_root-318", -1, 1, 0, 0,  },
	{ 920, 318, 1, "_root-319", -1, 1, 0, 0,  },
	{ 920, 319, 1, "_root-320", -1, 1, 0, 0,  },
	{ 920, 320, 1, "_root-321", -1, 1, 0, 0,  },
	{ 920, 321, 1, "_root-322", -1, 1, 0, 0,  },
	{ 920, 322, 1, "_root-323", -1, 1, 0, 0,  },
	{ 920, 323, 1, "_root-324", -1, 1, 0, 0,  },
	{ 920, 324, 1, "_root-325", -1, 1, 0, 0,  },
	{ 920, 325, 1, "_root-326", -1, 1, 0, 0,  },
	{ 920, 326, 1, "_root-327", -1, 1, 0, 0,  },
	{ 920, 327, 1, "_root-328", -1, 1, 0, 0,  },
	{ 920, 328, 1, "_root-329", -1, 1, 0, 0,  },
	{ 920, 329, 1, "_root-330", -1, 1, 0, 0,  },
	{ 920, 330, 1, "_root-331", -1, 1, 0, 0,  },
	{ 920, 331, 1, "_root-332", -1, 1, 0, 0,  },
	{ 920, 332, 1, "_root-333", -1, 1, 0, 0,  },
	{ 920, 333, 1, "_root-334", -1, 1, 0, 0,  },
	{ 920, 334, 1, "_root-335", -1, 1, 0, 0,  },
	{ 920, 335, 1, "_root-336", -1, 1, 0, 0,  },
	{ 920, 336, 1, "_root-337", -1, 1, 0, 0,  },
	{ 920, 337, 1, "_root-338", -1, 1, 0, 0,  },
	{ 920, 338, 1, "_root-339", -1, 1, 0, 0,  },
	{ 920, 339, 1, "_root-340", -1, 1, 0, 0,  },
	{ 920, 340, 1, "_root-341", -1, 1, 0, 0,  },
	{ 920, 341, 1, "_root-342", -1, 1, 0, 0,  },
	{ 920, 342, 1, "_root-343", -1, 1, 0, 0,  },
	{ 920, 343, 1, "_root-344", -1, 1, 0, 0,  },
	{ 920, 344, 1, "_root-345", -1, 1, 0, 0,  },
	{ 920, 345, 1, "_root-346", -1, 1, 0, 0,  },
	{ 920, 346, 1, "_root-347", -1, 1, 0, 0,  },
	{ 920, 347, 1, "_root-348", -1, 1, 0, 0,  },
	{ 920, 348, 1, "_root-349", -1, 1, 0, 0,  },
	{ 920, 349, 1, "_root-350", -1, 1, 0, 0,  },
	{ 920, 350, 1, "_root-351", -1, 1, 0, 0,  },
	{ 920, 351, 1, "_root-352", -1, 1, 0, 0,  },
	{ 920, 352, 1, "_root-353", -1, 1, 0, 0,  },
	{ 920, 353, 1, "_root-354", -1, 1, 0, 0,  },
	{ 920, 354, 1, "_root-355", -1, 1, 0, 0,  },
	{ 920, 355, 1, "_root-356", -1, 1, 0, 0,  },
	{ 920, 356, 1, "_root-357", -1, 1, 0, 0,  },
	{ 920, 357, 1, "_root-358", -1, 1, 0, 0,  },
	{ 920, 358, 1, "_root-359", -1, 1, 0, 0,  },
	{ 920, 359, 1, "_root-360", -1, 1, 0, 0,  },
	{ 920, 360, 1, "_root-361", -1, 1, 0, 0,  },
	{ 920, 361, 1, "_root-362", -1, 1, 0, 0,  },
	{ 920, 362, 1, "_root-363", -1, 1, 0, 0,  },
	{ 920, 363, 1, "_root-364", -1, 1, 0, 0,  },
	{ 920, 364, 1, "_root-365", -1, 1, 0, 0,  },
	{ 920, 365, 1, "_root-366", -1, 1, 0, 0,  },
	{ 920, 366, 1, "_root-367", -1, 1, 0, 0,  },
	{ 920, 367, 1, "_root-368", -1, 1, 0, 0,  },
	{ 920, 368, 1, "_root-369", -1, 1, 0, 0,  },
	{ 920, 369, 1, "_root-370", -1, 1, 0, 0,  },
	{ 920, 370, 1, "_root-371", -1, 1, 0, 0,  },
	{ 920, 371, 1, "_root-372", -1, 1, 0, 0,  },
	{ 920, 372, 1, "_root-373", -1, 1, 0, 0,  },
	{ 920, 373, 1, "_root-374", -1, 1, 0, 0,  },
	{ 920, 374, 1, "_root-375", -1, 1, 0, 0,  },
	{ 920, 375, 1, "_root-376", -1, 1, 0, 0,  },
	{ 920, 376, 1, "_root-377", -1, 1, 0, 0,  },
	{ 920, 377, 1, "_root-378", -1, 1, 0, 0,  },
	{ 920, 378, 1, "_root-379", -1, 1, 0, 0,  },
	{ 920, 379, 1, "_root-380", -1, 1, 0, 0,  },
	{ 920, 380, 1, "_root-381", -1, 1, 0, 0,  },
	{ 920, 381, 1, "_root-382", -1, 1, 0, 0,  },
	{ 920, 382, 1, "_root-383", -1, 1, 0, 0,  },
	{ 920, 383, 1, "_root-384", -1, 1, 0, 0,  },
	{ 920, 384, 1, "_root-385", -1, 1, 0, 0,  },
	{ 920, 385, 1, "_root-386", -1, 1, 0, 0,  },
	{ 920, 386, 1, "_root-387", -1, 1, 0, 0,  },
	{ 920, 387, 1, "_root-388", -1, 1, 0, 0,  },
	{ 920, 388, 1, "_root-389", -1, 1, 0, 0,  },
	{ 920, 389, 1, "_root-390", -1, 1, 0, 0,  },
	{ 920, 390, 1, "_root-391", -1, 1, 0, 0,  },
	{ 920, 391, 1, "_root-392", -1, 1, 0, 0,  },
	{ 920, 392, 1, "_root-393", -1, 1, 0, 0,  },
	{ 920, 393, 1, "_root-394", -1, 1, 0, 0,  },
	{ 920, 394, 1, "_root-395", -1, 1, 0, 0,  },
	{ 920, 395, 1, "_root-396", -1, 1, 0, 0,  },
	{ 920, 396, 1, "_root-397", -1, 1, 0, 0,  },
	{ 920, 397, 1, "_root-398", -1, 1, 0, 0,  },
	{ 920, 398, 1, "_root-399", -1, 1, 0, 0,  },
	{ 920, 399, 1, "_root-400", -1, 1, 0, 0,  },
	{ 920, 400, 1, "_root-401", -1, 1, 0, 0,  },
	{ 920, 401, 1, "_root-402", -1, 1, 0, 0,  },
	{ 920, 402, 1, "_root-403", -1, 1, 0, 0,  },
	{ 920, 403, 1, "_root-404", -1, 1, 0, 0,  },
	{ 920, 404, 1, "_root-405", -1, 1, 0, 0,  },
	{ 920, 405, 1, "_root-406", -1, 1, 0, 0,  },
	{ 920, 406, 1, "_root-407", -1, 1, 0, 0,  },
	{ 920, 407, 1, "_root-408", -1, 1, 0, 0,  },
	{ 920, 408, 1, "_root-409", -1, 1, 0, 0,  },
	{ 920, 409, 1, "_root-410", -1, 1, 0, 0,  },
	{ 920, 410, 1, "_root-411", -1, 1, 0, 0,  },
	{ 920, 411, 1, "_root-412", -1, 1, 0, 0,  },
	{ 920, 412, 1, "_root-413", -1, 1, 0, 0,  },
	{ 920, 413, 1, "_root-414", -1, 1, 0, 0,  },
	{ 920, 414, 1, "_root-415", -1, 1, 0, 0,  },
	{ 920, 415, 1, "_root-416", -1, 1, 0, 0,  },
	{ 920, 416, 1, "_root-417", -1, 1, 0, 0,  },
	{ 920, 417, 1, "_root-418", -1, 1, 0, 0,  },
	{ 920, 418, 1, "_root-419", -1, 1, 0, 0,  },
	{ 920, 419, 1, "_root-420", -1, 1, 0, 0,  },
	{ 920, 420, 1, "_root-421", -1, 1, 0, 0,  },
	{ 920, 421, 1, "_root-422", -1, 1, 0, 0,  },
	{ 920, 422, 1, "_root-423", -1, 1, 0, 0,  },
	{ 920, 423, 1, "_root-424", -1, 1, 0, 0,  },
	{ 920, 424, 1, "_root-425", -1, 1, 0, 0,  },
	{ 920, 425, 1, "_root-426", -1, 1, 0, 0,  },
	{ 920, 426, 1, "_root-427", -1, 1, 0, 0,  },
	{ 920, 427, 1, "_root-428", -1, 1, 0, 0,  },
	{ 920, 428, 1, "_root-429", -1, 1, 0, 0,  },
	{ 920, 429, 1, "_root-430", -1, 1, 0, 0,  },
	{ 920, 430, 1, "_root-431", -1, 1, 0, 0,  },
	{ 920, 431, 1, "_root-432", -1, 1, 0, 0,  },
	{ 920, 432, 1, "_root-433", -1, 1, 0, 0,  },
	{ 920, 433, 1, "_root-434", -1, 1, 0, 0,  },
	{ 920, 434, 1, "_root-435", -1, 1, 0, 0,  },
	{ 920, 435, 1, "_root-436", -1, 1, 0, 0,  },
	{ 920, 436, 1, "_root-437", -1, 1, 0, 0,  },
	{ 920, 437, 1, "_root-438", -1, 1, 0, 0,  },
	{ 920, 438, 1, "_root-439", -1, 1, 0, 0,  },
	{ 920, 439, 1, "_root-440", -1, 1, 0, 0,  },
	{ 920, 440, 1, "_root-441", -1, 1, 0, 0,  },
	{ 920, 441, 1, "_root-442", -1, 1, 0, 0,  },
	{ 920, 442, 1, "_root-443", -1, 1, 0, 0,  },
	{ 920, 443, 1, "_root-444", -1, 1, 0, 0,  },
	{ 920, 444, 1, "_root-445", -1, 1, 0, 0,  },
	{ 920, 445, 1, "_root-446", -1, 1, 0, 0,  },
	{ 920, 446, 1, "_root-447", -1, 1, 0, 0,  },
	{ 920, 447, 1, "_root-448", -1, 1, 0, 0,  },
	{ 920, 448, 1, "_root-449", -1, 1, 0, 0,  },
	{ 920, 449, 1, "_root-450", -1, 1, 0, 0,  },
	{ 920, 450, 1, "_root-451", -1, 1, 0, 0,  },
	{ 920, 451, 1, "_root-452", -1, 1, 0, 0,  },
	{ 920, 452, 1, "_root-453", -1, 1, 0, 0,  },
	{ 920, 453, 1, "_root-454", -1, 1, 0, 0,  },
	{ 920, 454, 1, "_root-455", -1, 1, 0, 0,  },
	{ 920, 455, 1, "_root-456", -1, 1, 0, 0,  },
	{ 920, 456, 1, "_root-457", -1, 1, 0, 0,  },
	{ 920, 457, 1, "_root-458", -1, 1, 0, 0,  },
	{ 920, 458, 1, "_root-459", -1, 1, 0, 0,  },
	{ 920, 459, 1, "_root-460", -1, 1, 0, 0,  },
	{ 920, 460, 1, "_root-461", -1, 1, 0, 0,  },
	{ 920, 461, 1, "_root-462", -1, 1, 0, 0,  },
	{ 920, 462, 1, "_root-463", -1, 1, 0, 0,  },
	{ 920, 463, 1, "_root-464", -1, 1, 0, 0,  },
	{ 920, 464, 1, "_root-465", -1, 1, 0, 0,  },
	{ 920, 465, 1, "_root-466", -1, 1, 0, 0,  },
	{ 920, 466, 1, "_root-467", -1, 1, 0, 0,  },
	{ 920, 467, 1, "_root-468", -1, 1, 0, 0,  },
	{ 920, 468, 1, "_root-469", -1, 1, 0, 0,  },
	{ 920, 469, 1, "_root-470", -1, 1, 0, 0,  },
	{ 920, 470, 1, "_root-471", -1, 1, 0, 0,  },
	{ 920, 471, 1, "_root-472", -1, 1, 0, 0,  },
	{ 920, 472, 1, "_root-473", -1, 1, 0, 0,  },
	{ 920, 473, 1, "_root-474", -1, 1, 0, 0,  },
	{ 920, 474, 1, "_root-475", -1, 1, 0, 0,  },
	{ 920, 475, 1, "_root-476", -1, 1, 0, 0,  },
	{ 920, 476, 1, "_root-477", -1, 1, 0, 0,  },
	{ 920, 477, 1, "_root-478", -1, 1, 0, 0,  },
	{ 920, 478, 1, "_root-479", -1, 1, 0, 0,  },
	{ 920, 479, 1, "_root-480", -1, 1, 0, 0,  },
	{ 920, 480, 1, "_root-481", -1, 1, 0, 0,  },
	{ 920, 481, 1, "_root-482", -1, 1, 0, 0,  },
	{ 920, 482, 1, "_root-483", -1, 1, 0, 0,  },
	{ 920, 483, 1, "_root-484", -1, 1, 0, 0,  },
	{ 920, 484, 1, "_root-485", -1, 1, 0, 0,  },
	{ 920, 485, 1, "_root-486", -1, 1, 0, 0,  },
	{ 920, 486, 1, "_root-487", -1, 1, 0, 0,  },
	{ 920, 487, 1, "_root-488", -1, 1, 0, 0,  },
	{ 920, 488, 1, "_root-489", -1, 1, 0, 0,  },
	{ 920, 489, 1, "_root-490", -1, 1, 0, 0,  },
	{ 920, 490, 1, "_root-491", -1, 1, 0, 0,  },
	{ 920, 491, 1, "_root-492", -1, 1, 0, 0,  },
	{ 920, 492, 1, "_root-493", -1, 1, 0, 0,  },
	{ 920, 493, 1, "_root-494", -1, 1, 0, 0,  },
	{ 920, 494, 1, "_root-495", -1, 1, 0, 0,  },
	{ 920, 495, 1, "_root-496", -1, 1, 0, 0,  },
	{ 920, 496, 1, "_root-497", -1, 1, 0, 0,  },
	{ 920, 497, 1, "_root-498", -1, 1, 0, 0,  },
	{ 920, 498, 1, "_root-499", -1, 1, 0, 0,  },
	{ 920, 499, 1, "_root-500", -1, 1, 0, 0,  },
	{ 920, 500, 1, "_root-501", -1, 1, 0, 0,  },
	{ 920, 501, 1, "_root-502", -1, 1, 0, 0,  },
	{ 920, 502, 1, "_root-503", -1, 1, 0, 0,  },
	{ 920, 503, 1, "_root-504", -1, 1, 0, 0,  },
	{ 920, 504, 1, "_root-505", -1, 1, 0, 0,  },
	{ 920, 505, 1, "_root-506", -1, 1, 0, 0,  },
	{ 920, 506, 1, "_root-507", -1, 1, 0, 0,  },
	{ 920, 507, 1, "_root-508", -1, 1, 0, 0,  },
	{ 920, 508, 1, "_root-509", -1, 1, 0, 0,  },
	{ 920, 509, 1, "_root-510", -1, 1, 0, 0,  },
	{ 920, 510, 1, "_root-511", -1, 1, 0, 0,  },
	{ 920, 511, 1, "_root-512", -1, 1, 0, 0,  },
	{ 920, 512, 1, "_root-513", -1, 1, 0, 0,  },
	{ 920, 513, 1, "_root-514", -1, 1, 0, 0,  },
	{ 920, 514, 1, "_root-515", -1, 1, 0, 0,  },
	{ 920, 515, 1, "_root-516", -1, 1, 0, 0,  },
	{ 920, 516, 1, "_root-517", -1, 1, 0, 0,  },
	{ 920, 517, 1, "_root-518", -1, 1, 0, 0,  },
	{ 920, 518, 1, "_root-519", -1, 1, 0, 0,  },
	{ 920, 519, 1, "_root-520", -1, 1, 0, 0,  },
	{ 920, 520, 1, "_root-521", -1, 1, 0, 0,  },
	{ 920, 521, 1, "_root-522", -1, 1, 0, 0,  },
	{ 920, 522, 1, "_root-523", -1, 1, 0, 0,  },
	{ 920, 523, 1, "_root-524", -1, 1, 0, 0,  },
	{ 920, 524, 1, "_root-525", -1, 1, 0, 0,  },
	{ 920, 525, 1, "_root-526", -1, 1, 0, 0,  },
	{ 920, 526, 1, "_root-527", -1, 1, 0, 0,  },
	{ 920, 527, 1, "_root-528", -1, 1, 0, 0,  },
	{ 920, 528, 1, "_root-529", -1, 1, 0, 0,  },
	{ 920, 529, 1, "_root-530", -1, 1, 0, 0,  },
	{ 920, 530, 1, "_root-531", -1, 1, 0, 0,  },
	{ 920, 531, 1, "_root-532", -1, 1, 0, 0,  },
	{ 920, 532, 1, "_root-533", -1, 1, 0, 0,  },
	{ 920, 533, 1, "_root-534", -1, 1, 0, 0,  },
	{ 920, 534, 1, "_root-535", -1, 1, 0, 0,  },
	{ 920, 535, 1, "_root-536", -1, 1, 0, 0,  },
	{ 920, 536, 1, "_root-537", -1, 1, 0, 0,  },
	{ 920, 537, 1, "_root-538", -1, 1, 0, 0,  },
	{ 920, 538, 1, "_root-539", -1, 1, 0, 0,  },
	{ 920, 539, 1, "_root-540", -1, 1, 0, 0,  },
	{ 920, 540, 1, "_root-541", -1, 1, 0, 0,  },
	{ 920, 541, 1, "_root-542", -1, 1, 0, 0,  },
	{ 920, 542, 1, "_root-543", -1, 1, 0, 0,  },
	{ 920, 543, 1, "_root-544", -1, 1, 0, 0,  },
	{ 920, 544, 1, "_root-545", -1, 1, 0, 0,  },
	{ 920, 545, 1, "_root-546", -1, 1, 0, 0,  },
	{ 920, 546, 1, "_root-547", -1, 1, 0, 0,  },
	{ 920, 547, 1, "_root-548", -1, 1, 0, 0,  },
	{ 920, 548, 1, "_root-549", -1, 1, 0, 0,  },
	{ 920, 549, 1, "_root-550", -1, 1, 0, 0,  },
	{ 920, 550, 1, "_root-551", -1, 1, 0, 0,  },
	{ 920, 551, 1, "_root-552", -1, 1, 0, 0,  },
	{ 920, 552, 1, "_root-553", -1, 1, 0, 0,  },
	{ 920, 553, 1, "_root-554", -1, 1, 0, 0,  },
	{ 920, 554, 1, "_root-555", -1, 1, 0, 0,  },
	{ 920, 555, 1, "_root-556", -1, 1, 0, 0,  },
	{ 920, 556, 1, "_root-557", -1, 1, 0, 0,  },
	{ 920, 557, 1, "_root-558", -1, 1, 0, 0,  },
	{ 920, 558, 1, "_root-559", -1, 1, 0, 0,  },
	{ 920, 559, 1, "_root-560", -1, 1, 0, 0,  },
	{ 920, 560, 1, "_root-561", -1, 1, 0, 0,  },
	{ 920, 561, 1, "_root-562", -1, 1, 0, 0,  },
	{ 920, 562, 1, "_root-563", -1, 1, 0, 0,  },
	{ 920, 563, 1, "_root-564", -1, 1, 0, 0,  },
	{ 920, 564, 1, "_root-565", -1, 1, 0, 0,  },
	{ 920, 565, 1, "_root-566", -1, 1, 0, 0,  },
	{ 920, 566, 1, "_root-567", -1, 1, 0, 0,  },
	{ 920, 567, 1, "_root-568", -1, 1, 0, 0,  },
	{ 920, 568, 1, "_root-569", -1, 1, 0, 0,  },
	{ 920, 569, 1, "_root-570", -1, 1, 0, 0,  },
	{ 920, 570, 1, "_root-571", -1, 1, 0, 0,  },
	{ 920, 571, 1, "_root-572", -1, 1, 0, 0,  },
	{ 920, 572, 1, "_root-573", -1, 1, 0, 0,  },
	{ 920, 573, 1, "_root-574", -1, 1, 0, 0,  },
	{ 920, 574, 1, "_root-575", -1, 1, 0, 0,  },
	{ 920, 575, 1, "_root-576", -1, 1, 0, 0,  },
	{ 920, 576, 1, "_root-577", -1, 1, 0, 0,  },
	{ 920, 577, 1, "_root-578", -1, 1, 0, 0,  },
	{ 920, 578, 1, "_root-579", -1, 1, 0, 0,  },
	{ 920, 579, 1, "_root-580", -1, 1, 0, 0,  },
	{ 920, 580, 1, "_root-581", -1, 1, 0, 0,  },
	{ 920, 581, 1, "_root-582", -1, 1, 0, 0,  },
	{ 920, 582, 1, "_root-583", -1, 1, 0, 0,  },
	{ 920, 583, 1, "_root-584", -1, 1, 0, 0,  },
	{ 920, 584, 1, "_root-585", -1, 1, 0, 0,  },
	{ 920, 585, 1, "_root-586", -1, 1, 0, 0,  },
	{ 920, 586, 1, "_root-587", -1, 1, 0, 0,  },
	{ 920, 587, 1, "_root-588", -1, 1, 0, 0,  },
	{ 920, 588, 1, "_root-589", -1, 1, 0, 0,  },
	{ 920, 589, 1, "_root-590", -1, 1, 0, 0,  },
	{ 920, 590, 1, "_root-591", -1, 1, 0, 0,  },
	{ 920, 591, 1, "_root-592", -1, 1, 0, 0,  },
	{ 920, 592, 1, "_root-593", -1, 1, 0, 0,  },
	{ 920, 593, 1, "_root-594", -1, 1, 0, 0,  },
	{ 920, 594, 1, "_root-595", -1, 1, 0, 0,  },
	{ 920, 595, 1, "_root-596", -1, 1, 0, 0,  },
	{ 920, 596, 1, "_root-597", -1, 1, 0, 0,  },
	{ 920, 597, 1, "_root-598", -1, 1, 0, 0,  },
	{ 920, 598, 1, "_root-599", -1, 1, 0, 0,  },
	{ 920, 599, 1, "_root-600", -1, 1, 0, 0,  },
	{ 920, 600, 1, "_root-601", -1, 1, 0, 0,  },
	{ 920, 601, 1, "_root-602", -1, 1, 0, 0,  },
	{ 920, 602, 1, "_root-603", -1, 1, 0, 0,  },
	{ 920, 603, 1, "_root-604", -1, 1, 0, 0,  },
	{ 920, 604, 1, "_root-605", -1, 1, 0, 0,  },
	{ 920, 605, 1, "_root-606", -1, 1, 0, 0,  },
	{ 920, 606, 1, "_root-607", -1, 1, 0, 0,  },
	{ 920, 607, 1, "_root-608", -1, 1, 0, 0,  },
	{ 920, 608, 1, "_root-609", -1, 1, 0, 0,  },
	{ 920, 609, 1, "_root-610", -1, 1, 0, 0,  },
	{ 920, 610, 1, "_root-611", -1, 1, 0, 0,  },
	{ 920, 611, 1, "_root-612", -1, 1, 0, 0,  },
	{ 920, 612, 1, "_root-613", -1, 1, 0, 0,  },
	{ 920, 613, 1, "_root-614", -1, 1, 0, 0,  },
	{ 920, 614, 1, "_root-615", -1, 1, 0, 0,  },
	{ 920, 615, 1, "_root-616", -1, 1, 0, 0,  },
	{ 920, 616, 1, "_root-617", -1, 1, 0, 0,  },
	{ 920, 617, 1, "_root-618", -1, 1, 0, 0,  },
	{ 920, 618, 1, "_root-619", -1, 1, 0, 0,  },
	{ 920, 619, 1, "_root-620", -1, 1, 0, 0,  },
	{ 920, 620, 1, "_root-621", -1, 1, 0, 0,  },
	{ 920, 621, 1, "_root-622", -1, 1, 0, 0,  },
	{ 920, 622, 1, "_root-623", -1, 1, 0, 0,  },
	{ 920, 623, 1, "_root-624", -1, 1, 0, 0,  },
	{ 920, 624, 1, "_root-625", -1, 1, 0, 0,  },
	{ 920, 625, 1, "_root-626", -1, 1, 0, 0,  },
	{ 920, 626, 1, "_root-627", -1, 1, 0, 0,  },
	{ 920, 627, 1, "_root-628", -1, 1, 0, 0,  },
	{ 920, 628, 1, "_root-629", -1, 1, 0, 0,  },
	{ 920, 629, 1, "_root-630", -1, 1, 0, 0,  },
	{ 920, 630, 1, "_root-631", -1, 1, 0, 0,  },
	{ 920, 631, 1, "_root-632", -1, 1, 0, 0,  },
	{ 920, 632, 1, "_root-633", -1, 1, 0, 0,  },
	{ 920, 633, 1, "_root-634", -1, 1, 0, 0,  },
	{ 920, 634, 1, "_root-635", -1, 1, 0, 0,  },
	{ 920, 635, 1, "_root-636", -1, 1, 0, 0,  },
	{ 920, 636, 1, "_root-637", -1, 1, 0, 0,  },
	{ 920, 637, 1, "_root-638", -1, 1, 0, 0,  },
	{ 920, 638, 1, "_root-639", -1, 1, 0, 0,  },
	{ 920, 639, 1, "_root-640", -1, 1, 0, 0,  },
	{ 920, 640, 1, "_root-641", -1, 1, 0, 0,  },
	{ 920, 641, 1, "_root-642", -1, 1, 0, 0,  },
	{ 920, 642, 1, "_root-643", -1, 1, 0, 0,  },
	{ 920, 643, 1, "_root-644", -1, 1, 0, 0,  },
	{ 920, 644, 1, "_root-645", -1, 1, 0, 0,  },
	{ 920, 645, 1, "_root-646", -1, 1, 0, 0,  },
	{ 920, 646, 1, "_root-647", -1, 1, 0, 0,  },
	{ 920, 647, 1, "_root-648", -1, 1, 0, 0,  },
	{ 920, 648, 1, "_root-649", -1, 1, 0, 0,  },
	{ 920, 649, 1, "_root-650", -1, 1, 0, 0,  },
	{ 920, 650, 1, "_root-651", -1, 1, 0, 0,  },
	{ 920, 651, 1, "_root-652", -1, 1, 0, 0,  },
	{ 920, 652, 1, "_root-653", -1, 1, 0, 0,  },
	{ 920, 653, 1, "_root-654", -1, 1, 0, 0,  },
	{ 920, 654, 1, "_root-655", -1, 1, 0, 0,  },
	{ 920, 655, 1, "_root-656", -1, 1, 0, 0,  },
	{ 920, 656, 1, "_root-657", -1, 1, 0, 0,  },
	{ 920, 657, 1, "_root-658", -1, 1, 0, 0,  },
	{ 920, 658, 1, "_root-659", -1, 1, 0, 0,  },
	{ 920, 659, 1, "_root-660", -1, 1, 0, 0,  },
	{ 920, 660, 1, "_root-661", -1, 1, 0, 0,  },
	{ 920, 661, 1, "_root-662", -1, 1, 0, 0,  },
	{ 920, 662, 1, "_root-663", -1, 1, 0, 0,  },
	{ 920, 663, 1, "_root-664", -1, 1, 0, 0,  },
	{ 920, 664, 1, "_root-665", -1, 1, 0, 0,  },
	{ 920, 665, 1, "_root-666", -1, 1, 0, 0,  },
	{ 920, 666, 1, "_root-667", -1, 1, 0, 0,  },
	{ 920, 667, 1, "_root-668", -1, 1, 0, 0,  },
	{ 920, 668, 1, "_root-669", -1, 1, 0, 0,  },
	{ 920, 669, 1, "_root-670", -1, 1, 0, 0,  },
	{ 920, 670, 1, "_root-671", -1, 1, 0, 0,  },
	{ 920, 671, 1, "_root-672", -1, 1, 0, 0,  },
	{ 920, 672, 1, "_root-673", -1, 1, 0, 0,  },
	{ 920, 673, 1, "_root-674", -1, 1, 0, 0,  },
	{ 920, 674, 1, "_root-675", -1, 1, 0, 0,  },
	{ 920, 675, 1, "_root-676", -1, 1, 0, 0,  },
	{ 920, 676, 1, "_root-677", -1, 1, 0, 0,  },
	{ 920, 677, 1, "_root-678", -1, 1, 0, 0,  },
	{ 920, 678, 1, "_root-679", -1, 1, 0, 0,  },
	{ 920, 679, 1, "_root-680", -1, 1, 0, 0,  },
	{ 920, 680, 1, "_root-681", -1, 1, 0, 0,  },
	{ 920, 681, 1, "_root-682", -1, 1, 0, 0,  },
	{ 920, 682, 1, "_root-683", -1, 1, 0, 0,  },
	{ 920, 683, 1, "_root-684", -1, 1, 0, 0,  },
	{ 920, 684, 1, "_root-685", -1, 1, 0, 0,  },
	{ 920, 685, 1, "_root-686", -1, 1, 0, 0,  },
	{ 920, 686, 1, "_root-687", -1, 1, 0, 0,  },
	{ 920, 687, 1, "_root-688", -1, 1, 0, 0,  },
	{ 920, 688, 1, "_root-689", -1, 1, 0, 0,  },
	{ 920, 689, 1, "_root-690", -1, 1, 0, 0,  },
	{ 920, 690, 1, "_root-691", -1, 1, 0, 0,  },
	{ 920, 691, 1, "_root-692", -1, 1, 0, 0,  },
	{ 920, 692, 1, "_root-693", -1, 1, 0, 0,  },
	{ 920, 693, 1, "_root-694", -1, 1, 0, 0,  },
	{ 920, 694, 1, "_root-695", -1, 1, 0, 0,  },
	{ 920, 695, 1, "_root-696", -1, 1, 0, 0,  },
	{ 920, 696, 1, "_root-697", -1, 1, 0, 0,  },
	{ 920, 697, 1, "_root-698", -1, 1, 0, 0,  },
	{ 920, 698, 1, "_root-699", -1, 1, 0, 0,  },
	{ 920, 699, 1, "_root-700", -1, 1, 0, 0,  },
	{ 920, 700, 1, "_root-701", -1, 1, 0, 0,  },
	{ 920, 701, 1, "_root-702", -1, 1, 0, 0,  },
	{ 920, 702, 1, "_root-703", -1, 1, 0, 0,  },
	{ 920, 703, 1, "_root-704", -1, 1, 0, 0,  },
	{ 920, 704, 1, "_root-705", -1, 1, 0, 0,  },
	{ 920, 705, 1, "_root-706", -1, 1, 0, 0,  },
	{ 920, 706, 1, "_root-707", -1, 1, 0, 0,  },
	{ 920, 707, 1, "_root-708", -1, 1, 0, 0,  },
	{ 920, 708, 1, "_root-709", -1, 1, 0, 0,  },
	{ 920, 709, 1, "_root-710", -1, 1, 0, 0,  },
	{ 920, 710, 1, "_root-711", -1, 1, 0, 0,  },
	{ 920, 711, 1, "_root-712", -1, 1, 0, 0,  },
	{ 920, 712, 1, "_root-713", -1, 1, 0, 0,  },
	{ 920, 713, 1, "_root-714", -1, 1, 0, 0,  },
	{ 920, 714, 1, "_root-715", -1, 1, 0, 0,  },
	{ 920, 715, 1, "_root-716", -1, 1, 0, 0,  },
	{ 920, 716, 1, "_root-717", -1, 1, 0, 0,  },
	{ 920, 717, 1, "_root-718", -1, 1, 0, 0,  },
	{ 920, 718, 1, "_root-719", -1, 1, 0, 0,  },
	{ 920, 719, 1, "_root-720", -1, 1, 0, 0,  },
	{ 920, 720, 1, "_root-721", -1, 1, 0, 0,  },
	{ 920, 721, 1, "_root-722", -1, 1, 0, 0,  },
	{ 920, 722, 1, "_root-723", -1, 1, 0, 0,  },
	{ 920, 723, 1, "_root-724", -1, 1, 0, 0,  },
	{ 920, 724, 1, "_root-725", -1, 1, 0, 0,  },
	{ 920, 725, 1, "_root-726", -1, 1, 0, 0,  },
	{ 920, 726, 1, "_root-727", -1, 1, 0, 0,  },
	{ 920, 727, 1, "_root-728", -1, 1, 0, 0,  },
	{ 920, 728, 1, "_root-729", -1, 1, 0, 0,  },
	{ 920, 729, 1, "_root-730", -1, 1, 0, 0,  },
	{ 920, 730, 1, "_root-731", -1, 1, 0, 0,  },
	{ 920, 731, 1, "_root-732", -1, 1, 0, 0,  },
	{ 920, 732, 1, "_root-733", -1, 1, 0, 0,  },
	{ 920, 733, 1, "_root-734", -1, 1, 0, 0,  },
	{ 920, 734, 1, "_root-735", -1, 1, 0, 0,  },
	{ 920, 735, 1, "_root-736", -1, 1, 0, 0,  },
	{ 920, 736, 1, "_root-737", -1, 1, 0, 0,  },
	{ 920, 737, 1, "_root-738", -1, 1, 0, 0,  },
	{ 920, 738, 1, "_root-739", -1, 1, 0, 0,  },
	{ 920, 739, 1, "_root-740", -1, 1, 0, 0,  },
	{ 920, 740, 1, "_root-741", -1, 1, 0, 0,  },
	{ 920, 741, 1, "_root-742", -1, 1, 0, 0,  },
	{ 920, 742, 1, "_root-743", -1, 1, 0, 0,  },
	{ 920, 743, 1, "_root-744", -1, 1, 0, 0,  },
	{ 920, 744, 1, "_root-745", -1, 1, 0, 0,  },
	{ 920, 745, 1, "_root-746", -1, 1, 0, 0,  },
	{ 920, 746, 1, "_root-747", -1, 1, 0, 0,  },
	{ 920, 747, 1, "_root-748", -1, 1, 0, 0,  },
	{ 920, 748, 1, "_root-749", -1, 1, 0, 0,  },
	{ 920, 749, 1, "_root-750", -1, 1, 0, 0,  },
	{ 920, 750, 1, "_root-751", -1, 1, 0, 0,  },
	{ 920, 751, 1, "_root-752", -1, 1, 0, 0,  },
	{ 920, 752, 1, "_root-753", -1, 1, 0, 0,  },
	{ 920, 753, 1, "_root-754", -1, 1, 0, 0,  },
	{ 920, 754, 1, "_root-755", -1, 1, 0, 0,  },
	{ 920, 755, 1, "_root-756", -1, 1, 0, 0,  },
	{ 920, 756, 1, "_root-757", -1, 1, 0, 0,  },
	{ 920, 757, 1, "_root-758", -1, 1, 0, 0,  },
	{ 920, 758, 1, "_root-759", -1, 1, 0, 0,  },
	{ 920, 759, 1, "_root-760", -1, 1, 0, 0,  },
	{ 920, 760, 1, "_root-761", -1, 1, 0, 0,  },
	{ 920, 761, 1, "_root-762", -1, 1, 0, 0,  },
	{ 920, 762, 1, "_root-763", -1, 1, 0, 0,  },
	{ 920, 763, 1, "_root-764", -1, 1, 0, 0,  },
	{ 920, 764, 1, "_root-765", -1, 1, 0, 0,  },
	{ 920, 765, 1, "_root-766", -1, 1, 0, 0,  },
	{ 920, 766, 1, "_root-767", -1, 1, 0, 0,  },
	{ 920, 767, 1, "_root-768", -1, 1, 0, 0,  },
	{ 920, 768, 1, "_root-769", -1, 1, 0, 0,  },
	{ 920, 769, 1, "_root-770", -1, 1, 0, 0,  },
	{ 920, 770, 1, "_root-771", -1, 1, 0, 0,  },
	{ 920, 771, 1, "_root-772", -1, 1, 0, 0,  },
	{ 920, 772, 1, "_root-773", -1, 1, 0, 0,  },
	{ 920, 773, 1, "_root-774", -1, 1, 0, 0,  },
	{ 920, 774, 1, "_root-775", -1, 1, 0, 0,  },
	{ 920, 775, 1, "_root-776", -1, 1, 0, 0,  },
	{ 920, 776, 1, "_root-777", -1, 1, 0, 0,  },
	{ 920, 777, 1, "_root-778", -1, 1, 0, 0,  },
	{ 920, 778, 1, "_root-779", -1, 1, 0, 0,  },
	{ 920, 779, 1, "_root-780", -1, 1, 0, 0,  },
	{ 920, 780, 1, "_root-781", -1, 1, 0, 0,  },
	{ 920, 781, 1, "_root-782", -1, 1, 0, 0,  },
	{ 920, 782, 1, "_root-783", -1, 1, 0, 0,  },
	{ 920, 783, 1, "_root-784", -1, 1, 0, 0,  },
	{ 920, 784, 1, "_root-785", -1, 1, 0, 0,  },
	{ 920, 785, 1, "_root-786", -1, 1, 0, 0,  },
	{ 920, 786, 1, "_root-787", -1, 1, 0, 0,  },
	{ 920, 787, 1, "_root-788", -1, 1, 0, 0,  },
	{ 920, 788, 1, "_root-789", -1, 1, 0, 0,  },
	{ 920, 789, 1, "_root-790", -1, 1, 0, 0,  },
	{ 920, 790, 1, "_root-791", -1, 1, 0, 0,  },
	{ 920, 791, 1, "_root-792", -1, 1, 0, 0,  },
	{ 920, 792, 1, "_root-793", -1, 1, 0, 0,  },
	{ 920, 793, 1, "_root-794", -1, 1, 0, 0,  },
	{ 920, 794, 1, "_root-795", -1, 1, 0, 0,  },
	{ 920, 795, 1, "_root-796", -1, 1, 0, 0,  },
	{ 920, 796, 1, "_root-797", -1, 1, 0, 0,  },
	{ 920, 797, 1, "_root-798", -1, 1, 0, 0,  },
	{ 920, 798, 1, "_root-799", -1, 1, 0, 0,  },
	{ 920, 799, 1, "_root-800", -1, 1, 0, 0,  },
	{ 920, 800, 1, "_root-801", -1, 1, 0, 0,  },
	{ 920, 801, 1, "_root-802", -1, 1, 0, 0,  },
	{ 920, 802, 1, "_root-803", -1, 1, 0, 0,  },
	{ 920, 803, 1, "_root-804", -1, 1, 0, 0,  },
	{ 920, 804, 1, "_root-805", -1, 1, 0, 0,  },
	{ 920, 805, 1, "_root-806", -1, 1, 0, 0,  },
	{ 920, 806, 1, "_root-807", -1, 1, 0, 0,  },
	{ 920, 807, 1, "_root-808", -1, 1, 0, 0,  },
	{ 920, 808, 1, "_root-809", -1, 1, 0, 0,  },
	{ 920, 809, 1, "_root-810", -1, 1, 0, 0,  },
	{ 920, 810, 1, "_root-811", -1, 1, 0, 0,  },
	{ 920, 811, 1, "_root-812", -1, 1, 0, 0,  },
	{ 920, 812, 1, "_root-813", -1, 1, 0, 0,  },
	{ 920, 813, 1, "_root-814", -1, 1, 0, 0,  },
	{ 920, 814, 1, "_root-815", -1, 1, 0, 0,  },
	{ 920, 815, 1, "_root-816", -1, 1, 0, 0,  },
	{ 920, 816, 1, "_root-817", -1, 1, 0, 0,  },
	{ 920, 817, 1, "_root-818", -1, 1, 0, 0,  },
	{ 920, 818, 1, "_root-819", -1, 1, 0, 0,  },
	{ 920, 819, 1, "_root-820", -1, 1, 0, 0,  },
	{ 920, 820, 1, "_root-821", -1, 1, 0, 0,  },
	{ 920, 821, 1, "_root-822", -1, 1, 0, 0,  },
	{ 920, 822, 1, "_root-823", -1, 1, 0, 0,  },
	{ 920, 823, 1, "_root-824", -1, 1, 0, 0,  },
	{ 920, 824, 1, "_root-825", -1, 1, 0, 0,  },
	{ 920, 825, 1, "_root-826", -1, 1, 0, 0,  },
	{ 920, 826, 1, "_root-827", -1, 1, 0, 0,  },
	{ 920, 827, 1, "_root-828", -1, 1, 0, 0,  },
	{ 920, 828, 1, "_root-829", -1, 1, 0, 0,  },
	{ 920, 829, 1, "_root-830", -1, 1, 0, 0,  },
	{ 920, 830, 1, "_root-831", -1, 1, 0, 0,  },
	{ 920, 831, 1, "_root-832", -1, 1, 0, 0,  },
	{ 920, 832, 1, "_root-833", -1, 1, 0, 0,  },
	{ 920, 833, 1, "_root-834", -1, 1, 0, 0,  },
	{ 920, 834, 1, "_root-835", -1, 1, 0, 0,  },
	{ 920, 835, 1, "_root-836", -1, 1, 0, 0,  },
	{ 920, 836, 1, "_root-837", -1, 1, 0, 0,  },
	{ 920, 837, 1, "_root-838", -1, 1, 0, 0,  },
	{ 920, 838, 1, "_root-839", -1, 1, 0, 0,  },
	{ 920, 839, 1, "_root-840", -1, 1, 0, 0,  },
	{ 920, 840, 1, "_root-841", -1, 1, 0, 0,  },
	{ 920, 841, 1, "_root-842", -1, 1, 0, 0,  },
	{ 920, 842, 1, "_root-843", -1, 1, 0, 0,  },
	{ 920, 843, 1, "_root-844", -1, 1, 0, 0,  },
	{ 920, 844, 1, "_root-845", -1, 1, 0, 0,  },
	{ 920, 845, 1, "_root-846", -1, 1, 0, 0,  },
	{ 920, 846, 1, "_root-847", -1, 1, 0, 0,  },
	{ 920, 847, 1, "_root-848", -1, 1, 0, 0,  },
	{ 920, 848, 1, "_root-849", -1, 1, 0, 0,  },
	{ 920, 849, 1, "_root-850", -1, 1, 0, 0,  },
	{ 920, 850, 1, "_root-851", -1, 1, 0, 0,  },
	{ 920, 851, 1, "_root-852", -1, 1, 0, 0,  },
	{ 920, 852, 1, "_root-853", -1, 1, 0, 0,  },
	{ 920, 853, 1, "_root-854", -1, 1, 0, 0,  },
	{ 920, 854, 1, "_root-855", -1, 1, 0, 0,  },
	{ 920, 855, 1, "_root-856", -1, 1, 0, 0,  },
	{ 920, 856, 1, "_root-857", -1, 1, 0, 0,  },
	{ 920, 857, 1, "_root-858", -1, 1, 0, 0,  },
	{ 920, 858, 1, "_root-859", -1, 1, 0, 0,  },
	{ 920, 859, 1, "_root-860", -1, 1, 0, 0,  },
	{ 920, 860, 1, "_root-861", -1, 1, 0, 0,  },
	{ 920, 861, 1, "_root-862", -1, 1, 0, 0,  },
	{ 920, 862, 1, "_root-863", -1, 1, 0, 0,  },
	{ 920, 863, 1, "_root-864", -1, 1, 0, 0,  },
	{ 920, 864, 1, "_root-865", -1, 1, 0, 0,  },
	{ 920, 865, 1, "_root-866", -1, 1, 0, 0,  },
	{ 920, 866, 1, "_root-867", -1, 1, 0, 0,  },
	{ 920, 867, 1, "_root-868", -1, 1, 0, 0,  },
	{ 920, 868, 1, "_root-869", -1, 1, 0, 0,  },
	{ 920, 869, 1, "_root-870", -1, 1, 0, 0,  },
	{ 920, 870, 1, "_root-871", -1, 1, 0, 0,  },
	{ 920, 871, 1, "_root-872", -1, 1, 0, 0,  },
	{ 920, 872, 1, "_root-873", -1, 1, 0, 0,  },
	{ 920, 873, 1, "_root-874", -1, 1, 0, 0,  },
	{ 920, 874, 1, "_root-875", -1, 1, 0, 0,  },
	{ 920, 875, 1, "_root-876", -1, 1, 0, 0,  },
	{ 920, 876, 1, "_root-877", -1, 1, 0, 0,  },
	{ 920, 877, 1, "_root-878", -1, 1, 0, 0,  },
	{ 920, 878, 1, "_root-879", -1, 1, 0, 0,  },
	{ 920, 879, 1, "_root-880", -1, 1, 0, 0,  },
	{ 920, 880, 1, "_root-881", -1, 1, 0, 0,  },
	{ 920, 881, 1, "_root-882", -1, 1, 0, 0,  },
	{ 920, 882, 1, "_root-883", -1, 1, 0, 0,  },
	{ 920, 883, 1, "_root-884", -1, 1, 0, 0,  },
	{ 920, 884, 1, "_root-885", -1, 1, 0, 0,  },
	{ 920, 885, 1, "_root-886", -1, 1, 0, 0,  },
	{ 920, 886, 1, "_root-887", -1, 1, 0, 0,  },
	{ 920, 887, 1, "_root-888", -1, 1, 0, 0,  },
	{ 920, 888, 1, "_root-889", -1, 1, 0, 0,  },
	{ 920, 889, 1, "_root-890", -1, 1, 0, 0,  },
	{ 920, 890, 1, "_root-891", -1, 1, 0, 0,  },
	{ 920, 891, 1, "_root-892", -1, 1, 0, 0,  },
	{ 920, 892, 1, "_root-893", -1, 1, 0, 0,  },
	{ 920, 893, 1, "_root-894", -1, 1, 0, 0,  },
	{ 920, 894, 1, "_root-895", -1, 1, 0, 0,  },
	{ 920, 895, 1, "_root-896", -1, 1, 0, 0,  },
	{ 920, 896, 1, "_root-897", -1, 1, 0, 0,  },
	{ 920, 897, 1, "_root-898", -1, 1, 0, 0,  },
	{ 920, 898, 1, "_root-899", -1, 1, 0, 0,  },
	{ 920, 899, 1, "_root-900", -1, 1, 0, 0,  },
	{ 920, 900, 1, "_root-901", -1, 1, 0, 0,  },
	{ 920, 901, 1, "_root-902", -1, 1, 0, 0,  },
	{ 920, 902, 1, "_root-903", -1, 1, 0, 0,  },
	{ 920, 903, 1, "_root-904", -1, 1, 0, 0,  },
	{ 920, 904, 1, "_root-905", -1, 1, 0, 0,  },
	{ 920, 905, 1, "_root-906", -1, 1, 0, 0,  },
	{ 920, 906, 1, "_root-907", -1, 1, 0, 0,  },
	{ 920, 907, 1, "_root-908", -1, 1, 0, 0,  },
	{ 920, 908, 1, "_root-909", -1, 1, 0, 0,  },
	{ 920, 909, 1, "_root-910", -1, 1, 0, 0,  },
	{ 920, 910, 1, "_root-911", -1, 1, 0, 0,  },
	{ 920, 911, 1, "_root-912", -1, 1, 0, 0,  },
	{ 920, 912, 1, "_root-913", -1, 1, 0, 0,  },
	{ 920, 913, 1, "_root-914", -1, 1, 0, 0,  },
	{ 920, 914, 1, "_root-915", -1, 1, 0, 0,  },
	{ 920, 915, 1, "_root-916", -1, 1, 0, 0,  },
	{ 920, 916, 1, "_root-917", -1, 1, 0, 0,  },
	{ 920, 917, 1, "_root-918", -1, 1, 0, 0,  },
	{ 920, 918, 1, "_root-919", -1, 1, 0, 0,  },
	{ 920, 919, 1, "_root-920", -1, 1, 0, 0,  }
};

static struct pat_cons_info parser_patReplInfo[] = {
};

static struct pat_cons_node parser_patReplNodes[] = {
};

static struct function_info parser_functionInfo[] = {

};

static struct region_info parser_regionInfo[] = {
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 160 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 161 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 162 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 163 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 164 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 165 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 166 }
};

static struct generic_info parser_genericInfo[] = {
	{ 0, 0, 0, 0, 0, 0, 0, 0 },
	{ 20, -1, -1, 0, 0, 0, 0, 0 },
	{ 21, 2, 1, 0, 0, 2, 0, -1 },
};

static const char *parser_litdata[] = {
	"unwind code\n",
	"r",
};

static long parser_litlen[] = {
	12, 1, };

static head_t *parser_literals[] = {
	0, 0, };

static int startStates[] = {
	0, };

static int eofLelIds[] = {
	476, };

static int parserLelIds[] = {
	777, };

static CaptureAttr captureAttr[] = {
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp );
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt );
long colm_object_commit_union_sz( int reducer );
void colm_object_init_need();
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id );
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run );

struct colm_sections colm_object = 
{
	parser_lelInfo,
	921,

	parser_selInfo,
	3,

	parser_prodInfo,
	1313,

	parser_regionInfo,
	29,

	parser_rootCode,
	76,
	0,

	parser_frameInfo,
	1,

	parser_functionInfo,
	0,

	parser_patReplInfo,
	0,

	parser_patReplNodes,
	0,

	parser_genericInfo,
	3,
	2,

	parser_litdata,
	parser_litlen,
	parser_literals,
	2,

	captureAttr,
	0,

	&fsmTables_start,
	&pid_0_pdaTables,
	startStates, eofLelIds, parserLelIds, 1,

	4,

	776,
	-1,
	3,
	776,
	0,
	775,
	0,
	2,
	&fsm_execute,
	&sendNamedLangEl,
	&initBindings,
	&popBinding,
	&colm_object_host_call,
	&colm_object_commit_reduce_forward,
	&colm_object_commit_union_sz,
	&colm_object_init_need,
	&colm_object_reducer_need_tok,
	&colm_object_reducer_need_ign,
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp )
{
	value_t rtn = 0;
	switch ( code ) {
	}
	vm_push_value( rtn );
	return sp;
}
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt )
{
	commit_clear_parse_tree( prg, root, pda_run, pt->child );
}

long colm_object_commit_union_sz( int reducer ) { return 0; }
void colm_object_init_need() {}
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id ) { return COLM_RN_BOTH; }
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run ) { return COLM_RN_BOTH; }

